/*! For license information please see main.js.LICENSE.txt */
(()=>{var t={1547:(t,n,r)=>{"use strict";r.d(n,{W:()=>l});const l=r(5862).iv`.output {
  margin-bottom: 8px;
}

.output-table {
  border-spacing: 0;
  width: 100%;
  --score-col-width: 80px;
}

.output-table thead {
  position: sticky;
  top: 0;

  background: #f5fcfc;
}

.output-table tr {
  text-align: left;
  vertical-align: initial;
}

.output-table tr > * {
  padding: 4px;
}

.output-table tbody th {
  vertical-align: top;
}

.candidate-row {
  display: flex;
  flex-direction: row;
  width: 100%;
  box-sizing: border-box;
  color: var(--lit-gray-800);
  font-family: 'Roboto', sans;

  padding: 0 2px; /* align with content row hpad */
}

.candidate-row > * {
  padding: 4px;
}

.field-name {
  width: 100px;
}

.model-score {
  margin-right: 8px;
  width: var(--score-col-width);
  min-width: var(--score-col-width);
}

.candidate-text {
  flex-grow: 1;
  white-space: pre-wrap;
}

.reference-score {
  margin-right: 8px;
  width: var(--score-col-width);
  min-width: var(--score-col-width);
}

/* use this style instead of .token-chip-label.selected */
.candidate-selected {
  border: 1px solid #80868b;
}

.highlighted-diff {
  color: #a93d00;
  font-weight: bold;
}

.highlighted-match {
  color: #129eaf;
  font-weight: bold;
}
`},5889:(t,n,r)=>{"use strict";r.d(n,{W:()=>l});const l=r(5862).iv`/**
 * Shared styles for all modules.
 */
:host {
  /* LIT Brand Palettes */
  --lit-cyea-50:  #EDFFFA;
  --lit-cyea-100: #CDF2FA;
  --lit-cyea-200: #AFE6DE;
  --lit-cyea-300: #7BCCCC;
  --lit-cyea-400: #52A6B3;
  --lit-cyea-500: #348199;
  --lit-cyea-600: #1F6180;
  --lit-cyea-700: #114566;
  --lit-cyea-800: #092F4D;
  --lit-cyea-900: #041D33;

  --lit-mage-50:  #FFF5F7;
  --lit-mage-100: #FEEAEF;
  --lit-mage-200: #FED5E0;
  --lit-mage-300: #F9A9C0;
  --lit-mage-400: #EF7CA1;
  --lit-mage-500: #E25287;
  --lit-mage-600: #CE2F75;
  --lit-mage-700: #B7166A;
  --lit-mage-800: #800060;
  --lit-mage-900: #470046;

  --lit-bric-50:  #FDF8EA;
  --lit-bric-100: #F9F1DC;
  --lit-bric-200: #EFD9AB;
  --lit-bric-300: #E4BC78;
  --lit-bric-400: #D59441;
  --lit-bric-500: #C26412;
  --lit-bric-600: #A93D00;
  --lit-bric-700: #8B2100;
  --lit-bric-800: #6A0C00;
  --lit-bric-900: #470000;

  --lit-neutral-50:  #F8F9FA;
  --lit-neutral-100: #F1F3F4;
  --lit-neutral-200: #E8EAED;
  --lit-neutral-300: #DADCE0;
  --lit-neutral-400: #BDC1C6;
  --lit-neutral-500: #9AA0A6;
  --lit-neutral-600: #80868B;
  --lit-neutral-700: #5F6368;
  --lit-neutral-800: #3C4043;
  --lit-neutral-900: #202124;

  /* LIT Major Tonal Palettes */
  --lit-majtonal-p-50:  #EEFBF8;
  --lit-majtonal-p-100: #D8F2ED;
  --lit-majtonal-p-200: #C0E7E3;
  --lit-majtonal-p-300: #A1D2D4;
  --lit-majtonal-p-400: #72AEB9;
  --lit-majtonal-p-500: #48879C;
  --lit-majtonal-p-600: #326882;
  --lit-majtonal-p-700: #284E67;
  --lit-majtonal-p-800: #1D3649;
  --lit-majtonal-p-900: #142838;

  --lit-majtonal-s-50:  #FFF5F7;
  --lit-majtonal-s-100: #FAEDF0;
  --lit-majtonal-s-200: #F7DBE4;
  --lit-majtonal-s-300: #EDBDCD;
  --lit-majtonal-s-400: #E091AC;
  --lit-majtonal-s-500: #CC6990;
  --lit-majtonal-s-600: #BE4079;
  --lit-majtonal-s-700: #9D2D69;
  --lit-majtonal-s-800: #651A54;
  --lit-majtonal-s-900: #3B0A3C;

  --lit-majtonal-t-50:  #FCF8EF;
  --lit-majtonal-t-100: #F9F7ED;
  --lit-majtonal-t-200: #EDDEBF;
  --lit-majtonal-t-300: #E0C9A2;
  --lit-majtonal-t-400: #CEA269;
  --lit-majtonal-t-500: #B6763E;
  --lit-majtonal-t-600: #A14C1C;
  --lit-majtonal-t-700: #7E351F;
  --lit-majtonal-t-800: #58211B;
  --lit-majtonal-t-900: #3B0A0B;

  --lit-majtonal-nv-50:  #F0F7F7;
  --lit-majtonal-nv-100: #EBF3F2;
  --lit-majtonal-nv-200: #E3ECED;
  --lit-majtonal-nv-300: #CCD9DD;
  --lit-majtonal-nv-400: #B5C6CA;
  --lit-majtonal-nv-500: #9CAFB4;
  --lit-majtonal-nv-600: #72868F;
  --lit-majtonal-nv-700: #596C75;
  --lit-majtonal-nv-800: #3F5259;
  --lit-majtonal-nv-900: #222C35;

  /* LIT Minor Tonal Palettes */
  --lit-mintonal-p-1: #F5F9FA;
  --lit-mintonal-p-2: #EFF5F7;
  --lit-mintonal-p-3: #E9F1F4;
  --lit-mintonal-p-4: #E7F0F3;
  --lit-mintonal-p-5: #E3EDF1;

  --lit-mintonal-s-1: #F9F2F7;
  --lit-mintonal-s-2: #F5EBF2;
  --lit-mintonal-s-3: #F1E3EE;
  --lit-mintonal-s-4: #F0E0EC;
  --lit-mintonal-s-5: #EDDBE9;

  --lit-mintonal-t-1: #FAF4F3;
  --lit-mintonal-t-2: #F6EDEB;
  --lit-mintonal-t-3: #F2E7E3;
  --lit-mintonal-t-4: #F3E4E1;
  --lit-mintonal-t-5: #EFE0DB;

  /* Google Red, Exclusively for Errors */
  --google-red-50: #FCE8E6;
  --google-red-500: #EA4335;
  --google-red-600: #D93025;
  --google-red-700: #C5221F;

  /* Viz Colors */
  --viz-color-orange-1: #FFD8C3;
  --viz-color-orange-2: #F0BD80;
  --viz-color-orange-3: #FF9230;
  --viz-color-orange-4: #BA4A0D;

  --viz-color-blue-1: #87CDF9;
  --viz-color-blue-2: #61AFF7;
  --viz-color-blue-3: #3C7DBF;
  --viz-color-blue-4: #184889;

  --viz-color-yellow-1: #FAF49F;
  --viz-color-yellow-2: #FFE839;
  --viz-color-yellow-3: #FFC700;
  --viz-color-yellow-4: #848014;

  --viz-color-purple-1: #CDC5FF;
  --viz-color-purple-2: #9B86EF;
  --viz-color-purple-3: #7647EA;
  --viz-color-purple-4: #270085;

  --viz-color-coral-1: #F6AEA9;
  --viz-color-coral-2: #FF777B;
  --viz-color-coral-3: #FC4F61;
  --viz-color-coral-4: #B12D33;

  --viz-color-teal-1: #BDF4E7;
  --viz-color-teal-2: #7DDAD3;
  --viz-color-teal-3: #1F978A;
  --viz-color-teal-4: #006067;

  --viz-color-magenta-1: #EDC4E6;
  --viz-color-magenta-2: #EF96CD;
  --viz-color-magenta-3: #B22A72;
  --viz-color-magenta-4: #632440;

  --viz-color-grey-1: #DADCE0;
  --viz-color-grey-2: #B5BCC3;
  --viz-color-grey-3: #879695;
  --viz-color-grey-4: #515050;

  /* Compatibility Aliases */
  --lit-gray-700: var(--lit-neutral-700);
  --lit-gray-800: var(--lit-neutral-700);
  /* For field names, etc. like preds (MulticlassPreds) */
  --lit-bold-label-color: var(--lit-majtonal-nv-800);
  --lit-light-label-color: var(--lit-majtonal-nv-600);

  --lit-box-shadow: 0 2px 2px 0 rgba(0, 0, 0, .14),
                    0 3px 1px -2px rgba(0, 0, 0, .2),
                    0 1px 5px 0 rgba(0, 0, 0, .12);
}

button {
  width: fit-content;
  max-height: 100%;
  background: white;
  pointer-events: auto;
  cursor: pointer;
  border: 1px solid darkgrey;
  margin: 5px;
  text-align: center;
  padding: 5px 10px;
  font-size: 13px;
  border-radius: 3px;
  justify-content: center;
  align-items: center;
  display: flex;
}

button.accent {
  background: rgb(47, 140, 155);
  border: none;
  color: white;
}

button.accent:hover {
  background: rgb(33, 98, 108);
}


button:hover {
  background: #faf49f;
}

button:disabled {
  background: darkgrey;
  color: lightgrey;
  pointer-events: none;
  cursor: auto;
}

.dropdown-label {
  font-family: Roboto;
  font-style: normal;
  font-weight: 500;
  font-size: 13px;
  line-height: 20px;
  letter-spacing: 0.3px;
  color: var(--lit-neutral-800);
}

.dropdown {
  outline: none;
  border: none;
  border-bottom: 1px solid var(--lit-neutral-400);
  appearance: none;
  -webkit-appearance: none;
  padding: 4px 18px 3px 4px;
  margin:  2px  8px 2px 0;
  color: var(--lit-neutral-800);
  background-color: transparent;
  /* SVG background-image sets fill: var(--lit-neutral-800) as HEX value */
  background-image: url('data:image/svg+xml;charset=US-ASCII,%3Csvg%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20width%3D%22292.4%22%20height%3D%22292.4%22%3E%3Cpath%20fill%3D%22%233C4043%22%20d%3D%22M287%2069.4a17.6%2017.6%200%200%200-13-5.4H18.4c-5%200-9.3%201.8-12.9%205.4A17.6%2017.6%200%200%200%200%2082.2c0%205%201.8%209.3%205.4%2012.9l128%20127.9c3.6%203.6%207.8%205.4%2012.8%205.4s9.2-1.8%2012.8-5.4L287%2095c3.5-3.5%205.4-7.8%205.4-12.8%200-5-1.9-9.2-5.5-12.8z%22%2F%3E%3C%2Fsvg%3E');
  background-size: .65em auto, 100%;
  background-position: top 50% right 5.5px;
  background-repeat: no-repeat;
}

.dropdown:hover {
  background-color: var(--lit-mintonal-p-3);
  cursor: pointer;
}

.dropdown:active {
  color: var(--lit-cyea-600);
  /* SVG background-image sets fill: var(--lit-cyea-600) as HEX value */
  background-image: url('data:image/svg+xml;charset=US-ASCII,%3Csvg%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20width%3D%22292.4%22%20height%3D%22292.4%22%3E%3Cpath%20fill%3D%22%231F6180%22%20d%3D%22M287%2069.4a17.6%2017.6%200%200%200-13-5.4H18.4c-5%200-9.3%201.8-12.9%205.4A17.6%2017.6%200%200%200%200%2082.2c0%205%201.8%209.3%205.4%2012.9l128%20127.9c3.6%203.6%207.8%205.4%2012.8%205.4s9.2-1.8%2012.8-5.4L287%2095c3.5-3.5%205.4-7.8%205.4-12.8%200-5-1.9-9.2-5.5-12.8z%22%2F%3E%3C%2Fsvg%3E');
  background-color: var(--lit-mintonal-p-1);
}

.dropdown:disabled {
  color: var(--lit-neutral-400);
  /* SVG background-image sets fill: var(--lit-neutral-200) as HEX value */
  background-image: url('data:image/svg+xml;charset=US-ASCII,%3Csvg%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20width%3D%22292.4%22%20height%3D%22292.4%22%3E%3Cpath%20fill%3D%22%23E8EAED%22%20d%3D%22M287%2069.4a17.6%2017.6%200%200%200-13-5.4H18.4c-5%200-9.3%201.8-12.9%205.4A17.6%2017.6%200%200%200%200%2082.2c0%205%201.8%209.3%205.4%2012.9l128%20127.9c3.6%203.6%207.8%205.4%2012.8%205.4s9.2-1.8%2012.8-5.4L287%2095c3.5-3.5%205.4-7.8%205.4-12.8%200-5-1.9-9.2-5.5-12.8z%22%2F%3E%3C%2Fsvg%3E');
}

.dropdown.borderless { /* Not currently in use but available */
  border: none;
}

.dropdown.hairline { /* Not currently in use but likely will be in AppToolbar */
  border: 1px solid var(--lit-neutral-400);
  border-radius: 4px;
  padding: 4px 16px 4px 5px;
}

.dropdown.hairline:disabled {
  border: 1px solid var(--lit-neutral-200);
  border-radius: 4px;
}

.monospace {
  font-family: 'Share Tech Mono', monospace;
}

/* Field name headings, for use in module content. */
.field-title {
  font-size: 14px;
}

/* Smaller field name headings, as in the data table. */
.field-name {
  font-weight: bold;
  color: var(--lit-bold-label-color);
}

mwc-textfield {
  --mdc-theme-primary: #2f8c9b;
}

/* For in-line icons in a <span> */
.material-icon {
  font-family: 'Material Icons';
  vertical-align: middle;
  margin: 0;
}

.material-icon-outlined {
  font-family: 'Material Icons Outlined';
  vertical-align: middle;
  margin: 0;
}

/* Token chips */
.token-chip-function {
  color: #5f6368;
  font-family: 'Roboto';
  background: #f8f9fa;
  border-radius: 2px;
  border: 1px solid transparent; /* for spacing */
  padding: 2px;
  width: fit-content;
}

.token-chip-function.selected {
  border: 1px solid #80868b;
}

.token-chip-function:hover {
  background: #e8eaed;
}

.token-chip-label {
  color: #3c4043;
  font-family: 'Roboto Mono', monospace;
  border: 1px solid transparent; /* for spacing */
  border-radius: 2px;
  padding: 2px;
  width: fit-content;
}

.token-chip-label.selected {
  color: #098591;
  border-color: #098591;
}

.token-chip-label:not(:only-child):hover {
  background: #e4f7fb;
}

.token-chip-generated {
  color: #8430ce;
  font-family: 'Roboto';
  background: #f3e8fd;
  border: 1px solid transparent; /* for spacing */
  border-radius: 2px;
  padding: 2px;
  width: fit-content;
}

.token-chip-generated.selected {
  border-color: #a142f4;
}

.token-chip-generated:hover {
  background: #e9d2fd;
}

.filled-button,
.hairline-button {
  font-family: Roboto;
  font-style: normal;
  font-weight: normal;
  font-size: 13px;
  line-height: 20px;
  letter-spacing: 0.3px;
  padding: 0 12px;
  margin: 0 4px;
  border-radius: 4px;
}

.filled-button.xl,
.hairline-button.xl {
  font-size: 14px;
  line-height: 24px;
}

.filled-button .material-icon:first-child,
.hairline-button .material-icon:first-child {
  margin-right: 4px;
}

/**
 * Design Spec Deviation -- No button:focus states
 *
 * A decision was made to remove the :focus style from LIT buttons until a
 * complete accessibility audit is completed.
 */

.filled-button {
  background: var(--lit-majtonal-p-500);
  border: 1px solid var(--lit-majtonal-p-500);
  color: white;
}

.filled-button:active {
  background: var(--lit-majtonal-p-700);
  border: 1px solid var(--lit-majtonal-p-700);
}

.filled-button:hover {
  background: var(--lit-majtonal-p-600);
  border: 1px solid var(--lit-majtonal-p-600);
}

.filled-button:disabled {
  background: var(--lit-neutral-100);
  border: 1px solid var(--lit-neutral-100);
  color: var(--lit-neutral-400);
}

.hairline-button {
  background: transparent;
  border: 1px solid var(--lit-neutral-400);
  color: var(--lit-cyea-600);
}

.hairline-button:hover {
  background-color: var(--lit-mintonal-p-3);
  border: 1px solid var(--lit-neutral-400);
  color: var(--lit-cyea-600);
}

.hairline-button:disabled {
  color: var(--lit-neutral-400);
  background: rgba(255, 255, 255, 0.8);
  border: 1px solid var(--lit-neutral-200);
}

.hairline-button:active,
.hairline-button.active {
  background-color: var(--lit-mintonal-p-4);
  border: 1px solid var(--lit-cyea-500);
  color: var(--lit-cyea-500);
}

.pin-icon {
  height: 14px;
  width: 14px;
  min-width: 14px;
  --mdc-icon-size: 14px;
  user-select: none;
  color: var(--lit-cyea-500);
  margin-right: 2px;
}

.icon-button.cyea {
  color: var(--lit-cyea-500);
}

.icon {
  height: 16px;
  width: 16px;
  min-width: 16px;
  --mdc-icon-size: 16px;
  user-select: none;
  color: var(--lit-neutral-700);
}

/**
 * For standalone MWC icons as buttons. We don't use mwc-icon-button because it
 * adds a large backdrop and extra whitespace.
 */
.icon-button {
  height: 16px;
  width: 16px;
  min-width: 16px;
  --mdc-icon-size: 16px;
  cursor: pointer;
  user-select: none;
  color: var(--lit-neutral-700);
}

.icon-button:hover {
  color: var(--lit-neutral-500);
}

.icon-button:disabled,
mwc-icon.disabled{
  pointer-events: none;
  cursor: default;
  color: var(--lit-neutral-200);
}

.icon-button:active {
  color: var(--lit-neutral-900);
}

mwc-icon.mdi-outlined {
  --mdc-icon-font: "Material Icons Outlined";
}

.span-outlined {
  font-family: "Material Icons Outlined";
}

.icon-button.large-icon {
  height: 20px;
  width: 20px;
  min-width: 20px;
  --mdc-icon-size: 20px;
  padding: 0x 2px 0px 2px;
}

.icon-button.white-icon {
  color: var(--lit-neutral-100);
}

.icon-button.white-icon:hover {
  color: var(--lit-neutral-400);
}

.icon-button.cyea-icon {
  color: var(--lit-cyea-800);
}

.icon-button.cyea-icon:hover {
  color: var(--lit-cyea-600);
}

.large-help-icon{
  position: relative;
  height: 14px;
  width: 14px;
  min-width: 14px;
  --mdc-icon-size: 14px;
  margin: auto;
}

.help-icon{
  cursor: pointer;
  height: 12px;
  width: 12px;
  min-width: 12px;
  --mdc-icon-size: 12px;
}

/**
 * Main container to use inside modules.
 * If this contains a .module-toolbar and a .module-results-area,
 * the results area will scroll while the toolbar remains at the top.
 */
.module-container {
  box-sizing: border-box;
  display: flex;
  flex-direction: column;
  height: 100%;
}

/* Toolbar container for module controls. */
.module-toolbar {
  align-items: center;
  display: flex;
  flex-flow: row wrap;
  min-height: 36px;
  box-sizing: border-box;
  padding: 0 4px;
}

.module-toolbar > * {
  margin: 0px 4px;
}

.module-results-area {
  flex: 1;
  overflow-y: auto;
}

.module-content {
  box-sizing: border-box;
  flex-grow: 1;
  flex-shrink: 1;
}

.module-footer {
  align-items: center;
  border-top: 1px solid var(--viz-color-grey-1);
  box-sizing: border-box;
  display: flex;
  flex-direction: row;
  flex-grow: 0;
  flex-shrink: 0;
  justify-content: space-between;
  height: 36px;
  padding: 0 8px;
}

/** Status text in a module footer. **/
.module-status {
  color: var(--lit-neutral-800);
  font-style: italic;
  font-weight: normal;
  margin: 0 0.5em;
}

/**
 * Spacer div: insert this before content if you want a module without a
 * subtitle to align horizontally to one that does have one.
 * Used in span graph and annotated text modules, where the gold preds don't
 * have a subtitle for the model name.
 */
.offset-for-module-header {
  height: 0;
  margin-top: 24px; /* match .header height from widget.css */
}

mwc-icon.outlined {
  --mdc-icon-font: "Material Icons Outlined";
}

/* TODO(b/254783802): consolidate this with <popup-container> */
.popup-container {
  background: white;
  border: 1px solid var(--lit-neutral-600);
  box-shadow: var(--lit-box-shadow);
}

.nowrap {
  white-space: nowrap;
}
`},7924:(t,n,r)=>{"use strict";r.d(n,{G:()=>MobxLitElement});const l=Symbol("LitMobxRenderReaction"),d=Symbol("LitMobxRequestUpdate");var h=r(2188);function p(t){return function(t,n){var r,h;return h=class MobxReactingElement extends t{constructor(){super(...arguments),this[r]=()=>{this.requestUpdate()}}connectedCallback(){super.connectedCallback();const t=this.constructor.name||this.nodeName;this[l]=new n(`${t}.update()`,this[d]),this.hasUpdated&&this.requestUpdate()}disconnectedCallback(){super.disconnectedCallback(),this[l]&&(this[l].dispose(),this[l]=void 0)}update(t){this[l]?this[l].track(super.update.bind(this,t)):super.update(t)}},r=d,h}(t,h.le)}var f=r(5862);class MobxLitElement extends(p(f.oi)){}},6308:(t,n,r)=>{"use strict";r.d(n,{K:()=>l});var l=function(){function t(t){void 0===t&&(t={}),this.adapter=t}return Object.defineProperty(t,"cssClasses",{get:function(){return{}},enumerable:!1,configurable:!0}),Object.defineProperty(t,"strings",{get:function(){return{}},enumerable:!1,configurable:!0}),Object.defineProperty(t,"numbers",{get:function(){return{}},enumerable:!1,configurable:!0}),Object.defineProperty(t,"defaultAdapter",{get:function(){return{}},enumerable:!1,configurable:!0}),t.prototype.init=function(){},t.prototype.destroy=function(){},t}()},6036:(t,n,r)=>{"use strict";function l(t,n,r){if(void 0!==n)return function(t,n,r){const l=t.constructor;if(!r){const t=`__${n}`;if(!(r=l.getPropertyDescriptor(n,t)))throw new Error("@ariaProperty must be used after a @property decorator")}const d=r;let h="";if(!d.set)throw new Error(`@ariaProperty requires a setter for ${n}`);if(t.dispatchWizEvent)return r;const p={configurable:!0,enumerable:!0,set(t){if(""===h){const t=l.getPropertyOptions(n);h="string"==typeof t.attribute?t.attribute:n}this.hasAttribute(h)&&this.removeAttribute(h),d.set.call(this,t)}};return d.get&&(p.get=function(){return d.get.call(this)}),p}(t,n,r);throw new Error("@ariaProperty only supports TypeScript Decorators")}r.d(n,{L:()=>l})},4021:(t,n,r)=>{"use strict";r.d(n,{H:()=>BaseElement,q:()=>d.qN});r(7898),r(3692);var l=r(3410),d=r(5610);class BaseElement extends l.oi{click(){if(this.mdcRoot)return this.mdcRoot.focus(),void this.mdcRoot.click();super.click()}createFoundation(){void 0!==this.mdcFoundation&&this.mdcFoundation.destroy(),this.mdcFoundationClass&&(this.mdcFoundation=new this.mdcFoundationClass(this.createAdapter()),this.mdcFoundation.init())}firstUpdated(){this.createFoundation()}}},6141:(t,n,r)=>{"use strict";r.d(n,{Wg:()=>FormElement,qN:()=>f.q});var l,d,h=r(7582),p=r(9662),f=(r(7935),r(43),r(4021));const m=null!==(d=null===(l=window.ShadyDOM)||void 0===l?void 0:l.inUse)&&void 0!==d&&d;class FormElement extends f.H{constructor(){super(...arguments),this.disabled=!1,this.containingForm=null,this.formDataListener=t=>{this.disabled||this.setFormData(t.formData)}}findFormElement(){if(!this.shadowRoot||m)return null;const t=this.getRootNode().querySelectorAll("form");for(const n of Array.from(t))if(n.contains(this))return n;return null}connectedCallback(){var t;super.connectedCallback(),this.containingForm=this.findFormElement(),null===(t=this.containingForm)||void 0===t||t.addEventListener("formdata",this.formDataListener)}disconnectedCallback(){var t;super.disconnectedCallback(),null===(t=this.containingForm)||void 0===t||t.removeEventListener("formdata",this.formDataListener),this.containingForm=null}click(){this.formElement&&!this.disabled&&(this.formElement.focus(),this.formElement.click())}firstUpdated(){super.firstUpdated(),this.shadowRoot&&this.mdcRoot.addEventListener("change",(t=>{this.dispatchEvent(new Event("change",t))}))}}FormElement.shadowRootOptions={mode:"open",delegatesFocus:!0},(0,h.gn)([(0,p.C)({type:Boolean})],FormElement.prototype,"disabled",void 0)},6551:(t,n,r)=>{"use strict";r.d(n,{P:()=>l});const l=t=>(n,r)=>{if(n.constructor._observers){if(!n.constructor.hasOwnProperty("_observers")){const t=n.constructor._observers;n.constructor._observers=new Map,t.forEach(((t,r)=>n.constructor._observers.set(r,t)))}}else{n.constructor._observers=new Map;const t=n.updated;n.updated=function(n){t.call(this,n),n.forEach(((t,n)=>{const r=this.constructor._observers.get(n);void 0!==r&&r.call(this,this[n],t)}))}}n.constructor._observers.set(r,t)}},5610:(t,n,r)=>{"use strict";r.d(n,{Mh:()=>m,OE:()=>l,WU:()=>g,qN:()=>d});const l=t=>t.nodeType===Node.ELEMENT_NODE;function d(t){return{addClass:n=>{t.classList.add(n)},removeClass:n=>{t.classList.remove(n)},hasClass:n=>t.classList.contains(n)}}let h=!1;const p=()=>{},f={get passive(){return h=!0,!1}};document.addEventListener("x",p,f),document.removeEventListener("x",p);const m=(t=window.document)=>{let n=t.activeElement;const r=[];if(!n)return r;for(;n&&(r.push(n),n.shadowRoot);)n=n.shadowRoot.activeElement;return r},g=t=>{const n=m();if(!n.length)return!1;const r=n[n.length-1],l=new Event("check-if-focused",{bubbles:!0,composed:!0});let d=[];const h=t=>{d=t.composedPath()};return document.body.addEventListener("check-if-focused",h),r.dispatchEvent(l),document.body.removeEventListener("check-if-focused",h),-1!==d.indexOf(t)}},1764:(t,n,r)=>{"use strict";var l=r(7582),d=(r(7898),r(3692),r(3410)),h=r(5713);r(7935),r(43);const p=d.iv`:host{font-family:var(--mdc-icon-font, "Material Icons");font-weight:normal;font-style:normal;font-size:var(--mdc-icon-size, 24px);line-height:1;letter-spacing:normal;text-transform:none;display:inline-block;white-space:nowrap;word-wrap:normal;direction:ltr;-webkit-font-smoothing:antialiased;text-rendering:optimizeLegibility;-moz-osx-font-smoothing:grayscale;font-feature-settings:"liga"}`;let f=class Icon extends d.oi{render(){return d.dy`<span><slot></slot></span>`}};f.styles=[p],f=(0,l.gn)([(0,h.M)("mwc-icon")],f)},5557:(t,n,r)=>{"use strict";var l=r(7582),d=r(5713),h=r(9662),p=r(7238),f=r(2669);r(7935),r(43);function m(t,n){return(t.matches||t.webkitMatchesSelector||t.msMatchesSelector).call(t,n)}var g=r(4021),y=r(6308),v={BG_FOCUSED:"mdc-ripple-upgraded--background-focused",FG_ACTIVATION:"mdc-ripple-upgraded--foreground-activation",FG_DEACTIVATION:"mdc-ripple-upgraded--foreground-deactivation",ROOT:"mdc-ripple-upgraded",UNBOUNDED:"mdc-ripple-upgraded--unbounded"},b={VAR_FG_SCALE:"--mdc-ripple-fg-scale",VAR_FG_SIZE:"--mdc-ripple-fg-size",VAR_FG_TRANSLATE_END:"--mdc-ripple-fg-translate-end",VAR_FG_TRANSLATE_START:"--mdc-ripple-fg-translate-start",VAR_LEFT:"--mdc-ripple-left",VAR_TOP:"--mdc-ripple-top"},x={DEACTIVATION_TIMEOUT_MS:225,FG_DEACTIVATION_MS:150,INITIAL_ORIGIN_SCALE:.6,PADDING:10,TAP_DELAY_MS:300};var w=["touchstart","pointerdown","mousedown","keydown"],S=["touchend","pointerup","mouseup","contextmenu"],_=[],E=function(t){function n(r){var d=t.call(this,(0,l.pi)((0,l.pi)({},n.defaultAdapter),r))||this;return d.activationAnimationHasEnded=!1,d.activationTimer=0,d.fgDeactivationRemovalTimer=0,d.fgScale="0",d.frame={width:0,height:0},d.initialSize=0,d.layoutFrame=0,d.maxRadius=0,d.unboundedCoords={left:0,top:0},d.activationState=d.defaultActivationState(),d.activationTimerCallback=function(){d.activationAnimationHasEnded=!0,d.runDeactivationUXLogicIfReady()},d.activateHandler=function(t){d.activateImpl(t)},d.deactivateHandler=function(){d.deactivateImpl()},d.focusHandler=function(){d.handleFocus()},d.blurHandler=function(){d.handleBlur()},d.resizeHandler=function(){d.layout()},d}return(0,l.ZT)(n,t),Object.defineProperty(n,"cssClasses",{get:function(){return v},enumerable:!1,configurable:!0}),Object.defineProperty(n,"strings",{get:function(){return b},enumerable:!1,configurable:!0}),Object.defineProperty(n,"numbers",{get:function(){return x},enumerable:!1,configurable:!0}),Object.defineProperty(n,"defaultAdapter",{get:function(){return{addClass:function(){},browserSupportsCssVars:function(){return!0},computeBoundingRect:function(){return{top:0,right:0,bottom:0,left:0,width:0,height:0}},containsEventTarget:function(){return!0},deregisterDocumentInteractionHandler:function(){},deregisterInteractionHandler:function(){},deregisterResizeHandler:function(){},getWindowPageOffset:function(){return{x:0,y:0}},isSurfaceActive:function(){return!0},isSurfaceDisabled:function(){return!0},isUnbounded:function(){return!0},registerDocumentInteractionHandler:function(){},registerInteractionHandler:function(){},registerResizeHandler:function(){},removeClass:function(){},updateCssVariable:function(){}}},enumerable:!1,configurable:!0}),n.prototype.init=function(){var t=this,r=this.supportsPressRipple();if(this.registerRootHandlers(r),r){var l=n.cssClasses,d=l.ROOT,h=l.UNBOUNDED;requestAnimationFrame((function(){t.adapter.addClass(d),t.adapter.isUnbounded()&&(t.adapter.addClass(h),t.layoutInternal())}))}},n.prototype.destroy=function(){var t=this;if(this.supportsPressRipple()){this.activationTimer&&(clearTimeout(this.activationTimer),this.activationTimer=0,this.adapter.removeClass(n.cssClasses.FG_ACTIVATION)),this.fgDeactivationRemovalTimer&&(clearTimeout(this.fgDeactivationRemovalTimer),this.fgDeactivationRemovalTimer=0,this.adapter.removeClass(n.cssClasses.FG_DEACTIVATION));var r=n.cssClasses,l=r.ROOT,d=r.UNBOUNDED;requestAnimationFrame((function(){t.adapter.removeClass(l),t.adapter.removeClass(d),t.removeCssVars()}))}this.deregisterRootHandlers(),this.deregisterDeactivationHandlers()},n.prototype.activate=function(t){this.activateImpl(t)},n.prototype.deactivate=function(){this.deactivateImpl()},n.prototype.layout=function(){var t=this;this.layoutFrame&&cancelAnimationFrame(this.layoutFrame),this.layoutFrame=requestAnimationFrame((function(){t.layoutInternal(),t.layoutFrame=0}))},n.prototype.setUnbounded=function(t){var r=n.cssClasses.UNBOUNDED;t?this.adapter.addClass(r):this.adapter.removeClass(r)},n.prototype.handleFocus=function(){var t=this;requestAnimationFrame((function(){return t.adapter.addClass(n.cssClasses.BG_FOCUSED)}))},n.prototype.handleBlur=function(){var t=this;requestAnimationFrame((function(){return t.adapter.removeClass(n.cssClasses.BG_FOCUSED)}))},n.prototype.supportsPressRipple=function(){return this.adapter.browserSupportsCssVars()},n.prototype.defaultActivationState=function(){return{activationEvent:void 0,hasDeactivationUXRun:!1,isActivated:!1,isProgrammatic:!1,wasActivatedByPointer:!1,wasElementMadeActive:!1}},n.prototype.registerRootHandlers=function(t){var n,r;if(t){try{for(var d=(0,l.XA)(w),h=d.next();!h.done;h=d.next()){var p=h.value;this.adapter.registerInteractionHandler(p,this.activateHandler)}}catch(t){n={error:t}}finally{try{h&&!h.done&&(r=d.return)&&r.call(d)}finally{if(n)throw n.error}}this.adapter.isUnbounded()&&this.adapter.registerResizeHandler(this.resizeHandler)}this.adapter.registerInteractionHandler("focus",this.focusHandler),this.adapter.registerInteractionHandler("blur",this.blurHandler)},n.prototype.registerDeactivationHandlers=function(t){var n,r;if("keydown"===t.type)this.adapter.registerInteractionHandler("keyup",this.deactivateHandler);else try{for(var d=(0,l.XA)(S),h=d.next();!h.done;h=d.next()){var p=h.value;this.adapter.registerDocumentInteractionHandler(p,this.deactivateHandler)}}catch(t){n={error:t}}finally{try{h&&!h.done&&(r=d.return)&&r.call(d)}finally{if(n)throw n.error}}},n.prototype.deregisterRootHandlers=function(){var t,n;try{for(var r=(0,l.XA)(w),d=r.next();!d.done;d=r.next()){var h=d.value;this.adapter.deregisterInteractionHandler(h,this.activateHandler)}}catch(n){t={error:n}}finally{try{d&&!d.done&&(n=r.return)&&n.call(r)}finally{if(t)throw t.error}}this.adapter.deregisterInteractionHandler("focus",this.focusHandler),this.adapter.deregisterInteractionHandler("blur",this.blurHandler),this.adapter.isUnbounded()&&this.adapter.deregisterResizeHandler(this.resizeHandler)},n.prototype.deregisterDeactivationHandlers=function(){var t,n;this.adapter.deregisterInteractionHandler("keyup",this.deactivateHandler);try{for(var r=(0,l.XA)(S),d=r.next();!d.done;d=r.next()){var h=d.value;this.adapter.deregisterDocumentInteractionHandler(h,this.deactivateHandler)}}catch(n){t={error:n}}finally{try{d&&!d.done&&(n=r.return)&&n.call(r)}finally{if(t)throw t.error}}},n.prototype.removeCssVars=function(){var t=this,r=n.strings;Object.keys(r).forEach((function(n){0===n.indexOf("VAR_")&&t.adapter.updateCssVariable(r[n],null)}))},n.prototype.activateImpl=function(t){var n=this;if(!this.adapter.isSurfaceDisabled()){var r=this.activationState;if(!r.isActivated){var l=this.previousActivationEvent;if(!(l&&void 0!==t&&l.type!==t.type))r.isActivated=!0,r.isProgrammatic=void 0===t,r.activationEvent=t,r.wasActivatedByPointer=!r.isProgrammatic&&(void 0!==t&&("mousedown"===t.type||"touchstart"===t.type||"pointerdown"===t.type)),void 0!==t&&_.length>0&&_.some((function(t){return n.adapter.containsEventTarget(t)}))?this.resetActivationState():(void 0!==t&&(_.push(t.target),this.registerDeactivationHandlers(t)),r.wasElementMadeActive=this.checkElementMadeActive(t),r.wasElementMadeActive&&this.animateActivation(),requestAnimationFrame((function(){_=[],r.wasElementMadeActive||void 0===t||" "!==t.key&&32!==t.keyCode||(r.wasElementMadeActive=n.checkElementMadeActive(t),r.wasElementMadeActive&&n.animateActivation()),r.wasElementMadeActive||(n.activationState=n.defaultActivationState())})))}}},n.prototype.checkElementMadeActive=function(t){return void 0===t||"keydown"!==t.type||this.adapter.isSurfaceActive()},n.prototype.animateActivation=function(){var t=this,r=n.strings,l=r.VAR_FG_TRANSLATE_START,d=r.VAR_FG_TRANSLATE_END,h=n.cssClasses,p=h.FG_DEACTIVATION,f=h.FG_ACTIVATION,m=n.numbers.DEACTIVATION_TIMEOUT_MS;this.layoutInternal();var g="",y="";if(!this.adapter.isUnbounded()){var v=this.getFgTranslationCoordinates(),b=v.startPoint,x=v.endPoint;g=b.x+"px, "+b.y+"px",y=x.x+"px, "+x.y+"px"}this.adapter.updateCssVariable(l,g),this.adapter.updateCssVariable(d,y),clearTimeout(this.activationTimer),clearTimeout(this.fgDeactivationRemovalTimer),this.rmBoundedActivationClasses(),this.adapter.removeClass(p),this.adapter.computeBoundingRect(),this.adapter.addClass(f),this.activationTimer=setTimeout((function(){t.activationTimerCallback()}),m)},n.prototype.getFgTranslationCoordinates=function(){var t,n=this.activationState,r=n.activationEvent;return{startPoint:t={x:(t=n.wasActivatedByPointer?function(t,n,r){if(!t)return{x:0,y:0};var l,d,h=n.x,p=n.y,f=h+r.left,m=p+r.top;if("touchstart"===t.type){var g=t;l=g.changedTouches[0].pageX-f,d=g.changedTouches[0].pageY-m}else{var y=t;l=y.pageX-f,d=y.pageY-m}return{x:l,y:d}}(r,this.adapter.getWindowPageOffset(),this.adapter.computeBoundingRect()):{x:this.frame.width/2,y:this.frame.height/2}).x-this.initialSize/2,y:t.y-this.initialSize/2},endPoint:{x:this.frame.width/2-this.initialSize/2,y:this.frame.height/2-this.initialSize/2}}},n.prototype.runDeactivationUXLogicIfReady=function(){var t=this,r=n.cssClasses.FG_DEACTIVATION,l=this.activationState,d=l.hasDeactivationUXRun,h=l.isActivated;(d||!h)&&this.activationAnimationHasEnded&&(this.rmBoundedActivationClasses(),this.adapter.addClass(r),this.fgDeactivationRemovalTimer=setTimeout((function(){t.adapter.removeClass(r)}),x.FG_DEACTIVATION_MS))},n.prototype.rmBoundedActivationClasses=function(){var t=n.cssClasses.FG_ACTIVATION;this.adapter.removeClass(t),this.activationAnimationHasEnded=!1,this.adapter.computeBoundingRect()},n.prototype.resetActivationState=function(){var t=this;this.previousActivationEvent=this.activationState.activationEvent,this.activationState=this.defaultActivationState(),setTimeout((function(){return t.previousActivationEvent=void 0}),n.numbers.TAP_DELAY_MS)},n.prototype.deactivateImpl=function(){var t=this,n=this.activationState;if(n.isActivated){var r=(0,l.pi)({},n);n.isProgrammatic?(requestAnimationFrame((function(){t.animateDeactivation(r)})),this.resetActivationState()):(this.deregisterDeactivationHandlers(),requestAnimationFrame((function(){t.activationState.hasDeactivationUXRun=!0,t.animateDeactivation(r),t.resetActivationState()})))}},n.prototype.animateDeactivation=function(t){var n=t.wasActivatedByPointer,r=t.wasElementMadeActive;(n||r)&&this.runDeactivationUXLogicIfReady()},n.prototype.layoutInternal=function(){var t=this;this.frame=this.adapter.computeBoundingRect();var r=Math.max(this.frame.height,this.frame.width);this.maxRadius=this.adapter.isUnbounded()?r:Math.sqrt(Math.pow(t.frame.width,2)+Math.pow(t.frame.height,2))+n.numbers.PADDING;var l=Math.floor(r*n.numbers.INITIAL_ORIGIN_SCALE);this.adapter.isUnbounded()&&l%2!=0?this.initialSize=l-1:this.initialSize=l,this.fgScale=""+this.maxRadius/this.initialSize,this.updateLayoutCssVars()},n.prototype.updateLayoutCssVars=function(){var t=n.strings,r=t.VAR_FG_SIZE,l=t.VAR_LEFT,d=t.VAR_TOP,h=t.VAR_FG_SCALE;this.adapter.updateCssVariable(r,this.initialSize+"px"),this.adapter.updateCssVariable(h,this.fgScale),this.adapter.isUnbounded()&&(this.unboundedCoords={left:Math.round(this.frame.width/2-this.initialSize/2),top:Math.round(this.frame.height/2-this.initialSize/2)},this.adapter.updateCssVariable(l,this.unboundedCoords.left+"px"),this.adapter.updateCssVariable(d,this.unboundedCoords.top+"px"))},n}(y.K);const T=E;r(7898),r(3692);var C=r(3410),A=r(7499),O=r(7151);class RippleBase extends g.H{constructor(){super(...arguments),this.primary=!1,this.accent=!1,this.unbounded=!1,this.disabled=!1,this.activated=!1,this.selected=!1,this.internalUseStateLayerCustomProperties=!1,this.hovering=!1,this.bgFocused=!1,this.fgActivation=!1,this.fgDeactivation=!1,this.fgScale="",this.fgSize="",this.translateStart="",this.translateEnd="",this.leftPos="",this.topPos="",this.mdcFoundationClass=T}get isActive(){return m(this.parentElement||this,":active")}createAdapter(){return{browserSupportsCssVars:()=>!0,isUnbounded:()=>this.unbounded,isSurfaceActive:()=>this.isActive,isSurfaceDisabled:()=>this.disabled,addClass:t=>{switch(t){case"mdc-ripple-upgraded--background-focused":this.bgFocused=!0;break;case"mdc-ripple-upgraded--foreground-activation":this.fgActivation=!0;break;case"mdc-ripple-upgraded--foreground-deactivation":this.fgDeactivation=!0}},removeClass:t=>{switch(t){case"mdc-ripple-upgraded--background-focused":this.bgFocused=!1;break;case"mdc-ripple-upgraded--foreground-activation":this.fgActivation=!1;break;case"mdc-ripple-upgraded--foreground-deactivation":this.fgDeactivation=!1}},containsEventTarget:()=>!0,registerInteractionHandler:()=>{},deregisterInteractionHandler:()=>{},registerDocumentInteractionHandler:()=>{},deregisterDocumentInteractionHandler:()=>{},registerResizeHandler:()=>{},deregisterResizeHandler:()=>{},updateCssVariable:(t,n)=>{switch(t){case"--mdc-ripple-fg-scale":this.fgScale=n;break;case"--mdc-ripple-fg-size":this.fgSize=n;break;case"--mdc-ripple-fg-translate-end":this.translateEnd=n;break;case"--mdc-ripple-fg-translate-start":this.translateStart=n;break;case"--mdc-ripple-left":this.leftPos=n;break;case"--mdc-ripple-top":this.topPos=n}},computeBoundingRect:()=>(this.parentElement||this).getBoundingClientRect(),getWindowPageOffset:()=>({x:window.pageXOffset,y:window.pageYOffset})}}startPress(t){this.waitForFoundation((()=>{this.mdcFoundation.activate(t)}))}endPress(){this.waitForFoundation((()=>{this.mdcFoundation.deactivate()}))}startFocus(){this.waitForFoundation((()=>{this.mdcFoundation.handleFocus()}))}endFocus(){this.waitForFoundation((()=>{this.mdcFoundation.handleBlur()}))}startHover(){this.hovering=!0}endHover(){this.hovering=!1}waitForFoundation(t){this.mdcFoundation?t():this.updateComplete.then(t)}update(t){t.has("disabled")&&this.disabled&&this.endHover(),super.update(t)}render(){const t=this.activated&&(this.primary||!this.accent),n=this.selected&&(this.primary||!this.accent),r={"mdc-ripple-surface--accent":this.accent,"mdc-ripple-surface--primary--activated":t,"mdc-ripple-surface--accent--activated":this.accent&&this.activated,"mdc-ripple-surface--primary--selected":n,"mdc-ripple-surface--accent--selected":this.accent&&this.selected,"mdc-ripple-surface--disabled":this.disabled,"mdc-ripple-surface--hover":this.hovering,"mdc-ripple-surface--primary":this.primary,"mdc-ripple-surface--selected":this.selected,"mdc-ripple-upgraded--background-focused":this.bgFocused,"mdc-ripple-upgraded--foreground-activation":this.fgActivation,"mdc-ripple-upgraded--foreground-deactivation":this.fgDeactivation,"mdc-ripple-upgraded--unbounded":this.unbounded,"mdc-ripple-surface--internal-use-state-layer-custom-properties":this.internalUseStateLayerCustomProperties};return C.dy`
        <div class="mdc-ripple-surface mdc-ripple-upgraded ${(0,A.$)(r)}"
          style="${(0,O.V)({"--mdc-ripple-fg-scale":this.fgScale,"--mdc-ripple-fg-size":this.fgSize,"--mdc-ripple-fg-translate-end":this.translateEnd,"--mdc-ripple-fg-translate-start":this.translateStart,"--mdc-ripple-left":this.leftPos,"--mdc-ripple-top":this.topPos})}"></div>`}}(0,l.gn)([(0,f.I)(".mdc-ripple-surface")],RippleBase.prototype,"mdcRoot",void 0),(0,l.gn)([(0,h.C)({type:Boolean})],RippleBase.prototype,"primary",void 0),(0,l.gn)([(0,h.C)({type:Boolean})],RippleBase.prototype,"accent",void 0),(0,l.gn)([(0,h.C)({type:Boolean})],RippleBase.prototype,"unbounded",void 0),(0,l.gn)([(0,h.C)({type:Boolean})],RippleBase.prototype,"disabled",void 0),(0,l.gn)([(0,h.C)({type:Boolean})],RippleBase.prototype,"activated",void 0),(0,l.gn)([(0,h.C)({type:Boolean})],RippleBase.prototype,"selected",void 0),(0,l.gn)([(0,h.C)({type:Boolean})],RippleBase.prototype,"internalUseStateLayerCustomProperties",void 0),(0,l.gn)([(0,p.S)()],RippleBase.prototype,"hovering",void 0),(0,l.gn)([(0,p.S)()],RippleBase.prototype,"bgFocused",void 0),(0,l.gn)([(0,p.S)()],RippleBase.prototype,"fgActivation",void 0),(0,l.gn)([(0,p.S)()],RippleBase.prototype,"fgDeactivation",void 0),(0,l.gn)([(0,p.S)()],RippleBase.prototype,"fgScale",void 0),(0,l.gn)([(0,p.S)()],RippleBase.prototype,"fgSize",void 0),(0,l.gn)([(0,p.S)()],RippleBase.prototype,"translateStart",void 0),(0,l.gn)([(0,p.S)()],RippleBase.prototype,"translateEnd",void 0),(0,l.gn)([(0,p.S)()],RippleBase.prototype,"leftPos",void 0),(0,l.gn)([(0,p.S)()],RippleBase.prototype,"topPos",void 0);const I=C.iv`.mdc-ripple-surface{--mdc-ripple-fg-size: 0;--mdc-ripple-left: 0;--mdc-ripple-top: 0;--mdc-ripple-fg-scale: 1;--mdc-ripple-fg-translate-end: 0;--mdc-ripple-fg-translate-start: 0;-webkit-tap-highlight-color:rgba(0,0,0,0);will-change:transform,opacity;position:relative;outline:none;overflow:hidden}.mdc-ripple-surface::before,.mdc-ripple-surface::after{position:absolute;border-radius:50%;opacity:0;pointer-events:none;content:""}.mdc-ripple-surface::before{transition:opacity 15ms linear,background-color 15ms linear;z-index:1;z-index:var(--mdc-ripple-z-index, 1)}.mdc-ripple-surface::after{z-index:0;z-index:var(--mdc-ripple-z-index, 0)}.mdc-ripple-surface.mdc-ripple-upgraded::before{transform:scale(var(--mdc-ripple-fg-scale, 1))}.mdc-ripple-surface.mdc-ripple-upgraded::after{top:0;left:0;transform:scale(0);transform-origin:center center}.mdc-ripple-surface.mdc-ripple-upgraded--unbounded::after{top:var(--mdc-ripple-top, 0);left:var(--mdc-ripple-left, 0)}.mdc-ripple-surface.mdc-ripple-upgraded--foreground-activation::after{animation:mdc-ripple-fg-radius-in 225ms forwards,mdc-ripple-fg-opacity-in 75ms forwards}.mdc-ripple-surface.mdc-ripple-upgraded--foreground-deactivation::after{animation:mdc-ripple-fg-opacity-out 150ms;transform:translate(var(--mdc-ripple-fg-translate-end, 0)) scale(var(--mdc-ripple-fg-scale, 1))}.mdc-ripple-surface::before,.mdc-ripple-surface::after{top:calc(50% - 100%);left:calc(50% - 100%);width:200%;height:200%}.mdc-ripple-surface.mdc-ripple-upgraded::after{width:var(--mdc-ripple-fg-size, 100%);height:var(--mdc-ripple-fg-size, 100%)}.mdc-ripple-surface[data-mdc-ripple-is-unbounded],.mdc-ripple-upgraded--unbounded{overflow:visible}.mdc-ripple-surface[data-mdc-ripple-is-unbounded]::before,.mdc-ripple-surface[data-mdc-ripple-is-unbounded]::after,.mdc-ripple-upgraded--unbounded::before,.mdc-ripple-upgraded--unbounded::after{top:calc(50% - 50%);left:calc(50% - 50%);width:100%;height:100%}.mdc-ripple-surface[data-mdc-ripple-is-unbounded].mdc-ripple-upgraded::before,.mdc-ripple-surface[data-mdc-ripple-is-unbounded].mdc-ripple-upgraded::after,.mdc-ripple-upgraded--unbounded.mdc-ripple-upgraded::before,.mdc-ripple-upgraded--unbounded.mdc-ripple-upgraded::after{top:var(--mdc-ripple-top, calc(50% - 50%));left:var(--mdc-ripple-left, calc(50% - 50%));width:var(--mdc-ripple-fg-size, 100%);height:var(--mdc-ripple-fg-size, 100%)}.mdc-ripple-surface[data-mdc-ripple-is-unbounded].mdc-ripple-upgraded::after,.mdc-ripple-upgraded--unbounded.mdc-ripple-upgraded::after{width:var(--mdc-ripple-fg-size, 100%);height:var(--mdc-ripple-fg-size, 100%)}.mdc-ripple-surface::before,.mdc-ripple-surface::after{background-color:#000;background-color:var(--mdc-ripple-color, #000)}.mdc-ripple-surface:hover::before,.mdc-ripple-surface.mdc-ripple-surface--hover::before{opacity:0.04;opacity:var(--mdc-ripple-hover-opacity, 0.04)}.mdc-ripple-surface.mdc-ripple-upgraded--background-focused::before,.mdc-ripple-surface:not(.mdc-ripple-upgraded):focus::before{transition-duration:75ms;opacity:0.12;opacity:var(--mdc-ripple-focus-opacity, 0.12)}.mdc-ripple-surface:not(.mdc-ripple-upgraded)::after{transition:opacity 150ms linear}.mdc-ripple-surface:not(.mdc-ripple-upgraded):active::after{transition-duration:75ms;opacity:0.12;opacity:var(--mdc-ripple-press-opacity, 0.12)}.mdc-ripple-surface.mdc-ripple-upgraded{--mdc-ripple-fg-opacity:var(--mdc-ripple-press-opacity, 0.12)}@keyframes mdc-ripple-fg-radius-in{from{animation-timing-function:cubic-bezier(0.4, 0, 0.2, 1);transform:translate(var(--mdc-ripple-fg-translate-start, 0)) scale(1)}to{transform:translate(var(--mdc-ripple-fg-translate-end, 0)) scale(var(--mdc-ripple-fg-scale, 1))}}@keyframes mdc-ripple-fg-opacity-in{from{animation-timing-function:linear;opacity:0}to{opacity:var(--mdc-ripple-fg-opacity, 0)}}@keyframes mdc-ripple-fg-opacity-out{from{animation-timing-function:linear;opacity:var(--mdc-ripple-fg-opacity, 0)}to{opacity:0}}:host{position:absolute;top:0;left:0;width:100%;height:100%;pointer-events:none;display:block}:host .mdc-ripple-surface{position:absolute;top:0;left:0;width:100%;height:100%;pointer-events:none;will-change:unset}.mdc-ripple-surface--primary::before,.mdc-ripple-surface--primary::after{background-color:#6200ee;background-color:var(--mdc-ripple-color, var(--mdc-theme-primary, #6200ee))}.mdc-ripple-surface--primary:hover::before,.mdc-ripple-surface--primary.mdc-ripple-surface--hover::before{opacity:0.04;opacity:var(--mdc-ripple-hover-opacity, 0.04)}.mdc-ripple-surface--primary.mdc-ripple-upgraded--background-focused::before,.mdc-ripple-surface--primary:not(.mdc-ripple-upgraded):focus::before{transition-duration:75ms;opacity:0.12;opacity:var(--mdc-ripple-focus-opacity, 0.12)}.mdc-ripple-surface--primary:not(.mdc-ripple-upgraded)::after{transition:opacity 150ms linear}.mdc-ripple-surface--primary:not(.mdc-ripple-upgraded):active::after{transition-duration:75ms;opacity:0.12;opacity:var(--mdc-ripple-press-opacity, 0.12)}.mdc-ripple-surface--primary.mdc-ripple-upgraded{--mdc-ripple-fg-opacity:var(--mdc-ripple-press-opacity, 0.12)}.mdc-ripple-surface--primary--activated::before{opacity:0.12;opacity:var(--mdc-ripple-activated-opacity, 0.12)}.mdc-ripple-surface--primary--activated::before,.mdc-ripple-surface--primary--activated::after{background-color:#6200ee;background-color:var(--mdc-ripple-color, var(--mdc-theme-primary, #6200ee))}.mdc-ripple-surface--primary--activated:hover::before,.mdc-ripple-surface--primary--activated.mdc-ripple-surface--hover::before{opacity:0.16;opacity:var(--mdc-ripple-hover-opacity, 0.16)}.mdc-ripple-surface--primary--activated.mdc-ripple-upgraded--background-focused::before,.mdc-ripple-surface--primary--activated:not(.mdc-ripple-upgraded):focus::before{transition-duration:75ms;opacity:0.24;opacity:var(--mdc-ripple-focus-opacity, 0.24)}.mdc-ripple-surface--primary--activated:not(.mdc-ripple-upgraded)::after{transition:opacity 150ms linear}.mdc-ripple-surface--primary--activated:not(.mdc-ripple-upgraded):active::after{transition-duration:75ms;opacity:0.24;opacity:var(--mdc-ripple-press-opacity, 0.24)}.mdc-ripple-surface--primary--activated.mdc-ripple-upgraded{--mdc-ripple-fg-opacity:var(--mdc-ripple-press-opacity, 0.24)}.mdc-ripple-surface--primary--selected::before{opacity:0.08;opacity:var(--mdc-ripple-selected-opacity, 0.08)}.mdc-ripple-surface--primary--selected::before,.mdc-ripple-surface--primary--selected::after{background-color:#6200ee;background-color:var(--mdc-ripple-color, var(--mdc-theme-primary, #6200ee))}.mdc-ripple-surface--primary--selected:hover::before,.mdc-ripple-surface--primary--selected.mdc-ripple-surface--hover::before{opacity:0.12;opacity:var(--mdc-ripple-hover-opacity, 0.12)}.mdc-ripple-surface--primary--selected.mdc-ripple-upgraded--background-focused::before,.mdc-ripple-surface--primary--selected:not(.mdc-ripple-upgraded):focus::before{transition-duration:75ms;opacity:0.2;opacity:var(--mdc-ripple-focus-opacity, 0.2)}.mdc-ripple-surface--primary--selected:not(.mdc-ripple-upgraded)::after{transition:opacity 150ms linear}.mdc-ripple-surface--primary--selected:not(.mdc-ripple-upgraded):active::after{transition-duration:75ms;opacity:0.2;opacity:var(--mdc-ripple-press-opacity, 0.2)}.mdc-ripple-surface--primary--selected.mdc-ripple-upgraded{--mdc-ripple-fg-opacity:var(--mdc-ripple-press-opacity, 0.2)}.mdc-ripple-surface--accent::before,.mdc-ripple-surface--accent::after{background-color:#018786;background-color:var(--mdc-ripple-color, var(--mdc-theme-secondary, #018786))}.mdc-ripple-surface--accent:hover::before,.mdc-ripple-surface--accent.mdc-ripple-surface--hover::before{opacity:0.04;opacity:var(--mdc-ripple-hover-opacity, 0.04)}.mdc-ripple-surface--accent.mdc-ripple-upgraded--background-focused::before,.mdc-ripple-surface--accent:not(.mdc-ripple-upgraded):focus::before{transition-duration:75ms;opacity:0.12;opacity:var(--mdc-ripple-focus-opacity, 0.12)}.mdc-ripple-surface--accent:not(.mdc-ripple-upgraded)::after{transition:opacity 150ms linear}.mdc-ripple-surface--accent:not(.mdc-ripple-upgraded):active::after{transition-duration:75ms;opacity:0.12;opacity:var(--mdc-ripple-press-opacity, 0.12)}.mdc-ripple-surface--accent.mdc-ripple-upgraded{--mdc-ripple-fg-opacity:var(--mdc-ripple-press-opacity, 0.12)}.mdc-ripple-surface--accent--activated::before{opacity:0.12;opacity:var(--mdc-ripple-activated-opacity, 0.12)}.mdc-ripple-surface--accent--activated::before,.mdc-ripple-surface--accent--activated::after{background-color:#018786;background-color:var(--mdc-ripple-color, var(--mdc-theme-secondary, #018786))}.mdc-ripple-surface--accent--activated:hover::before,.mdc-ripple-surface--accent--activated.mdc-ripple-surface--hover::before{opacity:0.16;opacity:var(--mdc-ripple-hover-opacity, 0.16)}.mdc-ripple-surface--accent--activated.mdc-ripple-upgraded--background-focused::before,.mdc-ripple-surface--accent--activated:not(.mdc-ripple-upgraded):focus::before{transition-duration:75ms;opacity:0.24;opacity:var(--mdc-ripple-focus-opacity, 0.24)}.mdc-ripple-surface--accent--activated:not(.mdc-ripple-upgraded)::after{transition:opacity 150ms linear}.mdc-ripple-surface--accent--activated:not(.mdc-ripple-upgraded):active::after{transition-duration:75ms;opacity:0.24;opacity:var(--mdc-ripple-press-opacity, 0.24)}.mdc-ripple-surface--accent--activated.mdc-ripple-upgraded{--mdc-ripple-fg-opacity:var(--mdc-ripple-press-opacity, 0.24)}.mdc-ripple-surface--accent--selected::before{opacity:0.08;opacity:var(--mdc-ripple-selected-opacity, 0.08)}.mdc-ripple-surface--accent--selected::before,.mdc-ripple-surface--accent--selected::after{background-color:#018786;background-color:var(--mdc-ripple-color, var(--mdc-theme-secondary, #018786))}.mdc-ripple-surface--accent--selected:hover::before,.mdc-ripple-surface--accent--selected.mdc-ripple-surface--hover::before{opacity:0.12;opacity:var(--mdc-ripple-hover-opacity, 0.12)}.mdc-ripple-surface--accent--selected.mdc-ripple-upgraded--background-focused::before,.mdc-ripple-surface--accent--selected:not(.mdc-ripple-upgraded):focus::before{transition-duration:75ms;opacity:0.2;opacity:var(--mdc-ripple-focus-opacity, 0.2)}.mdc-ripple-surface--accent--selected:not(.mdc-ripple-upgraded)::after{transition:opacity 150ms linear}.mdc-ripple-surface--accent--selected:not(.mdc-ripple-upgraded):active::after{transition-duration:75ms;opacity:0.2;opacity:var(--mdc-ripple-press-opacity, 0.2)}.mdc-ripple-surface--accent--selected.mdc-ripple-upgraded{--mdc-ripple-fg-opacity:var(--mdc-ripple-press-opacity, 0.2)}.mdc-ripple-surface--disabled{opacity:0}.mdc-ripple-surface--internal-use-state-layer-custom-properties::before,.mdc-ripple-surface--internal-use-state-layer-custom-properties::after{background-color:#000;background-color:var(--mdc-ripple-hover-state-layer-color, #000)}.mdc-ripple-surface--internal-use-state-layer-custom-properties:hover::before,.mdc-ripple-surface--internal-use-state-layer-custom-properties.mdc-ripple-surface--hover::before{opacity:0.04;opacity:var(--mdc-ripple-hover-state-layer-opacity, 0.04)}.mdc-ripple-surface--internal-use-state-layer-custom-properties.mdc-ripple-upgraded--background-focused::before,.mdc-ripple-surface--internal-use-state-layer-custom-properties:not(.mdc-ripple-upgraded):focus::before{transition-duration:75ms;opacity:0.12;opacity:var(--mdc-ripple-focus-state-layer-opacity, 0.12)}.mdc-ripple-surface--internal-use-state-layer-custom-properties:not(.mdc-ripple-upgraded)::after{transition:opacity 150ms linear}.mdc-ripple-surface--internal-use-state-layer-custom-properties:not(.mdc-ripple-upgraded):active::after{transition-duration:75ms;opacity:0.12;opacity:var(--mdc-ripple-pressed-state-layer-opacity, 0.12)}.mdc-ripple-surface--internal-use-state-layer-custom-properties.mdc-ripple-upgraded{--mdc-ripple-fg-opacity:var(--mdc-ripple-pressed-state-layer-opacity, 0.12)}`;let P=class Ripple extends RippleBase{};P.styles=[I],P=(0,l.gn)([(0,d.M)("mwc-ripple")],P)},9263:(t,n,r)=>{"use strict";r.d(n,{A:()=>RippleHandlers});class RippleHandlers{constructor(t){this.startPress=n=>{t().then((t=>{t&&t.startPress(n)}))},this.endPress=()=>{t().then((t=>{t&&t.endPress()}))},this.startFocus=()=>{t().then((t=>{t&&t.startFocus()}))},this.endFocus=()=>{t().then((t=>{t&&t.endFocus()}))},this.startHover=()=>{t().then((t=>{t&&t.startHover()}))},this.endHover=()=>{t().then((t=>{t&&t.endHover()}))}}}},9282:(t,n,r)=>{"use strict";var l=r(4155),d=r(5108);function h(t){return h="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(t){return typeof t}:function(t){return t&&"function"==typeof Symbol&&t.constructor===Symbol&&t!==Symbol.prototype?"symbol":typeof t},h(t)}var p,f,m=r(2136).codes,g=m.ERR_AMBIGUOUS_ARGUMENT,y=m.ERR_INVALID_ARG_TYPE,v=m.ERR_INVALID_ARG_VALUE,b=m.ERR_INVALID_RETURN_VALUE,x=m.ERR_MISSING_ARGS,w=r(5961),S=r(9539).inspect,_=r(9539).types,E=_.isPromise,T=_.isRegExp,C=Object.assign?Object.assign:r(8091).assign,A=Object.is?Object.is:r(609);new Map;function O(){var t=r(9158);p=t.isDeepEqual,f=t.isDeepStrictEqual}var I=!1,P=t.exports=$,D={};function F(t){if(t.message instanceof Error)throw t.message;throw new w(t)}function B(t,n,r,l){if(!r){var d=!1;if(0===n)d=!0,l="No value argument passed to `assert.ok()`";else if(l instanceof Error)throw l;var h=new w({actual:r,expected:!0,message:l,operator:"==",stackStartFn:t});throw h.generatedMessage=d,h}}function $(){for(var t=arguments.length,n=new Array(t),r=0;r<t;r++)n[r]=arguments[r];B.apply(void 0,[$,n.length].concat(n))}P.fail=function t(n,r,h,p,f){var m,g=arguments.length;if(0===g)m="Failed";else if(1===g)h=n,n=void 0;else{if(!1===I)I=!0,(l.emitWarning?l.emitWarning:d.warn.bind(d))("assert.fail() with more than one argument is deprecated. Please use assert.strictEqual() instead or only pass a message.","DeprecationWarning","DEP0094");2===g&&(p="!=")}if(h instanceof Error)throw h;var y={actual:n,expected:r,operator:void 0===p?"fail":p,stackStartFn:f||t};void 0!==h&&(y.message=h);var v=new w(y);throw m&&(v.message=m,v.generatedMessage=!0),v},P.AssertionError=w,P.ok=$,P.equal=function t(n,r,l){if(arguments.length<2)throw new x("actual","expected");n!=r&&F({actual:n,expected:r,message:l,operator:"==",stackStartFn:t})},P.notEqual=function t(n,r,l){if(arguments.length<2)throw new x("actual","expected");n==r&&F({actual:n,expected:r,message:l,operator:"!=",stackStartFn:t})},P.deepEqual=function t(n,r,l){if(arguments.length<2)throw new x("actual","expected");void 0===p&&O(),p(n,r)||F({actual:n,expected:r,message:l,operator:"deepEqual",stackStartFn:t})},P.notDeepEqual=function t(n,r,l){if(arguments.length<2)throw new x("actual","expected");void 0===p&&O(),p(n,r)&&F({actual:n,expected:r,message:l,operator:"notDeepEqual",stackStartFn:t})},P.deepStrictEqual=function t(n,r,l){if(arguments.length<2)throw new x("actual","expected");void 0===p&&O(),f(n,r)||F({actual:n,expected:r,message:l,operator:"deepStrictEqual",stackStartFn:t})},P.notDeepStrictEqual=function t(n,r,l){if(arguments.length<2)throw new x("actual","expected");void 0===p&&O();f(n,r)&&F({actual:n,expected:r,message:l,operator:"notDeepStrictEqual",stackStartFn:t})},P.strictEqual=function t(n,r,l){if(arguments.length<2)throw new x("actual","expected");A(n,r)||F({actual:n,expected:r,message:l,operator:"strictEqual",stackStartFn:t})},P.notStrictEqual=function t(n,r,l){if(arguments.length<2)throw new x("actual","expected");A(n,r)&&F({actual:n,expected:r,message:l,operator:"notStrictEqual",stackStartFn:t})};var j=function t(n,r,l){var d=this;!function(t,n){if(!(t instanceof n))throw new TypeError("Cannot call a class as a function")}(this,t),r.forEach((function(t){t in n&&(void 0!==l&&"string"==typeof l[t]&&T(n[t])&&n[t].test(l[t])?d[t]=l[t]:d[t]=n[t])}))};function V(t,n,r,l){if("function"!=typeof n){if(T(n))return n.test(t);if(2===arguments.length)throw new y("expected",["Function","RegExp"],n);if("object"!==h(t)||null===t){var d=new w({actual:t,expected:n,message:r,operator:"deepStrictEqual",stackStartFn:l});throw d.operator=l.name,d}var m=Object.keys(n);if(n instanceof Error)m.push("name","message");else if(0===m.length)throw new v("error",n,"may not be an empty object");return void 0===p&&O(),m.forEach((function(d){"string"==typeof t[d]&&T(n[d])&&n[d].test(t[d])||function(t,n,r,l,d,h){if(!(r in t)||!f(t[r],n[r])){if(!l){var p=new j(t,d),m=new j(n,d,t),g=new w({actual:p,expected:m,operator:"deepStrictEqual",stackStartFn:h});throw g.actual=t,g.expected=n,g.operator=h.name,g}F({actual:t,expected:n,message:l,operator:h.name,stackStartFn:h})}}(t,n,d,r,m,l)})),!0}return void 0!==n.prototype&&t instanceof n||!Error.isPrototypeOf(n)&&!0===n.call({},t)}function U(t){if("function"!=typeof t)throw new y("fn","Function",t);try{t()}catch(t){return t}return D}function G(t){return E(t)||null!==t&&"object"===h(t)&&"function"==typeof t.then&&"function"==typeof t.catch}function W(t){return Promise.resolve().then((function(){var n;if("function"==typeof t){if(!G(n=t()))throw new b("instance of Promise","promiseFn",n)}else{if(!G(t))throw new y("promiseFn",["Function","Promise"],t);n=t}return Promise.resolve().then((function(){return n})).then((function(){return D})).catch((function(t){return t}))}))}function q(t,n,r,l){if("string"==typeof r){if(4===arguments.length)throw new y("error",["Object","Error","Function","RegExp"],r);if("object"===h(n)&&null!==n){if(n.message===r)throw new g("error/message",'The error message "'.concat(n.message,'" is identical to the message.'))}else if(n===r)throw new g("error/message",'The error "'.concat(n,'" is identical to the message.'));l=r,r=void 0}else if(null!=r&&"object"!==h(r)&&"function"!=typeof r)throw new y("error",["Object","Error","Function","RegExp"],r);if(n===D){var d="";r&&r.name&&(d+=" (".concat(r.name,")")),d+=l?": ".concat(l):".";var p="rejects"===t.name?"rejection":"exception";F({actual:void 0,expected:r,operator:t.name,message:"Missing expected ".concat(p).concat(d),stackStartFn:t})}if(r&&!V(n,r,l,t))throw n}function X(t,n,r,l){if(n!==D){if("string"==typeof r&&(l=r,r=void 0),!r||V(n,r)){var d=l?": ".concat(l):".",h="doesNotReject"===t.name?"rejection":"exception";F({actual:n,expected:r,operator:t.name,message:"Got unwanted ".concat(h).concat(d,"\n")+'Actual message: "'.concat(n&&n.message,'"'),stackStartFn:t})}throw n}}function Y(){for(var t=arguments.length,n=new Array(t),r=0;r<t;r++)n[r]=arguments[r];B.apply(void 0,[Y,n.length].concat(n))}P.throws=function t(n){for(var r=arguments.length,l=new Array(r>1?r-1:0),d=1;d<r;d++)l[d-1]=arguments[d];q.apply(void 0,[t,U(n)].concat(l))},P.rejects=function t(n){for(var r=arguments.length,l=new Array(r>1?r-1:0),d=1;d<r;d++)l[d-1]=arguments[d];return W(n).then((function(n){return q.apply(void 0,[t,n].concat(l))}))},P.doesNotThrow=function t(n){for(var r=arguments.length,l=new Array(r>1?r-1:0),d=1;d<r;d++)l[d-1]=arguments[d];X.apply(void 0,[t,U(n)].concat(l))},P.doesNotReject=function t(n){for(var r=arguments.length,l=new Array(r>1?r-1:0),d=1;d<r;d++)l[d-1]=arguments[d];return W(n).then((function(n){return X.apply(void 0,[t,n].concat(l))}))},P.ifError=function t(n){if(null!=n){var r="ifError got unwanted exception: ";"object"===h(n)&&"string"==typeof n.message?0===n.message.length&&n.constructor?r+=n.constructor.name:r+=n.message:r+=S(n);var l=new w({actual:n,expected:null,operator:"ifError",message:r,stackStartFn:t}),d=n.stack;if("string"==typeof d){var p=d.split("\n");p.shift();for(var f=l.stack.split("\n"),m=0;m<p.length;m++){var g=f.indexOf(p[m]);if(-1!==g){f=f.slice(0,g);break}}l.stack="".concat(f.join("\n"),"\n").concat(p.join("\n"))}throw l}},P.strict=C(Y,P,{equal:P.strictEqual,deepEqual:P.deepStrictEqual,notEqual:P.notStrictEqual,notDeepEqual:P.notDeepStrictEqual}),P.strict.strict=P.strict},5961:(t,n,r)=>{"use strict";var l=r(4155);function d(t,n,r){return n in t?Object.defineProperty(t,n,{value:r,enumerable:!0,configurable:!0,writable:!0}):t[n]=r,t}function h(t,n){for(var r=0;r<n.length;r++){var l=n[r];l.enumerable=l.enumerable||!1,l.configurable=!0,"value"in l&&(l.writable=!0),Object.defineProperty(t,l.key,l)}}function p(t,n){return!n||"object"!==b(n)&&"function"!=typeof n?f(t):n}function f(t){if(void 0===t)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return t}function m(t){var n="function"==typeof Map?new Map:void 0;return m=function(t){if(null===t||(r=t,-1===Function.toString.call(r).indexOf("[native code]")))return t;var r;if("function"!=typeof t)throw new TypeError("Super expression must either be null or a function");if(void 0!==n){if(n.has(t))return n.get(t);n.set(t,l)}function l(){return g(t,arguments,v(this).constructor)}return l.prototype=Object.create(t.prototype,{constructor:{value:l,enumerable:!1,writable:!0,configurable:!0}}),y(l,t)},m(t)}function g(t,n,r){return g=function(){if("undefined"==typeof Reflect||!Reflect.construct)return!1;if(Reflect.construct.sham)return!1;if("function"==typeof Proxy)return!0;try{return Date.prototype.toString.call(Reflect.construct(Date,[],(function(){}))),!0}catch(t){return!1}}()?Reflect.construct:function(t,n,r){var l=[null];l.push.apply(l,n);var d=new(Function.bind.apply(t,l));return r&&y(d,r.prototype),d},g.apply(null,arguments)}function y(t,n){return y=Object.setPrototypeOf||function(t,n){return t.__proto__=n,t},y(t,n)}function v(t){return v=Object.setPrototypeOf?Object.getPrototypeOf:function(t){return t.__proto__||Object.getPrototypeOf(t)},v(t)}function b(t){return b="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(t){return typeof t}:function(t){return t&&"function"==typeof Symbol&&t.constructor===Symbol&&t!==Symbol.prototype?"symbol":typeof t},b(t)}var x=r(9539).inspect,w=r(2136).codes.ERR_INVALID_ARG_TYPE;function S(t,n,r){return(void 0===r||r>t.length)&&(r=t.length),t.substring(r-n.length,r)===n}var _="",E="",T="",C="",A={deepStrictEqual:"Expected values to be strictly deep-equal:",strictEqual:"Expected values to be strictly equal:",strictEqualObject:'Expected "actual" to be reference-equal to "expected":',deepEqual:"Expected values to be loosely deep-equal:",equal:"Expected values to be loosely equal:",notDeepStrictEqual:'Expected "actual" not to be strictly deep-equal to:',notStrictEqual:'Expected "actual" to be strictly unequal to:',notStrictEqualObject:'Expected "actual" not to be reference-equal to "expected":',notDeepEqual:'Expected "actual" not to be loosely deep-equal to:',notEqual:'Expected "actual" to be loosely unequal to:',notIdentical:"Values identical but not reference-equal:"};function O(t){var n=Object.keys(t),r=Object.create(Object.getPrototypeOf(t));return n.forEach((function(n){r[n]=t[n]})),Object.defineProperty(r,"message",{value:t.message}),r}function I(t){return x(t,{compact:!1,customInspect:!1,depth:1e3,maxArrayLength:1/0,showHidden:!1,breakLength:1/0,showProxy:!1,sorted:!0,getters:!0})}function P(t,n,r){var d="",h="",p=0,f="",m=!1,g=I(t),y=g.split("\n"),v=I(n).split("\n"),x=0,w="";if("strictEqual"===r&&"object"===b(t)&&"object"===b(n)&&null!==t&&null!==n&&(r="strictEqualObject"),1===y.length&&1===v.length&&y[0]!==v[0]){var O=y[0].length+v[0].length;if(O<=10){if(!("object"===b(t)&&null!==t||"object"===b(n)&&null!==n||0===t&&0===n))return"".concat(A[r],"\n\n")+"".concat(y[0]," !== ").concat(v[0],"\n")}else if("strictEqualObject"!==r){if(O<(l.stderr&&l.stderr.isTTY?l.stderr.columns:80)){for(;y[0][x]===v[0][x];)x++;x>2&&(w="\n  ".concat(function(t,n){if(n=Math.floor(n),0==t.length||0==n)return"";var r=t.length*n;for(n=Math.floor(Math.log(n)/Math.log(2));n;)t+=t,n--;return t+t.substring(0,r-t.length)}(" ",x),"^"),x=0)}}}for(var P=y[y.length-1],D=v[v.length-1];P===D&&(x++<2?f="\n  ".concat(P).concat(f):d=P,y.pop(),v.pop(),0!==y.length&&0!==v.length);)P=y[y.length-1],D=v[v.length-1];var F=Math.max(y.length,v.length);if(0===F){var B=g.split("\n");if(B.length>30)for(B[26]="".concat(_,"...").concat(C);B.length>27;)B.pop();return"".concat(A.notIdentical,"\n\n").concat(B.join("\n"),"\n")}x>3&&(f="\n".concat(_,"...").concat(C).concat(f),m=!0),""!==d&&(f="\n  ".concat(d).concat(f),d="");var $=0,j=A[r]+"\n".concat(E,"+ actual").concat(C," ").concat(T,"- expected").concat(C),V=" ".concat(_,"...").concat(C," Lines skipped");for(x=0;x<F;x++){var U=x-p;if(y.length<x+1)U>1&&x>2&&(U>4?(h+="\n".concat(_,"...").concat(C),m=!0):U>3&&(h+="\n  ".concat(v[x-2]),$++),h+="\n  ".concat(v[x-1]),$++),p=x,d+="\n".concat(T,"-").concat(C," ").concat(v[x]),$++;else if(v.length<x+1)U>1&&x>2&&(U>4?(h+="\n".concat(_,"...").concat(C),m=!0):U>3&&(h+="\n  ".concat(y[x-2]),$++),h+="\n  ".concat(y[x-1]),$++),p=x,h+="\n".concat(E,"+").concat(C," ").concat(y[x]),$++;else{var G=v[x],W=y[x],q=W!==G&&(!S(W,",")||W.slice(0,-1)!==G);q&&S(G,",")&&G.slice(0,-1)===W&&(q=!1,W+=","),q?(U>1&&x>2&&(U>4?(h+="\n".concat(_,"...").concat(C),m=!0):U>3&&(h+="\n  ".concat(y[x-2]),$++),h+="\n  ".concat(y[x-1]),$++),p=x,h+="\n".concat(E,"+").concat(C," ").concat(W),d+="\n".concat(T,"-").concat(C," ").concat(G),$+=2):(h+=d,d="",1!==U&&0!==x||(h+="\n  ".concat(W),$++))}if($>20&&x<F-2)return"".concat(j).concat(V,"\n").concat(h,"\n").concat(_,"...").concat(C).concat(d,"\n")+"".concat(_,"...").concat(C)}return"".concat(j).concat(m?V:"","\n").concat(h).concat(d).concat(f).concat(w)}var D=function(t){function n(t){var r;if(function(t,n){if(!(t instanceof n))throw new TypeError("Cannot call a class as a function")}(this,n),"object"!==b(t)||null===t)throw new w("options","Object",t);var d=t.message,h=t.operator,m=t.stackStartFn,g=t.actual,y=t.expected,x=Error.stackTraceLimit;if(Error.stackTraceLimit=0,null!=d)r=p(this,v(n).call(this,String(d)));else if(l.stderr&&l.stderr.isTTY&&(l.stderr&&l.stderr.getColorDepth&&1!==l.stderr.getColorDepth()?(_="[34m",E="[32m",C="[39m",T="[31m"):(_="",E="",C="",T="")),"object"===b(g)&&null!==g&&"object"===b(y)&&null!==y&&"stack"in g&&g instanceof Error&&"stack"in y&&y instanceof Error&&(g=O(g),y=O(y)),"deepStrictEqual"===h||"strictEqual"===h)r=p(this,v(n).call(this,P(g,y,h)));else if("notDeepStrictEqual"===h||"notStrictEqual"===h){var S=A[h],D=I(g).split("\n");if("notStrictEqual"===h&&"object"===b(g)&&null!==g&&(S=A.notStrictEqualObject),D.length>30)for(D[26]="".concat(_,"...").concat(C);D.length>27;)D.pop();r=1===D.length?p(this,v(n).call(this,"".concat(S," ").concat(D[0]))):p(this,v(n).call(this,"".concat(S,"\n\n").concat(D.join("\n"),"\n")))}else{var F=I(g),B="",$=A[h];"notDeepEqual"===h||"notEqual"===h?(F="".concat(A[h],"\n\n").concat(F)).length>1024&&(F="".concat(F.slice(0,1021),"...")):(B="".concat(I(y)),F.length>512&&(F="".concat(F.slice(0,509),"...")),B.length>512&&(B="".concat(B.slice(0,509),"...")),"deepEqual"===h||"equal"===h?F="".concat($,"\n\n").concat(F,"\n\nshould equal\n\n"):B=" ".concat(h," ").concat(B)),r=p(this,v(n).call(this,"".concat(F).concat(B)))}return Error.stackTraceLimit=x,r.generatedMessage=!d,Object.defineProperty(f(r),"name",{value:"AssertionError [ERR_ASSERTION]",enumerable:!1,writable:!0,configurable:!0}),r.code="ERR_ASSERTION",r.actual=g,r.expected=y,r.operator=h,Error.captureStackTrace&&Error.captureStackTrace(f(r),m),r.stack,r.name="AssertionError",p(r)}var r,m,g;return function(t,n){if("function"!=typeof n&&null!==n)throw new TypeError("Super expression must either be null or a function");t.prototype=Object.create(n&&n.prototype,{constructor:{value:t,writable:!0,configurable:!0}}),n&&y(t,n)}(n,t),r=n,m=[{key:"toString",value:function(){return"".concat(this.name," [").concat(this.code,"]: ").concat(this.message)}},{key:x.custom,value:function(t,n){return x(this,function(t){for(var n=1;n<arguments.length;n++){var r=null!=arguments[n]?arguments[n]:{},l=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(l=l.concat(Object.getOwnPropertySymbols(r).filter((function(t){return Object.getOwnPropertyDescriptor(r,t).enumerable})))),l.forEach((function(n){d(t,n,r[n])}))}return t}({},n,{customInspect:!1,depth:0}))}}],m&&h(r.prototype,m),g&&h(r,g),n}(m(Error));t.exports=D},2136:(t,n,r)=>{"use strict";function l(t){return l="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(t){return typeof t}:function(t){return t&&"function"==typeof Symbol&&t.constructor===Symbol&&t!==Symbol.prototype?"symbol":typeof t},l(t)}function d(t,n){return!n||"object"!==l(n)&&"function"!=typeof n?function(t){if(void 0===t)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return t}(t):n}function h(t){return h=Object.setPrototypeOf?Object.getPrototypeOf:function(t){return t.__proto__||Object.getPrototypeOf(t)},h(t)}function p(t,n){return p=Object.setPrototypeOf||function(t,n){return t.__proto__=n,t},p(t,n)}var f,m,g={};function y(t,n,r){r||(r=Error);var l=function(r){function l(r,p,f){var m;return function(t,n){if(!(t instanceof n))throw new TypeError("Cannot call a class as a function")}(this,l),m=d(this,h(l).call(this,function(t,r,l){return"string"==typeof n?n:n(t,r,l)}(r,p,f))),m.code=t,m}return function(t,n){if("function"!=typeof n&&null!==n)throw new TypeError("Super expression must either be null or a function");t.prototype=Object.create(n&&n.prototype,{constructor:{value:t,writable:!0,configurable:!0}}),n&&p(t,n)}(l,r),l}(r);g[t]=l}function v(t,n){if(Array.isArray(t)){var r=t.length;return t=t.map((function(t){return String(t)})),r>2?"one of ".concat(n," ").concat(t.slice(0,r-1).join(", "),", or ")+t[r-1]:2===r?"one of ".concat(n," ").concat(t[0]," or ").concat(t[1]):"of ".concat(n," ").concat(t[0])}return"of ".concat(n," ").concat(String(t))}y("ERR_AMBIGUOUS_ARGUMENT",'The "%s" argument is ambiguous. %s',TypeError),y("ERR_INVALID_ARG_TYPE",(function(t,n,d){var h,p,m,g;if(void 0===f&&(f=r(9282)),f("string"==typeof t,"'name' must be a string"),"string"==typeof n&&(p="not ",n.substr(!m||m<0?0:+m,p.length)===p)?(h="must not be",n=n.replace(/^not /,"")):h="must be",function(t,n,r){return(void 0===r||r>t.length)&&(r=t.length),t.substring(r-n.length,r)===n}(t," argument"))g="The ".concat(t," ").concat(h," ").concat(v(n,"type"));else{var y=function(t,n,r){return"number"!=typeof r&&(r=0),!(r+n.length>t.length)&&-1!==t.indexOf(n,r)}(t,".")?"property":"argument";g='The "'.concat(t,'" ').concat(y," ").concat(h," ").concat(v(n,"type"))}return g+=". Received type ".concat(l(d))}),TypeError),y("ERR_INVALID_ARG_VALUE",(function(t,n){var l=arguments.length>2&&void 0!==arguments[2]?arguments[2]:"is invalid";void 0===m&&(m=r(9539));var d=m.inspect(n);return d.length>128&&(d="".concat(d.slice(0,128),"...")),"The argument '".concat(t,"' ").concat(l,". Received ").concat(d)}),TypeError,RangeError),y("ERR_INVALID_RETURN_VALUE",(function(t,n,r){var d;return d=r&&r.constructor&&r.constructor.name?"instance of ".concat(r.constructor.name):"type ".concat(l(r)),"Expected ".concat(t,' to be returned from the "').concat(n,'"')+" function but got ".concat(d,".")}),TypeError),y("ERR_MISSING_ARGS",(function(){for(var t=arguments.length,n=new Array(t),l=0;l<t;l++)n[l]=arguments[l];void 0===f&&(f=r(9282)),f(n.length>0,"At least one arg needs to be specified");var d="The ",h=n.length;switch(n=n.map((function(t){return'"'.concat(t,'"')})),h){case 1:d+="".concat(n[0]," argument");break;case 2:d+="".concat(n[0]," and ").concat(n[1]," arguments");break;default:d+=n.slice(0,h-1).join(", "),d+=", and ".concat(n[h-1]," arguments")}return"".concat(d," must be specified")}),TypeError),t.exports.codes=g},9158:(t,n,r)=>{"use strict";function l(t,n){return function(t){if(Array.isArray(t))return t}(t)||function(t,n){var r=[],l=!0,d=!1,h=void 0;try{for(var p,f=t[Symbol.iterator]();!(l=(p=f.next()).done)&&(r.push(p.value),!n||r.length!==n);l=!0);}catch(t){d=!0,h=t}finally{try{l||null==f.return||f.return()}finally{if(d)throw h}}return r}(t,n)||function(){throw new TypeError("Invalid attempt to destructure non-iterable instance")}()}function d(t){return d="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(t){return typeof t}:function(t){return t&&"function"==typeof Symbol&&t.constructor===Symbol&&t!==Symbol.prototype?"symbol":typeof t},d(t)}var h=void 0!==/a/g.flags,p=function(t){var n=[];return t.forEach((function(t){return n.push(t)})),n},f=function(t){var n=[];return t.forEach((function(t,r){return n.push([r,t])})),n},m=Object.is?Object.is:r(609),g=Object.getOwnPropertySymbols?Object.getOwnPropertySymbols:function(){return[]},y=Number.isNaN?Number.isNaN:r(360);function v(t){return t.call.bind(t)}var b=v(Object.prototype.hasOwnProperty),x=v(Object.prototype.propertyIsEnumerable),w=v(Object.prototype.toString),S=r(9539).types,_=S.isAnyArrayBuffer,E=S.isArrayBufferView,T=S.isDate,C=S.isMap,A=S.isRegExp,O=S.isSet,I=S.isNativeError,P=S.isBoxedPrimitive,D=S.isNumberObject,F=S.isStringObject,B=S.isBooleanObject,$=S.isBigIntObject,j=S.isSymbolObject,V=S.isFloat32Array,U=S.isFloat64Array;function G(t){if(0===t.length||t.length>10)return!0;for(var n=0;n<t.length;n++){var r=t.charCodeAt(n);if(r<48||r>57)return!0}return 10===t.length&&t>=Math.pow(2,32)}function W(t){return Object.keys(t).filter(G).concat(g(t).filter(Object.prototype.propertyIsEnumerable.bind(t)))}function q(t,n){if(t===n)return 0;for(var r=t.length,l=n.length,d=0,h=Math.min(r,l);d<h;++d)if(t[d]!==n[d]){r=t[d],l=n[d];break}return r<l?-1:l<r?1:0}var X=0,Y=1,K=2,J=3;function Q(t,n,r,l){if(t===n)return 0!==t||(!r||m(t,n));if(r){if("object"!==d(t))return"number"==typeof t&&y(t)&&y(n);if("object"!==d(n)||null===t||null===n)return!1;if(Object.getPrototypeOf(t)!==Object.getPrototypeOf(n))return!1}else{if(null===t||"object"!==d(t))return(null===n||"object"!==d(n))&&t==n;if(null===n||"object"!==d(n))return!1}var p,f,g,v,b=w(t);if(b!==w(n))return!1;if(Array.isArray(t)){if(t.length!==n.length)return!1;var x=W(t),S=W(n);return x.length===S.length&&te(t,n,r,l,Y,x)}if("[object Object]"===b&&(!C(t)&&C(n)||!O(t)&&O(n)))return!1;if(T(t)){if(!T(n)||Date.prototype.getTime.call(t)!==Date.prototype.getTime.call(n))return!1}else if(A(t)){if(!A(n)||(g=t,v=n,!(h?g.source===v.source&&g.flags===v.flags:RegExp.prototype.toString.call(g)===RegExp.prototype.toString.call(v))))return!1}else if(I(t)||t instanceof Error){if(t.message!==n.message||t.name!==n.name)return!1}else{if(E(t)){if(r||!V(t)&&!U(t)){if(!function(t,n){return t.byteLength===n.byteLength&&0===q(new Uint8Array(t.buffer,t.byteOffset,t.byteLength),new Uint8Array(n.buffer,n.byteOffset,n.byteLength))}(t,n))return!1}else if(!function(t,n){if(t.byteLength!==n.byteLength)return!1;for(var r=0;r<t.byteLength;r++)if(t[r]!==n[r])return!1;return!0}(t,n))return!1;var G=W(t),Q=W(n);return G.length===Q.length&&te(t,n,r,l,X,G)}if(O(t))return!(!O(n)||t.size!==n.size)&&te(t,n,r,l,K);if(C(t))return!(!C(n)||t.size!==n.size)&&te(t,n,r,l,J);if(_(t)){if(f=n,(p=t).byteLength!==f.byteLength||0!==q(new Uint8Array(p),new Uint8Array(f)))return!1}else if(P(t)&&!function(t,n){return D(t)?D(n)&&m(Number.prototype.valueOf.call(t),Number.prototype.valueOf.call(n)):F(t)?F(n)&&String.prototype.valueOf.call(t)===String.prototype.valueOf.call(n):B(t)?B(n)&&Boolean.prototype.valueOf.call(t)===Boolean.prototype.valueOf.call(n):$(t)?$(n)&&BigInt.prototype.valueOf.call(t)===BigInt.prototype.valueOf.call(n):j(n)&&Symbol.prototype.valueOf.call(t)===Symbol.prototype.valueOf.call(n)}(t,n))return!1}return te(t,n,r,l,X)}function ee(t,n){return n.filter((function(n){return x(t,n)}))}function te(t,n,r,h,m,y){if(5===arguments.length){y=Object.keys(t);var v=Object.keys(n);if(y.length!==v.length)return!1}for(var w=0;w<y.length;w++)if(!b(n,y[w]))return!1;if(r&&5===arguments.length){var S=g(t);if(0!==S.length){var _=0;for(w=0;w<S.length;w++){var E=S[w];if(x(t,E)){if(!x(n,E))return!1;y.push(E),_++}else if(x(n,E))return!1}var T=g(n);if(S.length!==T.length&&ee(n,T).length!==_)return!1}else{var C=g(n);if(0!==C.length&&0!==ee(n,C).length)return!1}}if(0===y.length&&(m===X||m===Y&&0===t.length||0===t.size))return!0;if(void 0===h)h={val1:new Map,val2:new Map,position:0};else{var A=h.val1.get(t);if(void 0!==A){var O=h.val2.get(n);if(void 0!==O)return A===O}h.position++}h.val1.set(t,h.position),h.val2.set(n,h.position);var I=function(t,n,r,h,m,g){var y=0;if(g===K){if(!function(t,n,r,l){for(var h=null,f=p(t),m=0;m<f.length;m++){var g=f[m];if("object"===d(g)&&null!==g)null===h&&(h=new Set),h.add(g);else if(!n.has(g)){if(r)return!1;if(!re(t,n,g))return!1;null===h&&(h=new Set),h.add(g)}}if(null!==h){for(var y=p(n),v=0;v<y.length;v++){var b=y[v];if("object"===d(b)&&null!==b){if(!ie(h,b,r,l))return!1}else if(!r&&!t.has(b)&&!ie(h,b,r,l))return!1}return 0===h.size}return!0}(t,n,r,m))return!1}else if(g===J){if(!function(t,n,r,h){for(var p=null,m=f(t),g=0;g<m.length;g++){var y=l(m[g],2),v=y[0],b=y[1];if("object"===d(v)&&null!==v)null===p&&(p=new Set),p.add(v);else{var x=n.get(v);if(void 0===x&&!n.has(v)||!Q(b,x,r,h)){if(r)return!1;if(!oe(t,n,v,b,h))return!1;null===p&&(p=new Set),p.add(v)}}}if(null!==p){for(var w=f(n),S=0;S<w.length;S++){var _=l(w[S],2),E=(v=_[0],_[1]);if("object"===d(v)&&null!==v){if(!ae(p,t,v,E,r,h))return!1}else if(!(r||t.has(v)&&Q(t.get(v),E,!1,h)||ae(p,t,v,E,!1,h)))return!1}return 0===p.size}return!0}(t,n,r,m))return!1}else if(g===Y)for(;y<t.length;y++){if(!b(t,y)){if(b(n,y))return!1;for(var v=Object.keys(t);y<v.length;y++){var x=v[y];if(!b(n,x)||!Q(t[x],n[x],r,m))return!1}return v.length===Object.keys(n).length}if(!b(n,y)||!Q(t[y],n[y],r,m))return!1}for(y=0;y<h.length;y++){var w=h[y];if(!Q(t[w],n[w],r,m))return!1}return!0}(t,n,r,y,h,m);return h.val1.delete(t),h.val2.delete(n),I}function ie(t,n,r,l){for(var d=p(t),h=0;h<d.length;h++){var f=d[h];if(Q(n,f,r,l))return t.delete(f),!0}return!1}function ne(t){switch(d(t)){case"undefined":return null;case"object":return;case"symbol":return!1;case"string":t=+t;case"number":if(y(t))return!1}return!0}function re(t,n,r){var l=ne(r);return null!=l?l:n.has(l)&&!t.has(l)}function oe(t,n,r,l,d){var h=ne(r);if(null!=h)return h;var p=n.get(h);return!(void 0===p&&!n.has(h)||!Q(l,p,!1,d))&&(!t.has(h)&&Q(l,p,!1,d))}function ae(t,n,r,l,d,h){for(var f=p(t),m=0;m<f.length;m++){var g=f[m];if(Q(r,g,d,h)&&Q(l,n.get(g),d,h))return t.delete(g),!0}return!1}t.exports={isDeepEqual:function(t,n){return Q(t,n,false)},isDeepStrictEqual:function(t,n){return Q(t,n,true)}}},1924:(t,n,r)=>{"use strict";var l=r(210),d=r(5559),h=d(l("String.prototype.indexOf"));t.exports=function(t,n){var r=l(t,!!n);return"function"==typeof r&&h(t,".prototype.")>-1?d(r):r}},5559:(t,n,r)=>{"use strict";var l=r(8612),d=r(210),h=d("%Function.prototype.apply%"),p=d("%Function.prototype.call%"),f=d("%Reflect.apply%",!0)||l.call(p,h),m=d("%Object.getOwnPropertyDescriptor%",!0),g=d("%Object.defineProperty%",!0),y=d("%Math.max%");if(g)try{g({},"a",{value:1})}catch(t){g=null}t.exports=function(t){var n=f(l,p,arguments);m&&g&&(m(n,"length").configurable&&g(n,"length",{value:1+y(0,t.length-(arguments.length-1))}));return n};var v=function(){return f(l,h,arguments)};g?g(t.exports,"apply",{value:v}):t.exports.apply=v},5108:(t,n,r)=>{var l=r(9539),d=r(9282);function h(){return(new Date).getTime()}var p,f=Array.prototype.slice,m={};p=void 0!==r.g&&r.g.console?r.g.console:"undefined"!=typeof window&&window.console?window.console:{};for(var g=[[function(){},"log"],[function(){p.log.apply(p,arguments)},"info"],[function(){p.log.apply(p,arguments)},"warn"],[function(){p.warn.apply(p,arguments)},"error"],[function(t){m[t]=h()},"time"],[function(t){var n=m[t];if(!n)throw new Error("No such label: "+t);delete m[t];var r=h()-n;p.log(t+": "+r+"ms")},"timeEnd"],[function(){var t=new Error;t.name="Trace",t.message=l.format.apply(null,arguments),p.error(t.stack)},"trace"],[function(t){p.log(l.inspect(t)+"\n")},"dir"],[function(t){if(!t){var n=f.call(arguments,1);d.ok(!1,l.format.apply(null,n))}},"assert"]],y=0;y<g.length;y++){var v=g[y],b=v[0],x=v[1];p[x]||(p[x]=b)}t.exports=p},3886:(t,n,r)=>{"use strict";r.d(n,{j2p:()=>l,LLu:()=>ne,y4O:()=>re,b4o:()=>f,DmU:()=>or,Yud:()=>rr,$_Y:()=>jt,$1i:()=>m,Ba6:()=>ct,Wem:()=>g,KXr:()=>I,uUj:()=>Pr,u1K:()=>si,jvg:()=>Lo,Fp7:()=>B,TSy:()=>$,VV$:()=>j,Jzs:()=>bi,VRg:()=>D,w6H:()=>S,tiA:()=>Hr,BYU:()=>vo,PKp:()=>Ur,cJy:()=>wo,Ys:()=>wt,o6f:()=>F});function l(t,n){return t<n?-1:t>n?1:t>=n?0:NaN}var d,h,p=(1===(d=l).length&&(h=d,d=function(t,n){return l(h(t),n)}),{left:function(t,n,r,l){for(null==r&&(r=0),null==l&&(l=t.length);r<l;){var h=r+l>>>1;d(t[h],n)<0?r=h+1:l=h}return r},right:function(t,n,r,l){for(null==r&&(r=0),null==l&&(l=t.length);r<l;){var h=r+l>>>1;d(t[h],n)>0?l=h:r=h+1}return r}});const f=p.right;function m(t,n){return n<t?-1:n>t?1:n>=t?0:NaN}function g(t,n){var r,l,d,h=t.length,p=-1;if(null==n){for(;++p<h;)if(null!=(r=t[p])&&r>=r)for(l=d=r;++p<h;)null!=(r=t[p])&&(l>r&&(l=r),d<r&&(d=r))}else for(;++p<h;)if(null!=(r=n(t[p],p,t))&&r>=r)for(l=d=r;++p<h;)null!=(r=n(t[p],p,t))&&(l>r&&(l=r),d<r&&(d=r));return[l,d]}var y=Array.prototype,v=y.slice,b=y.map;function x(t){return function(){return t}}function w(t){return t}function S(t,n,r){t=+t,n=+n,r=(d=arguments.length)<2?(n=t,t=0,1):d<3?1:+r;for(var l=-1,d=0|Math.max(0,Math.ceil((n-t)/r)),h=new Array(d);++l<d;)h[l]=t+l*r;return h}var _=Math.sqrt(50),E=Math.sqrt(10),T=Math.sqrt(2);function C(t,n,r){var l=(n-t)/Math.max(0,r),d=Math.floor(Math.log(l)/Math.LN10),h=l/Math.pow(10,d);return d>=0?(h>=_?10:h>=E?5:h>=T?2:1)*Math.pow(10,d):-Math.pow(10,-d)/(h>=_?10:h>=E?5:h>=T?2:1)}function A(t,n,r){var l=Math.abs(n-t)/Math.max(0,r),d=Math.pow(10,Math.floor(Math.log(l)/Math.LN10)),h=l/d;return h>=_?d*=10:h>=E?d*=5:h>=T&&(d*=2),n<t?-d:d}function O(t){return Math.ceil(Math.log(t.length)/Math.LN2)+1}function I(){var t=w,n=g,r=O;function l(l){var d,h,p=l.length,m=new Array(p);for(d=0;d<p;++d)m[d]=t(l[d],d,l);var g=n(m),y=g[0],v=g[1],b=r(m,y,v);Array.isArray(b)||(b=A(y,v,b),b=S(Math.ceil(y/b)*b,v,b));for(var x=b.length;b[0]<=y;)b.shift(),--x;for(;b[x-1]>v;)b.pop(),--x;var w,_=new Array(x+1);for(d=0;d<=x;++d)(w=_[d]=[]).x0=d>0?b[d-1]:y,w.x1=d<x?b[d]:v;for(d=0;d<p;++d)y<=(h=m[d])&&h<=v&&_[f(b,h,0,x)].push(l[d]);return _}return l.value=function(n){return arguments.length?(t="function"==typeof n?n:x(n),l):t},l.domain=function(t){return arguments.length?(n="function"==typeof t?t:x([t[0],t[1]]),l):n},l.thresholds=function(t){return arguments.length?(r="function"==typeof t?t:Array.isArray(t)?x(v.call(t)):x(t),l):r},l}function P(t){return null===t?NaN:+t}function D(t,n,r){if(null==r&&(r=P),l=t.length){if((n=+n)<=0||l<2)return+r(t[0],0,t);if(n>=1)return+r(t[l-1],l-1,t);var l,d=(l-1)*n,h=Math.floor(d),p=+r(t[h],h,t);return p+(+r(t[h+1],h+1,t)-p)*(d-h)}}function F(t,n,r){return t=b.call(t,P).sort(l),Math.ceil((r-n)/(2*(D(t,.75)-D(t,.25))*Math.pow(t.length,-1/3)))}function B(t,n){var r,l,d=t.length,h=-1;if(null==n){for(;++h<d;)if(null!=(r=t[h])&&r>=r)for(l=r;++h<d;)null!=(r=t[h])&&r>l&&(l=r)}else for(;++h<d;)if(null!=(r=n(t[h],h,t))&&r>=r)for(l=r;++h<d;)null!=(r=n(t[h],h,t))&&r>l&&(l=r);return l}function $(t){for(var n,r,l,d=t.length,h=-1,p=0;++h<d;)p+=t[h].length;for(r=new Array(p);--d>=0;)for(n=(l=t[d]).length;--n>=0;)r[--p]=l[n];return r}function j(t,n){var r,l,d=t.length,h=-1;if(null==n){for(;++h<d;)if(null!=(r=t[h])&&r>=r)for(l=r;++h<d;)null!=(r=t[h])&&l>r&&(l=r)}else for(;++h<d;)if(null!=(r=n(t[h],h,t))&&r>=r)for(l=r;++h<d;)null!=(r=n(t[h],h,t))&&l>r&&(l=r);return l}var V=Array.prototype.slice;function U(t){return t}var G=1,W=2,q=3,X=4,Y=1e-6;function K(t){return"translate("+(t+.5)+",0)"}function J(t){return"translate(0,"+(t+.5)+")"}function Q(t){return function(n){return+t(n)}}function ee(t){var n=Math.max(0,t.bandwidth()-1)/2;return t.round()&&(n=Math.round(n)),function(r){return+t(r)+n}}function te(){return!this.__axis}function ie(t,n){var r=[],l=null,d=null,h=6,p=6,f=3,m=t===G||t===X?-1:1,g=t===X||t===W?"x":"y",y=t===G||t===q?K:J;function v(v){var b=null==l?n.ticks?n.ticks.apply(n,r):n.domain():l,x=null==d?n.tickFormat?n.tickFormat.apply(n,r):U:d,w=Math.max(h,0)+f,S=n.range(),_=+S[0]+.5,E=+S[S.length-1]+.5,T=(n.bandwidth?ee:Q)(n.copy()),C=v.selection?v.selection():v,A=C.selectAll(".domain").data([null]),O=C.selectAll(".tick").data(b,n).order(),I=O.exit(),P=O.enter().append("g").attr("class","tick"),D=O.select("line"),F=O.select("text");A=A.merge(A.enter().insert("path",".tick").attr("class","domain").attr("stroke","currentColor")),O=O.merge(P),D=D.merge(P.append("line").attr("stroke","currentColor").attr(g+"2",m*h)),F=F.merge(P.append("text").attr("fill","currentColor").attr(g,m*w).attr("dy",t===G?"0em":t===q?"0.71em":"0.32em")),v!==C&&(A=A.transition(v),O=O.transition(v),D=D.transition(v),F=F.transition(v),I=I.transition(v).attr("opacity",Y).attr("transform",(function(t){return isFinite(t=T(t))?y(t):this.getAttribute("transform")})),P.attr("opacity",Y).attr("transform",(function(t){var n=this.parentNode.__axis;return y(n&&isFinite(n=n(t))?n:T(t))}))),I.remove(),A.attr("d",t===X||t==W?p?"M"+m*p+","+_+"H0.5V"+E+"H"+m*p:"M0.5,"+_+"V"+E:p?"M"+_+","+m*p+"V0.5H"+E+"V"+m*p:"M"+_+",0.5H"+E),O.attr("opacity",1).attr("transform",(function(t){return y(T(t))})),D.attr(g+"2",m*h),F.attr(g,m*w).text(x),C.filter(te).attr("fill","none").attr("font-size",10).attr("font-family","sans-serif").attr("text-anchor",t===W?"start":t===X?"end":"middle"),C.each((function(){this.__axis=T}))}return v.scale=function(t){return arguments.length?(n=t,v):n},v.ticks=function(){return r=V.call(arguments),v},v.tickArguments=function(t){return arguments.length?(r=null==t?[]:V.call(t),v):r.slice()},v.tickValues=function(t){return arguments.length?(l=null==t?null:V.call(t),v):l&&l.slice()},v.tickFormat=function(t){return arguments.length?(d=t,v):d},v.tickSize=function(t){return arguments.length?(h=p=+t,v):h},v.tickSizeInner=function(t){return arguments.length?(h=+t,v):h},v.tickSizeOuter=function(t){return arguments.length?(p=+t,v):p},v.tickPadding=function(t){return arguments.length?(f=+t,v):f},v}function ne(t){return ie(q,t)}function re(t){return ie(X,t)}var oe={value:function(){}};function ae(){for(var t,n=0,r=arguments.length,l={};n<r;++n){if(!(t=arguments[n]+"")||t in l||/[\s.]/.test(t))throw new Error("illegal type: "+t);l[t]=[]}return new se(l)}function se(t){this._=t}function le(t,n){for(var r,l=0,d=t.length;l<d;++l)if((r=t[l]).name===n)return r.value}function ce(t,n,r){for(var l=0,d=t.length;l<d;++l)if(t[l].name===n){t[l]=oe,t=t.slice(0,l).concat(t.slice(l+1));break}return null!=r&&t.push({name:n,value:r}),t}se.prototype=ae.prototype={constructor:se,on:function(t,n){var r,l,d=this._,h=(l=d,(t+"").trim().split(/^|\s+/).map((function(t){var n="",r=t.indexOf(".");if(r>=0&&(n=t.slice(r+1),t=t.slice(0,r)),t&&!l.hasOwnProperty(t))throw new Error("unknown type: "+t);return{type:t,name:n}}))),p=-1,f=h.length;if(!(arguments.length<2)){if(null!=n&&"function"!=typeof n)throw new Error("invalid callback: "+n);for(;++p<f;)if(r=(t=h[p]).type)d[r]=ce(d[r],t.name,n);else if(null==n)for(r in d)d[r]=ce(d[r],t.name,null);return this}for(;++p<f;)if((r=(t=h[p]).type)&&(r=le(d[r],t.name)))return r},copy:function(){var t={},n=this._;for(var r in n)t[r]=n[r].slice();return new se(t)},call:function(t,n){if((r=arguments.length-2)>0)for(var r,l,d=new Array(r),h=0;h<r;++h)d[h]=arguments[h+2];if(!this._.hasOwnProperty(t))throw new Error("unknown type: "+t);for(h=0,r=(l=this._[t]).length;h<r;++h)l[h].value.apply(n,d)},apply:function(t,n,r){if(!this._.hasOwnProperty(t))throw new Error("unknown type: "+t);for(var l=this._[t],d=0,h=l.length;d<h;++d)l[d].value.apply(n,r)}};const de=ae;function ue(){}function he(t){return null==t?ue:function(){return this.querySelector(t)}}function pe(){return[]}function fe(t){return null==t?pe:function(){return this.querySelectorAll(t)}}function me(t){return function(){return this.matches(t)}}function ge(t){return new Array(t.length)}function ye(t,n){this.ownerDocument=t.ownerDocument,this.namespaceURI=t.namespaceURI,this._next=null,this._parent=t,this.__data__=n}ye.prototype={constructor:ye,appendChild:function(t){return this._parent.insertBefore(t,this._next)},insertBefore:function(t,n){return this._parent.insertBefore(t,n)},querySelector:function(t){return this._parent.querySelector(t)},querySelectorAll:function(t){return this._parent.querySelectorAll(t)}};var ve="$";function be(t,n,r,l,d,h){for(var p,f=0,m=n.length,g=h.length;f<g;++f)(p=n[f])?(p.__data__=h[f],l[f]=p):r[f]=new ye(t,h[f]);for(;f<m;++f)(p=n[f])&&(d[f]=p)}function xe(t,n,r,l,d,h,p){var f,m,g,y={},v=n.length,b=h.length,x=new Array(v);for(f=0;f<v;++f)(m=n[f])&&(x[f]=g=ve+p.call(m,m.__data__,f,n),g in y?d[f]=m:y[g]=m);for(f=0;f<b;++f)(m=y[g=ve+p.call(t,h[f],f,h)])?(l[f]=m,m.__data__=h[f],y[g]=null):r[f]=new ye(t,h[f]);for(f=0;f<v;++f)(m=n[f])&&y[x[f]]===m&&(d[f]=m)}function we(t,n){return t<n?-1:t>n?1:t>=n?0:NaN}var Se="http://www.w3.org/1999/xhtml";const _e={svg:"http://www.w3.org/2000/svg",xhtml:Se,xlink:"http://www.w3.org/1999/xlink",xml:"http://www.w3.org/XML/1998/namespace",xmlns:"http://www.w3.org/2000/xmlns/"};function Ee(t){var n=t+="",r=n.indexOf(":");return r>=0&&"xmlns"!==(n=t.slice(0,r))&&(t=t.slice(r+1)),_e.hasOwnProperty(n)?{space:_e[n],local:t}:t}function Me(t){return function(){this.removeAttribute(t)}}function Te(t){return function(){this.removeAttributeNS(t.space,t.local)}}function Ce(t,n){return function(){this.setAttribute(t,n)}}function Ae(t,n){return function(){this.setAttributeNS(t.space,t.local,n)}}function ke(t,n){return function(){var r=n.apply(this,arguments);null==r?this.removeAttribute(t):this.setAttribute(t,r)}}function Oe(t,n){return function(){var r=n.apply(this,arguments);null==r?this.removeAttributeNS(t.space,t.local):this.setAttributeNS(t.space,t.local,r)}}function Ie(t){return t.ownerDocument&&t.ownerDocument.defaultView||t.document&&t||t.defaultView}function Re(t){return function(){this.style.removeProperty(t)}}function Pe(t,n,r){return function(){this.style.setProperty(t,n,r)}}function Le(t,n,r){return function(){var l=n.apply(this,arguments);null==l?this.style.removeProperty(t):this.style.setProperty(t,l,r)}}function De(t,n){return t.style.getPropertyValue(n)||Ie(t).getComputedStyle(t,null).getPropertyValue(n)}function Fe(t){return function(){delete this[t]}}function Ne(t,n){return function(){this[t]=n}}function Be(t,n){return function(){var r=n.apply(this,arguments);null==r?delete this[t]:this[t]=r}}function $e(t){return t.trim().split(/^|\s+/)}function ze(t){return t.classList||new je(t)}function je(t){this._node=t,this._names=$e(t.getAttribute("class")||"")}function Ve(t,n){for(var r=ze(t),l=-1,d=n.length;++l<d;)r.add(n[l])}function Ue(t,n){for(var r=ze(t),l=-1,d=n.length;++l<d;)r.remove(n[l])}function He(t){return function(){Ve(this,t)}}function Ge(t){return function(){Ue(this,t)}}function We(t,n){return function(){(n.apply(this,arguments)?Ve:Ue)(this,t)}}function qe(){this.textContent=""}function Xe(t){return function(){this.textContent=t}}function Ye(t){return function(){var n=t.apply(this,arguments);this.textContent=null==n?"":n}}function Ze(){this.innerHTML=""}function Ke(t){return function(){this.innerHTML=t}}function Je(t){return function(){var n=t.apply(this,arguments);this.innerHTML=null==n?"":n}}function Qe(){this.nextSibling&&this.parentNode.appendChild(this)}function et(){this.previousSibling&&this.parentNode.insertBefore(this,this.parentNode.firstChild)}function tt(t){return function(){var n=this.ownerDocument,r=this.namespaceURI;return r===Se&&n.documentElement.namespaceURI===Se?n.createElement(t):n.createElementNS(r,t)}}function it(t){return function(){return this.ownerDocument.createElementNS(t.space,t.local)}}function nt(t){var n=Ee(t);return(n.local?it:tt)(n)}function rt(){return null}function ot(){var t=this.parentNode;t&&t.removeChild(this)}function at(){var t=this.cloneNode(!1),n=this.parentNode;return n?n.insertBefore(t,this.nextSibling):t}function st(){var t=this.cloneNode(!0),n=this.parentNode;return n?n.insertBefore(t,this.nextSibling):t}je.prototype={add:function(t){this._names.indexOf(t)<0&&(this._names.push(t),this._node.setAttribute("class",this._names.join(" ")))},remove:function(t){var n=this._names.indexOf(t);n>=0&&(this._names.splice(n,1),this._node.setAttribute("class",this._names.join(" ")))},contains:function(t){return this._names.indexOf(t)>=0}};var lt={},ct=null;"undefined"!=typeof document&&("onmouseenter"in document.documentElement||(lt={mouseenter:"mouseover",mouseleave:"mouseout"}));function dt(t,n,r){return t=ut(t,n,r),function(n){var r=n.relatedTarget;r&&(r===this||8&r.compareDocumentPosition(this))||t.call(this,n)}}function ut(t,n,r){return function(l){var d=ct;ct=l;try{t.call(this,this.__data__,n,r)}finally{ct=d}}}function ht(t){return function(){var n=this.__on;if(n){for(var r,l=0,d=-1,h=n.length;l<h;++l)r=n[l],t.type&&r.type!==t.type||r.name!==t.name?n[++d]=r:this.removeEventListener(r.type,r.listener,r.capture);++d?n.length=d:delete this.__on}}}function pt(t,n,r){var l=lt.hasOwnProperty(t.type)?dt:ut;return function(d,h,p){var f,m=this.__on,g=l(n,h,p);if(m)for(var y=0,v=m.length;y<v;++y)if((f=m[y]).type===t.type&&f.name===t.name)return this.removeEventListener(f.type,f.listener,f.capture),this.addEventListener(f.type,f.listener=g,f.capture=r),void(f.value=n);this.addEventListener(t.type,g,r),f={type:t.type,name:t.name,value:n,listener:g,capture:r},m?m.push(f):this.__on=[f]}}function ft(t,n,r){var l=Ie(t),d=l.CustomEvent;"function"==typeof d?d=new d(n,r):(d=l.document.createEvent("Event"),r?(d.initEvent(n,r.bubbles,r.cancelable),d.detail=r.detail):d.initEvent(n,!1,!1)),t.dispatchEvent(d)}function mt(t,n){return function(){return ft(this,t,n)}}function gt(t,n){return function(){return ft(this,t,n.apply(this,arguments))}}var yt=[null];function vt(t,n){this._groups=t,this._parents=n}function bt(){return new vt([[document.documentElement]],yt)}vt.prototype=bt.prototype={constructor:vt,select:function(t){"function"!=typeof t&&(t=he(t));for(var n=this._groups,r=n.length,l=new Array(r),d=0;d<r;++d)for(var h,p,f=n[d],m=f.length,g=l[d]=new Array(m),y=0;y<m;++y)(h=f[y])&&(p=t.call(h,h.__data__,y,f))&&("__data__"in h&&(p.__data__=h.__data__),g[y]=p);return new vt(l,this._parents)},selectAll:function(t){"function"!=typeof t&&(t=fe(t));for(var n=this._groups,r=n.length,l=[],d=[],h=0;h<r;++h)for(var p,f=n[h],m=f.length,g=0;g<m;++g)(p=f[g])&&(l.push(t.call(p,p.__data__,g,f)),d.push(p));return new vt(l,d)},filter:function(t){"function"!=typeof t&&(t=me(t));for(var n=this._groups,r=n.length,l=new Array(r),d=0;d<r;++d)for(var h,p=n[d],f=p.length,m=l[d]=[],g=0;g<f;++g)(h=p[g])&&t.call(h,h.__data__,g,p)&&m.push(h);return new vt(l,this._parents)},data:function(t,n){if(!t)return x=new Array(this.size()),g=-1,this.each((function(t){x[++g]=t})),x;var r=n?xe:be,l=this._parents,d=this._groups;"function"!=typeof t&&(t=function(t){return function(){return t}}(t));for(var h=d.length,p=new Array(h),f=new Array(h),m=new Array(h),g=0;g<h;++g){var y=l[g],v=d[g],b=v.length,x=t.call(y,y&&y.__data__,g,l),w=x.length,S=f[g]=new Array(w),_=p[g]=new Array(w);r(y,v,S,_,m[g]=new Array(b),x,n);for(var E,T,C=0,A=0;C<w;++C)if(E=S[C]){for(C>=A&&(A=C+1);!(T=_[A])&&++A<w;);E._next=T||null}}return(p=new vt(p,l))._enter=f,p._exit=m,p},enter:function(){return new vt(this._enter||this._groups.map(ge),this._parents)},exit:function(){return new vt(this._exit||this._groups.map(ge),this._parents)},join:function(t,n,r){var l=this.enter(),d=this,h=this.exit();return l="function"==typeof t?t(l):l.append(t+""),null!=n&&(d=n(d)),null==r?h.remove():r(h),l&&d?l.merge(d).order():d},merge:function(t){for(var n=this._groups,r=t._groups,l=n.length,d=r.length,h=Math.min(l,d),p=new Array(l),f=0;f<h;++f)for(var m,g=n[f],y=r[f],v=g.length,b=p[f]=new Array(v),x=0;x<v;++x)(m=g[x]||y[x])&&(b[x]=m);for(;f<l;++f)p[f]=n[f];return new vt(p,this._parents)},order:function(){for(var t=this._groups,n=-1,r=t.length;++n<r;)for(var l,d=t[n],h=d.length-1,p=d[h];--h>=0;)(l=d[h])&&(p&&4^l.compareDocumentPosition(p)&&p.parentNode.insertBefore(l,p),p=l);return this},sort:function(t){function n(n,r){return n&&r?t(n.__data__,r.__data__):!n-!r}t||(t=we);for(var r=this._groups,l=r.length,d=new Array(l),h=0;h<l;++h){for(var p,f=r[h],m=f.length,g=d[h]=new Array(m),y=0;y<m;++y)(p=f[y])&&(g[y]=p);g.sort(n)}return new vt(d,this._parents).order()},call:function(){var t=arguments[0];return arguments[0]=this,t.apply(null,arguments),this},nodes:function(){var t=new Array(this.size()),n=-1;return this.each((function(){t[++n]=this})),t},node:function(){for(var t=this._groups,n=0,r=t.length;n<r;++n)for(var l=t[n],d=0,h=l.length;d<h;++d){var p=l[d];if(p)return p}return null},size:function(){var t=0;return this.each((function(){++t})),t},empty:function(){return!this.node()},each:function(t){for(var n=this._groups,r=0,l=n.length;r<l;++r)for(var d,h=n[r],p=0,f=h.length;p<f;++p)(d=h[p])&&t.call(d,d.__data__,p,h);return this},attr:function(t,n){var r=Ee(t);if(arguments.length<2){var l=this.node();return r.local?l.getAttributeNS(r.space,r.local):l.getAttribute(r)}return this.each((null==n?r.local?Te:Me:"function"==typeof n?r.local?Oe:ke:r.local?Ae:Ce)(r,n))},style:function(t,n,r){return arguments.length>1?this.each((null==n?Re:"function"==typeof n?Le:Pe)(t,n,null==r?"":r)):De(this.node(),t)},property:function(t,n){return arguments.length>1?this.each((null==n?Fe:"function"==typeof n?Be:Ne)(t,n)):this.node()[t]},classed:function(t,n){var r=$e(t+"");if(arguments.length<2){for(var l=ze(this.node()),d=-1,h=r.length;++d<h;)if(!l.contains(r[d]))return!1;return!0}return this.each(("function"==typeof n?We:n?He:Ge)(r,n))},text:function(t){return arguments.length?this.each(null==t?qe:("function"==typeof t?Ye:Xe)(t)):this.node().textContent},html:function(t){return arguments.length?this.each(null==t?Ze:("function"==typeof t?Je:Ke)(t)):this.node().innerHTML},raise:function(){return this.each(Qe)},lower:function(){return this.each(et)},append:function(t){var n="function"==typeof t?t:nt(t);return this.select((function(){return this.appendChild(n.apply(this,arguments))}))},insert:function(t,n){var r="function"==typeof t?t:nt(t),l=null==n?rt:"function"==typeof n?n:he(n);return this.select((function(){return this.insertBefore(r.apply(this,arguments),l.apply(this,arguments)||null)}))},remove:function(){return this.each(ot)},clone:function(t){return this.select(t?st:at)},datum:function(t){return arguments.length?this.property("__data__",t):this.node().__data__},on:function(t,n,r){var l,d,h=function(t){return t.trim().split(/^|\s+/).map((function(t){var n="",r=t.indexOf(".");return r>=0&&(n=t.slice(r+1),t=t.slice(0,r)),{type:t,name:n}}))}(t+""),p=h.length;if(!(arguments.length<2)){for(f=n?pt:ht,null==r&&(r=!1),l=0;l<p;++l)this.each(f(h[l],n,r));return this}var f=this.node().__on;if(f)for(var m,g=0,y=f.length;g<y;++g)for(l=0,m=f[g];l<p;++l)if((d=h[l]).type===m.type&&d.name===m.name)return m.value},dispatch:function(t,n){return this.each(("function"==typeof n?gt:mt)(t,n))}};const xt=bt;function wt(t){return"string"==typeof t?new vt([[document.querySelector(t)]],[document.documentElement]):new vt([[t]],yt)}function St(){ct.preventDefault(),ct.stopImmediatePropagation()}function _t(t,n,r){t.prototype=n.prototype=r,r.constructor=t}function Et(t,n){var r=Object.create(t.prototype);for(var l in n)r[l]=n[l];return r}function Mt(){}var Tt=.7,Ct=1/Tt,At="\\s*([+-]?\\d+)\\s*",kt="\\s*([+-]?\\d*\\.?\\d+(?:[eE][+-]?\\d+)?)\\s*",Ot="\\s*([+-]?\\d*\\.?\\d+(?:[eE][+-]?\\d+)?)%\\s*",It=/^#([0-9a-f]{3,8})$/,Rt=new RegExp("^rgb\\("+[At,At,At]+"\\)$"),Pt=new RegExp("^rgb\\("+[Ot,Ot,Ot]+"\\)$"),Lt=new RegExp("^rgba\\("+[At,At,At,kt]+"\\)$"),Dt=new RegExp("^rgba\\("+[Ot,Ot,Ot,kt]+"\\)$"),Ft=new RegExp("^hsl\\("+[kt,Ot,Ot]+"\\)$"),Nt=new RegExp("^hsla\\("+[kt,Ot,Ot,kt]+"\\)$"),Bt={aliceblue:15792383,antiquewhite:16444375,aqua:65535,aquamarine:8388564,azure:15794175,beige:16119260,bisque:16770244,black:0,blanchedalmond:16772045,blue:255,blueviolet:9055202,brown:10824234,burlywood:14596231,cadetblue:6266528,chartreuse:8388352,chocolate:13789470,coral:16744272,cornflowerblue:6591981,cornsilk:16775388,crimson:14423100,cyan:65535,darkblue:139,darkcyan:35723,darkgoldenrod:12092939,darkgray:11119017,darkgreen:25600,darkgrey:11119017,darkkhaki:12433259,darkmagenta:9109643,darkolivegreen:5597999,darkorange:16747520,darkorchid:10040012,darkred:9109504,darksalmon:15308410,darkseagreen:9419919,darkslateblue:4734347,darkslategray:3100495,darkslategrey:3100495,darkturquoise:52945,darkviolet:9699539,deeppink:16716947,deepskyblue:49151,dimgray:6908265,dimgrey:6908265,dodgerblue:2003199,firebrick:11674146,floralwhite:16775920,forestgreen:2263842,fuchsia:16711935,gainsboro:14474460,ghostwhite:16316671,gold:16766720,goldenrod:14329120,gray:8421504,green:32768,greenyellow:11403055,grey:8421504,honeydew:15794160,hotpink:16738740,indianred:13458524,indigo:4915330,ivory:16777200,khaki:15787660,lavender:15132410,lavenderblush:16773365,lawngreen:8190976,lemonchiffon:16775885,lightblue:11393254,lightcoral:15761536,lightcyan:14745599,lightgoldenrodyellow:16448210,lightgray:13882323,lightgreen:9498256,lightgrey:13882323,lightpink:16758465,lightsalmon:16752762,lightseagreen:2142890,lightskyblue:8900346,lightslategray:7833753,lightslategrey:7833753,lightsteelblue:11584734,lightyellow:16777184,lime:65280,limegreen:3329330,linen:16445670,magenta:16711935,maroon:8388608,mediumaquamarine:6737322,mediumblue:205,mediumorchid:12211667,mediumpurple:9662683,mediumseagreen:3978097,mediumslateblue:8087790,mediumspringgreen:64154,mediumturquoise:4772300,mediumvioletred:13047173,midnightblue:1644912,mintcream:16121850,mistyrose:16770273,moccasin:16770229,navajowhite:16768685,navy:128,oldlace:16643558,olive:8421376,olivedrab:7048739,orange:16753920,orangered:16729344,orchid:14315734,palegoldenrod:15657130,palegreen:10025880,paleturquoise:11529966,palevioletred:14381203,papayawhip:16773077,peachpuff:16767673,peru:13468991,pink:16761035,plum:14524637,powderblue:11591910,purple:8388736,rebeccapurple:6697881,red:16711680,rosybrown:12357519,royalblue:4286945,saddlebrown:9127187,salmon:16416882,sandybrown:16032864,seagreen:3050327,seashell:16774638,sienna:10506797,silver:12632256,skyblue:8900331,slateblue:6970061,slategray:7372944,slategrey:7372944,snow:16775930,springgreen:65407,steelblue:4620980,tan:13808780,teal:32896,thistle:14204888,tomato:16737095,turquoise:4251856,violet:15631086,wheat:16113331,white:16777215,whitesmoke:16119285,yellow:16776960,yellowgreen:10145074};function $t(){return this.rgb().formatHex()}function zt(){return this.rgb().formatRgb()}function jt(t){var n,r;return t=(t+"").trim().toLowerCase(),(n=It.exec(t))?(r=n[1].length,n=parseInt(n[1],16),6===r?Vt(n):3===r?new Wt(n>>8&15|n>>4&240,n>>4&15|240&n,(15&n)<<4|15&n,1):8===r?Ut(n>>24&255,n>>16&255,n>>8&255,(255&n)/255):4===r?Ut(n>>12&15|n>>8&240,n>>8&15|n>>4&240,n>>4&15|240&n,((15&n)<<4|15&n)/255):null):(n=Rt.exec(t))?new Wt(n[1],n[2],n[3],1):(n=Pt.exec(t))?new Wt(255*n[1]/100,255*n[2]/100,255*n[3]/100,1):(n=Lt.exec(t))?Ut(n[1],n[2],n[3],n[4]):(n=Dt.exec(t))?Ut(255*n[1]/100,255*n[2]/100,255*n[3]/100,n[4]):(n=Ft.exec(t))?Zt(n[1],n[2]/100,n[3]/100,1):(n=Nt.exec(t))?Zt(n[1],n[2]/100,n[3]/100,n[4]):Bt.hasOwnProperty(t)?Vt(Bt[t]):"transparent"===t?new Wt(NaN,NaN,NaN,0):null}function Vt(t){return new Wt(t>>16&255,t>>8&255,255&t,1)}function Ut(t,n,r,l){return l<=0&&(t=n=r=NaN),new Wt(t,n,r,l)}function Ht(t){return t instanceof Mt||(t=jt(t)),t?new Wt((t=t.rgb()).r,t.g,t.b,t.opacity):new Wt}function Gt(t,n,r,l){return 1===arguments.length?Ht(t):new Wt(t,n,r,null==l?1:l)}function Wt(t,n,r,l){this.r=+t,this.g=+n,this.b=+r,this.opacity=+l}function qt(){return"#"+Yt(this.r)+Yt(this.g)+Yt(this.b)}function Xt(){var t=this.opacity;return(1===(t=isNaN(t)?1:Math.max(0,Math.min(1,t)))?"rgb(":"rgba(")+Math.max(0,Math.min(255,Math.round(this.r)||0))+", "+Math.max(0,Math.min(255,Math.round(this.g)||0))+", "+Math.max(0,Math.min(255,Math.round(this.b)||0))+(1===t?")":", "+t+")")}function Yt(t){return((t=Math.max(0,Math.min(255,Math.round(t)||0)))<16?"0":"")+t.toString(16)}function Zt(t,n,r,l){return l<=0?t=n=r=NaN:r<=0||r>=1?t=n=NaN:n<=0&&(t=NaN),new Jt(t,n,r,l)}function Kt(t){if(t instanceof Jt)return new Jt(t.h,t.s,t.l,t.opacity);if(t instanceof Mt||(t=jt(t)),!t)return new Jt;if(t instanceof Jt)return t;var n=(t=t.rgb()).r/255,r=t.g/255,l=t.b/255,d=Math.min(n,r,l),h=Math.max(n,r,l),p=NaN,f=h-d,m=(h+d)/2;return f?(p=n===h?(r-l)/f+6*(r<l):r===h?(l-n)/f+2:(n-r)/f+4,f/=m<.5?h+d:2-h-d,p*=60):f=m>0&&m<1?0:p,new Jt(p,f,m,t.opacity)}function Jt(t,n,r,l){this.h=+t,this.s=+n,this.l=+r,this.opacity=+l}function Qt(t,n,r){return 255*(t<60?n+(r-n)*t/60:t<180?r:t<240?n+(r-n)*(240-t)/60:n)}function ei(t,n,r,l,d){var h=t*t,p=h*t;return((1-3*t+3*h-p)*n+(4-6*h+3*p)*r+(1+3*t+3*h-3*p)*l+p*d)/6}function ti(t){return function(){return t}}function ii(t,n){return function(r){return t+r*n}}function ni(t){return 1==(t=+t)?ri:function(n,r){return r-n?function(t,n,r){return t=Math.pow(t,r),n=Math.pow(n,r)-t,r=1/r,function(l){return Math.pow(t+l*n,r)}}(n,r,t):ti(isNaN(n)?r:n)}}function ri(t,n){var r=n-t;return r?ii(t,r):ti(isNaN(t)?n:t)}_t(Mt,jt,{copy:function(t){return Object.assign(new this.constructor,this,t)},displayable:function(){return this.rgb().displayable()},hex:$t,formatHex:$t,formatHsl:function(){return Kt(this).formatHsl()},formatRgb:zt,toString:zt}),_t(Wt,Gt,Et(Mt,{brighter:function(t){return t=null==t?Ct:Math.pow(Ct,t),new Wt(this.r*t,this.g*t,this.b*t,this.opacity)},darker:function(t){return t=null==t?Tt:Math.pow(Tt,t),new Wt(this.r*t,this.g*t,this.b*t,this.opacity)},rgb:function(){return this},displayable:function(){return-.5<=this.r&&this.r<255.5&&-.5<=this.g&&this.g<255.5&&-.5<=this.b&&this.b<255.5&&0<=this.opacity&&this.opacity<=1},hex:qt,formatHex:qt,formatRgb:Xt,toString:Xt})),_t(Jt,(function(t,n,r,l){return 1===arguments.length?Kt(t):new Jt(t,n,r,null==l?1:l)}),Et(Mt,{brighter:function(t){return t=null==t?Ct:Math.pow(Ct,t),new Jt(this.h,this.s,this.l*t,this.opacity)},darker:function(t){return t=null==t?Tt:Math.pow(Tt,t),new Jt(this.h,this.s,this.l*t,this.opacity)},rgb:function(){var t=this.h%360+360*(this.h<0),n=isNaN(t)||isNaN(this.s)?0:this.s,r=this.l,l=r+(r<.5?r:1-r)*n,d=2*r-l;return new Wt(Qt(t>=240?t-240:t+120,d,l),Qt(t,d,l),Qt(t<120?t+240:t-120,d,l),this.opacity)},displayable:function(){return(0<=this.s&&this.s<=1||isNaN(this.s))&&0<=this.l&&this.l<=1&&0<=this.opacity&&this.opacity<=1},formatHsl:function(){var t=this.opacity;return(1===(t=isNaN(t)?1:Math.max(0,Math.min(1,t)))?"hsl(":"hsla(")+(this.h||0)+", "+100*(this.s||0)+"%, "+100*(this.l||0)+"%"+(1===t?")":", "+t+")")}}));const oi=function t(n){var r=ni(n);function l(t,n){var l=r((t=Gt(t)).r,(n=Gt(n)).r),d=r(t.g,n.g),h=r(t.b,n.b),p=ri(t.opacity,n.opacity);return function(n){return t.r=l(n),t.g=d(n),t.b=h(n),t.opacity=p(n),t+""}}return l.gamma=t,l}(1);function ai(t){return function(n){var r,l,d=n.length,h=new Array(d),p=new Array(d),f=new Array(d);for(r=0;r<d;++r)l=Gt(n[r]),h[r]=l.r||0,p[r]=l.g||0,f[r]=l.b||0;return h=t(h),p=t(p),f=t(f),l.opacity=1,function(t){return l.r=h(t),l.g=p(t),l.b=f(t),l+""}}}var si=ai((function(t){var n=t.length-1;return function(r){var l=r<=0?r=0:r>=1?(r=1,n-1):Math.floor(r*n),d=t[l],h=t[l+1],p=l>0?t[l-1]:2*d-h,f=l<n-1?t[l+2]:2*h-d;return ei((r-l/n)*n,p,d,h,f)}}));ai((function(t){var n=t.length;return function(r){var l=Math.floor(((r%=1)<0?++r:r)*n),d=t[(l+n-1)%n],h=t[l%n],p=t[(l+1)%n],f=t[(l+2)%n];return ei((r-l/n)*n,d,h,p,f)}}));function li(t,n){var r,l=n?n.length:0,d=t?Math.min(l,t.length):0,h=new Array(d),p=new Array(l);for(r=0;r<d;++r)h[r]=gi(t[r],n[r]);for(;r<l;++r)p[r]=n[r];return function(t){for(r=0;r<d;++r)p[r]=h[r](t);return p}}function ci(t,n){var r=new Date;return t=+t,n=+n,function(l){return r.setTime(t*(1-l)+n*l),r}}function di(t,n){return t=+t,n=+n,function(r){return t*(1-r)+n*r}}function ui(t,n){var r,l={},d={};for(r in null!==t&&"object"==typeof t||(t={}),null!==n&&"object"==typeof n||(n={}),n)r in t?l[r]=gi(t[r],n[r]):d[r]=n[r];return function(t){for(r in l)d[r]=l[r](t);return d}}var hi=/[-+]?(?:\d+\.?\d*|\.?\d+)(?:[eE][-+]?\d+)?/g,pi=new RegExp(hi.source,"g");function fi(t,n){var r,l,d,h=hi.lastIndex=pi.lastIndex=0,p=-1,f=[],m=[];for(t+="",n+="";(r=hi.exec(t))&&(l=pi.exec(n));)(d=l.index)>h&&(d=n.slice(h,d),f[p]?f[p]+=d:f[++p]=d),(r=r[0])===(l=l[0])?f[p]?f[p]+=l:f[++p]=l:(f[++p]=null,m.push({i:p,x:di(r,l)})),h=pi.lastIndex;return h<n.length&&(d=n.slice(h),f[p]?f[p]+=d:f[++p]=d),f.length<2?m[0]?function(t){return function(n){return t(n)+""}}(m[0].x):function(t){return function(){return t}}(n):(n=m.length,function(t){for(var r,l=0;l<n;++l)f[(r=m[l]).i]=r.x(t);return f.join("")})}function mi(t,n){n||(n=[]);var r,l=t?Math.min(n.length,t.length):0,d=n.slice();return function(h){for(r=0;r<l;++r)d[r]=t[r]*(1-h)+n[r]*h;return d}}function gi(t,n){var r,l=typeof n;return null==n||"boolean"===l?ti(n):("number"===l?di:"string"===l?(r=jt(n))?(n=r,oi):fi:n instanceof jt?oi:n instanceof Date?ci:function(t){return ArrayBuffer.isView(t)&&!(t instanceof DataView)}(n)?mi:Array.isArray(n)?li:"function"!=typeof n.valueOf&&"function"!=typeof n.toString||isNaN(n)?ui:di)(t,n)}function yi(){for(var t,n=ct;t=n.sourceEvent;)n=t;return n}function vi(t,n){var r=t.ownerSVGElement||t;if(r.createSVGPoint){var l=r.createSVGPoint();return l.x=n.clientX,l.y=n.clientY,[(l=l.matrixTransform(t.getScreenCTM().inverse())).x,l.y]}var d=t.getBoundingClientRect();return[n.clientX-d.left-t.clientLeft,n.clientY-d.top-t.clientTop]}function bi(t){var n=yi();return n.changedTouches&&(n=n.changedTouches[0]),vi(t,n)}var xi,wi,Si=0,_i=0,Ei=0,Mi=1e3,Ti=0,Ci=0,Ai=0,ki="object"==typeof performance&&performance.now?performance:Date,Oi="object"==typeof window&&window.requestAnimationFrame?window.requestAnimationFrame.bind(window):function(t){setTimeout(t,17)};function Ii(){return Ci||(Oi(Ri),Ci=ki.now()+Ai)}function Ri(){Ci=0}function Pi(){this._call=this._time=this._next=null}function Li(t,n,r){var l=new Pi;return l.restart(t,n,r),l}function Di(){Ci=(Ti=ki.now())+Ai,Si=_i=0;try{!function(){Ii(),++Si;for(var t,n=xi;n;)(t=Ci-n._time)>=0&&n._call.call(null,t),n=n._next;--Si}()}finally{Si=0,function(){var t,n,r=xi,l=1/0;for(;r;)r._call?(l>r._time&&(l=r._time),t=r,r=r._next):(n=r._next,r._next=null,r=t?t._next=n:xi=n);wi=t,Ni(l)}(),Ci=0}}function Fi(){var t=ki.now(),n=t-Ti;n>Mi&&(Ai-=n,Ti=t)}function Ni(t){Si||(_i&&(_i=clearTimeout(_i)),t-Ci>24?(t<1/0&&(_i=setTimeout(Di,t-ki.now()-Ai)),Ei&&(Ei=clearInterval(Ei))):(Ei||(Ti=ki.now(),Ei=setInterval(Fi,Mi)),Si=1,Oi(Di)))}function Bi(t,n,r){var l=new Pi;return n=null==n?0:+n,l.restart((function(r){l.stop(),t(r+n)}),n,r),l}Pi.prototype=Li.prototype={constructor:Pi,restart:function(t,n,r){if("function"!=typeof t)throw new TypeError("callback is not a function");r=(null==r?Ii():+r)+(null==n?0:+n),this._next||wi===this||(wi?wi._next=this:xi=this,wi=this),this._call=t,this._time=r,Ni()},stop:function(){this._call&&(this._call=null,this._time=1/0,Ni())}};var $i=de("start","end","cancel","interrupt"),zi=[],ji=0,Vi=1,Ui=2,Hi=3,Gi=4,Wi=5,qi=6;function Xi(t,n,r,l,d,h){var p=t.__transition;if(p){if(r in p)return}else t.__transition={};!function(t,n,r){var l,d=t.__transition;function h(t){r.state=Vi,r.timer.restart(p,r.delay,r.time),r.delay<=t&&p(t-r.delay)}function p(h){var g,y,v,b;if(r.state!==Vi)return m();for(g in d)if((b=d[g]).name===r.name){if(b.state===Hi)return Bi(p);b.state===Gi?(b.state=qi,b.timer.stop(),b.on.call("interrupt",t,t.__data__,b.index,b.group),delete d[g]):+g<n&&(b.state=qi,b.timer.stop(),b.on.call("cancel",t,t.__data__,b.index,b.group),delete d[g])}if(Bi((function(){r.state===Hi&&(r.state=Gi,r.timer.restart(f,r.delay,r.time),f(h))})),r.state=Ui,r.on.call("start",t,t.__data__,r.index,r.group),r.state===Ui){for(r.state=Hi,l=new Array(v=r.tween.length),g=0,y=-1;g<v;++g)(b=r.tween[g].value.call(t,t.__data__,r.index,r.group))&&(l[++y]=b);l.length=y+1}}function f(n){for(var d=n<r.duration?r.ease.call(null,n/r.duration):(r.timer.restart(m),r.state=Wi,1),h=-1,p=l.length;++h<p;)l[h].call(t,d);r.state===Wi&&(r.on.call("end",t,t.__data__,r.index,r.group),m())}function m(){for(var l in r.state=qi,r.timer.stop(),delete d[n],d)return;delete t.__transition}d[n]=r,r.timer=Li(h,0,r.time)}(t,r,{name:n,index:l,group:d,on:$i,tween:zi,time:h.time,delay:h.delay,duration:h.duration,ease:h.ease,timer:null,state:ji})}function Yi(t,n){var r=Ki(t,n);if(r.state>ji)throw new Error("too late; already scheduled");return r}function Zi(t,n){var r=Ki(t,n);if(r.state>Hi)throw new Error("too late; already running");return r}function Ki(t,n){var r=t.__transition;if(!r||!(r=r[n]))throw new Error("transition not found");return r}function Ji(t,n){var r,l,d,h=t.__transition,p=!0;if(h){for(d in n=null==n?null:n+"",h)(r=h[d]).name===n?(l=r.state>Ui&&r.state<Wi,r.state=qi,r.timer.stop(),r.on.call(l?"interrupt":"cancel",t,t.__data__,r.index,r.group),delete h[d]):p=!1;p&&delete t.__transition}}var Qi,en,tn,nn,rn=180/Math.PI,on={translateX:0,translateY:0,rotate:0,skewX:0,scaleX:1,scaleY:1};function an(t,n,r,l,d,h){var p,f,m;return(p=Math.sqrt(t*t+n*n))&&(t/=p,n/=p),(m=t*r+n*l)&&(r-=t*m,l-=n*m),(f=Math.sqrt(r*r+l*l))&&(r/=f,l/=f,m/=f),t*l<n*r&&(t=-t,n=-n,m=-m,p=-p),{translateX:d,translateY:h,rotate:Math.atan2(n,t)*rn,skewX:Math.atan(m)*rn,scaleX:p,scaleY:f}}function sn(t,n,r,l){function d(t){return t.length?t.pop()+" ":""}return function(h,p){var f=[],m=[];return h=t(h),p=t(p),function(t,l,d,h,p,f){if(t!==d||l!==h){var m=p.push("translate(",null,n,null,r);f.push({i:m-4,x:di(t,d)},{i:m-2,x:di(l,h)})}else(d||h)&&p.push("translate("+d+n+h+r)}(h.translateX,h.translateY,p.translateX,p.translateY,f,m),function(t,n,r,h){t!==n?(t-n>180?n+=360:n-t>180&&(t+=360),h.push({i:r.push(d(r)+"rotate(",null,l)-2,x:di(t,n)})):n&&r.push(d(r)+"rotate("+n+l)}(h.rotate,p.rotate,f,m),function(t,n,r,h){t!==n?h.push({i:r.push(d(r)+"skewX(",null,l)-2,x:di(t,n)}):n&&r.push(d(r)+"skewX("+n+l)}(h.skewX,p.skewX,f,m),function(t,n,r,l,h,p){if(t!==r||n!==l){var f=h.push(d(h)+"scale(",null,",",null,")");p.push({i:f-4,x:di(t,r)},{i:f-2,x:di(n,l)})}else 1===r&&1===l||h.push(d(h)+"scale("+r+","+l+")")}(h.scaleX,h.scaleY,p.scaleX,p.scaleY,f,m),h=p=null,function(t){for(var n,r=-1,l=m.length;++r<l;)f[(n=m[r]).i]=n.x(t);return f.join("")}}}var ln=sn((function(t){return"none"===t?on:(Qi||(Qi=document.createElement("DIV"),en=document.documentElement,tn=document.defaultView),Qi.style.transform=t,t=tn.getComputedStyle(en.appendChild(Qi),null).getPropertyValue("transform"),en.removeChild(Qi),an(+(t=t.slice(7,-1).split(","))[0],+t[1],+t[2],+t[3],+t[4],+t[5]))}),"px, ","px)","deg)"),cn=sn((function(t){return null==t?on:(nn||(nn=document.createElementNS("http://www.w3.org/2000/svg","g")),nn.setAttribute("transform",t),(t=nn.transform.baseVal.consolidate())?an((t=t.matrix).a,t.b,t.c,t.d,t.e,t.f):on)}),", ",")",")");function dn(t,n){var r,l;return function(){var d=Zi(this,t),h=d.tween;if(h!==r)for(var p=0,f=(l=r=h).length;p<f;++p)if(l[p].name===n){(l=l.slice()).splice(p,1);break}d.tween=l}}function un(t,n,r){var l,d;if("function"!=typeof r)throw new Error;return function(){var h=Zi(this,t),p=h.tween;if(p!==l){d=(l=p).slice();for(var f={name:n,value:r},m=0,g=d.length;m<g;++m)if(d[m].name===n){d[m]=f;break}m===g&&d.push(f)}h.tween=d}}function hn(t,n,r){var l=t._id;return t.each((function(){var t=Zi(this,l);(t.value||(t.value={}))[n]=r.apply(this,arguments)})),function(t){return Ki(t,l).value[n]}}function pn(t,n){var r;return("number"==typeof n?di:n instanceof jt?oi:(r=jt(n))?(n=r,oi):fi)(t,n)}function fn(t){return function(){this.removeAttribute(t)}}function mn(t){return function(){this.removeAttributeNS(t.space,t.local)}}function gn(t,n,r){var l,d,h=r+"";return function(){var p=this.getAttribute(t);return p===h?null:p===l?d:d=n(l=p,r)}}function yn(t,n,r){var l,d,h=r+"";return function(){var p=this.getAttributeNS(t.space,t.local);return p===h?null:p===l?d:d=n(l=p,r)}}function vn(t,n,r){var l,d,h;return function(){var p,f,m=r(this);if(null!=m)return(p=this.getAttribute(t))===(f=m+"")?null:p===l&&f===d?h:(d=f,h=n(l=p,m));this.removeAttribute(t)}}function bn(t,n,r){var l,d,h;return function(){var p,f,m=r(this);if(null!=m)return(p=this.getAttributeNS(t.space,t.local))===(f=m+"")?null:p===l&&f===d?h:(d=f,h=n(l=p,m));this.removeAttributeNS(t.space,t.local)}}function xn(t,n){var r,l;function d(){var d=n.apply(this,arguments);return d!==l&&(r=(l=d)&&function(t,n){return function(r){this.setAttributeNS(t.space,t.local,n.call(this,r))}}(t,d)),r}return d._value=n,d}function wn(t,n){var r,l;function d(){var d=n.apply(this,arguments);return d!==l&&(r=(l=d)&&function(t,n){return function(r){this.setAttribute(t,n.call(this,r))}}(t,d)),r}return d._value=n,d}function Sn(t,n){return function(){Yi(this,t).delay=+n.apply(this,arguments)}}function _n(t,n){return n=+n,function(){Yi(this,t).delay=n}}function En(t,n){return function(){Zi(this,t).duration=+n.apply(this,arguments)}}function Mn(t,n){return n=+n,function(){Zi(this,t).duration=n}}var Tn=xt.prototype.constructor;function Cn(t){return function(){this.style.removeProperty(t)}}var An=0;function kn(t,n,r,l){this._groups=t,this._parents=n,this._name=r,this._id=l}function On(){return++An}var In=xt.prototype;kn.prototype=function(t){return xt().transition(t)}.prototype={constructor:kn,select:function(t){var n=this._name,r=this._id;"function"!=typeof t&&(t=he(t));for(var l=this._groups,d=l.length,h=new Array(d),p=0;p<d;++p)for(var f,m,g=l[p],y=g.length,v=h[p]=new Array(y),b=0;b<y;++b)(f=g[b])&&(m=t.call(f,f.__data__,b,g))&&("__data__"in f&&(m.__data__=f.__data__),v[b]=m,Xi(v[b],n,r,b,v,Ki(f,r)));return new kn(h,this._parents,n,r)},selectAll:function(t){var n=this._name,r=this._id;"function"!=typeof t&&(t=fe(t));for(var l=this._groups,d=l.length,h=[],p=[],f=0;f<d;++f)for(var m,g=l[f],y=g.length,v=0;v<y;++v)if(m=g[v]){for(var b,x=t.call(m,m.__data__,v,g),w=Ki(m,r),S=0,_=x.length;S<_;++S)(b=x[S])&&Xi(b,n,r,S,x,w);h.push(x),p.push(m)}return new kn(h,p,n,r)},filter:function(t){"function"!=typeof t&&(t=me(t));for(var n=this._groups,r=n.length,l=new Array(r),d=0;d<r;++d)for(var h,p=n[d],f=p.length,m=l[d]=[],g=0;g<f;++g)(h=p[g])&&t.call(h,h.__data__,g,p)&&m.push(h);return new kn(l,this._parents,this._name,this._id)},merge:function(t){if(t._id!==this._id)throw new Error;for(var n=this._groups,r=t._groups,l=n.length,d=r.length,h=Math.min(l,d),p=new Array(l),f=0;f<h;++f)for(var m,g=n[f],y=r[f],v=g.length,b=p[f]=new Array(v),x=0;x<v;++x)(m=g[x]||y[x])&&(b[x]=m);for(;f<l;++f)p[f]=n[f];return new kn(p,this._parents,this._name,this._id)},selection:function(){return new Tn(this._groups,this._parents)},transition:function(){for(var t=this._name,n=this._id,r=On(),l=this._groups,d=l.length,h=0;h<d;++h)for(var p,f=l[h],m=f.length,g=0;g<m;++g)if(p=f[g]){var y=Ki(p,n);Xi(p,t,r,g,f,{time:y.time+y.delay+y.duration,delay:0,duration:y.duration,ease:y.ease})}return new kn(l,this._parents,t,r)},call:In.call,nodes:In.nodes,node:In.node,size:In.size,empty:In.empty,each:In.each,on:function(t,n){var r=this._id;return arguments.length<2?Ki(this.node(),r).on.on(t):this.each(function(t,n,r){var l,d,h=function(t){return(t+"").trim().split(/^|\s+/).every((function(t){var n=t.indexOf(".");return n>=0&&(t=t.slice(0,n)),!t||"start"===t}))}(n)?Yi:Zi;return function(){var p=h(this,t),f=p.on;f!==l&&(d=(l=f).copy()).on(n,r),p.on=d}}(r,t,n))},attr:function(t,n){var r=Ee(t),l="transform"===r?cn:pn;return this.attrTween(t,"function"==typeof n?(r.local?bn:vn)(r,l,hn(this,"attr."+t,n)):null==n?(r.local?mn:fn)(r):(r.local?yn:gn)(r,l,n))},attrTween:function(t,n){var r="attr."+t;if(arguments.length<2)return(r=this.tween(r))&&r._value;if(null==n)return this.tween(r,null);if("function"!=typeof n)throw new Error;var l=Ee(t);return this.tween(r,(l.local?xn:wn)(l,n))},style:function(t,n,r){var l="transform"==(t+="")?ln:pn;return null==n?this.styleTween(t,function(t,n){var r,l,d;return function(){var h=De(this,t),p=(this.style.removeProperty(t),De(this,t));return h===p?null:h===r&&p===l?d:d=n(r=h,l=p)}}(t,l)).on("end.style."+t,Cn(t)):"function"==typeof n?this.styleTween(t,function(t,n,r){var l,d,h;return function(){var p=De(this,t),f=r(this),m=f+"";return null==f&&(this.style.removeProperty(t),m=f=De(this,t)),p===m?null:p===l&&m===d?h:(d=m,h=n(l=p,f))}}(t,l,hn(this,"style."+t,n))).each(function(t,n){var r,l,d,h,p="style."+n,f="end."+p;return function(){var m=Zi(this,t),g=m.on,y=null==m.value[p]?h||(h=Cn(n)):void 0;g===r&&d===y||(l=(r=g).copy()).on(f,d=y),m.on=l}}(this._id,t)):this.styleTween(t,function(t,n,r){var l,d,h=r+"";return function(){var p=De(this,t);return p===h?null:p===l?d:d=n(l=p,r)}}(t,l,n),r).on("end.style."+t,null)},styleTween:function(t,n,r){var l="style."+(t+="");if(arguments.length<2)return(l=this.tween(l))&&l._value;if(null==n)return this.tween(l,null);if("function"!=typeof n)throw new Error;return this.tween(l,function(t,n,r){var l,d;function h(){var h=n.apply(this,arguments);return h!==d&&(l=(d=h)&&function(t,n,r){return function(l){this.style.setProperty(t,n.call(this,l),r)}}(t,h,r)),l}return h._value=n,h}(t,n,null==r?"":r))},text:function(t){return this.tween("text","function"==typeof t?function(t){return function(){var n=t(this);this.textContent=null==n?"":n}}(hn(this,"text",t)):function(t){return function(){this.textContent=t}}(null==t?"":t+""))},textTween:function(t){var n="text";if(arguments.length<1)return(n=this.tween(n))&&n._value;if(null==t)return this.tween(n,null);if("function"!=typeof t)throw new Error;return this.tween(n,function(t){var n,r;function l(){var l=t.apply(this,arguments);return l!==r&&(n=(r=l)&&function(t){return function(n){this.textContent=t.call(this,n)}}(l)),n}return l._value=t,l}(t))},remove:function(){return this.on("end.remove",function(t){return function(){var n=this.parentNode;for(var r in this.__transition)if(+r!==t)return;n&&n.removeChild(this)}}(this._id))},tween:function(t,n){var r=this._id;if(t+="",arguments.length<2){for(var l,d=Ki(this.node(),r).tween,h=0,p=d.length;h<p;++h)if((l=d[h]).name===t)return l.value;return null}return this.each((null==n?dn:un)(r,t,n))},delay:function(t){var n=this._id;return arguments.length?this.each(("function"==typeof t?Sn:_n)(n,t)):Ki(this.node(),n).delay},duration:function(t){var n=this._id;return arguments.length?this.each(("function"==typeof t?En:Mn)(n,t)):Ki(this.node(),n).duration},ease:function(t){var n=this._id;return arguments.length?this.each(function(t,n){if("function"!=typeof n)throw new Error;return function(){Zi(this,t).ease=n}}(n,t)):Ki(this.node(),n).ease},end:function(){var t,n,r=this,l=r._id,d=r.size();return new Promise((function(h,p){var f={value:p},m={value:function(){0==--d&&h()}};r.each((function(){var r=Zi(this,l),d=r.on;d!==t&&((n=(t=d).copy())._.cancel.push(f),n._.interrupt.push(f),n._.end.push(m)),r.on=n}))}))}};var Rn={time:null,delay:0,duration:250,ease:function(t){return((t*=2)<=1?t*t*t:(t-=2)*t*t+2)/2}};function Pn(t,n){for(var r;!(r=t.__transition)||!(r=r[n]);)if(!(t=t.parentNode))return Rn.time=Ii(),Rn;return r}xt.prototype.interrupt=function(t){return this.each((function(){Ji(this,t)}))},xt.prototype.transition=function(t){var n,r;t instanceof kn?(n=t._id,t=t._name):(n=On(),(r=Rn).time=Ii(),t=null==t?null:t+"");for(var l=this._groups,d=l.length,h=0;h<d;++h)for(var p,f=l[h],m=f.length,g=0;g<m;++g)(p=f[g])&&Xi(p,t,n,g,f,r||Pn(p,n));return new kn(l,this._parents,t,n)};function Ln(t){return function(){return t}}function Dn(t,n,r){this.target=t,this.type=n,this.selection=r}function Fn(){ct.stopImmediatePropagation()}function Nn(){ct.preventDefault(),ct.stopImmediatePropagation()}var Bn={name:"drag"},$n={name:"space"},zn={name:"handle"},jn={name:"center"};function Vn(t){return[+t[0],+t[1]]}function Un(t){return[Vn(t[0]),Vn(t[1])]}function Hn(t){return function(n){return function(t,n,r){arguments.length<3&&(r=n,n=yi().changedTouches);for(var l,d=0,h=n?n.length:0;d<h;++d)if((l=n[d]).identifier===r)return vi(t,l);return null}(n,ct.touches,t)}}var Gn={name:"x",handles:["w","e"].map(Qn),input:function(t,n){return null==t?null:[[+t[0],n[0][1]],[+t[1],n[1][1]]]},output:function(t){return t&&[t[0][0],t[1][0]]}},Wn={name:"y",handles:["n","s"].map(Qn),input:function(t,n){return null==t?null:[[n[0][0],+t[0]],[n[1][0],+t[1]]]},output:function(t){return t&&[t[0][1],t[1][1]]}},qn={name:"xy",handles:["n","w","e","s","nw","ne","sw","se"].map(Qn),input:function(t){return null==t?null:Un(t)},output:function(t){return t}},Xn={overlay:"crosshair",selection:"move",n:"ns-resize",e:"ew-resize",s:"ns-resize",w:"ew-resize",nw:"nwse-resize",ne:"nesw-resize",se:"nwse-resize",sw:"nesw-resize"},Yn={e:"w",w:"e",nw:"ne",ne:"nw",se:"sw",sw:"se"},Zn={n:"s",s:"n",nw:"sw",ne:"se",se:"ne",sw:"nw"},Kn={overlay:1,selection:1,n:null,e:1,s:null,w:-1,nw:-1,ne:1,se:1,sw:-1},Jn={overlay:1,selection:1,n:-1,e:null,s:1,w:null,nw:-1,ne:-1,se:1,sw:1};function Qn(t){return{type:t}}function er(){return!ct.ctrlKey&&!ct.button}function tr(){var t=this.ownerSVGElement||this;return t.hasAttribute("viewBox")?[[(t=t.viewBox.baseVal).x,t.y],[t.x+t.width,t.y+t.height]]:[[0,0],[t.width.baseVal.value,t.height.baseVal.value]]}function ir(){return navigator.maxTouchPoints||"ontouchstart"in this}function nr(t){for(;!t.__brush;)if(!(t=t.parentNode))return;return t.__brush}function rr(){return ar(Gn)}function or(){return ar(qn)}function ar(t){var n,r=tr,l=er,d=ir,h=!0,p=de("start","brush","end"),f=6;function m(n){var r=n.property("__brush",S).selectAll(".overlay").data([Qn("overlay")]);r.enter().append("rect").attr("class","overlay").attr("pointer-events","all").attr("cursor",Xn.overlay).merge(r).each((function(){var t=nr(this).extent;wt(this).attr("x",t[0][0]).attr("y",t[0][1]).attr("width",t[1][0]-t[0][0]).attr("height",t[1][1]-t[0][1])})),n.selectAll(".selection").data([Qn("selection")]).enter().append("rect").attr("class","selection").attr("cursor",Xn.selection).attr("fill","#777").attr("fill-opacity",.3).attr("stroke","#fff").attr("shape-rendering","crispEdges");var l=n.selectAll(".handle").data(t.handles,(function(t){return t.type}));l.exit().remove(),l.enter().append("rect").attr("class",(function(t){return"handle handle--"+t.type})).attr("cursor",(function(t){return Xn[t.type]})),n.each(g).attr("fill","none").attr("pointer-events","all").on("mousedown.brush",b).filter(d).on("touchstart.brush",b).on("touchmove.brush",x).on("touchend.brush touchcancel.brush",w).style("touch-action","none").style("-webkit-tap-highlight-color","rgba(0,0,0,0)")}function g(){var t=wt(this),n=nr(this).selection;n?(t.selectAll(".selection").style("display",null).attr("x",n[0][0]).attr("y",n[0][1]).attr("width",n[1][0]-n[0][0]).attr("height",n[1][1]-n[0][1]),t.selectAll(".handle").style("display",null).attr("x",(function(t){return"e"===t.type[t.type.length-1]?n[1][0]-f/2:n[0][0]-f/2})).attr("y",(function(t){return"s"===t.type[0]?n[1][1]-f/2:n[0][1]-f/2})).attr("width",(function(t){return"n"===t.type||"s"===t.type?n[1][0]-n[0][0]+f:f})).attr("height",(function(t){return"e"===t.type||"w"===t.type?n[1][1]-n[0][1]+f:f}))):t.selectAll(".selection,.handle").style("display","none").attr("x",null).attr("y",null).attr("width",null).attr("height",null)}function y(t,n,r){return!r&&t.__brush.emitter||new v(t,n)}function v(t,n){this.that=t,this.args=n,this.state=t.__brush,this.active=0}function b(){if((!n||ct.touches)&&l.apply(this,arguments)){var r,d,p,f,m,v,b,x,w,S,_,E=this,T=ct.target.__data__.type,C="selection"===(h&&ct.metaKey?T="overlay":T)?Bn:h&&ct.altKey?jn:zn,A=t===Wn?null:Kn[T],O=t===Gn?null:Jn[T],I=nr(E),P=I.extent,D=I.selection,F=P[0][0],B=P[0][1],$=P[1][0],j=P[1][1],V=0,U=0,G=A&&O&&h&&ct.shiftKey,W=ct.touches?Hn(ct.changedTouches[0].identifier):bi,q=W(E),X=q,Y=y(E,arguments,!0).beforestart();"overlay"===T?(D&&(w=!0),I.selection=D=[[r=t===Wn?F:q[0],p=t===Gn?B:q[1]],[m=t===Wn?$:r,b=t===Gn?j:p]]):(r=D[0][0],p=D[0][1],m=D[1][0],b=D[1][1]),d=r,f=p,v=m,x=b;var K=wt(E).attr("pointer-events","none"),J=K.selectAll(".overlay").attr("cursor",Xn[T]);if(ct.touches)Y.moved=ee,Y.ended=ie;else{var Q=wt(ct.view).on("mousemove.brush",ee,!0).on("mouseup.brush",ie,!0);h&&Q.on("keydown.brush",(function(){switch(ct.keyCode){case 16:G=A&&O;break;case 18:C===zn&&(A&&(m=v-V*A,r=d+V*A),O&&(b=x-U*O,p=f+U*O),C=jn,te());break;case 32:C!==zn&&C!==jn||(A<0?m=v-V:A>0&&(r=d-V),O<0?b=x-U:O>0&&(p=f-U),C=$n,J.attr("cursor",Xn.selection),te());break;default:return}Nn()}),!0).on("keyup.brush",(function(){switch(ct.keyCode){case 16:G&&(S=_=G=!1,te());break;case 18:C===jn&&(A<0?m=v:A>0&&(r=d),O<0?b=x:O>0&&(p=f),C=zn,te());break;case 32:C===$n&&(ct.altKey?(A&&(m=v-V*A,r=d+V*A),O&&(b=x-U*O,p=f+U*O),C=jn):(A<0?m=v:A>0&&(r=d),O<0?b=x:O>0&&(p=f),C=zn),J.attr("cursor",Xn[T]),te());break;default:return}Nn()}),!0),function(t){var n=t.document.documentElement,r=wt(t).on("dragstart.drag",St,!0);"onselectstart"in n?r.on("selectstart.drag",St,!0):(n.__noselect=n.style.MozUserSelect,n.style.MozUserSelect="none")}(ct.view)}Fn(),Ji(E),g.call(E),Y.start()}function ee(){var t=W(E);!G||S||_||(Math.abs(t[0]-X[0])>Math.abs(t[1]-X[1])?_=!0:S=!0),X=t,w=!0,Nn(),te()}function te(){var t;switch(V=X[0]-q[0],U=X[1]-q[1],C){case $n:case Bn:A&&(V=Math.max(F-r,Math.min($-m,V)),d=r+V,v=m+V),O&&(U=Math.max(B-p,Math.min(j-b,U)),f=p+U,x=b+U);break;case zn:A<0?(V=Math.max(F-r,Math.min($-r,V)),d=r+V,v=m):A>0&&(V=Math.max(F-m,Math.min($-m,V)),d=r,v=m+V),O<0?(U=Math.max(B-p,Math.min(j-p,U)),f=p+U,x=b):O>0&&(U=Math.max(B-b,Math.min(j-b,U)),f=p,x=b+U);break;case jn:A&&(d=Math.max(F,Math.min($,r-V*A)),v=Math.max(F,Math.min($,m+V*A))),O&&(f=Math.max(B,Math.min(j,p-U*O)),x=Math.max(B,Math.min(j,b+U*O)))}v<d&&(A*=-1,t=r,r=m,m=t,t=d,d=v,v=t,T in Yn&&J.attr("cursor",Xn[T=Yn[T]])),x<f&&(O*=-1,t=p,p=b,b=t,t=f,f=x,x=t,T in Zn&&J.attr("cursor",Xn[T=Zn[T]])),I.selection&&(D=I.selection),S&&(d=D[0][0],v=D[1][0]),_&&(f=D[0][1],x=D[1][1]),D[0][0]===d&&D[0][1]===f&&D[1][0]===v&&D[1][1]===x||(I.selection=[[d,f],[v,x]],g.call(E),Y.brush())}function ie(){if(Fn(),ct.touches){if(ct.touches.length)return;n&&clearTimeout(n),n=setTimeout((function(){n=null}),500)}else!function(t,n){var r=t.document.documentElement,l=wt(t).on("dragstart.drag",null);n&&(l.on("click.drag",St,!0),setTimeout((function(){l.on("click.drag",null)}),0)),"onselectstart"in r?l.on("selectstart.drag",null):(r.style.MozUserSelect=r.__noselect,delete r.__noselect)}(ct.view,w),Q.on("keydown.brush keyup.brush mousemove.brush mouseup.brush",null);K.attr("pointer-events","all"),J.attr("cursor",Xn.overlay),I.selection&&(D=I.selection),function(t){return t[0][0]===t[1][0]||t[0][1]===t[1][1]}(D)&&(I.selection=null,g.call(E)),Y.end()}}function x(){y(this,arguments).moved()}function w(){y(this,arguments).ended()}function S(){var n=this.__brush||{selection:null};return n.extent=Un(r.apply(this,arguments)),n.dim=t,n}return m.move=function(n,r){n.selection?n.on("start.brush",(function(){y(this,arguments).beforestart().start()})).on("interrupt.brush end.brush",(function(){y(this,arguments).end()})).tween("brush",(function(){var n=this,l=n.__brush,d=y(n,arguments),h=l.selection,p=t.input("function"==typeof r?r.apply(this,arguments):r,l.extent),f=gi(h,p);function m(t){l.selection=1===t&&null===p?null:f(t),g.call(n),d.brush()}return null!==h&&null!==p?m:m(1)})):n.each((function(){var n=this,l=arguments,d=n.__brush,h=t.input("function"==typeof r?r.apply(n,l):r,d.extent),p=y(n,l).beforestart();Ji(n),d.selection=null===h?null:h,g.call(n),p.start().brush().end()}))},m.clear=function(t){m.move(t,null)},v.prototype={beforestart:function(){return 1==++this.active&&(this.state.emitter=this,this.starting=!0),this},start:function(){return this.starting?(this.starting=!1,this.emit("start")):this.emit("brush"),this},brush:function(){return this.emit("brush"),this},end:function(){return 0==--this.active&&(delete this.state.emitter,this.emit("end")),this},emit:function(n){!function(t,n,r,l){var d=ct;t.sourceEvent=ct,ct=t;try{return n.apply(r,l)}finally{ct=d}}(new Dn(m,n,t.output(this.state.selection)),p.apply,p,[n,this.that,this.args])}},m.extent=function(t){return arguments.length?(r="function"==typeof t?t:Ln(Un(t)),m):r},m.filter=function(t){return arguments.length?(l="function"==typeof t?t:Ln(!!t),m):l},m.touchable=function(t){return arguments.length?(d="function"==typeof t?t:Ln(!!t),m):d},m.handleSize=function(t){return arguments.length?(f=+t,m):f},m.keyModifiers=function(t){return arguments.length?(h=!!t,m):h},m.on=function(){var t=p.on.apply(p,arguments);return t===p?m:t},m}Math.cos,Math.sin,Math.PI,Math.max;Array.prototype.slice;var sr="$";function lr(){}function cr(t,n){var r=new lr;if(t instanceof lr)t.each((function(t,n){r.set(n,t)}));else if(Array.isArray(t)){var l,d=-1,h=t.length;if(null==n)for(;++d<h;)r.set(d,t[d]);else for(;++d<h;)r.set(n(l=t[d],d,t),l)}else if(t)for(var p in t)r.set(p,t[p]);return r}lr.prototype=cr.prototype={constructor:lr,has:function(t){return sr+t in this},get:function(t){return this[sr+t]},set:function(t,n){return this[sr+t]=n,this},remove:function(t){var n=sr+t;return n in this&&delete this[n]},clear:function(){for(var t in this)t[0]===sr&&delete this[t]},keys:function(){var t=[];for(var n in this)n[0]===sr&&t.push(n.slice(1));return t},values:function(){var t=[];for(var n in this)n[0]===sr&&t.push(this[n]);return t},entries:function(){var t=[];for(var n in this)n[0]===sr&&t.push({key:n.slice(1),value:this[n]});return t},size:function(){var t=0;for(var n in this)n[0]===sr&&++t;return t},empty:function(){for(var t in this)if(t[0]===sr)return!1;return!0},each:function(t){for(var n in this)n[0]===sr&&t(this[n],n.slice(1),this)}};const dr=cr;function ur(){}var hr=dr.prototype;function pr(t,n){var r=new ur;if(t instanceof ur)t.each((function(t){r.add(t)}));else if(t){var l=-1,d=t.length;if(null==n)for(;++l<d;)r.add(t[l]);else for(;++l<d;)r.add(n(t[l],l,t))}return r}ur.prototype=pr.prototype={constructor:ur,has:hr.has,add:function(t){return this[sr+(t+="")]=t,this},remove:hr.remove,clear:hr.clear,values:hr.keys,size:hr.size,empty:hr.empty,each:hr.each};Array.prototype.slice;Math.PI,Math.sqrt(5);var fr=Math.PI/180,mr=180/Math.PI,gr=.96422,yr=1,vr=.82521,br=4/29,xr=6/29,wr=3*xr*xr,Sr=xr*xr*xr;function _r(t){if(t instanceof Mr)return new Mr(t.l,t.a,t.b,t.opacity);if(t instanceof Ir)return Rr(t);t instanceof Wt||(t=Ht(t));var n,r,l=kr(t.r),d=kr(t.g),h=kr(t.b),p=Tr((.2225045*l+.7168786*d+.0606169*h)/yr);return l===d&&d===h?n=r=p:(n=Tr((.4360747*l+.3850649*d+.1430804*h)/gr),r=Tr((.0139322*l+.0971045*d+.7141733*h)/vr)),new Mr(116*p-16,500*(n-p),200*(p-r),t.opacity)}function Er(t,n,r,l){return 1===arguments.length?_r(t):new Mr(t,n,r,null==l?1:l)}function Mr(t,n,r,l){this.l=+t,this.a=+n,this.b=+r,this.opacity=+l}function Tr(t){return t>Sr?Math.pow(t,1/3):t/wr+br}function Cr(t){return t>xr?t*t*t:wr*(t-br)}function Ar(t){return 255*(t<=.0031308?12.92*t:1.055*Math.pow(t,1/2.4)-.055)}function kr(t){return(t/=255)<=.04045?t/12.92:Math.pow((t+.055)/1.055,2.4)}function Or(t){if(t instanceof Ir)return new Ir(t.h,t.c,t.l,t.opacity);if(t instanceof Mr||(t=_r(t)),0===t.a&&0===t.b)return new Ir(NaN,0<t.l&&t.l<100?0:NaN,t.l,t.opacity);var n=Math.atan2(t.b,t.a)*mr;return new Ir(n<0?n+360:n,Math.sqrt(t.a*t.a+t.b*t.b),t.l,t.opacity)}function Ir(t,n,r,l){this.h=+t,this.c=+n,this.l=+r,this.opacity=+l}function Rr(t){if(isNaN(t.h))return new Mr(t.l,0,0,t.opacity);var n=t.h*fr;return new Mr(t.l,Math.cos(n)*t.c,Math.sin(n)*t.c,t.opacity)}function Pr(t,n){var r=ri((t=Er(t)).l,(n=Er(n)).l),l=ri(t.a,n.a),d=ri(t.b,n.b),h=ri(t.opacity,n.opacity);return function(n){return t.l=r(n),t.a=l(n),t.b=d(n),t.opacity=h(n),t+""}}function Lr(){return Math.random()}_t(Mr,Er,Et(Mt,{brighter:function(t){return new Mr(this.l+18*(null==t?1:t),this.a,this.b,this.opacity)},darker:function(t){return new Mr(this.l-18*(null==t?1:t),this.a,this.b,this.opacity)},rgb:function(){var t=(this.l+16)/116,n=isNaN(this.a)?t:t+this.a/500,r=isNaN(this.b)?t:t-this.b/200;return new Wt(Ar(3.1338561*(n=gr*Cr(n))-1.6168667*(t=yr*Cr(t))-.4906146*(r=vr*Cr(r))),Ar(-.9787684*n+1.9161415*t+.033454*r),Ar(.0719453*n-.2289914*t+1.4052427*r),this.opacity)}})),_t(Ir,(function(t,n,r,l){return 1===arguments.length?Or(t):new Ir(t,n,r,null==l?1:l)}),Et(Mt,{brighter:function(t){return new Ir(this.h,this.c,this.l+18*(null==t?1:t),this.opacity)},darker:function(t){return new Ir(this.h,this.c,this.l-18*(null==t?1:t),this.opacity)},rgb:function(){return Rr(this).rgb()}}));(function t(n){function r(t,r){return t=null==t?0:+t,r=null==r?1:+r,1===arguments.length?(r=t,t=0):r-=t,function(){return n()*r+t}}return r.source=t,r})(Lr);const Dr=function t(n){function r(t,r){var l,d;return t=null==t?0:+t,r=null==r?1:+r,function(){var h;if(null!=l)h=l,l=null;else do{l=2*n()-1,h=2*n()-1,d=l*l+h*h}while(!d||d>1);return t+r*h*Math.sqrt(-2*Math.log(d)/d)}}return r.source=t,r}(Lr),Fr=(function t(n){function r(){var t=Dr.source(n).apply(this,arguments);return function(){return Math.exp(t())}}return r.source=t,r}(Lr),function t(n){function r(t){return function(){for(var r=0,l=0;l<t;++l)r+=n();return r}}return r.source=t,r}(Lr));(function t(n){function r(t){var r=Fr.source(n)(t);return function(){return r()/t}}return r.source=t,r})(Lr),function t(n){function r(t){return function(){return-Math.log(1-n())/t}}return r.source=t,r}(Lr);function Nr(t,n){switch(arguments.length){case 0:break;case 1:this.range(t);break;default:this.range(n).domain(t)}return this}function Br(t,n){switch(arguments.length){case 0:break;case 1:this.interpolator(t);break;default:this.interpolator(n).domain(t)}return this}var $r=Array.prototype,zr=$r.map,jr=$r.slice,Vr={name:"implicit"};function Ur(){var t=dr(),n=[],r=[],l=Vr;function d(d){var h=d+"",p=t.get(h);if(!p){if(l!==Vr)return l;t.set(h,p=n.push(d))}return r[(p-1)%r.length]}return d.domain=function(r){if(!arguments.length)return n.slice();n=[],t=dr();for(var l,h,p=-1,f=r.length;++p<f;)t.has(h=(l=r[p])+"")||t.set(h,n.push(l));return d},d.range=function(t){return arguments.length?(r=jr.call(t),d):r.slice()},d.unknown=function(t){return arguments.length?(l=t,d):l},d.copy=function(){return Ur(n,r).unknown(l)},Nr.apply(d,arguments),d}function Hr(){var t,n,r=Ur().unknown(void 0),l=r.domain,d=r.range,h=[0,1],p=!1,f=0,m=0,g=.5;function y(){var r=l().length,y=h[1]<h[0],v=h[y-0],b=h[1-y];t=(b-v)/Math.max(1,r-f+2*m),p&&(t=Math.floor(t)),v+=(b-v-t*(r-f))*g,n=t*(1-f),p&&(v=Math.round(v),n=Math.round(n));var x=S(r).map((function(n){return v+t*n}));return d(y?x.reverse():x)}return delete r.unknown,r.domain=function(t){return arguments.length?(l(t),y()):l()},r.range=function(t){return arguments.length?(h=[+t[0],+t[1]],y()):h.slice()},r.rangeRound=function(t){return h=[+t[0],+t[1]],p=!0,y()},r.bandwidth=function(){return n},r.step=function(){return t},r.round=function(t){return arguments.length?(p=!!t,y()):p},r.padding=function(t){return arguments.length?(f=Math.min(1,m=+t),y()):f},r.paddingInner=function(t){return arguments.length?(f=Math.min(1,t),y()):f},r.paddingOuter=function(t){return arguments.length?(m=+t,y()):m},r.align=function(t){return arguments.length?(g=Math.max(0,Math.min(1,t)),y()):g},r.copy=function(){return Hr(l(),h).round(p).paddingInner(f).paddingOuter(m).align(g)},Nr.apply(y(),arguments)}function Gr(t,n){return t=+t,n=+n,function(r){return Math.round(t*(1-r)+n*r)}}function Wr(t){return+t}var qr=[0,1];function Xr(t){return t}function Yr(t,n){return(n-=t=+t)?function(r){return(r-t)/n}:function(t){return function(){return t}}(isNaN(n)?NaN:.5)}function Zr(t){var n,r=t[0],l=t[t.length-1];return r>l&&(n=r,r=l,l=n),function(t){return Math.max(r,Math.min(l,t))}}function Kr(t,n,r){var l=t[0],d=t[1],h=n[0],p=n[1];return d<l?(l=Yr(d,l),h=r(p,h)):(l=Yr(l,d),h=r(h,p)),function(t){return h(l(t))}}function Jr(t,n,r){var l=Math.min(t.length,n.length)-1,d=new Array(l),h=new Array(l),p=-1;for(t[l]<t[0]&&(t=t.slice().reverse(),n=n.slice().reverse());++p<l;)d[p]=Yr(t[p],t[p+1]),h[p]=r(n[p],n[p+1]);return function(n){var r=f(t,n,1,l)-1;return h[r](d[r](n))}}function Qr(t,n){return function(){var t,n,r,l,d,h,p=qr,f=qr,m=gi,g=Xr;function y(){return l=Math.min(p.length,f.length)>2?Jr:Kr,d=h=null,v}function v(n){return isNaN(n=+n)?r:(d||(d=l(p.map(t),f,m)))(t(g(n)))}return v.invert=function(r){return g(n((h||(h=l(f,p.map(t),di)))(r)))},v.domain=function(t){return arguments.length?(p=zr.call(t,Wr),g===Xr||(g=Zr(p)),y()):p.slice()},v.range=function(t){return arguments.length?(f=jr.call(t),y()):f.slice()},v.rangeRound=function(t){return f=jr.call(t),m=Gr,y()},v.clamp=function(t){return arguments.length?(g=t?Zr(p):Xr,v):g!==Xr},v.interpolate=function(t){return arguments.length?(m=t,y()):m},v.unknown=function(t){return arguments.length?(r=t,v):r},function(r,l){return t=r,n=l,y()}}()(t,n)}var eo,to=/^(?:(.)?([<>=^]))?([+\-( ])?([$#])?(0)?(\d+)?(,)?(\.\d+)?(~)?([a-z%])?$/i;function io(t){if(!(n=to.exec(t)))throw new Error("invalid format: "+t);var n;return new no({fill:n[1],align:n[2],sign:n[3],symbol:n[4],zero:n[5],width:n[6],comma:n[7],precision:n[8]&&n[8].slice(1),trim:n[9],type:n[10]})}function no(t){this.fill=void 0===t.fill?" ":t.fill+"",this.align=void 0===t.align?">":t.align+"",this.sign=void 0===t.sign?"-":t.sign+"",this.symbol=void 0===t.symbol?"":t.symbol+"",this.zero=!!t.zero,this.width=void 0===t.width?void 0:+t.width,this.comma=!!t.comma,this.precision=void 0===t.precision?void 0:+t.precision,this.trim=!!t.trim,this.type=void 0===t.type?"":t.type+""}function ro(t,n){if((r=(t=n?t.toExponential(n-1):t.toExponential()).indexOf("e"))<0)return null;var r,l=t.slice(0,r);return[l.length>1?l[0]+l.slice(2):l,+t.slice(r+1)]}function oo(t){return(t=ro(Math.abs(t)))?t[1]:NaN}function ao(t,n){var r=ro(t,n);if(!r)return t+"";var l=r[0],d=r[1];return d<0?"0."+new Array(-d).join("0")+l:l.length>d+1?l.slice(0,d+1)+"."+l.slice(d+1):l+new Array(d-l.length+2).join("0")}io.prototype=no.prototype,no.prototype.toString=function(){return this.fill+this.align+this.sign+this.symbol+(this.zero?"0":"")+(void 0===this.width?"":Math.max(1,0|this.width))+(this.comma?",":"")+(void 0===this.precision?"":"."+Math.max(0,0|this.precision))+(this.trim?"~":"")+this.type};const so={"%":function(t,n){return(100*t).toFixed(n)},b:function(t){return Math.round(t).toString(2)},c:function(t){return t+""},d:function(t){return Math.round(t).toString(10)},e:function(t,n){return t.toExponential(n)},f:function(t,n){return t.toFixed(n)},g:function(t,n){return t.toPrecision(n)},o:function(t){return Math.round(t).toString(8)},p:function(t,n){return ao(100*t,n)},r:ao,s:function(t,n){var r=ro(t,n);if(!r)return t+"";var l=r[0],d=r[1],h=d-(eo=3*Math.max(-8,Math.min(8,Math.floor(d/3))))+1,p=l.length;return h===p?l:h>p?l+new Array(h-p+1).join("0"):h>0?l.slice(0,h)+"."+l.slice(h):"0."+new Array(1-h).join("0")+ro(t,Math.max(0,n+h-1))[0]},X:function(t){return Math.round(t).toString(16).toUpperCase()},x:function(t){return Math.round(t).toString(16)}};function lo(t){return t}var co,uo,ho,po=Array.prototype.map,fo=["y","z","a","f","p","n","µ","m","","k","M","G","T","P","E","Z","Y"];function mo(t){var n,r,l=void 0===t.grouping||void 0===t.thousands?lo:(n=po.call(t.grouping,Number),r=t.thousands+"",function(t,l){for(var d=t.length,h=[],p=0,f=n[0],m=0;d>0&&f>0&&(m+f+1>l&&(f=Math.max(1,l-m)),h.push(t.substring(d-=f,d+f)),!((m+=f+1)>l));)f=n[p=(p+1)%n.length];return h.reverse().join(r)}),d=void 0===t.currency?"":t.currency[0]+"",h=void 0===t.currency?"":t.currency[1]+"",p=void 0===t.decimal?".":t.decimal+"",f=void 0===t.numerals?lo:function(t){return function(n){return n.replace(/[0-9]/g,(function(n){return t[+n]}))}}(po.call(t.numerals,String)),m=void 0===t.percent?"%":t.percent+"",g=void 0===t.minus?"-":t.minus+"",y=void 0===t.nan?"NaN":t.nan+"";function v(t){var n=(t=io(t)).fill,r=t.align,v=t.sign,b=t.symbol,x=t.zero,w=t.width,S=t.comma,_=t.precision,E=t.trim,T=t.type;"n"===T?(S=!0,T="g"):so[T]||(void 0===_&&(_=12),E=!0,T="g"),(x||"0"===n&&"="===r)&&(x=!0,n="0",r="=");var C="$"===b?d:"#"===b&&/[boxX]/.test(T)?"0"+T.toLowerCase():"",A="$"===b?h:/[%p]/.test(T)?m:"",O=so[T],I=/[defgprs%]/.test(T);function P(t){var d,h,m,b=C,P=A;if("c"===T)P=O(t)+P,t="";else{var D=(t=+t)<0||1/t<0;if(t=isNaN(t)?y:O(Math.abs(t),_),E&&(t=function(t){e:for(var n,r=t.length,l=1,d=-1;l<r;++l)switch(t[l]){case".":d=n=l;break;case"0":0===d&&(d=l),n=l;break;default:if(!+t[l])break e;d>0&&(d=0)}return d>0?t.slice(0,d)+t.slice(n+1):t}(t)),D&&0==+t&&"+"!==v&&(D=!1),b=(D?"("===v?v:g:"-"===v||"("===v?"":v)+b,P=("s"===T?fo[8+eo/3]:"")+P+(D&&"("===v?")":""),I)for(d=-1,h=t.length;++d<h;)if(48>(m=t.charCodeAt(d))||m>57){P=(46===m?p+t.slice(d+1):t.slice(d))+P,t=t.slice(0,d);break}}S&&!x&&(t=l(t,1/0));var F=b.length+t.length+P.length,B=F<w?new Array(w-F+1).join(n):"";switch(S&&x&&(t=l(B+t,B.length?w-P.length:1/0),B=""),r){case"<":t=b+t+P+B;break;case"=":t=b+B+t+P;break;case"^":t=B.slice(0,F=B.length>>1)+b+t+P+B.slice(F);break;default:t=B+b+t+P}return f(t)}return _=void 0===_?6:/[gprs]/.test(T)?Math.max(1,Math.min(21,_)):Math.max(0,Math.min(20,_)),P.toString=function(){return t+""},P}return{format:v,formatPrefix:function(t,n){var r=v(((t=io(t)).type="f",t)),l=3*Math.max(-8,Math.min(8,Math.floor(oo(n)/3))),d=Math.pow(10,-l),h=fo[8+l/3];return function(t){return r(d*t)+h}}}}function go(t,n,r,l){var d,h=A(t,n,r);switch((l=io(null==l?",f":l)).type){case"s":var p=Math.max(Math.abs(t),Math.abs(n));return null!=l.precision||isNaN(d=function(t,n){return Math.max(0,3*Math.max(-8,Math.min(8,Math.floor(oo(n)/3)))-oo(Math.abs(t)))}(h,p))||(l.precision=d),ho(l,p);case"":case"e":case"g":case"p":case"r":null!=l.precision||isNaN(d=function(t,n){return t=Math.abs(t),n=Math.abs(n)-t,Math.max(0,oo(n)-oo(t))+1}(h,Math.max(Math.abs(t),Math.abs(n))))||(l.precision=d-("e"===l.type));break;case"f":case"%":null!=l.precision||isNaN(d=function(t){return Math.max(0,-oo(Math.abs(t)))}(h))||(l.precision=d-2*("%"===l.type))}return uo(l)}function yo(t){var n=t.domain;return t.ticks=function(t){var r=n();return function(t,n,r){var l,d,h,p,f=-1;if(r=+r,(t=+t)==(n=+n)&&r>0)return[t];if((l=n<t)&&(d=t,t=n,n=d),0===(p=C(t,n,r))||!isFinite(p))return[];if(p>0)for(t=Math.ceil(t/p),n=Math.floor(n/p),h=new Array(d=Math.ceil(n-t+1));++f<d;)h[f]=(t+f)*p;else for(t=Math.floor(t*p),n=Math.ceil(n*p),h=new Array(d=Math.ceil(t-n+1));++f<d;)h[f]=(t-f)/p;return l&&h.reverse(),h}(r[0],r[r.length-1],null==t?10:t)},t.tickFormat=function(t,r){var l=n();return go(l[0],l[l.length-1],null==t?10:t,r)},t.nice=function(r){null==r&&(r=10);var l,d=n(),h=0,p=d.length-1,f=d[h],m=d[p];return m<f&&(l=f,f=m,m=l,l=h,h=p,p=l),(l=C(f,m,r))>0?l=C(f=Math.floor(f/l)*l,m=Math.ceil(m/l)*l,r):l<0&&(l=C(f=Math.ceil(f*l)/l,m=Math.floor(m*l)/l,r)),l>0?(d[h]=Math.floor(f/l)*l,d[p]=Math.ceil(m/l)*l,n(d)):l<0&&(d[h]=Math.ceil(f*l)/l,d[p]=Math.floor(m*l)/l,n(d)),t},t}function vo(){var t=Qr(Xr,Xr);return t.copy=function(){return n=t,vo().domain(n.domain()).range(n.range()).interpolate(n.interpolate()).clamp(n.clamp()).unknown(n.unknown());var n},Nr.apply(t,arguments),yo(t)}co=mo({decimal:".",thousands:",",grouping:[3],currency:["$",""],minus:"-"}),uo=co.format,ho=co.formatPrefix;function bo(){var t,n,r,l,d,h=0,p=1,f=Xr,m=!1;function g(n){return isNaN(n=+n)?d:f(0===r?.5:(n=(l(n)-t)*r,m?Math.max(0,Math.min(1,n)):n))}return g.domain=function(d){return arguments.length?(t=l(h=+d[0]),n=l(p=+d[1]),r=t===n?0:1/(n-t),g):[h,p]},g.clamp=function(t){return arguments.length?(m=!!t,g):m},g.interpolator=function(t){return arguments.length?(f=t,g):f},g.unknown=function(t){return arguments.length?(d=t,g):d},function(d){return l=d,t=d(h),n=d(p),r=t===n?0:1/(n-t),g}}function xo(t,n){return n.domain(t.domain()).interpolator(t.interpolator()).clamp(t.clamp()).unknown(t.unknown())}function wo(){var t=yo(bo()(Xr));return t.copy=function(){return xo(t,wo())},Br.apply(t,arguments)}var So=Math.PI,_o=2*So,Eo=1e-6,Mo=_o-Eo;function To(){this._x0=this._y0=this._x1=this._y1=null,this._=""}function Co(){return new To}To.prototype=Co.prototype={constructor:To,moveTo:function(t,n){this._+="M"+(this._x0=this._x1=+t)+","+(this._y0=this._y1=+n)},closePath:function(){null!==this._x1&&(this._x1=this._x0,this._y1=this._y0,this._+="Z")},lineTo:function(t,n){this._+="L"+(this._x1=+t)+","+(this._y1=+n)},quadraticCurveTo:function(t,n,r,l){this._+="Q"+ +t+","+ +n+","+(this._x1=+r)+","+(this._y1=+l)},bezierCurveTo:function(t,n,r,l,d,h){this._+="C"+ +t+","+ +n+","+ +r+","+ +l+","+(this._x1=+d)+","+(this._y1=+h)},arcTo:function(t,n,r,l,d){t=+t,n=+n,r=+r,l=+l,d=+d;var h=this._x1,p=this._y1,f=r-t,m=l-n,g=h-t,y=p-n,v=g*g+y*y;if(d<0)throw new Error("negative radius: "+d);if(null===this._x1)this._+="M"+(this._x1=t)+","+(this._y1=n);else if(v>Eo)if(Math.abs(y*f-m*g)>Eo&&d){var b=r-h,x=l-p,w=f*f+m*m,S=b*b+x*x,_=Math.sqrt(w),E=Math.sqrt(v),T=d*Math.tan((So-Math.acos((w+v-S)/(2*_*E)))/2),C=T/E,A=T/_;Math.abs(C-1)>Eo&&(this._+="L"+(t+C*g)+","+(n+C*y)),this._+="A"+d+","+d+",0,0,"+ +(y*b>g*x)+","+(this._x1=t+A*f)+","+(this._y1=n+A*m)}else this._+="L"+(this._x1=t)+","+(this._y1=n);else;},arc:function(t,n,r,l,d,h){t=+t,n=+n,h=!!h;var p=(r=+r)*Math.cos(l),f=r*Math.sin(l),m=t+p,g=n+f,y=1^h,v=h?l-d:d-l;if(r<0)throw new Error("negative radius: "+r);null===this._x1?this._+="M"+m+","+g:(Math.abs(this._x1-m)>Eo||Math.abs(this._y1-g)>Eo)&&(this._+="L"+m+","+g),r&&(v<0&&(v=v%_o+_o),v>Mo?this._+="A"+r+","+r+",0,1,"+y+","+(t-p)+","+(n-f)+"A"+r+","+r+",0,1,"+y+","+(this._x1=m)+","+(this._y1=g):v>Eo&&(this._+="A"+r+","+r+",0,"+ +(v>=So)+","+y+","+(this._x1=t+r*Math.cos(d))+","+(this._y1=n+r*Math.sin(d))))},rect:function(t,n,r,l){this._+="M"+(this._x0=this._x1=+t)+","+(this._y0=this._y1=+n)+"h"+ +r+"v"+ +l+"h"+-r+"Z"},toString:function(){return this._}};const Ao=Co;function ko(t){return function(){return t}}function Oo(t){this._context=t}function Io(t){return new Oo(t)}function Ro(t){return t[0]}function Po(t){return t[1]}function Lo(){var t=Ro,n=Po,r=ko(!0),l=null,d=Io,h=null;function p(p){var f,m,g,y=p.length,v=!1;for(null==l&&(h=d(g=Ao())),f=0;f<=y;++f)!(f<y&&r(m=p[f],f,p))===v&&((v=!v)?h.lineStart():h.lineEnd()),v&&h.point(+t(m,f,p),+n(m,f,p));if(g)return h=null,g+""||null}return p.x=function(n){return arguments.length?(t="function"==typeof n?n:ko(+n),p):t},p.y=function(t){return arguments.length?(n="function"==typeof t?t:ko(+t),p):n},p.defined=function(t){return arguments.length?(r="function"==typeof t?t:ko(!!t),p):r},p.curve=function(t){return arguments.length?(d=t,null!=l&&(h=d(l)),p):d},p.context=function(t){return arguments.length?(null==t?l=h=null:h=d(l=t),p):l},p}function Do(){this._=null}function Fo(t){t.U=t.C=t.L=t.R=t.P=t.N=null}function No(t,n){var r=n,l=n.R,d=r.U;d?d.L===r?d.L=l:d.R=l:t._=l,l.U=d,r.U=l,r.R=l.L,r.R&&(r.R.U=r),l.L=r}function Bo(t,n){var r=n,l=n.L,d=r.U;d?d.L===r?d.L=l:d.R=l:t._=l,l.U=d,r.U=l,r.L=l.R,r.L&&(r.L.U=r),l.R=r}function $o(t){for(;t.L;)t=t.L;return t}Oo.prototype={areaStart:function(){this._line=0},areaEnd:function(){this._line=NaN},lineStart:function(){this._point=0},lineEnd:function(){(this._line||0!==this._line&&1===this._point)&&this._context.closePath(),this._line=1-this._line},point:function(t,n){switch(t=+t,n=+n,this._point){case 0:this._point=1,this._line?this._context.lineTo(t,n):this._context.moveTo(t,n);break;case 1:this._point=2;default:this._context.lineTo(t,n)}}},Do.prototype={constructor:Do,insert:function(t,n){var r,l,d;if(t){if(n.P=t,n.N=t.N,t.N&&(t.N.P=n),t.N=n,t.R){for(t=t.R;t.L;)t=t.L;t.L=n}else t.R=n;r=t}else this._?(t=$o(this._),n.P=null,n.N=t,t.P=t.L=n,r=t):(n.P=n.N=null,this._=n,r=null);for(n.L=n.R=null,n.U=r,n.C=!0,t=n;r&&r.C;)r===(l=r.U).L?(d=l.R)&&d.C?(r.C=d.C=!1,l.C=!0,t=l):(t===r.R&&(No(this,r),r=(t=r).U),r.C=!1,l.C=!0,Bo(this,l)):(d=l.L)&&d.C?(r.C=d.C=!1,l.C=!0,t=l):(t===r.L&&(Bo(this,r),r=(t=r).U),r.C=!1,l.C=!0,No(this,l)),r=t.U;this._.C=!1},remove:function(t){t.N&&(t.N.P=t.P),t.P&&(t.P.N=t.N),t.N=t.P=null;var n,r,l,d=t.U,h=t.L,p=t.R;if(r=h?p?$o(p):h:p,d?d.L===t?d.L=r:d.R=r:this._=r,h&&p?(l=r.C,r.C=t.C,r.L=h,h.U=r,r!==p?(d=r.U,r.U=t.U,t=r.R,d.L=t,r.R=p,p.U=r):(r.U=d,d=r,t=r.R)):(l=t.C,t=r),t&&(t.U=d),!l)if(t&&t.C)t.C=!1;else{do{if(t===this._)break;if(t===d.L){if((n=d.R).C&&(n.C=!1,d.C=!0,No(this,d),n=d.R),n.L&&n.L.C||n.R&&n.R.C){n.R&&n.R.C||(n.L.C=!1,n.C=!0,Bo(this,n),n=d.R),n.C=d.C,d.C=n.R.C=!1,No(this,d),t=this._;break}}else if((n=d.L).C&&(n.C=!1,d.C=!0,Bo(this,d),n=d.L),n.L&&n.L.C||n.R&&n.R.C){n.L&&n.L.C||(n.R.C=!1,n.C=!0,No(this,n),n=d.L),n.C=d.C,d.C=n.L.C=!1,Bo(this,d),t=this._;break}n.C=!0,t=d,d=d.U}while(!t.C);t&&(t.C=!1)}}};const zo=Do;function jo(t,n,r,l){var d=[null,null],h=ua.push(d)-1;return d.left=t,d.right=n,r&&Uo(d,t,n,r),l&&Uo(d,n,t,l),ca[t.index].halfedges.push(h),ca[n.index].halfedges.push(h),d}function Vo(t,n,r){var l=[n,r];return l.left=t,l}function Uo(t,n,r,l){t[0]||t[1]?t.left===r?t[1]=l:t[0]=l:(t[0]=l,t.left=n,t.right=r)}function Ho(t,n,r,l,d){var h,p=t[0],f=t[1],m=p[0],g=p[1],y=0,v=1,b=f[0]-m,x=f[1]-g;if(h=n-m,b||!(h>0)){if(h/=b,b<0){if(h<y)return;h<v&&(v=h)}else if(b>0){if(h>v)return;h>y&&(y=h)}if(h=l-m,b||!(h<0)){if(h/=b,b<0){if(h>v)return;h>y&&(y=h)}else if(b>0){if(h<y)return;h<v&&(v=h)}if(h=r-g,x||!(h>0)){if(h/=x,x<0){if(h<y)return;h<v&&(v=h)}else if(x>0){if(h>v)return;h>y&&(y=h)}if(h=d-g,x||!(h<0)){if(h/=x,x<0){if(h>v)return;h>y&&(y=h)}else if(x>0){if(h<y)return;h<v&&(v=h)}return!(y>0||v<1)||(y>0&&(t[0]=[m+y*b,g+y*x]),v<1&&(t[1]=[m+v*b,g+v*x]),!0)}}}}}function Go(t,n,r,l,d){var h=t[1];if(h)return!0;var p,f,m=t[0],g=t.left,y=t.right,v=g[0],b=g[1],x=y[0],w=y[1],S=(v+x)/2,_=(b+w)/2;if(w===b){if(S<n||S>=l)return;if(v>x){if(m){if(m[1]>=d)return}else m=[S,r];h=[S,d]}else{if(m){if(m[1]<r)return}else m=[S,d];h=[S,r]}}else if(f=_-(p=(v-x)/(w-b))*S,p<-1||p>1)if(v>x){if(m){if(m[1]>=d)return}else m=[(r-f)/p,r];h=[(d-f)/p,d]}else{if(m){if(m[1]<r)return}else m=[(d-f)/p,d];h=[(r-f)/p,r]}else if(b<w){if(m){if(m[0]>=l)return}else m=[n,p*n+f];h=[l,p*l+f]}else{if(m){if(m[0]<n)return}else m=[l,p*l+f];h=[n,p*n+f]}return t[0]=m,t[1]=h,!0}function Wo(t,n){var r=t.site,l=n.left,d=n.right;return r===d&&(d=l,l=r),d?Math.atan2(d[1]-l[1],d[0]-l[0]):(r===l?(l=n[1],d=n[0]):(l=n[0],d=n[1]),Math.atan2(l[0]-d[0],d[1]-l[1]))}function qo(t,n){return n[+(n.left!==t.site)]}function Xo(t,n){return n[+(n.left===t.site)]}var Yo,Zo=[];function Ko(){Fo(this),this.x=this.y=this.arc=this.site=this.cy=null}function Jo(t){var n=t.P,r=t.N;if(n&&r){var l=n.site,d=t.site,h=r.site;if(l!==h){var p=d[0],f=d[1],m=l[0]-p,g=l[1]-f,y=h[0]-p,v=h[1]-f,b=2*(m*v-g*y);if(!(b>=-pa)){var x=m*m+g*g,w=y*y+v*v,S=(v*x-g*w)/b,_=(m*w-y*x)/b,E=Zo.pop()||new Ko;E.arc=t,E.site=d,E.x=S+p,E.y=(E.cy=_+f)+Math.sqrt(S*S+_*_),t.circle=E;for(var T=null,C=da._;C;)if(E.y<C.y||E.y===C.y&&E.x<=C.x){if(!C.L){T=C.P;break}C=C.L}else{if(!C.R){T=C;break}C=C.R}da.insert(T,E),T||(Yo=E)}}}}function Qo(t){var n=t.circle;n&&(n.P||(Yo=n.N),da.remove(n),Zo.push(n),Fo(n),t.circle=null)}var ea=[];function ta(){Fo(this),this.edge=this.site=this.circle=null}function ia(t){var n=ea.pop()||new ta;return n.site=t,n}function na(t){Qo(t),la.remove(t),ea.push(t),Fo(t)}function ra(t){var n=t.circle,r=n.x,l=n.cy,d=[r,l],h=t.P,p=t.N,f=[t];na(t);for(var m=h;m.circle&&Math.abs(r-m.circle.x)<ha&&Math.abs(l-m.circle.cy)<ha;)h=m.P,f.unshift(m),na(m),m=h;f.unshift(m),Qo(m);for(var g=p;g.circle&&Math.abs(r-g.circle.x)<ha&&Math.abs(l-g.circle.cy)<ha;)p=g.N,f.push(g),na(g),g=p;f.push(g),Qo(g);var y,v=f.length;for(y=1;y<v;++y)g=f[y],m=f[y-1],Uo(g.edge,m.site,g.site,d);m=f[0],(g=f[v-1]).edge=jo(m.site,g.site,null,d),Jo(m),Jo(g)}function oa(t){for(var n,r,l,d,h=t[0],p=t[1],f=la._;f;)if((l=aa(f,p)-h)>ha)f=f.L;else{if(!((d=h-sa(f,p))>ha)){l>-ha?(n=f.P,r=f):d>-ha?(n=f,r=f.N):n=r=f;break}if(!f.R){n=f;break}f=f.R}!function(t){ca[t.index]={site:t,halfedges:[]}}(t);var m=ia(t);if(la.insert(n,m),n||r){if(n===r)return Qo(n),r=ia(n.site),la.insert(m,r),m.edge=r.edge=jo(n.site,m.site),Jo(n),void Jo(r);if(r){Qo(n),Qo(r);var g=n.site,y=g[0],v=g[1],b=t[0]-y,x=t[1]-v,w=r.site,S=w[0]-y,_=w[1]-v,E=2*(b*_-x*S),T=b*b+x*x,C=S*S+_*_,A=[(_*T-x*C)/E+y,(b*C-S*T)/E+v];Uo(r.edge,g,w,A),m.edge=jo(g,t,null,A),r.edge=jo(t,w,null,A),Jo(n),Jo(r)}else m.edge=jo(n.site,m.site)}}function aa(t,n){var r=t.site,l=r[0],d=r[1],h=d-n;if(!h)return l;var p=t.P;if(!p)return-1/0;var f=(r=p.site)[0],m=r[1],g=m-n;if(!g)return f;var y=f-l,v=1/h-1/g,b=y/g;return v?(-b+Math.sqrt(b*b-2*v*(y*y/(-2*g)-m+g/2+d-h/2)))/v+l:(l+f)/2}function sa(t,n){var r=t.N;if(r)return aa(r,n);var l=t.site;return l[1]===n?l[0]:1/0}var la,ca,da,ua,ha=1e-6,pa=1e-12;function fa(t,n){return n[1]-t[1]||n[0]-t[0]}function ma(t,n){var r,l,d,h=t.sort(fa).pop();for(ua=[],ca=new Array(t.length),la=new zo,da=new zo;;)if(d=Yo,h&&(!d||h[1]<d.y||h[1]===d.y&&h[0]<d.x))h[0]===r&&h[1]===l||(oa(h),r=h[0],l=h[1]),h=t.pop();else{if(!d)break;ra(d.arc)}if(function(){for(var t,n,r,l,d=0,h=ca.length;d<h;++d)if((t=ca[d])&&(l=(n=t.halfedges).length)){var p=new Array(l),f=new Array(l);for(r=0;r<l;++r)p[r]=r,f[r]=Wo(t,ua[n[r]]);for(p.sort((function(t,n){return f[n]-f[t]})),r=0;r<l;++r)f[r]=n[p[r]];for(r=0;r<l;++r)n[r]=f[r]}}(),n){var p=+n[0][0],f=+n[0][1],m=+n[1][0],g=+n[1][1];!function(t,n,r,l){for(var d,h=ua.length;h--;)Go(d=ua[h],t,n,r,l)&&Ho(d,t,n,r,l)&&(Math.abs(d[0][0]-d[1][0])>ha||Math.abs(d[0][1]-d[1][1])>ha)||delete ua[h]}(p,f,m,g),function(t,n,r,l){var d,h,p,f,m,g,y,v,b,x,w,S,_=ca.length,E=!0;for(d=0;d<_;++d)if(h=ca[d]){for(p=h.site,f=(m=h.halfedges).length;f--;)ua[m[f]]||m.splice(f,1);for(f=0,g=m.length;f<g;)w=(x=Xo(h,ua[m[f]]))[0],S=x[1],v=(y=qo(h,ua[m[++f%g]]))[0],b=y[1],(Math.abs(w-v)>ha||Math.abs(S-b)>ha)&&(m.splice(f,0,ua.push(Vo(p,x,Math.abs(w-t)<ha&&l-S>ha?[t,Math.abs(v-t)<ha?b:l]:Math.abs(S-l)<ha&&r-w>ha?[Math.abs(b-l)<ha?v:r,l]:Math.abs(w-r)<ha&&S-n>ha?[r,Math.abs(v-r)<ha?b:n]:Math.abs(S-n)<ha&&w-t>ha?[Math.abs(b-n)<ha?v:t,n]:null))-1),++g);g&&(E=!1)}if(E){var T,C,A,O=1/0;for(d=0,E=null;d<_;++d)(h=ca[d])&&(A=(T=(p=h.site)[0]-t)*T+(C=p[1]-n)*C)<O&&(O=A,E=h);if(E){var I=[t,n],P=[t,l],D=[r,l],F=[r,n];E.halfedges.push(ua.push(Vo(p=E.site,I,P))-1,ua.push(Vo(p,P,D))-1,ua.push(Vo(p,D,F))-1,ua.push(Vo(p,F,I))-1)}}for(d=0;d<_;++d)(h=ca[d])&&(h.halfedges.length||delete ca[d])}(p,f,m,g)}this.edges=ua,this.cells=ca,la=da=ua=ca=null}function ga(t,n,r){this.k=t,this.x=n,this.y=r}ma.prototype={constructor:ma,polygons:function(){var t=this.edges;return this.cells.map((function(n){var r=n.halfedges.map((function(r){return qo(n,t[r])}));return r.data=n.site.data,r}))},triangles:function(){var t=[],n=this.edges;return this.cells.forEach((function(r,l){if(h=(d=r.halfedges).length)for(var d,h,p,f,m,g,y=r.site,v=-1,b=n[d[h-1]],x=b.left===y?b.right:b.left;++v<h;)p=x,x=(b=n[d[v]]).left===y?b.right:b.left,p&&x&&l<p.index&&l<x.index&&(m=p,g=x,((f=y)[0]-g[0])*(m[1]-f[1])-(f[0]-m[0])*(g[1]-f[1])<0)&&t.push([y.data,p.data,x.data])})),t},links:function(){return this.edges.filter((function(t){return t.right})).map((function(t){return{source:t.left.data,target:t.right.data}}))},find:function(t,n,r){for(var l,d,h=this,p=h._found||0,f=h.cells.length;!(d=h.cells[p]);)if(++p>=f)return null;var m=t-d.site[0],g=n-d.site[1],y=m*m+g*g;do{d=h.cells[l=p],p=null,d.halfedges.forEach((function(r){var l=h.edges[r],f=l.left;if(f!==d.site&&f||(f=l.right)){var m=t-f[0],g=n-f[1],v=m*m+g*g;v<y&&(y=v,p=f.index)}}))}while(null!==p);return h._found=l,null==r||y<=r*r?d.site:null}},ga.prototype={constructor:ga,scale:function(t){return 1===t?this:new ga(this.k*t,this.x,this.y)},translate:function(t,n){return 0===t&0===n?this:new ga(this.k,this.x+this.k*t,this.y+this.k*n)},apply:function(t){return[t[0]*this.k+this.x,t[1]*this.k+this.y]},applyX:function(t){return t*this.k+this.x},applyY:function(t){return t*this.k+this.y},invert:function(t){return[(t[0]-this.x)/this.k,(t[1]-this.y)/this.k]},invertX:function(t){return(t-this.x)/this.k},invertY:function(t){return(t-this.y)/this.k},rescaleX:function(t){return t.copy().domain(t.range().map(this.invertX,this).map(t.invert,t))},rescaleY:function(t){return t.copy().domain(t.range().map(this.invertY,this).map(t.invert,t))},toString:function(){return"translate("+this.x+","+this.y+") scale("+this.k+")"}};new ga(1,0,0);ga.prototype},4289:(t,n,r)=>{"use strict";var l=r(2215),d="function"==typeof Symbol&&"symbol"==typeof Symbol("foo"),h=Object.prototype.toString,p=Array.prototype.concat,f=Object.defineProperty,m=f&&function(){var t={};try{for(var n in f(t,"x",{enumerable:!1,value:t}),t)return!1;return t.x===t}catch(t){return!1}}(),g=function(t,n,r,l){var d;(!(n in t)||"function"==typeof(d=l)&&"[object Function]"===h.call(d)&&l())&&(m?f(t,n,{configurable:!0,enumerable:!1,value:r,writable:!0}):t[n]=r)},y=function(t,n){var r=arguments.length>2?arguments[2]:{},h=l(n);d&&(h=p.call(h,Object.getOwnPropertySymbols(n)));for(var f=0;f<h.length;f+=1)g(t,h[f],n[h[f]],r[h[f]])};y.supportsDescriptors=!!m,t.exports=y},2070:(t,n,r)=>{t.exports=r(685)},685:function(t,n,r){(function(){var t,l,d,h,p,f,m,g,y,v,b,x,w,S,_,E,T,C,A,O,I,P=[].indexOf||function(t){for(var n=0,r=this.length;n<r;n++)if(n in this&&this[n]===t)return n;return-1};g=Math.floor,v=Math.max,b=Math.min,l=r(4485),f=r(9282),T=function(t,n){return n?2*t/n:1},E=function(t,n){var r,l,d,h,p,f;for(p=[t.length,n.length],r=h=0,f=b(l=p[0],d=p[1]);0<=f?h<f:h>f;r=0<=f?++h:--h){if(t[r]<n[r])return-1;if(t[r]>n[r])return 1}return l-d},I=function(t,n){return Object.prototype.hasOwnProperty.call(t,n)},_=function(t){var n,r;for(n=0,r=t.length;n<r;n++)if(t[n])return!0;return!1},p=function(){function t(t,n,r,l){this.isjunk=t,null==n&&(n=""),null==r&&(r=""),this.autojunk=null==l||l,this.a=this.b=null,this.setSeqs(n,r)}return t.name="SequenceMatcher",t.prototype.setSeqs=function(t,n){return this.setSeq1(t),this.setSeq2(n)},t.prototype.setSeq1=function(t){if(t!==this.a)return this.a=t,this.matchingBlocks=this.opcodes=null},t.prototype.setSeq2=function(t){if(t!==this.b)return this.b=t,this.matchingBlocks=this.opcodes=null,this.fullbcount=null,this._chainB()},t.prototype._chainB=function(){var t,n,r,l,d,h,p,f,m,y,v,b,x,w;for(t=this.b,this.b2j=n={},l=y=0,b=t.length;y<b;l=++y)r=t[l],(I(n,r)?n[r]:n[r]=[]).push(l);if(h={},d=this.isjunk)for(v=0,x=(w=Object.keys(n)).length;v<x;v++)d(r=w[v])&&(h[r]=!0,delete n[r]);if(m={},p=t.length,this.autojunk&&p>=200)for(r in f=g(p/100)+1,n)n[r].length>f&&(m[r]=!0,delete n[r]);return this.isbjunk=function(t){return I(h,t)},this.isbpopular=function(t){return I(m,t)}},t.prototype.findLongestMatch=function(t,n,r,l){var d,h,p,f,m,g,y,v,b,x,w,S,_,E,T,C,A,O,P,D,F;for(d=(C=[this.a,this.b,this.b2j,this.isbjunk])[0],h=C[1],p=C[2],v=C[3],f=(A=[t,r,0])[0],m=A[1],g=A[2],x={},y=_=t;t<=n?_<n:_>n;y=t<=n?++_:--_){for(S={},E=0,T=(O=I(p,d[y])?p[d[y]]:[]).length;E<T;E++)if(!((b=O[E])<r)){if(b>=l)break;(w=S[b]=(x[b-1]||0)+1)>g&&(f=(P=[y-w+1,b-w+1,w])[0],m=P[1],g=P[2])}x=S}for(;f>t&&m>r&&!v(h[m-1])&&d[f-1]===h[m-1];)f=(D=[f-1,m-1,g+1])[0],m=D[1],g=D[2];for(;f+g<n&&m+g<l&&!v(h[m+g])&&d[f+g]===h[m+g];)g++;for(;f>t&&m>r&&v(h[m-1])&&d[f-1]===h[m-1];)f=(F=[f-1,m-1,g+1])[0],m=F[1],g=F[2];for(;f+g<n&&m+g<l&&v(h[m+g])&&d[f+g]===h[m+g];)g++;return[f,m,g]},t.prototype.getMatchingBlocks=function(){var t,n,r,l,d,h,p,f,m,g,y,v,b,x,w,S,_,T,C,A,O,I,P,D,F,B;if(this.matchingBlocks)return this.matchingBlocks;for(T=[[0,x=(I=[this.a.length,this.b.length])[0],0,w=I[1]]],S=[];T.length;)n=(P=T.pop())[0],t=P[1],l=P[2],r=P[3],d=(D=C=this.findLongestMatch(n,t,l,r))[0],f=D[1],(y=D[2])&&(S.push(C),n<d&&l<f&&T.push([n,d,l,f]),d+y<t&&f+y<r&&T.push([d+y,t,f+y,r]));for(S.sort(E),h=m=v=0,_=[],A=0,O=S.length;A<O;A++)p=(F=S[A])[0],g=F[1],b=F[2],h+v===p&&m+v===g?v+=b:(v&&_.push([h,m,v]),h=(B=[p,g,b])[0],m=B[1],v=B[2]);return v&&_.push([h,m,v]),_.push([x,w,0]),this.matchingBlocks=_},t.prototype.getOpcodes=function(){var t,n,r,l,d,h,p,f,m,g,y,v;if(this.opcodes)return this.opcodes;for(l=d=0,this.opcodes=n=[],f=0,m=(g=this.getMatchingBlocks()).length;f<m;f++)t=(y=g[f])[0],r=y[1],h=y[2],p="",l<t&&d<r?p="replace":l<t?p="delete":d<r&&(p="insert"),p&&n.push([p,l,t,d,r]),l=(v=[t+h,r+h])[0],d=v[1],h&&n.push(["equal",t,l,r,d]);return n},t.prototype.getGroupedOpcodes=function(t){var n,r,l,d,h,p,f,m,g,y,x,w,S,_,E;for(null==t&&(t=3),(n=this.getOpcodes()).length||(n=[["equal",0,1,0,1]]),"equal"===n[0][0]&&(g=(w=n[0])[0],d=w[1],h=w[2],p=w[3],f=w[4],n[0]=[g,v(d,h-t),h,v(p,f-t),f]),"equal"===n[n.length-1][0]&&(g=(S=n[n.length-1])[0],d=S[1],h=S[2],p=S[3],f=S[4],n[n.length-1]=[g,d,b(h,d+t),p,b(f,p+t)]),m=t+t,l=[],r=[],y=0,x=n.length;y<x;y++)g=(_=n[y])[0],d=_[1],h=_[2],p=_[3],f=_[4],"equal"===g&&h-d>m&&(r.push([g,d,b(h,d+t),p,b(f,p+t)]),l.push(r),r=[],d=(E=[v(d,h-t),v(p,f-t)])[0],p=E[1]),r.push([g,d,h,p,f]);return!r.length||1===r.length&&"equal"===r[0][0]||l.push(r),l},t.prototype.ratio=function(){var t,n,r,l;for(t=0,n=0,r=(l=this.getMatchingBlocks()).length;n<r;n++)t+=l[n][2];return T(t,this.a.length+this.b.length)},t.prototype.quickRatio=function(){var t,n,r,l,d,h,p,f,m,g,y;if(!this.fullbcount)for(this.fullbcount=r={},h=0,f=(g=this.b).length;h<f;h++)r[n=g[h]]=(r[n]||0)+1;for(r=this.fullbcount,t={},l=0,p=0,m=(y=this.a).length;p<m;p++)n=y[p],d=I(t,n)?t[n]:r[n]||0,t[n]=d-1,d>0&&l++;return T(l,this.a.length+this.b.length)},t.prototype.realQuickRatio=function(){var t,n,r;return r=[this.a.length,this.b.length],T(b(t=r[0],n=r[1]),t+n)},t}(),y=function(t,n,r,d){var h,f,m,g,y,v,b,x,w;if(null==r&&(r=3),null==d&&(d=.6),!(r>0))throw new Error("n must be > 0: ("+r+")");if(!(0<=d&&d<=1))throw new Error("cutoff must be in [0.0, 1.0]: ("+d+")");for(h=[],(f=new p).setSeq2(t),g=0,v=n.length;g<v;g++)m=n[g],f.setSeq1(m),f.realQuickRatio()>=d&&f.quickRatio()>=d&&f.ratio()>=d&&h.push([f.ratio(),m]);for(w=[],y=0,b=(h=l.nlargest(h,r,E)).length;y<b;y++)(x=h[y])[0],m=x[1],w.push(m);return w},C=function(t,n){var r,l,d;for(r=(d=[0,t.length])[0],l=d[1];r<l&&t[r]===n;)r++;return r},t=function(){function t(t,n){this.linejunk=t,this.charjunk=n}return t.name="Differ",t.prototype.compare=function(t,n){var r,l,d,h,f,m,g,y,v,b,x,w,S,_;for(g=[],v=0,x=(S=new p(this.linejunk,t,n).getOpcodes()).length;v<x;v++){switch(y=(_=S[v])[0],l=_[1],r=_[2],h=_[3],d=_[4],y){case"replace":f=this._fancyReplace(t,l,r,n,h,d);break;case"delete":f=this._dump("-",t,l,r);break;case"insert":f=this._dump("+",n,h,d);break;case"equal":f=this._dump(" ",t,l,r);break;default:throw new Error("unknow tag ("+y+")")}for(b=0,w=f.length;b<w;b++)m=f[b],g.push(m)}return g},t.prototype._dump=function(t,n,r,l){var d,h,p;for(p=[],d=h=r;r<=l?h<l:h>l;d=r<=l?++h:--h)p.push(t+" "+n[d]);return p},t.prototype._plainReplace=function(t,n,r,l,d,h){var p,m,g,y,v,b,x,w,S,_;for(f(n<r&&d<h),h-d<r-n?(p=this._dump("+",l,d,h),v=this._dump("-",t,n,r)):(p=this._dump("-",t,n,r),v=this._dump("+",l,d,h)),y=[],b=0,w=(_=[p,v]).length;b<w;b++)for(x=0,S=(m=_[b]).length;x<S;x++)g=m[x],y.push(g);return y},t.prototype._fancyReplace=function(t,n,r,l,d,h){var f,m,g,y,v,b,x,w,S,_,E,T,C,A,O,I,P,D,F,B,$,j,V,U,G,W,q,X,Y,K,J,Q,ee,te,ie,ne,re,oe,ae,se,le,ce,de,ue,he,pe,fe,me;for(x=(ne=[.74,.75])[0],A=ne[1],C=new p(this.charjunk),O=(re=[null,null])[0],I=re[1],j=[],D=U=d;d<=h?U<h:U>h;D=d<=h?++U:--U)for(_=l[D],C.setSeq2(_),P=G=n;n<=r?G<r:G>r;P=n<=r?++G:--G)(m=t[P])!==_?(C.setSeq1(m),C.realQuickRatio()>x&&C.quickRatio()>x&&C.ratio()>x&&(x=(ce=[C.ratio(),P,D])[0],w=ce[1],S=ce[2])):null===O&&(O=(le=[P,D])[0],I=le[1]);if(x<A){if(null===O){for(W=0,X=(de=this._plainReplace(t,n,r,l,d,h)).length;W<X;W++)$=de[W],j.push($);return j}w=(ue=[O,I,1])[0],S=ue[1],x=ue[2]}else O=null;for(q=0,Y=(he=this._fancyHelper(t,n,w,l,d,S)).length;q<Y;q++)$=he[q],j.push($);if(f=(pe=[t[w],l[S]])[0],b=pe[1],null===O){for(v=T="",C.setSeqs(f,b),ee=0,K=(fe=C.getOpcodes()).length;ee<K;ee++)switch(V=(me=fe[ee])[0],g=me[1],y=me[2],E=me[3],F=(oe=[y-g,me[4]-E])[0],B=oe[1],V){case"replace":v+=Array(F+1).join("^"),T+=Array(B+1).join("^");break;case"delete":v+=Array(F+1).join("-");break;case"insert":T+=Array(B+1).join("+");break;case"equal":v+=Array(F+1).join(" "),T+=Array(B+1).join(" ");break;default:throw new Error("unknow tag ("+V+")")}for(te=0,J=(ae=this._qformat(f,b,v,T)).length;te<J;te++)$=ae[te],j.push($)}else j.push("  "+f);for(ie=0,Q=(se=this._fancyHelper(t,w+1,r,l,S+1,h)).length;ie<Q;ie++)$=se[ie],j.push($);return j},t.prototype._fancyHelper=function(t,n,r,l,d,h){var p;return p=[],n<r?p=d<h?this._fancyReplace(t,n,r,l,d,h):this._dump("-",t,n,r):d<h&&(p=this._dump("+",l,d,h)),p},t.prototype._qformat=function(t,n,r,l){var d,h;return h=[],d=b(C(t,"\t"),C(n,"\t")),d=b(d,C(r.slice(0,d)," ")),d=b(d,C(l.slice(0,d)," ")),r=r.slice(d).replace(/\s+$/,""),l=l.slice(d).replace(/\s+$/,""),h.push("- "+t),r.length&&h.push("? "+Array(d+1).join("\t")+r+"\n"),h.push("+ "+n),l.length&&h.push("? "+Array(d+1).join("\t")+l+"\n"),h},t}(),h=function(t,n){return null==n&&(n=/^\s*#?\s*$/),n.test(t)},d=function(t,n){return null==n&&(n=" \t"),P.call(n,t)>=0},O=function(t,n){var r,l;return r=t+1,1===(l=n-t)?""+r:(l||r--,r+","+l)},S=function(t,n,r){var l,d,h,f,m,g,y,v,b,x,w,S,_,E,T,C,A,I,P,D,F,B,$,j,V,U,G,W,q,X,Y,K,J,Q,ee,te,ie;for(null==(m=(Y=null!=r?r:{}).fromfile)&&(m=""),null==(P=Y.tofile)&&(P=""),null==(g=Y.fromfiledate)&&(g=""),null==(D=Y.tofiledate)&&(D=""),null==Y.n&&3,null==(T=Y.lineterm)&&(T="\n"),E=[],C=!1,F=0,V=(K=new p(null,t,n).getGroupedOpcodes()).length;F<V;F++)for(y=K[F],C||(C=!0,f=g?"\t"+g:"",I=D?"\t"+D:"",E.push("--- "+m+f+T),E.push("+++ "+P+I+T)),S=(J=[y[0],y[y.length-1]])[1],l=O((h=J[0])[1],S[2]),d=O(h[3],S[4]),E.push("@@ -"+l+" +"+d+" @@"+T),B=0,U=y.length;B<U;B++)if(A=(Q=y[B])[0],v=Q[1],b=Q[2],x=Q[3],w=Q[4],"equal"!==A){if("replace"===A||"delete"===A)for(j=0,W=(te=t.slice(v,b)).length;j<W;j++)_=te[j],E.push("-"+_);if("replace"===A||"insert"===A)for(X=0,q=(ie=n.slice(x,w)).length;X<q;X++)_=ie[X],E.push("+"+_)}else for($=0,G=(ee=t.slice(v,b)).length;$<G;$++)_=ee[$],E.push(" "+_);return E},A=function(t,n){var r,l;return r=t+1,(l=n-t)||r--,l<=1?""+r:r+","+(r+l-1)},m=function(t,n,r){var l,d,h,f,m,g,y,v,b,x,w,S,E,T,C,O,I,P,D,F,B,$,j,V,U,G,W,q,X,Y,K,J,Q,ee,te,ie,ne,re;for(null==(m=(J=null!=r?r:{}).fromfile)&&(m=""),null==(F=J.tofile)&&(F=""),null==(g=J.fromfiledate)&&(g=""),null==(B=J.tofiledate)&&(B=""),null==J.n&&3,null==(C=J.lineterm)&&(C="\n"),O={insert:"+ ",delete:"- ",replace:"! ",equal:"  "},I=!1,T=[],$=0,G=(Q=new p(null,t,n).getGroupedOpcodes()).length;$<G;$++)if(y=Q[$],!I){if(I=!0,f=g?"\t"+g:"",D=B?"\t"+B:"",T.push("*** "+m+f+C),T.push("--- "+F+D+C),h=(ee=[y[0],y[y.length-1]])[0],S=ee[1],T.push("***************"+C),l=A(h[1],S[2]),T.push("*** "+l+" ****"+C),_(function(){var t,n,r,l;for(l=[],t=0,n=y.length;t<n;t++)r=y[t],P=r[0],r[1],r[2],r[3],r[4],l.push("replace"===P||"delete"===P);return l}()))for(j=0,W=y.length;j<W;j++)if(te=y[j],P=te[0],v=te[1],b=te[2],te[3],te[4],"insert"!==P)for(V=0,q=(ie=t.slice(v,b)).length;V<q;V++)E=ie[V],T.push(O[P]+E);if(d=A(h[3],S[4]),T.push("--- "+d+" ----"+C),_(function(){var t,n,r,l;for(l=[],t=0,n=y.length;t<n;t++)r=y[t],P=r[0],r[1],r[2],r[3],r[4],l.push("replace"===P||"insert"===P);return l}()))for(U=0,X=y.length;U<X;U++)if(ne=y[U],P=ne[0],ne[1],ne[2],x=ne[3],w=ne[4],"delete"!==P)for(K=0,Y=(re=n.slice(x,w)).length;K<Y;K++)E=re[K],T.push(O[P]+E)}return T},x=function(n,r,l,h){return null==h&&(h=d),new t(l,h).compare(n,r)},w=function(t,n){var r,l,d,h,p,f,m;if(!(h={1:"- ",2:"+ "}[n]))throw new Error("unknow delta choice (must be 1 or 2): "+n);for(d=["  ",h],l=[],p=0,f=t.length;p<f;p++)m=(r=t[p]).slice(0,2),P.call(d,m)>=0&&l.push(r.slice(2));return l},n._arrayCmp=E,n.SequenceMatcher=p,n.getCloseMatches=y,n._countLeading=C,n.Differ=t,n.IS_LINE_JUNK=h,n.IS_CHARACTER_JUNK=d,n._formatRangeUnified=O,n.unifiedDiff=S,n._formatRangeContext=A,n.contextDiff=m,n.ndiff=x,n.restore=w}).call(this)},8769:(t,n,r)=>{"use strict";var l,d=TypeError,h=Object.getOwnPropertyDescriptor;if(h)try{h({},"")}catch(t){h=null}var p=function(){throw new d},f=h?function(){try{return p}catch(t){try{return h(arguments,"callee").get}catch(t){return p}}}():p,m=r(1405)(),g=Object.getPrototypeOf||function(t){return t.__proto__},y=l,v=l,b=l,x=l,w="undefined"==typeof Uint8Array?l:g(Uint8Array),S={"%Array%":Array,"%ArrayBuffer%":"undefined"==typeof ArrayBuffer?l:ArrayBuffer,"%ArrayBufferPrototype%":"undefined"==typeof ArrayBuffer?l:ArrayBuffer.prototype,"%ArrayIteratorPrototype%":m?g([][Symbol.iterator]()):l,"%ArrayPrototype%":Array.prototype,"%ArrayProto_entries%":Array.prototype.entries,"%ArrayProto_forEach%":Array.prototype.forEach,"%ArrayProto_keys%":Array.prototype.keys,"%ArrayProto_values%":Array.prototype.values,"%AsyncFromSyncIteratorPrototype%":l,"%AsyncFunction%":v,"%AsyncFunctionPrototype%":l,"%AsyncGenerator%":l,"%AsyncGeneratorFunction%":b,"%AsyncGeneratorPrototype%":l,"%AsyncIteratorPrototype%":x&&m&&Symbol.asyncIterator?x[Symbol.asyncIterator]():l,"%Atomics%":"undefined"==typeof Atomics?l:Atomics,"%Boolean%":Boolean,"%BooleanPrototype%":Boolean.prototype,"%DataView%":"undefined"==typeof DataView?l:DataView,"%DataViewPrototype%":"undefined"==typeof DataView?l:DataView.prototype,"%Date%":Date,"%DatePrototype%":Date.prototype,"%decodeURI%":decodeURI,"%decodeURIComponent%":decodeURIComponent,"%encodeURI%":encodeURI,"%encodeURIComponent%":encodeURIComponent,"%Error%":Error,"%ErrorPrototype%":Error.prototype,"%eval%":eval,"%EvalError%":EvalError,"%EvalErrorPrototype%":EvalError.prototype,"%Float32Array%":"undefined"==typeof Float32Array?l:Float32Array,"%Float32ArrayPrototype%":"undefined"==typeof Float32Array?l:Float32Array.prototype,"%Float64Array%":"undefined"==typeof Float64Array?l:Float64Array,"%Float64ArrayPrototype%":"undefined"==typeof Float64Array?l:Float64Array.prototype,"%Function%":Function,"%FunctionPrototype%":Function.prototype,"%Generator%":l,"%GeneratorFunction%":y,"%GeneratorPrototype%":l,"%Int8Array%":"undefined"==typeof Int8Array?l:Int8Array,"%Int8ArrayPrototype%":"undefined"==typeof Int8Array?l:Int8Array.prototype,"%Int16Array%":"undefined"==typeof Int16Array?l:Int16Array,"%Int16ArrayPrototype%":"undefined"==typeof Int16Array?l:Int8Array.prototype,"%Int32Array%":"undefined"==typeof Int32Array?l:Int32Array,"%Int32ArrayPrototype%":"undefined"==typeof Int32Array?l:Int32Array.prototype,"%isFinite%":isFinite,"%isNaN%":isNaN,"%IteratorPrototype%":m?g(g([][Symbol.iterator]())):l,"%JSON%":"object"==typeof JSON?JSON:l,"%JSONParse%":"object"==typeof JSON?JSON.parse:l,"%Map%":"undefined"==typeof Map?l:Map,"%MapIteratorPrototype%":"undefined"!=typeof Map&&m?g((new Map)[Symbol.iterator]()):l,"%MapPrototype%":"undefined"==typeof Map?l:Map.prototype,"%Math%":Math,"%Number%":Number,"%NumberPrototype%":Number.prototype,"%Object%":Object,"%ObjectPrototype%":Object.prototype,"%ObjProto_toString%":Object.prototype.toString,"%ObjProto_valueOf%":Object.prototype.valueOf,"%parseFloat%":parseFloat,"%parseInt%":parseInt,"%Promise%":"undefined"==typeof Promise?l:Promise,"%PromisePrototype%":"undefined"==typeof Promise?l:Promise.prototype,"%PromiseProto_then%":"undefined"==typeof Promise?l:Promise.prototype.then,"%Promise_all%":"undefined"==typeof Promise?l:Promise.all,"%Promise_reject%":"undefined"==typeof Promise?l:Promise.reject,"%Promise_resolve%":"undefined"==typeof Promise?l:Promise.resolve,"%Proxy%":"undefined"==typeof Proxy?l:Proxy,"%RangeError%":RangeError,"%RangeErrorPrototype%":RangeError.prototype,"%ReferenceError%":ReferenceError,"%ReferenceErrorPrototype%":ReferenceError.prototype,"%Reflect%":"undefined"==typeof Reflect?l:Reflect,"%RegExp%":RegExp,"%RegExpPrototype%":RegExp.prototype,"%Set%":"undefined"==typeof Set?l:Set,"%SetIteratorPrototype%":"undefined"!=typeof Set&&m?g((new Set)[Symbol.iterator]()):l,"%SetPrototype%":"undefined"==typeof Set?l:Set.prototype,"%SharedArrayBuffer%":"undefined"==typeof SharedArrayBuffer?l:SharedArrayBuffer,"%SharedArrayBufferPrototype%":"undefined"==typeof SharedArrayBuffer?l:SharedArrayBuffer.prototype,"%String%":String,"%StringIteratorPrototype%":m?g(""[Symbol.iterator]()):l,"%StringPrototype%":String.prototype,"%Symbol%":m?Symbol:l,"%SymbolPrototype%":m?Symbol.prototype:l,"%SyntaxError%":SyntaxError,"%SyntaxErrorPrototype%":SyntaxError.prototype,"%ThrowTypeError%":f,"%TypedArray%":w,"%TypedArrayPrototype%":w?w.prototype:l,"%TypeError%":d,"%TypeErrorPrototype%":d.prototype,"%Uint8Array%":"undefined"==typeof Uint8Array?l:Uint8Array,"%Uint8ArrayPrototype%":"undefined"==typeof Uint8Array?l:Uint8Array.prototype,"%Uint8ClampedArray%":"undefined"==typeof Uint8ClampedArray?l:Uint8ClampedArray,"%Uint8ClampedArrayPrototype%":"undefined"==typeof Uint8ClampedArray?l:Uint8ClampedArray.prototype,"%Uint16Array%":"undefined"==typeof Uint16Array?l:Uint16Array,"%Uint16ArrayPrototype%":"undefined"==typeof Uint16Array?l:Uint16Array.prototype,"%Uint32Array%":"undefined"==typeof Uint32Array?l:Uint32Array,"%Uint32ArrayPrototype%":"undefined"==typeof Uint32Array?l:Uint32Array.prototype,"%URIError%":URIError,"%URIErrorPrototype%":URIError.prototype,"%WeakMap%":"undefined"==typeof WeakMap?l:WeakMap,"%WeakMapPrototype%":"undefined"==typeof WeakMap?l:WeakMap.prototype,"%WeakSet%":"undefined"==typeof WeakSet?l:WeakSet,"%WeakSetPrototype%":"undefined"==typeof WeakSet?l:WeakSet.prototype},_=r(8612).call(Function.call,String.prototype.replace),E=/[^%.[\]]+|\[(?:(-?\d+(?:\.\d+)?)|(["'])((?:(?!\2)[^\\]|\\.)*?)\2)\]|(?=(?:\.|\[\])(?:\.|\[\]|%$))/g,T=/\\(\\)?/g;t.exports=function(t,n){if("string"!=typeof t||0===t.length)throw new TypeError("intrinsic name must be a non-empty string");if(arguments.length>1&&"boolean"!=typeof n)throw new TypeError('"allowMissing" argument must be a boolean');for(var r,l=(r=[],_(t,E,(function(t,n,l,d){r[r.length]=l?_(d,T,"$1"):n||t})),r),p=function(t,n){if(!(t in S))throw new SyntaxError("intrinsic "+t+" does not exist!");if(void 0===S[t]&&!n)throw new d("intrinsic "+t+" exists, but is not available. Please file an issue!");return S[t]}("%"+(l.length>0?l[0]:"")+"%",n),f=1;f<l.length;f+=1)if(null!=p)if(h&&f+1>=l.length){var m=h(p,l[f]);if(!n&&!(l[f]in p))throw new d("base intrinsic for "+t+" exists, but the property is not available.");p=m?m.get||m.value:p[l[f]]}else p=p[l[f]];return p}},4147:(t,n,r)=>{"use strict";var l=r(8612),d=r(8769),h=d("%Function.prototype.apply%"),p=d("%Function.prototype.call%"),f=d("%Reflect.apply%",!0)||l.call(p,h);t.exports=function(){return f(l,p,arguments)},t.exports.apply=function(){return f(l,h,arguments)}},8091:t=>{"use strict";function n(t,n){if(null==t)throw new TypeError("Cannot convert first argument to object");for(var r=Object(t),l=1;l<arguments.length;l++){var d=arguments[l];if(null!=d)for(var h=Object.keys(Object(d)),p=0,f=h.length;p<f;p++){var m=h[p],g=Object.getOwnPropertyDescriptor(d,m);void 0!==g&&g.enumerable&&(r[m]=d[m])}}return r}t.exports={assign:n,polyfill:function(){Object.assign||Object.defineProperty(Object,"assign",{enumerable:!1,configurable:!0,writable:!0,value:n})}}},4029:(t,n,r)=>{"use strict";var l=r(2768),d=Object.prototype.toString,h=Object.prototype.hasOwnProperty;t.exports=function(t,n,r){if(!l(n))throw new TypeError("iterator must be a function");var p;arguments.length>=3&&(p=r),"[object Array]"===d.call(t)?function(t,n,r){for(var l=0,d=t.length;l<d;l++)h.call(t,l)&&(null==r?n(t[l],l,t):n.call(r,t[l],l,t))}(t,n,p):"string"==typeof t?function(t,n,r){for(var l=0,d=t.length;l<d;l++)null==r?n(t.charAt(l),l,t):n.call(r,t.charAt(l),l,t)}(t,n,p):function(t,n,r){for(var l in t)h.call(t,l)&&(null==r?n(t[l],l,t):n.call(r,t[l],l,t))}(t,n,p)}},2768:t=>{"use strict";var n,r,l=Function.prototype.toString,d="object"==typeof Reflect&&null!==Reflect&&Reflect.apply;if("function"==typeof d&&"function"==typeof Object.defineProperty)try{n=Object.defineProperty({},"length",{get:function(){throw r}}),r={},d((function(){throw 42}),null,n)}catch(t){t!==r&&(d=null)}else d=null;var h=/^\s*class\b/,p=function(t){try{var n=l.call(t);return h.test(n)}catch(t){return!1}},f=function(t){try{return!p(t)&&(l.call(t),!0)}catch(t){return!1}},m=Object.prototype.toString,g="function"==typeof Symbol&&!!Symbol.toStringTag,y=!(0 in[,]),v=function(){return!1};if("object"==typeof document){var b=document.all;m.call(b)===m.call(document.all)&&(v=function(t){if((y||!t)&&(void 0===t||"object"==typeof t))try{var n=m.call(t);return("[object HTMLAllCollection]"===n||"[object HTML document.all class]"===n||"[object HTMLCollection]"===n||"[object Object]"===n)&&null==t("")}catch(t){}return!1})}t.exports=d?function(t){if(v(t))return!0;if(!t)return!1;if("function"!=typeof t&&"object"!=typeof t)return!1;try{d(t,null,n)}catch(t){if(t!==r)return!1}return!p(t)&&f(t)}:function(t){if(v(t))return!0;if(!t)return!1;if("function"!=typeof t&&"object"!=typeof t)return!1;if(g)return f(t);if(p(t))return!1;var n=m.call(t);return!("[object Function]"!==n&&"[object GeneratorFunction]"!==n&&!/^\[object HTML/.test(n))&&f(t)}},7648:t=>{"use strict";var n=Array.prototype.slice,r=Object.prototype.toString;t.exports=function(t){var l=this;if("function"!=typeof l||"[object Function]"!==r.call(l))throw new TypeError("Function.prototype.bind called on incompatible "+l);for(var d,h=n.call(arguments,1),p=Math.max(0,l.length-h.length),f=[],m=0;m<p;m++)f.push("$"+m);if(d=Function("binder","return function ("+f.join(",")+"){ return binder.apply(this,arguments); }")((function(){if(this instanceof d){var r=l.apply(this,h.concat(n.call(arguments)));return Object(r)===r?r:this}return l.apply(t,h.concat(n.call(arguments)))})),l.prototype){var g=function(){};g.prototype=l.prototype,d.prototype=new g,g.prototype=null}return d}},8612:(t,n,r)=>{"use strict";var l=r(7648);t.exports=Function.prototype.bind||l},210:(t,n,r)=>{"use strict";var l,d=SyntaxError,h=Function,p=TypeError,f=function(t){try{return h('"use strict"; return ('+t+").constructor;")()}catch(t){}},m=Object.getOwnPropertyDescriptor;if(m)try{m({},"")}catch(t){m=null}var g=function(){throw new p},y=m?function(){try{return g}catch(t){try{return m(arguments,"callee").get}catch(t){return g}}}():g,v=r(3085)(),b=r(8185)(),x=Object.getPrototypeOf||(b?function(t){return t.__proto__}:null),w={},S="undefined"!=typeof Uint8Array&&x?x(Uint8Array):l,_={"%AggregateError%":"undefined"==typeof AggregateError?l:AggregateError,"%Array%":Array,"%ArrayBuffer%":"undefined"==typeof ArrayBuffer?l:ArrayBuffer,"%ArrayIteratorPrototype%":v&&x?x([][Symbol.iterator]()):l,"%AsyncFromSyncIteratorPrototype%":l,"%AsyncFunction%":w,"%AsyncGenerator%":w,"%AsyncGeneratorFunction%":w,"%AsyncIteratorPrototype%":w,"%Atomics%":"undefined"==typeof Atomics?l:Atomics,"%BigInt%":"undefined"==typeof BigInt?l:BigInt,"%BigInt64Array%":"undefined"==typeof BigInt64Array?l:BigInt64Array,"%BigUint64Array%":"undefined"==typeof BigUint64Array?l:BigUint64Array,"%Boolean%":Boolean,"%DataView%":"undefined"==typeof DataView?l:DataView,"%Date%":Date,"%decodeURI%":decodeURI,"%decodeURIComponent%":decodeURIComponent,"%encodeURI%":encodeURI,"%encodeURIComponent%":encodeURIComponent,"%Error%":Error,"%eval%":eval,"%EvalError%":EvalError,"%Float32Array%":"undefined"==typeof Float32Array?l:Float32Array,"%Float64Array%":"undefined"==typeof Float64Array?l:Float64Array,"%FinalizationRegistry%":"undefined"==typeof FinalizationRegistry?l:FinalizationRegistry,"%Function%":h,"%GeneratorFunction%":w,"%Int8Array%":"undefined"==typeof Int8Array?l:Int8Array,"%Int16Array%":"undefined"==typeof Int16Array?l:Int16Array,"%Int32Array%":"undefined"==typeof Int32Array?l:Int32Array,"%isFinite%":isFinite,"%isNaN%":isNaN,"%IteratorPrototype%":v&&x?x(x([][Symbol.iterator]())):l,"%JSON%":"object"==typeof JSON?JSON:l,"%Map%":"undefined"==typeof Map?l:Map,"%MapIteratorPrototype%":"undefined"!=typeof Map&&v&&x?x((new Map)[Symbol.iterator]()):l,"%Math%":Math,"%Number%":Number,"%Object%":Object,"%parseFloat%":parseFloat,"%parseInt%":parseInt,"%Promise%":"undefined"==typeof Promise?l:Promise,"%Proxy%":"undefined"==typeof Proxy?l:Proxy,"%RangeError%":RangeError,"%ReferenceError%":ReferenceError,"%Reflect%":"undefined"==typeof Reflect?l:Reflect,"%RegExp%":RegExp,"%Set%":"undefined"==typeof Set?l:Set,"%SetIteratorPrototype%":"undefined"!=typeof Set&&v&&x?x((new Set)[Symbol.iterator]()):l,"%SharedArrayBuffer%":"undefined"==typeof SharedArrayBuffer?l:SharedArrayBuffer,"%String%":String,"%StringIteratorPrototype%":v&&x?x(""[Symbol.iterator]()):l,"%Symbol%":v?Symbol:l,"%SyntaxError%":d,"%ThrowTypeError%":y,"%TypedArray%":S,"%TypeError%":p,"%Uint8Array%":"undefined"==typeof Uint8Array?l:Uint8Array,"%Uint8ClampedArray%":"undefined"==typeof Uint8ClampedArray?l:Uint8ClampedArray,"%Uint16Array%":"undefined"==typeof Uint16Array?l:Uint16Array,"%Uint32Array%":"undefined"==typeof Uint32Array?l:Uint32Array,"%URIError%":URIError,"%WeakMap%":"undefined"==typeof WeakMap?l:WeakMap,"%WeakRef%":"undefined"==typeof WeakRef?l:WeakRef,"%WeakSet%":"undefined"==typeof WeakSet?l:WeakSet};if(x)try{null.error}catch(t){var E=x(x(t));_["%Error.prototype%"]=E}var T=function t(n){var r;if("%AsyncFunction%"===n)r=f("async function () {}");else if("%GeneratorFunction%"===n)r=f("function* () {}");else if("%AsyncGeneratorFunction%"===n)r=f("async function* () {}");else if("%AsyncGenerator%"===n){var l=t("%AsyncGeneratorFunction%");l&&(r=l.prototype)}else if("%AsyncIteratorPrototype%"===n){var d=t("%AsyncGenerator%");d&&x&&(r=x(d.prototype))}return _[n]=r,r},C={"%ArrayBufferPrototype%":["ArrayBuffer","prototype"],"%ArrayPrototype%":["Array","prototype"],"%ArrayProto_entries%":["Array","prototype","entries"],"%ArrayProto_forEach%":["Array","prototype","forEach"],"%ArrayProto_keys%":["Array","prototype","keys"],"%ArrayProto_values%":["Array","prototype","values"],"%AsyncFunctionPrototype%":["AsyncFunction","prototype"],"%AsyncGenerator%":["AsyncGeneratorFunction","prototype"],"%AsyncGeneratorPrototype%":["AsyncGeneratorFunction","prototype","prototype"],"%BooleanPrototype%":["Boolean","prototype"],"%DataViewPrototype%":["DataView","prototype"],"%DatePrototype%":["Date","prototype"],"%ErrorPrototype%":["Error","prototype"],"%EvalErrorPrototype%":["EvalError","prototype"],"%Float32ArrayPrototype%":["Float32Array","prototype"],"%Float64ArrayPrototype%":["Float64Array","prototype"],"%FunctionPrototype%":["Function","prototype"],"%Generator%":["GeneratorFunction","prototype"],"%GeneratorPrototype%":["GeneratorFunction","prototype","prototype"],"%Int8ArrayPrototype%":["Int8Array","prototype"],"%Int16ArrayPrototype%":["Int16Array","prototype"],"%Int32ArrayPrototype%":["Int32Array","prototype"],"%JSONParse%":["JSON","parse"],"%JSONStringify%":["JSON","stringify"],"%MapPrototype%":["Map","prototype"],"%NumberPrototype%":["Number","prototype"],"%ObjectPrototype%":["Object","prototype"],"%ObjProto_toString%":["Object","prototype","toString"],"%ObjProto_valueOf%":["Object","prototype","valueOf"],"%PromisePrototype%":["Promise","prototype"],"%PromiseProto_then%":["Promise","prototype","then"],"%Promise_all%":["Promise","all"],"%Promise_reject%":["Promise","reject"],"%Promise_resolve%":["Promise","resolve"],"%RangeErrorPrototype%":["RangeError","prototype"],"%ReferenceErrorPrototype%":["ReferenceError","prototype"],"%RegExpPrototype%":["RegExp","prototype"],"%SetPrototype%":["Set","prototype"],"%SharedArrayBufferPrototype%":["SharedArrayBuffer","prototype"],"%StringPrototype%":["String","prototype"],"%SymbolPrototype%":["Symbol","prototype"],"%SyntaxErrorPrototype%":["SyntaxError","prototype"],"%TypedArrayPrototype%":["TypedArray","prototype"],"%TypeErrorPrototype%":["TypeError","prototype"],"%Uint8ArrayPrototype%":["Uint8Array","prototype"],"%Uint8ClampedArrayPrototype%":["Uint8ClampedArray","prototype"],"%Uint16ArrayPrototype%":["Uint16Array","prototype"],"%Uint32ArrayPrototype%":["Uint32Array","prototype"],"%URIErrorPrototype%":["URIError","prototype"],"%WeakMapPrototype%":["WeakMap","prototype"],"%WeakSetPrototype%":["WeakSet","prototype"]},A=r(8612),O=r(7642),I=A.call(Function.call,Array.prototype.concat),P=A.call(Function.apply,Array.prototype.splice),D=A.call(Function.call,String.prototype.replace),F=A.call(Function.call,String.prototype.slice),B=A.call(Function.call,RegExp.prototype.exec),$=/[^%.[\]]+|\[(?:(-?\d+(?:\.\d+)?)|(["'])((?:(?!\2)[^\\]|\\.)*?)\2)\]|(?=(?:\.|\[\])(?:\.|\[\]|%$))/g,j=/\\(\\)?/g,V=function(t,n){var r,l=t;if(O(C,l)&&(l="%"+(r=C[l])[0]+"%"),O(_,l)){var h=_[l];if(h===w&&(h=T(l)),void 0===h&&!n)throw new p("intrinsic "+t+" exists, but is not available. Please file an issue!");return{alias:r,name:l,value:h}}throw new d("intrinsic "+t+" does not exist!")};t.exports=function(t,n){if("string"!=typeof t||0===t.length)throw new p("intrinsic name must be a non-empty string");if(arguments.length>1&&"boolean"!=typeof n)throw new p('"allowMissing" argument must be a boolean');if(null===B(/^%?[^%]*%?$/,t))throw new d("`%` may not be present anywhere but at the beginning and end of the intrinsic name");var r=function(t){var n=F(t,0,1),r=F(t,-1);if("%"===n&&"%"!==r)throw new d("invalid intrinsic syntax, expected closing `%`");if("%"===r&&"%"!==n)throw new d("invalid intrinsic syntax, expected opening `%`");var l=[];return D(t,$,(function(t,n,r,d){l[l.length]=r?D(d,j,"$1"):n||t})),l}(t),l=r.length>0?r[0]:"",h=V("%"+l+"%",n),f=h.name,g=h.value,y=!1,v=h.alias;v&&(l=v[0],P(r,I([0,1],v)));for(var b=1,x=!0;b<r.length;b+=1){var w=r[b],S=F(w,0,1),E=F(w,-1);if(('"'===S||"'"===S||"`"===S||'"'===E||"'"===E||"`"===E)&&S!==E)throw new d("property names with quotes must have matching quotes");if("constructor"!==w&&x||(y=!0),O(_,f="%"+(l+="."+w)+"%"))g=_[f];else if(null!=g){if(!(w in g)){if(!n)throw new p("base intrinsic for "+t+" exists, but the property is not available.");return}if(m&&b+1>=r.length){var T=m(g,w);g=(x=!!T)&&"get"in T&&!("originalValue"in T.get)?T.get:g[w]}else x=O(g,w),g=g[w];x&&!y&&(_[f]=g)}}return g}},3085:(t,n,r)=>{"use strict";var l="undefined"!=typeof Symbol&&Symbol,d=r(4429);t.exports=function(){return"function"==typeof l&&("function"==typeof Symbol&&("symbol"==typeof l("foo")&&("symbol"==typeof Symbol("bar")&&d())))}},4429:t=>{"use strict";t.exports=function(){if("function"!=typeof Symbol||"function"!=typeof Object.getOwnPropertySymbols)return!1;if("symbol"==typeof Symbol.iterator)return!0;var t={},n=Symbol("test"),r=Object(n);if("string"==typeof n)return!1;if("[object Symbol]"!==Object.prototype.toString.call(n))return!1;if("[object Symbol]"!==Object.prototype.toString.call(r))return!1;for(n in t[n]=42,t)return!1;if("function"==typeof Object.keys&&0!==Object.keys(t).length)return!1;if("function"==typeof Object.getOwnPropertyNames&&0!==Object.getOwnPropertyNames(t).length)return!1;var l=Object.getOwnPropertySymbols(t);if(1!==l.length||l[0]!==n)return!1;if(!Object.prototype.propertyIsEnumerable.call(t,n))return!1;if("function"==typeof Object.getOwnPropertyDescriptor){var d=Object.getOwnPropertyDescriptor(t,n);if(42!==d.value||!0!==d.enumerable)return!1}return!0}},7296:(t,n,r)=>{"use strict";var l=r(210)("%Object.getOwnPropertyDescriptor%",!0);if(l)try{l([],"length")}catch(t){l=null}t.exports=l},8185:t=>{"use strict";var n={foo:{}},r=Object;t.exports=function(){return{__proto__:n}.foo===n.foo&&!({__proto__:null}instanceof r)}},1405:(t,n,r)=>{"use strict";var l=r.g.Symbol,d=r(5419);t.exports=function(){return"function"==typeof l&&("function"==typeof Symbol&&("symbol"==typeof l("foo")&&("symbol"==typeof Symbol("bar")&&d())))}},5419:t=>{"use strict";t.exports=function(){if("function"!=typeof Symbol||"function"!=typeof Object.getOwnPropertySymbols)return!1;if("symbol"==typeof Symbol.iterator)return!0;var t={},n=Symbol("test"),r=Object(n);if("string"==typeof n)return!1;if("[object Symbol]"!==Object.prototype.toString.call(n))return!1;if("[object Symbol]"!==Object.prototype.toString.call(r))return!1;for(n in t[n]=42,t)return!1;if("function"==typeof Object.keys&&0!==Object.keys(t).length)return!1;if("function"==typeof Object.getOwnPropertyNames&&0!==Object.getOwnPropertyNames(t).length)return!1;var l=Object.getOwnPropertySymbols(t);if(1!==l.length||l[0]!==n)return!1;if(!Object.prototype.propertyIsEnumerable.call(t,n))return!1;if("function"==typeof Object.getOwnPropertyDescriptor){var d=Object.getOwnPropertyDescriptor(t,n);if(42!==d.value||!0!==d.enumerable)return!1}return!0}},9608:t=>{"use strict";t.exports=function(){if("function"!=typeof Symbol||"function"!=typeof Object.getOwnPropertySymbols)return!1;if("symbol"==typeof Symbol.iterator)return!0;var t={},n=Symbol("test"),r=Object(n);if("string"==typeof n)return!1;if("[object Symbol]"!==Object.prototype.toString.call(n))return!1;if("[object Symbol]"!==Object.prototype.toString.call(r))return!1;for(n in t[n]=42,t)return!1;if("function"==typeof Object.keys&&0!==Object.keys(t).length)return!1;if("function"==typeof Object.getOwnPropertyNames&&0!==Object.getOwnPropertyNames(t).length)return!1;var l=Object.getOwnPropertySymbols(t);if(1!==l.length||l[0]!==n)return!1;if(!Object.prototype.propertyIsEnumerable.call(t,n))return!1;if("function"==typeof Object.getOwnPropertyDescriptor){var d=Object.getOwnPropertyDescriptor(t,n);if(42!==d.value||!0!==d.enumerable)return!1}return!0}},6410:(t,n,r)=>{"use strict";var l=r(9608);t.exports=function(){return l()&&!!Symbol.toStringTag}},7642:(t,n,r)=>{"use strict";var l=r(8612);t.exports=l.call(Function.call,Object.prototype.hasOwnProperty)},4485:(t,n,r)=>{t.exports=r(2894)},2894:function(t,n){var r,l,d;(function(){var h,p,f,m,g,y,v,b,x,w,S,_,E,T,C;f=Math.floor,w=Math.min,p=function(t,n){return t<n?-1:t>n?1:0},x=function(t,n,r,l,d){var h;if(null==r&&(r=0),null==d&&(d=p),r<0)throw new Error("lo must be non-negative");for(null==l&&(l=t.length);r<l;)d(n,t[h=f((r+l)/2)])<0?l=h:r=h+1;return[].splice.apply(t,[r,r-r].concat(n)),n},y=function(t,n,r){return null==r&&(r=p),t.push(n),T(t,0,t.length-1,r)},g=function(t,n){var r,l;return null==n&&(n=p),r=t.pop(),t.length?(l=t[0],t[0]=r,C(t,0,n)):l=r,l},b=function(t,n,r){var l;return null==r&&(r=p),l=t[0],t[0]=n,C(t,0,r),l},v=function(t,n,r){var l;return null==r&&(r=p),t.length&&r(t[0],n)<0&&(n=(l=[t[0],n])[0],t[0]=l[1],C(t,0,r)),n},m=function(t,n){var r,l,d,h,m,g;for(null==n&&(n=p),h=function(){g=[];for(var n=0,r=f(t.length/2);0<=r?n<r:n>r;0<=r?n++:n--)g.push(n);return g}.apply(this).reverse(),m=[],l=0,d=h.length;l<d;l++)r=h[l],m.push(C(t,r,n));return m},E=function(t,n,r){var l;if(null==r&&(r=p),-1!==(l=t.indexOf(n)))return T(t,0,l,r),C(t,l,r)},S=function(t,n,r){var l,d,h,f,g;if(null==r&&(r=p),!(d=t.slice(0,n)).length)return d;for(m(d,r),h=0,f=(g=t.slice(n)).length;h<f;h++)l=g[h],v(d,l,r);return d.sort(r).reverse()},_=function(t,n,r){var l,d,h,f,y,v,b,S,_;if(null==r&&(r=p),10*n<=t.length){if(!(h=t.slice(0,n).sort(r)).length)return h;for(d=h[h.length-1],f=0,v=(b=t.slice(n)).length;f<v;f++)r(l=b[f],d)<0&&(x(h,l,0,null,r),h.pop(),d=h[h.length-1]);return h}for(m(t,r),_=[],y=0,S=w(n,t.length);0<=S?y<S:y>S;0<=S?++y:--y)_.push(g(t,r));return _},T=function(t,n,r,l){var d,h,f;for(null==l&&(l=p),d=t[r];r>n&&l(d,h=t[f=r-1>>1])<0;)t[r]=h,r=f;return t[r]=d},C=function(t,n,r){var l,d,h,f,m;for(null==r&&(r=p),d=t.length,m=n,h=t[n],l=2*n+1;l<d;)(f=l+1)<d&&!(r(t[l],t[f])<0)&&(l=f),t[n]=t[l],l=2*(n=l)+1;return t[n]=h,T(t,m,n,r)},h=function(){function t(t){this.cmp=null!=t?t:p,this.nodes=[]}return t.push=y,t.pop=g,t.replace=b,t.pushpop=v,t.heapify=m,t.updateItem=E,t.nlargest=S,t.nsmallest=_,t.prototype.push=function(t){return y(this.nodes,t,this.cmp)},t.prototype.pop=function(){return g(this.nodes,this.cmp)},t.prototype.peek=function(){return this.nodes[0]},t.prototype.contains=function(t){return-1!==this.nodes.indexOf(t)},t.prototype.replace=function(t){return b(this.nodes,t,this.cmp)},t.prototype.pushpop=function(t){return v(this.nodes,t,this.cmp)},t.prototype.heapify=function(){return m(this.nodes,this.cmp)},t.prototype.updateItem=function(t){return E(this.nodes,t,this.cmp)},t.prototype.clear=function(){return this.nodes=[]},t.prototype.empty=function(){return 0===this.nodes.length},t.prototype.size=function(){return this.nodes.length},t.prototype.clone=function(){var n;return(n=new t).nodes=this.nodes.slice(0),n},t.prototype.toArray=function(){return this.nodes.slice(0)},t.prototype.insert=t.prototype.push,t.prototype.top=t.prototype.peek,t.prototype.front=t.prototype.peek,t.prototype.has=t.prototype.contains,t.prototype.copy=t.prototype.clone,t}(),l=[],void 0===(d="function"==typeof(r=function(){return h})?r.apply(n,l):r)||(t.exports=d)}).call(this)},5717:t=>{"function"==typeof Object.create?t.exports=function(t,n){n&&(t.super_=n,t.prototype=Object.create(n.prototype,{constructor:{value:t,enumerable:!1,writable:!0,configurable:!0}}))}:t.exports=function(t,n){if(n){t.super_=n;var r=function(){};r.prototype=n.prototype,t.prototype=new r,t.prototype.constructor=t}}},2584:t=>{"use strict";var n="function"==typeof Symbol&&"symbol"==typeof Symbol.toStringTag,r=Object.prototype.toString,l=function(t){return!(n&&t&&"object"==typeof t&&Symbol.toStringTag in t)&&"[object Arguments]"===r.call(t)},d=function(t){return!!l(t)||null!==t&&"object"==typeof t&&"number"==typeof t.length&&t.length>=0&&"[object Array]"!==r.call(t)&&"[object Function]"===r.call(t.callee)},h=function(){return l(arguments)}();l.isLegacyArguments=d,t.exports=h?l:d},8662:(t,n,r)=>{"use strict";var l,d=Object.prototype.toString,h=Function.prototype.toString,p=/^\s*(?:function)?\*/,f=r(6410)(),m=Object.getPrototypeOf;t.exports=function(t){if("function"!=typeof t)return!1;if(p.test(h.call(t)))return!0;if(!f)return"[object GeneratorFunction]"===d.call(t);if(!m)return!1;if(void 0===l){var n=function(){if(!f)return!1;try{return Function("return function*() {}")()}catch(t){}}();l=!!n&&m(n)}return m(t)===l}},8611:t=>{"use strict";t.exports=function(t){return t!=t}},360:(t,n,r)=>{"use strict";var l=r(5559),d=r(4289),h=r(8611),p=r(9415),f=r(3194),m=l(p(),Number);d(m,{getPolyfill:p,implementation:h,shim:f}),t.exports=m},9415:(t,n,r)=>{"use strict";var l=r(8611);t.exports=function(){return Number.isNaN&&Number.isNaN(NaN)&&!Number.isNaN("a")?Number.isNaN:l}},3194:(t,n,r)=>{"use strict";var l=r(4289),d=r(9415);t.exports=function(){var t=d();return l(Number,{isNaN:t},{isNaN:function(){return Number.isNaN!==t}}),t}},5692:(t,n,r)=>{"use strict";var l=r(6430);t.exports=function(t){return!!l(t)}},355:function(t,n,r){var l=r(5108);!function(t,n){"use strict";function r(t){return t&&"object"==typeof t&&"default"in t?t:{default:t}}var d=r(n);function h(t,n,r,l){function d(t){return t instanceof r?t:new r((function(n){n(t)}))}return new(r||(r=Promise))((function(r,h){function p(t){try{m(l.next(t))}catch(t){h(t)}}function f(t){try{m(l.throw(t))}catch(t){h(t)}}function m(t){t.done?r(t.value):d(t.value).then(p,f)}m((l=l.apply(t,n||[])).next())}))}const p=[{attributeName:"TransitionTimeMs",isTimestamp:!0},{attributeName:"PositionWorld",isInterpolable:!0,components:["X","Y"]},{attributeName:"SizeWorld",isInterpolable:!0,isBroadcastable:!0,components:["Width","Height"]},{attributeName:"OrderZ",isInterpolable:!0,minValue:0,maxValue:1},{attributeName:"GeometricZoom",isInterpolable:!0,isBroadcastable:!0,components:["X","Y"]},{attributeName:"PositionPixel",isInterpolable:!0,components:["X","Y"]},{attributeName:"SizePixel",isInterpolable:!0,isBroadcastable:!0,components:["Width","Height"]},{attributeName:"MaxSizePixel",isInterpolable:!0,isBroadcastable:!0,components:["Width","Height"]},{attributeName:"MinSizePixel",isInterpolable:!0,isBroadcastable:!0,components:["Width","Height"]},{attributeName:"PositionRelative",isInterpolable:!0,components:["X","Y"]},{attributeName:"Sides"},{attributeName:"ShapeTexture",components:["U","V","Width","Height"]},{attributeName:"BorderRadiusPixel",isInterpolable:!0},{attributeName:"BorderRadiusRelative",isInterpolable:!0},{attributeName:"BorderPlacement",isInterpolable:!0},{attributeName:"BorderColor",isInterpolable:!0,components:["R","G","B","Opacity"]},{attributeName:"FillColor",isInterpolable:!0,components:["R","G","B","Opacity"]}],f=Object.freeze(["r","g","b","a"]),m=Object.freeze({dataChannelCount:4,desiredSwatchCapacity:1/0,attributes:p}),g=4;class AttributeMapper{constructor(t){const n=Object.assign({},m,t||{});if(!isFinite(n.maxTextureSize)&&!isFinite(n.desiredSwatchCapacity))throw new RangeError("Cannot map attributes to texture of infinite size");this.dataChannelCount=n.dataChannelCount,this.maxTextureSize=n.maxTextureSize,this.desiredSwatchCapacity=n.desiredSwatchCapacity,this.attributes=n.attributes,this.attributeComponentIndices={},this.attributeComponentNames=[],this.componentToAttributeMap={},this.isAttributeTimestamp=[];for(const t of this.attributes){const{attributeName:n,components:r}=t;for(const l of r||[""]){const r=`${n}${l}`;if(r in this.attributeComponentIndices)throw new Error(`Duplicate attribute component name detected: ${r}`);const d=this.attributeComponentNames.length;this.attributeComponentNames[d]=r,this.attributeComponentIndices[r]=d,this.componentToAttributeMap[r]=t,this.isAttributeTimestamp[d]=!!t.isTimestamp}}for(const t of this.attributes){if(!t.isInterpolable)continue;const{attributeName:n,components:r}=t;for(const l of r||[""]){const r=`${n}${l}Delta`;if(r in this.attributeComponentIndices)throw new Error(`Duplicate attribute component name detected: ${r}`);const d=this.attributeComponentNames.length;this.attributeComponentNames[d]=r,this.attributeComponentIndices[r]=d,this.isAttributeTimestamp[d]=!!t.isTimestamp}}Object.freeze(this.attributeComponentIndices),Object.freeze(this.attributeComponentNames),Object.freeze(this.isAttributeTimestamp),this.texelsPerSwatch=Math.ceil(this.attributeComponentNames.length/this.dataChannelCount),this.valuesPerSwatch=this.texelsPerSwatch*this.dataChannelCount,this.bytesPerSwatch=this.valuesPerSwatch*g,this.swatchesPerRow=Math.floor(this.maxTextureSize/this.texelsPerSwatch),this.textureWidth=this.texelsPerSwatch*this.swatchesPerRow,this.textureHeight=this.maxTextureSize,this.totalSwatches=this.swatchesPerRow*this.textureHeight,this.totalSwatches>this.desiredSwatchCapacity&&(this.swatchesPerRow=Math.min(this.swatchesPerRow,Math.ceil(Math.sqrt(this.desiredSwatchCapacity/this.texelsPerSwatch))),this.textureWidth=this.texelsPerSwatch*this.swatchesPerRow,this.textureHeight=Math.min(this.textureHeight,Math.ceil(this.desiredSwatchCapacity/this.swatchesPerRow)),this.totalSwatches=this.swatchesPerRow*this.textureHeight),this.valuesPerRow=this.swatchesPerRow*this.valuesPerSwatch,this.bytesPerRow=this.valuesPerRow*g,this.totalTexels=this.textureWidth*this.textureHeight,this.totalValues=this.totalTexels*this.dataChannelCount,this.totalBytes=this.totalValues*g,Object.freeze(this)}generateTexelReaderGLSL(t="texelValues",n="dataTexture",r="instanceSwatchUv"){const l=[],d=this.texelsPerSwatch;for(let h=0;h<d;h++){const d=(h%this.texelsPerSwatch+.5)/this.texelsPerSwatch/this.swatchesPerRow,p=(Math.floor(h/this.texelsPerSwatch)+.5)/this.textureHeight;l.push(`${t}[${h}] = texture2D(${n}, ${r} + vec2(${d}, ${p}));`)}return l.join("\n")}generateAttributeDefinesGLSL(t,n="texelValues"){return[...this.attributes.map((r=>{const{attributeName:l}=r,d=(r.components||[""]).map((t=>{const r=this.attributeComponentIndices[`${l}${t}`],d=Math.floor(r/this.dataChannelCount),h=f[r%this.dataChannelCount];return`${n}[${d}].${h}`})).join(", "),h=r.components?`vec${r.components.length}(${d})`:d;return`#define ${t}${l}() ${h}`})),...this.attributes.filter((t=>t.isInterpolable)).map((r=>{const{attributeName:l}=r,d=(r.components||[""]).map((t=>{const r=this.attributeComponentIndices[`${l}${t}Delta`],d=Math.floor(r/this.dataChannelCount),h=["r","g","b","a"][r%this.dataChannelCount];return`${n}[${d}].${h}`})).join(", "),h=r.components?`vec${r.components.length}(${d})`:d;return`#define ${t}${l}Delta() ${h}`}))].join("\n")}generateRebaseFragmentGLSL(t="previousTexelValues",n="targetTexelValues",r="texelIndex",l="rebaseTs"){const d={};for(const r of this.attributes){const{attributeName:h}=r;for(const p of r.components||[""]){const m=`${h}${p}`,g=this.attributeComponentIndices[m],y=Math.floor(g/this.dataChannelCount),v=f[g%this.dataChannelCount],b=`${t}[${y}].${v}`,x=`${n}[${y}].${v}`;if(y in d||(d[y]={}),r.isTimestamp){const t=`${l};`;d[y][v]=t}else if(r.isInterpolable){const n=`${m}Delta`,r=this.attributeComponentIndices[n],h=Math.floor(r/this.dataChannelCount),p=f[r%this.dataChannelCount];h in d||(d[h]={});const g=`${t}[${h}].${p}`;d[y][v]=`computeValueAtTime(${b}, ${g}, ${x}, ${l});`,d[h][p]=`computeDeltaAtTime(${b}, ${g}, ${x}, ${l});`}else d[y][v]=`computeThresholdValue(${b}, ${x}, ${l});`}}const h=[];for(let t=0;t<this.texelsPerSwatch;t++){const n=d[t];h.push(`if (${r} < ${t}.5) {`);for(let t=0;t<this.dataChannelCount;t++){const r=f[t];r in n&&h.push(`  gl_FragColor.${r} = ${n[r]}`)}h.push("  return;"),h.push("}")}return h.join("\n")}generateInstanceSwatchUvValues(){const t=new Float32Array(2*this.totalSwatches);for(let n=0;n<this.textureHeight;n++)for(let r=0;r<this.swatchesPerRow;r++){const l=2*(n*this.swatchesPerRow+r);t[l]=r/this.swatchesPerRow,t[l+1]=n/this.textureHeight}return t}}class CallbackTriggerPoint{constructor(t){this.callbackFn=t,this.xValue=0,this.yValue=0}get x(){return this.xValue}set x(t){if(isNaN(+t))throw new RangeError("x cannot be NaN");this.xValue=t,this.callbackFn()}get y(){return this.yValue}set y(t){if(isNaN(+t))throw new RangeError("y cannot be NaN");this.yValue=t,this.callbackFn()}}function y(t,...n){const r=[];for(let l=0;l<n.length;l++)r.push(t[l],`${n[l]}`);return r.push(t[t.length-1]),r.join("")}function v(){return y`
precision lowp float;

/**
 * Each sprite receives the same vertex coordinates, which describe a unit
 * square centered at the origin. However, the distance calculations performed
 * by the fragment shader use a distance of 1 to mean the dead center of a
 * circle, which implies a diameter of 2. So to convert from sprite vertex
 * coordinate space to edge distance space requires a dilation of 2.
 */
const float EDGE_DISTANCE_DILATION = 2.;

/**
 * View matrix for converting from world space to clip space.
 */
uniform mat3 viewMatrix;

/**
 * Signed-distance field (SDF) texture. Sampled for implementing glyphs of text.
 */
uniform sampler2D sdfTexture;

/**
 * Antialiasing factor defines the window radius in device pixels to use to
 * determine the contribution of border and fill colors for antialiasing.
 */
uniform float antialiasingFactor;

/**
 * Varying time value, eased using cubic-in-out between the previous and target
 * timestamps for this Sprite.
 */
varying float varyingT;

/**
 * Interpolated, per-vertex coordinate attributes for the quad into which the
 * sprite will be rendered.
 */
varying vec2 varyingVertexCoordinates;

/**
 * Threshold distance values to consider the pixel outside the shape (X) or
 * inside the shape (Y). Values between constitute the border.
 */
varying vec2 varyingBorderThresholds;

/**
 * Scale value for converting edge distances to pixel distances in the fragment
 * shader.
 */
varying float varyingEdgeToPixelScale;

/**
 * Aspect ratio of the sprite's renderable area (XY) and their inverses (ZW).
 * One component of each pair will be 1. For the XY pair, the other component
 * be be greater than 1. and for the inverse pair it will be smaller.
 *
 * For example, a rectangle that's twice as wide as it is tall wolud have
 * varyingAspectRatio equal to vec4(2., 1., .5, 1.).
 */
varying vec4 varyingAspectRatio;

/**
 * Color attributes.
 */
varying vec4 varyingBorderColor;
varying vec4 varyingFillColor;

/**
 * Shape attributes used by fragment shader.
 */
varying float varyingPreviousSides;
varying float varyingTargetSides;
varying vec4 varyingPreviousShapeTexture;
varying vec4 varyingTargetShapeTexture;

const float PI = 3.1415926535897932384626433832795;

/**
 * Given a line segment described by two points (a,b), find the point along that
 * line segment nearest to a point of interest (p).
 */
vec2 closestPoint(vec2 a, vec2 b, vec2 p) {
  vec2 pa = p - a;
  vec2 ba = b - a;
  vec2 baNorm = normalize(ba);
  float baLen = length(ba);
  float projectedLen = dot(baNorm, pa);
  vec2 closest =
    projectedLen < 0. ? a :
    projectedLen > baLen ? b :
    a + baNorm * projectedLen;
  return closest;
}

/**
 * Matrix to flip XY coordinates for theta computation. To orient polygons and
 * stars pointing upwards, we compute angles counter-clockwise from vertical.
 */
const mat2 FLIP_MATRIX = mat2(vec2(0., 1.), vec2(-1., 0.));

/**
 * Given a point in the range (-1,-1) to (1,1), compute the angle to that point,
 * going counter-clockwise from vertical.
 */
float computeTheta(vec2 point) {
  vec2 f = FLIP_MATRIX * point;
  return atan(f.y, f.x) + PI;
}

/**
 * Given the varying coordinates of interest, the dimensions of the shape's
 * bounding box, the number of sides, and a list of repeating offset radii,
 * determine the signed distance from the coordinates to the nearest edge of the
 * shape.
 *
 * @param sides Number of sides of the polygon or star.
 * @param radii List of four repeating offset radii to render stars. If all
 * values are 0., then the rendered distance will be a regular polygon.
 */
float getDistStar(int sides, vec4 radii) {
  float fSides = float(sides);

  // Flip radii (0. means align with unit circle, 1. means center of shape).
  radii = 1. - radii;

  // Angle to cut through the midpoint of a regular polygon's side.
  float piSides = PI / fSides;

  // With the polygon pointed up, this is the angle (counter-clockwise from top)
  // to the point just before crossing the X-axis. For a triangle, this will
  // just be the same as piSides.
  float wideAngle = floor(fSides * .5) * piSides;

  // Compute radius for dilation to fill bounding box.
  float dilation = 1. / max(sin(wideAngle), sin(piSides));

  // Compute the height of the shape, for centering.
  float height = dilation * (1. + max(cos(PI - 2. * wideAngle), cos(piSides)));

  // The point of interest starts with the varyingVertexCoordinates, but shifted
  // to center the shape vertically.
  vec2 poi = EDGE_DISTANCE_DILATION * varyingVertexCoordinates +
    vec2(0., EDGE_DISTANCE_DILATION - height);

  // Compute theta for point of interest, counter-clockwise from vertical.
  float theta = computeTheta(poi);

  // Incorporate aspect ratio calculation. This ensures that distances to
  // borders do not stretch with the shape.
  vec2 aspect = varyingAspectRatio.xy;
  poi *= aspect;

  // Compute which side of the star we're on, and use this to compute adjustment
  // to a and b points. This creates the star effect.
  float side = floor(theta / PI * .5 * fSides);

  float minDistance = 1.e20;
  float distanceSign;

  // Look at sides to the left/right (clockwise) to find the closest.
  for (int i = -1; i < 2; i++) {
    float thisSide = side + float(i);
    float m = mod(thisSide + 4., 4.);

    vec2 adjust =
      m < 1. ? radii.xy :
      m < 2. ? radii.yz :
      m < 3. ? radii.zw :
      radii.wx;

    // Find the ab line segment endpoints.
    float thetaA = 2. * thisSide * piSides;
    float thetaB = thetaA + 2. * piSides;
    vec2 a = aspect * dilation * adjust.x * vec2(-sin(thetaA), cos(thetaA));
    vec2 b = aspect * dilation * adjust.y * vec2(-sin(thetaB), cos(thetaB));

    // Find the closest point on the segment and update minDistance.
    vec2 c = closestPoint(a, b, poi).xy;
    minDistance = min(minDistance, distance(poi, c));

    // If we're in our own segment, capture the distance sign.
    if (i == 0) {
      // Use cross product to determine if we're inside or outside the line.
      distanceSign = sign(cross(vec3(b - a, 0.), vec3(poi - c, 0.)).z);
    }
  }

  return minDistance * distanceSign;
}

/**
 * Convenience method for calling getDistStar() with a fixed size array of 0.
 * values to create a regular polygon.
 */
float getDistPolygon(int sides) {
  return getDistStar(sides, vec4(0.));
}

/**
 * Estimate the distance from the varying vertex coordinate to the nearest point
 * on an ellipse of the specified aspect ratio. Mathematically, a closed-form
 * solution for this problem has not yet been discovered.
 *
 * Higher accuracy estimates of ellipse distance are possible with more
 * computation steps, but the procedure used here yields sufficient accurancy
 * for data visualization purposes.
 */
float getDistEllipse() {
  // All quadrants can be treated the same, so use the absolute value of the
  // vertex coordinates, and flip if needed so that the X dimension is always
  // the greater.
  bool flipped = varyingAspectRatio.x < varyingAspectRatio.y;
  vec4 aspectRatio = flipped ? varyingAspectRatio.yxwz : varyingAspectRatio;

  // Point of interest in the expanded circle (before aspect ratio stretching).
  vec2 circlePoint = EDGE_DISTANCE_DILATION * abs(
      flipped ? varyingVertexCoordinates.yx : varyingVertexCoordinates);

  // Capture length for inside/outside checking.
  float len = length(circlePoint);

  // Point of interest in the ellipse (after aspect ratio stretching).
  vec2 ellipsePoint = circlePoint * aspectRatio.xy;

  // Compute the angle from the x-axis up to the point of interest.
  float theta = PI - atan(circlePoint.y, -circlePoint.x);

  // Find the point where a ray from the origin through c hits the ellipse.
  vec2 p1 = aspectRatio.xy * vec2(cos(theta), sin(theta));

  // Find a second point by casting up from the x-axis. If the point of interest
  // is outside the ellipse and past the tip, use the tip coordinate.
  float invAr2 = aspectRatio.z * aspectRatio.z;
  vec2 p2 = ellipsePoint.x > aspectRatio.x ? vec2(aspectRatio.x, 0.) :
    vec2(ellipsePoint.x, sqrt(1. - ellipsePoint.x * ellipsePoint.x * invAr2));

  // Take the minimum distance between ray intersection point and vertical.
  float dist = min(distance(ellipsePoint, p1), distance(ellipsePoint, p2));

  // If the point of interest is outside of the ellipse, smooth by checking the
  // distance to one more point: the point on the ellipse between p1 and p2 such
  // that its X coordinate is half way between.
  if (len > 1.) {
    vec2 pm = mix(p1, p2, .5);
    pm.y = sqrt(1. - pm.x * pm.x * invAr2);
    dist = min(dist, distance(ellipsePoint, pm));
  }

  // Return signed distance.
  return dist * sign(1. - len);
}

/**
 * Compute the signed distance from the point of interest to the nearest edge of
 * the sprite bonding box.
 */
float getDistRect() {
  // All quadrants can be treated the same, so we limit our computation to the
  // top right.
  vec2 ar = varyingAspectRatio.xy;
  vec2 p = ar * EDGE_DISTANCE_DILATION * abs(varyingVertexCoordinates);

  // If the point of intrest is beyond the top corner, return the negative
  // distance to that corner.
  bvec2 gt = greaterThan(p, ar);
  if (all(gt)) {
    return -distance(p, ar);
  }
  if (gt.x) {
    return ar.x - p.x;
  }
  if (gt.y) {
    return ar.y - p.y;
  }

  // Determine distance to nearest edge.
  vec2 d = ar - p;
  vec2 dabs = abs(d);
  return dabs.x < dabs.y ? d.x : d.y;
}

/**
 * Sample the distance from the sdfTexture. The texture is assumed to have
 * one-dimensional distances in the X and Y componets and two-dimensional
 * distance in the Z component.
 *
 * @param shapeTexture UV coordinates and width/height of the region of the SDF
 * texture within which to sample (corresponds to the glyph being rendered).
 */
float getDistSDF(vec4 shapeTexture) {
  // Clamp vertex coordinates to the -1 to 1 range.
  vec2 clamped = clamp(varyingVertexCoordinates, -1., 1.);

  // For sampling, UV coordinates are Y-flipped and shifted.
  vec2 coordUv = clamped * vec2(1., -1.) + .5;

  // Focus on the middle 50% of the UV space. Assumes glyphs were rendered with
  // buffer roughly equal to the font size.
  //
  //   +------+       .      .
  //   |      |         +--+
  //   |  k   |  =>     |k |
  //   |      |         +--+
  //   +------+       .      .
  //
  coordUv *= .5;
  coordUv += .25;

  // Offset into the texture according to the shapeTexture's location and size.
  vec2 textureUv =
      shapeTexture.xy +
      shapeTexture.zw * coordUv;

  return texture2D(sdfTexture, textureUv).z;
}

/**
 * Generic distance function that calls through to one of the more specific
 * distance functions.
 *
 * @param sides Number of sides of the polygon/star, or special value:
 *  s < 0      : Reserved / Undefined.
 *  s == 0     : Use SDF texture coordinates.
 *  s == 1     : Circle.
 *  s == 2     : Filled rectangle.
 *  s > 2      : Polygon / Star.
 * @param textureUv Offset into SDF texture.
 */
float getDist(int sides, vec4 shapeTexture) {
  return
    sides == 0 ? getDistSDF(shapeTexture) :
    sides == 1 ? getDistEllipse() :
    sides == 2 ? getDistRect() :
    sides > 2 ? getDistPolygon(sides) :
    1.; // Reserved / undefined.
}

void main () {
  int previousSides = int(varyingPreviousSides);
  int targetSides = int(varyingTargetSides);

  float previousDistance = getDist(previousSides, varyingPreviousShapeTexture);
  float targetDistance = getDist(targetSides, varyingTargetShapeTexture);
  float signedDistance = mix(previousDistance, targetDistance, varyingT);

  // Create an antialiasing window around the determined signed distance with
  // radius equal to 1 device pixel (diameter of 2 device pixels).
  vec2 window = signedDistance +
    varyingEdgeToPixelScale * antialiasingFactor * vec2(-1., 1.);

  // Width of the antialiasing window.
  float width = window.y - window.x;

  // Determine the contribution to the window of the border and fill.
  vec2 contrib;

  if (width > 0.) {
    // Amount of space within the window that overlaps the border.
    contrib.x =
      min(varyingBorderThresholds.y, window.y) -
      max(varyingBorderThresholds.x, window.x);

    // Amount of space within the window that overlaps the fill color. May be
    // negative, if no part of the window overlaps.
    contrib.y = width - (varyingBorderThresholds.y - window.x);

    // Normalize contributions to the antialiasing window's width.
    contrib /= width;
  } else {
    // If zero antialiasing, do a hard cutoff.
    contrib.x = float(
      varyingBorderThresholds.x <= signedDistance &&
      signedDistance < varyingBorderThresholds.y
    );
    contrib.y = float(varyingBorderThresholds.y <= signedDistance);
  }

  // Clamp contribution values to possible range.
  contrib = clamp(contrib, 0., 1.);

  // Mix alpha channels according to their absolute contributions.
  float alpha =
    contrib.x * varyingBorderColor.a +
    contrib.y * varyingFillColor.a;

  // Discard low-alpha pixels so that sprites that are out of their natural
  // order (due to OrderZ) are visible underneath higher sprites.
  if (alpha < .01) {
    discard;
    return;
  }

  // Mix RGB channels of border and fill according to their relative
  // contributions to the total.
  vec2 rel = contrib / (contrib.x + contrib.y);
  vec3 color = rel.x * varyingBorderColor.rgb + rel.y * varyingFillColor.rgb;

  gl_FragColor = vec4(color, alpha);
}
`}const b=["float","vec2","vec3","vec4"];function x(){return y`
float range(float x, float y, float a) {
  return (a - x) / (y - x);
}
`}function w(){return y`
float cubicEaseInOut(float t) {
  return t < 0.5 ? 4.0 * t * t * t :
    4.0 * (t - 1.0) * (t - 1.0) * (t - 1.0) + 1.0;
}
`}function S(t="t",n="varyingT"){return b.map((r=>y`
${r} computeCurrentValue(
    ${r} startingValue,
    ${r} startingVelocity,
    ${r} targetValue) {
  ${r} currentValue = mix(startingValue, targetValue, ${n});
  ${r} projectedValue = startingVelocity *
    (targetTransitionTimeMs() - previousTransitionTimeMs());
  return currentValue + projectedValue *
    ${t} * (1. - ${t}) * (1. - ${t}) * (1. - ${t});
}
  `)).join("\n")}function _(){return y`
/**
 * @param positionWorld The position of the sprite in world coords.
 * @param size Size of the sprite in world coordinates.
 * @param positionRelative Offset position relative to vert coords.
 * @param positionPixel Offset position in screen pixels.
 * @param vertCoords Local coordinates for this vertex.
 * @param viewMatrix Matrix to project world coords into view space (pixels).
 */
vec2 computeViewVertexPosition(
    vec2 positionWorld,
    vec2 size,
    vec2 positionRelative,
    vec2 positionPixel,
    vec2 vertCoords,
    mat3 viewMatrix
) {
  vec2 vertexPositionWorld =
    positionWorld + size * (positionRelative + vertCoords);
  vec2 viewVertexPosition =
    (viewMatrix * vec3(vertexPositionWorld, 1.)).xy + positionPixel * 4.;
  return viewVertexPosition;
}
`}function E(){return y`
/**
 *
 * @param sizeWorld Size of the sprite in world coordinates.
 * @param sizePixel Offset size of the sprite in pixels.
 * @param geometricZoom The geometric zoom size modifier.
 * @param viewMatrixScale XY scale (world coords to pixels), and ZW inverse.
 * @param maxSizePixel Maximum allowed size in pixels.
 * @param minSizePixel Minimum allowed size in pixels.
 */
vec2 computeSize(
  vec2 sizeWorld,
  vec2 sizePixel,
  vec2 geometricZoom,
  vec4 viewMatrixScale,
  vec2 maxSizePixel,
  vec2 minSizePixel
) {
  // Combine scale with geometric zoom effect.
  vec2 zoomScale = exp(log(viewMatrixScale.xy) * (1. - geometricZoom));

  // Project the size in world coordinates to pixels to apply min/max.
  vec2 projectedSizePixel = sizeWorld * zoomScale +
    sizePixel * CLIP_SPACE_RANGE * devicePixelRatio;

  // Inital computed size in world coordinates is based on projected pixel size.
  vec2 computedSize = projectedSizePixel * viewMatrixScale.zw;

  // Compute whether max and min size components are positive, in parallel.
  // XY contains results for max, ZW contains results for min.
  bvec4 isPositive = greaterThan(vec4(maxSizePixel, minSizePixel), vec4(0.));

  // Apply maximums if set.
  bvec2 gtMax = greaterThan(projectedSizePixel, maxSizePixel);
  if (isPositive.x && gtMax.x) {
    computedSize.x = maxSizePixel.x * viewMatrixScale.z;
  }
  if (isPositive.y && gtMax.y) {
    computedSize.y = maxSizePixel.y * viewMatrixScale.w;
  }

  // Apply minimums if set.
  bvec2 ltMin = lessThan(projectedSizePixel, minSizePixel);
  if (isPositive.z && ltMin.x) {
    computedSize.x = minSizePixel.x * viewMatrixScale.z;
  }
  if (isPositive.w && ltMin.y) {
    computedSize.y = minSizePixel.y * viewMatrixScale.w;
  }

  return computedSize;
}
`}function T(){return y`
vec4 computeCurrentSizePixelAndWorld() {
  return computeCurrentValue(
    vec4(
      previousSizePixel(),
      previousSizeWorld()),
    vec4(
      previousSizePixelDelta(),
      previousSizeWorldDelta()),
    vec4(
      targetSizePixel(),
      targetSizeWorld())
  );
}
`}function C(){return y`
vec4 computeCurrentMaxAndMinSizePixel() {
  return computeCurrentValue(
    vec4(
      previousMaxSizePixel(),
      previousMinSizePixel()
    ),
    vec4(
      previousMaxSizePixelDelta(),
      previousMinSizePixelDelta()
    ),
    vec4(
      targetMaxSizePixel(),
      targetMinSizePixel()
    )
  ) * CLIP_SPACE_RANGE * devicePixelRatio;
}
`}function A(){return y`
/**
 * @param size The size of the sprite.
 * @return The aspect ratio (XY) and the inverse of the aspect ratio (ZW).
 */
vec4 computeAspectRatio(vec2 size) {
  vec2 ar = size / min(size.x, size.y);
  return vec4(ar, 1. / ar);
}
`}function O(t){return y`
precision lowp float;

/**
 * WebGL vertex shaders output coordinates in clip space, which is a 3D volume
 * where each component is clipped to the range (-1,1). The distance from
 * edge-to-edge is therefore 2.
 */
const float CLIP_SPACE_RANGE = 2.;

/**
 * Each sprite receives the same vertex coordinates, which describe a unit
 * square centered at the origin. However, the distance calculations performed
 * by the fragment shader use a distance of 1 to mean the dead center of a
 * circle, which implies a diameter of 2. So to convert from sprite vertex
 * coordinate space to edge distance space requires a dilation of 2.
 */
const float EDGE_DISTANCE_DILATION = 2.;

/**
 * Current uniform timestamp for interpolating.
 */
uniform float ts;

/**
 * Effective devicePixelRatio.
 */
uniform float devicePixelRatio;

/**
 * Total number of sprite instances being rendered this pass. Used to compute
 * clip-space Z for stacking sprites based on their instanceIndex.
 * This ensures that partial-opacity pixels of stacked sprites will be
 * alpha-blended. Without this, occluded sprites' pixels may not blend.
 */
uniform float instanceCount;

/**
 * Granularity expected in the value of OrderZ values. The higher the
 * granularity, the more control the user has over the Z position of sprites.
 * However, this leaves less precision for correctly positioning sprites which
 * have exactly the same OrderZ value.
 */
uniform float orderZGranularity;

/**
 * View and projection matrices for converting from world space to clip space.
 */
uniform mat3 viewMatrix;
uniform mat3 projectionMatrix;

/**
 * Scale includes the X and Y dimensions of the viewMatrix, and their inverses
 * in the WZ components.
 */
uniform vec4 viewMatrixScale;

/**
 * Data textures holding the previous and target Sprite instance
 * attributes. The instantaneous value for each attribute is determined by
 * interpolating between the previous and target according to the ts uniform.
 */
uniform sampler2D previousValuesTexture;
uniform sampler2D targetValuesTexture;

/**
 * Per-vertex coordinates for the quad into which the sprite will be rendered.
 * XY contain the local cartesian coordinates for a unit square centered at the
 * origin.
 *
 *   vertexCoordinates: [
 *     [-0.5, -0.5],
 *     [0.5, -0.5],
 *     [-0.5, 0.5],
 *     [0.5, 0.5],
 *   ],
 *
 */
attribute vec2 vertexCoordinates;

/**
 * Instanced, per-sprite index and UV coordinates of the sprite's data swatch.
 */
attribute float instanceIndex;
attribute vec2 instanceSwatchUv;

/**
 * Varying time value, eased using cubic-in-out between the previous and target
 * timestamps for this Sprite.
 */
varying float varyingT;

/**
 * Interpolated vertexCoordinates for fragment shader.
 */
varying vec2 varyingVertexCoordinates;

/**
 * Threshold distance values to consider the pixel outside the shape (X) or
 * inside the shape (Y). Values between constitute the border.
 */
varying vec2 varyingBorderThresholds;

/**
 * Scale value for converting edge distances to pixel distances in the fragment
 * shader.
 */
varying float varyingEdgeToPixelScale;

/**
 * Aspect ratio of the sprite's renderable area (XY) and their inverses (ZW).
 * One component of each pair will be 1. For the XY pair, the other component
 * be be greater than 1. and for the inverse pair it will be smaller.
 *
 * For example, a rectangle that's twice as wide as it is tall would have
 * varyingAspectRatio equal to vec4(2., 1., .5, 1.).
 */
varying vec4 varyingAspectRatio;

/**
 * Color attributes used by fragment shader.
 */
varying vec4 varyingBorderColor;
varying vec4 varyingFillColor;

/**
 * Shape attributes used by fragment shader.
 */
varying float varyingPreviousSides;
varying float varyingTargetSides;
varying vec4 varyingPreviousShapeTexture;
varying vec4 varyingTargetShapeTexture;

// Import utility shader functions.
${x()}
${w()}

// These arrays are filled in by code generated by the AttributeMapper.
vec4 previousTexelValues[${t.texelsPerSwatch}];
vec4 targetTexelValues[${t.texelsPerSwatch}];

/**
 * Read data texel values into the previous and target arrays.
 */
void readTexels() {
    ${t.generateTexelReaderGLSL("previousTexelValues","previousValuesTexture","instanceSwatchUv")}
    ${t.generateTexelReaderGLSL("targetTexelValues","targetValuesTexture","instanceSwatchUv")}
}

// Dynamically generate #DEFINE statements to access texel attributes by name.
// These look like method invocations elsewhere in the code. For example, the
// define "targetTransitionTimeMs()" extracts the float value
// targetTexelValues[0].r.
${t.generateAttributeDefinesGLSL("previous","previousTexelValues")}
${t.generateAttributeDefinesGLSL("target","targetTexelValues")}

/**
 * Local, non-eased, normalized time value between 0 and 1, computed between the
 * previous and target timestamp according to the uniform ts.
 */
float t;

${S()}

/**
 * Precomputed constant value for converting colors in the 0-255 RGB range to
 * the GL standard 0-1 range. (1 / 255 = 0.00392156862745098)
 */
const vec4 GL_COLOR = vec4(vec3(0.00392156862745098), 1.);

/**
 * Function to compute all the varying values needed by the fragment shader.
 */
void setupVaryings() {
  // Clamp and range t value within previous and target timestamps.
  t =
    ts >= targetTransitionTimeMs() ? 1. :
    ts <= previousTransitionTimeMs() ? 0. :
    clamp(range(previousTransitionTimeMs(), targetTransitionTimeMs(), ts),
        0., 1.);

  // Compute eased varyingT.
  varyingT = cubicEaseInOut(t);

  // Copy and interpolate vertex coordinate values.
  varyingVertexCoordinates = vertexCoordinates;

  // Copy previous and target shape attributes.
  varyingPreviousSides = previousSides();
  varyingPreviousShapeTexture = previousShapeTexture();
  varyingTargetSides = targetSides();
  varyingTargetShapeTexture = targetShapeTexture();

  // Compute color attributes.
  varyingBorderColor = computeCurrentValue(
    previousBorderColor(),
    previousBorderColorDelta(),
    targetBorderColor()) * GL_COLOR;
  varyingFillColor = computeCurrentValue(
    previousFillColor(),
    previousFillColorDelta(),
    targetFillColor()) * GL_COLOR;
}

${A()}
${C()}
${T()}
${E()}
${_()}

void main () {

  // Read data values from previous and target data textures.
  readTexels();

  // Setup varying values used both here and by the fragment shader.
  setupVaryings();

  // Compute current size component values by interpolation (parallelized).
  vec4 currentSizePixelAndWorld = computeCurrentSizePixelAndWorld();
  vec2 currentSizePixel = currentSizePixelAndWorld.xy;
  vec2 currentSizeWorld = currentSizePixelAndWorld.zw;

  vec2 currentGeometricZoom = computeCurrentValue(
      previousGeometricZoom(),
      previousGeometricZoomDelta(),
      targetGeometricZoom()
  );

  vec4 currentMaxAndMinSizePixel = computeCurrentMaxAndMinSizePixel();
  vec2 currentMaxSizePixel = currentMaxAndMinSizePixel.xy;
  vec2 currentMinSizePixel = currentMaxAndMinSizePixel.zw;

  // Compute the current size of the sprite in world units, including the effect
  // of geometric zoom and applying min and max pixel sizes.
  vec2 computedSize = computeSize(
    currentSizeWorld,
    currentSizePixel,
    currentGeometricZoom,
    viewMatrixScale,
    currentMaxSizePixel,
    currentMinSizePixel
  );

  // Compute border attributes in parallel.
  vec3 borderProperties = computeCurrentValue(
      vec3(
        previousBorderRadiusPixel(),
        previousBorderRadiusRelative(),
        previousBorderPlacement()),
      vec3(
        previousBorderRadiusPixelDelta(),
        previousBorderRadiusRelativeDelta(),
        previousBorderPlacementDelta()),
      vec3(
        targetBorderRadiusPixel(),
        targetBorderRadiusRelative(),
        targetBorderPlacement())
  );
  float currentBorderRadiusPixel = borderProperties.x;
  float currentBorderRadiusRelative = borderProperties.y;
  float currentBorderPlacement = borderProperties.z;

  // Project the computed size into pixels by using the viewMatrixScale. Note
  // that this already includes the effect of the devicePixelRatio, and a 2x
  // multiplier for clip-space, which goes from -1 to 1 in all dimensions.
  vec2 projectedSizePixel = computedSize.xy * viewMatrixScale.xy;

  varyingEdgeToPixelScale =
    CLIP_SPACE_RANGE * EDGE_DISTANCE_DILATION /
    min(projectedSizePixel.x, projectedSizePixel.y);

  // The fragment shader needs to know the threshold signed distances that
  // indicate whether each pixel is inside the shape, in the border, or outside
  // of the shape. A point right on the edge of the shape will have a distance
  // of 0. In edge-distance space, a distance of 1 would be the dead center of a
  // circle.
  float edgeDistance = currentBorderRadiusRelative +
    currentBorderRadiusPixel * varyingEdgeToPixelScale * devicePixelRatio;
  varyingBorderThresholds =
    vec2(0., edgeDistance) - edgeDistance * currentBorderPlacement;

  // Shift the quad vertices outward to account for borders, which may expand
  // the bounding box of the sprite.
  varyingVertexCoordinates *= (1. - varyingBorderThresholds.x);

  // Compute the sprite's aspect ratio and the inverse.
  varyingAspectRatio = computeAspectRatio(projectedSizePixel);

  // Compute the current position component attributes.
  vec2 currentPositionPixel = computeCurrentValue(
      previousPositionPixel(),
      previousPositionPixelDelta(),
      targetPositionPixel());

  vec2 currentPositionWorld = computeCurrentValue(
      previousPositionWorld(),
      previousPositionWorldDelta(),
      targetPositionWorld());

  vec2 currentPositionRelative = computeCurrentValue(
      previousPositionRelative(),
      previousPositionRelativeDelta(),
      targetPositionRelative());

  // Project the world position into pixel space, then add the pixel component.
  vec2 viewVertexPosition = computeViewVertexPosition(
      currentPositionWorld,
      computedSize,
      currentPositionRelative,
      currentPositionPixel,
      varyingVertexCoordinates,
      viewMatrix
  );

  // Project the pixel space coordinate into clip space.
  vec2 clipVertexPosition =
    (projectionMatrix * vec3(viewVertexPosition, 1.)).xy;

  // Compute the current user-specified OrderZ value.
  float currentOrderZ = computeCurrentValue(
      previousOrderZ(),
      previousOrderZDelta(),
      targetOrderZ());

  // Compute the stacking Z value for index-order blending.
  float stackZ = (1. + instanceIndex) / (1. + instanceCount);

  // Use provided granularity to combine current and stack Z values.
  float gInv = 1. / orderZGranularity;

  float combinedZ =
    mix(0., 1. - gInv, currentOrderZ) +
    mix(0., gInv, stackZ);

  // Project combined Z into clip space.
  float clipZ = mix(1., -1., combinedZ);

  gl_Position = vec4(clipVertexPosition, clipZ, 1.);
}
`}function I(t){const n={blend:{enable:!0,func:{srcRGB:"src alpha",srcAlpha:1,dstRGB:"one minus src alpha",dstAlpha:1},equation:{rgb:"add",alpha:"add"},color:[0,0,0,0]},viewport:()=>({x:0,y:0,width:t.canvas.width,height:t.canvas.height}),frag:v(),vert:O(t.attributeMapper),attributes:{vertexCoordinates:[[-.5,-.5],[.5,-.5],[-.5,.5],[.5,.5]],instanceSwatchUv:{buffer:t.instanceSwatchUvBuffer,divisor:1},instanceIndex:{buffer:t.instanceIndexBuffer,divisor:1}},uniforms:{ts:()=>t.elapsedTimeMs(),antialiasingFactor:()=>t.antialiasingFactor,devicePixelRatio:()=>t.getDevicePixelRatio(),instanceCount:()=>t.instanceCount,orderZGranularity:()=>t.orderZGranularity,viewMatrix:()=>t.getViewMatrix(),viewMatrixScale:()=>t.getViewMatrixScale(),projectionMatrix:n=>t.getProjectionMatrix(n),sdfTexture:t.sdfTexture,previousValuesTexture:t.previousValuesFramebuffer,targetValuesTexture:t.targetValuesTexture},primitive:"triangle strip",count:4,instances:()=>t.instanceCount},r=t.regl(n);return()=>{t.regl.clear({color:[0,0,0,0],depth:1,framebuffer:null,stencil:0}),r.apply(null)}}function P(){return y`
precision lowp float;

// Need to know the maximum possible value for the index of the Sprite to
// normalize the value for RGBA packing.
uniform float capacity;

varying float varyingHitTestResult;

vec4 packFloatToVec4i(const float value) {
  const vec4 bitSh = vec4(256. * 256. * 256., 256. * 256., 256., 1.);
  const vec4 bitMsk = vec4(0., 1./256., 1./256., 1./256.);
  vec4 res = fract(value * bitSh);
  res -= res.xxyz * bitMsk;
  return res;
}

float fitToRange(const float result) {
  // Adding 1 to account for missing values (-1 becomes 0, etc.)
  return (result + 1.) / (capacity + 1.);
}

void main () {
  // Packing requires a number in the range 0-1.
  float n = fitToRange(varyingHitTestResult);
  gl_FragColor = packFloatToVec4i(n);
}
`}function D(t,n){return y`
precision lowp float;

/**
 * WebGL vertex shaders output coordinates in clip space, which is a 3D volume
 * where each component is clipped to the range (-1,1). The distance from
 * edge-to-edge is therefore 2.
 */
const float CLIP_SPACE_RANGE = 2.;

/**
 * Each sprite receives the same vertex coordinates, which describe a unit
 * square centered at the origin. However, the distance calculations performed
 * by the fragment shader use a distance of 1 to mean the dead center of a
 * circle, which implies a diameter of 2. So to convert from sprite vertex
 * coordinate space to edge distance space requires a dilation of 2.
 */
const float EDGE_DISTANCE_DILATION = 2.;

uniform float ts;

uniform float devicePixelRatio;

/**
 * Screen pixel coordinates for performing the hit test. The XY channels contain
 * the screen x and y coordinates respectively. The ZW channels hold the width
 * and height of the bounding box of interest. Currently those are ignored.
 */
uniform vec4 hitTestCoordinates;
uniform bool inclusive;

uniform mat3 viewMatrix;

/**
 * Scale includes the X and Y dimensions of the viewMatrix, and their inverses
 * in the WZ components.
 */
uniform vec4 viewMatrixScale;

uniform sampler2D previousValuesTexture;
uniform sampler2D targetValuesTexture;

attribute vec2 vertexCoordinates;

attribute vec2 inputUv;
attribute vec2 indexActive;
attribute vec2 outputUv;

#define TEXELS_PER_SWATCH ${t.texelsPerSwatch}.
#define TEXTURE_WIDTH ${t.textureWidth}.
#define TEXTURE_HEIGHT ${t.textureHeight}.

// The result of the hit test, written to the data texel by the fragment shader.
varying float varyingHitTestResult;

vec4 previousTexelValues[${n.texelsPerSwatch}];
vec4 targetTexelValues[${n.texelsPerSwatch}];

${n.generateAttributeDefinesGLSL("previous","previousTexelValues")}
${n.generateAttributeDefinesGLSL("target","targetTexelValues")}

float rangeT;
float easeT;

// Import utility shader functions.
${x()}
${w()}
${S("rangeT","easeT")}
${C()}
${T()}
${E()}
${_()}

void readInputTexels() {
${n.generateTexelReaderGLSL("previousTexelValues","previousValuesTexture","inputUv")}
${n.generateTexelReaderGLSL("targetTexelValues","targetValuesTexture","inputUv")}
}

const vec2 swatchSize =
  vec2(TEXELS_PER_SWATCH / TEXTURE_WIDTH, 1. / TEXTURE_HEIGHT);

bool spriteOverlapsTest(const vec4 spriteBox, const vec4 testBox) {
  return (
    spriteBox.x <= testBox.x + testBox.z &&
    spriteBox.x + spriteBox.z >= testBox.x &&
    spriteBox.y >= testBox.y - testBox.w &&
    spriteBox.y + spriteBox.w <= testBox.y
  );
}

bool spriteInsideTest(const vec4 spriteBox, const vec4 testBox) {
  return (
    spriteBox.x >= testBox.x &&
    spriteBox.x + spriteBox.z <= testBox.x + testBox.z &&
    spriteBox.y <= testBox.y &&
    spriteBox.y + spriteBox.w >= testBox.y - testBox.w
  );
}

void main () {
  readInputTexels();

  // Compute time variables.
  rangeT =
    ts >= targetTransitionTimeMs() ? 1. :
    ts <= previousTransitionTimeMs() ? 0. :
    clamp(range(previousTransitionTimeMs(), targetTransitionTimeMs(), ts),
        0., 1.);
  easeT = cubicEaseInOut(rangeT);

  // Compute current size component values by interpolation (parallelized).
  vec4 currentSizePixelAndWorld = computeCurrentSizePixelAndWorld();
  vec2 currentSizePixel = currentSizePixelAndWorld.xy;
  vec2 currentSizeWorld = currentSizePixelAndWorld.zw;

  vec2 currentGeometricZoom = computeCurrentValue(
      previousGeometricZoom(),
      previousGeometricZoomDelta(),
      targetGeometricZoom()
  );

  vec4 currentMaxAndMinSizePixel = computeCurrentMaxAndMinSizePixel();
  vec2 currentMaxSizePixel = currentMaxAndMinSizePixel.xy;
  vec2 currentMinSizePixel = currentMaxAndMinSizePixel.zw;

  // Compute the current size of the sprite in world units, including the effect
  // of geometric zoom and applying min and max pixel sizes.
  vec2 computedSize = computeSize(
    currentSizeWorld,
    currentSizePixel,
    currentGeometricZoom,
    viewMatrixScale,
    currentMaxSizePixel,
    currentMinSizePixel
  );

  // Compute border attributes in parallel.
  vec3 borderProperties = computeCurrentValue(
      vec3(
        previousBorderRadiusPixel(),
        previousBorderRadiusRelative(),
        previousBorderPlacement()),
      vec3(
        previousBorderRadiusPixelDelta(),
        previousBorderRadiusRelativeDelta(),
        previousBorderPlacementDelta()),
      vec3(
        targetBorderRadiusPixel(),
        targetBorderRadiusRelative(),
        targetBorderPlacement())
  );
  float currentBorderRadiusPixel = borderProperties.x;
  float currentBorderRadiusRelative = borderProperties.y;
  float currentBorderPlacement = borderProperties.z;

  // Project the computed size into pixels by using the viewMatrixScale. Note
  // that this already includes the effect of the devicePixelRatio, and a 2x
  // multiplier for clip-space, which goes from -1 to 1 in all dimensions.
  vec2 projectedSizePixel = computedSize.xy * viewMatrixScale.xy;

  // Compute the distance from the sprite edge to the extent of the border. Used
  // to shift the corners before hit testing to make sure the bounding box
  // includes borders outside of the shape.
  float edgeDistance = currentBorderRadiusRelative + (
      currentBorderRadiusPixel *
      CLIP_SPACE_RANGE *
      EDGE_DISTANCE_DILATION *
      devicePixelRatio /
      min(projectedSizePixel.x, projectedSizePixel.y)
    );

  // Shift coorner vertices outward to account for borders, which may expand
  // the bounding box of the sprite. XY are the bottom left corner, ZW are for
  // the top right.
  vec4 cornerCoordinates = vec4(-.5, -.5, .5, .5) *
    (1. + edgeDistance * currentBorderPlacement);

  // Compute the current position component attributes.
  vec2 currentPositionPixel = computeCurrentValue(
      previousPositionPixel(),
      previousPositionPixelDelta(),
      targetPositionPixel());

  vec2 currentPositionWorld = computeCurrentValue(
      previousPositionWorld(),
      previousPositionWorldDelta(),
      targetPositionWorld());

  vec2 currentPositionRelative = computeCurrentValue(
      previousPositionRelative(),
      previousPositionRelativeDelta(),
      targetPositionRelative());

  // Project the world position into pixel space for the bottom left and top
  // right corners of the sprite's quad.
  vec2 bottomLeft = computeViewVertexPosition(
      currentPositionWorld,
      computedSize,
      currentPositionRelative,
      currentPositionPixel,
      cornerCoordinates.xy,
      viewMatrix
  ) * .5 / devicePixelRatio;
  vec2 topRight = computeViewVertexPosition(
      currentPositionWorld,
      computedSize,
      currentPositionRelative,
      currentPositionPixel,
      cornerCoordinates.zw,
      viewMatrix
  ) * .5 / devicePixelRatio;
  vec4 spriteBox = vec4(bottomLeft.xy, topRight.xy - bottomLeft.xy);

  // Hit test coordinates are presented based on the top-left corner, so to
  // orient it from the bottom left we need to subtract the height.
  vec4 testBox = hitTestCoordinates + vec4(0., hitTestCoordinates.w, 0., 0.);

  // Test whether the coordinates of interest are within the sprite quad's
  // bounding box.
  bool hit = inclusive ?
    spriteOverlapsTest(spriteBox, testBox) :
    spriteInsideTest(spriteBox, testBox);

  // The hit test result will either be -1 if it's a miss (or the Sprite was
  // inactive), or it will be the index of the Sprite.
  varyingHitTestResult =
    indexActive.y <= 0. ? -1. :
    !hit ? -1. :
    indexActive.x;

  vec2 swatchUv =
    outputUv + (vertexCoordinates.xy + .5) * swatchSize;

  // Position the verts to write into the appropriate data texel.
  gl_Position = vec4(2. * swatchUv - 1., 0., 1.);
}
`}function F(t){const n={frag:P(),vert:D(t.hitTestAttributeMapper,t.attributeMapper),attributes:{vertexCoordinates:[[-.5,-.5],[.5,-.5],[-.5,.5],[.5,.5]],inputUv:{buffer:()=>t.instanceHitTestInputUvBuffer,divisor:1},indexActive:{buffer:()=>t.instanceHitTestInputIndexActiveBuffer,divisor:1},outputUv:{buffer:t.instanceHitTestOutputUvBuffer,divisor:1}},uniforms:{ts:()=>t.elapsedTimeMs(),capacity:()=>t.hitTestAttributeMapper.totalSwatches,devicePixelRatio:()=>t.getDevicePixelRatio(),hitTestCoordinates:()=>[t.hitTestParameters.x,t.hitTestParameters.y,t.hitTestParameters.width||0,t.hitTestParameters.height||0],inclusive:()=>void 0===t.hitTestParameters||!!t.hitTestParameters.inclusive,viewMatrix:()=>t.getViewMatrix(),viewMatrixScale:()=>t.getViewMatrixScale(),targetValuesTexture:t.targetValuesTexture,previousValuesTexture:t.previousValuesTexture},primitive:"triangle strip",count:4,instances:()=>t.hitTestCount,framebuffer:()=>t.hitTestOutputValuesFramebuffer},r=t.regl(n);return()=>{r()}}function B(t){return y`
precision lowp float;

uniform float ts;

uniform sampler2D previousValuesTexture;
uniform sampler2D targetValuesTexture;

varying float varyingTexelIndex;
varying vec2 varyingRebaseUv;

vec4 previousTexelValues[${t.texelsPerSwatch}];
vec4 targetTexelValues[${t.texelsPerSwatch}];

${t.generateAttributeDefinesGLSL("previous","previousTexelValues")}
${t.generateAttributeDefinesGLSL("target","targetTexelValues")}

// Import utility shader functions.
${x()}
${w()}

float computeValueAtTime(
    float startingValue,
    float startingDelta,
    float targetValue,
    float ts) {
  float rangeT =
    ts >= targetTransitionTimeMs() ? 1. :
    ts <= previousTransitionTimeMs() ? 0. :
    clamp(
        range(previousTransitionTimeMs(), targetTransitionTimeMs(), ts),
        0., 1.);
  float easeT = cubicEaseInOut(rangeT);

  float currentValue = mix(startingValue, targetValue, easeT);
  float projectedValue = startingDelta *
    (targetTransitionTimeMs() - previousTransitionTimeMs());

  return currentValue + projectedValue * rangeT * pow(1. - rangeT, 3.);
}

// DELTA_MS is the duration in milliseconds to use when estimating the
// 'instantaneous' change in a value. INV_DELTA_MS is its inverse.
#define DELTA_MS 1.
#define INV_DELTA_MS 1.

float computeDeltaAtTime(
    float startingValue,
    float startingDelta,
    float targetValue,
    float ts
) {
  if (ts >= targetTransitionTimeMs()) {
    return 0.;
  }
  if (ts <= previousTransitionTimeMs()) {
    return startingDelta;
  }
  return (
      computeValueAtTime(
          startingValue, startingDelta, targetValue, ts + DELTA_MS) -
      computeValueAtTime(
          startingValue, startingDelta, targetValue, ts)
      ) * INV_DELTA_MS;
}

float computeThresholdValue(
    float previousValue,
    float targetValue,
    float rebaseTs
) {
  float mid = mix(previousTransitionTimeMs(), targetTransitionTimeMs(), .5);
  return rebaseTs < mid ? previousValue : targetValue;
}

void readInputTexels() {
${t.generateTexelReaderGLSL("previousTexelValues","previousValuesTexture","varyingRebaseUv")}
${t.generateTexelReaderGLSL("targetTexelValues","targetValuesTexture","varyingRebaseUv")}
}

void setOutputTexel() {
  float rebaseTs = ts;
  ${t.generateRebaseFragmentGLSL("previousTexelValues","targetTexelValues","varyingTexelIndex","rebaseTs")}
}

void main () {
  readInputTexels();
  setOutputTexel();
}
`}function $(t){return y`
precision lowp float;

attribute vec2 vertexCoordinates;

attribute vec2 instanceRebaseUv;

#define TEXELS_PER_SWATCH ${t.texelsPerSwatch}.
#define TEXTURE_WIDTH ${t.textureWidth}.
#define TEXTURE_HEIGHT ${t.textureHeight}.

varying vec2 varyingRebaseUv;
varying float varyingTexelIndex;

const vec2 swatchSize =
  vec2(TEXELS_PER_SWATCH / TEXTURE_WIDTH, 1. / TEXTURE_HEIGHT);

void main () {
  varyingRebaseUv = instanceRebaseUv;
  varyingTexelIndex = (vertexCoordinates.x + .5) * TEXELS_PER_SWATCH - .5;
  vec2 swatchUv = instanceRebaseUv + (vertexCoordinates.xy + .5) * swatchSize;
  gl_Position = vec4(2. * swatchUv - 1., 0., 1.);
}
`}function j(t){const n={frag:B(t.attributeMapper),vert:$(t.attributeMapper),attributes:{vertexCoordinates:[[-.5,-.5],[.5,-.5],[-.5,.5],[.5,.5]],instanceRebaseUv:{buffer:()=>t.instanceRebaseUvBuffer,divisor:1}},uniforms:{ts:()=>t.elapsedTimeMs(),targetValuesTexture:t.targetValuesTexture,previousValuesTexture:t.previousValuesTexture},primitive:"triangle strip",count:4,instances:()=>t.rebaseCount,framebuffer:()=>t.previousValuesFramebuffer},r=t.regl(n);return()=>{r()}}const V=Object.freeze({requestAnimationFrame:t=>window.requestAnimationFrame(t),cancelAnimationFrame:t=>{window.cancelAnimationFrame(t)},now:()=>Date.now()}),U=1e20;class TinySDF{constructor(t=24,n=3,r=8,l=.25,d="sans-serif",h="normal"){this.fontSize=t,this.buffer=n,this.radius=r,this.cutoff=l,this.fontFamily=d,this.fontWeight=h;const p=this.size=this.fontSize+2*this.buffer;this.canvas=document.createElement("canvas"),this.canvas.width=this.canvas.height=p;const f=this.canvas.getContext("2d");if(!f)throw new Error("Could not get canvas 2d context");this.ctx=f,this.ctx.font=`${this.fontWeight} ${this.fontSize}px ${this.fontFamily}`,this.ctx.textBaseline="middle",this.ctx.fillStyle="black",this.gridOuter=new Float64Array(p*p),this.gridInner=new Float64Array(p*p),this.f=new Float64Array(p),this.z=new Float64Array(p+1),this.v=new Uint16Array(p),this.middle=Math.round(p/2*(navigator.userAgent.indexOf("Gecko/")>=0?1.2:1))}draw(t){this.ctx.clearRect(0,0,this.size,this.size),this.ctx.fillText(t,this.buffer,this.middle);const n=this.ctx.getImageData(0,0,this.size,this.size);return G(Object.assign(Object.assign({},this),{imgData:n}))}}function G({imgData:t,size:n,radius:r,cutoff:l,gridOuter:d,gridInner:h,f:p,v:f,z:m}){const g=new Uint8ClampedArray(n*n);for(let r=0;r<n*n;r++){const n=t.data[4*r+3]/255;d[r]=1===n?0:0===n?U:Math.pow(Math.max(0,.5-n),2),h[r]=1===n?U:0===n?0:Math.pow(Math.max(0,n-.5),2)}W(d,n,n,p,f,m),W(h,n,n,p,f,m);for(let t=0;t<n*n;t++){const n=Math.sqrt(d[t])-Math.sqrt(h[t]);g[t]=Math.round(255-255*(n/r+l))}return g}function W(t,n,r,l,d,h){X(t,n,r,l,d,h),q(t,n,r,l,d,h)}function q(t,n,r,l,d,h){for(let p=0;p<r;p++)Y(t,p*n,1,n,l,d,h)}function X(t,n,r,l,d,h){for(let p=0;p<n;p++)Y(t,p,n,r,l,d,h)}function Y(t,n,r,l,d,h,p){let f,m,g,y;for(h[0]=0,p[0]=-U,p[1]=U,f=0;f<l;f++)d[f]=t[n+f*r];for(f=1,m=0,g=0;f<l;f++){do{y=h[m],g=(d[f]-d[y]+f*f-y*y)/(f-y)/2}while(g<=p[m]&&--m>-1);m++,h[m]=f,p[m]=g,p[m+1]=U}for(f=0,m=0;f<l;f++){for(;p[m+1]<f;)m++;y=h[m],t[n+f*r]=d[y]+(f-y)*(f-y)}}function K(t,n,r=.5){const{width:l,height:d}=t,h=t.getContext("2d");if(!h)throw new Error("Could not get canvas 2d context");const p=h.getImageData(0,0,l,d),f=new Float64Array(l*d),m=new Float64Array(l*d),g=new Float64Array(l*d),y=new Float64Array(l*d),v=new Float64Array(l*d),b=new Float64Array(l*d),x=new Float64Array(l),w=new Float64Array(l+1),S=new Uint16Array(l);for(let t=0;t<l*d;t++){const n=p.data[4*t+3]/255;v[t]=g[t]=f[t]=1===n?0:0===n?U:Math.pow(Math.max(0,.5-n),2),b[t]=y[t]=m[t]=1===n?U:0===n?0:Math.pow(Math.max(0,n-.5),2)}W(v,l,d,x,S,w),W(b,l,d,x,S,w),q(f,l,d,x,S,w),q(m,l,d,x,S,w),X(g,l,d,x,S,w),X(y,l,d,x,S,w);const _=new Float32Array(l*d*3);for(let t=0;t<l*d;t++)_[3*t]=Math.max(0,1-((Math.sqrt(f[t])-Math.sqrt(m[t]))/n+r)),_[3*t+1]=Math.max(0,1-((Math.sqrt(g[t])-Math.sqrt(y[t]))/n+r)),_[3*t+2]=1-((Math.sqrt(v[t])-Math.sqrt(b[t]))/n+r);return _}const J=32,Q=Object.freeze({maxTextureSize:2048,fontSize:J,buffer:J,radius:J,cutoff:1,fontFamily:"monospace",fontWeight:"normal"});class GlyphMapper{constructor(t=Q){this.glyphToCoordinates=new Map;const n=Object.assign({},Q,t||{});this.maxTextureSize=n.maxTextureSize,this.tinySDF=new TinySDF(n.fontSize,n.buffer,n.radius,n.cutoff,n.fontFamily,n.fontWeight),this.glyphSize=this.tinySDF.size,this.glyphsPerRow=Math.floor(this.maxTextureSize/this.glyphSize),this.glyphCapacity=this.glyphsPerRow*this.glyphsPerRow,this.textureSize=this.glyphsPerRow*this.glyphSize,this.textureData=new Float32Array(this.textureSize*this.textureSize)}hasGlyph(t){return this.glyphToCoordinates.has(t)}getGlyph(t){return this.glyphToCoordinates.get(t)}addGlyph(t){const n=this.getGlyph(t);if(n)return n;const r=this.glyphToCoordinates.size;if(r>=this.glyphCapacity)throw new Error("Cannot add glyph, already at capacity");const l=Math.floor(r/this.glyphsPerRow),d=r%this.glyphsPerRow,h=l*this.glyphSize*this.textureSize+d*this.glyphSize,{canvas:p,ctx:f,size:m,buffer:g,middle:y,radius:v,cutoff:b}=this.tinySDF;f.clearRect(0,0,m,m),f.fillText(t,g,y);const x=K(p,v,b);for(let t=0;t<this.glyphSize;t++)for(let n=0;n<this.glyphSize;n++){const r=3*(t*this.glyphSize+n)+2,l=h+t*this.textureSize+n;this.textureData[l]=x[r]}const w=Object.freeze({u:d/this.glyphsPerRow,v:l/this.glyphsPerRow,width:this.glyphSize/this.textureSize,height:this.glyphSize/this.textureSize});return this.glyphToCoordinates.set(t,w),w}get glyphs(){return[...this.glyphToCoordinates.keys()]}}const ee="!\"#$%&'()*+,-./0123456789:;<=>?@ABCDEFGHIJKLMNOPQRSTUVWXYZ[\\]^_`abcdefghijklmnopqrstuvwxyz{|}",te=Object.freeze({antialiasingFactor:.5,container:document.body,defaultTransitionTimeMs:250,desiredSpriteCapacity:1e6,devicePixelRatio:void 0,glyphs:ee,glyphMapper:Q,orderZGranularity:10,timingFunctions:V}),ie=Symbol("internalProperties"),ne=Symbol("dataView"),re=Symbol("sceneInternal");class SpriteViewImpl{constructor(t){this[ne]=t}get TransitionTimeMs(){return this[ne][0]}set TransitionTimeMs(t){if(isNaN(t))throw new RangeError("TransitionTimeMs cannot be NaN");this[ne][0]=t}get PositionWorldX(){return this[ne][1]}set PositionWorldX(t){if(isNaN(t))throw new RangeError("PositionWorldX cannot be NaN");this[ne][1]=t}get PositionWorldY(){return this[ne][2]}set PositionWorldY(t){if(isNaN(t))throw new RangeError("PositionWorldY cannot be NaN");this[ne][2]=t}get SizeWorldWidth(){return this[ne][3]}set SizeWorldWidth(t){if(isNaN(t))throw new RangeError("SizeWorldWidth cannot be NaN");this[ne][3]=t}get SizeWorldHeight(){return this[ne][4]}set SizeWorldHeight(t){if(isNaN(t))throw new RangeError("SizeWorldHeight cannot be NaN");this[ne][4]=t}get OrderZ(){return this[ne][5]}set OrderZ(t){if(isNaN(t))throw new RangeError("OrderZ cannot be NaN");if(t<0)throw new RangeError("OrderZ cannot be less than 0");if(t>1)throw new RangeError("OrderZ cannot be greater than 1");this[ne][5]=t}get GeometricZoomX(){return this[ne][6]}set GeometricZoomX(t){if(isNaN(t))throw new RangeError("GeometricZoomX cannot be NaN");this[ne][6]=t}get GeometricZoomY(){return this[ne][7]}set GeometricZoomY(t){if(isNaN(t))throw new RangeError("GeometricZoomY cannot be NaN");this[ne][7]=t}get PositionPixelX(){return this[ne][8]}set PositionPixelX(t){if(isNaN(t))throw new RangeError("PositionPixelX cannot be NaN");this[ne][8]=t}get PositionPixelY(){return this[ne][9]}set PositionPixelY(t){if(isNaN(t))throw new RangeError("PositionPixelY cannot be NaN");this[ne][9]=t}get SizePixelWidth(){return this[ne][10]}set SizePixelWidth(t){if(isNaN(t))throw new RangeError("SizePixelWidth cannot be NaN");this[ne][10]=t}get SizePixelHeight(){return this[ne][11]}set SizePixelHeight(t){if(isNaN(t))throw new RangeError("SizePixelHeight cannot be NaN");this[ne][11]=t}get MaxSizePixelWidth(){return this[ne][12]}set MaxSizePixelWidth(t){if(isNaN(t))throw new RangeError("MaxSizePixelWidth cannot be NaN");this[ne][12]=t}get MaxSizePixelHeight(){return this[ne][13]}set MaxSizePixelHeight(t){if(isNaN(t))throw new RangeError("MaxSizePixelHeight cannot be NaN");this[ne][13]=t}get MinSizePixelWidth(){return this[ne][14]}set MinSizePixelWidth(t){if(isNaN(t))throw new RangeError("MinSizePixelWidth cannot be NaN");this[ne][14]=t}get MinSizePixelHeight(){return this[ne][15]}set MinSizePixelHeight(t){if(isNaN(t))throw new RangeError("MinSizePixelHeight cannot be NaN");this[ne][15]=t}get PositionRelativeX(){return this[ne][16]}set PositionRelativeX(t){if(isNaN(t))throw new RangeError("PositionRelativeX cannot be NaN");this[ne][16]=t}get PositionRelativeY(){return this[ne][17]}set PositionRelativeY(t){if(isNaN(t))throw new RangeError("PositionRelativeY cannot be NaN");this[ne][17]=t}get Sides(){return this[ne][18]}set Sides(t){if(isNaN(t))throw new RangeError("Sides cannot be NaN");this[ne][18]=t}get ShapeTextureU(){return this[ne][19]}set ShapeTextureU(t){if(isNaN(t))throw new RangeError("ShapeTextureU cannot be NaN");this[ne][19]=t}get ShapeTextureV(){return this[ne][20]}set ShapeTextureV(t){if(isNaN(t))throw new RangeError("ShapeTextureV cannot be NaN");this[ne][20]=t}get ShapeTextureWidth(){return this[ne][21]}set ShapeTextureWidth(t){if(isNaN(t))throw new RangeError("ShapeTextureWidth cannot be NaN");this[ne][21]=t}get ShapeTextureHeight(){return this[ne][22]}set ShapeTextureHeight(t){if(isNaN(t))throw new RangeError("ShapeTextureHeight cannot be NaN");this[ne][22]=t}get BorderRadiusPixel(){return this[ne][23]}set BorderRadiusPixel(t){if(isNaN(t))throw new RangeError("BorderRadiusPixel cannot be NaN");this[ne][23]=t}get BorderRadiusRelative(){return this[ne][24]}set BorderRadiusRelative(t){if(isNaN(t))throw new RangeError("BorderRadiusRelative cannot be NaN");this[ne][24]=t}get BorderPlacement(){return this[ne][25]}set BorderPlacement(t){if(isNaN(t))throw new RangeError("BorderPlacement cannot be NaN");this[ne][25]=t}get BorderColorR(){return this[ne][26]}set BorderColorR(t){if(isNaN(t))throw new RangeError("BorderColorR cannot be NaN");this[ne][26]=t}get BorderColorG(){return this[ne][27]}set BorderColorG(t){if(isNaN(t))throw new RangeError("BorderColorG cannot be NaN");this[ne][27]=t}get BorderColorB(){return this[ne][28]}set BorderColorB(t){if(isNaN(t))throw new RangeError("BorderColorB cannot be NaN");this[ne][28]=t}get BorderColorOpacity(){return this[ne][29]}set BorderColorOpacity(t){if(isNaN(t))throw new RangeError("BorderColorOpacity cannot be NaN");this[ne][29]=t}get FillColorR(){return this[ne][30]}set FillColorR(t){if(isNaN(t))throw new RangeError("FillColorR cannot be NaN");this[ne][30]=t}get FillColorG(){return this[ne][31]}set FillColorG(t){if(isNaN(t))throw new RangeError("FillColorG cannot be NaN");this[ne][31]=t}get FillColorB(){return this[ne][32]}set FillColorB(t){if(isNaN(t))throw new RangeError("FillColorB cannot be NaN");this[ne][32]=t}get FillColorOpacity(){return this[ne][33]}set FillColorOpacity(t){if(isNaN(t))throw new RangeError("FillColorOpacity cannot be NaN");this[ne][33]=t}set PositionWorld(t){if(Array.isArray(t)){let n=!1;if("0"in t&&(this.PositionWorldX=t[0],n=!0),"1"in t&&(this.PositionWorldY=t[1],n=!0),!n)throw new TypeError("No PositionWorld component index values were found")}else{if("object"!=typeof t)throw new TypeError("PositionWorld setter argument must be an array or object");{let n=!1;if("x"in t&&(this.PositionWorldX=t.x,n=!0),"y"in t&&(this.PositionWorldY=t.y,n=!0),!n)throw new TypeError("No PositionWorld component key values were found")}}}set SizeWorld(t){if(Array.isArray(t)){let n=!1;if("0"in t&&(this.SizeWorldWidth=t[0],n=!0),"1"in t&&(this.SizeWorldHeight=t[1],n=!0),!n)throw new TypeError("No SizeWorld component index values were found")}else if("object"!=typeof t)this.SizeWorldWidth=t,this.SizeWorldHeight=t;else{let n=!1;if("width"in t&&(this.SizeWorldWidth=t.width,n=!0),"height"in t&&(this.SizeWorldHeight=t.height,n=!0),!n)throw new TypeError("No SizeWorld component key values were found")}}set GeometricZoom(t){if(Array.isArray(t)){let n=!1;if("0"in t&&(this.GeometricZoomX=t[0],n=!0),"1"in t&&(this.GeometricZoomY=t[1],n=!0),!n)throw new TypeError("No GeometricZoom component index values were found")}else if("object"!=typeof t)this.GeometricZoomX=t,this.GeometricZoomY=t;else{let n=!1;if("x"in t&&(this.GeometricZoomX=t.x,n=!0),"y"in t&&(this.GeometricZoomY=t.y,n=!0),!n)throw new TypeError("No GeometricZoom component key values were found")}}set PositionPixel(t){if(Array.isArray(t)){let n=!1;if("0"in t&&(this.PositionPixelX=t[0],n=!0),"1"in t&&(this.PositionPixelY=t[1],n=!0),!n)throw new TypeError("No PositionPixel component index values were found")}else{if("object"!=typeof t)throw new TypeError("PositionPixel setter argument must be an array or object");{let n=!1;if("x"in t&&(this.PositionPixelX=t.x,n=!0),"y"in t&&(this.PositionPixelY=t.y,n=!0),!n)throw new TypeError("No PositionPixel component key values were found")}}}set SizePixel(t){if(Array.isArray(t)){let n=!1;if("0"in t&&(this.SizePixelWidth=t[0],n=!0),"1"in t&&(this.SizePixelHeight=t[1],n=!0),!n)throw new TypeError("No SizePixel component index values were found")}else if("object"!=typeof t)this.SizePixelWidth=t,this.SizePixelHeight=t;else{let n=!1;if("width"in t&&(this.SizePixelWidth=t.width,n=!0),"height"in t&&(this.SizePixelHeight=t.height,n=!0),!n)throw new TypeError("No SizePixel component key values were found")}}set MaxSizePixel(t){if(Array.isArray(t)){let n=!1;if("0"in t&&(this.MaxSizePixelWidth=t[0],n=!0),"1"in t&&(this.MaxSizePixelHeight=t[1],n=!0),!n)throw new TypeError("No MaxSizePixel component index values were found")}else if("object"!=typeof t)this.MaxSizePixelWidth=t,this.MaxSizePixelHeight=t;else{let n=!1;if("width"in t&&(this.MaxSizePixelWidth=t.width,n=!0),"height"in t&&(this.MaxSizePixelHeight=t.height,n=!0),!n)throw new TypeError("No MaxSizePixel component key values were found")}}set MinSizePixel(t){if(Array.isArray(t)){let n=!1;if("0"in t&&(this.MinSizePixelWidth=t[0],n=!0),"1"in t&&(this.MinSizePixelHeight=t[1],n=!0),!n)throw new TypeError("No MinSizePixel component index values were found")}else if("object"!=typeof t)this.MinSizePixelWidth=t,this.MinSizePixelHeight=t;else{let n=!1;if("width"in t&&(this.MinSizePixelWidth=t.width,n=!0),"height"in t&&(this.MinSizePixelHeight=t.height,n=!0),!n)throw new TypeError("No MinSizePixel component key values were found")}}set PositionRelative(t){if(Array.isArray(t)){let n=!1;if("0"in t&&(this.PositionRelativeX=t[0],n=!0),"1"in t&&(this.PositionRelativeY=t[1],n=!0),!n)throw new TypeError("No PositionRelative component index values were found")}else{if("object"!=typeof t)throw new TypeError("PositionRelative setter argument must be an array or object");{let n=!1;if("x"in t&&(this.PositionRelativeX=t.x,n=!0),"y"in t&&(this.PositionRelativeY=t.y,n=!0),!n)throw new TypeError("No PositionRelative component key values were found")}}}set ShapeTexture(t){if(Array.isArray(t)){let n=!1;if("0"in t&&(this.ShapeTextureU=t[0],n=!0),"1"in t&&(this.ShapeTextureV=t[1],n=!0),"2"in t&&(this.ShapeTextureWidth=t[2],n=!0),"3"in t&&(this.ShapeTextureHeight=t[3],n=!0),!n)throw new TypeError("No ShapeTexture component index values were found")}else{if("object"!=typeof t)throw new TypeError("ShapeTexture setter argument must be an array or object");{let n=!1;if("u"in t&&(this.ShapeTextureU=t.u,n=!0),"v"in t&&(this.ShapeTextureV=t.v,n=!0),"width"in t&&(this.ShapeTextureWidth=t.width,n=!0),"height"in t&&(this.ShapeTextureHeight=t.height,n=!0),!n)throw new TypeError("No ShapeTexture component key values were found")}}}set BorderColor(t){if(Array.isArray(t)){let n=!1;if("0"in t&&(this.BorderColorR=t[0],n=!0),"1"in t&&(this.BorderColorG=t[1],n=!0),"2"in t&&(this.BorderColorB=t[2],n=!0),"3"in t&&(this.BorderColorOpacity=t[3],n=!0),!n)throw new TypeError("No BorderColor component index values were found")}else{if("object"!=typeof t)throw new TypeError("BorderColor setter argument must be an array or object");{let n=!1;if("r"in t&&(this.BorderColorR=t.r,n=!0),"g"in t&&(this.BorderColorG=t.g,n=!0),"b"in t&&(this.BorderColorB=t.b,n=!0),"opacity"in t&&(this.BorderColorOpacity=t.opacity,n=!0),!n)throw new TypeError("No BorderColor component key values were found")}}}set FillColor(t){if(Array.isArray(t)){let n=!1;if("0"in t&&(this.FillColorR=t[0],n=!0),"1"in t&&(this.FillColorG=t[1],n=!0),"2"in t&&(this.FillColorB=t[2],n=!0),"3"in t&&(this.FillColorOpacity=t[3],n=!0),!n)throw new TypeError("No FillColor component index values were found")}else{if("object"!=typeof t)throw new TypeError("FillColor setter argument must be an array or object");{let n=!1;if("r"in t&&(this.FillColorR=t.r,n=!0),"g"in t&&(this.FillColorG=t.g,n=!0),"b"in t&&(this.FillColorB=t.b,n=!0),"opacity"in t&&(this.FillColorOpacity=t.opacity,n=!0),!n)throw new TypeError("No FillColor component key values were found")}}}}class InternalError extends Error{}var oe;function ae(t,n){return t===n?NaN:1<<5*t+n-+(n>t)}function se(){const{Created:t,Rest:n,HasCallback:r,NeedsRebase:l,NeedsTextureSync:d,Removed:h}=oe;let p=0;return p|=ae(t,n),p|=ae(t,h),p|=ae(n,r),p|=ae(n,d),p|=ae(r,l),p|=ae(r,d),p|=ae(l,d),p|=ae(d,n),p|=ae(d,r),p|=ae(d,h),p}!function(t){t[t.Created=0]="Created",t[t.Rest=1]="Rest",t[t.HasCallback=2]="HasCallback",t[t.NeedsRebase=3]="NeedsRebase",t[t.NeedsTextureSync=4]="NeedsTextureSync",t[t.Removed=5]="Removed"}(oe||(oe={}));const le=se();function ce(t,n){if(!(ae(t,n)&le))throw new InternalError("Illegal sprite lifecycle phase transition")}class NumericRange{constructor(){this.isDefined=!1,this.lowBound=NaN,this.highBound=NaN}clear(){this.isDefined=!1,this.lowBound=NaN,this.highBound=NaN}expandToInclude(t){if(!this.isDefined)return this.lowBound=t,this.highBound=t,void(this.isDefined=!0);t<this.lowBound&&(this.lowBound=t),t>this.highBound&&(this.highBound=t)}truncateToWithin(t,n){if(isNaN(+t)||isNaN(+n))throw new RangeError("Both values must be numbers");if(n<t)throw new RangeError("High bound must be greater than or equal to low bound");this.isDefined&&(t>this.highBound||n<this.lowBound?this.clear():(this.lowBound<t&&(this.lowBound=t),this.highBound>n&&(this.highBound=n)))}overlaps(t){return this.isDefined&&t.isDefined&&this.lowBound<=t.highBound&&this.highBound>=t.lowBound}}var de;!function(t){t[t.None=0]="None",t[t.Blocked=1]="Blocked",t[t.Scheduled=2]="Scheduled",t[t.Started=3]="Started"}(de||(de={}));class SelectionImpl{constructor(t,n){this.stepsBetweenChecks=t,this.coordinator=n,this.sprites=[],this.boundData=[],this.bindingState=de.None,this.hasWarned=!1,this.bindingTaskId=Symbol("bindingTask"),this.clearingTaskId=Symbol("clearingTask")}onInit(t){return this.onInitCallback=t,this}onEnter(t){return this.onEnterCallback=t,this}onUpdate(t){return this.onUpdateCallback=t,this}onExit(t){return this.onExitCallback=t,this}bind(t,n){if(n)throw new Error("keyFn mapping is not yet supported");if(this.hasWarned||this.bindingState!==de.Scheduled||(l.warn("Possibly conflicting .bind() invocations detected"),this.hasWarned=!0),this.clearingTask)return this.bindingState=de.Blocked,this.coordinator.workScheduler.scheduleUniqueTask({id:this.bindingTaskId,callback:()=>{this.bindingState=de.None,this.bind(t,n)}}),this;let r=0;const d=t.length;let h=this.boundData.length;const{onInitCallback:p,onEnterCallback:f,onUpdateCallback:m,onExitCallback:g}=this,y=n=>{for(;h<d;){r++;const l=h++,d=t[l],m=this.coordinator.createSprite();if(this.boundData[l]=d,this.sprites[l]=m,p&&m.enter((t=>{p(t,d),t.TransitionTimeMs=0})),f&&m.update((t=>{f(t,d)})),r%this.stepsBetweenChecks==0&&n()<=0)break}return h>=d};let v=0;const b=Math.min(d,this.boundData.length),x=n=>{for(;v<b;){r++;const l=v++,d=t[l],h=this.sprites[l];if(this.boundData[l]=d,m&&h.update((t=>{m(t,d)})),r%this.stepsBetweenChecks==0&&n()<=0)break}return v>=b},w=t=>{let n=d;for(;n<this.boundData.length;){r++;const l=this.boundData[n],d=this.sprites[n];if(n++,d.isAbandoned||d.isActive||d.isRemoved?d.exit((t=>{g&&g(t,l)})):d.abandon(),r%this.stepsBetweenChecks==0&&t()<=0)break}return n>d&&(this.boundData.splice(d,n-d),this.sprites.splice(d,n-d)),this.boundData.length<=d};return this.bindingTask={id:this.bindingTaskId,callback:t=>{this.bindingState=de.Started,r=0;const n=w(t)&&x(t)&&y(t);return n&&(delete this.bindingTask,this.bindingState=de.None),n},runUntilDone:!0},this.coordinator.workScheduler.scheduleUniqueTask(this.bindingTask),this.bindingState=de.Scheduled,this}clear(){let t=0;const{onExitCallback:n}=this,r=r=>{let l=0;for(;l<this.boundData.length;){t++;const d=this.boundData[l],h=this.sprites[l];if(l++,h.isAbandoned||h.isActive||h.isRemoved?h.exit((t=>{n&&n(t,d)})):h.abandon(),t%this.stepsBetweenChecks==0&&r()<=0)break}return this.boundData.splice(0,l),this.sprites.splice(0,l),!this.boundData.length};return this.clearingTask={id:this.clearingTaskId,callback:n=>{t=0;const l=r(n);return l&&delete this.clearingTask,l},runUntilDone:!0},this.bindingTask&&(this.coordinator.workScheduler.unscheduleTask(this.bindingTask),delete this.bindingTask),this.coordinator.workScheduler.scheduleUniqueTask(this.clearingTask),this.bindingState=de.None,this}hitTest(t){const n=this.coordinator.hitTest(Object.assign(Object.assign({},t),{sprites:this.sprites})),r=new Uint32Array(n.length);let l=0;for(let t=0;t<n.length;t++)n[t]>=0&&(r[l++]=t);if(!l)return[];(void 0===t.sortResults||t.sortResults)&&r.subarray(0,l).sort(((t,r)=>n[t]-n[r]));const d=new Array(l);for(let t=0;t<l;t++)d[t]=this.boundData[r[t]];return d}}class SpriteImplProperties{constructor(){this.internalLifecyclePhase=oe.Created}get hasCallback(){return!!(this.enterCallback||this.updateCallback||this.exitCallback)}get lifecyclePhase(){return this.internalLifecyclePhase}set lifecyclePhase(t){ce(this.internalLifecyclePhase,t),this.internalLifecyclePhase=t}}class SpriteImpl{constructor(t){this.coordinator=t,this[ie]=new SpriteImplProperties}enter(t){if(this.isAbandoned)throw new Error("Cannot add enter callback to abandoned sprite");if(this.isRemoved)throw new Error("Cannot add enter callback to Removed sprite");const n=this[ie];if(n.enterCallback=t,n.lifecyclePhase===oe.Rest){if(void 0===n.index)throw new InternalError("Sprite lacks index");this.coordinator.markSpriteCallback(n.index),n.lifecyclePhase=oe.HasCallback}return this}update(t){if(this.isAbandoned)throw new Error("Cannot add update callback to abandoned sprite");if(this.isRemoved)throw new Error("Cannot add update callback to Removed sprite");const n=this[ie];if(n.updateCallback=t,n.lifecyclePhase===oe.Rest){if(void 0===n.index)throw new InternalError("Sprite lacks index");this.coordinator.markSpriteCallback(n.index),n.lifecyclePhase=oe.HasCallback}return this}exit(t){if(this.isAbandoned)throw new Error("Cannot add exit callback to abandoned sprite");if(this.isRemoved)throw new Error("Cannot add exit callback to Removed sprite");const n=this[ie];if(n.exitCallback=t,n.toBeRemoved=!0,n.lifecyclePhase===oe.Rest){if(void 0===n.index)throw new InternalError("Sprite lacks index");this.coordinator.markSpriteCallback(n.index),n.lifecyclePhase=oe.HasCallback}return this}abandon(){if(this.isAbandoned)throw new Error("Cannot abandon a Sprite already marked abandoned");if(this.isRemoved)throw new Error("Cannot abandon a Sprite that has been removed");if(this.isActive)throw new Error("Cannot abandon an active Sprite");const t=this[ie];t.isAbandoned=!0,t.enterCallback=void 0,t.updateCallback=void 0,t.exitCallback=void 0,t.toBeRemoved=!0,t.lifecyclePhase=oe.Removed}get isActive(){const t=this[ie].lifecyclePhase;return t!==oe.Created&&t!==oe.Removed}get isAbandoned(){return!!this[ie].isAbandoned}get isRemoved(){return this[ie].lifecyclePhase===oe.Removed}}function ue(t,n,r){const{removedIndexRange:l,sprites:d,waitingSprites:h}=t;if(!l.isDefined)throw new InternalError("No removed indices available to assign");if(!h.length)throw new InternalError("No waiting sprites to assign");let p=0,f=l.lowBound,m=1,g=!1;for(;p<h.length&&f<=l.highBound&&!(p>0&&m++%r==0&&n()<=0);){for(;p<h.length&&h[p][ie].isAbandoned;)p++;if(p>=h.length)break;for(;f<=l.highBound&&!d[f].isRemoved;)f++;if(f>l.highBound)throw new InternalError("Removed index range ended on a non-removed sprite");const n=h[p],r=d[f][ie],m=n[ie];if(void 0===r.index)throw new InternalError("Removed Sprite lacks index");if(t.assignSpriteToIndex(n,r.index),void 0===m.index)throw new InternalError("Sprite index was not assigned");m.hasCallback&&(g=!0,m.lifecyclePhase=oe.HasCallback,t.callbacksIndexRange.expandToInclude(m.index)),p++,f++}h.splice(0,p),f>l.highBound?l.clear():l.truncateToWithin(f,l.highBound),g&&t.queueRunCallbacks(),h.length&&l.isDefined&&t.queueAssignWaiting()}function he(t,n,r){if(!t.callbacksIndexRange.isDefined)throw new InternalError("Running callbacks requires a range of indices");const{lowBound:l,highBound:d}=t.callbacksIndexRange;let h,p;t.callbacksIndexRange.clear();let f=!1,m=!1;const g=t.elapsedTimeMs(),y=()=>{if(!p)throw new InternalError("Attempted to re-run afterCallback steps");const{spriteView:n,index:r}=p;if(!n||void 0===r)throw new InternalError("Sprite missing required properties");n.TransitionTimeMs+=g,t.toDrawTsRange.expandToInclude(n.TransitionTimeMs+t.workScheduler.maxWorkTimeMs),n.TransitionTimeMs>g?(f=!0,p.lifecyclePhase=oe.NeedsRebase,t.needsRebaseIndexRange.expandToInclude(r)):(m=!0,p.lifecyclePhase=oe.NeedsTextureSync,t.needsTextureSyncIndexRange.expandToInclude(r),p.toBeRemoved&&!p.hasCallback&&n[ne].fill(0)),h=void 0,p=void 0};let v=l;try{let f=1;for(;v<=d&&!(v>l&&f++%r==0&&n()<=0);){if(h=t.sprites[v],p=h[ie],v++,p.lifecyclePhase!==oe.HasCallback)continue;if(!p.spriteView)throw new InternalError("Sprite in HasCallback lifecycle phase missing SpriteView");let n;if(p.enterCallback)n=p.enterCallback,p.enterCallback=void 0;else if(p.updateCallback)n=p.updateCallback,p.updateCallback=void 0;else{if(!p.exitCallback)throw new InternalError("Sprite in HasCallback state missing callbacks");n=p.exitCallback,p.exitCallback=void 0}p.spriteView.TransitionTimeMs=t.defaultTransitionTimeMs,f=0,n.call(h,p.spriteView),y()}}catch(t){throw p&&p.lifecyclePhase===oe.HasCallback&&y(),t}finally{f&&t.queueRebase(),m&&t.queueTextureSync(),v<=d&&(t.callbacksIndexRange.expandToInclude(v),t.callbacksIndexRange.expandToInclude(d)),t.callbacksIndexRange.isDefined&&t.queueRunCallbacks(),t.toDrawTsRange.isDefined&&t.queueDraw()}}function pe(t){const{sprites:n,width:r,height:d,inclusive:h}=t.hitTestParameters;t.hitTestCount=n.length;const p=t.hitTestOutputResults.subarray(0,t.hitTestCount);if(!(h||r&&d))return l.warn("Inclusive hit test on a box with zero size always misses"),void p.fill(-1);const f=t.instanceHitTestInputUvValues,m=t.instanceHitTestInputIndexActiveValues,g=t.instanceSwatchUvValues;for(let t=0;t<n.length;t++){const r=n[t],l=r[ie].index||0;f[2*t]=g[2*l],f[2*t+1]=g[2*l+1],m[2*t]=l,m[2*t+1]=r.isActive?1:0}t.instanceHitTestInputUvBuffer(f.subarray(0,2*t.hitTestCount)),t.instanceHitTestInputIndexActiveBuffer(m.subarray(0,2*t.hitTestCount)),t.hitTestCommand();const y=Math.ceil(t.hitTestCount/t.hitTestAttributeMapper.swatchesPerRow);t.regl.read({x:0,y:0,width:t.hitTestAttributeMapper.textureWidth,height:y,data:t.hitTestOutputValues,framebuffer:t.hitTestOutputValuesFramebuffer});const{totalSwatches:v}=t.hitTestAttributeMapper,b=t.hitTestOutputValues;for(let n=0;n<t.hitTestCount;n++){const t=(b[4*n]/16777216+b[4*n+1]/65536+b[4*n+2]/256+b[4*n+3])/255;p[n]=t*(v+1)-1}}function fe(t){if(!t.needsRebaseIndexRange.isDefined)throw new InternalError("No sprites are queued for rebase");t.rebaseCount=0;const{lowBound:n,highBound:r}=t.needsRebaseIndexRange;for(let l=n;l<=r;l++){const n=t.sprites[l][ie];n.lifecyclePhase===oe.NeedsRebase&&(t.needsTextureSyncIndexRange.expandToInclude(l),n.lifecyclePhase=oe.NeedsTextureSync,t.instanceRebaseUvValues[2*t.rebaseCount]=t.instanceSwatchUvValues[2*l],t.instanceRebaseUvValues[2*t.rebaseCount+1]=t.instanceSwatchUvValues[2*l+1],t.rebaseCount++)}if(!t.rebaseCount)throw new InternalError("No sprites were found to need rebase");t.queueTextureSync(),t.instanceRebaseUvBuffer(t.instanceRebaseUvValues.subarray(0,2*t.rebaseCount)),t.rebaseCommand(),t.previousValuesFramebuffer.use((()=>t.previousValuesTexture({copy:!0}))),t.needsRebaseIndexRange.clear()}function me(t,n,r){if(!t.toBeRemovedIndexRange.isDefined||!t.toBeRemovedTsRange.isDefined)throw new InternalError("No sprites are queued for removal");const l=t.elapsedTimeMs();if(l<t.toBeRemovedTsRange.lowBound)return void t.queueRemovalTask();const{lowBound:d,highBound:h}=t.toBeRemovedIndexRange;t.toBeRemovedIndexRange.clear(),t.toBeRemovedTsRange.clear();let p=d;try{let f=1;for(;p<=h&&!(p>d&&f++%r==0&&n()<=0);p++){const n=t.sprites[p][ie];if(n.toBeRemoved&&n.lifecyclePhase===oe.Rest){if(!n.spriteView||void 0===n.index)throw new InternalError("Sprite missing required properties");n.spriteView.TransitionTimeMs>l?(t.toBeRemovedIndexRange.expandToInclude(p),t.toBeRemovedTsRange.expandToInclude(n.spriteView.TransitionTimeMs)):(n.spriteView[ne].fill(0),n.lifecyclePhase=oe.NeedsTextureSync,t.needsTextureSyncIndexRange.expandToInclude(n.index))}}}finally{if(t.needsTextureSyncIndexRange.isDefined&&t.queueTextureSync(),p<h){t.toBeRemovedIndexRange.expandToInclude(p+1),t.toBeRemovedIndexRange.expandToInclude(h);for(let n=p+1;n<=h;n++){const r=t.sprites[n][ie];if(!0===r.toBeRemoved&&r.lifecyclePhase===oe.Rest){if(!r.spriteView)throw new InternalError("Sprite lacks a SpriteView");t.toBeRemovedTsRange.expandToInclude(r.spriteView.TransitionTimeMs)}}}t.toBeRemovedIndexRange.isDefined&&t.queueRemovalTask()}}function ge(t,n){const r=new NumericRange;if(!t.isDefined)return r;const{lowBound:l,highBound:d}=t,h=Math.floor(l/n),p=Math.floor(d/n)+1;return r.expandToInclude(h*n),r.expandToInclude(p*n-1),r}function ye(t){if(!t.needsTextureSyncIndexRange.isDefined)throw new InternalError("No sprites are in need of texture sync");const{swatchesPerRow:n,textureWidth:r,valuesPerRow:l}=t.attributeMapper;if(t.needsRebaseIndexRange.isDefined){const r=ge(t.needsRebaseIndexRange,n);if(ge(t.needsTextureSyncIndexRange,n).overlaps(r))return t.queueRebase(),void t.queueTextureSync()}const{lowBound:d,highBound:h}=t.needsTextureSyncIndexRange,p=Math.floor(d/n),f=Math.floor(h/n)+1,m=f-p,g=t.targetValuesArray.subarray(p*l,f*l);let y=!1,v=!1;const b=t.elapsedTimeMs(),x=p*n,w=Math.min(f*n-1,t.sprites.length-1);for(let n=x;n<=w;n++){const r=t.sprites[n],l=r[ie];if(l.lifecyclePhase===oe.NeedsRebase)throw new InternalError("Sprite is in the wrong lifecycle phase for sync");if(l.lifecyclePhase===oe.NeedsTextureSync){if(!l.spriteView)throw new InternalError("Sprite queued for texture sync lacks a SpriteView");l.hasCallback?(y=!0,l.lifecyclePhase=oe.HasCallback,t.callbacksIndexRange.expandToInclude(n)):l.toBeRemoved?l.spriteView.TransitionTimeMs<=b?t.removeSprite(r):(v=!0,l.lifecyclePhase=oe.Rest,t.toBeRemovedIndexRange.expandToInclude(n),t.toBeRemovedTsRange.expandToInclude(l.spriteView.TransitionTimeMs)):l.lifecyclePhase=oe.Rest}}t.waitingSprites.length&&t.removedIndexRange.isDefined&&t.queueAssignWaiting(),y&&t.queueRunCallbacks(),v&&t.queueRemovalTask(),t.needsTextureSyncIndexRange.clear();const S={data:g,width:r,height:m};t.targetValuesTexture.subimage(S,0,p)}const ve="center",be="middle";function xe(t,n){t.Sides=0,t.ShapeTexture=n.coords,t.PositionRelative=n.position}class TextSelectionImpl{constructor(t,n,r,l){this.stepsBetweenChecks=t,this.renderer=n,this.workScheduler=r,this.glyphMapper=l,this.selections=[],this.boundData=[],this.bindingTaskId=Symbol("bindingTask"),this.clearingTaskId=Symbol("clearingTask"),this.textCallback=t=>`${t}`,this.alignCallback=()=>ve,this.verticalAlignCallback=()=>be}text(t){return this.textCallback=t,this}align(t){return this.alignCallback=t,this}verticalAlign(t){return this.verticalAlignCallback=t,this}onInit(t){return this.initCallback=t,this}onEnter(t){return this.enterCallback=t,this}onUpdate(t){return this.updateCallback=t,this}onExit(t){return this.exitCallback=t,this}bind(t,n){if(n)throw new Error("keyFn mapping is not yet supported");if(this.clearingTask)return this.workScheduler.scheduleUniqueTask({id:this.bindingTaskId,callback:()=>this.bind(t,n)}),this;let r=0;const l=t.length;let d=this.boundData.length;const{textCallback:h,alignCallback:p,verticalAlignCallback:f}=this,m=t=>{const n=(h?h(t):`${t}`).trim(),r=p&&p(t)||ve,l=f&&f(t)||be,d=[];for(let h=0;h<n.length;h++){let p,f;p="left"===r?.5*(h+1):"right"===r?.5*(h+1-n.length):.5*(h+.75-.5*n.length),f="top"===l?-.5:"bottom"===l?.5:0;const m=this.glyphMapper.getGlyph(n.charAt(h));m&&d.push({datum:t,coords:m,position:{x:p,y:f}})}return d},{initCallback:g,enterCallback:y,updateCallback:v,exitCallback:b}=this,x=t=>{t.onInit(((t,n)=>{xe(t,n),g&&g(t,n.datum)})).onEnter(((t,n)=>{xe(t,n),y&&y(t,n.datum)})).onUpdate(((t,n)=>{xe(t,n),v&&v(t,n.datum)})).onExit(((t,n)=>{xe(t,n),b&&b(t,n.datum)}))},w=n=>{for(;d<l;){r++;const l=d++,h=t[l],p=this.renderer.createSelection();if(this.boundData.push(h),this.selections.push(p),x(p),p.bind(m(h)),r%this.stepsBetweenChecks==0&&n()<=0)break}return d>=l};let S=0;const _=Math.min(l,this.boundData.length),E=n=>{for(;S<_;){r++;const l=S++,d=t[l],h=this.selections[l];if(this.boundData[l]=d,x(h),h.bind(m(d)),r%this.stepsBetweenChecks==0&&n()<=0)break}return S>=_},T=t=>{let n=l;for(;n<this.boundData.length;){r++;const l=this.selections[n];if(n++,x(l),l.bind([]),r%this.stepsBetweenChecks==0&&t()<=0)break}return this.boundData.splice(l,n-l),this.selections.splice(l,n-l),l>=this.boundData.length};return this.bindingTask={id:this,callback:t=>(r=0,T(t)&&E(t)&&w(t)),runUntilDone:!0},this.workScheduler.scheduleUniqueTask(this.bindingTask),this}clear(){let t=0;const n=n=>{let r=0;for(;r<this.boundData.length;){t++;const l=this.selections[r];if(r++,l.clear(),t%this.stepsBetweenChecks==0&&n()<=0)break}return this.boundData.splice(0,r),this.selections.splice(0,r),!this.boundData.length};return this.clearingTask={id:this.clearingTaskId,callback:r=>{t=0;const l=n(r);return l&&delete this.clearingTask,l},runUntilDone:!0},this.bindingTask&&(this.workScheduler.unscheduleTask(this.bindingTask),delete this.bindingTask),this.workScheduler.scheduleUniqueTask(this.clearingTask),this}hitTest(t){throw new Error("Not yet implemented")}}function we(t){return!(!t||!(t instanceof Function||t.callback instanceof Function))}function Se(t){if(!we(t))throw new Error("Provided object was not a work task or function");return t instanceof Function?t:void 0!==t.id?t.id:t.callback}function _e(t){if(!we(t))throw new Error("Provided object was not a work task or function");return t instanceof Function?{callback:t,id:t}:void 0!==t.id?t:Object.assign(Object.assign({},t),{id:t.callback})}class WorkQueue{constructor(){this.idSet=new Set,this.taskList=[]}get length(){return this.taskList.length}hasTaskId(t){return this.idSet.has(t)}hasTask(t){return this.hasTaskId(Se(t))}getTaskById(t){if(!this.hasTaskId(t))return;const n=this.findTaskIndexById(t);if(-1===n)throw new InternalError("Could not find matching task in task list");return this.taskList[n]}enqueueTask(t){if(this.hasTask(t))return;const n=_e(t);this.idSet.add(n.id),this.taskList.push(n)}dequeueTask(){const t=this.taskList.shift();if(!t)throw new Error("No tasks remain to dequeue");return this.idSet.delete(t.id),t}removeTaskById(t){if(!this.hasTaskId(t))return;const n=this.findTaskIndexById(t);if(-1===n)throw new InternalError("Could not find matching task in task list");const[r]=this.taskList.splice(n,1);return this.idSet.delete(r.id),r}removeTask(t){return this.removeTaskById(Se(t))}findTaskIndexById(t){let n=-1;for(let r=0;r<this.taskList.length;r++)if(this.taskList[r].id===t){if(-1!==n)throw new InternalError("Duplicate task found in task list");n=r}return n}}const Ee=Object.freeze({timingFunctions:V,maxWorkTimeMs:20});class WorkScheduler{constructor(t=Ee){this.isEnabled=!1,this.isPerformingWork=!1,this.presentWorkQueue=new WorkQueue,this.futureWorkQueue=new WorkQueue;const n=Object.assign({},Ee,t||{});this.timingFunctions=Object.freeze(Object.assign({},V,n&&n.timingFunctions||{})),this.maxWorkTimeMs=n.maxWorkTimeMs,this.enable()}scheduleTask(t){const n=_e(t);return this.presentWorkQueue.hasTask(n)||this.futureWorkQueue.hasTask(n)||(this.isPerformingWork&&!n.beginImmediately?this.futureWorkQueue.enqueueTask(n):this.presentWorkQueue.enqueueTask(n)),this.updateTimer(),n}getTask(t){const n=Se(t),r=this.presentWorkQueue.getTaskById(n),l=this.futureWorkQueue.getTaskById(n);if(r&&l)throw new InternalError("Found two matching tasks when at most one is allowed");return r||l||void 0}unscheduleTask(t){const n=Se(t),r=this.presentWorkQueue.removeTaskById(n),l=this.futureWorkQueue.removeTaskById(n);if(r&&l)throw new InternalError("Found two matching tasks when at most one is allowed");return this.updateTimer(),r||l||void 0}isScheduledTask(t){return this.isScheduledId(Se(t))}isScheduledId(t){return this.presentWorkQueue.hasTaskId(t)||this.futureWorkQueue.hasTaskId(t)}scheduleUniqueTask(t){const n=_e(t);return this.unscheduleTask(n),this.scheduleTask(n),n}enable(){return this.isEnabled=!0,this.updateTimer(),this}disable(){return this.isEnabled=!1,this.updateTimer(),this}updateTimer(){if(this.isEnabled&&this.presentWorkQueue.length){if(void 0===this.animationFrameTimer){const{requestAnimationFrame:t}=this.timingFunctions;this.animationFrameTimer=t((()=>{this.animationFrameTimer=void 0,this.performWork()}))}}else if(void 0!==this.animationFrameTimer){const{cancelAnimationFrame:t}=this.timingFunctions;t(this.animationFrameTimer),this.animationFrameTimer=void 0}}performWork(){if(this.isPerformingWork)throw new InternalError("Only one invocation of performWork is allowed at a time");this.isPerformingWork=!0;const{now:t}=this.timingFunctions;let n=0;const r=t(),l=()=>this.maxWorkTimeMs+r-t();try{for(;this.presentWorkQueue.length&&!(n>0&&l()<=0);){const t=this.presentWorkQueue.dequeueTask();n++;const r=t.callback.call(null,l);if(!t.runUntilDone||r)continue;let d=r;for(;!d&&l()>0;)d=t.callback.call(null,l);if(!d){this.futureWorkQueue.enqueueTask(t);break}}}finally{for(this.isPerformingWork=!1;this.futureWorkQueue.length;){const t=this.futureWorkQueue.dequeueTask();this.scheduleTask(t)}this.updateTimer()}}}const Me=500,Te=2;class SceneInternal{constructor(t={}){this.scale=new CallbackTriggerPoint((()=>{this.handleViewChange()})),this.offset=new CallbackTriggerPoint((()=>{this.handleViewChange()})),this.sprites=[],this.waitingSprites=[],this.instanceCount=0,this.callbacksIndexRange=new NumericRange,this.needsTextureSyncIndexRange=new NumericRange,this.needsRebaseIndexRange=new NumericRange,this.toBeRemovedIndexRange=new NumericRange,this.toBeRemovedTsRange=new NumericRange,this.removedIndexRange=new NumericRange,this.toDrawTsRange=new NumericRange,this.drawTaskId=Symbol("drawTask"),this.textureSyncTaskId=Symbol("textureSyncTask"),this.rebaseCount=0,this.hitTestCount=0,this.runRemovalTaskId=Symbol("runRemovalTaskId"),this.runAssignWaitingTaskId=Symbol("runAssignWaitingTask"),this.rebaseTaskId=Symbol("rebaseTask"),this.runCallbacksTaskId=Symbol("runCallbacksTask"),this.isViewInitialized=!1,this.stepsBetweenRemainingTimeChecks=Me;const n=Object.assign({},te,t),{timingFunctions:r}=n,{now:l}=r;if(this.basisTs=l(),this.elapsedTimeMs=()=>l()-this.basisTs,this.workScheduler=new WorkScheduler({timingFunctions:r}),"function"==typeof n.devicePixelRatio){const t=n.devicePixelRatio;this.getDevicePixelRatio=()=>{const n=t();if(isNaN(n)||n<=0)throw new RangeError("Callback returned invalid devicePixelRatio");return n}}else if("number"==typeof n.devicePixelRatio){const{devicePixelRatio:t}=n;if(isNaN(t)||t<=0)throw new RangeError("Provided devicePixelRatio value is invalid");this.getDevicePixelRatio=()=>t}this.antialiasingFactor=n.antialiasingFactor,this.container=n.container,this.defaultTransitionTimeMs=n.defaultTransitionTimeMs,this.orderZGranularity=n.orderZGranularity;const h=window.createREGL||d.default;if(!h)throw new Error("Could not find REGL");this.canvas=document.createElement("canvas"),Object.assign(this.canvas.style,{border:0,height:"100%",left:0,margin:0,padding:0,top:0,width:"100%"}),this.container.appendChild(this.canvas);const{width:p,height:f}=this.canvas.getBoundingClientRect(),m=this.getDevicePixelRatio();this.canvas.height=f*m,this.canvas.width=p*m;const g=this.regl=h({attributes:{preserveDrawingBuffer:!0},canvas:this.canvas,extensions:["angle_instanced_arrays","OES_texture_float","OES_texture_float_linear"]});this.initView();const y=this.attributeMapper=new AttributeMapper({maxTextureSize:g.limits.maxTextureSize,desiredSwatchCapacity:n.desiredSpriteCapacity,dataChannelCount:4});this.previousValuesFramebuffer=g.framebuffer({color:g.texture({width:y.textureWidth,height:y.textureHeight,channels:y.dataChannelCount,type:"float32",mag:"nearest",min:"nearest"}),depthStencil:!1}),this.previousValuesTexture=g.texture({width:y.textureWidth,height:y.textureHeight,channels:y.dataChannelCount,type:"float32",mag:"nearest",min:"nearest"}),this.targetValuesArray=new Float32Array(y.totalValues),this.targetValuesTexture=g.texture({width:y.textureWidth,height:y.textureHeight,channels:y.dataChannelCount,data:this.targetValuesArray,type:"float32",mag:"nearest",min:"nearest"}),this.instanceSwatchUvValues=y.generateInstanceSwatchUvValues(),this.instanceIndexValues=new Float32Array(y.totalSwatches);for(let t=0;t<y.totalSwatches;t++)this.instanceIndexValues[t]=t;const v=this.hitTestAttributeMapper=new AttributeMapper({maxTextureSize:g.limits.maxTextureSize,desiredSwatchCapacity:y.totalSwatches,dataChannelCount:4,attributes:[{attributeName:"Hit"}]});this.instanceHitTestOutputUvValues=this.hitTestAttributeMapper.generateInstanceSwatchUvValues(),this.instanceHitTestInputUvValues=new Float32Array(this.instanceSwatchUvValues.length),this.instanceHitTestInputIndexActiveValues=new Float32Array(2*y.totalSwatches),this.hitTestOutputValuesFramebuffer=g.framebuffer({color:g.texture({width:v.textureWidth,height:v.textureHeight,channels:v.dataChannelCount,type:"uint8",mag:"nearest",min:"nearest"}),depthStencil:!1}),this.hitTestOutputValues=new Uint8Array(v.dataChannelCount*v.totalSwatches),this.hitTestOutputResults=new Float32Array(v.totalSwatches),this.glyphMapper=new GlyphMapper(n.glyphMapper);for(const t of n.glyphs.split(""))this.glyphMapper.addGlyph(t);this.sdfTexture=g.texture({height:this.glyphMapper.textureSize,width:this.glyphMapper.textureSize,min:"linear",mag:"linear",wrap:"clamp",data:this.glyphMapper.textureData,format:"luminance",type:"float32"}),this.instanceSwatchUvBuffer=this.regl.buffer(this.instanceSwatchUvValues),this.instanceIndexBuffer=this.regl.buffer(this.instanceIndexValues),this.instanceHitTestInputUvBuffer=this.regl.buffer(this.instanceHitTestInputUvValues),this.instanceHitTestInputIndexActiveBuffer=this.regl.buffer(this.instanceHitTestInputIndexActiveValues),this.instanceHitTestOutputUvBuffer=this.regl.buffer(this.instanceHitTestOutputUvValues),this.instanceRebaseUvValues=new Float32Array(this.instanceSwatchUvValues.length),this.instanceRebaseUvBuffer=this.regl.buffer({usage:"dynamic",type:"float",data:this.instanceRebaseUvValues}),this.drawCommand=I(this),this.rebaseCommand=j(this),this.hitTestCommand=F(this),this.queueDraw()}getDevicePixelRatio(){return"undefined"!=typeof window&&window.devicePixelRatio||1}initView(){if(this.isViewInitialized)return;const{width:t,height:n}=this.canvas.getBoundingClientRect();if(!t||!n)return l.warn("Delaying Scene initialization: canvas has zero size"),void(this.canvas.isConnected||l.debug("Canvas is not connected to the DOM"));this.lastDevicePixelRatio=this.getDevicePixelRatio(),this.canvas.width=t*this.lastDevicePixelRatio,this.canvas.height=n*this.lastDevicePixelRatio;const r=Math.min(t,n)||Math.max(t,n)||Math.min(window.innerWidth,window.innerHeight);this.scale.x=r,this.scale.y=r,this.offset.x=t/2,this.offset.y=n/2,this.isViewInitialized=!0}handleViewChange(){this.queueDraw()}resize(t){if(!this.isViewInitialized)return void this.initView();if(!this.lastDevicePixelRatio)throw new InternalError("initView must set lastDevicePixelRatio");const n=this.canvas.width/this.lastDevicePixelRatio,r=this.canvas.height/this.lastDevicePixelRatio;t=t||{x:n/2,y:r/2};const l=n>0?t.x/n:.5,d=r>0?t.y/r:.5,{width:h,height:p}=this.canvas.getBoundingClientRect();this.lastDevicePixelRatio=this.getDevicePixelRatio(),this.canvas.width=h*this.lastDevicePixelRatio,this.canvas.height=p*this.lastDevicePixelRatio,this.offset.x+=l*(h-n),this.offset.y+=d*(p-r),this.queueDraw()}hitTest(t){const{sprites:n,x:r,y:l,width:d,height:h,inclusive:p}=t;if(!Array.isArray(n))throw new Error("Hit testing requires an array of candidate sprites");if(isNaN(r)||isNaN(l))throw new Error("Hit testing requires numeric x and y coordinates");if(void 0!==d&&isNaN(d)||void 0!==h&&isNaN(h))throw new Error("If specified, width and height must be numeric");return this.hitTestParameters={sprites:n,x:r,y:l,width:d||0,height:h||0,inclusive:void 0===p||!!p},n.length?(pe(this),this.hitTestOutputResults.subarray(0,n.length)):new Float32Array(0)}doDraw(){this.initView();const t=this.elapsedTimeMs();this.isViewInitialized?this.drawCommand():l.warn("Skipping draw: view is not initialized"),this.toDrawTsRange.isDefined&&(this.toDrawTsRange.truncateToWithin(t,1/0),this.queueDraw(!1))}queueDraw(t=!0){this.queueTask(this.drawTaskId,(()=>{this.doDraw()}),t)}snapshot(){return h(this,void 0,void 0,(function*(){return new Promise(((t,n)=>{this.canvas.toBlob((r=>{r?t(r):n(r)}))}))}))}getViewMatrix(){if(!this.lastDevicePixelRatio)throw new InternalError("initView must set lastDevicePixelRatio");const t=Te*this.lastDevicePixelRatio;return[this.scale.x*t,0,0,0,this.scale.y*-t,0,this.offset.x*t,this.offset.y*t,1]}getViewMatrixScale(){if(!this.lastDevicePixelRatio)throw new InternalError("initView must set lastDevicePixelRatio");const t=Te*this.lastDevicePixelRatio,n=this.scale.x*t,r=this.scale.y*t;return[n,r,1/n,1/r]}getProjectionMatrix({viewportWidth:t,viewportHeight:n}){return[1/t,0,0,0,-1/n,0,-1,1,1]}getNextIndex(){if(!this.removedIndexRange.isDefined)return this.sprites.length<this.attributeMapper.totalSwatches?this.sprites.length:void 0;const{lowBound:t,highBound:n}=this.removedIndexRange;for(let r=t;r<=n;r++)if(this.sprites[r][ie].lifecyclePhase===oe.Removed)return r===n?this.removedIndexRange.clear():this.removedIndexRange.truncateToWithin(r+1,n),r;throw new InternalError("No removed sprites found in removed index range")}createSprite(){const t=Object.seal(new SpriteImpl(this));if(this.waitingSprites.length>0||!this.removedIndexRange.isDefined&&this.sprites.length>=this.attributeMapper.totalSwatches)this.waitingSprites.push(t);else{const n=this.getNextIndex();if(void 0===n)throw new InternalError("Next index undefined despite available capacity");this.assignSpriteToIndex(t,n)}return t}assignSpriteToIndex(t,n){const r=t[ie];if(r.lifecyclePhase!==oe.Created)throw new InternalError("Only sprites in the Created phase can be assigned indices");const{valuesPerSwatch:l}=this.attributeMapper,d=this.targetValuesArray.subarray(n*l,(n+1)*l);d.fill(0),r.lifecyclePhase=oe.Rest,r.index=n,r.spriteView=Object.seal(new SpriteViewImpl(d)),this.sprites[n]=t,this.instanceCount<=n+1&&(this.instanceCount=n+1)}markSpriteCallback(t){this.callbacksIndexRange.expandToInclude(t),this.queueRunCallbacks()}removeSprite(t){if(t.isRemoved)throw new InternalError("Sprite can be removed only once");const n=t[ie];n.index===this.instanceCount-1&&this.instanceCount--,n.lifecyclePhase=oe.Removed,n.spriteView&&(n.spriteView[ne]=void 0),void 0!==n.index&&this.removedIndexRange.expandToInclude(n.index)}queueTask(t,n,r=!1){this.workScheduler.isScheduledId(t)||this.workScheduler.scheduleTask({id:t,callback:n,beginImmediately:r})}queueRebase(){this.queueTask(this.rebaseTaskId,(()=>{fe(this)}))}queueAssignWaiting(){const t=t=>{ue(this,t,this.stepsBetweenRemainingTimeChecks)};this.queueTask(this.runAssignWaitingTaskId,t)}queueRunCallbacks(){const t=t=>{he(this,t,this.stepsBetweenRemainingTimeChecks)};this.queueTask(this.runCallbacksTaskId,t)}queueRemovalTask(){const t=t=>{me(this,t,this.stepsBetweenRemainingTimeChecks)};this.queueTask(this.runRemovalTaskId,t)}queueTextureSync(){this.queueTask(this.textureSyncTaskId,(()=>{ye(this)}))}createSelection(){return new SelectionImpl(this.stepsBetweenRemainingTimeChecks,this)}createTextSelection(){return new TextSelectionImpl(this.stepsBetweenRemainingTimeChecks,this,this.workScheduler,this.glyphMapper)}}class Scene{constructor(t={}){this[re]=new SceneInternal(t)}get scale(){return this[re].scale}get offset(){return this[re].offset}get canvas(){return this[re].canvas}resize(t){this[re].resize(t)}elapsedTimeMs(){return this[re].elapsedTimeMs()}createSprite(){return this[re].createSprite()}hitTest(t){return this[re].hitTest(t)}createSelection(){return this[re].createSelection()}createTextSelection(){return this[re].createTextSelection()}}t.Scene=Scene,Object.defineProperty(t,"__esModule",{value:!0})}(n,r(1550))},2188:(t,n,r)=>{"use strict";r.d(n,{EH:()=>ht,Fl:()=>ge,LO:()=>de,U5:()=>mt,ZN:()=>Ot,aD:()=>ct,gx:()=>Rt,le:()=>tt,z:()=>dt});var l=r(5108),d=r(4155),h=function(t,n){return h=Object.setPrototypeOf||{__proto__:[]}instanceof Array&&function(t,n){t.__proto__=n}||function(t,n){for(var r in n)n.hasOwnProperty(r)&&(t[r]=n[r])},h(t,n)};var p=function(){return p=Object.assign||function(t){for(var n,r=1,l=arguments.length;r<l;r++)for(var d in n=arguments[r])Object.prototype.hasOwnProperty.call(n,d)&&(t[d]=n[d]);return t},p.apply(this,arguments)};function f(t){var n="function"==typeof Symbol&&t[Symbol.iterator],r=0;return n?n.call(t):{next:function(){return t&&r>=t.length&&(t=void 0),{value:t&&t[r++],done:!t}}}}function m(t,n){var r="function"==typeof Symbol&&t[Symbol.iterator];if(!r)return t;var l,d,h=r.call(t),p=[];try{for(;(void 0===n||n-- >0)&&!(l=h.next()).done;)p.push(l.value)}catch(t){d={error:t}}finally{try{l&&!l.done&&(r=h.return)&&r.call(h)}finally{if(d)throw d.error}}return p}function g(){for(var t=[],n=0;n<arguments.length;n++)t=t.concat(m(arguments[n]));return t}var y="An invariant failed, however the error is obfuscated because this is a production build.",v=[];Object.freeze(v);var b={};function x(){return++We.mobxGuid}function w(t){throw S(!1,t),"X"}function S(t,n){if(!t)throw new Error("[mobx] "+(n||y))}Object.freeze(b);function _(t){var n=!1;return function(){if(!n)return n=!0,t.apply(this,arguments)}}var E=function(){};function T(t){return null!==t&&"object"==typeof t}function C(t){if(null===t||"object"!=typeof t)return!1;var n=Object.getPrototypeOf(t);return n===Object.prototype||null===n}function A(t,n,r){Object.defineProperty(t,n,{enumerable:!1,writable:!0,configurable:!0,value:r})}function O(t,n){var r="isMobX"+t;return n.prototype[r]=!0,function(t){return T(t)&&!0===t[r]}}function I(t){return t instanceof Map}function P(t){return t instanceof Set}function D(t){var n=new Set;for(var r in t)n.add(r);return Object.getOwnPropertySymbols(t).forEach((function(r){Object.getOwnPropertyDescriptor(t,r).enumerable&&n.add(r)})),Array.from(n)}function F(t){return t&&t.toString?t.toString():new String(t).toString()}function B(t){return null===t?null:"object"==typeof t?""+t:t}var $=Symbol("mobx administration"),j=function(){function t(t){void 0===t&&(t="Atom@"+x()),this.name=t,this.isPendingUnobservation=!1,this.isBeingObserved=!1,this.observers=new Set,this.diffValue=0,this.lastAccessedBy=0,this.lowestObserverState=he.NOT_TRACKING}return t.prototype.onBecomeObserved=function(){this.onBecomeObservedListeners&&this.onBecomeObservedListeners.forEach((function(t){return t()}))},t.prototype.onBecomeUnobserved=function(){this.onBecomeUnobservedListeners&&this.onBecomeUnobservedListeners.forEach((function(t){return t()}))},t.prototype.reportObserved=function(){return Je(this)},t.prototype.reportChanged=function(){Ze(),function(t){if(t.lowestObserverState===he.STALE)return;t.lowestObserverState=he.STALE,t.observers.forEach((function(n){n.dependenciesState===he.UP_TO_DATE&&(n.isTracing!==pe.NONE&&Qe(n,t),n.onBecomeStale()),n.dependenciesState=he.STALE}))}(this),Ke()},t.prototype.toString=function(){return this.name},t}(),V=O("Atom",j);function U(t,n,r){void 0===n&&(n=E),void 0===r&&(r=E);var l,d=new j(t);return n!==E&&yt("onBecomeObserved",d,n,l),r!==E&&gt(d,r),d}var G={identity:function(t,n){return t===n},structural:function(t,n){return hi(t,n)},default:function(t,n){return Object.is(t,n)},shallow:function(t,n){return hi(t,n,1)}},W=Symbol("mobx did run lazy initializers"),q=Symbol("mobx pending decorators"),X={},Y={};function K(t){var n,r;if(!0!==t[W]){var l=t[q];if(l){A(t,W,!0);var d=g(Object.getOwnPropertySymbols(l),Object.keys(l));try{for(var h=f(d),p=h.next();!p.done;p=h.next()){var m=l[p.value];m.propertyCreator(t,m.prop,m.descriptor,m.decoratorTarget,m.decoratorArguments)}}catch(t){n={error:t}}finally{try{p&&!p.done&&(r=h.return)&&r.call(h)}finally{if(n)throw n.error}}}}}function J(t,n){return function(){var r,l,d=function(l,d,h,f){if(!0===f)return n(l,d,h,l,r),null;if(!Object.prototype.hasOwnProperty.call(l,q)){var m=l[q];A(l,q,p({},m))}return l[q][d]={prop:d,propertyCreator:n,descriptor:h,decoratorTarget:l,decoratorArguments:r},function(t,n){var r=n?X:Y;return r[t]||(r[t]={configurable:!0,enumerable:n,get:function(){return K(this),this[t]},set:function(n){K(this),this[t]=n}})}(d,t)};return(2===(l=arguments).length||3===l.length)&&("string"==typeof l[1]||"symbol"==typeof l[1])||4===l.length&&!0===l[3]?(r=v,d.apply(null,arguments)):(r=Array.prototype.slice.call(arguments),d)}}function Q(t,n,r){return Et(t)?t:Array.isArray(t)?de.array(t,{name:r}):C(t)?de.object(t,void 0,{name:r}):I(t)?de.map(t,{name:r}):P(t)?de.set(t,{name:r}):t}function ee(t){return t}function te(t){S(t);var n=J(!0,(function(n,r,l,d,h){var p=l?l.initializer?l.initializer.call(n):l.value:void 0;ni(n).addObservableProp(r,p,t)})),r=(void 0!==d&&d.env,n);return r.enhancer=t,r}var ie={deep:!0,name:void 0,defaultDecorator:void 0,proxy:!0};function ne(t){return null==t?ie:"string"==typeof t?{name:t,deep:!0,proxy:!0}:t}Object.freeze(ie);var re=te(Q),oe=te((function(t,n,r){return null==t||li(t)||Xt(t)||Jt(t)||ti(t)?t:Array.isArray(t)?de.array(t,{name:r,deep:!1}):C(t)?de.object(t,void 0,{name:r,deep:!1}):I(t)?de.map(t,{name:r,deep:!1}):P(t)?de.set(t,{name:r,deep:!1}):w(!1)})),ae=te(ee),se=te((function(t,n,r){return hi(t,n)?n:t}));function le(t){return t.defaultDecorator?t.defaultDecorator.enhancer:!1===t.deep?ee:Q}var ce={box:function(t,n){arguments.length>2&&ue("box");var r=ne(n);return new Fe(t,le(r),r.name,!0,r.equals)},array:function(t,n){arguments.length>2&&ue("array");var r=ne(n);return function(t,n,r,l){void 0===r&&(r="ObservableArray@"+x());void 0===l&&(l=!1);var d=new Ht(r,n,l);h=d.values,p=$,f=d,Object.defineProperty(h,p,{enumerable:!1,writable:!1,configurable:!0,value:f});var h,p,f;var m=new Proxy(d.values,Ut);if(d.proxy=m,t&&t.length){var g=Le(!0);d.spliceWithArray(0,0,t),De(g)}return m}(t,le(r),r.name)},map:function(t,n){arguments.length>2&&ue("map");var r=ne(n);return new Kt(t,le(r),r.name)},set:function(t,n){arguments.length>2&&ue("set");var r=ne(n);return new ei(t,le(r),r.name)},object:function(t,n,r){"string"==typeof arguments[1]&&ue("object");var l=ne(r);if(!1===l.proxy)return vt({},t,n,l);var d=bt(l),h=function(t){var n=new Proxy(t,Ft);return t[$].proxy=n,n}(vt({},void 0,void 0,l));return xt(h,t,n,d),h},ref:ae,shallow:oe,deep:re,struct:se},de=function(t,n,r){if("string"==typeof arguments[1]||"symbol"==typeof arguments[1])return re.apply(null,arguments);if(Et(t))return t;var l=C(t)?de.object(t,n,r):Array.isArray(t)?de.array(t,n):I(t)?de.map(t,n):P(t)?de.set(t,n):t;if(l!==t)return l;w(!1)};function ue(t){w("Expected one or two arguments to observable."+t+". Did you accidentally try to use observable."+t+" as decorator?")}Object.keys(ce).forEach((function(t){return de[t]=ce[t]}));var he,pe,fe=J(!1,(function(t,n,r,l,d){var h=r.get,f=r.set,m=d[0]||{};ni(t).addComputedProp(t,n,p({get:h,set:f,context:t},m))})),me=fe({equals:G.structural}),ge=function(t,n,r){if("string"==typeof n)return fe.apply(null,arguments);if(null!==t&&"object"==typeof t&&1===arguments.length)return fe.apply(null,arguments);var l="object"==typeof n?n:{};return l.get=t,l.set="function"==typeof n?n:l.set,l.name=l.name||t.name||"",new Be(l)};ge.struct=me,function(t){t[t.NOT_TRACKING=-1]="NOT_TRACKING",t[t.UP_TO_DATE=0]="UP_TO_DATE",t[t.POSSIBLY_STALE=1]="POSSIBLY_STALE",t[t.STALE=2]="STALE"}(he||(he={})),function(t){t[t.NONE=0]="NONE",t[t.LOG=1]="LOG",t[t.BREAK=2]="BREAK"}(pe||(pe={}));var ye=function(t){this.cause=t};function ve(t){return t instanceof ye}function be(t){switch(t.dependenciesState){case he.UP_TO_DATE:return!1;case he.NOT_TRACKING:case he.STALE:return!0;case he.POSSIBLY_STALE:for(var n=Te(!0),r=Ee(),l=t.observing,d=l.length,h=0;h<d;h++){var p=l[h];if($e(p)){if(We.disableErrorBoundaries)p.get();else try{p.get()}catch(t){return Me(r),Ce(n),!0}if(t.dependenciesState===he.STALE)return Me(r),Ce(n),!0}}return Ae(t),Me(r),Ce(n),!1}}function xe(t){var n=t.observers.size>0;We.computationDepth>0&&n&&w(!1),We.allowStateChanges||!n&&"strict"!==We.enforceActions||w(!1)}function we(t,n,r){var l=Te(!0);Ae(t),t.newObserving=new Array(t.observing.length+100),t.unboundDepsCount=0,t.runId=++We.runId;var d,h=We.trackingDerivation;if(We.trackingDerivation=t,!0===We.disableErrorBoundaries)d=n.call(r);else try{d=n.call(r)}catch(t){d=new ye(t)}return We.trackingDerivation=h,function(t){for(var n=t.observing,r=t.observing=t.newObserving,l=he.UP_TO_DATE,d=0,h=t.unboundDepsCount,p=0;p<h;p++){0===(f=r[p]).diffValue&&(f.diffValue=1,d!==p&&(r[d]=f),d++),f.dependenciesState>l&&(l=f.dependenciesState)}r.length=d,t.newObserving=null,h=n.length;for(;h--;){0===(f=n[h]).diffValue&&Xe(f,t),f.diffValue=0}for(;d--;){var f;1===(f=r[d]).diffValue&&(f.diffValue=0,qe(f,t))}l!==he.UP_TO_DATE&&(t.dependenciesState=l,t.onBecomeStale())}(t),Ce(l),d}function Se(t){var n=t.observing;t.observing=[];for(var r=n.length;r--;)Xe(n[r],t);t.dependenciesState=he.NOT_TRACKING}function _e(t){var n=Ee();try{return t()}finally{Me(n)}}function Ee(){var t=We.trackingDerivation;return We.trackingDerivation=null,t}function Me(t){We.trackingDerivation=t}function Te(t){var n=We.allowStateReads;return We.allowStateReads=t,n}function Ce(t){We.allowStateReads=t}function Ae(t){if(t.dependenciesState!==he.UP_TO_DATE){t.dependenciesState=he.UP_TO_DATE;for(var n=t.observing,r=n.length;r--;)n[r].lowestObserverState=he.UP_TO_DATE}}var ke=0,Oe=1,Ie=Object.getOwnPropertyDescriptor((function(){}),"name");Ie&&Ie.configurable;function Re(t,n,r){var l=function(){return Pe(t,n,r||this,arguments)};return l.isMobxAction=!0,l}function Pe(t,n,r,l){var d=function(t,n,r){var l=!1,d=0;0;var h=Ee();Ze();var p=Le(!0),f=Te(!0),m={prevDerivation:h,prevAllowStateChanges:p,prevAllowStateReads:f,notifySpy:l,startTime:d,actionId:Oe++,parentActionId:ke};return ke=m.actionId,m}();try{return n.apply(r,l)}catch(t){throw d.error=t,t}finally{!function(t){ke!==t.actionId&&w("invalid action stack. did you forget to finish an action?");ke=t.parentActionId,void 0!==t.error&&(We.suppressReactionErrors=!0);De(t.prevAllowStateChanges),Ce(t.prevAllowStateReads),Ke(),Me(t.prevDerivation),t.notifySpy;We.suppressReactionErrors=!1}(d)}}function Le(t){var n=We.allowStateChanges;return We.allowStateChanges=t,n}function De(t){We.allowStateChanges=t}var Fe=function(t){function n(n,r,l,d,h){void 0===l&&(l="ObservableValue@"+x()),void 0===d&&(d=!0),void 0===h&&(h=G.default);var p=t.call(this,l)||this;return p.enhancer=r,p.name=l,p.equals=h,p.hasUnreportedChange=!1,p.value=r(n,void 0,l),p}return function(t,n){function r(){this.constructor=t}h(t,n),t.prototype=null===n?Object.create(n):(r.prototype=n.prototype,new r)}(n,t),n.prototype.dehanceValue=function(t){return void 0!==this.dehancer?this.dehancer(t):t},n.prototype.set=function(t){this.value;if((t=this.prepareNewValue(t))!==We.UNCHANGED){false,this.setNewValue(t)}},n.prototype.prepareNewValue=function(t){if(xe(this),Nt(this)){var n=$t(this,{object:this,type:"update",newValue:t});if(!n)return We.UNCHANGED;t=n.newValue}return t=this.enhancer(t,this.value,this.name),this.equals(this.value,t)?We.UNCHANGED:t},n.prototype.setNewValue=function(t){var n=this.value;this.value=t,this.reportChanged(),zt(this)&&Vt(this,{type:"update",object:this,newValue:t,oldValue:n})},n.prototype.get=function(){return this.reportObserved(),this.dehanceValue(this.value)},n.prototype.intercept=function(t){return Bt(this,t)},n.prototype.observe=function(t,n){return n&&t({object:this,type:"update",newValue:this.value,oldValue:void 0}),jt(this,t)},n.prototype.toJSON=function(){return this.get()},n.prototype.toString=function(){return this.name+"["+this.value+"]"},n.prototype.valueOf=function(){return B(this.get())},n.prototype[Symbol.toPrimitive]=function(){return this.valueOf()},n}(j),Ne=O("ObservableValue",Fe),Be=function(){function t(t){this.dependenciesState=he.NOT_TRACKING,this.observing=[],this.newObserving=null,this.isBeingObserved=!1,this.isPendingUnobservation=!1,this.observers=new Set,this.diffValue=0,this.runId=0,this.lastAccessedBy=0,this.lowestObserverState=he.UP_TO_DATE,this.unboundDepsCount=0,this.__mapid="#"+x(),this.value=new ye(null),this.isComputing=!1,this.isRunningSetter=!1,this.isTracing=pe.NONE,S(t.get,"missing option for computed: get"),this.derivation=t.get,this.name=t.name||"ComputedValue@"+x(),t.set&&(this.setter=Re(this.name+"-setter",t.set)),this.equals=t.equals||(t.compareStructural||t.struct?G.structural:G.default),this.scope=t.context,this.requiresReaction=!!t.requiresReaction,this.keepAlive=!!t.keepAlive}return t.prototype.onBecomeStale=function(){!function(t){if(t.lowestObserverState!==he.UP_TO_DATE)return;t.lowestObserverState=he.POSSIBLY_STALE,t.observers.forEach((function(n){n.dependenciesState===he.UP_TO_DATE&&(n.dependenciesState=he.POSSIBLY_STALE,n.isTracing!==pe.NONE&&Qe(n,t),n.onBecomeStale())}))}(this)},t.prototype.onBecomeObserved=function(){this.onBecomeObservedListeners&&this.onBecomeObservedListeners.forEach((function(t){return t()}))},t.prototype.onBecomeUnobserved=function(){this.onBecomeUnobservedListeners&&this.onBecomeUnobservedListeners.forEach((function(t){return t()}))},t.prototype.get=function(){this.isComputing&&w("Cycle detected in computation "+this.name+": "+this.derivation),0!==We.inBatch||0!==this.observers.size||this.keepAlive?(Je(this),be(this)&&this.trackAndCompute()&&function(t){if(t.lowestObserverState===he.STALE)return;t.lowestObserverState=he.STALE,t.observers.forEach((function(n){n.dependenciesState===he.POSSIBLY_STALE?n.dependenciesState=he.STALE:n.dependenciesState===he.UP_TO_DATE&&(t.lowestObserverState=he.UP_TO_DATE)}))}(this)):be(this)&&(this.warnAboutUntrackedRead(),Ze(),this.value=this.computeValue(!1),Ke());var t=this.value;if(ve(t))throw t.cause;return t},t.prototype.peek=function(){var t=this.computeValue(!1);if(ve(t))throw t.cause;return t},t.prototype.set=function(t){if(this.setter){S(!this.isRunningSetter,"The setter of computed value '"+this.name+"' is trying to update itself. Did you intend to update an _observable_ value, instead of the computed property?"),this.isRunningSetter=!0;try{this.setter.call(this.scope,t)}finally{this.isRunningSetter=!1}}else S(!1,!1)},t.prototype.trackAndCompute=function(){var t=this.value,n=this.dependenciesState===he.NOT_TRACKING,r=this.computeValue(!0),l=n||ve(t)||ve(r)||!this.equals(t,r);return l&&(this.value=r),l},t.prototype.computeValue=function(t){var n;if(this.isComputing=!0,We.computationDepth++,t)n=we(this,this.derivation,this.scope);else if(!0===We.disableErrorBoundaries)n=this.derivation.call(this.scope);else try{n=this.derivation.call(this.scope)}catch(t){n=new ye(t)}return We.computationDepth--,this.isComputing=!1,n},t.prototype.suspend=function(){this.keepAlive||(Se(this),this.value=void 0)},t.prototype.observe=function(t,n){var r=this,l=!0,d=void 0;return ht((function(){var h=r.get();if(!l||n){var p=Ee();t({type:"update",object:r,newValue:h,oldValue:d}),Me(p)}l=!1,d=h}))},t.prototype.warnAboutUntrackedRead=function(){},t.prototype.toJSON=function(){return this.get()},t.prototype.toString=function(){return this.name+"["+this.derivation.toString()+"]"},t.prototype.valueOf=function(){return B(this.get())},t.prototype[Symbol.toPrimitive]=function(){return this.valueOf()},t}(),$e=O("ComputedValue",Be),ze=function(){this.version=5,this.UNCHANGED={},this.trackingDerivation=null,this.computationDepth=0,this.runId=0,this.mobxGuid=0,this.inBatch=0,this.pendingUnobservations=[],this.pendingReactions=[],this.isRunningReactions=!1,this.allowStateChanges=!0,this.allowStateReads=!0,this.enforceActions=!1,this.spyListeners=[],this.globalReactionErrorHandlers=[],this.computedRequiresReaction=!1,this.reactionRequiresObservable=!1,this.observableRequiresReaction=!1,this.computedConfigurable=!1,this.disableErrorBoundaries=!1,this.suppressReactionErrors=!1},je={};function Ve(){return"undefined"!=typeof window?window:void 0!==r.g?r.g:"undefined"!=typeof self?self:je}var Ue,He=!0,Ge=!1,We=((Ue=Ve()).__mobxInstanceCount>0&&!Ue.__mobxGlobals&&(He=!1),Ue.__mobxGlobals&&Ue.__mobxGlobals.version!==(new ze).version&&(He=!1),He?Ue.__mobxGlobals?(Ue.__mobxInstanceCount+=1,Ue.__mobxGlobals.UNCHANGED||(Ue.__mobxGlobals.UNCHANGED={}),Ue.__mobxGlobals):(Ue.__mobxInstanceCount=1,Ue.__mobxGlobals=new ze):(setTimeout((function(){Ge||w("There are multiple, different versions of MobX active. Make sure MobX is loaded only once or use `configure({ isolateGlobalState: true })`")}),1),new ze));function qe(t,n){t.observers.add(n),t.lowestObserverState>n.dependenciesState&&(t.lowestObserverState=n.dependenciesState)}function Xe(t,n){t.observers.delete(n),0===t.observers.size&&Ye(t)}function Ye(t){!1===t.isPendingUnobservation&&(t.isPendingUnobservation=!0,We.pendingUnobservations.push(t))}function Ze(){We.inBatch++}function Ke(){if(0==--We.inBatch){rt();for(var t=We.pendingUnobservations,n=0;n<t.length;n++){var r=t[n];r.isPendingUnobservation=!1,0===r.observers.size&&(r.isBeingObserved&&(r.isBeingObserved=!1,r.onBecomeUnobserved()),r instanceof Be&&r.suspend())}We.pendingUnobservations=[]}}function Je(t){var n=We.trackingDerivation;return null!==n?(n.runId!==t.lastAccessedBy&&(t.lastAccessedBy=n.runId,n.newObserving[n.unboundDepsCount++]=t,t.isBeingObserved||(t.isBeingObserved=!0,t.onBecomeObserved())),!0):(0===t.observers.size&&We.inBatch>0&&Ye(t),!1)}function Qe(t,n){if(l.log("[mobx.trace] '"+t.name+"' is invalidated due to a change in: '"+n.name+"'"),t.isTracing===pe.BREAK){var r=[];et(wt(ci(t,d)),r,1),new Function("debugger;\n/*\nTracing '"+t.name+"'\n\nYou are entering this break point because derivation '"+t.name+"' is being traced and '"+n.name+"' is now forcing it to update.\nJust follow the stacktrace you should now see in the devtools to see precisely what piece of your code is causing this update\nThe stackframe you are looking for is at least ~6-8 stack-frames up.\n\n"+(t instanceof Be?t.derivation.toString().replace(/[*]\//g,"/"):"")+"\n\nThe dependencies for this derivation are:\n\n"+r.join("\n")+"\n*/\n    ")()}var d}function et(t,n,r){n.length>=1e3?n.push("(and many more)"):(n.push(""+new Array(r).join("\t")+t.name),t.dependencies&&t.dependencies.forEach((function(t){return et(t,n,r+1)})))}var tt=function(){function t(t,n,r,l){void 0===t&&(t="Reaction@"+x()),void 0===l&&(l=!1),this.name=t,this.onInvalidate=n,this.errorHandler=r,this.requiresObservable=l,this.observing=[],this.newObserving=[],this.dependenciesState=he.NOT_TRACKING,this.diffValue=0,this.runId=0,this.unboundDepsCount=0,this.__mapid="#"+x(),this.isDisposed=!1,this._isScheduled=!1,this._isTrackPending=!1,this._isRunning=!1,this.isTracing=pe.NONE}return t.prototype.onBecomeStale=function(){this.schedule()},t.prototype.schedule=function(){this._isScheduled||(this._isScheduled=!0,We.pendingReactions.push(this),rt())},t.prototype.isScheduled=function(){return this._isScheduled},t.prototype.runReaction=function(){if(!this.isDisposed){if(Ze(),this._isScheduled=!1,be(this)){this._isTrackPending=!0;try{this.onInvalidate(),this._isTrackPending}catch(t){this.reportExceptionInDerivation(t)}}Ke()}},t.prototype.track=function(t){if(!this.isDisposed){Ze();false,this._isRunning=!0;var n=we(this,t,void 0);this._isRunning=!1,this._isTrackPending=!1,this.isDisposed&&Se(this),ve(n)&&this.reportExceptionInDerivation(n.cause),Ke()}},t.prototype.reportExceptionInDerivation=function(t){var n=this;if(this.errorHandler)this.errorHandler(t,this);else{if(We.disableErrorBoundaries)throw t;var r="[mobx] Encountered an uncaught exception that was thrown by a reaction or observer component, in: '"+this+"'";We.suppressReactionErrors?l.warn("[mobx] (error in reaction '"+this.name+"' suppressed, fix error of causing action below)"):l.error(r,t),We.globalReactionErrorHandlers.forEach((function(r){return r(t,n)}))}},t.prototype.dispose=function(){this.isDisposed||(this.isDisposed=!0,this._isRunning||(Ze(),Se(this),Ke()))},t.prototype.getDisposer=function(){var t=this.dispose.bind(this);return t[$]=this,t},t.prototype.toString=function(){return"Reaction["+this.name+"]"},t.prototype.trace=function(t){void 0===t&&(t=!1),function(){for(var t=[],n=0;n<arguments.length;n++)t[n]=arguments[n];var r=!1;"boolean"==typeof t[t.length-1]&&(r=t.pop());var d=function(t){switch(t.length){case 0:return We.trackingDerivation;case 1:return ci(t[0]);case 2:return ci(t[0],t[1])}}(t);if(!d)return w(!1);d.isTracing===pe.NONE&&l.log("[mobx.trace] '"+d.name+"' tracing enabled");d.isTracing=r?pe.BREAK:pe.LOG}(this,t)},t}();var it=100,nt=function(t){return t()};function rt(){We.inBatch>0||We.isRunningReactions||nt(ot)}function ot(){We.isRunningReactions=!0;for(var t=We.pendingReactions,n=0;t.length>0;){++n===it&&(l.error("Reaction doesn't converge to a stable state after "+it+" iterations. Probably there is a cycle in the reactive function: "+t[0]),t.splice(0));for(var r=t.splice(0),d=0,h=r.length;d<h;d++)r[d].runReaction()}We.isRunningReactions=!1}var at=O("Reaction",tt);function st(){w(!1)}function lt(t){return function(n,r,l){if(l){if(l.value)return{value:Re(t,l.value),enumerable:!1,configurable:!0,writable:!0};var d=l.initializer;return{enumerable:!1,configurable:!0,writable:!0,initializer:function(){return Re(t,d.call(this))}}}return function(t){return function(n,r,l){Object.defineProperty(n,r,{configurable:!0,enumerable:!1,get:function(){},set:function(n){A(this,r,ct(t,n))}})}}(t).apply(this,arguments)}}var ct=function(t,n,r,l){return 1===arguments.length&&"function"==typeof t?Re(t.name||"<unnamed action>",t):2===arguments.length&&"function"==typeof n?Re(t,n):1===arguments.length&&"string"==typeof t?lt(t):!0!==l?lt(n).apply(null,arguments):void A(t,n,Re(t.name||n,r.value,this))};function dt(t,n){"string"==typeof t||t.name;return Pe(0,"function"==typeof t?t:n,this,void 0)}function ut(t,n,r){A(t,n,Re(n,r.bind(t)))}function ht(t,n){void 0===n&&(n=b);var r,l=n&&n.name||t.name||"Autorun@"+x();if(!n.scheduler&&!n.delay)r=new tt(l,(function(){this.track(p)}),n.onError,n.requiresObservable);else{var d=ft(n),h=!1;r=new tt(l,(function(){h||(h=!0,d((function(){h=!1,r.isDisposed||r.track(p)})))}),n.onError,n.requiresObservable)}function p(){t(r)}return r.schedule(),r.getDisposer()}ct.bound=function(t,n,r,l){return!0===l?(ut(t,n,r.value),null):r?{configurable:!0,enumerable:!1,get:function(){return ut(this,n,r.value||r.initializer.call(this)),this[n]},set:st}:{enumerable:!1,configurable:!0,set:function(t){ut(this,n,t)},get:function(){}}};var pt=function(t){return t()};function ft(t){return t.scheduler?t.scheduler:t.delay?function(n){return setTimeout(n,t.delay)}:pt}function mt(t,n,r){void 0===r&&(r=b);var l,d,h,p=r.name||"Reaction@"+x(),f=ct(p,r.onError?(l=r.onError,d=n,function(){try{return d.apply(this,arguments)}catch(t){l.call(this,t)}}):n),m=!r.scheduler&&!r.delay,g=ft(r),y=!0,v=!1,w=r.compareStructural?G.structural:r.equals||G.default,S=new tt(p,(function(){y||m?_():v||(v=!0,g(_))}),r.onError,r.requiresObservable);function _(){if(v=!1,!S.isDisposed){var n=!1;S.track((function(){var r=t(S);n=y||!w(h,r),h=r})),y&&r.fireImmediately&&f(h,S),y||!0!==n||f(h,S),y&&(y=!1)}}return S.schedule(),S.getDisposer()}function gt(t,n,r){return yt("onBecomeUnobserved",t,n,r)}function yt(t,n,r,l){var d="function"==typeof l?ci(n,r):ci(n),h="function"==typeof l?l:r,p=t+"Listeners";return d[p]?d[p].add(h):d[p]=new Set([h]),"function"!=typeof d[t]?w(!1):function(){var t=d[p];t&&(t.delete(h),0===t.size&&delete d[p])}}function vt(t,n,r,l){var d=bt(l=ne(l));return K(t),ni(t,l.name,d.enhancer),n&&xt(t,n,r,d),t}function bt(t){return t.defaultDecorator||(!1===t.deep?ae:re)}function xt(t,n,r,l){var d,h;Ze();try{var p=D(n);try{for(var m=f(p),g=m.next();!g.done;g=m.next()){var y=g.value,v=Object.getOwnPropertyDescriptor(n,y);0;var b=(r&&y in r?r[y]:v.get?fe:l)(t,y,v,!0);b&&Object.defineProperty(t,y,b)}}catch(t){d={error:t}}finally{try{g&&!g.done&&(h=m.return)&&h.call(m)}finally{if(d)throw d.error}}}finally{Ke()}}function wt(t){var n,r,l={name:t.name};return t.observing&&t.observing.length>0&&(l.dependencies=(n=t.observing,r=[],n.forEach((function(t){-1===r.indexOf(t)&&r.push(t)})),r).map(wt)),l}function St(){this.message="FLOW_CANCELLED"}function _t(t,n){return null!=t&&(void 0!==n?!!li(t)&&t[$].values.has(n):li(t)||!!t[$]||V(t)||at(t)||$e(t))}function Et(t){return 1!==arguments.length&&w(!1),_t(t)}function Mt(t){return li(t)?t[$].getKeys():Jt(t)||ti(t)?Array.from(t.keys()):Xt(t)?t.map((function(t,n){return n})):w(!1)}function Tt(t,n,r){if(2!==arguments.length||ti(t))if(li(t)){var l=t[$];l.values.get(n)?l.write(n,r):l.addObservableProp(n,r,l.defaultEnhancer)}else if(Jt(t))t.set(n,r);else if(ti(t))t.add(n);else{if(!Xt(t))return w(!1);"number"!=typeof n&&(n=parseInt(n,10)),S(n>=0,"Not a valid index: '"+n+"'"),Ze(),n>=t.length&&(t.length=n+1),t[n]=r,Ke()}else{Ze();var d=n;try{for(var h in d)Tt(t,h,d[h])}finally{Ke()}}}St.prototype=Object.create(Error.prototype);var Ct={detectCycles:!0,exportMapsAsObjects:!0,recurseEverything:!1};function At(t,n,r,l){return l.detectCycles&&t.set(n,r),r}function kt(t,n,r){if(!n.recurseEverything&&!Et(t))return t;if("object"!=typeof t)return t;if(null===t)return null;if(t instanceof Date)return t;if(Ne(t))return kt(t.get(),n,r);if(Et(t)&&Mt(t),!0===n.detectCycles&&null!==t&&r.has(t))return r.get(t);if(Xt(t)||Array.isArray(t)){var l=At(r,t,[],n),d=t.map((function(t){return kt(t,n,r)}));l.length=d.length;for(var h=0,p=d.length;h<p;h++)l[h]=d[h];return l}if(ti(t)||Object.getPrototypeOf(t)===Set.prototype){if(!1===n.exportMapsAsObjects){var f=At(r,t,new Set,n);return t.forEach((function(t){f.add(kt(t,n,r))})),f}var m=At(r,t,[],n);return t.forEach((function(t){m.push(kt(t,n,r))})),m}if(Jt(t)||Object.getPrototypeOf(t)===Map.prototype){if(!1===n.exportMapsAsObjects){var g=At(r,t,new Map,n);return t.forEach((function(t,l){g.set(l,kt(t,n,r))})),g}var y=At(r,t,{},n);return t.forEach((function(t,l){y[l]=kt(t,n,r)})),y}var v=At(r,t,{},n);return D(t).forEach((function(l){v[l]=kt(t[l],n,r)})),v}function Ot(t,n){var r;return"boolean"==typeof n&&(n={detectCycles:n}),n||(n=Ct),n.detectCycles=void 0===n.detectCycles?!0===n.recurseEverything:!0===n.detectCycles,n.detectCycles&&(r=new Map),kt(t,n,r)}function It(t,n){void 0===n&&(n=void 0),Ze();try{return t.apply(n)}finally{Ke()}}function Rt(t,n,r){return 1===arguments.length||n&&"object"==typeof n?function(t,n){0;var r,l=new Promise((function(l,d){var h=Pt(t,l,p(p({},n),{onError:d}));r=function(){h(),d("WHEN_CANCELLED")}}));return l.cancel=r,l}(t,n):Pt(t,n,r||{})}function Pt(t,n,r){var l;"number"==typeof r.timeout&&(l=setTimeout((function(){if(!h[$].isDisposed){h();var t=new Error("WHEN_TIMEOUT");if(!r.onError)throw t;r.onError(t)}}),r.timeout)),r.name=r.name||"When@"+x();var d=Re(r.name+"-effect",n),h=ht((function(n){t()&&(n.dispose(),l&&clearTimeout(l),d())}),r);return h}function Lt(t){return t[$]}function Dt(t){return"string"==typeof t||"number"==typeof t||"symbol"==typeof t}var Ft={has:function(t,n){if(n===$||"constructor"===n||n===W)return!0;var r=Lt(t);return Dt(n)?r.has(n):n in t},get:function(t,n){if(n===$||"constructor"===n||n===W)return t[n];var r=Lt(t),l=r.values.get(n);if(l instanceof j){var d=l.get();return void 0===d&&r.has(n),d}return Dt(n)&&r.has(n),t[n]},set:function(t,n,r){return!!Dt(n)&&(Tt(t,n,r),!0)},deleteProperty:function(t,n){return!!Dt(n)&&(Lt(t).remove(n),!0)},ownKeys:function(t){return Lt(t).keysAtom.reportObserved(),Reflect.ownKeys(t)},preventExtensions:function(t){return w("Dynamic observable objects cannot be frozen"),!1}};function Nt(t){return void 0!==t.interceptors&&t.interceptors.length>0}function Bt(t,n){var r=t.interceptors||(t.interceptors=[]);return r.push(n),_((function(){var t=r.indexOf(n);-1!==t&&r.splice(t,1)}))}function $t(t,n){var r=Ee();try{for(var l=g(t.interceptors||[]),d=0,h=l.length;d<h&&(S(!(n=l[d](n))||n.type,"Intercept handlers should return nothing or a change object"),n);d++);return n}finally{Me(r)}}function zt(t){return void 0!==t.changeListeners&&t.changeListeners.length>0}function jt(t,n){var r=t.changeListeners||(t.changeListeners=[]);return r.push(n),_((function(){var t=r.indexOf(n);-1!==t&&r.splice(t,1)}))}function Vt(t,n){var r=Ee(),l=t.changeListeners;if(l){for(var d=0,h=(l=l.slice()).length;d<h;d++)l[d](n);Me(r)}}var Ut={get:function(t,n){return n===$?t[$]:"length"===n?t[$].getArrayLength():"number"==typeof n?Gt.get.call(t,n):"string"!=typeof n||isNaN(n)?Gt.hasOwnProperty(n)?Gt[n]:t[n]:Gt.get.call(t,parseInt(n))},set:function(t,n,r){return"length"===n&&t[$].setArrayLength(r),"number"==typeof n&&Gt.set.call(t,n,r),"symbol"==typeof n||isNaN(n)?t[n]=r:Gt.set.call(t,parseInt(n),r),!0},preventExtensions:function(t){return w("Observable arrays cannot be frozen"),!1}};var Ht=function(){function t(t,n,r){this.owned=r,this.values=[],this.proxy=void 0,this.lastKnownLength=0,this.atom=new j(t||"ObservableArray@"+x()),this.enhancer=function(r,l){return n(r,l,t+"[..]")}}return t.prototype.dehanceValue=function(t){return void 0!==this.dehancer?this.dehancer(t):t},t.prototype.dehanceValues=function(t){return void 0!==this.dehancer&&t.length>0?t.map(this.dehancer):t},t.prototype.intercept=function(t){return Bt(this,t)},t.prototype.observe=function(t,n){return void 0===n&&(n=!1),n&&t({object:this.proxy,type:"splice",index:0,added:this.values.slice(),addedCount:this.values.length,removed:[],removedCount:0}),jt(this,t)},t.prototype.getArrayLength=function(){return this.atom.reportObserved(),this.values.length},t.prototype.setArrayLength=function(t){if("number"!=typeof t||t<0)throw new Error("[mobx.array] Out of range: "+t);var n=this.values.length;if(t!==n)if(t>n){for(var r=new Array(t-n),l=0;l<t-n;l++)r[l]=void 0;this.spliceWithArray(n,0,r)}else this.spliceWithArray(t,n-t)},t.prototype.updateArrayLength=function(t,n){if(t!==this.lastKnownLength)throw new Error("[mobx] Modification exception: the internal structure of an observable array was changed.");this.lastKnownLength+=n},t.prototype.spliceWithArray=function(t,n,r){var l=this;xe(this.atom);var d=this.values.length;if(void 0===t?t=0:t>d?t=d:t<0&&(t=Math.max(0,d+t)),n=1===arguments.length?d-t:null==n?0:Math.max(0,Math.min(n,d-t)),void 0===r&&(r=v),Nt(this)){var h=$t(this,{object:this.proxy,type:"splice",index:t,removedCount:n,added:r});if(!h)return v;n=h.removedCount,r=h.added}r=0===r.length?r:r.map((function(t){return l.enhancer(t,void 0)}));var p=this.spliceItemsIntoValues(t,n,r);return 0===n&&0===r.length||this.notifyArraySplice(t,r,p),this.dehanceValues(p)},t.prototype.spliceItemsIntoValues=function(t,n,r){var l;if(r.length<1e4)return(l=this.values).splice.apply(l,g([t,n],r));var d=this.values.slice(t,t+n);return this.values=this.values.slice(0,t).concat(r,this.values.slice(t+n)),d},t.prototype.notifyArrayChildUpdate=function(t,n,r){var l=!this.owned&&!1,d=zt(this),h=d||l?{object:this.proxy,type:"update",index:t,newValue:n,oldValue:r}:null;this.atom.reportChanged(),d&&Vt(this,h)},t.prototype.notifyArraySplice=function(t,n,r){var l=!this.owned&&!1,d=zt(this),h=d||l?{object:this.proxy,type:"splice",index:t,removed:r,added:n,removedCount:r.length,addedCount:n.length}:null;this.atom.reportChanged(),d&&Vt(this,h)},t}(),Gt={intercept:function(t){return this[$].intercept(t)},observe:function(t,n){return void 0===n&&(n=!1),this[$].observe(t,n)},clear:function(){return this.splice(0)},replace:function(t){var n=this[$];return n.spliceWithArray(0,n.values.length,t)},toJS:function(){return this.slice()},toJSON:function(){return this.toJS()},splice:function(t,n){for(var r=[],l=2;l<arguments.length;l++)r[l-2]=arguments[l];var d=this[$];switch(arguments.length){case 0:return[];case 1:return d.spliceWithArray(t);case 2:return d.spliceWithArray(t,n)}return d.spliceWithArray(t,n,r)},spliceWithArray:function(t,n,r){return this[$].spliceWithArray(t,n,r)},push:function(){for(var t=[],n=0;n<arguments.length;n++)t[n]=arguments[n];var r=this[$];return r.spliceWithArray(r.values.length,0,t),r.values.length},pop:function(){return this.splice(Math.max(this[$].values.length-1,0),1)[0]},shift:function(){return this.splice(0,1)[0]},unshift:function(){for(var t=[],n=0;n<arguments.length;n++)t[n]=arguments[n];var r=this[$];return r.spliceWithArray(0,0,t),r.values.length},reverse:function(){var t=this.slice();return t.reverse.apply(t,arguments)},sort:function(t){var n=this.slice();return n.sort.apply(n,arguments)},remove:function(t){var n=this[$],r=n.dehanceValues(n.values).indexOf(t);return r>-1&&(this.splice(r,1),!0)},get:function(t){var n=this[$];if(n){if(t<n.values.length)return n.atom.reportObserved(),n.dehanceValue(n.values[t]);l.warn("[mobx.array] Attempt to read an array index ("+t+") that is out of bounds ("+n.values.length+"). Please check length first. Out of bound indices will not be tracked by MobX")}},set:function(t,n){var r=this[$],l=r.values;if(t<l.length){xe(r.atom);var d=l[t];if(Nt(r)){var h=$t(r,{type:"update",object:r.proxy,index:t,newValue:n});if(!h)return;n=h.newValue}(n=r.enhancer(n,d))!==d&&(l[t]=n,r.notifyArrayChildUpdate(t,n,d))}else{if(t!==l.length)throw new Error("[mobx.array] Index out of bounds, "+t+" is larger than "+l.length);r.spliceWithArray(t,0,[n])}}};["concat","every","filter","forEach","indexOf","join","lastIndexOf","map","reduce","reduceRight","slice","some","toString","toLocaleString"].forEach((function(t){Gt[t]=function(){var n=this[$];n.atom.reportObserved();var r=n.dehanceValues(n.values);return r[t].apply(r,arguments)}}));var Wt,qt=O("ObservableArrayAdministration",Ht);function Xt(t){return T(t)&&qt(t[$])}var Yt,Zt={},Kt=function(){function t(t,n,r){if(void 0===n&&(n=Q),void 0===r&&(r="ObservableMap@"+x()),this.enhancer=n,this.name=r,this[Wt]=Zt,this._keysAtom=U(this.name+".keys()"),this[Symbol.toStringTag]="Map","function"!=typeof Map)throw new Error("mobx.map requires Map polyfill for the current browser. Check babel-polyfill or core-js/es6/map.js");this._data=new Map,this._hasMap=new Map,this.merge(t)}return t.prototype._has=function(t){return this._data.has(t)},t.prototype.has=function(t){var n=this;if(!We.trackingDerivation)return this._has(t);var r=this._hasMap.get(t);if(!r){var l=r=new Fe(this._has(t),ee,this.name+"."+F(t)+"?",!1);this._hasMap.set(t,l),gt(l,(function(){return n._hasMap.delete(t)}))}return r.get()},t.prototype.set=function(t,n){var r=this._has(t);if(Nt(this)){var l=$t(this,{type:r?"update":"add",object:this,newValue:n,name:t});if(!l)return this;n=l.newValue}return r?this._updateValue(t,n):this._addValue(t,n),this},t.prototype.delete=function(t){var n=this;if(Nt(this)&&!(l=$t(this,{type:"delete",object:this,name:t})))return!1;if(this._has(t)){var r=zt(this),l=r?{type:"delete",object:this,oldValue:this._data.get(t).value,name:t}:null;return It((function(){n._keysAtom.reportChanged(),n._updateHasMapEntry(t,!1),n._data.get(t).setNewValue(void 0),n._data.delete(t)})),r&&Vt(this,l),!0}return!1},t.prototype._updateHasMapEntry=function(t,n){var r=this._hasMap.get(t);r&&r.setNewValue(n)},t.prototype._updateValue=function(t,n){var r=this._data.get(t);if((n=r.prepareNewValue(n))!==We.UNCHANGED){var l=!1,d=zt(this),h=d?{type:"update",object:this,oldValue:r.value,name:t,newValue:n}:null;l,r.setNewValue(n),d&&Vt(this,h)}},t.prototype._addValue=function(t,n){var r=this;xe(this._keysAtom),It((function(){var l=new Fe(n,r.enhancer,r.name+"."+F(t),!1);r._data.set(t,l),n=l.value,r._updateHasMapEntry(t,!0),r._keysAtom.reportChanged()}));var l=!1,d=zt(this);d&&Vt(this,d?{type:"add",object:this,name:t,newValue:n}:null)},t.prototype.get=function(t){return this.has(t)?this.dehanceValue(this._data.get(t).get()):this.dehanceValue(void 0)},t.prototype.dehanceValue=function(t){return void 0!==this.dehancer?this.dehancer(t):t},t.prototype.keys=function(){return this._keysAtom.reportObserved(),this._data.keys()},t.prototype.values=function(){var t=this,n=0,r=Array.from(this.keys());return gi({next:function(){return n<r.length?{value:t.get(r[n++]),done:!1}:{done:!0}}})},t.prototype.entries=function(){var t=this,n=0,r=Array.from(this.keys());return gi({next:function(){if(n<r.length){var l=r[n++];return{value:[l,t.get(l)],done:!1}}return{done:!0}}})},t.prototype[(Wt=$,Symbol.iterator)]=function(){return this.entries()},t.prototype.forEach=function(t,n){var r,l;try{for(var d=f(this),h=d.next();!h.done;h=d.next()){var p=m(h.value,2),g=p[0],y=p[1];t.call(n,y,g,this)}}catch(t){r={error:t}}finally{try{h&&!h.done&&(l=d.return)&&l.call(d)}finally{if(r)throw r.error}}},t.prototype.merge=function(t){var n=this;return Jt(t)&&(t=t.toJS()),It((function(){C(t)?D(t).forEach((function(r){return n.set(r,t[r])})):Array.isArray(t)?t.forEach((function(t){var r=m(t,2),l=r[0],d=r[1];return n.set(l,d)})):I(t)?(t.constructor!==Map&&w("Cannot initialize from classes that inherit from Map: "+t.constructor.name),t.forEach((function(t,r){return n.set(r,t)}))):null!=t&&w("Cannot initialize map from "+t)})),this},t.prototype.clear=function(){var t=this;It((function(){_e((function(){var n,r;try{for(var l=f(t.keys()),d=l.next();!d.done;d=l.next()){var h=d.value;t.delete(h)}}catch(t){n={error:t}}finally{try{d&&!d.done&&(r=l.return)&&r.call(l)}finally{if(n)throw n.error}}}))}))},t.prototype.replace=function(t){var n=this;return It((function(){var r=function(t){return C(t)?Object.keys(t):Array.isArray(t)?t.map((function(t){return m(t,1)[0]})):I(t)||Jt(t)?Array.from(t.keys()):w("Cannot get keys from '"+t+"'")}(t);Array.from(n.keys()).filter((function(t){return-1===r.indexOf(t)})).forEach((function(t){return n.delete(t)})),n.merge(t)})),this},Object.defineProperty(t.prototype,"size",{get:function(){return this._keysAtom.reportObserved(),this._data.size},enumerable:!0,configurable:!0}),t.prototype.toPOJO=function(){var t,n,r={};try{for(var l=f(this),d=l.next();!d.done;d=l.next()){var h=m(d.value,2),p=h[0],g=h[1];r["symbol"==typeof p?p:F(p)]=g}}catch(n){t={error:n}}finally{try{d&&!d.done&&(n=l.return)&&n.call(l)}finally{if(t)throw t.error}}return r},t.prototype.toJS=function(){return new Map(this)},t.prototype.toJSON=function(){return this.toPOJO()},t.prototype.toString=function(){var t=this;return this.name+"[{ "+Array.from(this.keys()).map((function(n){return F(n)+": "+t.get(n)})).join(", ")+" }]"},t.prototype.observe=function(t,n){return jt(this,t)},t.prototype.intercept=function(t){return Bt(this,t)},t}(),Jt=O("ObservableMap",Kt),Qt={},ei=function(){function t(t,n,r){if(void 0===n&&(n=Q),void 0===r&&(r="ObservableSet@"+x()),this.name=r,this[Yt]=Qt,this._data=new Set,this._atom=U(this.name),this[Symbol.toStringTag]="Set","function"!=typeof Set)throw new Error("mobx.set requires Set polyfill for the current browser. Check babel-polyfill or core-js/es6/set.js");this.enhancer=function(t,l){return n(t,l,r)},t&&this.replace(t)}return t.prototype.dehanceValue=function(t){return void 0!==this.dehancer?this.dehancer(t):t},t.prototype.clear=function(){var t=this;It((function(){_e((function(){var n,r;try{for(var l=f(t._data.values()),d=l.next();!d.done;d=l.next()){var h=d.value;t.delete(h)}}catch(t){n={error:t}}finally{try{d&&!d.done&&(r=l.return)&&r.call(l)}finally{if(n)throw n.error}}}))}))},t.prototype.forEach=function(t,n){var r,l;try{for(var d=f(this),h=d.next();!h.done;h=d.next()){var p=h.value;t.call(n,p,p,this)}}catch(t){r={error:t}}finally{try{h&&!h.done&&(l=d.return)&&l.call(d)}finally{if(r)throw r.error}}},Object.defineProperty(t.prototype,"size",{get:function(){return this._atom.reportObserved(),this._data.size},enumerable:!0,configurable:!0}),t.prototype.add=function(t){var n=this;if((xe(this._atom),Nt(this))&&!(d=$t(this,{type:"add",object:this,newValue:t})))return this;if(!this.has(t)){It((function(){n._data.add(n.enhancer(t,void 0)),n._atom.reportChanged()}));var r=!1,l=zt(this),d=l?{type:"add",object:this,newValue:t}:null;r,l&&Vt(this,d)}return this},t.prototype.delete=function(t){var n=this;if(Nt(this)&&!(l=$t(this,{type:"delete",object:this,oldValue:t})))return!1;if(this.has(t)){var r=zt(this),l=r?{type:"delete",object:this,oldValue:t}:null;return It((function(){n._atom.reportChanged(),n._data.delete(t)})),r&&Vt(this,l),!0}return!1},t.prototype.has=function(t){return this._atom.reportObserved(),this._data.has(this.dehanceValue(t))},t.prototype.entries=function(){var t=0,n=Array.from(this.keys()),r=Array.from(this.values());return gi({next:function(){var l=t;return t+=1,l<r.length?{value:[n[l],r[l]],done:!1}:{done:!0}}})},t.prototype.keys=function(){return this.values()},t.prototype.values=function(){this._atom.reportObserved();var t=this,n=0,r=Array.from(this._data.values());return gi({next:function(){return n<r.length?{value:t.dehanceValue(r[n++]),done:!1}:{done:!0}}})},t.prototype.replace=function(t){var n=this;return ti(t)&&(t=t.toJS()),It((function(){Array.isArray(t)||P(t)?(n.clear(),t.forEach((function(t){return n.add(t)}))):null!=t&&w("Cannot initialize set from "+t)})),this},t.prototype.observe=function(t,n){return jt(this,t)},t.prototype.intercept=function(t){return Bt(this,t)},t.prototype.toJS=function(){return new Set(this)},t.prototype.toString=function(){return this.name+"[ "+Array.from(this).join(", ")+" ]"},t.prototype[(Yt=$,Symbol.iterator)]=function(){return this.values()},t}(),ti=O("ObservableSet",ei),ii=function(){function t(t,n,r,l){void 0===n&&(n=new Map),this.target=t,this.values=n,this.name=r,this.defaultEnhancer=l,this.keysAtom=new j(r+".keys")}return t.prototype.read=function(t){return this.values.get(t).get()},t.prototype.write=function(t,n){var r=this.target,l=this.values.get(t);if(l instanceof Be)l.set(n);else{if(Nt(this)){if(!(p=$t(this,{type:"update",object:this.proxy||r,name:t,newValue:n})))return;n=p.newValue}if((n=l.prepareNewValue(n))!==We.UNCHANGED){var d=zt(this),h=!1,p=d?{type:"update",object:this.proxy||r,oldValue:l.value,name:t,newValue:n}:null;h,l.setNewValue(n),d&&Vt(this,p)}}},t.prototype.has=function(t){var n=this.pendingKeys||(this.pendingKeys=new Map),r=n.get(t);if(r)return r.get();var l=!!this.values.get(t);return r=new Fe(l,ee,this.name+"."+F(t)+"?",!1),n.set(t,r),r.get()},t.prototype.addObservableProp=function(t,n,r){void 0===r&&(r=this.defaultEnhancer);var l=this.target;if(Nt(this)){var d=$t(this,{object:this.proxy||l,name:t,type:"add",newValue:n});if(!d)return;n=d.newValue}var h=new Fe(n,r,this.name+"."+F(t),!1);this.values.set(t,h),n=h.value,Object.defineProperty(l,t,function(t){return ri[t]||(ri[t]={configurable:!0,enumerable:!0,get:function(){return this[$].read(t)},set:function(n){this[$].write(t,n)}})}(t)),this.notifyPropertyAddition(t,n)},t.prototype.addComputedProp=function(t,n,r){var l,d,h,p=this.target;r.name=r.name||this.name+"."+F(n),this.values.set(n,new Be(r)),(t===p||(l=t,d=n,!(h=Object.getOwnPropertyDescriptor(l,d))||!1!==h.configurable&&!1!==h.writable))&&Object.defineProperty(t,n,function(t){return oi[t]||(oi[t]={configurable:We.computedConfigurable,enumerable:!1,get:function(){return ai(this).read(t)},set:function(n){ai(this).write(t,n)}})}(n))},t.prototype.remove=function(t){if(this.values.has(t)){var n=this.target;if(Nt(this))if(!(f=$t(this,{object:this.proxy||n,name:t,type:"remove"})))return;try{Ze();var r=zt(this),l=!1,d=this.values.get(t),h=d&&d.get();if(d&&d.set(void 0),this.keysAtom.reportChanged(),this.values.delete(t),this.pendingKeys){var p=this.pendingKeys.get(t);p&&p.set(!1)}delete this.target[t];var f=r?{type:"remove",object:this.proxy||n,oldValue:h,name:t}:null;l,r&&Vt(this,f)}finally{Ke()}}},t.prototype.illegalAccess=function(t,n){l.warn("Property '"+n+"' of '"+t+"' was accessed through the prototype chain. Use 'decorate' instead to declare the prop or access it statically through it's owner")},t.prototype.observe=function(t,n){return jt(this,t)},t.prototype.intercept=function(t){return Bt(this,t)},t.prototype.notifyPropertyAddition=function(t,n){var r=zt(this),l=r?{type:"add",object:this.proxy||this.target,name:t,newValue:n}:null;if(r&&Vt(this,l),this.pendingKeys){var d=this.pendingKeys.get(t);d&&d.set(!0)}this.keysAtom.reportChanged()},t.prototype.getKeys=function(){var t,n;this.keysAtom.reportObserved();var r=[];try{for(var l=f(this.values),d=l.next();!d.done;d=l.next()){var h=m(d.value,2),p=h[0];h[1]instanceof Fe&&r.push(p)}}catch(n){t={error:n}}finally{try{d&&!d.done&&(n=l.return)&&n.call(l)}finally{if(t)throw t.error}}return r},t}();function ni(t,n,r){if(void 0===n&&(n=""),void 0===r&&(r=Q),Object.prototype.hasOwnProperty.call(t,$))return t[$];C(t)||(n=(t.constructor.name||"ObservableObject")+"@"+x()),n||(n="ObservableObject@"+x());var l=new ii(t,new Map,F(n),r);return A(t,$,l),l}var ri=Object.create(null),oi=Object.create(null);function ai(t){var n=t[$];return n||(K(t),t[$])}var si=O("ObservableObjectAdministration",ii);function li(t){return!!T(t)&&(K(t),si(t[$]))}function ci(t,n){if("object"==typeof t&&null!==t){if(Xt(t))return void 0!==n&&w(!1),t[$].atom;if(ti(t))return t[$];if(Jt(t)){var r=t;return void 0===n?r._keysAtom:((l=r._data.get(n)||r._hasMap.get(n))||w(!1),l)}var l;if(K(t),n&&!t[$]&&t[n],li(t))return n?((l=t[$].values.get(n))||w(!1),l):w(!1);if(V(t)||$e(t)||at(t))return t}else if("function"==typeof t&&at(t[$]))return t[$];return w(!1)}function di(t,n){return t||w("Expecting some object"),void 0!==n?di(ci(t,n)):V(t)||$e(t)||at(t)||Jt(t)||ti(t)?t:(K(t),t[$]?t[$]:void w(!1))}var ui=Object.prototype.toString;function hi(t,n,r){return void 0===r&&(r=-1),pi(t,n,r)}function pi(t,n,r,l,d){if(t===n)return 0!==t||1/t==1/n;if(null==t||null==n)return!1;if(t!=t)return n!=n;var h=typeof t;if("function"!==h&&"object"!==h&&"object"!=typeof n)return!1;var p=ui.call(t);if(p!==ui.call(n))return!1;switch(p){case"[object RegExp]":case"[object String]":return""+t==""+n;case"[object Number]":return+t!=+t?+n!=+n:0==+t?1/+t==1/n:+t==+n;case"[object Date]":case"[object Boolean]":return+t==+n;case"[object Symbol]":return"undefined"!=typeof Symbol&&Symbol.valueOf.call(t)===Symbol.valueOf.call(n);case"[object Map]":case"[object Set]":r>=0&&r++}t=fi(t),n=fi(n);var f="[object Array]"===p;if(!f){if("object"!=typeof t||"object"!=typeof n)return!1;var m=t.constructor,g=n.constructor;if(m!==g&&!("function"==typeof m&&m instanceof m&&"function"==typeof g&&g instanceof g)&&"constructor"in t&&"constructor"in n)return!1}if(0===r)return!1;r<0&&(r=-1),d=d||[];for(var y=(l=l||[]).length;y--;)if(l[y]===t)return d[y]===n;if(l.push(t),d.push(n),f){if((y=t.length)!==n.length)return!1;for(;y--;)if(!pi(t[y],n[y],r-1,l,d))return!1}else{var v=Object.keys(t),b=void 0;if(y=v.length,Object.keys(n).length!==y)return!1;for(;y--;)if(!mi(n,b=v[y])||!pi(t[b],n[b],r-1,l,d))return!1}return l.pop(),d.pop(),!0}function fi(t){return Xt(t)?t.slice():I(t)||Jt(t)||P(t)||ti(t)?Array.from(t.entries()):t}function mi(t,n){return Object.prototype.hasOwnProperty.call(t,n)}function gi(t){return t[Symbol.iterator]=yi,t}function yi(){return this}if("undefined"==typeof Proxy||"undefined"==typeof Symbol)throw new Error("[mobx] MobX 5+ requires Proxy and Symbol objects. If your environment doesn't support Symbol or Proxy objects, please downgrade to MobX 4. For React Native Android, consider upgrading JSCore.");"object"==typeof __MOBX_DEVTOOLS_GLOBAL_HOOK__&&__MOBX_DEVTOOLS_GLOBAL_HOOK__.injectMobx({spy:function(t){return l.warn("[mobx.spy] Is a no-op in production builds"),function(){}},extras:{getDebugName:function(t,n){return(void 0!==n?ci(t,n):li(t)||Jt(t)||ti(t)?di(t):ci(t)).name}},$mobx:$})},4244:t=>{"use strict";var n=function(t){return t!=t};t.exports=function(t,r){return 0===t&&0===r?1/t==1/r:t===r||!(!n(t)||!n(r))}},609:(t,n,r)=>{"use strict";var l=r(4289),d=r(4147),h=r(4244),p=r(5624),f=r(2281),m=d(p(),Object);l(m,{getPolyfill:p,implementation:h,shim:f}),t.exports=m},5624:(t,n,r)=>{"use strict";var l=r(4244);t.exports=function(){return"function"==typeof Object.is?Object.is:l}},2281:(t,n,r)=>{"use strict";var l=r(5624),d=r(4289);t.exports=function(){var t=l();return d(Object,{is:t},{is:function(){return Object.is!==t}}),t}},8987:(t,n,r)=>{"use strict";var l;if(!Object.keys){var d=Object.prototype.hasOwnProperty,h=Object.prototype.toString,p=r(1414),f=Object.prototype.propertyIsEnumerable,m=!f.call({toString:null},"toString"),g=f.call((function(){}),"prototype"),y=["toString","toLocaleString","valueOf","hasOwnProperty","isPrototypeOf","propertyIsEnumerable","constructor"],v=function(t){var n=t.constructor;return n&&n.prototype===t},b={$applicationCache:!0,$console:!0,$external:!0,$frame:!0,$frameElement:!0,$frames:!0,$innerHeight:!0,$innerWidth:!0,$onmozfullscreenchange:!0,$onmozfullscreenerror:!0,$outerHeight:!0,$outerWidth:!0,$pageXOffset:!0,$pageYOffset:!0,$parent:!0,$scrollLeft:!0,$scrollTop:!0,$scrollX:!0,$scrollY:!0,$self:!0,$webkitIndexedDB:!0,$webkitStorageInfo:!0,$window:!0},x=function(){if("undefined"==typeof window)return!1;for(var t in window)try{if(!b["$"+t]&&d.call(window,t)&&null!==window[t]&&"object"==typeof window[t])try{v(window[t])}catch(t){return!0}}catch(t){return!0}return!1}();l=function(t){var n=null!==t&&"object"==typeof t,r="[object Function]"===h.call(t),l=p(t),f=n&&"[object String]"===h.call(t),b=[];if(!n&&!r&&!l)throw new TypeError("Object.keys called on a non-object");var w=g&&r;if(f&&t.length>0&&!d.call(t,0))for(var S=0;S<t.length;++S)b.push(String(S));if(l&&t.length>0)for(var _=0;_<t.length;++_)b.push(String(_));else for(var E in t)w&&"prototype"===E||!d.call(t,E)||b.push(String(E));if(m)for(var T=function(t){if("undefined"==typeof window||!x)return v(t);try{return v(t)}catch(t){return!1}}(t),C=0;C<y.length;++C)T&&"constructor"===y[C]||!d.call(t,y[C])||b.push(y[C]);return b}}t.exports=l},2215:(t,n,r)=>{"use strict";var l=Array.prototype.slice,d=r(1414),h=Object.keys,p=h?function(t){return h(t)}:r(8987),f=Object.keys;p.shim=function(){if(Object.keys){var t=function(){var t=Object.keys(arguments);return t&&t.length===arguments.length}(1,2);t||(Object.keys=function(t){return d(t)?f(l.call(t)):f(t)})}else Object.keys=p;return Object.keys||p},t.exports=p},1414:t=>{"use strict";var n=Object.prototype.toString;t.exports=function(t){var r=n.call(t),l="[object Arguments]"===r;return l||(l="[object Array]"!==r&&null!==t&&"object"==typeof t&&"number"==typeof t.length&&t.length>=0&&"[object Function]"===n.call(t.callee)),l}},6610:function(t,n,r){var l;!function(d){"use strict";var h,p,f=!d.document&&!!d.postMessage,m=f&&/(\?|&)papaworker(=|&|$)/.test(d.location.search),g=!1,y={},v=0,b={parse:function(t,n){if((n=n||{}).worker&&b.WORKERS_SUPPORTED){var r=function(){if(!b.WORKERS_SUPPORTED)return!1;if(!g&&null===b.SCRIPT_PATH)throw new Error("Script path cannot be determined automatically when Papa Parse is loaded asynchronously. You need to set Papa.SCRIPT_PATH manually.");var t=b.SCRIPT_PATH||h;t+=(-1!==t.indexOf("?")?"&":"?")+"papaworker";var n=new d.Worker(t);return n.onmessage=A,n.id=v++,y[n.id]=n,n}();return r.userStep=n.step,r.userChunk=n.chunk,r.userComplete=n.complete,r.userError=n.error,n.step=F(n.step),n.chunk=F(n.chunk),n.complete=F(n.complete),n.error=F(n.error),delete n.worker,void r.postMessage({input:t,config:n,workerId:r.id})}var l=null;"string"==typeof t?l=n.download?new S(n):new E(n):(d.File&&t instanceof File||t instanceof Object)&&(l=new _(n));return l.stream(t)},unparse:function(t,n){var r=!1,l=",",d="\r\n";(function(){if("object"!=typeof n)return;"string"==typeof n.delimiter&&1==n.delimiter.length&&-1==b.BAD_DELIMITERS.indexOf(n.delimiter)&&(l=n.delimiter);("boolean"==typeof n.quotes||n.quotes instanceof Array)&&(r=n.quotes);"string"==typeof n.newline&&(d=n.newline)})(),"string"==typeof t&&(t=JSON.parse(t));if(t instanceof Array){if(!t.length||t[0]instanceof Array)return p(null,t);if("object"==typeof t[0])return p(h(t[0]),t)}else if("object"==typeof t)return"string"==typeof t.data&&(t.data=JSON.parse(t.data)),t.data instanceof Array&&(t.fields||(t.fields=t.data[0]instanceof Array?t.fields:h(t.data[0])),t.data[0]instanceof Array||"object"==typeof t.data[0]||(t.data=[t.data])),p(t.fields||[],t.data||[]);throw"exception: Unable to serialize unrecognized input";function h(t){if("object"!=typeof t)return[];var n=[];for(var r in t)n.push(r);return n}function p(t,n){var r="";"string"==typeof t&&(t=JSON.parse(t)),"string"==typeof n&&(n=JSON.parse(n));var h=t instanceof Array&&t.length>0,p=!(n[0]instanceof Array);if(h){for(var m=0;m<t.length;m++)m>0&&(r+=l),r+=f(t[m],m);n.length>0&&(r+=d)}for(var g=0;g<n.length;g++){for(var y=h?t.length:n[g].length,v=0;v<y;v++){v>0&&(r+=l);var b=h&&p?t[v]:v;r+=f(n[g][b],v)}g<n.length-1&&(r+=d)}return r}function f(t,n){if(null==t)return"";t=t.toString().replace(/"/g,'""');var d="boolean"==typeof r&&r||r instanceof Array&&r[n]||function(t,n){for(var r=0;r<n.length;r++)if(t.indexOf(n[r])>-1)return!0;return!1}(t,b.BAD_DELIMITERS)||t.indexOf(l)>-1||" "==t.charAt(0)||" "==t.charAt(t.length-1);return d?'"'+t+'"':t}}};if(b.RECORD_SEP=String.fromCharCode(30),b.UNIT_SEP=String.fromCharCode(31),b.BYTE_ORDER_MARK="\ufeff",b.BAD_DELIMITERS=["\r","\n",'"',b.BYTE_ORDER_MARK],b.WORKERS_SUPPORTED=!f&&!!d.Worker,b.SCRIPT_PATH=null,b.LocalChunkSize=10485760,b.RemoteChunkSize=5242880,b.DefaultDelimiter=",",b.Parser=C,b.ParserHandle=T,b.NetworkStreamer=S,b.FileStreamer=_,b.StringStreamer=E,t.exports?t.exports=b:F(d.define)&&d.define.amd?void 0===(l=function(){return b}.call(n,r,n,t))||(t.exports=l):d.Papa=b,d.jQuery){var x=d.jQuery;x.fn.parse=function(t){var n=t.config||{},r=[];return this.each((function(t){if(!("INPUT"==x(this).prop("tagName").toUpperCase()&&"file"==x(this).attr("type").toLowerCase()&&d.FileReader)||!this.files||0==this.files.length)return!0;for(var l=0;l<this.files.length;l++)r.push({file:this.files[l],inputElem:this,instanceConfig:x.extend({},n)})})),l(),this;function l(){if(0!=r.length){var n,l,d,p,f=r[0];if(F(t.before)){var m=t.before(f.file,f.inputElem);if("object"==typeof m){if("abort"==m.action)return n="AbortError",l=f.file,d=f.inputElem,p=m.reason,void(F(t.error)&&t.error({name:n},l,d,p));if("skip"==m.action)return void h();"object"==typeof m.config&&(f.instanceConfig=x.extend(f.instanceConfig,m.config))}else if("skip"==m)return void h()}var g=f.instanceConfig.complete;f.instanceConfig.complete=function(t){F(g)&&g(t,f.file,f.inputElem),h()},b.parse(f.file,f.instanceConfig)}else F(t.complete)&&t.complete()}function h(){r.splice(0,1),l()}}}function w(t){this._handle=null,this._paused=!1,this._finished=!1,this._input=null,this._baseIndex=0,this._partialLine="",this._rowCount=0,this._start=0,this._nextChunk=null,this.isFirstChunk=!0,this._completeResults={data:[],errors:[],meta:{}},function(t){var n=P(t);n.chunkSize=parseInt(n.chunkSize),t.step||t.chunk||(n.chunkSize=null);this._handle=new T(n),this._handle.streamer=this,this._config=n}.call(this,t),this.parseChunk=function(t){if(this.isFirstChunk&&F(this._config.beforeFirstChunk)){var n=this._config.beforeFirstChunk(t);void 0!==n&&(t=n)}this.isFirstChunk=!1;var r=this._partialLine+t;this._partialLine="";var l=this._handle.parse(r,this._baseIndex,!this._finished);if(!this._handle.paused()&&!this._handle.aborted()){var h=l.meta.cursor;this._finished||(this._partialLine=r.substring(h-this._baseIndex),this._baseIndex=h),l&&l.data&&(this._rowCount+=l.data.length);var p=this._finished||this._config.preview&&this._rowCount>=this._config.preview;if(m)d.postMessage({results:l,workerId:b.WORKER_ID,finished:p});else if(F(this._config.chunk)){if(this._config.chunk(l,this._handle),this._paused)return;l=void 0,this._completeResults=void 0}return this._config.step||this._config.chunk||(this._completeResults.data=this._completeResults.data.concat(l.data),this._completeResults.errors=this._completeResults.errors.concat(l.errors),this._completeResults.meta=l.meta),!p||!F(this._config.complete)||l&&l.meta.aborted||this._config.complete(this._completeResults),p||l&&l.meta.paused||this._nextChunk(),l}},this._sendError=function(t){F(this._config.error)?this._config.error(t):m&&this._config.error&&d.postMessage({workerId:b.WORKER_ID,error:t,finished:!1})}}function S(t){var n;(t=t||{}).chunkSize||(t.chunkSize=b.RemoteChunkSize),w.call(this,t),this._nextChunk=f?function(){this._readChunk(),this._chunkLoaded()}:function(){this._readChunk()},this.stream=function(t){this._input=t,this._nextChunk()},this._readChunk=function(){if(this._finished)this._chunkLoaded();else{if(n=new XMLHttpRequest,f||(n.onload=D(this._chunkLoaded,this),n.onerror=D(this._chunkError,this)),n.open("GET",this._input,!f),this._config.chunkSize){var t=this._start+this._config.chunkSize-1;n.setRequestHeader("Range","bytes="+this._start+"-"+t),n.setRequestHeader("If-None-Match","webkit-no-cache")}try{n.send()}catch(t){this._chunkError(t.message)}f&&0==n.status?this._chunkError():this._start+=this._config.chunkSize}},this._chunkLoaded=function(){4==n.readyState&&(n.status<200||n.status>=400?this._chunkError():(this._finished=!this._config.chunkSize||this._start>function(t){var n=t.getResponseHeader("Content-Range");return parseInt(n.substr(n.lastIndexOf("/")+1))}(n),this.parseChunk(n.responseText)))},this._chunkError=function(t){var r=n.statusText||t;this._sendError(r)}}function _(t){var n,r;(t=t||{}).chunkSize||(t.chunkSize=b.LocalChunkSize),w.call(this,t);var l="undefined"!=typeof FileReader;this.stream=function(t){this._input=t,r=t.slice||t.webkitSlice||t.mozSlice,l?((n=new FileReader).onload=D(this._chunkLoaded,this),n.onerror=D(this._chunkError,this)):n=new FileReaderSync,this._nextChunk()},this._nextChunk=function(){this._finished||this._config.preview&&!(this._rowCount<this._config.preview)||this._readChunk()},this._readChunk=function(){var t=this._input;if(this._config.chunkSize){var d=Math.min(this._start+this._config.chunkSize,this._input.size);t=r.call(t,this._start,d)}var h=n.readAsText(t,this._config.encoding);l||this._chunkLoaded({target:{result:h}})},this._chunkLoaded=function(t){this._start+=this._config.chunkSize,this._finished=!this._config.chunkSize||this._start>=this._input.size,this.parseChunk(t.target.result)},this._chunkError=function(){this._sendError(n.error)}}function E(t){var n;t=t||{},w.call(this,t),this.stream=function(t){return t,n=t,this._nextChunk()},this._nextChunk=function(){if(!this._finished){var t=this._config.chunkSize,r=t?n.substr(0,t):n;return n=t?n.substr(t):"",this._finished=!n,this.parseChunk(r)}}}function T(t){var n,r,l,d=/^\s*-?(\d*\.?\d+|\d+\.?\d*)(e[-+]?\d+)?\s*$/i,h=this,p=0,f=!1,m=!1,g=[],y={data:[],errors:[],meta:{}};if(F(t.step)){var v=t.step;t.step=function(n){if(y=n,w())x();else{if(x(),0==y.data.length)return;p+=n.data.length,t.preview&&p>t.preview?r.abort():v(y,h)}}}function x(){if(y&&l&&(_("Delimiter","UndetectableDelimiter","Unable to auto-detect delimiting character; defaulted to '"+b.DefaultDelimiter+"'"),l=!1),t.skipEmptyLines)for(var n=0;n<y.data.length;n++)1==y.data[n].length&&""==y.data[n][0]&&y.data.splice(n--,1);return w()&&function(){if(!y)return;for(var t=0;w()&&t<y.data.length;t++)for(var n=0;n<y.data[t].length;n++)g.push(y.data[t][n]);y.data.splice(0,1)}(),function(){if(!y||!t.header&&!t.dynamicTyping)return y;for(var n=0;n<y.data.length;n++){for(var r={},l=0;l<y.data[n].length;l++){if(t.dynamicTyping){var d=y.data[n][l];y.data[n][l]="true"==d||"TRUE"==d||"false"!=d&&"FALSE"!=d&&S(d)}t.header&&(l>=g.length?(r.__parsed_extra||(r.__parsed_extra=[]),r.__parsed_extra.push(y.data[n][l])):r[g[l]]=y.data[n][l])}t.header&&(y.data[n]=r,l>g.length?_("FieldMismatch","TooManyFields","Too many fields: expected "+g.length+" fields but parsed "+l,n):l<g.length&&_("FieldMismatch","TooFewFields","Too few fields: expected "+g.length+" fields but parsed "+l,n))}t.header&&y.meta&&(y.meta.fields=g);return y}()}function w(){return t.header&&0==g.length}function S(t){return d.test(t)?parseFloat(t):t}function _(t,n,r,l){y.errors.push({type:t,code:n,message:r,row:l})}this.parse=function(d,h,p){if(t.newline||(t.newline=function(t){t=t.substr(0,1048576);var n=t.split("\r");if(1==n.length)return"\n";for(var r=0,l=0;l<n.length;l++)"\n"==n[l][0]&&r++;return r>=n.length/2?"\r\n":"\r"}(d)),l=!1,!t.delimiter){var m=function(n){for(var r,l,d,h=[",","\t","|",";",b.RECORD_SEP,b.UNIT_SEP],p=0;p<h.length;p++){var f=h[p],m=0,g=0;d=void 0;for(var y=new C({delimiter:f,preview:10}).parse(n),v=0;v<y.data.length;v++){var x=y.data[v].length;g+=x,void 0!==d?x>1&&(m+=Math.abs(x-d),d=x):d=x}y.data.length>0&&(g/=y.data.length),(void 0===l||m<l)&&g>1.99&&(l=m,r=f)}return t.delimiter=r,{successful:!!r,bestDelimiter:r}}(d);m.successful?t.delimiter=m.bestDelimiter:(l=!0,t.delimiter=b.DefaultDelimiter),y.meta.delimiter=t.delimiter}var g=P(t);return t.preview&&t.header&&g.preview++,n=d,r=new C(g),y=r.parse(n,h,p),x(),f?{meta:{paused:!0}}:y||{meta:{paused:!1}}},this.paused=function(){return f},this.pause=function(){f=!0,r.abort(),n=n.substr(r.getCharIndex())},this.resume=function(){f=!1,h.streamer.parseChunk(n)},this.aborted=function(){return m},this.abort=function(){m=!0,r.abort(),y.meta.aborted=!0,F(t.complete)&&t.complete(y),n=""}}function C(t){var n=(t=t||{}).delimiter,r=t.newline,l=t.comments,d=t.step,h=t.preview,p=t.fastMode;if(("string"!=typeof n||b.BAD_DELIMITERS.indexOf(n)>-1)&&(n=","),l===n)throw"Comment character same as delimiter";!0===l?l="#":("string"!=typeof l||b.BAD_DELIMITERS.indexOf(l)>-1)&&(l=!1),"\n"!=r&&"\r"!=r&&"\r\n"!=r&&(r="\n");var f=0,m=!1;this.parse=function(t,g,y){if("string"!=typeof t)throw"Input must be a string";var v=t.length,b=n.length,x=r.length,w=l.length,S="function"==typeof d;f=0;var _=[],E=[],T=[],C=0;if(!t)return j();if(p||!1!==p&&-1===t.indexOf('"')){for(var A=t.split(r),O=0;O<A.length;O++){T=A[O];if(f+=T.length,O!==A.length-1)f+=r.length;else if(y)return j();if(!l||T.substr(0,w)!=l){if(S){if(_=[],F(T.split(n)),V(),m)return j()}else F(T.split(n));if(h&&O>=h)return _=_.slice(0,h),j(!0)}}return j()}for(var I=t.indexOf(n,f),P=t.indexOf(r,f);;)if('"'!=t[f])if(l&&0===T.length&&t.substr(f,w)===l){if(-1==P)return j();f=P+x,P=t.indexOf(r,f),I=t.indexOf(n,f)}else if(-1!==I&&(I<P||-1===P))T.push(t.substring(f,I)),f=I+b,I=t.indexOf(n,f);else{if(-1===P)break;if(T.push(t.substring(f,P)),$(P+x),S&&(V(),m))return j();if(h&&_.length>=h)return j(!0)}else{var D=f;for(f++;;){if(-1===(D=t.indexOf('"',D+1)))return y||E.push({type:"Quotes",code:"MissingQuotes",message:"Quoted field unterminated",row:_.length,index:f}),B();if(D===v-1)return B(t.substring(f,D).replace(/""/g,'"'));if('"'!=t[D+1]){if(t[D+1]==n){T.push(t.substring(f,D).replace(/""/g,'"')),f=D+1+b,I=t.indexOf(n,f),P=t.indexOf(r,f);break}if(t.substr(D+1,x)===r){if(T.push(t.substring(f,D).replace(/""/g,'"')),$(D+1+x),I=t.indexOf(n,f),S&&(V(),m))return j();if(h&&_.length>=h)return j(!0);break}}else D++}}return B();function F(t){_.push(t),C=f}function B(n){return y||(void 0===n&&(n=t.substr(f)),T.push(n),f=v,F(T),S&&V()),j()}function $(n){f=n,F(T),T=[],P=t.indexOf(r,f)}function j(t){return{data:_,errors:E,meta:{delimiter:n,linebreak:r,aborted:m,truncated:!!t,cursor:C+(g||0)}}}function V(){d(j()),_=[],E=[]}},this.abort=function(){m=!0},this.getCharIndex=function(){return f}}function A(t){var n=t.data,r=y[n.workerId],l=!1;if(n.error)r.userError(n.error,n.file);else if(n.results&&n.results.data){var d={abort:function(){l=!0,O(n.workerId,{data:[],errors:[],meta:{aborted:!0}})},pause:I,resume:I};if(F(r.userStep)){for(var h=0;h<n.results.data.length&&(r.userStep({data:[n.results.data[h]],errors:n.results.errors,meta:n.results.meta},d),!l);h++);delete n.results}else F(r.userChunk)&&(r.userChunk(n.results,d,n.file),delete n.results)}n.finished&&!l&&O(n.workerId,n.results)}function O(t,n){var r=y[t];F(r.userComplete)&&r.userComplete(n),r.terminate(),delete y[t]}function I(){throw"Not implemented."}function P(t){if("object"!=typeof t)return t;var n=t instanceof Array?[]:{};for(var r in t)n[r]=P(t[r]);return n}function D(t,n){return function(){t.apply(n,arguments)}}function F(t){return"function"==typeof t}m?d.onmessage=function(t){var n=t.data;void 0===b.WORKER_ID&&n&&(b.WORKER_ID=n.workerId);if("string"==typeof n.input)d.postMessage({workerId:b.WORKER_ID,results:b.parse(n.input,n.config),finished:!0});else if(d.File&&n.input instanceof File||n.input instanceof Object){var r=b.parse(n.input,n.config);r&&d.postMessage({workerId:b.WORKER_ID,results:r,finished:!0})}}:b.WORKERS_SUPPORTED&&(p=document.getElementsByTagName("script"),h=p.length?p[p.length-1].src:"",document.body?document.addEventListener("DOMContentLoaded",(function(){g=!0}),!0):g=!0),S.prototype=Object.create(w.prototype),S.prototype.constructor=S,_.prototype=Object.create(w.prototype),_.prototype.constructor=_,E.prototype=Object.create(E.prototype),E.prototype.constructor=E}("undefined"!=typeof window?window:this)},4155:t=>{var n,r,l=t.exports={};function d(){throw new Error("setTimeout has not been defined")}function h(){throw new Error("clearTimeout has not been defined")}function p(t){if(n===setTimeout)return setTimeout(t,0);if((n===d||!n)&&setTimeout)return n=setTimeout,setTimeout(t,0);try{return n(t,0)}catch(r){try{return n.call(null,t,0)}catch(r){return n.call(this,t,0)}}}!function(){try{n="function"==typeof setTimeout?setTimeout:d}catch(t){n=d}try{r="function"==typeof clearTimeout?clearTimeout:h}catch(t){r=h}}();var f,m=[],g=!1,y=-1;function v(){g&&f&&(g=!1,f.length?m=f.concat(m):y=-1,m.length&&b())}function b(){if(!g){var t=p(v);g=!0;for(var n=m.length;n;){for(f=m,m=[];++y<n;)f&&f[y].run();y=-1,n=m.length}f=null,g=!1,function(t){if(r===clearTimeout)return clearTimeout(t);if((r===h||!r)&&clearTimeout)return r=clearTimeout,clearTimeout(t);try{return r(t)}catch(n){try{return r.call(null,t)}catch(n){return r.call(this,t)}}}(t)}}function x(t,n){this.fun=t,this.array=n}function w(){}l.nextTick=function(t){var n=new Array(arguments.length-1);if(arguments.length>1)for(var r=1;r<arguments.length;r++)n[r-1]=arguments[r];m.push(new x(t,n)),1!==m.length||g||p(b)},x.prototype.run=function(){this.fun.apply(null,this.array)},l.title="browser",l.browser=!0,l.env={},l.argv=[],l.version="",l.versions={},l.on=w,l.addListener=w,l.once=w,l.off=w,l.removeListener=w,l.removeAllListeners=w,l.emit=w,l.prependListener=w,l.prependOnceListener=w,l.listeners=function(t){return[]},l.binding=function(t){throw new Error("process.binding is not supported")},l.cwd=function(){return"/"},l.chdir=function(t){throw new Error("process.chdir is not supported")},l.umask=function(){return 0}},1550:function(t,n,r){var l=r(5108);t.exports=function(){"use strict";var t=function(t){return t instanceof Uint8Array||t instanceof Uint16Array||t instanceof Uint32Array||t instanceof Int8Array||t instanceof Int16Array||t instanceof Int32Array||t instanceof Float32Array||t instanceof Float64Array||t instanceof Uint8ClampedArray},n=function(t,n){for(var r=Object.keys(n),l=0;l<r.length;++l)t[r[l]]=n[r[l]];return t},r="\n";function d(t){return"undefined"!=typeof atob?atob(t):"base64:"+t}function h(t){var n=new Error("(regl) "+t);throw l.error(n),n}function p(t,n){t||h(n)}function f(t){return t?": "+t:""}function m(t,n,r){t in n||h("unknown parameter ("+t+")"+f(r)+". possible values: "+Object.keys(n).join())}function g(n,r){t(n)||h("invalid parameter type"+f(r)+". must be a typed array")}function y(t,n){switch(n){case"number":return"number"==typeof t;case"object":return"object"==typeof t;case"string":return"string"==typeof t;case"boolean":return"boolean"==typeof t;case"function":return"function"==typeof t;case"undefined":return void 0===t;case"symbol":return"symbol"==typeof t}}function v(t,n,r){y(t,n)||h("invalid parameter type"+f(r)+". expected "+n+", got "+typeof t)}function b(t,n){t>=0&&(0|t)===t||h("invalid parameter type, ("+t+")"+f(n)+". must be a nonnegative integer")}function x(t,n,r){n.indexOf(t)<0&&h("invalid value"+f(r)+". must be one of: "+n)}var w=["gl","canvas","container","attributes","pixelRatio","extensions","optionalExtensions","profile","onDone"];function S(t){Object.keys(t).forEach((function(t){w.indexOf(t)<0&&h('invalid regl constructor argument "'+t+'". must be one of '+w)}))}function _(t,n){for(t+="";t.length<n;)t=" "+t;return t}function E(){this.name="unknown",this.lines=[],this.index={},this.hasErrors=!1}function T(t,n){this.number=t,this.line=n,this.errors=[]}function C(t,n,r){this.file=t,this.line=n,this.message=r}function A(){var t=new Error,n=(t.stack||t).toString(),r=/compileProcedure.*\n\s*at.*\((.*)\)/.exec(n);if(r)return r[1];var l=/compileProcedure.*\n\s*at\s+(.*)(\n|$)/.exec(n);return l?l[1]:"unknown"}function O(){var t=new Error,n=(t.stack||t).toString(),r=/at REGLCommand.*\n\s+at.*\((.*)\)/.exec(n);if(r)return r[1];var l=/at REGLCommand.*\n\s+at\s+(.*)\n/.exec(n);return l?l[1]:"unknown"}function I(t,n){var r=t.split("\n"),l=1,h=0,p={unknown:new E,0:new E};p.unknown.name=p[0].name=n||A(),p.unknown.lines.push(new T(0,""));for(var f=0;f<r.length;++f){var m=r[f],g=/^\s*#\s*(\w+)\s+(.+)\s*$/.exec(m);if(g)switch(g[1]){case"line":var y=/(\d+)(\s+\d+)?/.exec(g[2]);y&&(l=0|y[1],y[2]&&((h=0|y[2])in p||(p[h]=new E)));break;case"define":var v=/SHADER_NAME(_B64)?\s+(.*)$/.exec(g[2]);v&&(p[h].name=v[1]?d(v[2]):v[2])}p[h].lines.push(new T(l++,m))}return Object.keys(p).forEach((function(t){var n=p[t];n.lines.forEach((function(t){n.index[t.number]=t}))})),p}function P(t){var n=[];return t.split("\n").forEach((function(t){if(!(t.length<5)){var r=/^ERROR:\s+(\d+):(\d+):\s*(.*)$/.exec(t);r?n.push(new C(0|r[1],0|r[2],r[3].trim())):t.length>0&&n.push(new C("unknown",0,t))}})),n}function D(t,n){n.forEach((function(n){var r=t[n.file];if(r){var l=r.index[n.line];if(l)return l.errors.push(n),void(r.hasErrors=!0)}t.unknown.hasErrors=!0,t.unknown.lines[0].errors.push(n)}))}function F(t,n,d,h,f){if(!t.getShaderParameter(n,t.COMPILE_STATUS)){var m=t.getShaderInfoLog(n),g=h===t.FRAGMENT_SHADER?"fragment":"vertex";W(d,"string",g+" shader source must be a string",f);var y=I(d,f),v=P(m);D(y,v),Object.keys(y).forEach((function(t){var n=y[t];if(n.hasErrors){var d=[""],h=[""];p("file number "+t+": "+n.name+"\n","color:red;text-decoration:underline;font-weight:bold"),n.lines.forEach((function(t){if(t.errors.length>0){p(_(t.number,4)+"|  ","background-color:yellow; font-weight:bold"),p(t.line+r,"color:red; background-color:yellow; font-weight:bold");var n=0;t.errors.forEach((function(l){var d=l.message,h=/^\s*'(.*)'\s*:\s*(.*)$/.exec(d);if(h){var f=h[1];d=h[2],"assign"===f&&(f="="),n=Math.max(t.line.indexOf(f,n),0)}else n=0;p(_("| ",6)),p(_("^^^",n+3)+r,"font-weight:bold"),p(_("| ",6)),p(d+r,"font-weight:bold")})),p(_("| ",6)+r)}else p(_(t.number,4)+"|  "),p(t.line+r,"color:red")})),"undefined"==typeof document||window.chrome?l.log(d.join("")):(h[0]=d.join("%c"),l.log.apply(l,h))}function p(t,n){d.push(t),h.push(n||"")}})),p.raise("Error compiling "+g+" shader, "+y[0].name)}}function B(t,n,d,h,f){if(!t.getProgramParameter(n,t.LINK_STATUS)){var m=t.getProgramInfoLog(n),g=I(d,f),y='Error linking program with vertex shader, "'+I(h,f)[0].name+'", and fragment shader "'+g[0].name+'"';"undefined"!=typeof document?l.log("%c"+y+r+"%c"+m,"color:red;text-decoration:underline;font-weight:bold","color:red"):l.log(y+r+m),p.raise(y)}}function $(t){t._commandRef=A()}function j(t,n,r,l){function d(t){return t?l.id(t):0}function h(t,n){Object.keys(n).forEach((function(n){t[l.id(n)]=!0}))}$(t),t._fragId=d(t.static.frag),t._vertId=d(t.static.vert);var p=t._uniformSet={};h(p,n.static),h(p,n.dynamic);var f=t._attributeSet={};h(f,r.static),h(f,r.dynamic),t._hasCount="count"in t.static||"count"in t.dynamic||"elements"in t.static||"elements"in t.dynamic}function V(t,n){var r=O();h(t+" in command "+(n||A())+("unknown"===r?"":" called from "+r))}function U(t,n,r){t||V(n,r||A())}function G(t,n,r,l){t in n||V("unknown parameter ("+t+")"+f(r)+". possible values: "+Object.keys(n).join(),l||A())}function W(t,n,r,l){y(t,n)||V("invalid parameter type"+f(r)+". expected "+n+", got "+typeof t,l||A())}function q(t){t()}function X(t,n,r){t.texture?x(t.texture._texture.internalformat,n,"unsupported texture format for attachment"):x(t.renderbuffer._renderbuffer.format,r,"unsupported renderbuffer format for attachment")}var Y=33071,K=9728,J=9984,Q=9985,ee=9986,te=9987,ie=5121,ne=5122,re=5123,oe=5124,ae=5125,se=5126,le=32819,ce=32820,de=33635,ue=34042,he=36193,pe={};function fe(t,n){return t===ce||t===le||t===de?2:t===ue?4:pe[t]*n}function me(t){return!(t&t-1||!t)}function ge(t,n,r){var l,d=n.width,h=n.height,f=n.channels;p(d>0&&d<=r.maxTextureSize&&h>0&&h<=r.maxTextureSize,"invalid texture shape"),t.wrapS===Y&&t.wrapT===Y||p(me(d)&&me(h),"incompatible wrap mode for texture, both width and height must be power of 2"),1===n.mipmask?1!==d&&1!==h&&p(t.minFilter!==J&&t.minFilter!==ee&&t.minFilter!==Q&&t.minFilter!==te,"min filter requires mipmap"):(p(me(d)&&me(h),"texture must be a square power of 2 to support mipmapping"),p(n.mipmask===(d<<1)-1,"missing or incomplete mipmap data")),n.type===se&&(r.extensions.indexOf("oes_texture_float_linear")<0&&p(t.minFilter===K&&t.magFilter===K,"filter not supported, must enable oes_texture_float_linear"),p(!t.genMipmaps,"mipmap generation not supported with float textures"));var m=n.images;for(l=0;l<16;++l)if(m[l]){var g=d>>l,y=h>>l;p(n.mipmask&1<<l,"missing mipmap data");var v=m[l];if(p(v.width===g&&v.height===y,"invalid shape for mip images"),p(v.format===n.format&&v.internalformat===n.internalformat&&v.type===n.type,"incompatible type for mip image"),v.compressed);else if(v.data){var b=Math.ceil(fe(v.type,f)*g/v.unpackAlignment)*v.unpackAlignment;p(v.data.byteLength===b*y,"invalid data for image, buffer size is inconsistent with image format")}else v.element||v.copy}else t.genMipmaps||p(0==(n.mipmask&1<<l),"extra mipmap data");n.compressed&&p(!t.genMipmaps,"mipmap generation for compressed images not supported")}function ye(t,n,r,l){var d=t.width,h=t.height,f=t.channels;p(d>0&&d<=l.maxTextureSize&&h>0&&h<=l.maxTextureSize,"invalid texture shape"),p(d===h,"cube map must be square"),p(n.wrapS===Y&&n.wrapT===Y,"wrap mode not supported by cube map");for(var m=0;m<r.length;++m){var g=r[m];p(g.width===d&&g.height===h,"inconsistent cube map face shape"),n.genMipmaps&&(p(!g.compressed,"can not generate mipmap for compressed textures"),p(1===g.mipmask,"can not specify mipmaps and generate mipmaps"));for(var y=g.images,v=0;v<16;++v){var b=y[v];if(b){var x=d>>v,w=h>>v;p(g.mipmask&1<<v,"missing mipmap data"),p(b.width===x&&b.height===w,"invalid shape for mip images"),p(b.format===t.format&&b.internalformat===t.internalformat&&b.type===t.type,"incompatible type for mip image"),b.compressed||(b.data?p(b.data.byteLength===x*w*Math.max(fe(b.type,f),b.unpackAlignment),"invalid data for image, buffer size is inconsistent with image format"):b.element||b.copy)}}}}pe[5120]=pe[ie]=1,pe[ne]=pe[re]=pe[he]=pe[de]=pe[le]=pe[ce]=2,pe[oe]=pe[ae]=pe[se]=pe[ue]=4;var ve=n(p,{optional:q,raise:h,commandRaise:V,command:U,parameter:m,commandParameter:G,constructor:S,type:v,commandType:W,isTypedArray:g,nni:b,oneOf:x,shaderError:F,linkError:B,callSite:O,saveCommandRef:$,saveDrawInfo:j,framebufferFormat:X,guessCommand:A,texture2D:ge,textureCube:ye}),be=0,xe=0,we=5,Se=6;function _e(t,n){this.id=be++,this.type=t,this.data=n}function Ee(t){return t.replace(/\\/g,"\\\\").replace(/"/g,'\\"')}function Me(t){if(0===t.length)return[];var n=t.charAt(0),r=t.charAt(t.length-1);if(t.length>1&&n===r&&('"'===n||"'"===n))return['"'+Ee(t.substr(1,t.length-2))+'"'];var l=/\[(false|true|null|\d+|'[^']*'|"[^"]*")\]/.exec(t);if(l)return Me(t.substr(0,l.index)).concat(Me(l[1])).concat(Me(t.substr(l.index+l[0].length)));var d=t.split(".");if(1===d.length)return['"'+Ee(t)+'"'];for(var h=[],p=0;p<d.length;++p)h=h.concat(Me(d[p]));return h}function Te(t){return"["+Me(t).join("][")+"]"}function Ce(t,n){return new _e(t,Te(n+""))}function Ae(t){return"function"==typeof t&&!t._reglType||t instanceof _e}function ke(t,n){return"function"==typeof t?new _e(xe,t):"number"==typeof t||"boolean"==typeof t?new _e(we,t):Array.isArray(t)?new _e(Se,t.map((function(t,r){return ke(t,n+"["+r+"]")}))):t instanceof _e?t:void ve(!1,"invalid option type in uniform "+n)}var Oe={DynamicVariable:_e,define:Ce,isDynamic:Ae,unbox:ke,accessor:Te},Ie={next:"function"==typeof requestAnimationFrame?function(t){return requestAnimationFrame(t)}:function(t){return setTimeout(t,16)},cancel:"function"==typeof cancelAnimationFrame?function(t){return cancelAnimationFrame(t)}:clearTimeout},Re="undefined"!=typeof performance&&performance.now?function(){return performance.now()}:function(){return+new Date};function Pe(){var t={"":0},n=[""];return{id:function(r){var l=t[r];return l||(l=t[r]=n.length,n.push(r),l)},str:function(t){return n[t]}}}function Le(t,r,l){var d,h=document.createElement("canvas");function p(){var n=window.innerWidth,r=window.innerHeight;if(t!==document.body){var d=h.getBoundingClientRect();n=d.right-d.left,r=d.bottom-d.top}h.width=l*n,h.height=l*r}function f(){d?d.disconnect():window.removeEventListener("resize",p),t.removeChild(h)}return n(h.style,{border:0,margin:0,padding:0,top:0,left:0,width:"100%",height:"100%"}),t.appendChild(h),t===document.body&&(h.style.position="absolute",n(t.style,{margin:0,padding:0})),t!==document.body&&"function"==typeof ResizeObserver?(d=new ResizeObserver((function(){setTimeout(p)}))).observe(t):window.addEventListener("resize",p,!1),p(),{canvas:h,onDestroy:f}}function De(t,n){function r(r){try{return t.getContext(r,n)}catch(t){return null}}return r("webgl")||r("experimental-webgl")||r("webgl-experimental")}function Fe(t){return"string"==typeof t.nodeName&&"function"==typeof t.appendChild&&"function"==typeof t.getBoundingClientRect}function Ne(t){return"function"==typeof t.drawArrays||"function"==typeof t.drawElements}function Be(t){return"string"==typeof t?t.split():(ve(Array.isArray(t),"invalid extension array"),t)}function $e(t){return"string"==typeof t?(ve("undefined"!=typeof document,"not supported outside of DOM"),document.querySelector(t)):t}function ze(t){var n,r,l,d,h=t||{},p={},f=[],m=[],g="undefined"==typeof window?1:window.devicePixelRatio,y=!1,v=function(t){t&&ve.raise(t)},b=function(){};if("string"==typeof h?(ve("undefined"!=typeof document,"selector queries only supported in DOM enviroments"),n=document.querySelector(h),ve(n,"invalid query string for element")):"object"==typeof h?Fe(h)?n=h:Ne(h)?l=(d=h).canvas:(ve.constructor(h),"gl"in h?d=h.gl:"canvas"in h?l=$e(h.canvas):"container"in h&&(r=$e(h.container)),"attributes"in h&&(p=h.attributes,ve.type(p,"object","invalid context attributes")),"extensions"in h&&(f=Be(h.extensions)),"optionalExtensions"in h&&(m=Be(h.optionalExtensions)),"onDone"in h&&(ve.type(h.onDone,"function","invalid or missing onDone callback"),v=h.onDone),"profile"in h&&(y=!!h.profile),"pixelRatio"in h&&(g=+h.pixelRatio,ve(g>0,"invalid pixel ratio"))):ve.raise("invalid arguments to regl"),n&&("canvas"===n.nodeName.toLowerCase()?l=n:r=n),!d){if(!l){ve("undefined"!=typeof document,"must manually specify webgl context outside of DOM environments");var x=Le(r||document.body,v,g);if(!x)return null;l=x.canvas,b=x.onDestroy}void 0===p.premultipliedAlpha&&(p.premultipliedAlpha=!0),d=De(l,p)}return d?{gl:d,canvas:l,container:r,extensions:f,optionalExtensions:m,pixelRatio:g,profile:y,onDone:v,onDestroy:b}:(b(),v("webgl not supported, try upgrading your browser or graphics drivers http://get.webgl.org"),null)}function je(t,n){var r={};function l(n){ve.type(n,"string","extension name must be string");var l,d=n.toLowerCase();try{l=r[d]=t.getExtension(d)}catch(t){}return!!l}for(var d=0;d<n.extensions.length;++d){var h=n.extensions[d];if(!l(h))return n.onDestroy(),n.onDone('"'+h+'" extension is not supported by the current WebGL context, try upgrading your system or a different browser'),null}return n.optionalExtensions.forEach(l),{extensions:r,restore:function(){Object.keys(r).forEach((function(t){if(r[t]&&!l(t))throw new Error("(regl): error restoring extension "+t)}))}}}function Ve(t,n){for(var r=Array(t),l=0;l<t;++l)r[l]=n(l);return r}var Ue=5120,He=5121,Ge=5122,We=5123,qe=5124,Xe=5125,Ye=5126;function Ze(t){for(var n=16;n<=1<<28;n*=16)if(t<=n)return n;return 0}function Ke(t){var n,r;return n=(t>65535)<<4,n|=r=((t>>>=n)>255)<<3,n|=r=((t>>>=r)>15)<<2,(n|=r=((t>>>=r)>3)<<1)|(t>>>=r)>>1}function Je(){var t=Ve(8,(function(){return[]}));function n(n){var r=Ze(n),l=t[Ke(r)>>2];return l.length>0?l.pop():new ArrayBuffer(r)}function r(n){t[Ke(n.byteLength)>>2].push(n)}function l(t,r){var l=null;switch(t){case Ue:l=new Int8Array(n(r),0,r);break;case He:l=new Uint8Array(n(r),0,r);break;case Ge:l=new Int16Array(n(2*r),0,r);break;case We:l=new Uint16Array(n(2*r),0,r);break;case qe:l=new Int32Array(n(4*r),0,r);break;case Xe:l=new Uint32Array(n(4*r),0,r);break;case Ye:l=new Float32Array(n(4*r),0,r);break;default:return null}return l.length!==r?l.subarray(0,r):l}function d(t){r(t.buffer)}return{alloc:n,free:r,allocType:l,freeType:d}}var Qe=Je();Qe.zero=Je();var et=3408,tt=3410,it=3411,nt=3412,rt=3413,ot=3414,at=3415,st=33901,lt=33902,ct=3379,dt=3386,ut=34921,ht=36347,pt=36348,ft=35661,mt=35660,gt=34930,yt=36349,vt=34076,bt=34024,xt=7936,wt=7937,St=7938,_t=35724,Et=34047,Mt=36063,Tt=34852,Ct=3553,At=34067,kt=34069,Ot=33984,It=6408,Rt=5126,Pt=5121,Lt=36160,Dt=36053,Ft=36064,Nt=16384,Bt=function(t,n){var r=1;n.ext_texture_filter_anisotropic&&(r=t.getParameter(Et));var l=1,d=1;n.webgl_draw_buffers&&(l=t.getParameter(Tt),d=t.getParameter(Mt));var h=!!n.oes_texture_float;if(h){var p=t.createTexture();t.bindTexture(Ct,p),t.texImage2D(Ct,0,It,1,1,0,It,Rt,null);var f=t.createFramebuffer();if(t.bindFramebuffer(Lt,f),t.framebufferTexture2D(Lt,Ft,Ct,p,0),t.bindTexture(Ct,null),t.checkFramebufferStatus(Lt)!==Dt)h=!1;else{t.viewport(0,0,1,1),t.clearColor(1,0,0,1),t.clear(Nt);var m=Qe.allocType(Rt,4);t.readPixels(0,0,1,1,It,Rt,m),t.getError()?h=!1:(t.deleteFramebuffer(f),t.deleteTexture(p),h=1===m[0]),Qe.freeType(m)}}var g=!0;if("undefined"==typeof navigator||!(/MSIE/.test(navigator.userAgent)||/Trident\//.test(navigator.appVersion)||/Edge/.test(navigator.userAgent))){var y=t.createTexture(),v=Qe.allocType(Pt,36);t.activeTexture(Ot),t.bindTexture(At,y),t.texImage2D(kt,0,It,3,3,0,It,Pt,v),Qe.freeType(v),t.bindTexture(At,null),t.deleteTexture(y),g=!t.getError()}return{colorBits:[t.getParameter(tt),t.getParameter(it),t.getParameter(nt),t.getParameter(rt)],depthBits:t.getParameter(ot),stencilBits:t.getParameter(at),subpixelBits:t.getParameter(et),extensions:Object.keys(n).filter((function(t){return!!n[t]})),maxAnisotropic:r,maxDrawbuffers:l,maxColorAttachments:d,pointSizeDims:t.getParameter(st),lineWidthDims:t.getParameter(lt),maxViewportDims:t.getParameter(dt),maxCombinedTextureUnits:t.getParameter(ft),maxCubeMapSize:t.getParameter(vt),maxRenderbufferSize:t.getParameter(bt),maxTextureUnits:t.getParameter(gt),maxTextureSize:t.getParameter(ct),maxAttributes:t.getParameter(ut),maxVertexUniforms:t.getParameter(ht),maxVertexTextureUnits:t.getParameter(mt),maxVaryingVectors:t.getParameter(pt),maxFragmentUniforms:t.getParameter(yt),glsl:t.getParameter(_t),renderer:t.getParameter(wt),vendor:t.getParameter(xt),version:t.getParameter(St),readFloat:h,npotTextureCube:g}};function $t(n){return!!n&&"object"==typeof n&&Array.isArray(n.shape)&&Array.isArray(n.stride)&&"number"==typeof n.offset&&n.shape.length===n.stride.length&&(Array.isArray(n.data)||t(n.data))}var zt=function(t){return Object.keys(t).map((function(n){return t[n]}))},jt={shape:qt,flatten:Wt};function Vt(t,n,r){for(var l=0;l<n;++l)r[l]=t[l]}function Ut(t,n,r,l){for(var d=0,h=0;h<n;++h)for(var p=t[h],f=0;f<r;++f)l[d++]=p[f]}function Ht(t,n,r,l,d,h){for(var p=h,f=0;f<n;++f)for(var m=t[f],g=0;g<r;++g)for(var y=m[g],v=0;v<l;++v)d[p++]=y[v]}function Gt(t,n,r,l,d){for(var h=1,p=r+1;p<n.length;++p)h*=n[p];var f=n[r];if(n.length-r==4){var m=n[r+1],g=n[r+2],y=n[r+3];for(p=0;p<f;++p)Ht(t[p],m,g,y,l,d),d+=h}else for(p=0;p<f;++p)Gt(t[p],n,r+1,l,d),d+=h}function Wt(t,n,r,l){var d=1;if(n.length)for(var h=0;h<n.length;++h)d*=n[h];else d=0;var p=l||Qe.allocType(r,d);switch(n.length){case 0:break;case 1:Vt(t,n[0],p);break;case 2:Ut(t,n[0],n[1],p);break;case 3:Ht(t,n[0],n[1],n[2],p,0);break;default:Gt(t,n,0,p,0)}return p}function qt(t){for(var n=[],r=t;r.length;r=r[0])n.push(r.length);return n}var Xt={"[object Int8Array]":5120,"[object Int16Array]":5122,"[object Int32Array]":5124,"[object Uint8Array]":5121,"[object Uint8ClampedArray]":5121,"[object Uint16Array]":5123,"[object Uint32Array]":5125,"[object Float32Array]":5126,"[object Float64Array]":5121,"[object ArrayBuffer]":5121},Yt={int8:5120,int16:5122,int32:5124,uint8:5121,uint16:5123,uint32:5125,float:5126,float32:5126},Zt={dynamic:35048,stream:35040,static:35044},Kt=jt.flatten,Jt=jt.shape,Qt=35044,ei=35040,ti=5121,ii=5126,ni=[];function ri(t){return 0|Xt[Object.prototype.toString.call(t)]}function oi(t,n){for(var r=0;r<n.length;++r)t[r]=n[r]}function ai(t,n,r,l,d,h,p){for(var f=0,m=0;m<r;++m)for(var g=0;g<l;++g)t[f++]=n[d*m+h*g+p]}function si(n,r,l,d){var h=0,p={};function f(t){this.id=h++,this.buffer=n.createBuffer(),this.type=t,this.usage=Qt,this.byteLength=0,this.dimension=1,this.dtype=ti,this.persistentData=null,l.profile&&(this.stats={size:0})}f.prototype.bind=function(){n.bindBuffer(this.type,this.buffer)},f.prototype.destroy=function(){x(this)};var m=[];function g(t,n){var r=m.pop();return r||(r=new f(t)),r.bind(),b(r,n,ei,0,1,!1),r}function y(t){m.push(t)}function v(t,r,l){t.byteLength=r.byteLength,n.bufferData(t.type,r,l)}function b(n,r,l,d,h,p){var f,m;if(n.usage=l,Array.isArray(r)){if(n.dtype=d||ii,r.length>0)if(Array.isArray(r[0])){f=Jt(r);for(var g=1,y=1;y<f.length;++y)g*=f[y];n.dimension=g,v(n,m=Kt(r,f,n.dtype),l),p?n.persistentData=m:Qe.freeType(m)}else if("number"==typeof r[0]){n.dimension=h;var b=Qe.allocType(n.dtype,r.length);oi(b,r),v(n,b,l),p?n.persistentData=b:Qe.freeType(b)}else t(r[0])?(n.dimension=r[0].length,n.dtype=d||ri(r[0])||ii,v(n,m=Kt(r,[r.length,r[0].length],n.dtype),l),p?n.persistentData=m:Qe.freeType(m)):ve.raise("invalid buffer data")}else if(t(r))n.dtype=d||ri(r),n.dimension=h,v(n,r,l),p&&(n.persistentData=new Uint8Array(new Uint8Array(r.buffer)));else if($t(r)){f=r.shape;var x=r.stride,w=r.offset,S=0,_=0,E=0,T=0;1===f.length?(S=f[0],_=1,E=x[0],T=0):2===f.length?(S=f[0],_=f[1],E=x[0],T=x[1]):ve.raise("invalid shape"),n.dtype=d||ri(r.data)||ii,n.dimension=_;var C=Qe.allocType(n.dtype,S*_);ai(C,r.data,S,_,E,T,w),v(n,C,l),p?n.persistentData=C:Qe.freeType(C)}else r instanceof ArrayBuffer?(n.dtype=ti,n.dimension=h,v(n,r,l),p&&(n.persistentData=new Uint8Array(new Uint8Array(r)))):ve.raise("invalid buffer data")}function x(t){r.bufferCount--,d(t);var l=t.buffer;ve(l,"buffer must not be deleted already"),n.deleteBuffer(l),t.buffer=null,delete p[t.id]}function w(d,h,m,g){r.bufferCount++;var y=new f(h);function v(r){var d=Qt,h=null,p=0,f=0,m=1;return Array.isArray(r)||t(r)||$t(r)||r instanceof ArrayBuffer?h=r:"number"==typeof r?p=0|r:r&&(ve.type(r,"object","buffer arguments must be an object, a number or an array"),"data"in r&&(ve(null===h||Array.isArray(h)||t(h)||$t(h),"invalid data for buffer"),h=r.data),"usage"in r&&(ve.parameter(r.usage,Zt,"invalid buffer usage"),d=Zt[r.usage]),"type"in r&&(ve.parameter(r.type,Yt,"invalid buffer type"),f=Yt[r.type]),"dimension"in r&&(ve.type(r.dimension,"number","invalid dimension"),m=0|r.dimension),"length"in r&&(ve.nni(p,"buffer length must be a nonnegative integer"),p=0|r.length)),y.bind(),h?b(y,h,d,f,m,g):(p&&n.bufferData(y.type,p,d),y.dtype=f||ti,y.usage=d,y.dimension=m,y.byteLength=p),l.profile&&(y.stats.size=y.byteLength*ni[y.dtype]),v}function w(t,r){ve(r+t.byteLength<=y.byteLength,"invalid buffer subdata call, buffer is too small.  Can't write data of size "+t.byteLength+" starting from offset "+r+" to a buffer of size "+y.byteLength),n.bufferSubData(y.type,r,t)}function S(n,r){var l,d=0|(r||0);if(y.bind(),t(n)||n instanceof ArrayBuffer)w(n,d);else if(Array.isArray(n)){if(n.length>0)if("number"==typeof n[0]){var h=Qe.allocType(y.dtype,n.length);oi(h,n),w(h,d),Qe.freeType(h)}else if(Array.isArray(n[0])||t(n[0])){l=Jt(n);var p=Kt(n,l,y.dtype);w(p,d),Qe.freeType(p)}else ve.raise("invalid buffer data")}else if($t(n)){l=n.shape;var f=n.stride,m=0,g=0,b=0,x=0;1===l.length?(m=l[0],g=1,b=f[0],x=0):2===l.length?(m=l[0],g=l[1],b=f[0],x=f[1]):ve.raise("invalid shape");var S=Array.isArray(n.data)?y.dtype:ri(n.data),_=Qe.allocType(S,m*g);ai(_,n.data,m,g,b,x,n.offset),w(_,d),Qe.freeType(_)}else ve.raise("invalid data for buffer subdata");return v}return p[y.id]=y,m||v(d),v._reglType="buffer",v._buffer=y,v.subdata=S,l.profile&&(v.stats=y.stats),v.destroy=function(){x(y)},v}function S(){zt(p).forEach((function(t){t.buffer=n.createBuffer(),n.bindBuffer(t.type,t.buffer),n.bufferData(t.type,t.persistentData||t.byteLength,t.usage)}))}return l.profile&&(r.getTotalBufferSize=function(){var t=0;return Object.keys(p).forEach((function(n){t+=p[n].stats.size})),t}),{create:w,createStream:g,destroyStream:y,clear:function(){zt(p).forEach(x),m.forEach(x)},getBuffer:function(t){return t&&t._buffer instanceof f?t._buffer:null},restore:S,_initBuffer:b}}ni[5120]=1,ni[5122]=2,ni[5124]=4,ni[5121]=1,ni[5123]=2,ni[5125]=4,ni[5126]=4;var li={points:0,point:0,lines:1,line:1,triangles:4,triangle:4,"line loop":2,"line strip":3,"triangle strip":5,"triangle fan":6},ci=0,di=1,ui=4,hi=5120,pi=5121,fi=5122,mi=5123,gi=5124,yi=5125,vi=34963,bi=35040,xi=35044;function wi(n,r,l,d){var h={},p=0,f={uint8:pi,uint16:mi};function m(t){this.id=p++,h[this.id]=this,this.buffer=t,this.primType=ui,this.vertCount=0,this.type=0}r.oes_element_index_uint&&(f.uint32=yi),m.prototype.bind=function(){this.buffer.bind()};var g=[];function y(t){var n=g.pop();return n||(n=new m(l.create(null,vi,!0,!1)._buffer)),b(n,t,bi,-1,-1,0,0),n}function v(t){g.push(t)}function b(d,h,p,f,m,g,y){var v;if(d.buffer.bind(),h){var b=y;y||t(h)&&(!$t(h)||t(h.data))||(b=r.oes_element_index_uint?yi:mi),l._initBuffer(d.buffer,h,p,b,3)}else n.bufferData(vi,g,p),d.buffer.dtype=v||pi,d.buffer.usage=p,d.buffer.dimension=3,d.buffer.byteLength=g;if(v=y,!y){switch(d.buffer.dtype){case pi:case hi:v=pi;break;case mi:case fi:v=mi;break;case yi:case gi:v=yi;break;default:ve.raise("unsupported type for element array")}d.buffer.dtype=v}d.type=v,ve(v!==yi||!!r.oes_element_index_uint,"32 bit element buffers not supported, enable oes_element_index_uint first");var x=m;x<0&&(x=d.buffer.byteLength,v===mi?x>>=1:v===yi&&(x>>=2)),d.vertCount=x;var w=f;if(f<0){w=ui;var S=d.buffer.dimension;1===S&&(w=ci),2===S&&(w=di),3===S&&(w=ui)}d.primType=w}function x(t){d.elementsCount--,ve(null!==t.buffer,"must not double destroy elements"),delete h[t.id],t.buffer.destroy(),t.buffer=null}function w(n,r){var h=l.create(null,vi,!0),p=new m(h._buffer);function g(n){if(n)if("number"==typeof n)h(n),p.primType=ui,p.vertCount=0|n,p.type=pi;else{var r=null,l=xi,d=-1,m=-1,y=0,v=0;Array.isArray(n)||t(n)||$t(n)?r=n:(ve.type(n,"object","invalid arguments for elements"),"data"in n&&(r=n.data,ve(Array.isArray(r)||t(r)||$t(r),"invalid data for element buffer")),"usage"in n&&(ve.parameter(n.usage,Zt,"invalid element buffer usage"),l=Zt[n.usage]),"primitive"in n&&(ve.parameter(n.primitive,li,"invalid element buffer primitive"),d=li[n.primitive]),"count"in n&&(ve("number"==typeof n.count&&n.count>=0,"invalid vertex count for elements"),m=0|n.count),"type"in n&&(ve.parameter(n.type,f,"invalid buffer type"),v=f[n.type]),"length"in n?y=0|n.length:(y=m,v===mi||v===fi?y*=2:v!==yi&&v!==gi||(y*=4))),b(p,r,l,d,m,y,v)}else h(),p.primType=ui,p.vertCount=0,p.type=pi;return g}return d.elementsCount++,g(n),g._reglType="elements",g._elements=p,g.subdata=function(t,n){return h.subdata(t,n),g},g.destroy=function(){x(p)},g}return{create:w,createStream:y,destroyStream:v,getElements:function(t){return"function"==typeof t&&t._elements instanceof m?t._elements:null},clear:function(){zt(h).forEach(x)}}}var Si=new Float32Array(1),_i=new Uint32Array(Si.buffer),Ei=5123;function Mi(t){for(var n=Qe.allocType(Ei,t.length),r=0;r<t.length;++r)if(isNaN(t[r]))n[r]=65535;else if(t[r]===1/0)n[r]=31744;else if(t[r]===-1/0)n[r]=64512;else{Si[0]=t[r];var l=_i[0],d=l>>>31<<15,h=(l<<1>>>24)-127,p=l>>13&1023;if(h<-24)n[r]=d;else if(h<-14){var f=-14-h;n[r]=d+(p+1024>>f)}else n[r]=h>15?d+31744:d+(h+15<<10)+p}return n}function Ti(n){return Array.isArray(n)||t(n)}var Ci=function(t){return!(t&t-1||!t)},Ai=34467,ki=3553,Oi=34067,Ii=34069,Ri=6408,Pi=6406,Li=6407,Di=6409,Fi=6410,Ni=32854,Bi=32855,$i=36194,zi=32819,ji=32820,Vi=33635,Ui=34042,Hi=6402,Gi=34041,Wi=35904,qi=35906,Xi=36193,Yi=33776,Zi=33777,Ki=33778,Ji=33779,Qi=35986,en=35987,tn=34798,nn=35840,rn=35841,on=35842,an=35843,sn=36196,ln=5121,cn=5123,dn=5125,un=5126,hn=10242,pn=10243,fn=10497,mn=33071,gn=33648,yn=10240,vn=10241,bn=9728,xn=9729,wn=9984,Sn=9985,_n=9986,En=9987,Mn=33170,Tn=4352,Cn=4353,An=4354,kn=34046,On=3317,In=37440,Rn=37441,Pn=37443,Ln=37444,Dn=33984,Fn=[wn,_n,Sn,En],Nn=[0,Di,Fi,Li,Ri],Bn={};function $n(t){return"[object "+t+"]"}Bn[Di]=Bn[Pi]=Bn[Hi]=1,Bn[Gi]=Bn[Fi]=2,Bn[Li]=Bn[Wi]=3,Bn[Ri]=Bn[qi]=4;var zn=$n("HTMLCanvasElement"),jn=$n("OffscreenCanvas"),Vn=$n("CanvasRenderingContext2D"),Un=$n("ImageBitmap"),Hn=$n("HTMLImageElement"),Gn=$n("HTMLVideoElement"),Wn=Object.keys(Xt).concat([zn,jn,Vn,Un,Hn,Gn]),qn=[];qn[ln]=1,qn[un]=4,qn[Xi]=2,qn[cn]=2,qn[dn]=4;var Xn=[];function Yn(t){return Array.isArray(t)&&(0===t.length||"number"==typeof t[0])}function Zn(t){return!!Array.isArray(t)&&!(0===t.length||!Ti(t[0]))}function Kn(t){return Object.prototype.toString.call(t)}function Jn(t){return Kn(t)===zn}function Qn(t){return Kn(t)===jn}function er(t){return Kn(t)===Vn}function tr(t){return Kn(t)===Un}function ir(t){return Kn(t)===Hn}function nr(t){return Kn(t)===Gn}function rr(t){if(!t)return!1;var n=Kn(t);return Wn.indexOf(n)>=0||Yn(t)||Zn(t)||$t(t)}function or(t){return 0|Xt[Object.prototype.toString.call(t)]}function ar(t,n){var r=n.length;switch(t.type){case ln:case cn:case dn:case un:var l=Qe.allocType(t.type,r);l.set(n),t.data=l;break;case Xi:t.data=Mi(n);break;default:ve.raise("unsupported texture type, must specify a typed array")}}function sr(t,n){return Qe.allocType(t.type===Xi?un:t.type,n)}function lr(t,n){t.type===Xi?(t.data=Mi(n),Qe.freeType(n)):t.data=n}function cr(t,n,r,l,d,h){for(var p=t.width,f=t.height,m=t.channels,g=sr(t,p*f*m),y=0,v=0;v<f;++v)for(var b=0;b<p;++b)for(var x=0;x<m;++x)g[y++]=n[r*b+l*v+d*x+h];lr(t,g)}function dr(t,n,r,l,d,h){var p;if(p=void 0!==Xn[t]?Xn[t]:Bn[t]*qn[n],h&&(p*=6),d){for(var f=0,m=r;m>=1;)f+=p*m*m,m/=2;return f}return p*r*l}function ur(r,l,d,h,p,f,m){var g={"don't care":Tn,"dont care":Tn,nice:An,fast:Cn},y={repeat:fn,clamp:mn,mirror:gn},v={nearest:bn,linear:xn},b=n({mipmap:En,"nearest mipmap nearest":wn,"linear mipmap nearest":Sn,"nearest mipmap linear":_n,"linear mipmap linear":En},v),x={none:0,browser:Ln},w={uint8:ln,rgba4:zi,rgb565:Vi,"rgb5 a1":ji},S={alpha:Pi,luminance:Di,"luminance alpha":Fi,rgb:Li,rgba:Ri,rgba4:Ni,"rgb5 a1":Bi,rgb565:$i},_={};l.ext_srgb&&(S.srgb=Wi,S.srgba=qi),l.oes_texture_float&&(w.float32=w.float=un),l.oes_texture_half_float&&(w.float16=w["half float"]=Xi),l.webgl_depth_texture&&(n(S,{depth:Hi,"depth stencil":Gi}),n(w,{uint16:cn,uint32:dn,"depth stencil":Ui})),l.webgl_compressed_texture_s3tc&&n(_,{"rgb s3tc dxt1":Yi,"rgba s3tc dxt1":Zi,"rgba s3tc dxt3":Ki,"rgba s3tc dxt5":Ji}),l.webgl_compressed_texture_atc&&n(_,{"rgb atc":Qi,"rgba atc explicit alpha":en,"rgba atc interpolated alpha":tn}),l.webgl_compressed_texture_pvrtc&&n(_,{"rgb pvrtc 4bppv1":nn,"rgb pvrtc 2bppv1":rn,"rgba pvrtc 4bppv1":on,"rgba pvrtc 2bppv1":an}),l.webgl_compressed_texture_etc1&&(_["rgb etc1"]=sn);var E=Array.prototype.slice.call(r.getParameter(Ai));Object.keys(_).forEach((function(t){var n=_[t];E.indexOf(n)>=0&&(S[t]=n)}));var T=Object.keys(S);d.textureFormats=T;var C=[];Object.keys(S).forEach((function(t){var n=S[t];C[n]=t}));var A=[];Object.keys(w).forEach((function(t){var n=w[t];A[n]=t}));var O=[];Object.keys(v).forEach((function(t){var n=v[t];O[n]=t}));var I=[];Object.keys(b).forEach((function(t){var n=b[t];I[n]=t}));var P=[];Object.keys(y).forEach((function(t){var n=y[t];P[n]=t}));var D=T.reduce((function(t,n){var r=S[n];return r===Di||r===Pi||r===Di||r===Fi||r===Hi||r===Gi||l.ext_srgb&&(r===Wi||r===qi)?t[r]=r:r===Bi||n.indexOf("rgba")>=0?t[r]=Ri:t[r]=Li,t}),{});function F(){this.internalformat=Ri,this.format=Ri,this.type=ln,this.compressed=!1,this.premultiplyAlpha=!1,this.flipY=!1,this.unpackAlignment=1,this.colorSpace=Ln,this.width=0,this.height=0,this.channels=0}function B(t,n){t.internalformat=n.internalformat,t.format=n.format,t.type=n.type,t.compressed=n.compressed,t.premultiplyAlpha=n.premultiplyAlpha,t.flipY=n.flipY,t.unpackAlignment=n.unpackAlignment,t.colorSpace=n.colorSpace,t.width=n.width,t.height=n.height,t.channels=n.channels}function $(t,n){if("object"==typeof n&&n){if("premultiplyAlpha"in n&&(ve.type(n.premultiplyAlpha,"boolean","invalid premultiplyAlpha"),t.premultiplyAlpha=n.premultiplyAlpha),"flipY"in n&&(ve.type(n.flipY,"boolean","invalid texture flip"),t.flipY=n.flipY),"alignment"in n&&(ve.oneOf(n.alignment,[1,2,4,8],"invalid texture unpack alignment"),t.unpackAlignment=n.alignment),"colorSpace"in n&&(ve.parameter(n.colorSpace,x,"invalid colorSpace"),t.colorSpace=x[n.colorSpace]),"type"in n){var r=n.type;ve(l.oes_texture_float||!("float"===r||"float32"===r),"you must enable the OES_texture_float extension in order to use floating point textures."),ve(l.oes_texture_half_float||!("half float"===r||"float16"===r),"you must enable the OES_texture_half_float extension in order to use 16-bit floating point textures."),ve(l.webgl_depth_texture||!("uint16"===r||"uint32"===r||"depth stencil"===r),"you must enable the WEBGL_depth_texture extension in order to use depth/stencil textures."),ve.parameter(r,w,"invalid texture type"),t.type=w[r]}var h=t.width,p=t.height,f=t.channels,m=!1;"shape"in n?(ve(Array.isArray(n.shape)&&n.shape.length>=2,"shape must be an array"),h=n.shape[0],p=n.shape[1],3===n.shape.length&&(f=n.shape[2],ve(f>0&&f<=4,"invalid number of channels"),m=!0),ve(h>=0&&h<=d.maxTextureSize,"invalid width"),ve(p>=0&&p<=d.maxTextureSize,"invalid height")):("radius"in n&&(h=p=n.radius,ve(h>=0&&h<=d.maxTextureSize,"invalid radius")),"width"in n&&(h=n.width,ve(h>=0&&h<=d.maxTextureSize,"invalid width")),"height"in n&&(p=n.height,ve(p>=0&&p<=d.maxTextureSize,"invalid height")),"channels"in n&&(f=n.channels,ve(f>0&&f<=4,"invalid number of channels"),m=!0)),t.width=0|h,t.height=0|p,t.channels=0|f;var g=!1;if("format"in n){var y=n.format;ve(l.webgl_depth_texture||!("depth"===y||"depth stencil"===y),"you must enable the WEBGL_depth_texture extension in order to use depth/stencil textures."),ve.parameter(y,S,"invalid texture format");var v=t.internalformat=S[y];t.format=D[v],y in w&&("type"in n||(t.type=w[y])),y in _&&(t.compressed=!0),g=!0}!m&&g?t.channels=Bn[t.format]:m&&!g?t.channels!==Nn[t.format]&&(t.format=t.internalformat=Nn[t.channels]):g&&m&&ve(t.channels===Bn[t.format],"number of channels inconsistent with specified format")}}function j(t){r.pixelStorei(In,t.flipY),r.pixelStorei(Rn,t.premultiplyAlpha),r.pixelStorei(Pn,t.colorSpace),r.pixelStorei(On,t.unpackAlignment)}function V(){F.call(this),this.xOffset=0,this.yOffset=0,this.data=null,this.needsFree=!1,this.element=null,this.needsCopy=!1}function U(n,r){var l=null;if(rr(r)?l=r:r&&(ve.type(r,"object","invalid pixel data type"),$(n,r),"x"in r&&(n.xOffset=0|r.x),"y"in r&&(n.yOffset=0|r.y),rr(r.data)&&(l=r.data)),ve(!n.compressed||l instanceof Uint8Array,"compressed texture data must be stored in a uint8array"),r.copy){ve(!l,"can not specify copy and data field for the same texture");var h=p.viewportWidth,f=p.viewportHeight;n.width=n.width||h-n.xOffset,n.height=n.height||f-n.yOffset,n.needsCopy=!0,ve(n.xOffset>=0&&n.xOffset<h&&n.yOffset>=0&&n.yOffset<f&&n.width>0&&n.width<=h&&n.height>0&&n.height<=f,"copy texture read out of bounds")}else if(l){if(t(l))n.channels=n.channels||4,n.data=l,"type"in r||n.type!==ln||(n.type=or(l));else if(Yn(l))n.channels=n.channels||4,ar(n,l),n.alignment=1,n.needsFree=!0;else if($t(l)){var m=l.data;Array.isArray(m)||n.type!==ln||(n.type=or(m));var g,y,v,b,x,w,S=l.shape,_=l.stride;3===S.length?(v=S[2],w=_[2]):(ve(2===S.length,"invalid ndarray pixel data, must be 2 or 3D"),v=1,w=1),g=S[0],y=S[1],b=_[0],x=_[1],n.alignment=1,n.width=g,n.height=y,n.channels=v,n.format=n.internalformat=Nn[v],n.needsFree=!0,cr(n,m,b,x,w,l.offset)}else if(Jn(l)||Qn(l)||er(l))Jn(l)||Qn(l)?n.element=l:n.element=l.canvas,n.width=n.element.width,n.height=n.element.height,n.channels=4;else if(tr(l))n.element=l,n.width=l.width,n.height=l.height,n.channels=4;else if(ir(l))n.element=l,n.width=l.naturalWidth,n.height=l.naturalHeight,n.channels=4;else if(nr(l))n.element=l,n.width=l.videoWidth,n.height=l.videoHeight,n.channels=4;else if(Zn(l)){var E=n.width||l[0].length,T=n.height||l.length,C=n.channels;C=Ti(l[0][0])?C||l[0][0].length:C||1;for(var A=jt.shape(l),O=1,I=0;I<A.length;++I)O*=A[I];var P=sr(n,O);jt.flatten(l,A,"",P),lr(n,P),n.alignment=1,n.width=E,n.height=T,n.channels=C,n.format=n.internalformat=Nn[C],n.needsFree=!0}}else n.width=n.width||1,n.height=n.height||1,n.channels=n.channels||4;n.type===un?ve(d.extensions.indexOf("oes_texture_float")>=0,"oes_texture_float extension not enabled"):n.type===Xi&&ve(d.extensions.indexOf("oes_texture_half_float")>=0,"oes_texture_half_float extension not enabled")}function G(t,n,l){var d=t.element,p=t.data,f=t.internalformat,m=t.format,g=t.type,y=t.width,v=t.height;j(t),d?r.texImage2D(n,l,m,m,g,d):t.compressed?r.compressedTexImage2D(n,l,f,y,v,0,p):t.needsCopy?(h(),r.copyTexImage2D(n,l,m,t.xOffset,t.yOffset,y,v,0)):r.texImage2D(n,l,m,y,v,0,m,g,p||null)}function W(t,n,l,d,p){var f=t.element,m=t.data,g=t.internalformat,y=t.format,v=t.type,b=t.width,x=t.height;j(t),f?r.texSubImage2D(n,p,l,d,y,v,f):t.compressed?r.compressedTexSubImage2D(n,p,l,d,g,b,x,m):t.needsCopy?(h(),r.copyTexSubImage2D(n,p,l,d,t.xOffset,t.yOffset,b,x)):r.texSubImage2D(n,p,l,d,b,x,y,v,m)}var q=[];function X(){return q.pop()||new V}function Y(t){t.needsFree&&Qe.freeType(t.data),V.call(t),q.push(t)}function K(){F.call(this),this.genMipmaps=!1,this.mipmapHint=Tn,this.mipmask=0,this.images=Array(16)}function J(t,n,r){var l=t.images[0]=X();t.mipmask=1,l.width=t.width=n,l.height=t.height=r,l.channels=t.channels=4}function Q(t,n){var r=null;if(rr(n))B(r=t.images[0]=X(),t),U(r,n),t.mipmask=1;else if($(t,n),Array.isArray(n.mipmap))for(var l=n.mipmap,d=0;d<l.length;++d)B(r=t.images[d]=X(),t),r.width>>=d,r.height>>=d,U(r,l[d]),t.mipmask|=1<<d;else B(r=t.images[0]=X(),t),U(r,n),t.mipmask=1;B(t,t.images[0]),!t.compressed||t.internalformat!==Yi&&t.internalformat!==Zi&&t.internalformat!==Ki&&t.internalformat!==Ji||ve(t.width%4==0&&t.height%4==0,"for compressed texture formats, mipmap level 0 must have width and height that are a multiple of 4")}function ee(t,n){for(var r=t.images,l=0;l<r.length;++l){if(!r[l])return;G(r[l],n,l)}}var te=[];function ie(){var t=te.pop()||new K;F.call(t),t.mipmask=0;for(var n=0;n<16;++n)t.images[n]=null;return t}function ne(t){for(var n=t.images,r=0;r<n.length;++r)n[r]&&Y(n[r]),n[r]=null;te.push(t)}function re(){this.minFilter=bn,this.magFilter=bn,this.wrapS=mn,this.wrapT=mn,this.anisotropic=1,this.genMipmaps=!1,this.mipmapHint=Tn}function oe(t,n){if("min"in n){var r=n.min;ve.parameter(r,b),t.minFilter=b[r],Fn.indexOf(t.minFilter)>=0&&!("faces"in n)&&(t.genMipmaps=!0)}if("mag"in n){var l=n.mag;ve.parameter(l,v),t.magFilter=v[l]}var h=t.wrapS,p=t.wrapT;if("wrap"in n){var f=n.wrap;"string"==typeof f?(ve.parameter(f,y),h=p=y[f]):Array.isArray(f)&&(ve.parameter(f[0],y),ve.parameter(f[1],y),h=y[f[0]],p=y[f[1]])}else{if("wrapS"in n){var m=n.wrapS;ve.parameter(m,y),h=y[m]}if("wrapT"in n){var x=n.wrapT;ve.parameter(x,y),p=y[x]}}if(t.wrapS=h,t.wrapT=p,"anisotropic"in n){var w=n.anisotropic;ve("number"==typeof w&&w>=1&&w<=d.maxAnisotropic,"aniso samples must be between 1 and "),t.anisotropic=n.anisotropic}if("mipmap"in n){var S=!1;switch(typeof n.mipmap){case"string":ve.parameter(n.mipmap,g,"invalid mipmap hint"),t.mipmapHint=g[n.mipmap],t.genMipmaps=!0,S=!0;break;case"boolean":S=t.genMipmaps=n.mipmap;break;case"object":ve(Array.isArray(n.mipmap),"invalid mipmap type"),t.genMipmaps=!1,S=!0;break;default:ve.raise("invalid mipmap type")}S&&!("min"in n)&&(t.minFilter=wn)}}function ae(t,n){r.texParameteri(n,vn,t.minFilter),r.texParameteri(n,yn,t.magFilter),r.texParameteri(n,hn,t.wrapS),r.texParameteri(n,pn,t.wrapT),l.ext_texture_filter_anisotropic&&r.texParameteri(n,kn,t.anisotropic),t.genMipmaps&&(r.hint(Mn,t.mipmapHint),r.generateMipmap(n))}var se=0,le={},ce=d.maxTextureUnits,de=Array(ce).map((function(){return null}));function ue(t){F.call(this),this.mipmask=0,this.internalformat=Ri,this.id=se++,this.refCount=1,this.target=t,this.texture=r.createTexture(),this.unit=-1,this.bindCount=0,this.texInfo=new re,m.profile&&(this.stats={size:0})}function he(t){r.activeTexture(Dn),r.bindTexture(t.target,t.texture)}function pe(){var t=de[0];t?r.bindTexture(t.target,t.texture):r.bindTexture(ki,null)}function fe(t){var n=t.texture;ve(n,"must not double destroy texture");var l=t.unit,d=t.target;l>=0&&(r.activeTexture(Dn+l),r.bindTexture(d,null),de[l]=null),r.deleteTexture(n),t.texture=null,t.params=null,t.pixels=null,t.refCount=0,delete le[t.id],f.textureCount--}function me(t,n){var l=new ue(ki);function h(t,n){var r=l.texInfo;re.call(r);var p=ie();return"number"==typeof t?J(p,0|t,"number"==typeof n?0|n:0|t):t?(ve.type(t,"object","invalid arguments to regl.texture"),oe(r,t),Q(p,t)):J(p,1,1),r.genMipmaps&&(p.mipmask=(p.width<<1)-1),l.mipmask=p.mipmask,B(l,p),ve.texture2D(r,p,d),l.internalformat=p.internalformat,h.width=p.width,h.height=p.height,he(l),ee(p,ki),ae(r,ki),pe(),ne(p),m.profile&&(l.stats.size=dr(l.internalformat,l.type,p.width,p.height,r.genMipmaps,!1)),h.format=C[l.internalformat],h.type=A[l.type],h.mag=O[r.magFilter],h.min=I[r.minFilter],h.wrapS=P[r.wrapS],h.wrapT=P[r.wrapT],h}function p(t,n,r,d){ve(!!t,"must specify image data");var p=0|n,f=0|r,m=0|d,g=X();return B(g,l),g.width=0,g.height=0,U(g,t),g.width=g.width||(l.width>>m)-p,g.height=g.height||(l.height>>m)-f,ve(l.type===g.type&&l.format===g.format&&l.internalformat===g.internalformat,"incompatible format for texture.subimage"),ve(p>=0&&f>=0&&p+g.width<=l.width&&f+g.height<=l.height,"texture.subimage write out of bounds"),ve(l.mipmask&1<<m,"missing mipmap data"),ve(g.data||g.element||g.needsCopy,"missing image data"),he(l),W(g,ki,p,f,m),pe(),Y(g),h}function g(t,n){var d=0|t,p=0|n||d;if(d===l.width&&p===l.height)return h;h.width=l.width=d,h.height=l.height=p,he(l);for(var f=0;l.mipmask>>f;++f){var g=d>>f,y=p>>f;if(!g||!y)break;r.texImage2D(ki,f,l.format,g,y,0,l.format,l.type,null)}return pe(),m.profile&&(l.stats.size=dr(l.internalformat,l.type,d,p,!1,!1)),h}return le[l.id]=l,f.textureCount++,h(t,n),h.subimage=p,h.resize=g,h._reglType="texture2d",h._texture=l,m.profile&&(h.stats=l.stats),h.destroy=function(){l.decRef()},h}function ge(t,n,l,h,p,g){var y=new ue(Oi);le[y.id]=y,f.cubeCount++;var v=new Array(6);function b(t,n,r,l,h,p){var f,g=y.texInfo;for(re.call(g),f=0;f<6;++f)v[f]=ie();if("number"!=typeof t&&t)if("object"==typeof t)if(n)Q(v[0],t),Q(v[1],n),Q(v[2],r),Q(v[3],l),Q(v[4],h),Q(v[5],p);else if(oe(g,t),$(y,t),"faces"in t){var x=t.faces;for(ve(Array.isArray(x)&&6===x.length,"cube faces must be a length 6 array"),f=0;f<6;++f)ve("object"==typeof x[f]&&!!x[f],"invalid input for cube map face"),B(v[f],y),Q(v[f],x[f])}else for(f=0;f<6;++f)Q(v[f],t);else ve.raise("invalid arguments to cube map");else{var w=0|t||1;for(f=0;f<6;++f)J(v[f],w,w)}for(B(y,v[0]),ve.optional((function(){d.npotTextureCube||ve(Ci(y.width)&&Ci(y.height),"your browser does not support non power or two texture dimensions")})),g.genMipmaps?y.mipmask=(v[0].width<<1)-1:y.mipmask=v[0].mipmask,ve.textureCube(y,g,v,d),y.internalformat=v[0].internalformat,b.width=v[0].width,b.height=v[0].height,he(y),f=0;f<6;++f)ee(v[f],Ii+f);for(ae(g,Oi),pe(),m.profile&&(y.stats.size=dr(y.internalformat,y.type,b.width,b.height,g.genMipmaps,!0)),b.format=C[y.internalformat],b.type=A[y.type],b.mag=O[g.magFilter],b.min=I[g.minFilter],b.wrapS=P[g.wrapS],b.wrapT=P[g.wrapT],f=0;f<6;++f)ne(v[f]);return b}function x(t,n,r,l,d){ve(!!n,"must specify image data"),ve("number"==typeof t&&t===(0|t)&&t>=0&&t<6,"invalid face");var h=0|r,p=0|l,f=0|d,m=X();return B(m,y),m.width=0,m.height=0,U(m,n),m.width=m.width||(y.width>>f)-h,m.height=m.height||(y.height>>f)-p,ve(y.type===m.type&&y.format===m.format&&y.internalformat===m.internalformat,"incompatible format for texture.subimage"),ve(h>=0&&p>=0&&h+m.width<=y.width&&p+m.height<=y.height,"texture.subimage write out of bounds"),ve(y.mipmask&1<<f,"missing mipmap data"),ve(m.data||m.element||m.needsCopy,"missing image data"),he(y),W(m,Ii+t,h,p,f),pe(),Y(m),b}function w(t){var n=0|t;if(n!==y.width){b.width=y.width=n,b.height=y.height=n,he(y);for(var l=0;l<6;++l)for(var d=0;y.mipmask>>d;++d)r.texImage2D(Ii+l,d,y.format,n>>d,n>>d,0,y.format,y.type,null);return pe(),m.profile&&(y.stats.size=dr(y.internalformat,y.type,b.width,b.height,!1,!0)),b}}return b(t,n,l,h,p,g),b.subimage=x,b.resize=w,b._reglType="textureCube",b._texture=y,m.profile&&(b.stats=y.stats),b.destroy=function(){y.decRef()},b}function ye(){for(var t=0;t<ce;++t)r.activeTexture(Dn+t),r.bindTexture(ki,null),de[t]=null;zt(le).forEach(fe),f.cubeCount=0,f.textureCount=0}function be(){for(var t=0;t<ce;++t){var n=de[t];n&&(n.bindCount=0,n.unit=-1,de[t]=null)}zt(le).forEach((function(t){t.texture=r.createTexture(),r.bindTexture(t.target,t.texture);for(var n=0;n<32;++n)if(0!=(t.mipmask&1<<n))if(t.target===ki)r.texImage2D(ki,n,t.internalformat,t.width>>n,t.height>>n,0,t.internalformat,t.type,null);else for(var l=0;l<6;++l)r.texImage2D(Ii+l,n,t.internalformat,t.width>>n,t.height>>n,0,t.internalformat,t.type,null);ae(t.texInfo,t.target)}))}function xe(){for(var t=0;t<ce;++t){var n=de[t];n&&(n.bindCount=0,n.unit=-1,de[t]=null),r.activeTexture(Dn+t),r.bindTexture(ki,null),r.bindTexture(Oi,null)}}return n(ue.prototype,{bind:function(){var t=this;t.bindCount+=1;var n=t.unit;if(n<0){for(var l=0;l<ce;++l){var d=de[l];if(d){if(d.bindCount>0)continue;d.unit=-1}de[l]=t,n=l;break}n>=ce&&ve.raise("insufficient number of texture units"),m.profile&&f.maxTextureUnits<n+1&&(f.maxTextureUnits=n+1),t.unit=n,r.activeTexture(Dn+n),r.bindTexture(t.target,t.texture)}return n},unbind:function(){this.bindCount-=1},decRef:function(){--this.refCount<=0&&fe(this)}}),m.profile&&(f.getTotalTextureSize=function(){var t=0;return Object.keys(le).forEach((function(n){t+=le[n].stats.size})),t}),{create2D:me,createCube:ge,clear:ye,getTexture:function(t){return null},restore:be,refresh:xe}}Xn[Ni]=2,Xn[Bi]=2,Xn[$i]=2,Xn[Gi]=4,Xn[Yi]=.5,Xn[Zi]=.5,Xn[Ki]=1,Xn[Ji]=1,Xn[Qi]=.5,Xn[en]=1,Xn[tn]=1,Xn[nn]=.5,Xn[rn]=.25,Xn[on]=.5,Xn[an]=.25,Xn[sn]=.5;var hr=36161,pr=32854,fr=32855,mr=36194,gr=33189,yr=36168,vr=34041,br=35907,xr=34836,wr=34842,Sr=34843,_r=[];function Er(t,n,r){return _r[t]*n*r}_r[pr]=2,_r[fr]=2,_r[mr]=2,_r[gr]=2,_r[yr]=1,_r[vr]=4,_r[br]=4,_r[xr]=16,_r[wr]=8,_r[Sr]=6;var Mr=function(t,n,r,l,d){var h={rgba4:pr,rgb565:mr,"rgb5 a1":fr,depth:gr,stencil:yr,"depth stencil":vr};n.ext_srgb&&(h.srgba=br),n.ext_color_buffer_half_float&&(h.rgba16f=wr,h.rgb16f=Sr),n.webgl_color_buffer_float&&(h.rgba32f=xr);var p=[];Object.keys(h).forEach((function(t){var n=h[t];p[n]=t}));var f=0,m={};function g(t){this.id=f++,this.refCount=1,this.renderbuffer=t,this.format=pr,this.width=0,this.height=0,d.profile&&(this.stats={size:0})}function y(n){var r=n.renderbuffer;ve(r,"must not double destroy renderbuffer"),t.bindRenderbuffer(hr,null),t.deleteRenderbuffer(r),n.renderbuffer=null,n.refCount=0,delete m[n.id],l.renderbufferCount--}function v(n,f){var y=new g(t.createRenderbuffer());function v(n,l){var f=0,m=0,g=pr;if("object"==typeof n&&n){var b=n;if("shape"in b){var x=b.shape;ve(Array.isArray(x)&&x.length>=2,"invalid renderbuffer shape"),f=0|x[0],m=0|x[1]}else"radius"in b&&(f=m=0|b.radius),"width"in b&&(f=0|b.width),"height"in b&&(m=0|b.height);"format"in b&&(ve.parameter(b.format,h,"invalid renderbuffer format"),g=h[b.format])}else"number"==typeof n?(f=0|n,m="number"==typeof l?0|l:f):n?ve.raise("invalid arguments to renderbuffer constructor"):f=m=1;if(ve(f>0&&m>0&&f<=r.maxRenderbufferSize&&m<=r.maxRenderbufferSize,"invalid renderbuffer size"),f!==y.width||m!==y.height||g!==y.format)return v.width=y.width=f,v.height=y.height=m,y.format=g,t.bindRenderbuffer(hr,y.renderbuffer),t.renderbufferStorage(hr,g,f,m),ve(0===t.getError(),"invalid render buffer format"),d.profile&&(y.stats.size=Er(y.format,y.width,y.height)),v.format=p[y.format],v}function b(n,l){var h=0|n,p=0|l||h;return h===y.width&&p===y.height||(ve(h>0&&p>0&&h<=r.maxRenderbufferSize&&p<=r.maxRenderbufferSize,"invalid renderbuffer size"),v.width=y.width=h,v.height=y.height=p,t.bindRenderbuffer(hr,y.renderbuffer),t.renderbufferStorage(hr,y.format,h,p),ve(0===t.getError(),"invalid render buffer format"),d.profile&&(y.stats.size=Er(y.format,y.width,y.height))),v}return m[y.id]=y,l.renderbufferCount++,v(n,f),v.resize=b,v._reglType="renderbuffer",v._renderbuffer=y,d.profile&&(v.stats=y.stats),v.destroy=function(){y.decRef()},v}function b(){zt(m).forEach((function(n){n.renderbuffer=t.createRenderbuffer(),t.bindRenderbuffer(hr,n.renderbuffer),t.renderbufferStorage(hr,n.format,n.width,n.height)})),t.bindRenderbuffer(hr,null)}return g.prototype.decRef=function(){--this.refCount<=0&&y(this)},d.profile&&(l.getTotalRenderbufferSize=function(){var t=0;return Object.keys(m).forEach((function(n){t+=m[n].stats.size})),t}),{create:v,clear:function(){zt(m).forEach(y)},restore:b}},Tr=36160,Cr=36161,Ar=3553,kr=34069,Or=36064,Ir=36096,Rr=36128,Pr=33306,Lr=36053,Dr=36054,Fr=36055,Nr=36057,Br=36061,$r=36193,zr=5121,jr=5126,Vr=6407,Ur=6408,Hr=6402,Gr=[Vr,Ur],Wr=[];Wr[Ur]=4,Wr[Vr]=3;var qr=[];qr[zr]=1,qr[jr]=4,qr[$r]=2;var Xr=33189,Yr=36168,Zr=34041,Kr=[32854,32855,36194,35907,34842,34843,34836],Jr={};function Qr(t,r,l,d,h,p){var f={cur:null,next:null,dirty:!1,setFBO:null},m=["rgba"],g=["rgba4","rgb565","rgb5 a1"];r.ext_srgb&&g.push("srgba"),r.ext_color_buffer_half_float&&g.push("rgba16f","rgb16f"),r.webgl_color_buffer_float&&g.push("rgba32f");var y=["uint8"];function v(t,n,r){this.target=t,this.texture=n,this.renderbuffer=r;var l=0,d=0;n?(l=n.width,d=n.height):r&&(l=r.width,d=r.height),this.width=l,this.height=d}function b(t){t&&(t.texture&&t.texture._texture.decRef(),t.renderbuffer&&t.renderbuffer._renderbuffer.decRef())}function x(t,n,r){if(t)if(t.texture){var l=t.texture._texture,d=Math.max(1,l.width),h=Math.max(1,l.height);ve(d===n&&h===r,"inconsistent width/height for supplied texture"),l.refCount+=1}else{var p=t.renderbuffer._renderbuffer;ve(p.width===n&&p.height===r,"inconsistent width/height for renderbuffer"),p.refCount+=1}}function w(n,r){r&&(r.texture?t.framebufferTexture2D(Tr,n,r.target,r.texture._texture.texture,0):t.framebufferRenderbuffer(Tr,n,Cr,r.renderbuffer._renderbuffer.renderbuffer))}function S(t){var n=Ar,r=null,l=null,d=t;"object"==typeof t&&(d=t.data,"target"in t&&(n=0|t.target)),ve.type(d,"function","invalid attachment data");var h=d._reglType;return"texture2d"===h?(r=d,ve(n===Ar)):"textureCube"===h?(r=d,ve(n>=kr&&n<kr+6,"invalid cube map target")):"renderbuffer"===h?(l=d,n=Cr):ve.raise("invalid regl object for attachment"),new v(n,r,l)}function _(t,n,r,l,p){if(r){var f=d.create2D({width:t,height:n,format:l,type:p});return f._texture.refCount=0,new v(Ar,f,null)}var m=h.create({width:t,height:n,format:l});return m._renderbuffer.refCount=0,new v(Cr,null,m)}function E(t){return t&&(t.texture||t.renderbuffer)}function T(t,n,r){t&&(t.texture?t.texture.resize(n,r):t.renderbuffer&&t.renderbuffer.resize(n,r),t.width=n,t.height=r)}r.oes_texture_half_float&&y.push("half float","float16"),r.oes_texture_float&&y.push("float","float32");var C=0,A={};function O(){this.id=C++,A[this.id]=this,this.framebuffer=t.createFramebuffer(),this.width=0,this.height=0,this.colorAttachments=[],this.depthAttachment=null,this.stencilAttachment=null,this.depthStencilAttachment=null}function I(t){t.colorAttachments.forEach(b),b(t.depthAttachment),b(t.stencilAttachment),b(t.depthStencilAttachment)}function P(n){var r=n.framebuffer;ve(r,"must not double destroy framebuffer"),t.deleteFramebuffer(r),n.framebuffer=null,p.framebufferCount--,delete A[n.id]}function D(n){var r;t.bindFramebuffer(Tr,n.framebuffer);var d=n.colorAttachments;for(r=0;r<d.length;++r)w(Or+r,d[r]);for(r=d.length;r<l.maxColorAttachments;++r)t.framebufferTexture2D(Tr,Or+r,Ar,null,0);t.framebufferTexture2D(Tr,Pr,Ar,null,0),t.framebufferTexture2D(Tr,Ir,Ar,null,0),t.framebufferTexture2D(Tr,Rr,Ar,null,0),w(Ir,n.depthAttachment),w(Rr,n.stencilAttachment),w(Pr,n.depthStencilAttachment);var h=t.checkFramebufferStatus(Tr);t.isContextLost()||h===Lr||ve.raise("framebuffer configuration not supported, status = "+Jr[h]),t.bindFramebuffer(Tr,f.next?f.next.framebuffer:null),f.cur=f.next,t.getError()}function F(t,d){var h=new O;function v(t,n){var d;ve(f.next!==h,"can not update framebuffer which is currently in use");var p=0,b=0,w=!0,T=!0,C=null,A=!0,O="rgba",P="uint8",F=1,B=null,$=null,j=null,V=!1;if("number"==typeof t)p=0|t,b=0|n||p;else if(t){ve.type(t,"object","invalid arguments for framebuffer");var U=t;if("shape"in U){var G=U.shape;ve(Array.isArray(G)&&G.length>=2,"invalid shape for framebuffer"),p=G[0],b=G[1]}else"radius"in U&&(p=b=U.radius),"width"in U&&(p=U.width),"height"in U&&(b=U.height);("color"in U||"colors"in U)&&(C=U.color||U.colors,Array.isArray(C)&&ve(1===C.length||r.webgl_draw_buffers,"multiple render targets not supported")),C||("colorCount"in U&&(F=0|U.colorCount,ve(F>0,"invalid color buffer count")),"colorTexture"in U&&(A=!!U.colorTexture,O="rgba4"),"colorType"in U&&(P=U.colorType,A?(ve(r.oes_texture_float||!("float"===P||"float32"===P),"you must enable OES_texture_float in order to use floating point framebuffer objects"),ve(r.oes_texture_half_float||!("half float"===P||"float16"===P),"you must enable OES_texture_half_float in order to use 16-bit floating point framebuffer objects")):"half float"===P||"float16"===P?(ve(r.ext_color_buffer_half_float,"you must enable EXT_color_buffer_half_float to use 16-bit render buffers"),O="rgba16f"):"float"!==P&&"float32"!==P||(ve(r.webgl_color_buffer_float,"you must enable WEBGL_color_buffer_float in order to use 32-bit floating point renderbuffers"),O="rgba32f"),ve.oneOf(P,y,"invalid color type")),"colorFormat"in U&&(O=U.colorFormat,m.indexOf(O)>=0?A=!0:g.indexOf(O)>=0?A=!1:ve.optional((function(){A?ve.oneOf(U.colorFormat,m,"invalid color format for texture"):ve.oneOf(U.colorFormat,g,"invalid color format for renderbuffer")})))),("depthTexture"in U||"depthStencilTexture"in U)&&(V=!(!U.depthTexture&&!U.depthStencilTexture),ve(!V||r.webgl_depth_texture,"webgl_depth_texture extension not supported")),"depth"in U&&("boolean"==typeof U.depth?w=U.depth:(B=U.depth,T=!1)),"stencil"in U&&("boolean"==typeof U.stencil?T=U.stencil:($=U.stencil,w=!1)),"depthStencil"in U&&("boolean"==typeof U.depthStencil?w=T=U.depthStencil:(j=U.depthStencil,w=!1,T=!1))}else p=b=1;var W=null,q=null,X=null,Y=null;if(Array.isArray(C))W=C.map(S);else if(C)W=[S(C)];else for(W=new Array(F),d=0;d<F;++d)W[d]=_(p,b,A,O,P);ve(r.webgl_draw_buffers||W.length<=1,"you must enable the WEBGL_draw_buffers extension in order to use multiple color buffers."),ve(W.length<=l.maxColorAttachments,"too many color attachments, not supported"),p=p||W[0].width,b=b||W[0].height,B?q=S(B):w&&!T&&(q=_(p,b,V,"depth","uint32")),$?X=S($):T&&!w&&(X=_(p,b,!1,"stencil","uint8")),j?Y=S(j):!B&&!$&&T&&w&&(Y=_(p,b,V,"depth stencil","depth stencil")),ve(!!B+!!$+!!j<=1,"invalid framebuffer configuration, can specify exactly one depth/stencil attachment");var K=null;for(d=0;d<W.length;++d)if(x(W[d],p,b),ve(!W[d]||W[d].texture&&Gr.indexOf(W[d].texture._texture.format)>=0||W[d].renderbuffer&&Kr.indexOf(W[d].renderbuffer._renderbuffer.format)>=0,"framebuffer color attachment "+d+" is invalid"),W[d]&&W[d].texture){var J=Wr[W[d].texture._texture.format]*qr[W[d].texture._texture.type];null===K?K=J:ve(K===J,"all color attachments much have the same number of bits per pixel.")}return x(q,p,b),ve(!q||q.texture&&q.texture._texture.format===Hr||q.renderbuffer&&q.renderbuffer._renderbuffer.format===Xr,"invalid depth attachment for framebuffer object"),x(X,p,b),ve(!X||X.renderbuffer&&X.renderbuffer._renderbuffer.format===Yr,"invalid stencil attachment for framebuffer object"),x(Y,p,b),ve(!Y||Y.texture&&Y.texture._texture.format===Zr||Y.renderbuffer&&Y.renderbuffer._renderbuffer.format===Zr,"invalid depth-stencil attachment for framebuffer object"),I(h),h.width=p,h.height=b,h.colorAttachments=W,h.depthAttachment=q,h.stencilAttachment=X,h.depthStencilAttachment=Y,v.color=W.map(E),v.depth=E(q),v.stencil=E(X),v.depthStencil=E(Y),v.width=h.width,v.height=h.height,D(h),v}function b(t,n){ve(f.next!==h,"can not resize a framebuffer which is currently in use");var r=Math.max(0|t,1),l=Math.max(0|n||r,1);if(r===h.width&&l===h.height)return v;for(var d=h.colorAttachments,p=0;p<d.length;++p)T(d[p],r,l);return T(h.depthAttachment,r,l),T(h.stencilAttachment,r,l),T(h.depthStencilAttachment,r,l),h.width=v.width=r,h.height=v.height=l,D(h),v}return p.framebufferCount++,v(t,d),n(v,{resize:b,_reglType:"framebuffer",_framebuffer:h,destroy:function(){P(h),I(h)},use:function(t){f.setFBO({framebuffer:v},t)}})}function B(t){var h=Array(6);function p(t){var l;ve(h.indexOf(f.next)<0,"can not update framebuffer which is currently in use");var g,v={color:null},b=0,x=null,w="rgba",S="uint8",_=1;if("number"==typeof t)b=0|t;else if(t){ve.type(t,"object","invalid arguments for framebuffer");var E=t;if("shape"in E){var T=E.shape;ve(Array.isArray(T)&&T.length>=2,"invalid shape for framebuffer"),ve(T[0]===T[1],"cube framebuffer must be square"),b=T[0]}else"radius"in E&&(b=0|E.radius),"width"in E?(b=0|E.width,"height"in E&&ve(E.height===b,"must be square")):"height"in E&&(b=0|E.height);("color"in E||"colors"in E)&&(x=E.color||E.colors,Array.isArray(x)&&ve(1===x.length||r.webgl_draw_buffers,"multiple render targets not supported")),x||("colorCount"in E&&(_=0|E.colorCount,ve(_>0,"invalid color buffer count")),"colorType"in E&&(ve.oneOf(E.colorType,y,"invalid color type"),S=E.colorType),"colorFormat"in E&&(w=E.colorFormat,ve.oneOf(E.colorFormat,m,"invalid color format for texture"))),"depth"in E&&(v.depth=E.depth),"stencil"in E&&(v.stencil=E.stencil),"depthStencil"in E&&(v.depthStencil=E.depthStencil)}else b=1;if(x)if(Array.isArray(x))for(g=[],l=0;l<x.length;++l)g[l]=x[l];else g=[x];else{g=Array(_);var C={radius:b,format:w,type:S};for(l=0;l<_;++l)g[l]=d.createCube(C)}for(v.color=Array(g.length),l=0;l<g.length;++l){var A=g[l];ve("function"==typeof A&&"textureCube"===A._reglType,"invalid cube map"),b=b||A.width,ve(A.width===b&&A.height===b,"invalid cube map shape"),v.color[l]={target:kr,data:g[l]}}for(l=0;l<6;++l){for(var O=0;O<g.length;++O)v.color[O].target=kr+l;l>0&&(v.depth=h[0].depth,v.stencil=h[0].stencil,v.depthStencil=h[0].depthStencil),h[l]?h[l](v):h[l]=F(v)}return n(p,{width:b,height:b,color:g})}function g(t){var n,r=0|t;if(ve(r>0&&r<=l.maxCubeMapSize,"invalid radius for cube fbo"),r===p.width)return p;var d=p.color;for(n=0;n<d.length;++n)d[n].resize(r);for(n=0;n<6;++n)h[n].resize(r);return p.width=p.height=r,p}return p(t),n(p,{faces:h,resize:g,_reglType:"framebufferCube",destroy:function(){h.forEach((function(t){t.destroy()}))}})}function $(){f.cur=null,f.next=null,f.dirty=!0,zt(A).forEach((function(n){n.framebuffer=t.createFramebuffer(),D(n)}))}return n(f,{getFramebuffer:function(t){if("function"==typeof t&&"framebuffer"===t._reglType){var n=t._framebuffer;if(n instanceof O)return n}return null},create:F,createCube:B,clear:function(){zt(A).forEach(P)},restore:$})}Jr[Lr]="complete",Jr[Dr]="incomplete attachment",Jr[Nr]="incomplete dimensions",Jr[Fr]="incomplete, missing attachment",Jr[Br]="unsupported";var eo=5126,to=34962,io=34963,no=["attributes","elements","offset","count","primitive","instances"];function ro(){this.state=0,this.x=0,this.y=0,this.z=0,this.w=0,this.buffer=null,this.size=0,this.normalized=!1,this.type=eo,this.offset=0,this.stride=0,this.divisor=0}function oo(n,r,l,d,h,p,f){for(var m=l.maxAttributes,g=new Array(m),y=0;y<m;++y)g[y]=new ro;var v=0,b={},x={Record:ro,scope:{},state:g,currentVAO:null,targetVAO:null,restore:S()?I:function(){},createVAO:P,getVAO:E,destroyBuffer:w,setVAO:S()?T:C,clear:S()?A:function(){}};function w(t){for(var r=0;r<g.length;++r){var l=g[r];l.buffer===t&&(n.disableVertexAttribArray(r),l.buffer=null)}}function S(){return r.oes_vertex_array_object}function _(){return r.angle_instanced_arrays}function E(t){return"function"==typeof t&&t._vao?t._vao:null}function T(t){if(t!==x.currentVAO){var n=S();t?n.bindVertexArrayOES(t.vao):n.bindVertexArrayOES(null),x.currentVAO=t}}function C(t){if(t!==x.currentVAO){if(t)t.bindAttrs();else{for(var r=_(),l=0;l<g.length;++l){var d=g[l];d.buffer?(n.enableVertexAttribArray(l),d.buffer.bind(),n.vertexAttribPointer(l,d.size,d.type,d.normalized,d.stride,d.offfset),r&&d.divisor&&r.vertexAttribDivisorANGLE(l,d.divisor)):(n.disableVertexAttribArray(l),n.vertexAttrib4f(l,d.x,d.y,d.z,d.w))}f.elements?n.bindBuffer(io,f.elements.buffer.buffer):n.bindBuffer(io,null)}x.currentVAO=t}}function A(){zt(b).forEach((function(t){t.destroy()}))}function O(){this.id=++v,this.attributes=[],this.elements=null,this.ownsElements=!1,this.count=0,this.offset=0,this.instances=-1,this.primitive=4;var t=S();this.vao=t?t.createVertexArrayOES():null,b[this.id]=this,this.buffers=[]}function I(){S()&&zt(b).forEach((function(t){t.refresh()}))}function P(n){var l=new O;function f(n){var d;if(Array.isArray(n))d=n,l.elements&&l.ownsElements&&l.elements.destroy(),l.elements=null,l.ownsElements=!1,l.offset=0,l.count=0,l.instances=-1,l.primitive=4;else{if(ve("object"==typeof n,"invalid arguments for create vao"),ve("attributes"in n,"must specify attributes for vao"),n.elements){var g=n.elements;l.ownsElements?"function"==typeof g&&"elements"===g._reglType?(l.elements.destroy(),l.ownsElements=!1):(l.elements(g),l.ownsElements=!1):p.getElements(n.elements)?(l.elements=n.elements,l.ownsElements=!1):(l.elements=p.create(n.elements),l.ownsElements=!0)}else l.elements=null,l.ownsElements=!1;d=n.attributes,l.offset=0,l.count=-1,l.instances=-1,l.primitive=4,l.elements&&(l.count=l.elements._elements.vertCount,l.primitive=l.elements._elements.primType),"offset"in n&&(l.offset=0|n.offset),"count"in n&&(l.count=0|n.count),"instances"in n&&(l.instances=0|n.instances),"primitive"in n&&(ve(n.primitive in li,"bad primitive type: "+n.primitive),l.primitive=li[n.primitive]),ve.optional((()=>{for(var t=Object.keys(n),r=0;r<t.length;++r)ve(no.indexOf(t[r])>=0,'invalid option for vao: "'+t[r]+'" valid options are '+no)})),ve(Array.isArray(d),"attributes must be an array")}ve(d.length<m,"too many attributes"),ve(d.length>0,"must specify at least one attribute");var y={},v=l.attributes;v.length=d.length;for(var b=0;b<d.length;++b){var x,w=d[b],S=v[b]=new ro,_=w.data||w;Array.isArray(_)||t(_)||$t(_)?(l.buffers[b]&&(x=l.buffers[b],t(_)&&x._buffer.byteLength>=_.byteLength?x.subdata(_):(x.destroy(),l.buffers[b]=null)),l.buffers[b]||(x=l.buffers[b]=h.create(w,to,!1,!0)),S.buffer=h.getBuffer(x),S.size=0|S.buffer.dimension,S.normalized=!1,S.type=S.buffer.dtype,S.offset=0,S.stride=0,S.divisor=0,S.state=1,y[b]=1):h.getBuffer(w)?(S.buffer=h.getBuffer(w),S.size=0|S.buffer.dimension,S.normalized=!1,S.type=S.buffer.dtype,S.offset=0,S.stride=0,S.divisor=0,S.state=1):h.getBuffer(w.buffer)?(S.buffer=h.getBuffer(w.buffer),S.size=0|(+w.size||S.buffer.dimension),S.normalized=!!w.normalized||!1,"type"in w?(ve.parameter(w.type,Yt,"invalid buffer type"),S.type=Yt[w.type]):S.type=S.buffer.dtype,S.offset=0|(w.offset||0),S.stride=0|(w.stride||0),S.divisor=0|(w.divisor||0),S.state=1,ve(S.size>=1&&S.size<=4,"size must be between 1 and 4"),ve(S.offset>=0,"invalid offset"),ve(S.stride>=0&&S.stride<=255,"stride must be between 0 and 255"),ve(S.divisor>=0,"divisor must be positive"),ve(!S.divisor||!!r.angle_instanced_arrays,"ANGLE_instanced_arrays must be enabled to use divisor")):"x"in w?(ve(b>0,"first attribute must not be a constant"),S.x=+w.x||0,S.y=+w.y||0,S.z=+w.z||0,S.w=+w.w||0,S.state=2):ve(!1,"invalid attribute spec for location "+b)}for(var E=0;E<l.buffers.length;++E)!y[E]&&l.buffers[E]&&(l.buffers[E].destroy(),l.buffers[E]=null);return l.refresh(),f}return d.vaoCount+=1,f.destroy=function(){for(var t=0;t<l.buffers.length;++t)l.buffers[t]&&l.buffers[t].destroy();l.buffers.length=0,l.ownsElements&&(l.elements.destroy(),l.elements=null,l.ownsElements=!1),l.destroy()},f._vao=l,f._reglType="vao",f(n)}return O.prototype.bindAttrs=function(){for(var t=_(),r=this.attributes,l=0;l<r.length;++l){var d=r[l];d.buffer?(n.enableVertexAttribArray(l),n.bindBuffer(to,d.buffer.buffer),n.vertexAttribPointer(l,d.size,d.type,d.normalized,d.stride,d.offset),t&&d.divisor&&t.vertexAttribDivisorANGLE(l,d.divisor)):(n.disableVertexAttribArray(l),n.vertexAttrib4f(l,d.x,d.y,d.z,d.w))}for(var h=r.length;h<m;++h)n.disableVertexAttribArray(h);var f=p.getElements(this.elements);f?n.bindBuffer(io,f.buffer.buffer):n.bindBuffer(io,null)},O.prototype.refresh=function(){var t=S();t&&(t.bindVertexArrayOES(this.vao),this.bindAttrs(),x.currentVAO=null,t.bindVertexArrayOES(null))},O.prototype.destroy=function(){if(this.vao){var t=S();this===x.currentVAO&&(x.currentVAO=null,t.bindVertexArrayOES(null)),t.deleteVertexArrayOES(this.vao),this.vao=null}this.ownsElements&&(this.elements.destroy(),this.elements=null,this.ownsElements=!1),b[this.id]&&(delete b[this.id],d.vaoCount-=1)},x}var ao=35632,so=35633,lo=35718,co=35721;function uo(t,r,l,d){var h={},p={};function f(t,n,r,l){this.name=t,this.id=n,this.location=r,this.info=l}function m(t,n){for(var r=0;r<t.length;++r)if(t[r].id===n.id)return void(t[r].location=n.location);t.push(n)}function g(n,l,d){var f=n===ao?h:p,m=f[l];if(!m){var g=r.str(l);m=t.createShader(n),t.shaderSource(m,g),t.compileShader(m),ve.shaderError(t,m,g,n,d),f[l]=m}return m}var y={},v=[],b=0;function x(t,n){this.id=b++,this.fragId=t,this.vertId=n,this.program=null,this.uniforms=[],this.attributes=[],this.refCount=1,d.profile&&(this.stats={uniformsCount:0,attributesCount:0})}function w(n,l,h){var p,y,v=g(ao,n.fragId),b=g(so,n.vertId),x=n.program=t.createProgram();if(t.attachShader(x,v),t.attachShader(x,b),h)for(p=0;p<h.length;++p){var w=h[p];t.bindAttribLocation(x,w[0],w[1])}t.linkProgram(x),ve.linkError(t,x,r.str(n.fragId),r.str(n.vertId),l);var S=t.getProgramParameter(x,lo);d.profile&&(n.stats.uniformsCount=S);var _=n.uniforms;for(p=0;p<S;++p)if(y=t.getActiveUniform(x,p)){if(y.size>1)for(var E=0;E<y.size;++E){var T=y.name.replace("[0]","["+E+"]");m(_,new f(T,r.id(T),t.getUniformLocation(x,T),y))}var C=y.name;y.size>1&&(C=C.replace("[0]","")),m(_,new f(C,r.id(C),t.getUniformLocation(x,C),y))}var A=t.getProgramParameter(x,co);d.profile&&(n.stats.attributesCount=A);var O=n.attributes;for(p=0;p<A;++p)(y=t.getActiveAttrib(x,p))&&m(O,new f(y.name,r.id(y.name),t.getAttribLocation(x,y.name),y))}function S(){h={},p={};for(var t=0;t<v.length;++t)w(v[t],null,v[t].attributes.map((function(t){return[t.location,t.name]})))}return d.profile&&(l.getMaxUniformsCount=function(){var t=0;return v.forEach((function(n){n.stats.uniformsCount>t&&(t=n.stats.uniformsCount)})),t},l.getMaxAttributesCount=function(){var t=0;return v.forEach((function(n){n.stats.attributesCount>t&&(t=n.stats.attributesCount)})),t}),{clear:function(){var n=t.deleteShader.bind(t);zt(h).forEach(n),h={},zt(p).forEach(n),p={},v.forEach((function(n){t.deleteProgram(n.program)})),v.length=0,y={},l.shaderCount=0},program:function(r,d,f,m){ve.command(r>=0,"missing vertex shader",f),ve.command(d>=0,"missing fragment shader",f);var g=y[d];g||(g=y[d]={});var b=g[r];if(b&&(b.refCount++,!m))return b;var S=new x(d,r);return l.shaderCount++,w(S,f,m),b||(g[r]=S),v.push(S),n(S,{destroy:function(){if(S.refCount--,S.refCount<=0){t.deleteProgram(S.program);var n=v.indexOf(S);v.splice(n,1),l.shaderCount--}g[S.vertId].refCount<=0&&(t.deleteShader(p[S.vertId]),delete p[S.vertId],delete y[S.fragId][S.vertId]),Object.keys(y[S.fragId]).length||(t.deleteShader(h[S.fragId]),delete h[S.fragId],delete y[S.fragId])}})},restore:S,shader:g,frag:-1,vert:-1}}var ho=6408,po=5121,fo=3333,mo=5126;function go(n,r,l,d,h,p,f){function m(m){var g;null===r.next?(ve(h.preserveDrawingBuffer,'you must create a webgl context with "preserveDrawingBuffer":true in order to read pixels from the drawing buffer'),g=po):(ve(null!==r.next.colorAttachments[0].texture,"You cannot read from a renderbuffer"),g=r.next.colorAttachments[0].texture._texture.type,ve.optional((function(){p.oes_texture_float?(ve(g===po||g===mo,"Reading from a framebuffer is only allowed for the types 'uint8' and 'float'"),g===mo&&ve(f.readFloat,"Reading 'float' values is not permitted in your browser. For a fallback, please see: https://www.npmjs.com/package/glsl-read-float")):ve(g===po,"Reading from a framebuffer is only allowed for the type 'uint8'")})));var y=0,v=0,b=d.framebufferWidth,x=d.framebufferHeight,w=null;t(m)?w=m:m&&(ve.type(m,"object","invalid arguments to regl.read()"),y=0|m.x,v=0|m.y,ve(y>=0&&y<d.framebufferWidth,"invalid x offset for regl.read"),ve(v>=0&&v<d.framebufferHeight,"invalid y offset for regl.read"),b=0|(m.width||d.framebufferWidth-y),x=0|(m.height||d.framebufferHeight-v),w=m.data||null),w&&(g===po?ve(w instanceof Uint8Array,"buffer must be 'Uint8Array' when reading from a framebuffer of type 'uint8'"):g===mo&&ve(w instanceof Float32Array,"buffer must be 'Float32Array' when reading from a framebuffer of type 'float'")),ve(b>0&&b+y<=d.framebufferWidth,"invalid width for read pixels"),ve(x>0&&x+v<=d.framebufferHeight,"invalid height for read pixels"),l();var S=b*x*4;return w||(g===po?w=new Uint8Array(S):g===mo&&(w=w||new Float32Array(S))),ve.isTypedArray(w,"data buffer for regl.read() must be a typedarray"),ve(w.byteLength>=S,"data buffer for regl.read() too small"),n.pixelStorei(fo,4),n.readPixels(y,v,b,x,ho,g,w),w}function g(t){var n;return r.setFBO({framebuffer:t.framebuffer},(function(){n=m(t)})),n}function y(t){return t&&"framebuffer"in t?g(t):m(t)}return y}function yo(t){return Array.prototype.slice.call(t)}function vo(t){return yo(t).join("")}function bo(){var t=0,r=[],l=[];function d(n){for(var d=0;d<l.length;++d)if(l[d]===n)return r[d];var h="g"+t++;return r.push(h),l.push(n),h}function h(){var r=[];function l(){r.push.apply(r,yo(arguments))}var d=[];function h(){var n="v"+t++;return d.push(n),arguments.length>0&&(r.push(n,"="),r.push.apply(r,yo(arguments)),r.push(";")),n}return n(l,{def:h,toString:function(){return vo([d.length>0?"var "+d.join(",")+";":"",vo(r)])}})}function p(){var t=h(),r=h(),l=t.toString,d=r.toString;function p(n,l){r(n,l,"=",t.def(n,l),";")}return n((function(){t.apply(t,yo(arguments))}),{def:t.def,entry:t,exit:r,save:p,set:function(n,r,l){p(n,r),t(n,r,"=",l,";")},toString:function(){return l()+d()}})}function f(){var t=vo(arguments),r=p(),l=p(),d=r.toString,h=l.toString;return n(r,{then:function(){return r.apply(r,yo(arguments)),this},else:function(){return l.apply(l,yo(arguments)),this},toString:function(){var n=h();return n&&(n="else{"+n+"}"),vo(["if(",t,"){",d(),"}",n])}})}var m=h(),g={};function y(t,r){var l=[];function d(){var t="a"+l.length;return l.push(t),t}r=r||0;for(var h=0;h<r;++h)d();var f=p(),m=f.toString;return g[t]=n(f,{arg:d,toString:function(){return vo(["function(",l.join(),"){",m(),"}"])}})}function v(){var t=['"use strict";',m,"return {"];Object.keys(g).forEach((function(n){t.push('"',n,'":',g[n].toString(),",")})),t.push("}");var n=vo(t).replace(/;/g,";\n").replace(/}/g,"}\n").replace(/{/g,"{\n");return Function.apply(null,r.concat(n)).apply(null,l)}return{global:m,link:d,block:h,proc:y,scope:p,cond:f,compile:v}}var xo="xyzw".split(""),wo=5121,So=1,_o=2,Eo=0,Mo=1,To=2,Co=3,Ao=4,ko=5,Oo=6,Io="dither",Ro="blend.enable",Po="blend.color",Lo="blend.equation",Do="blend.func",Fo="depth.enable",No="depth.func",Bo="depth.range",$o="depth.mask",zo="colorMask",jo="cull.enable",Vo="cull.face",Uo="frontFace",Ho="lineWidth",Go="polygonOffset.enable",Wo="polygonOffset.offset",qo="sample.alpha",Xo="sample.enable",Yo="sample.coverage",Zo="stencil.enable",Ko="stencil.mask",Jo="stencil.func",Qo="stencil.opFront",ea="stencil.opBack",ta="scissor.enable",ia="scissor.box",na="viewport",ra="profile",oa="framebuffer",aa="vert",sa="frag",la="elements",ca="primitive",da="count",ua="offset",ha="instances",pa="vao",fa="Width",ma="Height",ga=oa+fa,ya=oa+ma,va=na+fa,ba=na+ma,xa="drawingBuffer",wa=xa+fa,Sa=xa+ma,_a=[Do,Lo,Jo,Qo,ea,Yo,na,ia,Wo],Ea=34962,Ma=34963,Ta=3553,Ca=34067,Aa=2884,ka=3042,Oa=3024,Ia=2960,Ra=2929,Pa=3089,La=32823,Da=32926,Fa=32928,Na=5126,Ba=35664,$a=35665,za=35666,ja=5124,Va=35667,Ua=35668,Ha=35669,Ga=35670,Wa=35671,qa=35672,Xa=35673,Ya=35674,Za=35675,Ka=35676,Ja=35678,Qa=35680,es=4,ts=1028,is=1029,ns=2304,rs=2305,os=32775,as=32776,ss=519,ls=7680,cs=0,ds=1,us=32774,hs=513,ps=36160,fs=36064,ms={0:0,1:1,zero:0,one:1,"src color":768,"one minus src color":769,"src alpha":770,"one minus src alpha":771,"dst color":774,"one minus dst color":775,"dst alpha":772,"one minus dst alpha":773,"constant color":32769,"one minus constant color":32770,"constant alpha":32771,"one minus constant alpha":32772,"src alpha saturate":776},gs=["constant color, constant alpha","one minus constant color, constant alpha","constant color, one minus constant alpha","one minus constant color, one minus constant alpha","constant alpha, constant color","constant alpha, one minus constant color","one minus constant alpha, constant color","one minus constant alpha, one minus constant color"],ys={never:512,less:513,"<":513,equal:514,"=":514,"==":514,"===":514,lequal:515,"<=":515,greater:516,">":516,notequal:517,"!=":517,"!==":517,gequal:518,">=":518,always:519},vs={0:0,zero:0,keep:7680,replace:7681,increment:7682,decrement:7683,"increment wrap":34055,"decrement wrap":34056,invert:5386},bs={frag:35632,vert:35633},xs={cw:ns,ccw:rs};function ws(n){return Array.isArray(n)||t(n)||$t(n)}function Ss(t){return t.sort((function(t,n){return t===na?-1:n===na?1:t<n?-1:1}))}function _s(t,n,r,l){this.thisDep=t,this.contextDep=n,this.propDep=r,this.append=l}function Es(t){return t&&!(t.thisDep||t.contextDep||t.propDep)}function Ms(t){return new _s(!1,!1,!1,t)}function Ts(t,n){var r=t.type;if(r===Eo){var l=t.data.length;return new _s(!0,l>=1,l>=2,n)}if(r===Ao){var d=t.data;return new _s(d.thisDep,d.contextDep,d.propDep,n)}if(r===ko)return new _s(!1,!1,!1,n);if(r===Oo){for(var h=!1,p=!1,f=!1,m=0;m<t.data.length;++m){var g=t.data[m];if(g.type===Mo)f=!0;else if(g.type===To)p=!0;else if(g.type===Co)h=!0;else if(g.type===Eo){h=!0;var y=g.data;y>=1&&(p=!0),y>=2&&(f=!0)}else g.type===Ao&&(h=h||g.data.thisDep,p=p||g.data.contextDep,f=f||g.data.propDep)}return new _s(h,p,f,n)}return new _s(r===Co,r===To,r===Mo,n)}var Cs=new _s(!1,!1,!1,(function(){}));function As(t,r,l,d,h,p,f,m,g,y,v,b,x,w,S){var _=y.Record,E={add:32774,subtract:32778,"reverse subtract":32779};l.ext_blend_minmax&&(E.min=os,E.max=as);var T=l.angle_instanced_arrays,C=l.webgl_draw_buffers,A=l.oes_vertex_array_object,O={dirty:!0,profile:S.profile},I={},P=[],D={},F={};function B(t){return t.replace(".","_")}function $(t,n,r){var l=B(t);P.push(t),I[l]=O[l]=!!r,D[l]=n}function j(t,n,r){var l=B(t);P.push(t),Array.isArray(r)?(O[l]=r.slice(),I[l]=r.slice()):O[l]=I[l]=r,F[l]=n}$(Io,Oa),$(Ro,ka),j(Po,"blendColor",[0,0,0,0]),j(Lo,"blendEquationSeparate",[us,us]),j(Do,"blendFuncSeparate",[ds,cs,ds,cs]),$(Fo,Ra,!0),j(No,"depthFunc",hs),j(Bo,"depthRange",[0,1]),j($o,"depthMask",!0),j(zo,zo,[!0,!0,!0,!0]),$(jo,Aa),j(Vo,"cullFace",is),j(Uo,Uo,rs),j(Ho,Ho,1),$(Go,La),j(Wo,"polygonOffset",[0,0]),$(qo,Da),$(Xo,Fa),j(Yo,"sampleCoverage",[1,!1]),$(Zo,Ia),j(Ko,"stencilMask",-1),j(Jo,"stencilFunc",[ss,0,-1]),j(Qo,"stencilOpSeparate",[ts,ls,ls,ls]),j(ea,"stencilOpSeparate",[is,ls,ls,ls]),$(ta,Pa),j(ia,"scissor",[0,0,t.drawingBufferWidth,t.drawingBufferHeight]),j(na,na,[0,0,t.drawingBufferWidth,t.drawingBufferHeight]);var V={gl:t,context:x,strings:r,next:I,current:O,draw:b,elements:p,buffer:h,shader:v,attributes:y.state,vao:y,uniforms:g,framebuffer:m,extensions:l,timer:w,isBufferArgs:ws},U={primTypes:li,compareFuncs:ys,blendFuncs:ms,blendEquations:E,stencilOps:vs,glTypes:Yt,orientationType:xs};ve.optional((function(){V.isArrayLike=Ti})),C&&(U.backBuffer=[is],U.drawBuffer=Ve(d.maxDrawbuffers,(function(t){return 0===t?[0]:Ve(t,(function(t){return fs+t}))})));var G=0;function W(){var t=bo(),n=t.link,l=t.global;t.id=G++,t.batchId="0";var d=n(V),h=t.shared={props:"a0"};Object.keys(V).forEach((function(t){h[t]=l.def(d,".",t)})),ve.optional((function(){t.CHECK=n(ve),t.commandStr=ve.guessCommand(),t.command=n(t.commandStr),t.assert=function(t,r,l){t("if(!(",r,"))",this.CHECK,".commandRaise(",n(l),",",this.command,");")},U.invalidBlendCombinations=gs}));var p=t.next={},f=t.current={};Object.keys(F).forEach((function(t){Array.isArray(O[t])&&(p[t]=l.def(h.next,".",t),f[t]=l.def(h.current,".",t))}));var m=t.constants={};Object.keys(U).forEach((function(t){m[t]=l.def(JSON.stringify(U[t]))})),t.invoke=function(r,l){switch(l.type){case Eo:var d=["this",h.context,h.props,t.batchId];return r.def(n(l.data),".call(",d.slice(0,Math.max(l.data.length+1,4)),")");case Mo:return r.def(h.props,l.data);case To:return r.def(h.context,l.data);case Co:return r.def("this",l.data);case Ao:return l.data.append(t,r),l.data.ref;case ko:return l.data.toString();case Oo:return l.data.map((function(n){return t.invoke(r,n)}))}},t.attribCache={};var g={};return t.scopeAttrib=function(t){var l=r.id(t);if(l in g)return g[l];var d=y.scope[l];return d||(d=y.scope[l]=new _),g[l]=n(d)},t}function q(t){var n,r=t.static,l=t.dynamic;if(ra in r){var d=!!r[ra];(n=Ms((function(t,n){return d}))).enable=d}else if(ra in l){var h=l[ra];n=Ts(h,(function(t,n){return t.invoke(n,h)}))}return n}function X(t,n){var r=t.static,l=t.dynamic;if(oa in r){var d=r[oa];return d?(d=m.getFramebuffer(d),ve.command(d,"invalid framebuffer object"),Ms((function(t,n){var r=t.link(d),l=t.shared;n.set(l.framebuffer,".next",r);var h=l.context;return n.set(h,"."+ga,r+".width"),n.set(h,"."+ya,r+".height"),r}))):Ms((function(t,n){var r=t.shared;n.set(r.framebuffer,".next","null");var l=r.context;return n.set(l,"."+ga,l+"."+wa),n.set(l,"."+ya,l+"."+Sa),"null"}))}if(oa in l){var h=l[oa];return Ts(h,(function(t,n){var r=t.invoke(n,h),l=t.shared,d=l.framebuffer,p=n.def(d,".getFramebuffer(",r,")");ve.optional((function(){t.assert(n,"!"+r+"||"+p,"invalid framebuffer object")})),n.set(d,".next",p);var f=l.context;return n.set(f,"."+ga,p+"?"+p+".width:"+f+"."+wa),n.set(f,"."+ya,p+"?"+p+".height:"+f+"."+Sa),p}))}return null}function Y(t,n,r){var l=t.static,d=t.dynamic;function h(t){if(t in l){var h=l[t];ve.commandType(h,"object","invalid "+t,r.commandStr);var p,f,m=!0,g=0|h.x,y=0|h.y;return"width"in h?(p=0|h.width,ve.command(p>=0,"invalid "+t,r.commandStr)):m=!1,"height"in h?(f=0|h.height,ve.command(f>=0,"invalid "+t,r.commandStr)):m=!1,new _s(!m&&n&&n.thisDep,!m&&n&&n.contextDep,!m&&n&&n.propDep,(function(t,n){var r=t.shared.context,l=p;"width"in h||(l=n.def(r,".",ga,"-",g));var d=f;return"height"in h||(d=n.def(r,".",ya,"-",y)),[g,y,l,d]}))}if(t in d){var v=d[t],b=Ts(v,(function(n,r){var l=n.invoke(r,v);ve.optional((function(){n.assert(r,l+"&&typeof "+l+'==="object"',"invalid "+t)}));var d=n.shared.context,h=r.def(l,".x|0"),p=r.def(l,".y|0"),f=r.def('"width" in ',l,"?",l,".width|0:","(",d,".",ga,"-",h,")"),m=r.def('"height" in ',l,"?",l,".height|0:","(",d,".",ya,"-",p,")");return ve.optional((function(){n.assert(r,f+">=0&&"+m+">=0","invalid "+t)})),[h,p,f,m]}));return n&&(b.thisDep=b.thisDep||n.thisDep,b.contextDep=b.contextDep||n.contextDep,b.propDep=b.propDep||n.propDep),b}return n?new _s(n.thisDep,n.contextDep,n.propDep,(function(t,n){var r=t.shared.context;return[0,0,n.def(r,".",ga),n.def(r,".",ya)]})):null}var p=h(na);if(p){var f=p;p=new _s(p.thisDep,p.contextDep,p.propDep,(function(t,n){var r=f.append(t,n),l=t.shared.context;return n.set(l,"."+va,r[2]),n.set(l,"."+ba,r[3]),r}))}return{viewport:p,scissor_box:h(ia)}}function K(t,n){var r=t.static;if("string"==typeof r[sa]&&"string"==typeof r[aa]){if(Object.keys(n.dynamic).length>0)return null;var l=n.static,d=Object.keys(l);if(d.length>0&&"number"==typeof l[d[0]]){for(var h=[],p=0;p<d.length;++p)ve("number"==typeof l[d[p]],"must specify all vertex attribute locations when using vaos"),h.push([0|l[d[p]],d[p]]);return h}}return null}function J(t,n,l){var d=t.static,h=t.dynamic;function p(t){if(t in d){var n=r.id(d[t]);ve.optional((function(){v.shader(bs[t],n,ve.guessCommand())}));var l=Ms((function(){return n}));return l.id=n,l}if(t in h){var p=h[t];return Ts(p,(function(n,r){var l=n.invoke(r,p),d=r.def(n.shared.strings,".id(",l,")");return ve.optional((function(){r(n.shared.shader,".shader(",bs[t],",",d,",",n.command,");")})),d}))}return null}var f,m=p(sa),g=p(aa),y=null;return Es(m)&&Es(g)?(y=v.program(g.id,m.id,null,l),f=Ms((function(t,n){return t.link(y)}))):f=new _s(m&&m.thisDep||g&&g.thisDep,m&&m.contextDep||g&&g.contextDep,m&&m.propDep||g&&g.propDep,(function(t,n){var r,l=t.shared.shader;r=m?m.append(t,n):n.def(l,".",sa);var d=l+".program("+(g?g.append(t,n):n.def(l,".",aa))+","+r;return ve.optional((function(){d+=","+t.command})),n.def(d+")")})),{frag:m,vert:g,progVar:f,program:y}}function Q(t,n){var r=t.static,l=t.dynamic,d={},h=!1;function f(){if(pa in r){var t=r[pa];return null!==t&&null===y.getVAO(t)&&(t=y.createVAO(t)),h=!0,d.vao=t,Ms((function(n){var r=y.getVAO(t);return r?n.link(r):"null"}))}if(pa in l){h=!0;var n=l[pa];return Ts(n,(function(t,r){var l=t.invoke(r,n);return r.def(t.shared.vao+".getVAO("+l+")")}))}return null}var m=f(),g=!1;function v(){if(la in r){var t=r[la];if(d.elements=t,ws(t)){var f=d.elements=p.create(t,!0);t=p.getElements(f),g=!0}else t&&(t=p.getElements(t),g=!0,ve.command(t,"invalid elements",n.commandStr));var y=Ms((function(n,r){if(t){var l=n.link(t);return n.ELEMENTS=l,l}return n.ELEMENTS=null,null}));return y.value=t,y}if(la in l){g=!0;var v=l[la];return Ts(v,(function(t,n){var r=t.shared,l=r.isBufferArgs,d=r.elements,h=t.invoke(n,v),p=n.def("null"),f=n.def(l,"(",h,")"),m=t.cond(f).then(p,"=",d,".createStream(",h,");").else(p,"=",d,".getElements(",h,");");return ve.optional((function(){t.assert(m.else,"!"+h+"||"+p,"invalid elements")})),n.entry(m),n.exit(t.cond(f).then(d,".destroyStream(",p,");")),t.ELEMENTS=p,p}))}return h?new _s(m.thisDep,m.contextDep,m.propDep,(function(t,n){return n.def(t.shared.vao+".currentVAO?"+t.shared.elements+".getElements("+t.shared.vao+".currentVAO.elements):null")})):null}var b=v();function x(){if(ca in r){var t=r[ca];return d.primitive=t,ve.commandParameter(t,li,"invalid primitve",n.commandStr),Ms((function(n,r){return li[t]}))}if(ca in l){var p=l[ca];return Ts(p,(function(t,n){var r=t.constants.primTypes,l=t.invoke(n,p);return ve.optional((function(){t.assert(n,l+" in "+r,"invalid primitive, must be one of "+Object.keys(li))})),n.def(r,"[",l,"]")}))}return g?Es(b)?b.value?Ms((function(t,n){return n.def(t.ELEMENTS,".primType")})):Ms((function(){return es})):new _s(b.thisDep,b.contextDep,b.propDep,(function(t,n){var r=t.ELEMENTS;return n.def(r,"?",r,".primType:",es)})):h?new _s(m.thisDep,m.contextDep,m.propDep,(function(t,n){return n.def(t.shared.vao+".currentVAO?"+t.shared.vao+".currentVAO.primitive:"+es)})):null}function w(t,p){if(t in r){var f=0|r[t];return p?d.offset=f:d.instances=f,ve.command(!p||f>=0,"invalid "+t,n.commandStr),Ms((function(t,n){return p&&(t.OFFSET=f),f}))}if(t in l){var y=l[t];return Ts(y,(function(n,r){var l=n.invoke(r,y);return p&&(n.OFFSET=l,ve.optional((function(){n.assert(r,l+">=0","invalid "+t)}))),l}))}if(p){if(g)return Ms((function(t,n){return t.OFFSET=0,0}));if(h)return new _s(m.thisDep,m.contextDep,m.propDep,(function(t,n){return n.def(t.shared.vao+".currentVAO?"+t.shared.vao+".currentVAO.offset:0")}))}else if(h)return new _s(m.thisDep,m.contextDep,m.propDep,(function(t,n){return n.def(t.shared.vao+".currentVAO?"+t.shared.vao+".currentVAO.instances:-1")}));return null}var S=w(ua,!0);function _(){if(da in r){var t=0|r[da];return d.count=t,ve.command("number"==typeof t&&t>=0,"invalid vertex count",n.commandStr),Ms((function(){return t}))}if(da in l){var p=l[da];return Ts(p,(function(t,n){var r=t.invoke(n,p);return ve.optional((function(){t.assert(n,"typeof "+r+'==="number"&&'+r+">=0&&"+r+"===("+r+"|0)","invalid vertex count")})),r}))}if(g){if(Es(b)){if(b)return S?new _s(S.thisDep,S.contextDep,S.propDep,(function(t,n){var r=n.def(t.ELEMENTS,".vertCount-",t.OFFSET);return ve.optional((function(){t.assert(n,r+">=0","invalid vertex offset/element buffer too small")})),r})):Ms((function(t,n){return n.def(t.ELEMENTS,".vertCount")}));var f=Ms((function(){return-1}));return ve.optional((function(){f.MISSING=!0})),f}var y=new _s(b.thisDep||S.thisDep,b.contextDep||S.contextDep,b.propDep||S.propDep,(function(t,n){var r=t.ELEMENTS;return t.OFFSET?n.def(r,"?",r,".vertCount-",t.OFFSET,":-1"):n.def(r,"?",r,".vertCount:-1")}));return ve.optional((function(){y.DYNAMIC=!0})),y}if(h){var v=new _s(m.thisDep,m.contextDep,m.propDep,(function(t,n){return n.def(t.shared.vao,".currentVAO?",t.shared.vao,".currentVAO.count:-1")}));return v}return null}var E=x(),T=_(),C=w(ha,!1);return{elements:b,primitive:E,count:T,instances:C,offset:S,vao:m,vaoActive:h,elementsActive:g,static:d}}function ee(t,n){var r=t.static,l=t.dynamic,h={};return P.forEach((function(t){var p=B(t);function f(n,d){if(t in r){var f=n(r[t]);h[p]=Ms((function(){return f}))}else if(t in l){var m=l[t];h[p]=Ts(m,(function(t,n){return d(t,n,t.invoke(n,m))}))}}switch(t){case jo:case Ro:case Io:case Zo:case Fo:case ta:case Go:case qo:case Xo:case $o:return f((function(r){return ve.commandType(r,"boolean",t,n.commandStr),r}),(function(n,r,l){return ve.optional((function(){n.assert(r,"typeof "+l+'==="boolean"',"invalid flag "+t,n.commandStr)})),l}));case No:return f((function(r){return ve.commandParameter(r,ys,"invalid "+t,n.commandStr),ys[r]}),(function(n,r,l){var d=n.constants.compareFuncs;return ve.optional((function(){n.assert(r,l+" in "+d,"invalid "+t+", must be one of "+Object.keys(ys))})),r.def(d,"[",l,"]")}));case Bo:return f((function(t){return ve.command(Ti(t)&&2===t.length&&"number"==typeof t[0]&&"number"==typeof t[1]&&t[0]<=t[1],"depth range is 2d array",n.commandStr),t}),(function(t,n,r){return ve.optional((function(){t.assert(n,t.shared.isArrayLike+"("+r+")&&"+r+".length===2&&typeof "+r+'[0]==="number"&&typeof '+r+'[1]==="number"&&'+r+"[0]<="+r+"[1]","depth range must be a 2d array")})),[n.def("+",r,"[0]"),n.def("+",r,"[1]")]}));case Do:return f((function(t){ve.commandType(t,"object","blend.func",n.commandStr);var r="srcRGB"in t?t.srcRGB:t.src,l="srcAlpha"in t?t.srcAlpha:t.src,d="dstRGB"in t?t.dstRGB:t.dst,h="dstAlpha"in t?t.dstAlpha:t.dst;return ve.commandParameter(r,ms,p+".srcRGB",n.commandStr),ve.commandParameter(l,ms,p+".srcAlpha",n.commandStr),ve.commandParameter(d,ms,p+".dstRGB",n.commandStr),ve.commandParameter(h,ms,p+".dstAlpha",n.commandStr),ve.command(-1===gs.indexOf(r+", "+d),"unallowed blending combination (srcRGB, dstRGB) = ("+r+", "+d+")",n.commandStr),[ms[r],ms[d],ms[l],ms[h]]}),(function(n,r,l){var d=n.constants.blendFuncs;function h(h,p){var f=r.def('"',h,p,'" in ',l,"?",l,".",h,p,":",l,".",h);return ve.optional((function(){n.assert(r,f+" in "+d,"invalid "+t+"."+h+p+", must be one of "+Object.keys(ms))})),f}ve.optional((function(){n.assert(r,l+"&&typeof "+l+'==="object"',"invalid blend func, must be an object")}));var p=h("src","RGB"),f=h("dst","RGB");ve.optional((function(){var t=n.constants.invalidBlendCombinations;n.assert(r,t+".indexOf("+p+'+", "+'+f+") === -1 ","unallowed blending combination for (srcRGB, dstRGB)")}));var m=r.def(d,"[",p,"]"),g=r.def(d,"[",h("src","Alpha"),"]");return[m,r.def(d,"[",f,"]"),g,r.def(d,"[",h("dst","Alpha"),"]")]}));case Lo:return f((function(r){return"string"==typeof r?(ve.commandParameter(r,E,"invalid "+t,n.commandStr),[E[r],E[r]]):"object"==typeof r?(ve.commandParameter(r.rgb,E,t+".rgb",n.commandStr),ve.commandParameter(r.alpha,E,t+".alpha",n.commandStr),[E[r.rgb],E[r.alpha]]):void ve.commandRaise("invalid blend.equation",n.commandStr)}),(function(n,r,l){var d=n.constants.blendEquations,h=r.def(),p=r.def(),f=n.cond("typeof ",l,'==="string"');return ve.optional((function(){function r(t,r,l){n.assert(t,l+" in "+d,"invalid "+r+", must be one of "+Object.keys(E))}r(f.then,t,l),n.assert(f.else,l+"&&typeof "+l+'==="object"',"invalid "+t),r(f.else,t+".rgb",l+".rgb"),r(f.else,t+".alpha",l+".alpha")})),f.then(h,"=",p,"=",d,"[",l,"];"),f.else(h,"=",d,"[",l,".rgb];",p,"=",d,"[",l,".alpha];"),r(f),[h,p]}));case Po:return f((function(t){return ve.command(Ti(t)&&4===t.length,"blend.color must be a 4d array",n.commandStr),Ve(4,(function(n){return+t[n]}))}),(function(t,n,r){return ve.optional((function(){t.assert(n,t.shared.isArrayLike+"("+r+")&&"+r+".length===4","blend.color must be a 4d array")})),Ve(4,(function(t){return n.def("+",r,"[",t,"]")}))}));case Ko:return f((function(t){return ve.commandType(t,"number",p,n.commandStr),0|t}),(function(t,n,r){return ve.optional((function(){t.assert(n,"typeof "+r+'==="number"',"invalid stencil.mask")})),n.def(r,"|0")}));case Jo:return f((function(r){ve.commandType(r,"object",p,n.commandStr);var l=r.cmp||"keep",d=r.ref||0,h="mask"in r?r.mask:-1;return ve.commandParameter(l,ys,t+".cmp",n.commandStr),ve.commandType(d,"number",t+".ref",n.commandStr),ve.commandType(h,"number",t+".mask",n.commandStr),[ys[l],d,h]}),(function(t,n,r){var l=t.constants.compareFuncs;return ve.optional((function(){function d(){t.assert(n,Array.prototype.join.call(arguments,""),"invalid stencil.func")}d(r+"&&typeof ",r,'==="object"'),d('!("cmp" in ',r,")||(",r,".cmp in ",l,")")})),[n.def('"cmp" in ',r,"?",l,"[",r,".cmp]",":",ls),n.def(r,".ref|0"),n.def('"mask" in ',r,"?",r,".mask|0:-1")]}));case Qo:case ea:return f((function(r){ve.commandType(r,"object",p,n.commandStr);var l=r.fail||"keep",d=r.zfail||"keep",h=r.zpass||"keep";return ve.commandParameter(l,vs,t+".fail",n.commandStr),ve.commandParameter(d,vs,t+".zfail",n.commandStr),ve.commandParameter(h,vs,t+".zpass",n.commandStr),[t===ea?is:ts,vs[l],vs[d],vs[h]]}),(function(n,r,l){var d=n.constants.stencilOps;function h(h){return ve.optional((function(){n.assert(r,'!("'+h+'" in '+l+")||("+l+"."+h+" in "+d+")","invalid "+t+"."+h+", must be one of "+Object.keys(vs))})),r.def('"',h,'" in ',l,"?",d,"[",l,".",h,"]:",ls)}return ve.optional((function(){n.assert(r,l+"&&typeof "+l+'==="object"',"invalid "+t)})),[t===ea?is:ts,h("fail"),h("zfail"),h("zpass")]}));case Wo:return f((function(t){ve.commandType(t,"object",p,n.commandStr);var r=0|t.factor,l=0|t.units;return ve.commandType(r,"number",p+".factor",n.commandStr),ve.commandType(l,"number",p+".units",n.commandStr),[r,l]}),(function(n,r,l){return ve.optional((function(){n.assert(r,l+"&&typeof "+l+'==="object"',"invalid "+t)})),[r.def(l,".factor|0"),r.def(l,".units|0")]}));case Vo:return f((function(t){var r=0;return"front"===t?r=ts:"back"===t&&(r=is),ve.command(!!r,p,n.commandStr),r}),(function(t,n,r){return ve.optional((function(){t.assert(n,r+'==="front"||'+r+'==="back"',"invalid cull.face")})),n.def(r,'==="front"?',ts,":",is)}));case Ho:return f((function(t){return ve.command("number"==typeof t&&t>=d.lineWidthDims[0]&&t<=d.lineWidthDims[1],"invalid line width, must be a positive number between "+d.lineWidthDims[0]+" and "+d.lineWidthDims[1],n.commandStr),t}),(function(t,n,r){return ve.optional((function(){t.assert(n,"typeof "+r+'==="number"&&'+r+">="+d.lineWidthDims[0]+"&&"+r+"<="+d.lineWidthDims[1],"invalid line width")})),r}));case Uo:return f((function(t){return ve.commandParameter(t,xs,p,n.commandStr),xs[t]}),(function(t,n,r){return ve.optional((function(){t.assert(n,r+'==="cw"||'+r+'==="ccw"',"invalid frontFace, must be one of cw,ccw")})),n.def(r+'==="cw"?'+ns+":"+rs)}));case zo:return f((function(t){return ve.command(Ti(t)&&4===t.length,"color.mask must be length 4 array",n.commandStr),t.map((function(t){return!!t}))}),(function(t,n,r){return ve.optional((function(){t.assert(n,t.shared.isArrayLike+"("+r+")&&"+r+".length===4","invalid color.mask")})),Ve(4,(function(t){return"!!"+r+"["+t+"]"}))}));case Yo:return f((function(t){ve.command("object"==typeof t&&t,p,n.commandStr);var r="value"in t?t.value:1,l=!!t.invert;return ve.command("number"==typeof r&&r>=0&&r<=1,"sample.coverage.value must be a number between 0 and 1",n.commandStr),[r,l]}),(function(t,n,r){return ve.optional((function(){t.assert(n,r+"&&typeof "+r+'==="object"',"invalid sample.coverage")})),[n.def('"value" in ',r,"?+",r,".value:1"),n.def("!!",r,".invert")]}))}})),h}function te(t,n){var r=t.static,l=t.dynamic,d={};return Object.keys(r).forEach((function(t){var l,h=r[t];if("number"==typeof h||"boolean"==typeof h)l=Ms((function(){return h}));else if("function"==typeof h){var p=h._reglType;"texture2d"===p||"textureCube"===p?l=Ms((function(t){return t.link(h)})):"framebuffer"===p||"framebufferCube"===p?(ve.command(h.color.length>0,'missing color attachment for framebuffer sent to uniform "'+t+'"',n.commandStr),l=Ms((function(t){return t.link(h.color[0])}))):ve.commandRaise('invalid data for uniform "'+t+'"',n.commandStr)}else Ti(h)?l=Ms((function(n){return n.global.def("[",Ve(h.length,(function(r){return ve.command("number"==typeof h[r]||"boolean"==typeof h[r],"invalid uniform "+t,n.commandStr),h[r]})),"]")})):ve.commandRaise('invalid or missing data for uniform "'+t+'"',n.commandStr);l.value=h,d[t]=l})),Object.keys(l).forEach((function(t){var n=l[t];d[t]=Ts(n,(function(t,r){return t.invoke(r,n)}))})),d}function ie(t,n){var l=t.static,d=t.dynamic,p={};return Object.keys(l).forEach((function(t){var d=l[t],f=r.id(t),m=new _;if(ws(d))m.state=So,m.buffer=h.getBuffer(h.create(d,Ea,!1,!0)),m.type=0;else{var g=h.getBuffer(d);if(g)m.state=So,m.buffer=g,m.type=0;else if(ve.command("object"==typeof d&&d,"invalid data for attribute "+t,n.commandStr),"constant"in d){var y=d.constant;m.buffer="null",m.state=_o,"number"==typeof y?m.x=y:(ve.command(Ti(y)&&y.length>0&&y.length<=4,"invalid constant for attribute "+t,n.commandStr),xo.forEach((function(t,n){n<y.length&&(m[t]=y[n])})))}else{g=ws(d.buffer)?h.getBuffer(h.create(d.buffer,Ea,!1,!0)):h.getBuffer(d.buffer),ve.command(!!g,'missing buffer for attribute "'+t+'"',n.commandStr);var v=0|d.offset;ve.command(v>=0,'invalid offset for attribute "'+t+'"',n.commandStr);var b=0|d.stride;ve.command(b>=0&&b<256,'invalid stride for attribute "'+t+'", must be integer betweeen [0, 255]',n.commandStr);var x=0|d.size;ve.command(!("size"in d)||x>0&&x<=4,'invalid size for attribute "'+t+'", must be 1,2,3,4',n.commandStr);var w=!!d.normalized,S=0;"type"in d&&(ve.commandParameter(d.type,Yt,"invalid type for attribute "+t,n.commandStr),S=Yt[d.type]);var E=0|d.divisor;ve.optional((function(){"divisor"in d&&(ve.command(0===E||T,'cannot specify divisor for attribute "'+t+'", instancing not supported',n.commandStr),ve.command(E>=0,'invalid divisor for attribute "'+t+'"',n.commandStr));var r=n.commandStr,l=["buffer","offset","divisor","normalized","type","size","stride"];Object.keys(d).forEach((function(n){ve.command(l.indexOf(n)>=0,'unknown parameter "'+n+'" for attribute pointer "'+t+'" (valid parameters are '+l+")",r)}))})),m.buffer=g,m.state=So,m.size=x,m.normalized=w,m.type=S||g.dtype,m.offset=v,m.stride=b,m.divisor=E}}p[t]=Ms((function(t,n){var r=t.attribCache;if(f in r)return r[f];var l={isStream:!1};return Object.keys(m).forEach((function(t){l[t]=m[t]})),m.buffer&&(l.buffer=t.link(m.buffer),l.type=l.type||l.buffer+".dtype"),r[f]=l,l}))})),Object.keys(d).forEach((function(t){var n=d[t];function r(r,l){var d=r.invoke(l,n),h=r.shared,p=r.constants,f=h.isBufferArgs,m=h.buffer;ve.optional((function(){r.assert(l,d+"&&(typeof "+d+'==="object"||typeof '+d+'==="function")&&('+f+"("+d+")||"+m+".getBuffer("+d+")||"+m+".getBuffer("+d+".buffer)||"+f+"("+d+'.buffer)||("constant" in '+d+"&&(typeof "+d+'.constant==="number"||'+h.isArrayLike+"("+d+".constant))))",'invalid dynamic attribute "'+t+'"')}));var g={isStream:l.def(!1)},y=new _;y.state=So,Object.keys(y).forEach((function(t){g[t]=l.def(""+y[t])}));var v=g.buffer,b=g.type;function x(t){l(g[t],"=",d,".",t,"|0;")}return l("if(",f,"(",d,")){",g.isStream,"=true;",v,"=",m,".createStream(",Ea,",",d,");",b,"=",v,".dtype;","}else{",v,"=",m,".getBuffer(",d,");","if(",v,"){",b,"=",v,".dtype;",'}else if("constant" in ',d,"){",g.state,"=",_o,";","if(typeof "+d+'.constant === "number"){',g[xo[0]],"=",d,".constant;",xo.slice(1).map((function(t){return g[t]})).join("="),"=0;","}else{",xo.map((function(t,n){return g[t]+"="+d+".constant.length>"+n+"?"+d+".constant["+n+"]:0;"})).join(""),"}}else{","if(",f,"(",d,".buffer)){",v,"=",m,".createStream(",Ea,",",d,".buffer);","}else{",v,"=",m,".getBuffer(",d,".buffer);","}",b,'="type" in ',d,"?",p.glTypes,"[",d,".type]:",v,".dtype;",g.normalized,"=!!",d,".normalized;"),x("size"),x("offset"),x("stride"),x("divisor"),l("}}"),l.exit("if(",g.isStream,"){",m,".destroyStream(",v,");","}"),g}p[t]=Ts(n,r)})),p}function ne(t){var n=t.static,r=t.dynamic,l={};return Object.keys(n).forEach((function(t){var r=n[t];l[t]=Ms((function(t,n){return"number"==typeof r||"boolean"==typeof r?""+r:t.link(r)}))})),Object.keys(r).forEach((function(t){var n=r[t];l[t]=Ts(n,(function(t,r){return t.invoke(r,n)}))})),l}function re(t,n,r,d,h){var p=t.static,f=t.dynamic;ve.optional((function(){var t=[oa,aa,sa,la,ca,ua,da,ha,ra,pa].concat(P);function n(n){Object.keys(n).forEach((function(n){ve.command(t.indexOf(n)>=0,'unknown parameter "'+n+'"',h.commandStr)}))}n(p),n(f)}));var m=K(t,n),g=X(t,h),v=Y(t,g,h),b=Q(t,h),x=ee(t,h),w=J(t,h,m);function S(t){var n=v[t];n&&(x[t]=n)}S(na),S(B(ia));var _=Object.keys(x).length>0,E={framebuffer:g,draw:b,shader:w,state:x,dirty:_,scopeVAO:null,drawVAO:null,useVAO:!1,attributes:{}};if(E.profile=q(t,h),E.uniforms=te(r,h),E.drawVAO=E.scopeVAO=b.vao,!E.drawVAO&&w.program&&!m&&l.angle_instanced_arrays&&b.static.elements){var T=!0,C=w.program.attributes.map((function(t){var r=n.static[t];return T=T&&!!r,r}));if(T&&C.length>0){var A=y.getVAO(y.createVAO({attributes:C,elements:b.static.elements}));E.drawVAO=new _s(null,null,null,(function(t,n){return t.link(A)})),E.useVAO=!0}}return m?E.useVAO=!0:E.attributes=ie(n,h),E.context=ne(d,h),E}function oe(t,n,r){var l=t.shared.context,d=t.scope();Object.keys(r).forEach((function(h){n.save(l,"."+h);var p=r[h].append(t,n);Array.isArray(p)?d(l,".",h,"=[",p.join(),"];"):d(l,".",h,"=",p,";")})),n(d)}function ae(t,n,r,l){var d,h=t.shared,p=h.gl,f=h.framebuffer;C&&(d=n.def(h.extensions,".webgl_draw_buffers"));var m,g=t.constants,y=g.drawBuffer,v=g.backBuffer;m=r?r.append(t,n):n.def(f,".next"),l||n("if(",m,"!==",f,".cur){"),n("if(",m,"){",p,".bindFramebuffer(",ps,",",m,".framebuffer);"),C&&n(d,".drawBuffersWEBGL(",y,"[",m,".colorAttachments.length]);"),n("}else{",p,".bindFramebuffer(",ps,",null);"),C&&n(d,".drawBuffersWEBGL(",v,");"),n("}",f,".cur=",m,";"),l||n("}")}function se(t,n,r){var l=t.shared,d=l.gl,h=t.current,p=t.next,f=l.current,m=l.next,g=t.cond(f,".dirty");P.forEach((function(n){var l,y,v=B(n);if(!(v in r.state))if(v in p){l=p[v],y=h[v];var b=Ve(O[v].length,(function(t){return g.def(l,"[",t,"]")}));g(t.cond(b.map((function(t,n){return t+"!=="+y+"["+n+"]"})).join("||")).then(d,".",F[v],"(",b,");",b.map((function(t,n){return y+"["+n+"]="+t})).join(";"),";"))}else{l=g.def(m,".",v);var x=t.cond(l,"!==",f,".",v);g(x),v in D?x(t.cond(l).then(d,".enable(",D[v],");").else(d,".disable(",D[v],");"),f,".",v,"=",l,";"):x(d,".",F[v],"(",l,");",f,".",v,"=",l,";")}})),0===Object.keys(r.state).length&&g(f,".dirty=false;"),n(g)}function le(t,n,r,l){var d=t.shared,h=t.current,p=d.current,f=d.gl;Ss(Object.keys(r)).forEach((function(d){var m=r[d];if(!l||l(m)){var g=m.append(t,n);if(D[d]){var y=D[d];Es(m)?n(f,g?".enable(":".disable(",y,");"):n(t.cond(g).then(f,".enable(",y,");").else(f,".disable(",y,");")),n(p,".",d,"=",g,";")}else if(Ti(g)){var v=h[d];n(f,".",F[d],"(",g,");",g.map((function(t,n){return v+"["+n+"]="+t})).join(";"),";")}else n(f,".",F[d],"(",g,");",p,".",d,"=",g,";")}}))}function ce(t,n){T&&(t.instancing=n.def(t.shared.extensions,".angle_instanced_arrays"))}function de(t,n,r,l,d){var h,p,f,m=t.shared,g=t.stats,y=m.current,v=m.timer,b=r.profile;function x(){return"undefined"==typeof performance?"Date.now()":"performance.now()"}function S(t){t(h=n.def(),"=",x(),";"),"string"==typeof d?t(g,".count+=",d,";"):t(g,".count++;"),w&&(l?t(p=n.def(),"=",v,".getNumPendingQueries();"):t(v,".beginQuery(",g,");"))}function _(t){t(g,".cpuTime+=",x(),"-",h,";"),w&&(l?t(v,".pushScopeStats(",p,",",v,".getNumPendingQueries(),",g,");"):t(v,".endQuery();"))}function E(t){var r=n.def(y,".profile");n(y,".profile=",t,";"),n.exit(y,".profile=",r,";")}if(b){if(Es(b))return void(b.enable?(S(n),_(n.exit),E("true")):E("false"));E(f=b.append(t,n))}else f=n.def(y,".profile");var T=t.block();S(T),n("if(",f,"){",T,"}");var C=t.block();_(C),n.exit("if(",f,"){",C,"}")}function ue(t,n,r,l,d){var h=t.shared;function p(t){switch(t){case Ba:case Va:case Wa:return 2;case $a:case Ua:case qa:return 3;case za:case Ha:case Xa:return 4;default:return 1}}function f(r,l,d){var p=h.gl,f=n.def(r,".location"),m=n.def(h.attributes,"[",f,"]"),g=d.state,y=d.buffer,v=[d.x,d.y,d.z,d.w],b=["buffer","normalized","offset","stride"];function x(){n("if(!",m,".buffer){",p,".enableVertexAttribArray(",f,");}");var r,h=d.type;if(r=d.size?n.def(d.size,"||",l):l,n("if(",m,".type!==",h,"||",m,".size!==",r,"||",b.map((function(t){return m+"."+t+"!=="+d[t]})).join("||"),"){",p,".bindBuffer(",Ea,",",y,".buffer);",p,".vertexAttribPointer(",[f,r,h,d.normalized,d.stride,d.offset],");",m,".type=",h,";",m,".size=",r,";",b.map((function(t){return m+"."+t+"="+d[t]+";"})).join(""),"}"),T){var g=d.divisor;n("if(",m,".divisor!==",g,"){",t.instancing,".vertexAttribDivisorANGLE(",[f,g],");",m,".divisor=",g,";}")}}function w(){n("if(",m,".buffer){",p,".disableVertexAttribArray(",f,");",m,".buffer=null;","}if(",xo.map((function(t,n){return m+"."+t+"!=="+v[n]})).join("||"),"){",p,".vertexAttrib4f(",f,",",v,");",xo.map((function(t,n){return m+"."+t+"="+v[n]+";"})).join(""),"}")}g===So?x():g===_o?w():(n("if(",g,"===",So,"){"),x(),n("}else{"),w(),n("}"))}l.forEach((function(l){var h,m=l.name,g=r.attributes[m];if(g){if(!d(g))return;h=g.append(t,n)}else{if(!d(Cs))return;var y=t.scopeAttrib(m);ve.optional((function(){t.assert(n,y+".state","missing attribute "+m)})),h={},Object.keys(new _).forEach((function(t){h[t]=n.def(y,".",t)}))}f(t.link(l),p(l.info.type),h)}))}function he(t,n,l,d,h,p){for(var f,m=t.shared,g=m.gl,y={},v=0;v<d.length;++v){var b=d[v],x=b.name,w=b.info.type,S=b.info.size,_=l.uniforms[x];if(S>1){if(!_)continue;var E=x.replace("[0]","");if(y[E])continue;y[E]=1}var T,C=t.link(b)+".location";if(_){if(!h(_))continue;if(Es(_)){var A=_.value;if(ve.command(null!=A,'missing uniform "'+x+'"',t.commandStr),w===Ja||w===Qa){ve.command("function"==typeof A&&(w===Ja&&("texture2d"===A._reglType||"framebuffer"===A._reglType)||w===Qa&&("textureCube"===A._reglType||"framebufferCube"===A._reglType)),"invalid texture for uniform "+x,t.commandStr);var O=t.link(A._texture||A.color[0]._texture);n(g,".uniform1i(",C,",",O+".bind());"),n.exit(O,".unbind();")}else if(w===Ya||w===Za||w===Ka){ve.optional((function(){ve.command(Ti(A),"invalid matrix for uniform "+x,t.commandStr),ve.command(w===Ya&&4===A.length||w===Za&&9===A.length||w===Ka&&16===A.length,"invalid length for matrix uniform "+x,t.commandStr)}));var I=t.global.def("new Float32Array(["+Array.prototype.slice.call(A)+"])"),P=2;w===Za?P=3:w===Ka&&(P=4),n(g,".uniformMatrix",P,"fv(",C,",false,",I,");")}else{switch(w){case Na:1===S?ve.commandType(A,"number","uniform "+x,t.commandStr):ve.command(Ti(A)&&A.length===S,"uniform "+x,t.commandStr),f="1f";break;case Ba:ve.command(Ti(A)&&A.length&&A.length%2==0&&A.length<=2*S,"uniform "+x,t.commandStr),f="2f";break;case $a:ve.command(Ti(A)&&A.length&&A.length%3==0&&A.length<=3*S,"uniform "+x,t.commandStr),f="3f";break;case za:ve.command(Ti(A)&&A.length&&A.length%4==0&&A.length<=4*S,"uniform "+x,t.commandStr),f="4f";break;case Ga:1===S?ve.commandType(A,"boolean","uniform "+x,t.commandStr):ve.command(Ti(A)&&A.length===S,"uniform "+x,t.commandStr),f="1i";break;case ja:1===S?ve.commandType(A,"number","uniform "+x,t.commandStr):ve.command(Ti(A)&&A.length===S,"uniform "+x,t.commandStr),f="1i";break;case Wa:case Va:ve.command(Ti(A)&&A.length&&A.length%2==0&&A.length<=2*S,"uniform "+x,t.commandStr),f="2i";break;case qa:case Ua:ve.command(Ti(A)&&A.length&&A.length%3==0&&A.length<=3*S,"uniform "+x,t.commandStr),f="3i";break;case Xa:case Ha:ve.command(Ti(A)&&A.length&&A.length%4==0&&A.length<=4*S,"uniform "+x,t.commandStr),f="4i"}S>1?(f+="v",A=t.global.def("["+Array.prototype.slice.call(A)+"]")):A=Ti(A)?Array.prototype.slice.call(A):A,n(g,".uniform",f,"(",C,",",A,");")}continue}T=_.append(t,n)}else{if(!h(Cs))continue;T=n.def(m.uniforms,"[",r.id(x),"]")}w===Ja?(ve(!Array.isArray(T),"must specify a scalar prop for textures"),n("if(",T,"&&",T,'._reglType==="framebuffer"){',T,"=",T,".color[0];","}")):w===Qa&&(ve(!Array.isArray(T),"must specify a scalar prop for cube maps"),n("if(",T,"&&",T,'._reglType==="framebufferCube"){',T,"=",T,".color[0];","}")),ve.optional((function(){function r(r,l){t.assert(n,r,'bad data or missing for uniform "'+x+'".  '+l)}function l(t,n){1===n&&ve(!Array.isArray(T),"must not specify an array type for uniform"),r("Array.isArray("+T+") && typeof "+T+'[0]===" '+t+'" || typeof '+T+'==="'+t+'"',"invalid type, expected "+t)}function d(n,l,d){Array.isArray(T)?ve(T.length&&T.length%n==0&&T.length<=n*d,"must have length of "+(1===d?"":"n * ")+n):r(m.isArrayLike+"("+T+")&&"+T+".length && "+T+".length % "+n+" === 0 && "+T+".length<="+n*d,"invalid vector, should have length of "+(1===d?"":"n * ")+n,t.commandStr)}function h(n){ve(!Array.isArray(T),"must not specify a value type"),r("typeof "+T+'==="function"&&'+T+'._reglType==="texture'+(n===Ta?"2d":"Cube")+'"',"invalid texture type",t.commandStr)}switch(w){case ja:l("number",S);break;case Va:d(2,"number",S);break;case Ua:d(3,"number",S);break;case Ha:d(4,"number",S);break;case Na:l("number",S);break;case Ba:d(2,"number",S);break;case $a:d(3,"number",S);break;case za:d(4,"number",S);break;case Ga:l("boolean",S);break;case Wa:d(2,"boolean",S);break;case qa:d(3,"boolean",S);break;case Xa:d(4,"boolean",S);break;case Ya:d(4,"number",S);break;case Za:d(9,"number",S);break;case Ka:d(16,"number",S);break;case Ja:h(Ta);break;case Qa:h(Ca)}}));var D=1;switch(w){case Ja:case Qa:var F=n.def(T,"._texture");n(g,".uniform1i(",C,",",F,".bind());"),n.exit(F,".unbind();");continue;case ja:case Ga:f="1i";break;case Va:case Wa:f="2i",D=2;break;case Ua:case qa:f="3i",D=3;break;case Ha:case Xa:f="4i",D=4;break;case Na:f="1f";break;case Ba:f="2f",D=2;break;case $a:f="3f",D=3;break;case za:f="4f",D=4;break;case Ya:f="Matrix2fv";break;case Za:f="Matrix3fv";break;case Ka:f="Matrix4fv"}if(-1===f.indexOf("Matrix")&&S>1&&(f+="v",D=1),"M"===f.charAt(0)){n(g,".uniform",f,"(",C,",");var B=Math.pow(w-Ya+2,2),$=t.global.def("new Float32Array(",B,")");Array.isArray(T)?n("false,(",Ve(B,(function(t){return $+"["+t+"]="+T[t]})),",",$,")"):n("false,(Array.isArray(",T,")||",T," instanceof Float32Array)?",T,":(",Ve(B,(function(t){return $+"["+t+"]="+T+"["+t+"]"})),",",$,")"),n(");")}else if(D>1){for(var j=[],V=[],U=0;U<D;++U)Array.isArray(T)?V.push(T[U]):V.push(n.def(T+"["+U+"]")),p&&j.push(n.def());p&&n("if(!",t.batchId,"||",j.map((function(t,n){return t+"!=="+V[n]})).join("||"),"){",j.map((function(t,n){return t+"="+V[n]+";"})).join("")),n(g,".uniform",f,"(",C,",",V.join(","),");"),p&&n("}")}else{if(ve(!Array.isArray(T),"uniform value must not be an array"),p){var G=n.def();n("if(!",t.batchId,"||",G,"!==",T,"){",G,"=",T,";")}n(g,".uniform",f,"(",C,",",T,");"),p&&n("}")}}}function pe(t,n,r,l){var d=t.shared,h=d.gl,p=d.draw,f=l.draw;function m(){var m,g=f.elements,y=n;return g?((g.contextDep&&l.contextDynamic||g.propDep)&&(y=r),m=g.append(t,y),f.elementsActive&&y("if("+m+")"+h+".bindBuffer("+Ma+","+m+".buffer.buffer);")):(m=y.def(),y(m,"=",p,".",la,";","if(",m,"){",h,".bindBuffer(",Ma,",",m,".buffer.buffer);}","else if(",d.vao,".currentVAO){",m,"=",t.shared.elements+".getElements("+d.vao,".currentVAO.elements);",A?"":"if("+m+")"+h+".bindBuffer("+Ma+","+m+".buffer.buffer);","}")),m}function g(){var d,h=f.count,m=n;return h?((h.contextDep&&l.contextDynamic||h.propDep)&&(m=r),d=h.append(t,m),ve.optional((function(){h.MISSING&&t.assert(n,"false","missing vertex count"),h.DYNAMIC&&t.assert(m,d+">=0","missing vertex count")}))):(d=m.def(p,".",da),ve.optional((function(){t.assert(m,d+">=0","missing vertex count")}))),d}var y=m();function v(d){var h=f[d];return h?h.contextDep&&l.contextDynamic||h.propDep?h.append(t,r):h.append(t,n):n.def(p,".",d)}var b,x,w=v(ca),S=v(ua),_=g();if("number"==typeof _){if(0===_)return}else r("if(",_,"){"),r.exit("}");T&&(b=v(ha),x=t.instancing);var E=y+".type",C=f.elements&&Es(f.elements)&&!f.vaoActive;function O(){function t(){r(x,".drawElementsInstancedANGLE(",[w,_,E,S+"<<(("+E+"-"+wo+")>>1)",b],");")}function n(){r(x,".drawArraysInstancedANGLE(",[w,S,_,b],");")}y&&"null"!==y?C?t():(r("if(",y,"){"),t(),r("}else{"),n(),r("}")):n()}function I(){function t(){r(h+".drawElements("+[w,_,E,S+"<<(("+E+"-"+wo+")>>1)"]+");")}function n(){r(h+".drawArrays("+[w,S,_]+");")}y&&"null"!==y?C?t():(r("if(",y,"){"),t(),r("}else{"),n(),r("}")):n()}T&&("number"!=typeof b||b>=0)?"string"==typeof b?(r("if(",b,">0){"),O(),r("}else if(",b,"<0){"),I(),r("}")):O():I()}function fe(t,n,r,l,d){var h=W(),p=h.proc("body",d);return ve.optional((function(){h.commandStr=n.commandStr,h.command=h.link(n.commandStr)})),T&&(h.instancing=p.def(h.shared.extensions,".angle_instanced_arrays")),t(h,p,r,l),h.compile().body}function me(t,n,r,l){ce(t,n),r.useVAO?r.drawVAO?n(t.shared.vao,".setVAO(",r.drawVAO.append(t,n),");"):n(t.shared.vao,".setVAO(",t.shared.vao,".targetVAO);"):(n(t.shared.vao,".setVAO(null);"),ue(t,n,r,l.attributes,(function(){return!0}))),he(t,n,r,l.uniforms,(function(){return!0}),!1),pe(t,n,n,r)}function ge(t,n){var r=t.proc("draw",1);ce(t,r),oe(t,r,n.context),ae(t,r,n.framebuffer),se(t,r,n),le(t,r,n.state),de(t,r,n,!1,!0);var l=n.shader.progVar.append(t,r);if(r(t.shared.gl,".useProgram(",l,".program);"),n.shader.program)me(t,r,n,n.shader.program);else{r(t.shared.vao,".setVAO(null);");var d=t.global.def("{}"),h=r.def(l,".id"),p=r.def(d,"[",h,"]");r(t.cond(p).then(p,".call(this,a0);").else(p,"=",d,"[",h,"]=",t.link((function(r){return fe(me,t,n,r,1)})),"(",l,");",p,".call(this,a0);"))}Object.keys(n.state).length>0&&r(t.shared.current,".dirty=true;"),t.shared.vao&&r(t.shared.vao,".setVAO(null);")}function ye(t,n,r,l){function d(){return!0}t.batchId="a1",ce(t,n),ue(t,n,r,l.attributes,d),he(t,n,r,l.uniforms,d,!1),pe(t,n,n,r)}function be(t,n,r,l){ce(t,n);var d=r.contextDep,h=n.def(),p="a0",f="a1",m=n.def();t.shared.props=m,t.batchId=h;var g=t.scope(),y=t.scope();function v(t){return t.contextDep&&d||t.propDep}function b(t){return!v(t)}if(n(g.entry,"for(",h,"=0;",h,"<",f,";++",h,"){",m,"=",p,"[",h,"];",y,"}",g.exit),r.needsContext&&oe(t,y,r.context),r.needsFramebuffer&&ae(t,y,r.framebuffer),le(t,y,r.state,v),r.profile&&v(r.profile)&&de(t,y,r,!1,!0),l)r.useVAO?r.drawVAO?v(r.drawVAO)?y(t.shared.vao,".setVAO(",r.drawVAO.append(t,y),");"):g(t.shared.vao,".setVAO(",r.drawVAO.append(t,g),");"):g(t.shared.vao,".setVAO(",t.shared.vao,".targetVAO);"):(g(t.shared.vao,".setVAO(null);"),ue(t,g,r,l.attributes,b),ue(t,y,r,l.attributes,v)),he(t,g,r,l.uniforms,b,!1),he(t,y,r,l.uniforms,v,!0),pe(t,g,y,r);else{var x=t.global.def("{}"),w=r.shader.progVar.append(t,y),S=y.def(w,".id"),_=y.def(x,"[",S,"]");y(t.shared.gl,".useProgram(",w,".program);","if(!",_,"){",_,"=",x,"[",S,"]=",t.link((function(n){return fe(ye,t,r,n,2)})),"(",w,");}",_,".call(this,a0[",h,"],",h,");")}}function xe(t,n){var r=t.proc("batch",2);t.batchId="0",ce(t,r);var l=!1,d=!0;Object.keys(n.context).forEach((function(t){l=l||n.context[t].propDep})),l||(oe(t,r,n.context),d=!1);var h=n.framebuffer,p=!1;function f(t){return t.contextDep&&l||t.propDep}h?(h.propDep?l=p=!0:h.contextDep&&l&&(p=!0),p||ae(t,r,h)):ae(t,r,null),n.state.viewport&&n.state.viewport.propDep&&(l=!0),se(t,r,n),le(t,r,n.state,(function(t){return!f(t)})),n.profile&&f(n.profile)||de(t,r,n,!1,"a1"),n.contextDep=l,n.needsContext=d,n.needsFramebuffer=p;var m=n.shader.progVar;if(m.contextDep&&l||m.propDep)be(t,r,n,null);else{var g=m.append(t,r);if(r(t.shared.gl,".useProgram(",g,".program);"),n.shader.program)be(t,r,n,n.shader.program);else{r(t.shared.vao,".setVAO(null);");var y=t.global.def("{}"),v=r.def(g,".id"),b=r.def(y,"[",v,"]");r(t.cond(b).then(b,".call(this,a0,a1);").else(b,"=",y,"[",v,"]=",t.link((function(r){return fe(be,t,n,r,2)})),"(",g,");",b,".call(this,a0,a1);"))}}Object.keys(n.state).length>0&&r(t.shared.current,".dirty=true;"),t.shared.vao&&r(t.shared.vao,".setVAO(null);")}function we(t,n){var l=t.proc("scope",3);t.batchId="a2";var d=t.shared,h=d.current;function p(r){var h=n.shader[r];h&&l.set(d.shader,"."+r,h.append(t,l))}oe(t,l,n.context),n.framebuffer&&n.framebuffer.append(t,l),Ss(Object.keys(n.state)).forEach((function(r){var h=n.state[r].append(t,l);Ti(h)?h.forEach((function(n,d){l.set(t.next[r],"["+d+"]",n)})):l.set(d.next,"."+r,h)})),de(t,l,n,!0,!0),[la,ua,da,ha,ca].forEach((function(r){var h=n.draw[r];h&&l.set(d.draw,"."+r,""+h.append(t,l))})),Object.keys(n.uniforms).forEach((function(h){var p=n.uniforms[h].append(t,l);Array.isArray(p)&&(p="["+p.join()+"]"),l.set(d.uniforms,"["+r.id(h)+"]",p)})),Object.keys(n.attributes).forEach((function(r){var d=n.attributes[r].append(t,l),h=t.scopeAttrib(r);Object.keys(new _).forEach((function(t){l.set(h,"."+t,d[t])}))})),n.scopeVAO&&l.set(d.vao,".targetVAO",n.scopeVAO.append(t,l)),p(aa),p(sa),Object.keys(n.state).length>0&&(l(h,".dirty=true;"),l.exit(h,".dirty=true;")),l("a1(",t.shared.context,",a0,",t.batchId,");")}function Se(t){if("object"==typeof t&&!Ti(t)){for(var n=Object.keys(t),r=0;r<n.length;++r)if(Oe.isDynamic(t[n[r]]))return!0;return!1}}function _e(t,n,r){var l=n.static[r];if(l&&Se(l)){var d=t.global,h=Object.keys(l),p=!1,f=!1,m=!1,g=t.global.def("{}");h.forEach((function(n){var r=l[n];if(Oe.isDynamic(r)){"function"==typeof r&&(r=l[n]=Oe.unbox(r));var h=Ts(r,null);p=p||h.thisDep,m=m||h.propDep,f=f||h.contextDep}else{switch(d(g,".",n,"="),typeof r){case"number":d(r);break;case"string":d('"',r,'"');break;case"object":Array.isArray(r)&&d("[",r.join(),"]");break;default:d(t.link(r))}d(";")}})),n.dynamic[r]=new Oe.DynamicVariable(Ao,{thisDep:p,contextDep:f,propDep:m,ref:g,append:y}),delete n.static[r]}function y(t,n){h.forEach((function(r){var d=l[r];if(Oe.isDynamic(d)){var h=t.invoke(n,d);n(g,".",r,"=",h,";")}}))}}function Ee(t,r,l,d,h){var p=W();p.stats=p.link(h),Object.keys(r.static).forEach((function(t){_e(p,r,t)})),_a.forEach((function(n){_e(p,t,n)}));var f=re(t,r,l,d,p);return ge(p,f),we(p,f),xe(p,f),n(p.compile(),{destroy:function(){f.shader.program.destroy()}})}return{next:I,current:O,procs:function(){var t=W(),n=t.proc("poll"),r=t.proc("refresh"),h=t.block();n(h),r(h);var p,f=t.shared,m=f.gl,g=f.next,y=f.current;h(y,".dirty=false;"),ae(t,n),ae(t,r,null,!0),T&&(p=t.link(T)),l.oes_vertex_array_object&&r(t.link(l.oes_vertex_array_object),".bindVertexArrayOES(null);");for(var v=0;v<d.maxAttributes;++v){var b=r.def(f.attributes,"[",v,"]"),x=t.cond(b,".buffer");x.then(m,".enableVertexAttribArray(",v,");",m,".bindBuffer(",Ea,",",b,".buffer.buffer);",m,".vertexAttribPointer(",v,",",b,".size,",b,".type,",b,".normalized,",b,".stride,",b,".offset);").else(m,".disableVertexAttribArray(",v,");",m,".vertexAttrib4f(",v,",",b,".x,",b,".y,",b,".z,",b,".w);",b,".buffer=null;"),r(x),T&&r(p,".vertexAttribDivisorANGLE(",v,",",b,".divisor);")}return r(t.shared.vao,".currentVAO=null;",t.shared.vao,".setVAO(",t.shared.vao,".targetVAO);"),Object.keys(D).forEach((function(l){var d=D[l],p=h.def(g,".",l),f=t.block();f("if(",p,"){",m,".enable(",d,")}else{",m,".disable(",d,")}",y,".",l,"=",p,";"),r(f),n("if(",p,"!==",y,".",l,"){",f,"}")})),Object.keys(F).forEach((function(l){var d,p,f=F[l],v=O[l],b=t.block();if(b(m,".",f,"("),Ti(v)){var x=v.length;d=t.global.def(g,".",l),p=t.global.def(y,".",l),b(Ve(x,(function(t){return d+"["+t+"]"})),");",Ve(x,(function(t){return p+"["+t+"]="+d+"["+t+"];"})).join("")),n("if(",Ve(x,(function(t){return d+"["+t+"]!=="+p+"["+t+"]"})).join("||"),"){",b,"}")}else d=h.def(g,".",l),p=h.def(y,".",l),b(d,");",y,".",l,"=",d,";"),n("if(",d,"!==",p,"){",b,"}");r(b)})),t.compile()}(),compile:Ee}}function ks(){return{vaoCount:0,bufferCount:0,elementsCount:0,framebufferCount:0,shaderCount:0,textureCount:0,cubeCount:0,renderbufferCount:0,maxTextureUnits:0}}var Os=34918,Is=34919,Rs=35007,Ps=function(t,n){if(!n.ext_disjoint_timer_query)return null;var r=[];function l(){return r.pop()||n.ext_disjoint_timer_query.createQueryEXT()}function d(t){r.push(t)}var h=[];function p(t){var r=l();n.ext_disjoint_timer_query.beginQueryEXT(Rs,r),h.push(r),x(h.length-1,h.length,t)}function f(){n.ext_disjoint_timer_query.endQueryEXT(Rs)}function m(){this.startQueryIndex=-1,this.endQueryIndex=-1,this.sum=0,this.stats=null}var g=[];function y(){return g.pop()||new m}function v(t){g.push(t)}var b=[];function x(t,n,r){var l=y();l.startQueryIndex=t,l.endQueryIndex=n,l.sum=0,l.stats=r,b.push(l)}var w=[],S=[];function _(){var t,r,l=h.length;if(0!==l){S.length=Math.max(S.length,l+1),w.length=Math.max(w.length,l+1),w[0]=0,S[0]=0;var p=0;for(t=0,r=0;r<h.length;++r){var f=h[r];n.ext_disjoint_timer_query.getQueryObjectEXT(f,Is)?(p+=n.ext_disjoint_timer_query.getQueryObjectEXT(f,Os),d(f)):h[t++]=f,w[r+1]=p,S[r+1]=t}for(h.length=t,t=0,r=0;r<b.length;++r){var m=b[r],g=m.startQueryIndex,y=m.endQueryIndex;m.sum+=w[y]-w[g];var x=S[g],_=S[y];_===x?(m.stats.gpuTime+=m.sum/1e6,v(m)):(m.startQueryIndex=x,m.endQueryIndex=_,b[t++]=m)}b.length=t}}return{beginQuery:p,endQuery:f,pushScopeStats:x,update:_,getNumPendingQueries:function(){return h.length},clear:function(){r.push.apply(r,h);for(var t=0;t<r.length;t++)n.ext_disjoint_timer_query.deleteQueryEXT(r[t]);h.length=0,r.length=0},restore:function(){h.length=0,r.length=0}}},Ls=16384,Ds=256,Fs=1024,Ns=34962,Bs="webglcontextlost",$s="webglcontextrestored",zs=1,js=2,Vs=3;function Us(t,n){for(var r=0;r<t.length;++r)if(t[r]===n)return r;return-1}function Hs(t){var r=ze(t);if(!r)return null;var l=r.gl,d=l.getContextAttributes(),h=l.isContextLost(),p=je(l,r);if(!p)return null;var f=Pe(),m=ks(),g=p.extensions,y=Ps(l,g),v=Re(),b=l.drawingBufferWidth,x=l.drawingBufferHeight,w={tick:0,time:0,viewportWidth:b,viewportHeight:x,framebufferWidth:b,framebufferHeight:x,drawingBufferWidth:b,drawingBufferHeight:x,pixelRatio:r.pixelRatio},S={},_={elements:null,primitive:4,count:-1,offset:0,instances:-1},E=Bt(l,g),T=si(l,m,r,O),C=wi(l,g,T,m),A=oo(l,g,E,m,T,C,_);function O(t){return A.destroyBuffer(t)}var I=uo(l,f,m,r),P=ur(l,g,E,(function(){B.procs.poll()}),w,m,r),D=Mr(l,g,E,m,r),F=Qr(l,g,E,P,D,m),B=As(l,f,g,E,T,C,P,F,S,A,I,_,w,y,r),$=go(l,F,B.procs.poll,w,d,g,E),j=B.next,V=l.canvas,U=[],G=[],W=[],q=[r.onDestroy],X=null;function Y(){if(0===U.length)return y&&y.update(),void(X=null);X=Ie.next(Y),le();for(var t=U.length-1;t>=0;--t){var n=U[t];n&&n(w,null,0)}l.flush(),y&&y.update()}function K(){!X&&U.length>0&&(X=Ie.next(Y))}function J(){X&&(Ie.cancel(Y),X=null)}function Q(t){t.preventDefault(),h=!0,J(),G.forEach((function(t){t()}))}function ee(t){l.getError(),h=!1,p.restore(),I.restore(),T.restore(),P.restore(),D.restore(),F.restore(),A.restore(),y&&y.restore(),B.procs.refresh(),K(),W.forEach((function(t){t()}))}function te(){U.length=0,J(),V&&(V.removeEventListener(Bs,Q),V.removeEventListener($s,ee)),I.clear(),F.clear(),D.clear(),A.clear(),P.clear(),C.clear(),T.clear(),y&&y.clear(),q.forEach((function(t){t()}))}function ie(t){function r(t){var r=n({},t);function l(t){if(t in r){var n=r[t];delete r[t],Object.keys(n).forEach((function(l){r[t+"."+l]=n[l]}))}}return delete r.uniforms,delete r.attributes,delete r.context,delete r.vao,"stencil"in r&&r.stencil.op&&(r.stencil.opBack=r.stencil.opFront=r.stencil.op,delete r.stencil.op),l("blend"),l("depth"),l("cull"),l("stencil"),l("polygonOffset"),l("scissor"),l("sample"),"vao"in t&&(r.vao=t.vao),r}function l(t,n){var r={},l={};return Object.keys(t).forEach((function(d){var h=t[d];if(Oe.isDynamic(h))l[d]=Oe.unbox(h,d);else{if(n&&Array.isArray(h))for(var p=0;p<h.length;++p)if(Oe.isDynamic(h[p]))return void(l[d]=Oe.unbox(h,d));r[d]=h}})),{dynamic:l,static:r}}ve(!!t,"invalid args to regl({...})"),ve.type(t,"object","invalid args to regl({...})");var d=l(t.context||{},!0),p=l(t.uniforms||{},!0),f=l(t.attributes||{},!1),m=l(r(t),!1),g={gpuTime:0,cpuTime:0,count:0},y=B.compile(m,f,p,d,g),v=y.draw,b=y.batch,x=y.scope,w=[];function S(t){for(;w.length<t;)w.push(null);return w}function _(t,n){var r;if(h&&ve.raise("context lost"),"function"==typeof t)return x.call(this,null,t,0);if("function"==typeof n)if("number"==typeof t)for(r=0;r<t;++r)x.call(this,null,n,r);else{if(!Array.isArray(t))return x.call(this,t,n,0);for(r=0;r<t.length;++r)x.call(this,t[r],n,r)}else if("number"==typeof t){if(t>0)return b.call(this,S(0|t),0|t)}else{if(!Array.isArray(t))return v.call(this,t);if(t.length)return b.call(this,t,t.length)}}return n(_,{stats:g,destroy:function(){y.destroy()}})}V&&(V.addEventListener(Bs,Q,!1),V.addEventListener($s,ee,!1));var ne=F.setFBO=ie({framebuffer:Oe.define.call(null,zs,"framebuffer")});function re(t,n){var r=0;B.procs.poll();var d=n.color;d&&(l.clearColor(+d[0]||0,+d[1]||0,+d[2]||0,+d[3]||0),r|=Ls),"depth"in n&&(l.clearDepth(+n.depth),r|=Ds),"stencil"in n&&(l.clearStencil(0|n.stencil),r|=Fs),ve(!!r,"called regl.clear with no buffer specified"),l.clear(r)}function oe(t){if(ve("object"==typeof t&&t,"regl.clear() takes an object as input"),"framebuffer"in t)if(t.framebuffer&&"framebufferCube"===t.framebuffer_reglType)for(var r=0;r<6;++r)ne(n({framebuffer:t.framebuffer.faces[r]},t),re);else ne(t,re);else re(null,t)}function ae(t){function n(){var n=Us(U,t);function r(){var t=Us(U,r);U[t]=U[U.length-1],U.length-=1,U.length<=0&&J()}ve(n>=0,"cannot cancel a frame twice"),U[n]=r}return ve.type(t,"function","regl.frame() callback must be a function"),U.push(t),K(),{cancel:n}}function se(){var t=j.viewport,n=j.scissor_box;t[0]=t[1]=n[0]=n[1]=0,w.viewportWidth=w.framebufferWidth=w.drawingBufferWidth=t[2]=n[2]=l.drawingBufferWidth,w.viewportHeight=w.framebufferHeight=w.drawingBufferHeight=t[3]=n[3]=l.drawingBufferHeight}function le(){w.tick+=1,w.time=de(),se(),B.procs.poll()}function ce(){P.refresh(),se(),B.procs.refresh(),y&&y.update()}function de(){return(Re()-v)/1e3}function ue(t,n){var r;switch(ve.type(n,"function","listener callback must be a function"),t){case"frame":return ae(n);case"lost":r=G;break;case"restore":r=W;break;case"destroy":r=q;break;default:ve.raise("invalid event, must be one of frame,lost,restore,destroy")}return r.push(n),{cancel:function(){for(var t=0;t<r.length;++t)if(r[t]===n)return r[t]=r[r.length-1],void r.pop()}}}ce();var he=n(ie,{clear:oe,prop:Oe.define.bind(null,zs),context:Oe.define.bind(null,js),this:Oe.define.bind(null,Vs),draw:ie({}),buffer:function(t){return T.create(t,Ns,!1,!1)},elements:function(t){return C.create(t,!1)},texture:P.create2D,cube:P.createCube,renderbuffer:D.create,framebuffer:F.create,framebufferCube:F.createCube,vao:A.createVAO,attributes:d,frame:ae,on:ue,limits:E,hasExtension:function(t){return E.extensions.indexOf(t.toLowerCase())>=0},read:$,destroy:te,_gl:l,_refresh:ce,poll:function(){le(),y&&y.update()},now:de,stats:m});return r.onDone(null,he),he}return Hs}()},3302:function(t,n,r){"use strict";var l=this&&this.__read||function(t,n){var r="function"==typeof Symbol&&t[Symbol.iterator];if(!r)return t;var l,d,h=r.call(t),p=[];try{for(;(void 0===n||n-- >0)&&!(l=h.next()).done;)p.push(l.value)}catch(t){d={error:t}}finally{try{l&&!l.done&&(r=h.return)&&r.call(h)}finally{if(d)throw d.error}}return p};Object.defineProperty(n,"__esModule",{value:!0});var d=r(2212),h=new Map,p=/^(rgba|hsla)\((\d+),\s*(\d+%?),\s*(\d+%?)(?:,\s*(\d+(?:\.\d+)?))?\)$/;n.parseColor=function(t){if(h.has(t))return h.get(t);var n=function(t){var n=p.exec(t);if(n){var r=l(n,6),d=(r[0],r[1]),h=r[2],f=r[3],m=r[4],g=r[5];return{colorString:d.replace("a","")+"("+h+","+f+","+m+")",opacity:parseFloat(g)}}return{colorString:t,opacity:1}}(t),r=n.colorString,f=n.opacity,m=new d.Color(r),g={r:m.r,g:m.g,b:m.b,opacity:f};return h.set(t,g),g}},2962:(t,n)=>{"use strict";Object.defineProperty(n,"__esModule",{value:!0}),n.RGB_NUM_ELEMENTS=3,n.RGBA_NUM_ELEMENTS=4,n.XYZ_NUM_ELEMENTS=3,n.UV_NUM_ELEMENTS=2,n.INDEX_NUM_ELEMENTS=1,n.SCATTER_PLOT_CUBE_LENGTH=2},8683:function(t,n){"use strict";var r=this&&this.__values||function(t){var n="function"==typeof Symbol&&Symbol.iterator,r=n&&t[n],l=0;if(r)return r.call(t);if(t&&"number"==typeof t.length)return{next:function(){return t&&l>=t.length&&(t=void 0),{value:t&&t[l++],done:!t}}};throw new TypeError(n?"Object is not iterable.":"Symbol.iterator is not defined.")};Object.defineProperty(n,"__esModule",{value:!0});var l="Points must be an array of either 2 or 3 dimensional number arrays",d=function(){function t(t,n){var d,h;void 0===n&&(n=[]),this.points=t,this.metadata=n;var p=t[0].length;if(2!==p&&3!==p)throw new Error(l);try{for(var f=r(t),m=f.next();!m.done;m=f.next()){if(p!==m.value.length)throw new Error(l)}}catch(t){d={error:t}}finally{try{m&&!m.done&&(h=f.return)&&h.call(f)}finally{if(d)throw d.error}}this.dimensions=p}return t.prototype.setSpriteMetadata=function(t){this.spriteMetadata=t},t}();n.Dataset=d},2688:(t,n,r)=>{"use strict";var l=r(31);n.cq=l.ScatterGL;var d=r(8683);n.qz=d.Dataset},1223:(t,n)=>{"use strict";Object.defineProperty(n,"__esModule",{value:!0});var r=function(){function t(t,n,r){this.bound=t,this.cellWidth=n,this.cellHeight=r,this.numHorizCells=Math.ceil(this.boundWidth(t)/n),this.numVertCells=Math.ceil(this.boundHeight(t)/r),this.grid=new Array(this.numHorizCells*this.numVertCells)}return t.prototype.boundWidth=function(t){return t.hiX-t.loX},t.prototype.boundHeight=function(t){return t.hiY-t.loY},t.prototype.boundsIntersect=function(t,n){return!(t.loX>n.hiX||t.loY>n.hiY||t.hiX<n.loX||t.hiY<n.loY)},t.prototype.insert=function(t,n){if(void 0===n&&(n=!1),t.hiX<this.bound.loX||t.loX>this.bound.hiX||t.hiY<this.bound.loY||t.loY>this.bound.hiY)return!1;for(var r=this.getCellX(t.loX),l=this.getCellX(t.hiX),d=this.getCellY(t.loY),h=this.getCellY(t.hiY),p=d*this.numHorizCells+r,f=p,m=d;m<=h;m++){for(var g=r;g<=l;g++){var y=this.grid[f++];if(y)for(var v=0;v<y.length;v++)if(this.boundsIntersect(t,y[v]))return!1}f+=this.numHorizCells-(l-r+1)}if(n)return!0;f=p;for(m=d;m<=h;m++){for(g=r;g<=l;g++)this.grid[f]?this.grid[f].push(t):this.grid[f]=[t],f++;f+=this.numHorizCells-(l-r+1)}return!0},t.prototype.getCellX=function(t){return Math.floor((t-this.bound.loX)/this.cellWidth)},t.prototype.getCellY=function(t){return Math.floor((t-this.bound.loY)/this.cellHeight)},t}();n.CollisionGrid=r},7029:(t,n)=>{"use strict";Object.defineProperty(n,"__esModule",{value:!0});var r=function(t,n,r,l,d,h,p){this.pointIndices=t,this.labelStrings=n,this.scaleFactors=r,this.useSceneOpacityFlags=l,this.defaultFontSize=d,this.fillColors=h,this.strokeColors=p};n.LabelRenderParams=r,function(t){t[t.Perspective=0]="Perspective",t[t.Orthographic=1]="Orthographic"}(n.CameraType||(n.CameraType={}));var l=function(t,n,r,l,d,h,p,f,m,g,y,v,b,x){this.camera=t,this.cameraType=n,this.cameraTarget=r,this.screenWidth=l,this.screenHeight=d,this.nearestCameraSpacePointZ=h,this.farthestCameraSpacePointZ=p,this.backgroundColor=f,this.pointColors=m,this.pointScaleFactors=g,this.labels=y,this.polylineColors=v,this.polylineOpacities=b,this.polylineWidths=x};n.RenderContext=l},31:function(t,n,r){"use strict";var l=this&&this.__read||function(t,n){var r="function"==typeof Symbol&&t[Symbol.iterator];if(!r)return t;var l,d,h=r.call(t),p=[];try{for(;(void 0===n||n-- >0)&&!(l=h.next()).done;)p.push(l.value)}catch(t){d={error:t}}finally{try{l&&!l.done&&(r=h.return)&&r.call(h)}finally{if(d)throw d.error}}return p},d=this&&this.__spread||function(){for(var t=[],n=0;n<arguments.length;n++)t=t.concat(l(arguments[n]));return t},h=this&&this.__values||function(t){var n="function"==typeof Symbol&&Symbol.iterator,r=n&&t[n],l=0;if(r)return r.call(t);if(t&&"number"==typeof t.length)return{next:function(){return t&&l>=t.length&&(t=void 0),{value:t&&t[l++],done:!t}}};throw new TypeError(n?"Object is not iterable.":"Symbol.iterator is not defined.")};Object.defineProperty(n,"__esModule",{value:!0});var p=r(5748),f=r(3302),m=r(8683),g=r(7029),y=r(83),v=r(9813),b=r(2962),x=r(9877),w=r(5788),S=r(4183),_=r(6516),E=function(){function t(t,n){var r=this;void 0===n&&(n={}),this.pointColorer=null,this.sequences=[],this.renderMode="POINT",this.rotateOnStart=!0,this.selectEnabled=!0,this.showLabelsOnHover=!0,this.hoverPointIndex=null,this.selectedPointIndices=new Set,this.clickCallback=function(){},this.hoverCallback=function(){},this.selectCallback=function(){},this.cameraMoveCallback=function(){},this.onHover=function(t){r.hoverCallback(t),r.hoverPointIndex=t,r.updateScatterPlotAttributes(),r.renderScatterPlot()},this.onClick=function(t){r.clickCallback(t)},this.select=function(t){r.selectEnabled&&(r.selectedPointIndices=new Set(t),r.updateScatterPlotAttributes(),r.renderScatterPlot())},this.onSelect=function(t){r.selectEnabled&&(r.selectCallback(t),r.select(t))},this.containerElement=t,this.styles=y.makeStyles(n.styles),this.setParameters(n),this.scatterPlot=new p.ScatterPlot(t,{camera:n.camera,onClick:this.onClick,onHover:this.onHover,onSelect:this.onSelect,selectEnabled:this.selectEnabled,styles:this.styles,orbitControlParams:n.orbitControls}),this.scatterPlot.onCameraMove(this.cameraMoveCallback)}return t.prototype.setParameters=function(t){void 0!==t.onClick&&(this.clickCallback=t.onClick),void 0!==t.onHover&&(this.hoverCallback=t.onHover),void 0!==t.onSelect&&(this.selectCallback=t.onSelect),void 0!==t.onCameraMove&&(this.cameraMoveCallback=t.onCameraMove),void 0!==t.pointColorer&&(this.pointColorer=t.pointColorer),void 0!==t.renderMode&&(this.renderMode=t.renderMode),void 0!==t.rotateOnStart&&(this.rotateOnStart=t.rotateOnStart),void 0!==t.selectEnabled&&(this.selectEnabled=t.selectEnabled),void 0!==t.showLabelsOnHover&&(this.showLabelsOnHover=t.showLabelsOnHover)},t.prototype.render=function(t){this.updateDataset(t),this.clearVisualizers(),this.setVisualizers(),this.rotateOnStart&&this.scatterPlot.startOrbitAnimation()},t.prototype.clearVisualizers=function(){this.canvasLabelsVisualizer=void 0,this.labels3DVisualizer=void 0,this.pointVisualizer=void 0,this.polylineVisualizer=void 0,this.spritesheetVisualizer=void 0,this.scatterPlot.disposeAllVisualizers()},t.prototype.renderScatterPlot=function(){this.dataset&&this.scatterPlot.render()},t.prototype.resetZoom=function(){this.scatterPlot.resetZoom()},t.prototype.setRenderMode=function(t){this.renderMode=t,this.setVisualizers(),this.updateScatterPlotAttributes(),this.updateScatterPlotPositions()},t.prototype.setTextRenderMode=function(){this.setRenderMode("TEXT"),this.renderScatterPlot()},t.prototype.setPointRenderMode=function(){this.setRenderMode("POINT"),this.renderScatterPlot()},t.prototype.setSpriteRenderMode=function(){this.dataset&&this.dataset.spriteMetadata&&(this.setRenderMode("SPRITE"),this.renderScatterPlot())},t.prototype.setSequences=function(t){this.sequences=t,this.updatePolylineAttributes(),this.setVisualizers(),this.renderScatterPlot()},t.prototype.setPanMode=function(){this.scatterPlot.setInteractionMode("PAN")},t.prototype.setSelectMode=function(){this.scatterPlot.setInteractionMode("SELECT")},t.prototype.setDimensions=function(t){var n=t<2||t>3,r=this.dataset&&t>this.dataset.dimensions;if(n||r)throw new RangeError("Setting invalid dimensionality");this.scatterPlot.setDimensions(t),this.renderScatterPlot()},t.prototype.setPointColorer=function(t){this.pointColorer=t,this.updateScatterPlotAttributes(),this.renderScatterPlot()},t.prototype.callPointColorer=function(t,n){return t(n,this.selectedPointIndices,this.hoverPointIndex)},t.prototype.setHoverPointIndex=function(t){this.hoverPointIndex=t,this.updateScatterPlotAttributes(),this.scatterPlot.orbitIsAnimating()||this.renderScatterPlot()},t.prototype.resize=function(){this.scatterPlot.resize()},t.prototype.updateDataset=function(t){this.setDataset(t),this.scatterPlot.setDimensions(t.dimensions),this.updateScatterPlotAttributes(),this.updateScatterPlotPositions(),this.renderScatterPlot()},t.prototype.isOrbiting=function(){return this.scatterPlot.orbitIsAnimating()},t.prototype.startOrbitAnimation=function(){this.scatterPlot.startOrbitAnimation()},t.prototype.stopOrbitAnimation=function(){this.scatterPlot.stopOrbitAnimation()},t.prototype.setDataset=function(t){this.dataset=t,this.labels3DVisualizer&&this.labels3DVisualizer.setLabelStrings(this.generate3DLabelsArray())},t.prototype.updateScatterPlotPositions=function(){var t=this.dataset;if(t){var n=this.generatePointPositionArray(t);this.scatterPlot.setPointPositions(n)}},t.prototype.updateScatterPlotAttributes=function(){var t=this.dataset;if(t){var n=this.generatePointColorArray(t),r=this.generatePointScaleFactorArray(t),l=this.generateVisibleLabelRenderParams();this.scatterPlot.setPointColors(n),this.scatterPlot.setPointScaleFactors(r),this.scatterPlot.setLabels(l)}},t.prototype.updatePolylineAttributes=function(){var t=this.dataset;if(t){var n=this.generateLineSegmentColorMap(t),r=this.generateLineSegmentOpacityArray(t),l=this.generateLineSegmentWidthArray(t);this.scatterPlot.setPolylineColors(n),this.scatterPlot.setPolylineOpacities(r),this.scatterPlot.setPolylineWidths(l)}},t.prototype.generatePointPositionArray=function(t){var n,r,l=[0,0];n=v.extent(t.points.map((function(t){return t[0]}))),r=v.extent(t.points.map((function(t){return t[1]}))),3===t.dimensions&&(l=v.extent(t.points.map((function(t){return t[2]}))));var d=function(t){return Math.abs(t[1]-t[0])},h=d(n),p=d(r),f=d(l),m=Math.max(h,p,f),g=b.SCATTER_PLOT_CUBE_LENGTH/2,y=function(t,n){return[t/m*-n,n*(t/m)]},x=y(h,g),w=y(p,g),S=y(f,g),_=new Float32Array(3*t.points.length),E=0;return t.points.forEach((function(d,h){var p=t.points[h];_[E++]=v.scaleLinear(p[0],n,x),_[E++]=v.scaleLinear(p[1],r,w),3===t.dimensions?_[E++]=v.scaleLinear(p[2],l,S):_[E++]=0})),_},t.prototype.generateVisibleLabelRenderParams=function(){var t=this,n=t.hoverPointIndex,r=t.selectedPointIndices,l=t.styles,h=null!==n?1:0,p=new Uint32Array(h),f=new Float32Array(h),m=new Int8Array(h),y=new Uint8Array(3*h),b=new Uint8Array(3*h),x=[];f.fill(l.label.scaleDefault),m.fill(1);var w=0;if(null!==n){x.push(this.getLabelText(n)),p[w]=n,f[w]=l.label.scaleLarge,m[w]=0;var S=v.styleRgbFromHexColor(l.label.fillColorHover);v.packRgbIntoUint8Array(y,w,S[0],S[1],S[2]);var _=v.styleRgbFromHexColor(l.label.strokeColorHover);v.packRgbIntoUint8Array(b,w,_[0],_[1],_[1]),++w}S=v.styleRgbFromHexColor(l.label.fillColorSelected),_=v.styleRgbFromHexColor(l.label.strokeColorSelected);if(1===r.size){var E=d(r)[0];x.push(this.getLabelText(E)),p[w]=E,f[w]=l.label.scaleLarge,m[w]=0,v.packRgbIntoUint8Array(y,w,S[0],S[1],S[2]),v.packRgbIntoUint8Array(b,w,_[0],_[1],_[2])}return new g.LabelRenderParams(new Float32Array(p),x,f,m,l.label.fontSize,y,b)},t.prototype.generatePointScaleFactorArray=function(t){var n,r,l=this,d=l.hoverPointIndex,p=l.selectedPointIndices,f=l.styles.point,m=f.scaleDefault,g=f.scaleSelected,y=f.scaleHover,v=new Float32Array(t.points.length);v.fill(m);p.size;try{for(var b=h(p.values()),x=b.next();!x.done;x=b.next()){v[x.value]=g}}catch(t){n={error:t}}finally{try{x&&!x.done&&(r=b.return)&&r.call(b)}finally{if(n)throw n.error}}return null!=d&&(v[d]=y),v},t.prototype.generatePointColorArray=function(t){var n,r,l=this,d=l.hoverPointIndex,p=l.pointColorer,m=l.selectedPointIndices,g=l.styles.point,y=g.colorHover,v=g.colorNoSelection,x=g.colorSelected,w=g.colorUnselected,S=new Float32Array(t.points.length*b.RGBA_NUM_ELEMENTS),_=w,E=v;"TEXT"===this.renderMode&&(_=this.styles.label3D.colorUnselected,E=this.styles.label3D.colorNoSelection),"SPRITE"===this.renderMode&&(_=this.styles.sprites.colorUnselected,E=this.styles.sprites.colorNoSelection);var T=t.points.length,C=this.selectedPointIndices.size;if(p)for(var A=0,O=0;O<T;++O){var I=f.parseColor(this.callPointColorer(p,O)||E);S[A++]=I.r,S[A++]=I.g,S[A++]=I.b,S[A++]=I.opacity}else{for(A=0,I=C>0?f.parseColor(_):f.parseColor(E),O=0;O<T;++O)S[A++]=I.r,S[A++]=I.g,S[A++]=I.b,S[A++]=I.opacity;I=f.parseColor(x);try{for(var P=h(m.values()),D=P.next();!D.done;D=P.next()){var F=D.value*b.RGBA_NUM_ELEMENTS;S[F++]=I.r,S[F++]=I.g,S[F++]=I.b,S[F++]=I.opacity}}catch(t){n={error:t}}finally{try{D&&!D.done&&(r=P.return)&&r.call(P)}finally{if(n)throw n.error}}if(null!=d){var B=f.parseColor(y),$=d*b.RGBA_NUM_ELEMENTS;S[$++]=B.r,S[$++]=B.g,S[$++]=B.b,S[$++]=B.opacity}}return S},t.prototype.generate3DLabelsArray=function(){var t=this.dataset;if(!t)return[];for(var n=[],r=t.points.length,l=0;l<r;++l)n.push(this.getLabelText(l));return n},t.prototype.generateLineSegmentColorMap=function(t){for(var n=this.pointColorer,r=this.styles,l={},d=0;d<this.sequences.length;d++){var h=this.sequences[d],p=new Float32Array(2*(h.indices.length-1)*3),m=0;if(n)for(var g=0;g<h.indices.length-1;g++){var y=f.parseColor(this.callPointColorer(n,h.indices[g])),b=f.parseColor(this.callPointColorer(n,h.indices[g+1]));p[m++]=y.r,p[m++]=y.g,p[m++]=y.b,p[m++]=b.r,p[m++]=b.g,p[m++]=b.b}else for(g=0;g<h.indices.length-1;g++){y=v.getDefaultPointInPolylineColor(g,h.indices.length,r.polyline.startHue,r.polyline.endHue,r.polyline.saturation,r.polyline.lightness),b=v.getDefaultPointInPolylineColor(g+1,h.indices.length,r.polyline.startHue,r.polyline.endHue,r.polyline.saturation,r.polyline.lightness);p[m++]=y.r,p[m++]=y.g,p[m++]=y.b,p[m++]=b.r,p[m++]=b.g,p[m++]=b.b}l[d]=p}return l},t.prototype.generateLineSegmentOpacityArray=function(t){var n=this.selectedPointIndices,r=this.styles,l=new Float32Array(this.sequences.length);if(n.size>0){l.fill(r.polyline.deselectedOpacity);var h=this.polylineVisualizer.getPointSequenceIndex(d(n)[0]);void 0!==h&&(l[h]=r.polyline.selectedOpacity)}else l.fill(r.polyline.defaultOpacity);return l},t.prototype.generateLineSegmentWidthArray=function(t){var n=this.selectedPointIndices,r=this.styles,l=new Float32Array(this.sequences.length);if(l.fill(r.polyline.defaultLineWidth),n.size>0){var h=this.polylineVisualizer.getPointSequenceIndex(d(n)[0]);void 0!==h&&(l[h]=r.polyline.selectedLineWidth)}return l},t.prototype.getLabelText=function(t){var n=this.dataset;if(!n)return"";var r=n.metadata[t];return r&&null!=r.label?""+r.label:""},t.prototype.initializeCanvasLabelsVisualizer=function(){return this.canvasLabelsVisualizer||(this.canvasLabelsVisualizer=new S.ScatterPlotVisualizerCanvasLabels(this.containerElement,this.styles)),this.canvasLabelsVisualizer},t.prototype.initialize3DLabelsVisualizer=function(){return this.labels3DVisualizer||(this.labels3DVisualizer=new x.ScatterPlotVisualizer3DLabels(this.styles)),this.labels3DVisualizer.setLabelStrings(this.generate3DLabelsArray()),this.labels3DVisualizer},t.prototype.initializePointVisualizer=function(){return this.pointVisualizer||(this.pointVisualizer=new w.ScatterPlotVisualizerSprites(this.styles)),this.pointVisualizer},t.prototype.initializeSpritesheetVisualizer=function(){var t=this,n=this.styles,r=this.dataset,l=r.spriteMetadata;if(!this.spritesheetVisualizer&&l){if(!l.spriteImage||!l.singleSpriteSize)return;var d=r.points.length,h=void 0;if(l.spriteIndices)h=new Float32Array(l.spriteIndices);else{h=new Float32Array(d);for(var p=0;p<d;++p)h[p]=p}var f=new w.ScatterPlotVisualizerSprites(n,{spritesheetImage:l.spriteImage,spriteDimensions:l.singleSpriteSize,spriteIndices:h,onImageLoad:function(){return t.renderScatterPlot()}});f.id="SPRITE_SHEET_VISUALIZER",this.spritesheetVisualizer=f}return this.spritesheetVisualizer},t.prototype.initializePolylineVisualizer=function(){return this.polylineVisualizer||(this.polylineVisualizer=new _.ScatterPlotVisualizerPolylines),this.polylineVisualizer.setSequences(this.sequences),this.polylineVisualizer},t.prototype.setVisualizers=function(){var t=this.dataset,n=this.renderMode,r=[];if("TEXT"===n){var l=this.initialize3DLabelsVisualizer();r.push(l)}else if("POINT"===n){l=this.initializePointVisualizer();r.push(l)}else if("SPRITE"===n&&t.spriteMetadata){(l=this.initializeSpritesheetVisualizer())&&r.push(l)}if(this.sequences.length>0){l=this.initializePolylineVisualizer();r.push(l)}if(("POINT"===n||"SPRITE"===n)&&this.showLabelsOnHover){l=this.initializeCanvasLabelsVisualizer();r.push(l)}this.scatterPlot.setActiveVisualizers(r)},t.Dataset=m.Dataset,t}();n.ScatterGL=E},5748:function(t,n,r){"use strict";var l=this&&this.__assign||function(){return l=Object.assign||function(t){for(var n,r=1,l=arguments.length;r<l;r++)for(var d in n=arguments[r])Object.prototype.hasOwnProperty.call(n,d)&&(t[d]=n[d]);return t},l.apply(this,arguments)},d=this&&this.__read||function(t,n){var r="function"==typeof Symbol&&t[Symbol.iterator];if(!r)return t;var l,d,h=r.call(t),p=[];try{for(;(void 0===n||n-- >0)&&!(l=h.next()).done;)p.push(l.value)}catch(t){d={error:t}}finally{try{l&&!l.done&&(r=h.return)&&r.call(h)}finally{if(d)throw d.error}}return p},h=this&&this.__values||function(t){var n="function"==typeof Symbol&&Symbol.iterator,r=n&&t[n],l=0;if(r)return r.call(t);if(t&&"number"==typeof t.length)return{next:function(){return t&&l>=t.length&&(t=void 0),{value:t&&t[l++],done:!t}}};throw new TypeError(n?"Object is not iterable.":"Symbol.iterator is not defined.")};Object.defineProperty(n,"__esModule",{value:!0});var p=r(2212),f=r(2886),m=r(7029),g=r(9813),y=r(2779),v=1.2,b="Shift",x="Control",w=new p.Vector3(.45,.9,1.6),S=new p.Vector3(0,0,0),_=new p.Vector3(0,0,4),E=new p.Vector3(0,0,0),T={mouseRotateSpeed:1,autoRotateSpeed:2,zoomSpeed:.125},C=function(){function t(t,n){var r=this;this.clickCallback=function(){},this.hoverCallback=function(){},this.selectCallback=function(){},this.selectEnabled=!0,this.visualizers=new Map,this.onCameraMoveListeners=[],this.height=0,this.width=0,this.dimensions=3,this.interactionMode="PAN",this.pickingTexture=new p.WebGLRenderTarget(0,0),this.orbitAnimationOnNextCameraCreation=!1,this.orbitAnimationId=null,this.worldSpacePointPositions=new Float32Array(0),this.pointColors=new Float32Array(0),this.pointScaleFactors=new Float32Array(0),this.polylineColors={},this.polylineOpacities=new Float32Array(0),this.polylineWidths=new Float32Array(0),this.selecting=!1,this.nearestPoint=null,this.mouseIsDown=!1,this.isDragSequence=!1,this.lastHovered=null,this.container=t,this.styles=n.styles,this.setParameters(n),this.computeLayoutValues(),this.scene=new p.Scene,this.renderer=new p.WebGLRenderer({alpha:!0,premultipliedAlpha:!1,antialias:!1}),this.renderer.setClearColor(this.styles.backgroundColor,1),this.container.appendChild(this.renderer.domElement),this.light=new p.PointLight(16772287,1,0),this.scene.add(this.light),this.orbitControlParams=l(l({},T),n.orbitControlParams),this.rectangleSelector=new y.ScatterPlotRectangleSelector(this.container,(function(t){r.selectBoundingBox(t)}),this.styles),this.addInteractionListeners(),this.setDimensions(3),this.makeCamera(n.camera),this.resize()}return t.prototype.setParameters=function(t){void 0!==t.onClick&&(this.clickCallback=t.onClick),void 0!==t.onHover&&(this.hoverCallback=t.onHover),void 0!==t.onSelect&&(this.selectCallback=t.onSelect),void 0!==t.selectEnabled&&(this.selectEnabled=t.selectEnabled)},t.prototype.addInteractionListeners=function(){this.container.addEventListener("pointermove",this.onMouseMove.bind(this)),this.container.addEventListener("pointerdown",this.onMouseDown.bind(this)),this.container.addEventListener("pointerup",this.onMouseUp.bind(this)),this.container.addEventListener("click",this.onClick.bind(this)),window.addEventListener("keydown",this.onKeyDown.bind(this),!1),window.addEventListener("keyup",this.onKeyUp.bind(this),!1)},t.prototype.addCameraControlsEventListeners=function(t){var n=this;t.addEventListener("start",(function(){n.stopOrbitAnimation(),n.onCameraMoveListeners.forEach((function(r){return r(n.camera.position,t.target)}))})),t.addEventListener("change",(function(){n.render()})),t.addEventListener("end",(function(){}))},t.prototype.makeOrbitControls=function(t,n){null!=this.orbitCameraControls&&this.orbitCameraControls.dispose();var r=new f.OrbitControls(t,this.renderer.domElement);r.zoomSpeed=this.orbitControlParams.zoomSpeed,r.enableRotate=n,r.autoRotate=!1,r.enableKeys=!1,r.rotateSpeed=this.orbitControlParams.mouseRotateSpeed,n?(r.mouseButtons.LEFT=p.MOUSE.LEFT,r.mouseButtons.RIGHT=p.MOUSE.RIGHT):(r.mouseButtons.LEFT=p.MOUSE.RIGHT,r.mouseButtons.RIGHT=p.MOUSE.LEFT),r.reset(),this.camera=t,this.orbitCameraControls=r,this.addCameraControlsEventListeners(this.orbitCameraControls)},t.prototype.makeCamera=function(t){void 0===t&&(t={});var n=this.makeDefaultCameraDef(this.dimensions,t);this.recreateCamera(n),3===this.dimensions&&this.styles.axesVisible?this.add3dAxes():this.remove3dAxesFromScene()},t.prototype.makeCamera3D=function(t,n,r){var l,d=n/r;(l=new p.PerspectiveCamera(70,d,.01,100)).position.set(t.position[0],t.position[1],t.position[2]);var h=new p.Vector3(t.target[0],t.target[1],t.target[2]);l.lookAt(h),l.zoom=t.zoom,l.updateProjectionMatrix(),this.camera=l,this.makeOrbitControls(l,!0)},t.prototype.makeCamera2D=function(t,n,r){var l,d=new p.Vector3(t.target[0],t.target[1],t.target[2]),h=n/r,f=-1.2,m=v,g=-1.2,y=v;h>1?(f*=h,m*=h):(y/=h,g/=h),(l=new p.OrthographicCamera(f,m,y,g,-1e3,1e3)).position.set(t.position[0],t.position[1],t.position[2]),l.up=new p.Vector3(0,0,1),l.lookAt(d),l.zoom=t.zoom,l.updateProjectionMatrix(),this.camera=l,this.makeOrbitControls(l,!1)},t.prototype.makeDefaultCameraDef=function(t,n){void 0===n&&(n={});var r=2===t,l=r?_:w,d=r?E:S,h={orthographic:r,zoom:1,position:[l.x,l.y,l.z],target:[d.x,d.y,d.z]};return n.zoom&&(h.zoom=n.zoom),n.position&&(h.position=n.position),n.target&&(h.target=n.target),h},t.prototype.recreateCamera=function(t){t.orthographic?this.makeCamera2D(t,this.width,this.height):this.makeCamera3D(t,this.width,this.height),this.orbitCameraControls.minDistance=.05,this.orbitCameraControls.maxDistance=10,this.orbitCameraControls.update(),this.orbitAnimationOnNextCameraCreation&&this.startOrbitAnimation()},t.prototype.setInteractionMode=function(t){this.interactionMode=t,"SELECT"===t?(this.selecting=!0,this.container.style.cursor="crosshair",this.orbitCameraControls.enabled=!1):(this.selecting=!1,this.container.style.cursor="default",this.orbitCameraControls.enabled=!0)},t.prototype.onClick=function(t,n){if(void 0===n&&(n=!0),!t||!this.selecting){if(!this.isDragSequence&&n){if(this.selectEnabled){var r=null!=this.nearestPoint?[this.nearestPoint]:[];this.selectCallback(r)}this.clickCallback(this.nearestPoint)}this.isDragSequence=!1,this.render()}},t.prototype.onMouseDown=function(t){this.isDragSequence=!1,this.mouseIsDown=!0,this.selecting?(this.rectangleSelector.onMouseDown(t.offsetX,t.offsetY),this.setNearestPointToMouse(t)):!t.ctrlKey&&this.sceneIs3D()&&this.orbitCameraControls.mouseButtons.ORBIT===p.MOUSE.RIGHT?(this.orbitCameraControls.mouseButtons.ORBIT=p.MOUSE.LEFT,this.orbitCameraControls.mouseButtons.PAN=p.MOUSE.RIGHT):t.ctrlKey&&this.sceneIs3D()&&this.orbitCameraControls.mouseButtons.ORBIT===p.MOUSE.LEFT&&(this.orbitCameraControls.mouseButtons.ORBIT=p.MOUSE.RIGHT,this.orbitCameraControls.mouseButtons.PAN=p.MOUSE.LEFT)},t.prototype.onMouseUp=function(t){this.selecting&&(this.rectangleSelector.onMouseUp(),this.render()),this.mouseIsDown=!1},t.prototype.onMouseMove=function(t){this.isDragSequence=this.mouseIsDown,this.selecting&&this.mouseIsDown?(this.rectangleSelector.onMouseMove(t.offsetX,t.offsetY),this.render()):this.mouseIsDown||(this.setNearestPointToMouse(t),this.nearestPoint!=this.lastHovered&&(this.lastHovered=this.nearestPoint,this.hoverCallback(this.nearestPoint)))},t.prototype.onKeyDown=function(t){t.key===x&&this.sceneIs3D()&&(this.orbitCameraControls.mouseButtons.ORBIT=p.MOUSE.RIGHT,this.orbitCameraControls.mouseButtons.PAN=p.MOUSE.LEFT),t.key===b&&this.selectEnabled&&(this.selecting=!0,this.orbitCameraControls.enabled=!1,this.container.style.cursor="crosshair")},t.prototype.onKeyUp=function(t){t.key===x&&this.sceneIs3D()&&(this.orbitCameraControls.mouseButtons.ORBIT=p.MOUSE.LEFT,this.orbitCameraControls.mouseButtons.PAN=p.MOUSE.RIGHT),t.key===b&&this.selectEnabled&&(this.selecting=!1,this.orbitCameraControls.enabled=!0,this.container.style.cursor="default",this.render())},t.prototype.getPointIndicesFromBoundingBox=function(t){if(null==this.worldSpacePointPositions)return[];this.camera.updateMatrixWorld();var n=window.devicePixelRatio||1,r=Math.floor(t.x*n),l=Math.floor(t.y*n),h=Math.max(Math.floor(t.width*n),1),f=Math.max(Math.floor(t.height*n),1);if(h<=2&&f<=2)return this.getPointIndicesFromBoundingBoxPickingTexture(t);for(var m=this.renderer.domElement,g=m.width,y=m.height,v=[],b=new p.Vector3,x=0;x<this.worldSpacePointPositions.length;x++){var w=3*x,S=d(this.worldSpacePointPositions.slice(w,w+3),3),_=S[0],E=S[1],T=S[2];b.x=_,b.y=E,b.z=T;var C=b.project(this.camera),A=(C.x+1)*g/2,O=-(C.y-1)*y/2;A>=r&&A<=r+h&&O<=l&&O>=l-f&&v.push(x)}return v},t.prototype.getPointIndicesFromBoundingBoxPickingTexture=function(t){if(null==this.worldSpacePointPositions)return[];var n=this.worldSpacePointPositions.length/3,r=window.devicePixelRatio||1,l=Math.floor(t.x*r),d=Math.floor(t.y*r),h=Math.max(Math.floor(t.width*r),1),p=Math.max(Math.floor(t.height*r),1),f=new Uint8Array(h*p*4);this.renderer.readRenderTargetPixels(this.pickingTexture,l,this.pickingTexture.height-d,h,p,f);for(var m=new Uint8Array(this.worldSpacePointPositions.length),g=0;g<h*p;g++){var y=f[4*g]<<16|f[4*g+1]<<8|f[4*g+2];16777215!==y&&y<n&&(m[y]=1)}var v=[];for(g=0;g<m.length;g++)1===m[g]&&v.push(g);return v},t.prototype.selectBoundingBox=function(t){var n=this.getPointIndicesFromBoundingBox(t);this.selectCallback(n)},t.prototype.setNearestPointToMouse=function(t){if(null!=this.pickingTexture){var n={x:t.offsetX,y:t.offsetY,width:1,height:1},r=this.getPointIndicesFromBoundingBoxPickingTexture(n);this.nearestPoint=r.length?r[0]:null}else this.nearestPoint=null},t.prototype.computeLayoutValues=function(){return this.width=this.container.offsetWidth,this.height=Math.max(1,this.container.offsetHeight),[this.width,this.height]},t.prototype.sceneIs3D=function(){return 3===this.dimensions},t.prototype.remove3dAxesFromScene=function(){var t=this.scene.getObjectByName("axes");return null!=t&&this.scene.remove(t),t},t.prototype.add3dAxes=function(){var t=new p.AxesHelper;t.name="axes",this.scene.add(t)},t.prototype.setDimensions=function(t){if(2!==t&&3!==t)throw new RangeError("dimensions must be 2 or 3");this.dimensions!==t&&(this.dimensions=t,this.makeCamera())},t.prototype.getCameraPosition=function(){var t=this.camera.position;return[t.x,t.y,t.z]},t.prototype.getCameraTarget=function(){var t=this.orbitCameraControls.target;return[t.x,t.y,t.z]},t.prototype.setCameraPositionAndTarget=function(t,n){this.stopOrbitAnimation(),this.camera.position.set(t[0],t[1],t[2]),this.orbitCameraControls.target.set(n[0],n[1],n[2]),this.orbitCameraControls.update(),this.render()},t.prototype.startOrbitAnimation=function(){this.sceneIs3D()&&(null!=this.orbitAnimationId&&this.stopOrbitAnimation(),this.orbitCameraControls.autoRotate=!0,this.orbitCameraControls.autoRotateSpeed=this.orbitControlParams.autoRotateSpeed,this.updateOrbitAnimation())},t.prototype.orbitIsAnimating=function(){return null!=this.orbitAnimationId},t.prototype.updateOrbitAnimation=function(){var t=this;this.orbitCameraControls.update(),this.orbitAnimationId=requestAnimationFrame((function(){return t.updateOrbitAnimation()}))},t.prototype.stopOrbitAnimation=function(){this.orbitCameraControls.autoRotate=!1,this.orbitCameraControls.rotateSpeed=this.orbitControlParams.mouseRotateSpeed,null!=this.orbitAnimationId&&(cancelAnimationFrame(this.orbitAnimationId),this.orbitAnimationId=null)},t.prototype.setActiveVisualizers=function(t){var n,r,l,d,p=new Set(t.map((function(t){return t.id})));try{for(var f=h(this.visualizers.values()),m=f.next();!m.done;m=f.next()){var g=m.value;p.has(g.id)||(g.dispose(),this.visualizers.delete(g.id))}}catch(t){n={error:t}}finally{try{m&&!m.done&&(r=f.return)&&r.call(f)}finally{if(n)throw n.error}}try{for(var y=h(t),v=y.next();!v.done;v=y.next()){g=v.value;this.visualizers.set(g.id,g),g.setScene(this.scene),g.onResize(this.width,this.height),this.worldSpacePointPositions&&g.onPointPositionsChanged(this.worldSpacePointPositions)}}catch(t){l={error:t}}finally{try{v&&!v.done&&(d=y.return)&&d.call(y)}finally{if(l)throw l.error}}},t.prototype.disposeAllVisualizers=function(){this.visualizers.forEach((function(t){return t.dispose()})),this.visualizers.clear()},t.prototype.setPointPositions=function(t){this.worldSpacePointPositions=t,this.visualizers.forEach((function(n){return n.onPointPositionsChanged(t)}))},t.prototype.render=function(){var t=this.camera.position.clone();t.x+=1,t.y+=1,this.light.position.set(t.x,t.y,t.z);var n=this.camera instanceof p.PerspectiveCamera?m.CameraType.Perspective:m.CameraType.Orthographic,r=[0,0];null!=this.worldSpacePointPositions&&(r=g.getNearFarPoints(this.worldSpacePointPositions,this.camera.position,this.orbitCameraControls.target));var l=new m.RenderContext(this.camera,n,this.orbitCameraControls.target,this.width,this.height,r[0],r[1],this.styles.backgroundColor,this.pointColors,this.pointScaleFactors,this.labels,this.polylineColors,this.polylineOpacities,this.polylineWidths);this.visualizers.forEach((function(t){return t.onPickingRender(l)}));var d=this.remove3dAxesFromScene();this.renderer.setRenderTarget(this.pickingTexture),this.renderer.render(this.scene,this.camera),null!=d&&this.scene.add(d),this.visualizers.forEach((function(t){return t.onRender(l)})),this.renderer.setRenderTarget(null),this.renderer.render(this.scene,this.camera)},t.prototype.setPointColors=function(t){this.pointColors=t},t.prototype.setPointScaleFactors=function(t){this.pointScaleFactors=t},t.prototype.setLabels=function(t){this.labels=t},t.prototype.setPolylineColors=function(t){this.polylineColors=t},t.prototype.setPolylineOpacities=function(t){this.polylineOpacities=t},t.prototype.setPolylineWidths=function(t){this.polylineWidths=t},t.prototype.resetZoom=function(){this.recreateCamera(this.makeDefaultCameraDef(this.dimensions)),this.render()},t.prototype.setDayNightMode=function(t){for(var n=this.container.querySelectorAll("canvas"),r=t?"invert(100%)":"",l=0;l<n.length;l++)n[l].style.filter=r},t.prototype.resize=function(t){void 0===t&&(t=!0);var n=d([this.width,this.height],2),r=n[0],l=n[1],h=d(this.computeLayoutValues(),2),f=h[0],m=h[1];if(3===this.dimensions){(g=this.camera).aspect=f/m,g.updateProjectionMatrix()}else{var g=this.camera,y=f/r,v=m/l,b=(g.right-g.left)*y/2,x=(g.top-g.bottom)*v/2;g.top=x,g.bottom=-x,g.left=-b,g.right=b,g.updateProjectionMatrix()}var w=window.devicePixelRatio||1;this.renderer.setPixelRatio(w),this.renderer.setSize(f,m);var S=new p.Vector2;this.renderer.getSize(S);var _=this.renderer.getPixelRatio();this.pickingTexture=new p.WebGLRenderTarget(S.width*_,S.height*_),this.pickingTexture.texture.minFilter=p.LinearFilter,this.visualizers.forEach((function(t){return t.onResize(f,m)})),t&&this.render()},t.prototype.onCameraMove=function(t){this.onCameraMoveListeners.push(t)},t.prototype.clickOnPoint=function(t){this.nearestPoint=t,this.onClick(null,!1)},t}();n.ScatterPlot=C},2779:(t,n)=>{"use strict";Object.defineProperty(n,"__esModule",{value:!0});var r=function(){function t(t,n,r){this.startCoordinates=[0,0],this.svgElement=document.createElementNS("http://www.w3.org/2000/svg","svg"),this.svgElement.style.display="none",this.svgElement.style.height="100%",this.svgElement.style.width="100%",this.svgElement.style.position="absolute",t.insertAdjacentElement("afterbegin",this.svgElement),this.rectElement=document.createElementNS("http://www.w3.org/2000/svg","rect"),this.rectElement.style.stroke=r.select.stroke,this.rectElement.style.strokeDasharray=r.select.strokeDashArray,this.rectElement.style.strokeWidth=""+r.select.strokeWidth,this.rectElement.style.fill=r.select.fill,this.rectElement.style.fillOpacity=""+r.select.fillOpacity,this.svgElement.appendChild(this.rectElement),this.selectionCallback=n,this.isMouseDown=!1}return t.prototype.onMouseDown=function(t,n){this.isMouseDown=!0,this.rectElement.style.display="block",this.svgElement.style.display="block",this.startCoordinates=[t,n],this.lastBoundingBox={x:this.startCoordinates[0],y:this.startCoordinates[1],width:1,height:1}},t.prototype.onMouseMove=function(t,n){this.isMouseDown&&(this.lastBoundingBox.x=Math.min(t,this.startCoordinates[0]),this.lastBoundingBox.y=Math.max(n,this.startCoordinates[1]),this.lastBoundingBox.width=Math.max(t,this.startCoordinates[0])-this.lastBoundingBox.x,this.lastBoundingBox.height=this.lastBoundingBox.y-Math.min(n,this.startCoordinates[1]),this.rectElement.setAttribute("x",""+this.lastBoundingBox.x),this.rectElement.setAttribute("y",""+(this.lastBoundingBox.y-this.lastBoundingBox.height)),this.rectElement.setAttribute("width",""+this.lastBoundingBox.width),this.rectElement.setAttribute("height",""+this.lastBoundingBox.height))},t.prototype.onMouseUp=function(){this.isMouseDown=!1,this.svgElement.style.display="none",this.rectElement.style.display="none",this.rectElement.setAttribute("width","0"),this.rectElement.setAttribute("height","0"),this.selectionCallback(this.lastBoundingBox)},t}();n.ScatterPlotRectangleSelector=r},9877:(t,n,r)=>{"use strict";Object.defineProperty(n,"__esModule",{value:!0});var l=r(2212),d=r(9813),h=r(2962),p=8192,f=function(t,n){return"\n      attribute vec2 posObj;\n      attribute vec4 color;\n      varying vec2 vUv;\n      varying vec4 vColor;\n\n      void main() {\n        vUv = uv;\n        vColor = color;\n\n        // Rotate label to face camera.\n\n        vec4 vRight = vec4(\n          modelViewMatrix[0][0], modelViewMatrix[1][0], modelViewMatrix[2][0], 0);\n\n        vec4 vUp = vec4(\n          modelViewMatrix[0][1], modelViewMatrix[1][1], modelViewMatrix[2][1], 0);\n\n        vec4 vAt = -vec4(\n          modelViewMatrix[0][2], modelViewMatrix[1][2], modelViewMatrix[2][2], 0);\n\n        mat4 pointToCamera = mat4(vRight, vUp, vAt, vec4(0, 0, 0, 1));\n\n        vec2 scaledPos = posObj * "+1/t+" * "+n+";\n\n        vec4 posRotated = pointToCamera * vec4(scaledPos, 0, 1);\n        vec4 mvPosition = modelViewMatrix * (vec4(position, 0) + posRotated);\n        gl_Position = projectionMatrix * mvPosition;\n      }"},m=function(){function t(t){this.styles=t,this.id="3D_LABELS",this.labelStrings=[],this.worldSpacePointPositions=new Float32Array(0),this.pickingColors=new Float32Array(0),this.renderColors=new Float32Array(0),this.uniforms={},this.totalVertexCount=0,this.labelVertexMap=[]}return t.prototype.createGlyphTexture=function(){var t=this.styles.label3D,n=t.fontSize,r=t.backgroundColor,l=t.color,h=document.createElement("canvas");h.width=p,h.height=n;var f=h.getContext("2d");f.font="bold "+n+"px roboto",f.textBaseline="top",f.fillStyle=r,f.rect(0,0,h.width,h.height),f.fill(),f.fillStyle=l;for(var m=f.measureText(" ").width,g=new Float32Array(256),y=new Float32Array(256),v=0,b=0;b<256;b++){var x=" "+String.fromCharCode(b),w=f.measureText(x).width;g[b]=w-m,y[b]=v,f.fillText(x,v-m,0),v+=w}return{texture:d.createTextureFromCanvas(h),lengths:g,offsets:y}},t.prototype.processLabelVerts=function(t){var n=0;this.labelVertexMap=[];for(var r=0;r<t;r++){for(var l=this.labelStrings[r],d=[],h=0;h<l.length;h++){for(var p=0;p<6;p++)d.push(6*n+p);n++}this.labelVertexMap.push(d)}this.totalVertexCount=6*n},t.prototype.createColorBuffers=function(t){var n=this;this.pickingColors=new Float32Array(this.totalVertexCount*h.RGB_NUM_ELEMENTS),this.renderColors=new Float32Array(this.totalVertexCount*h.RGB_NUM_ELEMENTS);for(var r=function(t){var r=new l.Color(t);d.labelVertexMap[t].forEach((function(t){n.pickingColors[h.RGB_NUM_ELEMENTS*t]=r.r,n.pickingColors[h.RGB_NUM_ELEMENTS*t+1]=r.g,n.pickingColors[h.RGB_NUM_ELEMENTS*t+2]=r.b,n.renderColors[h.RGB_NUM_ELEMENTS*t]=1,n.renderColors[h.RGB_NUM_ELEMENTS*t+1]=1,n.renderColors[h.RGB_NUM_ELEMENTS*t+2]=1}))},d=this,p=0;p<t;p++)r(p)},t.prototype.createLabels=function(){var t=this,n=this.styles.label3D,r=n.fontSize,m=n.scale;if(null!=this.labelStrings&&null!=this.worldSpacePointPositions){var g=this.worldSpacePointPositions.length/h.XYZ_NUM_ELEMENTS;if(g===this.labelStrings.length){this.glyphTexture=this.createGlyphTexture(),this.uniforms={glyphTexture:{value:null},picking:{value:!1}},this.material=new l.ShaderMaterial({uniforms:this.uniforms,transparent:!0,vertexShader:f(r,m),fragmentShader:"\n      uniform sampler2D glyphTexture;\n      uniform bool picking;\n      varying vec2 vUv;\n      varying vec4 vColor;\n\n      void main() {\n        if (picking) {\n          gl_FragColor = vColor;\n        } else {\n          vec4 fromTexture = texture(glyphTexture, vUv);\n          gl_FragColor = vColor * fromTexture;\n        }\n      }"}),this.processLabelVerts(g),this.createColorBuffers(g);var y=new Float32Array(this.totalVertexCount*h.XYZ_NUM_ELEMENTS);this.positions=new l.BufferAttribute(y,h.XYZ_NUM_ELEMENTS);var v=new Float32Array(this.totalVertexCount*h.XYZ_NUM_ELEMENTS),b=new Float32Array(this.totalVertexCount*h.UV_NUM_ELEMENTS),x=new Float32Array(this.totalVertexCount*h.RGB_NUM_ELEMENTS),w=new l.BufferAttribute(v,2),S=new l.BufferAttribute(b,h.UV_NUM_ELEMENTS),_=new l.BufferAttribute(x,h.RGB_NUM_ELEMENTS);this.geometry=new l.BufferGeometry,this.geometry.setAttribute("posObj",w),this.geometry.setAttribute("position",this.positions),this.geometry.setAttribute("uv",S),this.geometry.setAttribute("color",_);for(var E=0,T=0;T<g;T++){for(var C=this.labelStrings[T],A=0,O=0;O<C.length;O++){var I=C.charCodeAt(O);A+=this.glyphTexture.lengths[I]}A/=-2;for(O=0;O<C.length;O++){I=C.charCodeAt(O);var P=this.glyphTexture.lengths[I],D=(A+P)/r,F=A/r,B=r/r;w.setXY(6*E+0,F,0),w.setXY(6*E+1,D,0),w.setXY(6*E+2,F,B),w.setXY(6*E+3,F,B),w.setXY(6*E+4,D,0),w.setXY(6*E+5,D,B);var $=this.glyphTexture.offsets[I],j=this.glyphTexture.offsets[I]+P;$/=p,j/=p;S.setXY(6*E+0,$,1),S.setXY(6*E+1,j,1),S.setXY(6*E+2,$,0),S.setXY(6*E+3,$,0),S.setXY(6*E+4,j,1),S.setXY(6*E+5,j,0),E++,A+=P}}var V=function(n){var r=d.vector3FromPackedArray(U.worldSpacePointPositions,n);U.labelVertexMap[n].forEach((function(n){t.positions.setXYZ(n,r.x,r.y,r.z)}))},U=this;for(T=0;T<g;T++)V(T);this.labelsMesh=new l.Mesh(this.geometry,this.material),this.labelsMesh.frustumCulled=!1,this.scene.add(this.labelsMesh)}}},t.prototype.colorLabels=function(t){if(null!=this.labelStrings&&null!=this.geometry&&null!=t){var n=this.geometry.getAttribute("color");n.array=this.renderColors;for(var r=t.length/h.RGBA_NUM_ELEMENTS,d=0,p=0;p<r;++p){for(var f=new l.Color(t[d],t[d+1],t[d+2]),m=this.labelVertexMap[p].length,g=0;g<m;++g)n.setXYZ(this.labelVertexMap[p][g],f.r,f.g,f.b);d+=h.RGBA_NUM_ELEMENTS}n.needsUpdate=!0}},t.prototype.setScene=function(t){this.scene=t},t.prototype.dispose=function(){this.labelsMesh&&(this.scene&&this.scene.remove(this.labelsMesh),this.labelsMesh=null),this.geometry&&(this.geometry.dispose(),this.geometry=null),null!=this.glyphTexture&&null!=this.glyphTexture.texture&&(this.glyphTexture.texture.dispose(),this.glyphTexture.texture=null)},t.prototype.onPickingRender=function(t){if(null!=this.geometry){this.material.uniforms.glyphTexture.value=this.glyphTexture.texture,this.material.uniforms.picking.value=!0;var n=this.geometry.getAttribute("color");n.array=this.pickingColors,n.needsUpdate=!0}else this.createLabels()},t.prototype.onRender=function(t){if(null!=this.geometry){this.colorLabels(t.pointColors),this.material.uniforms.glyphTexture.value=this.glyphTexture.texture,this.material.uniforms.picking.value=!1;var n=this.geometry.getAttribute("color");n.array=this.renderColors,n.needsUpdate=!0}else this.createLabels()},t.prototype.onPointPositionsChanged=function(t){this.worldSpacePointPositions=t,this.dispose()},t.prototype.setLabelStrings=function(t){this.labelStrings=t,this.dispose()},t.prototype.onResize=function(t,n){},t}();n.ScatterPlotVisualizer3DLabels=m},4183:function(t,n,r){"use strict";var l=this&&this.__read||function(t,n){var r="function"==typeof Symbol&&t[Symbol.iterator];if(!r)return t;var l,d,h=r.call(t),p=[];try{for(;(void 0===n||n-- >0)&&!(l=h.next()).done;)p.push(l.value)}catch(t){d={error:t}}finally{try{l&&!l.done&&(r=h.return)&&r.call(h)}finally{if(d)throw d.error}}return p};Object.defineProperty(n,"__esModule",{value:!0});var d=r(2212),h=r(7029),p=r(1223),f=r(9813),m=function(){function t(t,n){this.styles=n,this.id="CANVAS_LABELS",this.worldSpacePointPositions=new Float32Array(0),this.labelsActive=!0,this.canvas=document.createElement("canvas"),t.appendChild(this.canvas),this.gc=this.canvas.getContext("2d"),this.canvas.style.position="absolute",this.canvas.style.left="0",this.canvas.style.top="0",this.canvas.style.pointerEvents="none"}return t.prototype.removeAllLabels=function(){var t=this.canvas.width*window.devicePixelRatio,n=this.canvas.height*window.devicePixelRatio;this.gc.clearRect(0,0,t,n)},t.prototype.makeLabels=function(t){if(null!=t.labels&&0!==t.labels.pointIndices.length&&null!=this.worldSpacePointPositions){var n,r=t.labels,m=t.cameraType===h.CameraType.Perspective,g=parseInt(this.gc.font,10),y=window.devicePixelRatio,v=this.canvas.width*y,b=this.canvas.height*y,x={loX:0,hiX:v,loY:0,hiY:b};n=new p.CollisionGrid(x,v/25,b/50);var w=[t.farthestCameraSpacePointZ,t.nearestCameraSpacePointZ],S=function(t){return f.scaleExponential(t,w,[.1,1])},_=t.camera.position,E=_.clone().sub(t.cameraTarget),T=new d.Vector3;this.gc.textBaseline="middle",this.gc.miterLimit=2;for(var C=Math.min(1e4,r.pointIndices.length),A=0;A<C;++A){var O,I=r.pointIndices[A];if(O=f.vector3FromPackedArray(this.worldSpacePointPositions,I),T.copy(_).sub(O),!(E.dot(T)<0)){var P=l(f.vector3DToScreenCoords(t.camera,t.screenWidth,t.screenHeight,O),2),D=P[0],F=P[1],B={loX:(D+=4)-2,hiX:D+1+2,loY:F-g/2-2,hiY:F+g/2+2};if(n.insert(B,!0)){var $=r.labelStrings[A],j=r.defaultFontSize*r.scaleFactors[A]*y;if(this.gc.font=j+"px roboto",B.hiX+=this.gc.measureText($).width-1,n.insert(B)){var V=1;m&&1===r.useSceneOpacityFlags[A]&&(V=S(T.length())),this.gc.fillStyle=this.styleStringFromPackedRgba(r.fillColors,A,V),this.gc.strokeStyle=this.styleStringFromPackedRgba(r.strokeColors,A,V),this.gc.lineWidth=this.styles.label.strokeWidth,this.gc.strokeText($,D,F),this.gc.lineWidth=this.styles.label.fillWidth,this.gc.fillText($,D,F)}}}}}},t.prototype.styleStringFromPackedRgba=function(t,n,r){var l=3*n;return"rgba("+t[l]+","+t[l+1]+","+t[l+2]+","+r+")"},t.prototype.onResize=function(t,n){var r=window.devicePixelRatio;this.canvas.width=t*r,this.canvas.height=n*r,this.canvas.style.width=t+"px",this.canvas.style.height=n+"px"},t.prototype.dispose=function(){this.removeAllLabels()},t.prototype.onPointPositionsChanged=function(t){this.worldSpacePointPositions=t,this.removeAllLabels()},t.prototype.onRender=function(t){this.labelsActive&&(this.removeAllLabels(),this.makeLabels(t))},t.prototype.setScene=function(t){},t.prototype.onPickingRender=function(t){},t}();n.ScatterPlotVisualizerCanvasLabels=m},6516:function(t,n,r){"use strict";var l=this&&this.__values||function(t){var n="function"==typeof Symbol&&Symbol.iterator,r=n&&t[n],l=0;if(r)return r.call(t);if(t&&"number"==typeof t.length)return{next:function(){return t&&l>=t.length&&(t=void 0),{value:t&&t[l++],done:!t}}};throw new TypeError(n?"Object is not iterable.":"Symbol.iterator is not defined.")};Object.defineProperty(n,"__esModule",{value:!0});var d=r(2212),h=r(9813),p=r(2962),f=function(){function t(){this.id="POLYLINES",this.sequences=[],this.polylines=[],this.polylinePositionBuffer={},this.polylineColorBuffer={},this.pointSequenceIndices=new Map}return t.prototype.getPointSequenceIndex=function(t){return this.pointSequenceIndices.get(t)},t.prototype.updateSequenceIndices=function(){for(var t=0;t<this.sequences.length;t++)for(var n=this.sequences[t],r=0;r<n.indices.length-1;r++){var l=n.indices[r];this.pointSequenceIndices.set(l,t),this.pointSequenceIndices.set(l+1,t)}},t.prototype.createPolylines=function(){var t,n;this.updateSequenceIndices();try{for(var r=l(this.polylines),h=r.next();!h.done;h=r.next()){var p=h.value;this.scene.remove(p),p.geometry.dispose()}}catch(n){t={error:n}}finally{try{h&&!h.done&&(n=r.return)&&n.call(r)}finally{if(t)throw t.error}}this.polylines=[];for(var f=0;f<this.sequences.length;f++){var m=new d.BufferGeometry;m.addAttribute("position",this.polylinePositionBuffer[f]),m.addAttribute("color",this.polylineColorBuffer[f]);var g=new d.LineBasicMaterial({linewidth:1,opacity:1,transparent:!0,vertexColors:!0});(p=new d.LineSegments(m,g)).frustumCulled=!1,this.polylines.push(p),this.scene.add(p)}},t.prototype.dispose=function(){var t,n;try{for(var r=l(this.polylines),d=r.next();!d.done;d=r.next()){var h=d.value;this.scene.remove(h),h.geometry.dispose()}}catch(n){t={error:n}}finally{try{d&&!d.done&&(n=r.return)&&n.call(r)}finally{if(t)throw t.error}}this.polylines=[],this.polylinePositionBuffer={},this.polylineColorBuffer={}},t.prototype.setScene=function(t){this.scene=t},t.prototype.setSequences=function(t){this.sequences=t},t.prototype.onPointPositionsChanged=function(t){if(null==t&&this.dispose(),null!=t&&0!==this.sequences.length){for(var n=0;n<this.sequences.length;n++){var r=2*((m=this.sequences[n]).indices.length-1),l=new Float32Array(r*p.XYZ_NUM_ELEMENTS);this.polylinePositionBuffer[n]=new d.BufferAttribute(l,p.XYZ_NUM_ELEMENTS);var f=new Float32Array(r*p.RGBA_NUM_ELEMENTS);this.polylineColorBuffer[n]=new d.BufferAttribute(f,p.RGBA_NUM_ELEMENTS)}for(n=0;n<this.sequences.length;n++){for(var m=this.sequences[n],g=0,y=0;y<m.indices.length-1;y++){var v=m.indices[y],b=m.indices[y+1],x=h.vector3FromPackedArray(t,v),w=h.vector3FromPackedArray(t,b);this.polylinePositionBuffer[n].setXYZ(g,x.x,x.y,x.z),this.polylinePositionBuffer[n].setXYZ(g+1,w.x,w.y,w.z),g+=2}this.polylinePositionBuffer[n].needsUpdate=!0}this.createPolylines()}},t.prototype.onRender=function(t){for(var n=0;n<this.polylines.length;n++){var r=this.polylines[n].material;r.opacity=t.polylineOpacities[n],r.linewidth=t.polylineWidths[n],this.polylineColorBuffer[n].array=t.polylineColors[n],this.polylineColorBuffer[n].needsUpdate=!0}},t.prototype.onPickingRender=function(t){},t.prototype.onResize=function(t,n){},t}();n.ScatterPlotVisualizerPolylines=f},5788:(t,n,r)=>{"use strict";Object.defineProperty(n,"__esModule",{value:!0});var l=r(2212),d=r(7029),h=r(9813),p=r(2962),f=function(t){return"\n    // Index of the specific vertex (passed in as bufferAttribute), and the\n    // variable that will be used to pass it to the fragment shader.\n    attribute float spriteIndex;\n    attribute vec4 color;\n    attribute float scaleFactor;\n\n    varying vec2 xyIndex;\n    varying vec4 vColor;\n\n    uniform bool sizeAttenuation;\n    uniform float pointSize;\n    uniform float spritesPerRow;\n    uniform float spritesPerColumn;\n\n    varying float fogDepth;\n\n    void main() {\n      // Pass index and color values to fragment shader.\n      vColor = color;\n      xyIndex = vec2(mod(spriteIndex, spritesPerRow),\n                floor(spriteIndex / spritesPerColumn));\n\n      // Transform current vertex by modelViewMatrix (model world position and\n      // camera world position matrix).\n      vec4 cameraSpacePos = modelViewMatrix * vec4(position, 1.0);\n\n      // Project vertex in camera-space to screen coordinates using the camera's\n      // projection matrix.\n      gl_Position = projectionMatrix * cameraSpacePos;\n\n      // Create size attenuation (if we're in 3D mode) by making the size of\n      // each point inversly proportional to its distance to the camera.\n      float outputPointSize = pointSize;\n      if (sizeAttenuation) {\n        outputPointSize = -pointSize / cameraSpacePos.z;\n        fogDepth = pointSize / outputPointSize * 1.2;\n      } else {  // Create size attenuation (if we're in 2D mode)\n        const float PI = 3.1415926535897932384626433832795;\n        const float minScale = 0.1;  // minimum scaling factor\n        const float outSpeed = 2.0;  // shrink speed when zooming out\n        const float outNorm = (1. - minScale) / atan(outSpeed);\n        const float maxScale = 15.0;  // maximum scaling factor\n        const float inSpeed = 0.02;  // enlarge speed when zooming in\n        const float zoomOffset = 0.3;  // offset zoom pivot\n        float zoom = projectionMatrix[0][0] + zoomOffset;  // zoom pivot\n        float scale = zoom < 1. ? 1. + outNorm * atan(outSpeed * (zoom - 1.)) :\n                      1. + 2. / PI * (maxScale - 1.) * atan(inSpeed * (zoom - 1.));\n        outputPointSize = pointSize * scale;\n      }\n\n      gl_PointSize =\n        max(outputPointSize * scaleFactor, "+t.toFixed(1)+");\n    }"},m="\n    bool point_in_unit_circle(vec2 spriteCoord) {\n      vec2 centerToP = spriteCoord - vec2(0.5, 0.5);\n      return dot(centerToP, centerToP) < (0.5 * 0.5);\n    }\n\n    bool point_in_unit_equilateral_triangle(vec2 spriteCoord) {\n      vec3 v0 = vec3(0, 1, 0);\n      vec3 v1 = vec3(0.5, 0, 0);\n      vec3 v2 = vec3(1, 1, 0);\n      vec3 p = vec3(spriteCoord, 0);\n      float p_in_v0_v1 = cross(v1 - v0, p - v0).z;\n      float p_in_v1_v2 = cross(v2 - v1, p - v1).z;\n      return (p_in_v0_v1 > 0.0) && (p_in_v1_v2 > 0.0);\n    }\n\n    bool point_in_unit_square(vec2 spriteCoord) {\n      return true;\n    }\n  ",g="\n    varying vec2 xyIndex;\n    varying vec4 vColor;\n\n    uniform sampler2D spriteTexture;\n    uniform float spritesPerRow;\n    uniform float spritesPerColumn;\n    uniform bool isImage;\n\n    "+l.ShaderChunk.common+"\n    "+m+"\n    uniform vec3 fogColor;\n    varying float fogDepth;\n\t\tuniform float fogNear;\n    uniform float fogFar;\n\n    void main() {\n      if (isImage) {\n        // Coordinates of the vertex within the entire sprite image.\n        vec2 coords =\n          (gl_PointCoord + xyIndex) / vec2(spritesPerRow, spritesPerColumn);\n        gl_FragColor = vColor * texture(spriteTexture, coords);\n      } else {\n        bool inside = point_in_unit_circle(gl_PointCoord);\n        if (!inside) {\n          discard;\n        }\n        gl_FragColor = vColor;\n      }\n      float fogFactor = smoothstep( fogNear, fogFar, fogDepth );\n      gl_FragColor.rgb = mix( gl_FragColor.rgb, fogColor, fogFactor );\n    }",y="\n    varying vec2 xyIndex;\n    varying vec4 vColor;\n    uniform bool isImage;\n\n    "+m+"\n\n    varying float fogDepth;\n\n    void main() {\n      xyIndex; // Silence 'unused variable' warning.\n      fogDepth; // Silence 'unused variable' warning.\n      if (isImage) {\n        gl_FragColor = vColor;\n      } else {\n        bool inside = point_in_unit_circle(gl_PointCoord);\n        if (!inside) {\n          discard;\n        }\n        gl_FragColor = vColor;\n      }\n    }",v=function(){function t(t,n){this.styles=t,this.id="SPRITES",this.isSpriteSheetMode=!1,this.spritesPerRow=0,this.spritesPerColumn=0,this.spriteDimensions=[0,0],this.worldSpacePointPositions=new Float32Array(0),this.pickingColors=new Float32Array(0),this.renderColors=new Float32Array(0),this.standinTextureForPoints=h.createTextureFromCanvas(document.createElement("canvas")),n&&(this.spriteSheetParams=n,this.setSpriteSheet(n),this.isSpriteSheetMode=!0),this.renderMaterial=this.createRenderMaterial(),this.pickingMaterial=this.createPickingMaterial()}return t.prototype.createUniforms=function(){return{spriteTexture:{type:"t"},spritesPerRow:{type:"f"},spritesPerColumn:{type:"f"},fogColor:{type:"c"},fogNear:{type:"f"},fogFar:{type:"f"},isImage:{type:"bool"},sizeAttenuation:{type:"bool"},pointSize:{type:"f"}}},t.prototype.createRenderMaterial=function(){this.isSpriteSheetMode;var t=this.createUniforms();return new l.ShaderMaterial({uniforms:t,vertexShader:f(this.styles.sprites.minPointSize),fragmentShader:g,transparent:!0,depthFunc:l.LessDepth,fog:this.styles.fog.enabled,blending:l.NormalBlending})},t.prototype.createPickingMaterial=function(){var t=this.createUniforms();return new l.ShaderMaterial({uniforms:t,vertexShader:f(this.styles.sprites.minPointSize),fragmentShader:y,transparent:!0,depthTest:!0,depthWrite:!0,fog:!1,blending:l.NormalBlending})},t.prototype.createPointSprites=function(t,n){var r=null!=n?n.length/p.XYZ_NUM_ELEMENTS:0,d=this.createGeometry(r);this.fog=new l.Fog(16777215),this.points=new l.Points(d,this.renderMaterial),this.points.frustumCulled=!1,null!=this.spriteIndexBufferAttribute&&this.points.geometry.setAttribute("spriteIndex",this.spriteIndexBufferAttribute),t.add(this.points)},t.prototype.calculatePointSize=function(t){var n=this.styles.sprites.imageSize;if(this.texture)return t?n:this.spriteDimensions[0];var r=null!=this.worldSpacePointPositions?this.worldSpacePointPositions.length/p.XYZ_NUM_ELEMENTS:1,l=200/Math.log(r)/Math.log(8);return t?l:l/1.5},t.prototype.createGeometry=function(t){var n=t;this.pickingColors=new Float32Array(n*p.RGBA_NUM_ELEMENTS);for(var r=0,d=0;d<n;d++){var h=new l.Color(d);this.pickingColors[r++]=h.r,this.pickingColors[r++]=h.g,this.pickingColors[r++]=h.b,this.pickingColors[r++]=1}var f=new l.BufferGeometry;return f.setAttribute("position",new l.BufferAttribute(new Float32Array([]),p.XYZ_NUM_ELEMENTS)),f.setAttribute("color",new l.BufferAttribute(new Float32Array([]),p.RGBA_NUM_ELEMENTS)),f.setAttribute("scaleFactor",new l.BufferAttribute(new Float32Array([]),p.INDEX_NUM_ELEMENTS)),f.computeVertexNormals(),f},t.prototype.setFogDistances=function(t,n,r){var l=this.styles.fog,d=l.threshold,h=l.enabled;if(t&&h){this.fog.near=n;var p=n-r;this.fog.far=n-d*p}else this.fog.near=1/0,this.fog.far=1/0},t.prototype.dispose=function(){this.disposeGeometry(),this.disposeSpriteSheet()},t.prototype.disposeGeometry=function(){null!=this.points&&(this.scene.remove(this.points),this.points.geometry.dispose(),this.points=null,this.worldSpacePointPositions=null)},t.prototype.disposeSpriteSheet=function(){this.texture&&this.texture.dispose(),this.texture=null,this.renderMaterial=null,this.pickingMaterial=null,this.spriteSheetImage=null},t.prototype.setScene=function(t){this.scene=t},t.prototype.setSpriteSheet=function(t){var n=this,r=t.spriteDimensions,l=t.onImageLoad,d=t.spritesheetImage;if("string"==typeof d){var p=d;(d=new Image).src=p}this.spriteSheetImage=d,this.texture=h.createTextureFromImage(this.spriteSheetImage,(function(){n.spritesPerRow=n.spriteSheetImage.width/r[0],n.spritesPerColumn=n.spriteSheetImage.height/r[1],l()})),this.spriteDimensions=r,this.setSpriteIndexBuffer()},t.prototype.setSpriteIndexBuffer=function(){var t=this.spriteSheetParams.spriteIndices;this.spriteIndexBufferAttribute=new l.BufferAttribute(t,p.INDEX_NUM_ELEMENTS),null!=this.points&&this.points.geometry.setAttribute("spriteIndex",this.spriteIndexBufferAttribute)},t.prototype.onPointPositionsChanged=function(t){null!=this.points&&this.worldSpacePointPositions.length!==t.length&&this.disposeGeometry(),this.worldSpacePointPositions=t,null==this.points&&this.createPointSprites(this.scene,t),this.spriteSheetParams&&this.setSpriteIndexBuffer(),this.renderMaterial=this.createRenderMaterial(),this.pickingMaterial=this.createPickingMaterial();var n=this.points.geometry.getAttribute("position");n.array=t,n.count=t.length/p.XYZ_NUM_ELEMENTS,n.needsUpdate=!0},t.prototype.onPickingRender=function(t){var n=t.cameraType===d.CameraType.Perspective;this.pickingMaterial.uniforms.spritesPerRow.value=this.spritesPerRow,this.pickingMaterial.uniforms.spritesPerRow.value=this.spritesPerColumn,this.pickingMaterial.uniforms.sizeAttenuation.value=n,this.pickingMaterial.uniforms.pointSize.value=this.calculatePointSize(n),this.points.material=this.pickingMaterial;var r=this.points.geometry.getAttribute("color");r.array=this.pickingColors,r.count=this.pickingColors.length/p.RGBA_NUM_ELEMENTS,r.needsUpdate=!0;var l=this.points.geometry.getAttribute("scaleFactor");l.array=t.pointScaleFactors,l.count=t.pointScaleFactors.length,l.count=t.pointScaleFactors.length/p.INDEX_NUM_ELEMENTS,l.needsUpdate=!0},t.prototype.onRender=function(t){var n=t.camera instanceof l.PerspectiveCamera;this.setFogDistances(n,t.nearestCameraSpacePointZ,t.farthestCameraSpacePointZ),this.scene.fog=this.fog,this.scene.fog.color=new l.Color(t.backgroundColor),this.renderMaterial.uniforms.fogColor.value=this.scene.fog.color,this.renderMaterial.uniforms.fogNear.value=this.fog.near,this.renderMaterial.uniforms.fogFar.value=this.fog.far,this.renderMaterial.uniforms.spritesPerRow.value=this.spritesPerRow,this.renderMaterial.uniforms.spritesPerColumn.value=this.spritesPerColumn,this.renderMaterial.uniforms.isImage.value=null!=this.texture,this.renderMaterial.uniforms.spriteTexture.value=null!=this.texture?this.texture:this.standinTextureForPoints,this.renderMaterial.uniforms.sizeAttenuation.value=n,this.renderMaterial.uniforms.pointSize.value=this.calculatePointSize(n),this.points.material=this.renderMaterial;var r=this.points.geometry.getAttribute("color");this.renderColors=t.pointColors,r.array=this.renderColors,r.count=this.renderColors.length/p.RGBA_NUM_ELEMENTS,r.needsUpdate=!0;var d=this.points.geometry.getAttribute("scaleFactor");d.array=t.pointScaleFactors,d.count=t.pointScaleFactors.length/p.INDEX_NUM_ELEMENTS,d.needsUpdate=!0},t.prototype.onResize=function(t,n){},t}();n.ScatterPlotVisualizerSprites=v},83:(t,n)=>{"use strict";Object.defineProperty(n,"__esModule",{value:!0});n.makeStyles=function(t){var n={backgroundColor:"#ffffff",axesVisible:!0,fog:{color:"#ffffff",enabled:!0,threshold:5e3},label:{fontSize:10,scaleDefault:1,scaleLarge:2,fillColorSelected:"#000000",fillColorHover:"#000000",strokeColorSelected:"#ffffff",strokeColorHover:"#ffffff",strokeWidth:3,fillWidth:6},label3D:{fontSize:80,scale:2.2,color:"black",backgroundColor:"#ffffff",colorUnselected:"#ffffff",colorNoSelection:"#ffffff"},point:{colorUnselected:"rgba(227, 227, 227, 0.7)",colorNoSelection:"rgba(117, 117, 217, 0.7)",colorSelected:"rgba(250, 102, 102, 0.7)",colorHover:"rgba(118, 11, 79, 0.7)",scaleDefault:1,scaleSelected:1.2,scaleHover:1.2},polyline:{startHue:60,endHue:360,saturation:1,lightness:.3,defaultOpacity:.2,defaultLineWidth:2,selectedOpacity:.9,selectedLineWidth:3,deselectedOpacity:.05},select:{fill:"#dddddd",fillOpacity:.2,stroke:"#aaaaaa",strokeWidth:2,strokeDashArray:"10 5"},sprites:{minPointSize:5,imageSize:30,colorUnselected:"#ffffff",colorNoSelection:"#ffffff"}};if(void 0===t)return n;for(var r in n){var l=r;"object"==typeof n[l]&&"object"==typeof t[l]?n[l]=Object.assign(n[l],t[l]):void 0!==t[l]&&(n[l]=t[l])}return n}},9813:(t,n,r)=>{"use strict";Object.defineProperty(n,"__esModule",{value:!0});var l=r(2212);function d(t,n){return void 0===n&&(n=!0),t.needsUpdate=n,t.minFilter=l.LinearFilter,t.generateMipmaps=!1,t.flipY=!1,t}n.vector3DToScreenCoords=function(t,n,r,d){var h=window.devicePixelRatio,p=(new l.Vector3).copy(d).project(t);return[(p.x+1)/2*n*h,-(p.y-1)/2*r*h]},n.vector3FromPackedArray=function(t,n){var r=3*n;return new l.Vector3(t[r],t[r+1],t[r+2])},n.getNearFarPoints=function(t,n,r){for(var d=1/0,h=0,p=(new l.Vector3).copy(r).sub(n),f=(new l.Vector3).copy(p).normalize(),m=t.length/3,g=0,y=new l.Vector3,v=new l.Vector3,b=0;b<m;b++){y.x=t[g],y.y=t[g+1],y.z=t[g+2],g+=3,v.copy(y).sub(n);var x=f.dot(v);x<0||(h=x>h?x:h,d=x<d?x:d)}return[d,h]},n.createTextureFromCanvas=function(t){return d(new l.Texture(t))},n.createTextureFromImage=function(t,n){var r=new l.Texture(t);return t.complete?(r.needsUpdate=!0,n()):t.onload=function(){r.needsUpdate=!0,n()},d(r,!1)},n.hasWebGLSupport=function(){try{var t=document.createElement("canvas");return null!=(t.getContext("webgl")||t.getContext("experimental-webgl"))}catch(t){return!1}},n.extent=function(t){for(var n=1/0,r=-1/0,l=0;l<t.length;l++){var d=t[l];d<n&&(n=d),d>r&&(r=d)}return[n,r]},n.scaleLinear=function(t,n,r){var l=n[1]-n[0],d=r[1]-r[0];return(t-n[0])/l*d+r[0]},n.scaleExponential=function(t,n,r){var l=Math.pow(n[1],Math.E)-Math.pow(n[0],Math.E),d=r[1]-r[0];return(Math.pow(t,Math.E)-n[0])/l*d+r[0]},n.packRgbIntoUint8Array=function(t,n,r,l,d){t[3*n]=r,t[3*n+1]=l,t[3*n+2]=d},n.styleRgbFromHexColor=function(t){var n=new l.Color(t);return[255*n.r|0,255*n.g|0,255*n.b|0]};var h=function(t){return 100*t+"%"};n.getDefaultPointInPolylineColor=function(t,n,r,d,p,f){var m="hsl("+(r+(d-r)*t/n)+", "+h(p)+", "+h(f)+")";return new l.Color(m)}},6377:(t,n,r)=>{var l=r(4832),d=r(8652),h=r(801),p=r(2030),f=r(3618),m=r(9049),g=r(1971);g.alea=l,g.xor128=d,g.xorwow=h,g.xorshift7=p,g.xor4096=f,g.tychei=m,t.exports=g},4832:function(t,n,r){var l;!function(t,d,h){function p(t){var n=this,r=function(){var t=4022871197,n=function(n){n=String(n);for(var r=0;r<n.length;r++){var l=.02519603282416938*(t+=n.charCodeAt(r));l-=t=l>>>0,t=(l*=t)>>>0,t+=4294967296*(l-=t)}return 2.3283064365386963e-10*(t>>>0)};return n}();n.next=function(){var t=2091639*n.s0+2.3283064365386963e-10*n.c;return n.s0=n.s1,n.s1=n.s2,n.s2=t-(n.c=0|t)},n.c=1,n.s0=r(" "),n.s1=r(" "),n.s2=r(" "),n.s0-=r(t),n.s0<0&&(n.s0+=1),n.s1-=r(t),n.s1<0&&(n.s1+=1),n.s2-=r(t),n.s2<0&&(n.s2+=1),r=null}function f(t,n){return n.c=t.c,n.s0=t.s0,n.s1=t.s1,n.s2=t.s2,n}function m(t,n){var r=new p(t),l=n&&n.state,d=r.next;return d.int32=function(){return 4294967296*r.next()|0},d.double=function(){return d()+11102230246251565e-32*(2097152*d()|0)},d.quick=d,l&&("object"==typeof l&&f(l,r),d.state=function(){return f(r,{})}),d}d&&d.exports?d.exports=m:r.amdD&&r.amdO?void 0===(l=function(){return m}.call(n,r,n,d))||(d.exports=l):this.alea=m}(0,t=r.nmd(t),r.amdD)},9049:function(t,n,r){var l;!function(t,d,h){function p(t){var n=this,r="";n.next=function(){var t=n.b,r=n.c,l=n.d,d=n.a;return t=t<<25^t>>>7^r,r=r-l|0,l=l<<24^l>>>8^d,d=d-t|0,n.b=t=t<<20^t>>>12^r,n.c=r=r-l|0,n.d=l<<16^r>>>16^d,n.a=d-t|0},n.a=0,n.b=0,n.c=-1640531527,n.d=1367130551,t===Math.floor(t)?(n.a=t/4294967296|0,n.b=0|t):r+=t;for(var l=0;l<r.length+20;l++)n.b^=0|r.charCodeAt(l),n.next()}function f(t,n){return n.a=t.a,n.b=t.b,n.c=t.c,n.d=t.d,n}function m(t,n){var r=new p(t),l=n&&n.state,d=function(){return(r.next()>>>0)/4294967296};return d.double=function(){do{var t=((r.next()>>>11)+(r.next()>>>0)/4294967296)/(1<<21)}while(0===t);return t},d.int32=r.next,d.quick=d,l&&("object"==typeof l&&f(l,r),d.state=function(){return f(r,{})}),d}d&&d.exports?d.exports=m:r.amdD&&r.amdO?void 0===(l=function(){return m}.call(n,r,n,d))||(d.exports=l):this.tychei=m}(0,t=r.nmd(t),r.amdD)},8652:function(t,n,r){var l;!function(t,d,h){function p(t){var n=this,r="";n.x=0,n.y=0,n.z=0,n.w=0,n.next=function(){var t=n.x^n.x<<11;return n.x=n.y,n.y=n.z,n.z=n.w,n.w^=n.w>>>19^t^t>>>8},t===(0|t)?n.x=t:r+=t;for(var l=0;l<r.length+64;l++)n.x^=0|r.charCodeAt(l),n.next()}function f(t,n){return n.x=t.x,n.y=t.y,n.z=t.z,n.w=t.w,n}function m(t,n){var r=new p(t),l=n&&n.state,d=function(){return(r.next()>>>0)/4294967296};return d.double=function(){do{var t=((r.next()>>>11)+(r.next()>>>0)/4294967296)/(1<<21)}while(0===t);return t},d.int32=r.next,d.quick=d,l&&("object"==typeof l&&f(l,r),d.state=function(){return f(r,{})}),d}d&&d.exports?d.exports=m:r.amdD&&r.amdO?void 0===(l=function(){return m}.call(n,r,n,d))||(d.exports=l):this.xor128=m}(0,t=r.nmd(t),r.amdD)},3618:function(t,n,r){var l;!function(t,d,h){function p(t){var n=this;n.next=function(){var t,r,l=n.w,d=n.X,h=n.i;return n.w=l=l+1640531527|0,r=d[h+34&127],t=d[h=h+1&127],r^=r<<13,t^=t<<17,r^=r>>>15,t^=t>>>12,r=d[h]=r^t,n.i=h,r+(l^l>>>16)|0},function(t,n){var r,l,d,h,p,f=[],m=128;for(n===(0|n)?(l=n,n=null):(n+="\0",l=0,m=Math.max(m,n.length)),d=0,h=-32;h<m;++h)n&&(l^=n.charCodeAt((h+32)%n.length)),0===h&&(p=l),l^=l<<10,l^=l>>>15,l^=l<<4,l^=l>>>13,h>=0&&(p=p+1640531527|0,d=0==(r=f[127&h]^=l+p)?d+1:0);for(d>=128&&(f[127&(n&&n.length||0)]=-1),d=127,h=512;h>0;--h)l=f[d+34&127],r=f[d=d+1&127],l^=l<<13,r^=r<<17,l^=l>>>15,r^=r>>>12,f[d]=l^r;t.w=p,t.X=f,t.i=d}(n,t)}function f(t,n){return n.i=t.i,n.w=t.w,n.X=t.X.slice(),n}function m(t,n){null==t&&(t=+new Date);var r=new p(t),l=n&&n.state,d=function(){return(r.next()>>>0)/4294967296};return d.double=function(){do{var t=((r.next()>>>11)+(r.next()>>>0)/4294967296)/(1<<21)}while(0===t);return t},d.int32=r.next,d.quick=d,l&&(l.X&&f(l,r),d.state=function(){return f(r,{})}),d}d&&d.exports?d.exports=m:r.amdD&&r.amdO?void 0===(l=function(){return m}.call(n,r,n,d))||(d.exports=l):this.xor4096=m}(0,t=r.nmd(t),r.amdD)},2030:function(t,n,r){var l;!function(t,d,h){function p(t){var n=this;n.next=function(){var t,r,l=n.x,d=n.i;return t=l[d],r=(t^=t>>>7)^t<<24,r^=(t=l[d+1&7])^t>>>10,r^=(t=l[d+3&7])^t>>>3,r^=(t=l[d+4&7])^t<<7,t=l[d+7&7],r^=(t^=t<<13)^t<<9,l[d]=r,n.i=d+1&7,r},function(t,n){var r,l=[];if(n===(0|n))l[0]=n;else for(n=""+n,r=0;r<n.length;++r)l[7&r]=l[7&r]<<15^n.charCodeAt(r)+l[r+1&7]<<13;for(;l.length<8;)l.push(0);for(r=0;r<8&&0===l[r];++r);for(8==r?l[7]=-1:l[r],t.x=l,t.i=0,r=256;r>0;--r)t.next()}(n,t)}function f(t,n){return n.x=t.x.slice(),n.i=t.i,n}function m(t,n){null==t&&(t=+new Date);var r=new p(t),l=n&&n.state,d=function(){return(r.next()>>>0)/4294967296};return d.double=function(){do{var t=((r.next()>>>11)+(r.next()>>>0)/4294967296)/(1<<21)}while(0===t);return t},d.int32=r.next,d.quick=d,l&&(l.x&&f(l,r),d.state=function(){return f(r,{})}),d}d&&d.exports?d.exports=m:r.amdD&&r.amdO?void 0===(l=function(){return m}.call(n,r,n,d))||(d.exports=l):this.xorshift7=m}(0,t=r.nmd(t),r.amdD)},801:function(t,n,r){var l;!function(t,d,h){function p(t){var n=this,r="";n.next=function(){var t=n.x^n.x>>>2;return n.x=n.y,n.y=n.z,n.z=n.w,n.w=n.v,(n.d=n.d+362437|0)+(n.v=n.v^n.v<<4^t^t<<1)|0},n.x=0,n.y=0,n.z=0,n.w=0,n.v=0,t===(0|t)?n.x=t:r+=t;for(var l=0;l<r.length+64;l++)n.x^=0|r.charCodeAt(l),l==r.length&&(n.d=n.x<<10^n.x>>>4),n.next()}function f(t,n){return n.x=t.x,n.y=t.y,n.z=t.z,n.w=t.w,n.v=t.v,n.d=t.d,n}function m(t,n){var r=new p(t),l=n&&n.state,d=function(){return(r.next()>>>0)/4294967296};return d.double=function(){do{var t=((r.next()>>>11)+(r.next()>>>0)/4294967296)/(1<<21)}while(0===t);return t},d.int32=r.next,d.quick=d,l&&("object"==typeof l&&f(l,r),d.state=function(){return f(r,{})}),d}d&&d.exports?d.exports=m:r.amdD&&r.amdO?void 0===(l=function(){return m}.call(n,r,n,d))||(d.exports=l):this.xorwow=m}(0,t=r.nmd(t),r.amdD)},1971:function(t,n,r){var l;!function(d,h,p){var f,m=256,g=p.pow(m,6),y=p.pow(2,52),v=2*y,b=m-1;function x(t,n,r){var l=[],b=E(_((n=1==n?{entropy:!0}:n||{}).entropy?[t,T(h)]:null==t?function(){try{var t;return f&&(t=f.randomBytes)?t=t(m):(t=new Uint8Array(m),(d.crypto||d.msCrypto).getRandomValues(t)),T(t)}catch(t){var n=d.navigator,r=n&&n.plugins;return[+new Date,d,r,d.screen,T(h)]}}():t,3),l),x=new w(l),C=function(){for(var t=x.g(6),n=g,r=0;t<y;)t=(t+r)*m,n*=m,r=x.g(1);for(;t>=v;)t/=2,n/=2,r>>>=1;return(t+r)/n};return C.int32=function(){return 0|x.g(4)},C.quick=function(){return x.g(4)/4294967296},C.double=C,E(T(x.S),h),(n.pass||r||function(t,n,r,l){return l&&(l.S&&S(l,x),t.state=function(){return S(x,{})}),r?(p.random=t,n):t})(C,b,"global"in n?n.global:this==p,n.state)}function w(t){var n,r=t.length,l=this,d=0,h=l.i=l.j=0,p=l.S=[];for(r||(t=[r++]);d<m;)p[d]=d++;for(d=0;d<m;d++)p[d]=p[h=b&h+t[d%r]+(n=p[d])],p[h]=n;(l.g=function(t){for(var n,r=0,d=l.i,h=l.j,p=l.S;t--;)n=p[d=b&d+1],r=r*m+p[b&(p[d]=p[h=b&h+n])+(p[h]=n)];return l.i=d,l.j=h,r})(m)}function S(t,n){return n.i=t.i,n.j=t.j,n.S=t.S.slice(),n}function _(t,n){var r,l=[],d=typeof t;if(n&&"object"==d)for(r in t)try{l.push(_(t[r],n-1))}catch(t){}return l.length?l:"string"==d?t:t+"\0"}function E(t,n){for(var r,l=t+"",d=0;d<l.length;)n[b&d]=b&(r^=19*n[b&d])+l.charCodeAt(d++);return T(n)}function T(t){return String.fromCharCode.apply(0,t)}if(E(p.random(),h),t.exports){t.exports=x;try{f=r(5042)}catch(t){}}else void 0===(l=function(){return x}.call(n,r,n,t))||(t.exports=l)}("undefined"!=typeof self?self:this,[],Math)},2212:(t,n,r)=>{"use strict";r.r(n),r.d(n,{ACESFilmicToneMapping:()=>ve,AddEquation:()=>B,AddOperation:()=>pe,AdditiveAnimationBlendMode:()=>li,AdditiveBlending:()=>I,AlphaFormat:()=>Je,AlwaysDepth:()=>re,AlwaysStencilFunc:()=>$i,AmbientLight:()=>$d,AmbientLightProbe:()=>ru,AnimationClip:()=>Wc,AnimationLoader:()=>ed,AnimationMixer:()=>Iu,AnimationObjectGroup:()=>Ou,AnimationUtils:()=>Pc,ArcCurve:()=>ld,ArrayCamera:()=>ks,ArrowHelper:()=>ArrowHelper,Audio:()=>Audio,AudioAnalyser:()=>AudioAnalyser,AudioContext:()=>tu,AudioListener:()=>AudioListener,AudioLoader:()=>iu,AxesHelper:()=>AxesHelper,AxisHelper:()=>sp,BackSide:()=>_,BasicDepthPacking:()=>xi,BasicShadowMap:()=>v,BinaryTextureLoader:()=>hp,Bone:()=>dl,BooleanKeyframeTrack:()=>$c,BoundingBoxHelper:()=>lp,Box2:()=>Box2,Box3:()=>Box3,Box3Helper:()=>Box3Helper,BoxBufferGeometry:()=>BoxGeometry,BoxGeometry:()=>BoxGeometry,BoxHelper:()=>BoxHelper,BufferAttribute:()=>Er,BufferGeometry:()=>Gr,BufferGeometryLoader:()=>Wd,ByteType:()=>je,Cache:()=>Xc,Camera:()=>vo,CameraHelper:()=>CameraHelper,CanvasRenderer:()=>mp,CanvasTexture:()=>$l,CatmullRomCurve3:()=>fd,CineonToneMapping:()=>ye,CircleBufferGeometry:()=>CircleGeometry,CircleGeometry:()=>CircleGeometry,ClampToEdgeWrapping:()=>Ae,Clock:()=>Clock,ClosedSplineCurve3:()=>rp,Color:()=>Color,ColorKeyframeTrack:()=>zc,CompressedTexture:()=>Bl,CompressedTextureLoader:()=>td,ConeBufferGeometry:()=>ConeGeometry,ConeGeometry:()=>ConeGeometry,CubeCamera:()=>So,CubeReflectionMapping:()=>we,CubeRefractionMapping:()=>Se,CubeTexture:()=>_o,CubeTextureLoader:()=>nd,CubeUVReflectionMapping:()=>Me,CubeUVRefractionMapping:()=>Te,CubicBezierCurve:()=>vd,CubicBezierCurve3:()=>bd,CubicInterpolant:()=>Dc,CullFaceBack:()=>m,CullFaceFront:()=>g,CullFaceFrontBack:()=>y,CullFaceNone:()=>f,Curve:()=>ad,CurvePath:()=>Td,CustomBlending:()=>F,CustomToneMapping:()=>be,CylinderBufferGeometry:()=>CylinderGeometry,CylinderGeometry:()=>CylinderGeometry,Cylindrical:()=>Cylindrical,DataTexture:()=>Eo,DataTexture2DArray:()=>Wo,DataTexture3D:()=>qo,DataTextureLoader:()=>rd,DataUtils:()=>sh,DecrementStencilOp:()=>Ai,DecrementWrapStencilOp:()=>Oi,DefaultLoadingManager:()=>Zc,DepthFormat:()=>rt,DepthStencilFormat:()=>ot,DepthTexture:()=>zl,DirectionalLight:()=>Bd,DirectionalLightHelper:()=>DirectionalLightHelper,DiscreteInterpolant:()=>Nc,DodecahedronBufferGeometry:()=>DodecahedronGeometry,DodecahedronGeometry:()=>DodecahedronGeometry,DoubleSide:()=>E,DstAlphaFactor:()=>J,DstColorFactor:()=>ee,DynamicBufferAttribute:()=>Xh,DynamicCopyUsage:()=>qi,DynamicDrawUsage:()=>ji,DynamicReadUsage:()=>Hi,EdgesGeometry:()=>EdgesGeometry,EdgesHelper:()=>cp,EllipseCurve:()=>sd,EqualDepth:()=>se,EqualStencilFunc:()=>Li,EquirectangularReflectionMapping:()=>_e,EquirectangularRefractionMapping:()=>Ee,Euler:()=>Euler,EventDispatcher:()=>Ki,ExtrudeBufferGeometry:()=>ExtrudeGeometry,ExtrudeGeometry:()=>ExtrudeGeometry,Face3:()=>Face3,Face4:()=>Ph,FaceColors:()=>Nh,FileLoader:()=>Qc,FlatShading:()=>T,Float16BufferAttribute:()=>Rr,Float32Attribute:()=>ip,Float32BufferAttribute:()=>Pr,Float64Attribute:()=>np,Float64BufferAttribute:()=>Lr,FloatType:()=>We,Fog:()=>Fog,FogExp2:()=>FogExp2,Font:()=>Font,FontLoader:()=>Qd,FrontSide:()=>S,Frustum:()=>Frustum,GLBufferAttribute:()=>Pu,GLSL1:()=>Yi,GLSL3:()=>Zi,GammaEncoding:()=>fi,GeometryUtils:()=>fp,GreaterDepth:()=>ce,GreaterEqualDepth:()=>le,GreaterEqualStencilFunc:()=>Bi,GreaterStencilFunc:()=>Fi,GridHelper:()=>GridHelper,Group:()=>Os,HalfFloatType:()=>qe,HemisphereLight:()=>Od,HemisphereLightHelper:()=>HemisphereLightHelper,HemisphereLightProbe:()=>nu,IcosahedronBufferGeometry:()=>IcosahedronGeometry,IcosahedronGeometry:()=>IcosahedronGeometry,ImageBitmapLoader:()=>Zd,ImageLoader:()=>id,ImageUtils:()=>nn,ImmediateRenderObject:()=>zu,IncrementStencilOp:()=>Ci,IncrementWrapStencilOp:()=>ki,InstancedBufferAttribute:()=>Gd,InstancedBufferGeometry:()=>Hd,InstancedInterleavedBuffer:()=>Ru,InstancedMesh:()=>vl,Int16Attribute:()=>Jh,Int16BufferAttribute:()=>Ar,Int32Attribute:()=>ep,Int32BufferAttribute:()=>Or,Int8Attribute:()=>Yh,Int8BufferAttribute:()=>Mr,IntType:()=>He,InterleavedBuffer:()=>Fs,InterleavedBufferAttribute:()=>Bs,Interpolant:()=>Lc,InterpolateDiscrete:()=>ti,InterpolateLinear:()=>ii,InterpolateSmooth:()=>ni,InvertStencilOp:()=>Ii,JSONLoader:()=>gp,KeepStencilOp:()=>Mi,KeyframeTrack:()=>Bc,LOD:()=>nl,LatheBufferGeometry:()=>LatheGeometry,LatheGeometry:()=>LatheGeometry,Layers:()=>Layers,LensFlare:()=>vp,LessDepth:()=>oe,LessEqualDepth:()=>ae,LessEqualStencilFunc:()=>Di,LessStencilFunc:()=>Pi,Light:()=>kd,LightProbe:()=>jd,Line:()=>Ml,Line3:()=>Line3,LineBasicMaterial:()=>bl,LineCurve:()=>xd,LineCurve3:()=>wd,LineDashedMaterial:()=>Ic,LineLoop:()=>kl,LinePieces:()=>Dh,LineSegments:()=>Al,LineStrip:()=>Lh,LinearEncoding:()=>hi,LinearFilter:()=>De,LinearInterpolant:()=>Fc,LinearMipMapLinearFilter:()=>$e,LinearMipMapNearestFilter:()=>Ne,LinearMipmapLinearFilter:()=>Be,LinearMipmapNearestFilter:()=>Fe,LinearToneMapping:()=>me,Loader:()=>Kc,LoaderUtils:()=>Ud,LoadingManager:()=>Yc,LogLuvEncoding:()=>gi,LoopOnce:()=>Jt,LoopPingPong:()=>ei,LoopRepeat:()=>Qt,LuminanceAlphaFormat:()=>it,LuminanceFormat:()=>tt,MOUSE:()=>h,Material:()=>xr,MaterialLoader:()=>Vd,Math:()=>en,MathUtils:()=>en,Matrix3:()=>Matrix3,Matrix4:()=>Matrix4,MaxEquation:()=>U,Mesh:()=>co,MeshBasicMaterial:()=>wr,MeshDepthMaterial:()=>ws,MeshDistanceMaterial:()=>Ss,MeshFaceMaterial:()=>$h,MeshLambertMaterial:()=>kc,MeshMatcapMaterial:()=>Oc,MeshNormalMaterial:()=>Ac,MeshPhongMaterial:()=>Tc,MeshPhysicalMaterial:()=>Mc,MeshStandardMaterial:()=>Ec,MeshToonMaterial:()=>Cc,MinEquation:()=>V,MirroredRepeatWrapping:()=>ke,MixOperation:()=>he,MultiMaterial:()=>zh,MultiplyBlending:()=>D,MultiplyOperation:()=>ue,NearestFilter:()=>Oe,NearestMipMapLinearFilter:()=>Le,NearestMipMapNearestFilter:()=>Re,NearestMipmapLinearFilter:()=>Pe,NearestMipmapNearestFilter:()=>Ie,NeverDepth:()=>ne,NeverStencilFunc:()=>Ri,NoBlending:()=>A,NoColors:()=>Fh,NoToneMapping:()=>fe,NormalAnimationBlendMode:()=>si,NormalBlending:()=>O,NotEqualDepth:()=>de,NotEqualStencilFunc:()=>Ni,NumberKeyframeTrack:()=>jc,Object3D:()=>Qn,ObjectLoader:()=>ObjectLoader,ObjectSpaceNormalMap:()=>_i,OctahedronBufferGeometry:()=>OctahedronGeometry,OctahedronGeometry:()=>OctahedronGeometry,OneFactor:()=>W,OneMinusDstAlphaFactor:()=>Q,OneMinusDstColorFactor:()=>te,OneMinusSrcAlphaFactor:()=>K,OneMinusSrcColorFactor:()=>X,OrthographicCamera:()=>Fd,PCFShadowMap:()=>b,PCFSoftShadowMap:()=>x,PMREMGenerator:()=>PMREMGenerator,ParametricBufferGeometry:()=>xc,ParametricGeometry:()=>xc,Particle:()=>Vh,ParticleBasicMaterial:()=>Gh,ParticleSystem:()=>Uh,ParticleSystemMaterial:()=>Wh,Path:()=>Cd,PerspectiveCamera:()=>bo,Plane:()=>Plane,PlaneBufferGeometry:()=>PlaneGeometry,PlaneGeometry:()=>PlaneGeometry,PlaneHelper:()=>PlaneHelper,PointCloud:()=>jh,PointCloudMaterial:()=>Hh,PointLight:()=>Dd,PointLightHelper:()=>PointLightHelper,Points:()=>Dl,PointsMaterial:()=>Ol,PolarGridHelper:()=>PolarGridHelper,PolyhedronBufferGeometry:()=>PolyhedronGeometry,PolyhedronGeometry:()=>PolyhedronGeometry,PositionalAudio:()=>PositionalAudio,PropertyBinding:()=>ku,PropertyMixer:()=>yu,QuadraticBezierCurve:()=>Sd,QuadraticBezierCurve3:()=>_d,Quaternion:()=>Quaternion,QuaternionKeyframeTrack:()=>Uc,QuaternionLinearInterpolant:()=>Vc,REVISION:()=>d,RGBADepthPacking:()=>wi,RGBAFormat:()=>et,RGBAIntegerFormat:()=>ut,RGBA_ASTC_10x10_Format:()=>Lt,RGBA_ASTC_10x5_Format:()=>It,RGBA_ASTC_10x6_Format:()=>Rt,RGBA_ASTC_10x8_Format:()=>Pt,RGBA_ASTC_12x10_Format:()=>Dt,RGBA_ASTC_12x12_Format:()=>Ft,RGBA_ASTC_4x4_Format:()=>_t,RGBA_ASTC_5x4_Format:()=>Et,RGBA_ASTC_5x5_Format:()=>Mt,RGBA_ASTC_6x5_Format:()=>Tt,RGBA_ASTC_6x6_Format:()=>Ct,RGBA_ASTC_8x5_Format:()=>At,RGBA_ASTC_8x6_Format:()=>kt,RGBA_ASTC_8x8_Format:()=>Ot,RGBA_BPTC_Format:()=>Nt,RGBA_ETC2_EAC_Format:()=>St,RGBA_PVRTC_2BPPV1_Format:()=>bt,RGBA_PVRTC_4BPPV1_Format:()=>vt,RGBA_S3TC_DXT1_Format:()=>pt,RGBA_S3TC_DXT3_Format:()=>ft,RGBA_S3TC_DXT5_Format:()=>mt,RGBDEncoding:()=>bi,RGBEEncoding:()=>mi,RGBEFormat:()=>nt,RGBFormat:()=>Qe,RGBIntegerFormat:()=>dt,RGBM16Encoding:()=>vi,RGBM7Encoding:()=>yi,RGB_ETC1_Format:()=>xt,RGB_ETC2_Format:()=>wt,RGB_PVRTC_2BPPV1_Format:()=>yt,RGB_PVRTC_4BPPV1_Format:()=>gt,RGB_S3TC_DXT1_Format:()=>ht,RGFormat:()=>lt,RGIntegerFormat:()=>ct,RawShaderMaterial:()=>_c,Ray:()=>Ray,Raycaster:()=>Lu,RectAreaLight:()=>zd,RedFormat:()=>at,RedIntegerFormat:()=>st,ReinhardToneMapping:()=>ge,RepeatWrapping:()=>Ce,ReplaceStencilOp:()=>Ti,ReverseSubtractEquation:()=>j,RingBufferGeometry:()=>RingGeometry,RingGeometry:()=>RingGeometry,SRGB8_ALPHA8_ASTC_10x10_Format:()=>Yt,SRGB8_ALPHA8_ASTC_10x5_Format:()=>Wt,SRGB8_ALPHA8_ASTC_10x6_Format:()=>qt,SRGB8_ALPHA8_ASTC_10x8_Format:()=>Xt,SRGB8_ALPHA8_ASTC_12x10_Format:()=>Zt,SRGB8_ALPHA8_ASTC_12x12_Format:()=>Kt,SRGB8_ALPHA8_ASTC_4x4_Format:()=>Bt,SRGB8_ALPHA8_ASTC_5x4_Format:()=>$t,SRGB8_ALPHA8_ASTC_5x5_Format:()=>zt,SRGB8_ALPHA8_ASTC_6x5_Format:()=>jt,SRGB8_ALPHA8_ASTC_6x6_Format:()=>Vt,SRGB8_ALPHA8_ASTC_8x5_Format:()=>Ut,SRGB8_ALPHA8_ASTC_8x6_Format:()=>Ht,SRGB8_ALPHA8_ASTC_8x8_Format:()=>Gt,Scene:()=>Scene,SceneUtils:()=>yp,ShaderChunk:()=>ko,ShaderLib:()=>Io,ShaderMaterial:()=>yo,ShadowMaterial:()=>Sc,Shape:()=>Ad,ShapeBufferGeometry:()=>ShapeGeometry,ShapeGeometry:()=>ShapeGeometry,ShapePath:()=>Kd,ShapeUtils:()=>gc,ShortType:()=>Ve,Skeleton:()=>pl,SkeletonHelper:()=>SkeletonHelper,SkinnedMesh:()=>cl,SmoothShading:()=>C,Sphere:()=>Sphere,SphereBufferGeometry:()=>SphereGeometry,SphereGeometry:()=>SphereGeometry,Spherical:()=>Spherical,SphericalHarmonics3:()=>SphericalHarmonics3,Spline:()=>ap,SplineCurve:()=>Ed,SplineCurve3:()=>op,SpotLight:()=>Pd,SpotLightHelper:()=>SpotLightHelper,Sprite:()=>Qs,SpriteMaterial:()=>$s,SrcAlphaFactor:()=>Y,SrcAlphaSaturateFactor:()=>ie,SrcColorFactor:()=>q,StaticCopyUsage:()=>Wi,StaticDrawUsage:()=>zi,StaticReadUsage:()=>Ui,StereoCamera:()=>su,StreamCopyUsage:()=>Xi,StreamDrawUsage:()=>Vi,StreamReadUsage:()=>Gi,StringKeyframeTrack:()=>Hc,SubtractEquation:()=>$,SubtractiveBlending:()=>P,TOUCH:()=>p,TangentSpaceNormalMap:()=>Si,TetrahedronBufferGeometry:()=>TetrahedronGeometry,TetrahedronGeometry:()=>TetrahedronGeometry,TextBufferGeometry:()=>TextGeometry,TextGeometry:()=>TextGeometry,Texture:()=>on,TextureLoader:()=>od,TorusBufferGeometry:()=>TorusGeometry,TorusGeometry:()=>TorusGeometry,TorusKnotBufferGeometry:()=>TorusKnotGeometry,TorusKnotGeometry:()=>TorusKnotGeometry,Triangle:()=>Triangle,TriangleFanDrawMode:()=>ui,TriangleStripDrawMode:()=>di,TrianglesDrawMode:()=>ci,TubeBufferGeometry:()=>TubeGeometry,TubeGeometry:()=>TubeGeometry,UVMapping:()=>xe,Uint16Attribute:()=>Qh,Uint16BufferAttribute:()=>kr,Uint32Attribute:()=>tp,Uint32BufferAttribute:()=>Ir,Uint8Attribute:()=>Zh,Uint8BufferAttribute:()=>Tr,Uint8ClampedAttribute:()=>Kh,Uint8ClampedBufferAttribute:()=>Cr,Uniform:()=>Uniform,UniformsLib:()=>Oo,UniformsUtils:()=>fo,UnsignedByteType:()=>ze,UnsignedInt248Type:()=>Ke,UnsignedIntType:()=>Ge,UnsignedShort4444Type:()=>Xe,UnsignedShort5551Type:()=>Ye,UnsignedShort565Type:()=>Ze,UnsignedShortType:()=>Ue,VSMShadowMap:()=>w,Vector2:()=>Vector2,Vector3:()=>Vector3,Vector4:()=>Vector4,VectorKeyframeTrack:()=>Gc,Vertex:()=>qh,VertexColors:()=>Bh,VideoTexture:()=>Nl,WebGL1Renderer:()=>Ds,WebGLCubeRenderTarget:()=>WebGLCubeRenderTarget,WebGLMultisampleRenderTarget:()=>WebGLMultisampleRenderTarget,WebGLRenderTarget:()=>WebGLRenderTarget,WebGLRenderTargetCube:()=>pp,WebGLRenderer:()=>Ls,WebGLUtils:()=>As,WireframeGeometry:()=>WireframeGeometry,WireframeHelper:()=>dp,WrapAroundEnding:()=>ai,XHRLoader:()=>up,ZeroCurvatureEnding:()=>ri,ZeroFactor:()=>G,ZeroSlopeEnding:()=>oi,ZeroStencilOp:()=>Ei,sRGBEncoding:()=>pi});var l=r(5108);const d="125",h={LEFT:0,MIDDLE:1,RIGHT:2,ROTATE:0,DOLLY:1,PAN:2},p={ROTATE:0,PAN:1,DOLLY_PAN:2,DOLLY_ROTATE:3},f=0,m=1,g=2,y=3,v=0,b=1,x=2,w=3,S=0,_=1,E=2,T=1,C=2,A=0,O=1,I=2,P=3,D=4,F=5,B=100,$=101,j=102,V=103,U=104,G=200,W=201,q=202,X=203,Y=204,K=205,J=206,Q=207,ee=208,te=209,ie=210,ne=0,re=1,oe=2,ae=3,se=4,le=5,ce=6,de=7,ue=0,he=1,pe=2,fe=0,me=1,ge=2,ye=3,ve=4,be=5,xe=300,we=301,Se=302,_e=303,Ee=304,Me=306,Te=307,Ce=1e3,Ae=1001,ke=1002,Oe=1003,Ie=1004,Re=1004,Pe=1005,Le=1005,De=1006,Fe=1007,Ne=1007,Be=1008,$e=1008,ze=1009,je=1010,Ve=1011,Ue=1012,He=1013,Ge=1014,We=1015,qe=1016,Xe=1017,Ye=1018,Ze=1019,Ke=1020,Je=1021,Qe=1022,et=1023,tt=1024,it=1025,nt=et,rt=1026,ot=1027,at=1028,st=1029,lt=1030,ct=1031,dt=1032,ut=1033,ht=33776,pt=33777,ft=33778,mt=33779,gt=35840,yt=35841,vt=35842,bt=35843,xt=36196,wt=37492,St=37496,_t=37808,Et=37809,Mt=37810,Tt=37811,Ct=37812,At=37813,kt=37814,Ot=37815,It=37816,Rt=37817,Pt=37818,Lt=37819,Dt=37820,Ft=37821,Nt=36492,Bt=37840,$t=37841,zt=37842,jt=37843,Vt=37844,Ut=37845,Ht=37846,Gt=37847,Wt=37848,qt=37849,Xt=37850,Yt=37851,Zt=37852,Kt=37853,Jt=2200,Qt=2201,ei=2202,ti=2300,ii=2301,ni=2302,ri=2400,oi=2401,ai=2402,si=2500,li=2501,ci=0,di=1,ui=2,hi=3e3,pi=3001,fi=3007,mi=3002,gi=3003,yi=3004,vi=3005,bi=3006,xi=3200,wi=3201,Si=0,_i=1,Ei=0,Mi=7680,Ti=7681,Ci=7682,Ai=7683,ki=34055,Oi=34056,Ii=5386,Ri=512,Pi=513,Li=514,Di=515,Fi=516,Ni=517,Bi=518,$i=519,zi=35044,ji=35048,Vi=35040,Ui=35045,Hi=35049,Gi=35041,Wi=35046,qi=35050,Xi=35042,Yi="100",Zi="300 es";function Ki(){}Object.assign(Ki.prototype,{addEventListener:function(t,n){void 0===this._listeners&&(this._listeners={});const r=this._listeners;void 0===r[t]&&(r[t]=[]),-1===r[t].indexOf(n)&&r[t].push(n)},hasEventListener:function(t,n){if(void 0===this._listeners)return!1;const r=this._listeners;return void 0!==r[t]&&-1!==r[t].indexOf(n)},removeEventListener:function(t,n){if(void 0===this._listeners)return;const r=this._listeners[t];if(void 0!==r){const t=r.indexOf(n);-1!==t&&r.splice(t,1)}},dispatchEvent:function(t){if(void 0===this._listeners)return;const n=this._listeners[t.type];if(void 0!==n){t.target=this;const r=n.slice(0);for(let n=0,l=r.length;n<l;n++)r[n].call(this,t)}}});const Ji=[];for(let t=0;t<256;t++)Ji[t]=(t<16?"0":"")+t.toString(16);let Qi=1234567;const en={DEG2RAD:Math.PI/180,RAD2DEG:180/Math.PI,generateUUID:function(){const t=4294967295*Math.random()|0,n=4294967295*Math.random()|0,r=4294967295*Math.random()|0,l=4294967295*Math.random()|0;return(Ji[255&t]+Ji[t>>8&255]+Ji[t>>16&255]+Ji[t>>24&255]+"-"+Ji[255&n]+Ji[n>>8&255]+"-"+Ji[n>>16&15|64]+Ji[n>>24&255]+"-"+Ji[63&r|128]+Ji[r>>8&255]+"-"+Ji[r>>16&255]+Ji[r>>24&255]+Ji[255&l]+Ji[l>>8&255]+Ji[l>>16&255]+Ji[l>>24&255]).toUpperCase()},clamp:function(t,n,r){return Math.max(n,Math.min(r,t))},euclideanModulo:function(t,n){return(t%n+n)%n},mapLinear:function(t,n,r,l,d){return l+(t-n)*(d-l)/(r-n)},lerp:function(t,n,r){return(1-r)*t+r*n},damp:function(t,n,r,l){return en.lerp(t,n,1-Math.exp(-r*l))},pingpong:function(t,n=1){return n-Math.abs(en.euclideanModulo(t,2*n)-n)},smoothstep:function(t,n,r){return t<=n?0:t>=r?1:(t=(t-n)/(r-n))*t*(3-2*t)},smootherstep:function(t,n,r){return t<=n?0:t>=r?1:(t=(t-n)/(r-n))*t*t*(t*(6*t-15)+10)},randInt:function(t,n){return t+Math.floor(Math.random()*(n-t+1))},randFloat:function(t,n){return t+Math.random()*(n-t)},randFloatSpread:function(t){return t*(.5-Math.random())},seededRandom:function(t){return void 0!==t&&(Qi=t%2147483647),Qi=16807*Qi%2147483647,(Qi-1)/2147483646},degToRad:function(t){return t*en.DEG2RAD},radToDeg:function(t){return t*en.RAD2DEG},isPowerOfTwo:function(t){return 0==(t&t-1)&&0!==t},ceilPowerOfTwo:function(t){return Math.pow(2,Math.ceil(Math.log(t)/Math.LN2))},floorPowerOfTwo:function(t){return Math.pow(2,Math.floor(Math.log(t)/Math.LN2))},setQuaternionFromProperEuler:function(t,n,r,d,h){const p=Math.cos,f=Math.sin,m=p(r/2),g=f(r/2),y=p((n+d)/2),v=f((n+d)/2),b=p((n-d)/2),x=f((n-d)/2),w=p((d-n)/2),S=f((d-n)/2);switch(h){case"XYX":t.set(m*v,g*b,g*x,m*y);break;case"YZY":t.set(g*x,m*v,g*b,m*y);break;case"ZXZ":t.set(g*b,g*x,m*v,m*y);break;case"XZX":t.set(m*v,g*S,g*w,m*y);break;case"YXY":t.set(g*w,m*v,g*S,m*y);break;case"ZYZ":t.set(g*S,g*w,m*v,m*y);break;default:l.warn("THREE.MathUtils: .setQuaternionFromProperEuler() encountered an unknown order: "+h)}}};class Vector2{constructor(t=0,n=0){Object.defineProperty(this,"isVector2",{value:!0}),this.x=t,this.y=n}get width(){return this.x}set width(t){this.x=t}get height(){return this.y}set height(t){this.y=t}set(t,n){return this.x=t,this.y=n,this}setScalar(t){return this.x=t,this.y=t,this}setX(t){return this.x=t,this}setY(t){return this.y=t,this}setComponent(t,n){switch(t){case 0:this.x=n;break;case 1:this.y=n;break;default:throw new Error("index is out of range: "+t)}return this}getComponent(t){switch(t){case 0:return this.x;case 1:return this.y;default:throw new Error("index is out of range: "+t)}}clone(){return new this.constructor(this.x,this.y)}copy(t){return this.x=t.x,this.y=t.y,this}add(t,n){return void 0!==n?(l.warn("THREE.Vector2: .add() now only accepts one argument. Use .addVectors( a, b ) instead."),this.addVectors(t,n)):(this.x+=t.x,this.y+=t.y,this)}addScalar(t){return this.x+=t,this.y+=t,this}addVectors(t,n){return this.x=t.x+n.x,this.y=t.y+n.y,this}addScaledVector(t,n){return this.x+=t.x*n,this.y+=t.y*n,this}sub(t,n){return void 0!==n?(l.warn("THREE.Vector2: .sub() now only accepts one argument. Use .subVectors( a, b ) instead."),this.subVectors(t,n)):(this.x-=t.x,this.y-=t.y,this)}subScalar(t){return this.x-=t,this.y-=t,this}subVectors(t,n){return this.x=t.x-n.x,this.y=t.y-n.y,this}multiply(t){return this.x*=t.x,this.y*=t.y,this}multiplyScalar(t){return this.x*=t,this.y*=t,this}divide(t){return this.x/=t.x,this.y/=t.y,this}divideScalar(t){return this.multiplyScalar(1/t)}applyMatrix3(t){const n=this.x,r=this.y,l=t.elements;return this.x=l[0]*n+l[3]*r+l[6],this.y=l[1]*n+l[4]*r+l[7],this}min(t){return this.x=Math.min(this.x,t.x),this.y=Math.min(this.y,t.y),this}max(t){return this.x=Math.max(this.x,t.x),this.y=Math.max(this.y,t.y),this}clamp(t,n){return this.x=Math.max(t.x,Math.min(n.x,this.x)),this.y=Math.max(t.y,Math.min(n.y,this.y)),this}clampScalar(t,n){return this.x=Math.max(t,Math.min(n,this.x)),this.y=Math.max(t,Math.min(n,this.y)),this}clampLength(t,n){const r=this.length();return this.divideScalar(r||1).multiplyScalar(Math.max(t,Math.min(n,r)))}floor(){return this.x=Math.floor(this.x),this.y=Math.floor(this.y),this}ceil(){return this.x=Math.ceil(this.x),this.y=Math.ceil(this.y),this}round(){return this.x=Math.round(this.x),this.y=Math.round(this.y),this}roundToZero(){return this.x=this.x<0?Math.ceil(this.x):Math.floor(this.x),this.y=this.y<0?Math.ceil(this.y):Math.floor(this.y),this}negate(){return this.x=-this.x,this.y=-this.y,this}dot(t){return this.x*t.x+this.y*t.y}cross(t){return this.x*t.y-this.y*t.x}lengthSq(){return this.x*this.x+this.y*this.y}length(){return Math.sqrt(this.x*this.x+this.y*this.y)}manhattanLength(){return Math.abs(this.x)+Math.abs(this.y)}normalize(){return this.divideScalar(this.length()||1)}angle(){return Math.atan2(-this.y,-this.x)+Math.PI}distanceTo(t){return Math.sqrt(this.distanceToSquared(t))}distanceToSquared(t){const n=this.x-t.x,r=this.y-t.y;return n*n+r*r}manhattanDistanceTo(t){return Math.abs(this.x-t.x)+Math.abs(this.y-t.y)}setLength(t){return this.normalize().multiplyScalar(t)}lerp(t,n){return this.x+=(t.x-this.x)*n,this.y+=(t.y-this.y)*n,this}lerpVectors(t,n,r){return this.x=t.x+(n.x-t.x)*r,this.y=t.y+(n.y-t.y)*r,this}equals(t){return t.x===this.x&&t.y===this.y}fromArray(t,n=0){return this.x=t[n],this.y=t[n+1],this}toArray(t=[],n=0){return t[n]=this.x,t[n+1]=this.y,t}fromBufferAttribute(t,n,r){return void 0!==r&&l.warn("THREE.Vector2: offset has been removed from .fromBufferAttribute()."),this.x=t.getX(n),this.y=t.getY(n),this}rotateAround(t,n){const r=Math.cos(n),l=Math.sin(n),d=this.x-t.x,h=this.y-t.y;return this.x=d*r-h*l+t.x,this.y=d*l+h*r+t.y,this}random(){return this.x=Math.random(),this.y=Math.random(),this}}class Matrix3{constructor(){Object.defineProperty(this,"isMatrix3",{value:!0}),this.elements=[1,0,0,0,1,0,0,0,1],arguments.length>0&&l.error("THREE.Matrix3: the constructor no longer reads arguments. use .set() instead.")}set(t,n,r,l,d,h,p,f,m){const g=this.elements;return g[0]=t,g[1]=l,g[2]=p,g[3]=n,g[4]=d,g[5]=f,g[6]=r,g[7]=h,g[8]=m,this}identity(){return this.set(1,0,0,0,1,0,0,0,1),this}clone(){return(new this.constructor).fromArray(this.elements)}copy(t){const n=this.elements,r=t.elements;return n[0]=r[0],n[1]=r[1],n[2]=r[2],n[3]=r[3],n[4]=r[4],n[5]=r[5],n[6]=r[6],n[7]=r[7],n[8]=r[8],this}extractBasis(t,n,r){return t.setFromMatrix3Column(this,0),n.setFromMatrix3Column(this,1),r.setFromMatrix3Column(this,2),this}setFromMatrix4(t){const n=t.elements;return this.set(n[0],n[4],n[8],n[1],n[5],n[9],n[2],n[6],n[10]),this}multiply(t){return this.multiplyMatrices(this,t)}premultiply(t){return this.multiplyMatrices(t,this)}multiplyMatrices(t,n){const r=t.elements,l=n.elements,d=this.elements,h=r[0],p=r[3],f=r[6],m=r[1],g=r[4],y=r[7],v=r[2],b=r[5],x=r[8],w=l[0],S=l[3],_=l[6],E=l[1],T=l[4],C=l[7],A=l[2],O=l[5],I=l[8];return d[0]=h*w+p*E+f*A,d[3]=h*S+p*T+f*O,d[6]=h*_+p*C+f*I,d[1]=m*w+g*E+y*A,d[4]=m*S+g*T+y*O,d[7]=m*_+g*C+y*I,d[2]=v*w+b*E+x*A,d[5]=v*S+b*T+x*O,d[8]=v*_+b*C+x*I,this}multiplyScalar(t){const n=this.elements;return n[0]*=t,n[3]*=t,n[6]*=t,n[1]*=t,n[4]*=t,n[7]*=t,n[2]*=t,n[5]*=t,n[8]*=t,this}determinant(){const t=this.elements,n=t[0],r=t[1],l=t[2],d=t[3],h=t[4],p=t[5],f=t[6],m=t[7],g=t[8];return n*h*g-n*p*m-r*d*g+r*p*f+l*d*m-l*h*f}invert(){const t=this.elements,n=t[0],r=t[1],l=t[2],d=t[3],h=t[4],p=t[5],f=t[6],m=t[7],g=t[8],y=g*h-p*m,v=p*f-g*d,b=m*d-h*f,x=n*y+r*v+l*b;if(0===x)return this.set(0,0,0,0,0,0,0,0,0);const w=1/x;return t[0]=y*w,t[1]=(l*m-g*r)*w,t[2]=(p*r-l*h)*w,t[3]=v*w,t[4]=(g*n-l*f)*w,t[5]=(l*d-p*n)*w,t[6]=b*w,t[7]=(r*f-m*n)*w,t[8]=(h*n-r*d)*w,this}transpose(){let t;const n=this.elements;return t=n[1],n[1]=n[3],n[3]=t,t=n[2],n[2]=n[6],n[6]=t,t=n[5],n[5]=n[7],n[7]=t,this}getNormalMatrix(t){return this.setFromMatrix4(t).copy(this).invert().transpose()}transposeIntoArray(t){const n=this.elements;return t[0]=n[0],t[1]=n[3],t[2]=n[6],t[3]=n[1],t[4]=n[4],t[5]=n[7],t[6]=n[2],t[7]=n[5],t[8]=n[8],this}setUvTransform(t,n,r,l,d,h,p){const f=Math.cos(d),m=Math.sin(d);return this.set(r*f,r*m,-r*(f*h+m*p)+h+t,-l*m,l*f,-l*(-m*h+f*p)+p+n,0,0,1),this}scale(t,n){const r=this.elements;return r[0]*=t,r[3]*=t,r[6]*=t,r[1]*=n,r[4]*=n,r[7]*=n,this}rotate(t){const n=Math.cos(t),r=Math.sin(t),l=this.elements,d=l[0],h=l[3],p=l[6],f=l[1],m=l[4],g=l[7];return l[0]=n*d+r*f,l[3]=n*h+r*m,l[6]=n*p+r*g,l[1]=-r*d+n*f,l[4]=-r*h+n*m,l[7]=-r*p+n*g,this}translate(t,n){const r=this.elements;return r[0]+=t*r[2],r[3]+=t*r[5],r[6]+=t*r[8],r[1]+=n*r[2],r[4]+=n*r[5],r[7]+=n*r[8],this}equals(t){const n=this.elements,r=t.elements;for(let t=0;t<9;t++)if(n[t]!==r[t])return!1;return!0}fromArray(t,n=0){for(let r=0;r<9;r++)this.elements[r]=t[r+n];return this}toArray(t=[],n=0){const r=this.elements;return t[n]=r[0],t[n+1]=r[1],t[n+2]=r[2],t[n+3]=r[3],t[n+4]=r[4],t[n+5]=r[5],t[n+6]=r[6],t[n+7]=r[7],t[n+8]=r[8],t}}let tn;const nn={getDataURL:function(t){if(/^data:/i.test(t.src))return t.src;if("undefined"==typeof HTMLCanvasElement)return t.src;let n;if(t instanceof HTMLCanvasElement)n=t;else{void 0===tn&&(tn=document.createElementNS("http://www.w3.org/1999/xhtml","canvas")),tn.width=t.width,tn.height=t.height;const r=tn.getContext("2d");t instanceof ImageData?r.putImageData(t,0,0):r.drawImage(t,0,0,t.width,t.height),n=tn}return n.width>2048||n.height>2048?n.toDataURL("image/jpeg",.6):n.toDataURL("image/png")}};let rn=0;function on(t=on.DEFAULT_IMAGE,n=on.DEFAULT_MAPPING,r=Ae,l=Ae,d=De,h=Be,p=et,f=ze,m=1,g=hi){Object.defineProperty(this,"id",{value:rn++}),this.uuid=en.generateUUID(),this.name="",this.image=t,this.mipmaps=[],this.mapping=n,this.wrapS=r,this.wrapT=l,this.magFilter=d,this.minFilter=h,this.anisotropy=m,this.format=p,this.internalFormat=null,this.type=f,this.offset=new Vector2(0,0),this.repeat=new Vector2(1,1),this.center=new Vector2(0,0),this.rotation=0,this.matrixAutoUpdate=!0,this.matrix=new Matrix3,this.generateMipmaps=!0,this.premultiplyAlpha=!1,this.flipY=!0,this.unpackAlignment=4,this.encoding=g,this.version=0,this.onUpdate=null}function an(t){return"undefined"!=typeof HTMLImageElement&&t instanceof HTMLImageElement||"undefined"!=typeof HTMLCanvasElement&&t instanceof HTMLCanvasElement||"undefined"!=typeof ImageBitmap&&t instanceof ImageBitmap?nn.getDataURL(t):t.data?{data:Array.prototype.slice.call(t.data),width:t.width,height:t.height,type:t.data.constructor.name}:(l.warn("THREE.Texture: Unable to serialize Texture."),{})}on.DEFAULT_IMAGE=void 0,on.DEFAULT_MAPPING=xe,on.prototype=Object.assign(Object.create(Ki.prototype),{constructor:on,isTexture:!0,updateMatrix:function(){this.matrix.setUvTransform(this.offset.x,this.offset.y,this.repeat.x,this.repeat.y,this.rotation,this.center.x,this.center.y)},clone:function(){return(new this.constructor).copy(this)},copy:function(t){return this.name=t.name,this.image=t.image,this.mipmaps=t.mipmaps.slice(0),this.mapping=t.mapping,this.wrapS=t.wrapS,this.wrapT=t.wrapT,this.magFilter=t.magFilter,this.minFilter=t.minFilter,this.anisotropy=t.anisotropy,this.format=t.format,this.internalFormat=t.internalFormat,this.type=t.type,this.offset.copy(t.offset),this.repeat.copy(t.repeat),this.center.copy(t.center),this.rotation=t.rotation,this.matrixAutoUpdate=t.matrixAutoUpdate,this.matrix.copy(t.matrix),this.generateMipmaps=t.generateMipmaps,this.premultiplyAlpha=t.premultiplyAlpha,this.flipY=t.flipY,this.unpackAlignment=t.unpackAlignment,this.encoding=t.encoding,this},toJSON:function(t){const n=void 0===t||"string"==typeof t;if(!n&&void 0!==t.textures[this.uuid])return t.textures[this.uuid];const r={metadata:{version:4.5,type:"Texture",generator:"Texture.toJSON"},uuid:this.uuid,name:this.name,mapping:this.mapping,repeat:[this.repeat.x,this.repeat.y],offset:[this.offset.x,this.offset.y],center:[this.center.x,this.center.y],rotation:this.rotation,wrap:[this.wrapS,this.wrapT],format:this.format,type:this.type,encoding:this.encoding,minFilter:this.minFilter,magFilter:this.magFilter,anisotropy:this.anisotropy,flipY:this.flipY,premultiplyAlpha:this.premultiplyAlpha,unpackAlignment:this.unpackAlignment};if(void 0!==this.image){const l=this.image;if(void 0===l.uuid&&(l.uuid=en.generateUUID()),!n&&void 0===t.images[l.uuid]){let n;if(Array.isArray(l)){n=[];for(let t=0,r=l.length;t<r;t++)l[t].isDataTexture?n.push(an(l[t].image)):n.push(an(l[t]))}else n=an(l);t.images[l.uuid]={uuid:l.uuid,url:n}}r.image=l.uuid}return n||(t.textures[this.uuid]=r),r},dispose:function(){this.dispatchEvent({type:"dispose"})},transformUv:function(t){if(this.mapping!==xe)return t;if(t.applyMatrix3(this.matrix),t.x<0||t.x>1)switch(this.wrapS){case Ce:t.x=t.x-Math.floor(t.x);break;case Ae:t.x=t.x<0?0:1;break;case ke:1===Math.abs(Math.floor(t.x)%2)?t.x=Math.ceil(t.x)-t.x:t.x=t.x-Math.floor(t.x)}if(t.y<0||t.y>1)switch(this.wrapT){case Ce:t.y=t.y-Math.floor(t.y);break;case Ae:t.y=t.y<0?0:1;break;case ke:1===Math.abs(Math.floor(t.y)%2)?t.y=Math.ceil(t.y)-t.y:t.y=t.y-Math.floor(t.y)}return this.flipY&&(t.y=1-t.y),t}}),Object.defineProperty(on.prototype,"needsUpdate",{set:function(t){!0===t&&this.version++}});class Vector4{constructor(t=0,n=0,r=0,l=1){Object.defineProperty(this,"isVector4",{value:!0}),this.x=t,this.y=n,this.z=r,this.w=l}get width(){return this.z}set width(t){this.z=t}get height(){return this.w}set height(t){this.w=t}set(t,n,r,l){return this.x=t,this.y=n,this.z=r,this.w=l,this}setScalar(t){return this.x=t,this.y=t,this.z=t,this.w=t,this}setX(t){return this.x=t,this}setY(t){return this.y=t,this}setZ(t){return this.z=t,this}setW(t){return this.w=t,this}setComponent(t,n){switch(t){case 0:this.x=n;break;case 1:this.y=n;break;case 2:this.z=n;break;case 3:this.w=n;break;default:throw new Error("index is out of range: "+t)}return this}getComponent(t){switch(t){case 0:return this.x;case 1:return this.y;case 2:return this.z;case 3:return this.w;default:throw new Error("index is out of range: "+t)}}clone(){return new this.constructor(this.x,this.y,this.z,this.w)}copy(t){return this.x=t.x,this.y=t.y,this.z=t.z,this.w=void 0!==t.w?t.w:1,this}add(t,n){return void 0!==n?(l.warn("THREE.Vector4: .add() now only accepts one argument. Use .addVectors( a, b ) instead."),this.addVectors(t,n)):(this.x+=t.x,this.y+=t.y,this.z+=t.z,this.w+=t.w,this)}addScalar(t){return this.x+=t,this.y+=t,this.z+=t,this.w+=t,this}addVectors(t,n){return this.x=t.x+n.x,this.y=t.y+n.y,this.z=t.z+n.z,this.w=t.w+n.w,this}addScaledVector(t,n){return this.x+=t.x*n,this.y+=t.y*n,this.z+=t.z*n,this.w+=t.w*n,this}sub(t,n){return void 0!==n?(l.warn("THREE.Vector4: .sub() now only accepts one argument. Use .subVectors( a, b ) instead."),this.subVectors(t,n)):(this.x-=t.x,this.y-=t.y,this.z-=t.z,this.w-=t.w,this)}subScalar(t){return this.x-=t,this.y-=t,this.z-=t,this.w-=t,this}subVectors(t,n){return this.x=t.x-n.x,this.y=t.y-n.y,this.z=t.z-n.z,this.w=t.w-n.w,this}multiply(t){return this.x*=t.x,this.y*=t.y,this.z*=t.z,this.w*=t.w,this}multiplyScalar(t){return this.x*=t,this.y*=t,this.z*=t,this.w*=t,this}applyMatrix4(t){const n=this.x,r=this.y,l=this.z,d=this.w,h=t.elements;return this.x=h[0]*n+h[4]*r+h[8]*l+h[12]*d,this.y=h[1]*n+h[5]*r+h[9]*l+h[13]*d,this.z=h[2]*n+h[6]*r+h[10]*l+h[14]*d,this.w=h[3]*n+h[7]*r+h[11]*l+h[15]*d,this}divideScalar(t){return this.multiplyScalar(1/t)}setAxisAngleFromQuaternion(t){this.w=2*Math.acos(t.w);const n=Math.sqrt(1-t.w*t.w);return n<1e-4?(this.x=1,this.y=0,this.z=0):(this.x=t.x/n,this.y=t.y/n,this.z=t.z/n),this}setAxisAngleFromRotationMatrix(t){let n,r,l,d;const h=.01,p=.1,f=t.elements,m=f[0],g=f[4],y=f[8],v=f[1],b=f[5],x=f[9],w=f[2],S=f[6],_=f[10];if(Math.abs(g-v)<h&&Math.abs(y-w)<h&&Math.abs(x-S)<h){if(Math.abs(g+v)<p&&Math.abs(y+w)<p&&Math.abs(x+S)<p&&Math.abs(m+b+_-3)<p)return this.set(1,0,0,0),this;n=Math.PI;const t=(m+1)/2,f=(b+1)/2,E=(_+1)/2,T=(g+v)/4,C=(y+w)/4,A=(x+S)/4;return t>f&&t>E?t<h?(r=0,l=.707106781,d=.707106781):(r=Math.sqrt(t),l=T/r,d=C/r):f>E?f<h?(r=.707106781,l=0,d=.707106781):(l=Math.sqrt(f),r=T/l,d=A/l):E<h?(r=.707106781,l=.707106781,d=0):(d=Math.sqrt(E),r=C/d,l=A/d),this.set(r,l,d,n),this}let E=Math.sqrt((S-x)*(S-x)+(y-w)*(y-w)+(v-g)*(v-g));return Math.abs(E)<.001&&(E=1),this.x=(S-x)/E,this.y=(y-w)/E,this.z=(v-g)/E,this.w=Math.acos((m+b+_-1)/2),this}min(t){return this.x=Math.min(this.x,t.x),this.y=Math.min(this.y,t.y),this.z=Math.min(this.z,t.z),this.w=Math.min(this.w,t.w),this}max(t){return this.x=Math.max(this.x,t.x),this.y=Math.max(this.y,t.y),this.z=Math.max(this.z,t.z),this.w=Math.max(this.w,t.w),this}clamp(t,n){return this.x=Math.max(t.x,Math.min(n.x,this.x)),this.y=Math.max(t.y,Math.min(n.y,this.y)),this.z=Math.max(t.z,Math.min(n.z,this.z)),this.w=Math.max(t.w,Math.min(n.w,this.w)),this}clampScalar(t,n){return this.x=Math.max(t,Math.min(n,this.x)),this.y=Math.max(t,Math.min(n,this.y)),this.z=Math.max(t,Math.min(n,this.z)),this.w=Math.max(t,Math.min(n,this.w)),this}clampLength(t,n){const r=this.length();return this.divideScalar(r||1).multiplyScalar(Math.max(t,Math.min(n,r)))}floor(){return this.x=Math.floor(this.x),this.y=Math.floor(this.y),this.z=Math.floor(this.z),this.w=Math.floor(this.w),this}ceil(){return this.x=Math.ceil(this.x),this.y=Math.ceil(this.y),this.z=Math.ceil(this.z),this.w=Math.ceil(this.w),this}round(){return this.x=Math.round(this.x),this.y=Math.round(this.y),this.z=Math.round(this.z),this.w=Math.round(this.w),this}roundToZero(){return this.x=this.x<0?Math.ceil(this.x):Math.floor(this.x),this.y=this.y<0?Math.ceil(this.y):Math.floor(this.y),this.z=this.z<0?Math.ceil(this.z):Math.floor(this.z),this.w=this.w<0?Math.ceil(this.w):Math.floor(this.w),this}negate(){return this.x=-this.x,this.y=-this.y,this.z=-this.z,this.w=-this.w,this}dot(t){return this.x*t.x+this.y*t.y+this.z*t.z+this.w*t.w}lengthSq(){return this.x*this.x+this.y*this.y+this.z*this.z+this.w*this.w}length(){return Math.sqrt(this.x*this.x+this.y*this.y+this.z*this.z+this.w*this.w)}manhattanLength(){return Math.abs(this.x)+Math.abs(this.y)+Math.abs(this.z)+Math.abs(this.w)}normalize(){return this.divideScalar(this.length()||1)}setLength(t){return this.normalize().multiplyScalar(t)}lerp(t,n){return this.x+=(t.x-this.x)*n,this.y+=(t.y-this.y)*n,this.z+=(t.z-this.z)*n,this.w+=(t.w-this.w)*n,this}lerpVectors(t,n,r){return this.x=t.x+(n.x-t.x)*r,this.y=t.y+(n.y-t.y)*r,this.z=t.z+(n.z-t.z)*r,this.w=t.w+(n.w-t.w)*r,this}equals(t){return t.x===this.x&&t.y===this.y&&t.z===this.z&&t.w===this.w}fromArray(t,n=0){return this.x=t[n],this.y=t[n+1],this.z=t[n+2],this.w=t[n+3],this}toArray(t=[],n=0){return t[n]=this.x,t[n+1]=this.y,t[n+2]=this.z,t[n+3]=this.w,t}fromBufferAttribute(t,n,r){return void 0!==r&&l.warn("THREE.Vector4: offset has been removed from .fromBufferAttribute()."),this.x=t.getX(n),this.y=t.getY(n),this.z=t.getZ(n),this.w=t.getW(n),this}random(){return this.x=Math.random(),this.y=Math.random(),this.z=Math.random(),this.w=Math.random(),this}}class WebGLRenderTarget extends Ki{constructor(t,n,r){super(),Object.defineProperty(this,"isWebGLRenderTarget",{value:!0}),this.width=t,this.height=n,this.scissor=new Vector4(0,0,t,n),this.scissorTest=!1,this.viewport=new Vector4(0,0,t,n),r=r||{},this.texture=new on(void 0,r.mapping,r.wrapS,r.wrapT,r.magFilter,r.minFilter,r.format,r.type,r.anisotropy,r.encoding),this.texture.image={},this.texture.image.width=t,this.texture.image.height=n,this.texture.generateMipmaps=void 0!==r.generateMipmaps&&r.generateMipmaps,this.texture.minFilter=void 0!==r.minFilter?r.minFilter:De,this.depthBuffer=void 0===r.depthBuffer||r.depthBuffer,this.stencilBuffer=void 0!==r.stencilBuffer&&r.stencilBuffer,this.depthTexture=void 0!==r.depthTexture?r.depthTexture:null}setSize(t,n){this.width===t&&this.height===n||(this.width=t,this.height=n,this.texture.image.width=t,this.texture.image.height=n,this.dispose()),this.viewport.set(0,0,t,n),this.scissor.set(0,0,t,n)}clone(){return(new this.constructor).copy(this)}copy(t){return this.width=t.width,this.height=t.height,this.viewport.copy(t.viewport),this.texture=t.texture.clone(),this.depthBuffer=t.depthBuffer,this.stencilBuffer=t.stencilBuffer,this.depthTexture=t.depthTexture,this}dispose(){this.dispatchEvent({type:"dispose"})}}class WebGLMultisampleRenderTarget extends WebGLRenderTarget{constructor(t,n,r){super(t,n,r),Object.defineProperty(this,"isWebGLMultisampleRenderTarget",{value:!0}),this.samples=4}copy(t){return super.copy.call(this,t),this.samples=t.samples,this}}class Quaternion{constructor(t=0,n=0,r=0,l=1){Object.defineProperty(this,"isQuaternion",{value:!0}),this._x=t,this._y=n,this._z=r,this._w=l}static slerp(t,n,r,l){return r.copy(t).slerp(n,l)}static slerpFlat(t,n,r,l,d,h,p){let f=r[l+0],m=r[l+1],g=r[l+2],y=r[l+3];const v=d[h+0],b=d[h+1],x=d[h+2],w=d[h+3];if(y!==w||f!==v||m!==b||g!==x){let t=1-p;const n=f*v+m*b+g*x+y*w,r=n>=0?1:-1,l=1-n*n;if(l>Number.EPSILON){const d=Math.sqrt(l),h=Math.atan2(d,n*r);t=Math.sin(t*h)/d,p=Math.sin(p*h)/d}const d=p*r;if(f=f*t+v*d,m=m*t+b*d,g=g*t+x*d,y=y*t+w*d,t===1-p){const t=1/Math.sqrt(f*f+m*m+g*g+y*y);f*=t,m*=t,g*=t,y*=t}}t[n]=f,t[n+1]=m,t[n+2]=g,t[n+3]=y}static multiplyQuaternionsFlat(t,n,r,l,d,h){const p=r[l],f=r[l+1],m=r[l+2],g=r[l+3],y=d[h],v=d[h+1],b=d[h+2],x=d[h+3];return t[n]=p*x+g*y+f*b-m*v,t[n+1]=f*x+g*v+m*y-p*b,t[n+2]=m*x+g*b+p*v-f*y,t[n+3]=g*x-p*y-f*v-m*b,t}get x(){return this._x}set x(t){this._x=t,this._onChangeCallback()}get y(){return this._y}set y(t){this._y=t,this._onChangeCallback()}get z(){return this._z}set z(t){this._z=t,this._onChangeCallback()}get w(){return this._w}set w(t){this._w=t,this._onChangeCallback()}set(t,n,r,l){return this._x=t,this._y=n,this._z=r,this._w=l,this._onChangeCallback(),this}clone(){return new this.constructor(this._x,this._y,this._z,this._w)}copy(t){return this._x=t.x,this._y=t.y,this._z=t.z,this._w=t.w,this._onChangeCallback(),this}setFromEuler(t,n){if(!t||!t.isEuler)throw new Error("THREE.Quaternion: .setFromEuler() now expects an Euler rotation rather than a Vector3 and order.");const r=t._x,d=t._y,h=t._z,p=t._order,f=Math.cos,m=Math.sin,g=f(r/2),y=f(d/2),v=f(h/2),b=m(r/2),x=m(d/2),w=m(h/2);switch(p){case"XYZ":this._x=b*y*v+g*x*w,this._y=g*x*v-b*y*w,this._z=g*y*w+b*x*v,this._w=g*y*v-b*x*w;break;case"YXZ":this._x=b*y*v+g*x*w,this._y=g*x*v-b*y*w,this._z=g*y*w-b*x*v,this._w=g*y*v+b*x*w;break;case"ZXY":this._x=b*y*v-g*x*w,this._y=g*x*v+b*y*w,this._z=g*y*w+b*x*v,this._w=g*y*v-b*x*w;break;case"ZYX":this._x=b*y*v-g*x*w,this._y=g*x*v+b*y*w,this._z=g*y*w-b*x*v,this._w=g*y*v+b*x*w;break;case"YZX":this._x=b*y*v+g*x*w,this._y=g*x*v+b*y*w,this._z=g*y*w-b*x*v,this._w=g*y*v-b*x*w;break;case"XZY":this._x=b*y*v-g*x*w,this._y=g*x*v-b*y*w,this._z=g*y*w+b*x*v,this._w=g*y*v+b*x*w;break;default:l.warn("THREE.Quaternion: .setFromEuler() encountered an unknown order: "+p)}return!1!==n&&this._onChangeCallback(),this}setFromAxisAngle(t,n){const r=n/2,l=Math.sin(r);return this._x=t.x*l,this._y=t.y*l,this._z=t.z*l,this._w=Math.cos(r),this._onChangeCallback(),this}setFromRotationMatrix(t){const n=t.elements,r=n[0],l=n[4],d=n[8],h=n[1],p=n[5],f=n[9],m=n[2],g=n[6],y=n[10],v=r+p+y;if(v>0){const t=.5/Math.sqrt(v+1);this._w=.25/t,this._x=(g-f)*t,this._y=(d-m)*t,this._z=(h-l)*t}else if(r>p&&r>y){const t=2*Math.sqrt(1+r-p-y);this._w=(g-f)/t,this._x=.25*t,this._y=(l+h)/t,this._z=(d+m)/t}else if(p>y){const t=2*Math.sqrt(1+p-r-y);this._w=(d-m)/t,this._x=(l+h)/t,this._y=.25*t,this._z=(f+g)/t}else{const t=2*Math.sqrt(1+y-r-p);this._w=(h-l)/t,this._x=(d+m)/t,this._y=(f+g)/t,this._z=.25*t}return this._onChangeCallback(),this}setFromUnitVectors(t,n){let r=t.dot(n)+1;return r<1e-6?(r=0,Math.abs(t.x)>Math.abs(t.z)?(this._x=-t.y,this._y=t.x,this._z=0,this._w=r):(this._x=0,this._y=-t.z,this._z=t.y,this._w=r)):(this._x=t.y*n.z-t.z*n.y,this._y=t.z*n.x-t.x*n.z,this._z=t.x*n.y-t.y*n.x,this._w=r),this.normalize()}angleTo(t){return 2*Math.acos(Math.abs(en.clamp(this.dot(t),-1,1)))}rotateTowards(t,n){const r=this.angleTo(t);if(0===r)return this;const l=Math.min(1,n/r);return this.slerp(t,l),this}identity(){return this.set(0,0,0,1)}invert(){return this.conjugate()}conjugate(){return this._x*=-1,this._y*=-1,this._z*=-1,this._onChangeCallback(),this}dot(t){return this._x*t._x+this._y*t._y+this._z*t._z+this._w*t._w}lengthSq(){return this._x*this._x+this._y*this._y+this._z*this._z+this._w*this._w}length(){return Math.sqrt(this._x*this._x+this._y*this._y+this._z*this._z+this._w*this._w)}normalize(){let t=this.length();return 0===t?(this._x=0,this._y=0,this._z=0,this._w=1):(t=1/t,this._x=this._x*t,this._y=this._y*t,this._z=this._z*t,this._w=this._w*t),this._onChangeCallback(),this}multiply(t,n){return void 0!==n?(l.warn("THREE.Quaternion: .multiply() now only accepts one argument. Use .multiplyQuaternions( a, b ) instead."),this.multiplyQuaternions(t,n)):this.multiplyQuaternions(this,t)}premultiply(t){return this.multiplyQuaternions(t,this)}multiplyQuaternions(t,n){const r=t._x,l=t._y,d=t._z,h=t._w,p=n._x,f=n._y,m=n._z,g=n._w;return this._x=r*g+h*p+l*m-d*f,this._y=l*g+h*f+d*p-r*m,this._z=d*g+h*m+r*f-l*p,this._w=h*g-r*p-l*f-d*m,this._onChangeCallback(),this}slerp(t,n){if(0===n)return this;if(1===n)return this.copy(t);const r=this._x,l=this._y,d=this._z,h=this._w;let p=h*t._w+r*t._x+l*t._y+d*t._z;if(p<0?(this._w=-t._w,this._x=-t._x,this._y=-t._y,this._z=-t._z,p=-p):this.copy(t),p>=1)return this._w=h,this._x=r,this._y=l,this._z=d,this;const f=1-p*p;if(f<=Number.EPSILON){const t=1-n;return this._w=t*h+n*this._w,this._x=t*r+n*this._x,this._y=t*l+n*this._y,this._z=t*d+n*this._z,this.normalize(),this._onChangeCallback(),this}const m=Math.sqrt(f),g=Math.atan2(m,p),y=Math.sin((1-n)*g)/m,v=Math.sin(n*g)/m;return this._w=h*y+this._w*v,this._x=r*y+this._x*v,this._y=l*y+this._y*v,this._z=d*y+this._z*v,this._onChangeCallback(),this}equals(t){return t._x===this._x&&t._y===this._y&&t._z===this._z&&t._w===this._w}fromArray(t,n=0){return this._x=t[n],this._y=t[n+1],this._z=t[n+2],this._w=t[n+3],this._onChangeCallback(),this}toArray(t=[],n=0){return t[n]=this._x,t[n+1]=this._y,t[n+2]=this._z,t[n+3]=this._w,t}fromBufferAttribute(t,n){return this._x=t.getX(n),this._y=t.getY(n),this._z=t.getZ(n),this._w=t.getW(n),this}_onChange(t){return this._onChangeCallback=t,this}_onChangeCallback(){}}class Vector3{constructor(t=0,n=0,r=0){Object.defineProperty(this,"isVector3",{value:!0}),this.x=t,this.y=n,this.z=r}set(t,n,r){return void 0===r&&(r=this.z),this.x=t,this.y=n,this.z=r,this}setScalar(t){return this.x=t,this.y=t,this.z=t,this}setX(t){return this.x=t,this}setY(t){return this.y=t,this}setZ(t){return this.z=t,this}setComponent(t,n){switch(t){case 0:this.x=n;break;case 1:this.y=n;break;case 2:this.z=n;break;default:throw new Error("index is out of range: "+t)}return this}getComponent(t){switch(t){case 0:return this.x;case 1:return this.y;case 2:return this.z;default:throw new Error("index is out of range: "+t)}}clone(){return new this.constructor(this.x,this.y,this.z)}copy(t){return this.x=t.x,this.y=t.y,this.z=t.z,this}add(t,n){return void 0!==n?(l.warn("THREE.Vector3: .add() now only accepts one argument. Use .addVectors( a, b ) instead."),this.addVectors(t,n)):(this.x+=t.x,this.y+=t.y,this.z+=t.z,this)}addScalar(t){return this.x+=t,this.y+=t,this.z+=t,this}addVectors(t,n){return this.x=t.x+n.x,this.y=t.y+n.y,this.z=t.z+n.z,this}addScaledVector(t,n){return this.x+=t.x*n,this.y+=t.y*n,this.z+=t.z*n,this}sub(t,n){return void 0!==n?(l.warn("THREE.Vector3: .sub() now only accepts one argument. Use .subVectors( a, b ) instead."),this.subVectors(t,n)):(this.x-=t.x,this.y-=t.y,this.z-=t.z,this)}subScalar(t){return this.x-=t,this.y-=t,this.z-=t,this}subVectors(t,n){return this.x=t.x-n.x,this.y=t.y-n.y,this.z=t.z-n.z,this}multiply(t,n){return void 0!==n?(l.warn("THREE.Vector3: .multiply() now only accepts one argument. Use .multiplyVectors( a, b ) instead."),this.multiplyVectors(t,n)):(this.x*=t.x,this.y*=t.y,this.z*=t.z,this)}multiplyScalar(t){return this.x*=t,this.y*=t,this.z*=t,this}multiplyVectors(t,n){return this.x=t.x*n.x,this.y=t.y*n.y,this.z=t.z*n.z,this}applyEuler(t){return t&&t.isEuler||l.error("THREE.Vector3: .applyEuler() now expects an Euler rotation rather than a Vector3 and order."),this.applyQuaternion(ln.setFromEuler(t))}applyAxisAngle(t,n){return this.applyQuaternion(ln.setFromAxisAngle(t,n))}applyMatrix3(t){const n=this.x,r=this.y,l=this.z,d=t.elements;return this.x=d[0]*n+d[3]*r+d[6]*l,this.y=d[1]*n+d[4]*r+d[7]*l,this.z=d[2]*n+d[5]*r+d[8]*l,this}applyNormalMatrix(t){return this.applyMatrix3(t).normalize()}applyMatrix4(t){const n=this.x,r=this.y,l=this.z,d=t.elements,h=1/(d[3]*n+d[7]*r+d[11]*l+d[15]);return this.x=(d[0]*n+d[4]*r+d[8]*l+d[12])*h,this.y=(d[1]*n+d[5]*r+d[9]*l+d[13])*h,this.z=(d[2]*n+d[6]*r+d[10]*l+d[14])*h,this}applyQuaternion(t){const n=this.x,r=this.y,l=this.z,d=t.x,h=t.y,p=t.z,f=t.w,m=f*n+h*l-p*r,g=f*r+p*n-d*l,y=f*l+d*r-h*n,v=-d*n-h*r-p*l;return this.x=m*f+v*-d+g*-p-y*-h,this.y=g*f+v*-h+y*-d-m*-p,this.z=y*f+v*-p+m*-h-g*-d,this}project(t){return this.applyMatrix4(t.matrixWorldInverse).applyMatrix4(t.projectionMatrix)}unproject(t){return this.applyMatrix4(t.projectionMatrixInverse).applyMatrix4(t.matrixWorld)}transformDirection(t){const n=this.x,r=this.y,l=this.z,d=t.elements;return this.x=d[0]*n+d[4]*r+d[8]*l,this.y=d[1]*n+d[5]*r+d[9]*l,this.z=d[2]*n+d[6]*r+d[10]*l,this.normalize()}divide(t){return this.x/=t.x,this.y/=t.y,this.z/=t.z,this}divideScalar(t){return this.multiplyScalar(1/t)}min(t){return this.x=Math.min(this.x,t.x),this.y=Math.min(this.y,t.y),this.z=Math.min(this.z,t.z),this}max(t){return this.x=Math.max(this.x,t.x),this.y=Math.max(this.y,t.y),this.z=Math.max(this.z,t.z),this}clamp(t,n){return this.x=Math.max(t.x,Math.min(n.x,this.x)),this.y=Math.max(t.y,Math.min(n.y,this.y)),this.z=Math.max(t.z,Math.min(n.z,this.z)),this}clampScalar(t,n){return this.x=Math.max(t,Math.min(n,this.x)),this.y=Math.max(t,Math.min(n,this.y)),this.z=Math.max(t,Math.min(n,this.z)),this}clampLength(t,n){const r=this.length();return this.divideScalar(r||1).multiplyScalar(Math.max(t,Math.min(n,r)))}floor(){return this.x=Math.floor(this.x),this.y=Math.floor(this.y),this.z=Math.floor(this.z),this}ceil(){return this.x=Math.ceil(this.x),this.y=Math.ceil(this.y),this.z=Math.ceil(this.z),this}round(){return this.x=Math.round(this.x),this.y=Math.round(this.y),this.z=Math.round(this.z),this}roundToZero(){return this.x=this.x<0?Math.ceil(this.x):Math.floor(this.x),this.y=this.y<0?Math.ceil(this.y):Math.floor(this.y),this.z=this.z<0?Math.ceil(this.z):Math.floor(this.z),this}negate(){return this.x=-this.x,this.y=-this.y,this.z=-this.z,this}dot(t){return this.x*t.x+this.y*t.y+this.z*t.z}lengthSq(){return this.x*this.x+this.y*this.y+this.z*this.z}length(){return Math.sqrt(this.x*this.x+this.y*this.y+this.z*this.z)}manhattanLength(){return Math.abs(this.x)+Math.abs(this.y)+Math.abs(this.z)}normalize(){return this.divideScalar(this.length()||1)}setLength(t){return this.normalize().multiplyScalar(t)}lerp(t,n){return this.x+=(t.x-this.x)*n,this.y+=(t.y-this.y)*n,this.z+=(t.z-this.z)*n,this}lerpVectors(t,n,r){return this.x=t.x+(n.x-t.x)*r,this.y=t.y+(n.y-t.y)*r,this.z=t.z+(n.z-t.z)*r,this}cross(t,n){return void 0!==n?(l.warn("THREE.Vector3: .cross() now only accepts one argument. Use .crossVectors( a, b ) instead."),this.crossVectors(t,n)):this.crossVectors(this,t)}crossVectors(t,n){const r=t.x,l=t.y,d=t.z,h=n.x,p=n.y,f=n.z;return this.x=l*f-d*p,this.y=d*h-r*f,this.z=r*p-l*h,this}projectOnVector(t){const n=t.lengthSq();if(0===n)return this.set(0,0,0);const r=t.dot(this)/n;return this.copy(t).multiplyScalar(r)}projectOnPlane(t){return sn.copy(this).projectOnVector(t),this.sub(sn)}reflect(t){return this.sub(sn.copy(t).multiplyScalar(2*this.dot(t)))}angleTo(t){const n=Math.sqrt(this.lengthSq()*t.lengthSq());if(0===n)return Math.PI/2;const r=this.dot(t)/n;return Math.acos(en.clamp(r,-1,1))}distanceTo(t){return Math.sqrt(this.distanceToSquared(t))}distanceToSquared(t){const n=this.x-t.x,r=this.y-t.y,l=this.z-t.z;return n*n+r*r+l*l}manhattanDistanceTo(t){return Math.abs(this.x-t.x)+Math.abs(this.y-t.y)+Math.abs(this.z-t.z)}setFromSpherical(t){return this.setFromSphericalCoords(t.radius,t.phi,t.theta)}setFromSphericalCoords(t,n,r){const l=Math.sin(n)*t;return this.x=l*Math.sin(r),this.y=Math.cos(n)*t,this.z=l*Math.cos(r),this}setFromCylindrical(t){return this.setFromCylindricalCoords(t.radius,t.theta,t.y)}setFromCylindricalCoords(t,n,r){return this.x=t*Math.sin(n),this.y=r,this.z=t*Math.cos(n),this}setFromMatrixPosition(t){const n=t.elements;return this.x=n[12],this.y=n[13],this.z=n[14],this}setFromMatrixScale(t){const n=this.setFromMatrixColumn(t,0).length(),r=this.setFromMatrixColumn(t,1).length(),l=this.setFromMatrixColumn(t,2).length();return this.x=n,this.y=r,this.z=l,this}setFromMatrixColumn(t,n){return this.fromArray(t.elements,4*n)}setFromMatrix3Column(t,n){return this.fromArray(t.elements,3*n)}equals(t){return t.x===this.x&&t.y===this.y&&t.z===this.z}fromArray(t,n=0){return this.x=t[n],this.y=t[n+1],this.z=t[n+2],this}toArray(t=[],n=0){return t[n]=this.x,t[n+1]=this.y,t[n+2]=this.z,t}fromBufferAttribute(t,n,r){return void 0!==r&&l.warn("THREE.Vector3: offset has been removed from .fromBufferAttribute()."),this.x=t.getX(n),this.y=t.getY(n),this.z=t.getZ(n),this}random(){return this.x=Math.random(),this.y=Math.random(),this.z=Math.random(),this}}const sn=new Vector3,ln=new Quaternion;class Box3{constructor(t,n){Object.defineProperty(this,"isBox3",{value:!0}),this.min=void 0!==t?t:new Vector3(1/0,1/0,1/0),this.max=void 0!==n?n:new Vector3(-1/0,-1/0,-1/0)}set(t,n){return this.min.copy(t),this.max.copy(n),this}setFromArray(t){let n=1/0,r=1/0,l=1/0,d=-1/0,h=-1/0,p=-1/0;for(let f=0,m=t.length;f<m;f+=3){const m=t[f],g=t[f+1],y=t[f+2];m<n&&(n=m),g<r&&(r=g),y<l&&(l=y),m>d&&(d=m),g>h&&(h=g),y>p&&(p=y)}return this.min.set(n,r,l),this.max.set(d,h,p),this}setFromBufferAttribute(t){let n=1/0,r=1/0,l=1/0,d=-1/0,h=-1/0,p=-1/0;for(let f=0,m=t.count;f<m;f++){const m=t.getX(f),g=t.getY(f),y=t.getZ(f);m<n&&(n=m),g<r&&(r=g),y<l&&(l=y),m>d&&(d=m),g>h&&(h=g),y>p&&(p=y)}return this.min.set(n,r,l),this.max.set(d,h,p),this}setFromPoints(t){this.makeEmpty();for(let n=0,r=t.length;n<r;n++)this.expandByPoint(t[n]);return this}setFromCenterAndSize(t,n){const r=un.copy(n).multiplyScalar(.5);return this.min.copy(t).sub(r),this.max.copy(t).add(r),this}setFromObject(t){return this.makeEmpty(),this.expandByObject(t)}clone(){return(new this.constructor).copy(this)}copy(t){return this.min.copy(t.min),this.max.copy(t.max),this}makeEmpty(){return this.min.x=this.min.y=this.min.z=1/0,this.max.x=this.max.y=this.max.z=-1/0,this}isEmpty(){return this.max.x<this.min.x||this.max.y<this.min.y||this.max.z<this.min.z}getCenter(t){return void 0===t&&(l.warn("THREE.Box3: .getCenter() target is now required"),t=new Vector3),this.isEmpty()?t.set(0,0,0):t.addVectors(this.min,this.max).multiplyScalar(.5)}getSize(t){return void 0===t&&(l.warn("THREE.Box3: .getSize() target is now required"),t=new Vector3),this.isEmpty()?t.set(0,0,0):t.subVectors(this.max,this.min)}expandByPoint(t){return this.min.min(t),this.max.max(t),this}expandByVector(t){return this.min.sub(t),this.max.add(t),this}expandByScalar(t){return this.min.addScalar(-t),this.max.addScalar(t),this}expandByObject(t){t.updateWorldMatrix(!1,!1);const n=t.geometry;void 0!==n&&(null===n.boundingBox&&n.computeBoundingBox(),hn.copy(n.boundingBox),hn.applyMatrix4(t.matrixWorld),this.union(hn));const r=t.children;for(let t=0,n=r.length;t<n;t++)this.expandByObject(r[t]);return this}containsPoint(t){return!(t.x<this.min.x||t.x>this.max.x||t.y<this.min.y||t.y>this.max.y||t.z<this.min.z||t.z>this.max.z)}containsBox(t){return this.min.x<=t.min.x&&t.max.x<=this.max.x&&this.min.y<=t.min.y&&t.max.y<=this.max.y&&this.min.z<=t.min.z&&t.max.z<=this.max.z}getParameter(t,n){return void 0===n&&(l.warn("THREE.Box3: .getParameter() target is now required"),n=new Vector3),n.set((t.x-this.min.x)/(this.max.x-this.min.x),(t.y-this.min.y)/(this.max.y-this.min.y),(t.z-this.min.z)/(this.max.z-this.min.z))}intersectsBox(t){return!(t.max.x<this.min.x||t.min.x>this.max.x||t.max.y<this.min.y||t.min.y>this.max.y||t.max.z<this.min.z||t.min.z>this.max.z)}intersectsSphere(t){return this.clampPoint(t.center,un),un.distanceToSquared(t.center)<=t.radius*t.radius}intersectsPlane(t){let n,r;return t.normal.x>0?(n=t.normal.x*this.min.x,r=t.normal.x*this.max.x):(n=t.normal.x*this.max.x,r=t.normal.x*this.min.x),t.normal.y>0?(n+=t.normal.y*this.min.y,r+=t.normal.y*this.max.y):(n+=t.normal.y*this.max.y,r+=t.normal.y*this.min.y),t.normal.z>0?(n+=t.normal.z*this.min.z,r+=t.normal.z*this.max.z):(n+=t.normal.z*this.max.z,r+=t.normal.z*this.min.z),n<=-t.constant&&r>=-t.constant}intersectsTriangle(t){if(this.isEmpty())return!1;this.getCenter(bn),xn.subVectors(this.max,bn),pn.subVectors(t.a,bn),fn.subVectors(t.b,bn),mn.subVectors(t.c,bn),gn.subVectors(fn,pn),yn.subVectors(mn,fn),vn.subVectors(pn,mn);let n=[0,-gn.z,gn.y,0,-yn.z,yn.y,0,-vn.z,vn.y,gn.z,0,-gn.x,yn.z,0,-yn.x,vn.z,0,-vn.x,-gn.y,gn.x,0,-yn.y,yn.x,0,-vn.y,vn.x,0];return!!cn(n,pn,fn,mn,xn)&&(n=[1,0,0,0,1,0,0,0,1],!!cn(n,pn,fn,mn,xn)&&(wn.crossVectors(gn,yn),n=[wn.x,wn.y,wn.z],cn(n,pn,fn,mn,xn)))}clampPoint(t,n){return void 0===n&&(l.warn("THREE.Box3: .clampPoint() target is now required"),n=new Vector3),n.copy(t).clamp(this.min,this.max)}distanceToPoint(t){return un.copy(t).clamp(this.min,this.max).sub(t).length()}getBoundingSphere(t){return void 0===t&&l.error("THREE.Box3: .getBoundingSphere() target is now required"),this.getCenter(t.center),t.radius=.5*this.getSize(un).length(),t}intersect(t){return this.min.max(t.min),this.max.min(t.max),this.isEmpty()&&this.makeEmpty(),this}union(t){return this.min.min(t.min),this.max.max(t.max),this}applyMatrix4(t){return this.isEmpty()||(dn[0].set(this.min.x,this.min.y,this.min.z).applyMatrix4(t),dn[1].set(this.min.x,this.min.y,this.max.z).applyMatrix4(t),dn[2].set(this.min.x,this.max.y,this.min.z).applyMatrix4(t),dn[3].set(this.min.x,this.max.y,this.max.z).applyMatrix4(t),dn[4].set(this.max.x,this.min.y,this.min.z).applyMatrix4(t),dn[5].set(this.max.x,this.min.y,this.max.z).applyMatrix4(t),dn[6].set(this.max.x,this.max.y,this.min.z).applyMatrix4(t),dn[7].set(this.max.x,this.max.y,this.max.z).applyMatrix4(t),this.setFromPoints(dn)),this}translate(t){return this.min.add(t),this.max.add(t),this}equals(t){return t.min.equals(this.min)&&t.max.equals(this.max)}}function cn(t,n,r,l,d){for(let h=0,p=t.length-3;h<=p;h+=3){Sn.fromArray(t,h);const p=d.x*Math.abs(Sn.x)+d.y*Math.abs(Sn.y)+d.z*Math.abs(Sn.z),f=n.dot(Sn),m=r.dot(Sn),g=l.dot(Sn);if(Math.max(-Math.max(f,m,g),Math.min(f,m,g))>p)return!1}return!0}const dn=[new Vector3,new Vector3,new Vector3,new Vector3,new Vector3,new Vector3,new Vector3,new Vector3],un=new Vector3,hn=new Box3,pn=new Vector3,fn=new Vector3,mn=new Vector3,gn=new Vector3,yn=new Vector3,vn=new Vector3,bn=new Vector3,xn=new Vector3,wn=new Vector3,Sn=new Vector3,_n=new Box3;class Sphere{constructor(t,n){this.center=void 0!==t?t:new Vector3,this.radius=void 0!==n?n:-1}set(t,n){return this.center.copy(t),this.radius=n,this}setFromPoints(t,n){const r=this.center;void 0!==n?r.copy(n):_n.setFromPoints(t).getCenter(r);let l=0;for(let n=0,d=t.length;n<d;n++)l=Math.max(l,r.distanceToSquared(t[n]));return this.radius=Math.sqrt(l),this}clone(){return(new this.constructor).copy(this)}copy(t){return this.center.copy(t.center),this.radius=t.radius,this}isEmpty(){return this.radius<0}makeEmpty(){return this.center.set(0,0,0),this.radius=-1,this}containsPoint(t){return t.distanceToSquared(this.center)<=this.radius*this.radius}distanceToPoint(t){return t.distanceTo(this.center)-this.radius}intersectsSphere(t){const n=this.radius+t.radius;return t.center.distanceToSquared(this.center)<=n*n}intersectsBox(t){return t.intersectsSphere(this)}intersectsPlane(t){return Math.abs(t.distanceToPoint(this.center))<=this.radius}clampPoint(t,n){const r=this.center.distanceToSquared(t);return void 0===n&&(l.warn("THREE.Sphere: .clampPoint() target is now required"),n=new Vector3),n.copy(t),r>this.radius*this.radius&&(n.sub(this.center).normalize(),n.multiplyScalar(this.radius).add(this.center)),n}getBoundingBox(t){return void 0===t&&(l.warn("THREE.Sphere: .getBoundingBox() target is now required"),t=new Box3),this.isEmpty()?(t.makeEmpty(),t):(t.set(this.center,this.center),t.expandByScalar(this.radius),t)}applyMatrix4(t){return this.center.applyMatrix4(t),this.radius=this.radius*t.getMaxScaleOnAxis(),this}translate(t){return this.center.add(t),this}equals(t){return t.center.equals(this.center)&&t.radius===this.radius}}const En=new Vector3,Mn=new Vector3,Tn=new Vector3,Cn=new Vector3,An=new Vector3,kn=new Vector3,On=new Vector3;class Ray{constructor(t,n){this.origin=void 0!==t?t:new Vector3,this.direction=void 0!==n?n:new Vector3(0,0,-1)}set(t,n){return this.origin.copy(t),this.direction.copy(n),this}clone(){return(new this.constructor).copy(this)}copy(t){return this.origin.copy(t.origin),this.direction.copy(t.direction),this}at(t,n){return void 0===n&&(l.warn("THREE.Ray: .at() target is now required"),n=new Vector3),n.copy(this.direction).multiplyScalar(t).add(this.origin)}lookAt(t){return this.direction.copy(t).sub(this.origin).normalize(),this}recast(t){return this.origin.copy(this.at(t,En)),this}closestPointToPoint(t,n){void 0===n&&(l.warn("THREE.Ray: .closestPointToPoint() target is now required"),n=new Vector3),n.subVectors(t,this.origin);const r=n.dot(this.direction);return r<0?n.copy(this.origin):n.copy(this.direction).multiplyScalar(r).add(this.origin)}distanceToPoint(t){return Math.sqrt(this.distanceSqToPoint(t))}distanceSqToPoint(t){const n=En.subVectors(t,this.origin).dot(this.direction);return n<0?this.origin.distanceToSquared(t):(En.copy(this.direction).multiplyScalar(n).add(this.origin),En.distanceToSquared(t))}distanceSqToSegment(t,n,r,l){Mn.copy(t).add(n).multiplyScalar(.5),Tn.copy(n).sub(t).normalize(),Cn.copy(this.origin).sub(Mn);const d=.5*t.distanceTo(n),h=-this.direction.dot(Tn),p=Cn.dot(this.direction),f=-Cn.dot(Tn),m=Cn.lengthSq(),g=Math.abs(1-h*h);let y,v,b,x;if(g>0)if(y=h*f-p,v=h*p-f,x=d*g,y>=0)if(v>=-x)if(v<=x){const t=1/g;y*=t,v*=t,b=y*(y+h*v+2*p)+v*(h*y+v+2*f)+m}else v=d,y=Math.max(0,-(h*v+p)),b=-y*y+v*(v+2*f)+m;else v=-d,y=Math.max(0,-(h*v+p)),b=-y*y+v*(v+2*f)+m;else v<=-x?(y=Math.max(0,-(-h*d+p)),v=y>0?-d:Math.min(Math.max(-d,-f),d),b=-y*y+v*(v+2*f)+m):v<=x?(y=0,v=Math.min(Math.max(-d,-f),d),b=v*(v+2*f)+m):(y=Math.max(0,-(h*d+p)),v=y>0?d:Math.min(Math.max(-d,-f),d),b=-y*y+v*(v+2*f)+m);else v=h>0?-d:d,y=Math.max(0,-(h*v+p)),b=-y*y+v*(v+2*f)+m;return r&&r.copy(this.direction).multiplyScalar(y).add(this.origin),l&&l.copy(Tn).multiplyScalar(v).add(Mn),b}intersectSphere(t,n){En.subVectors(t.center,this.origin);const r=En.dot(this.direction),l=En.dot(En)-r*r,d=t.radius*t.radius;if(l>d)return null;const h=Math.sqrt(d-l),p=r-h,f=r+h;return p<0&&f<0?null:p<0?this.at(f,n):this.at(p,n)}intersectsSphere(t){return this.distanceSqToPoint(t.center)<=t.radius*t.radius}distanceToPlane(t){const n=t.normal.dot(this.direction);if(0===n)return 0===t.distanceToPoint(this.origin)?0:null;const r=-(this.origin.dot(t.normal)+t.constant)/n;return r>=0?r:null}intersectPlane(t,n){const r=this.distanceToPlane(t);return null===r?null:this.at(r,n)}intersectsPlane(t){const n=t.distanceToPoint(this.origin);if(0===n)return!0;return t.normal.dot(this.direction)*n<0}intersectBox(t,n){let r,l,d,h,p,f;const m=1/this.direction.x,g=1/this.direction.y,y=1/this.direction.z,v=this.origin;return m>=0?(r=(t.min.x-v.x)*m,l=(t.max.x-v.x)*m):(r=(t.max.x-v.x)*m,l=(t.min.x-v.x)*m),g>=0?(d=(t.min.y-v.y)*g,h=(t.max.y-v.y)*g):(d=(t.max.y-v.y)*g,h=(t.min.y-v.y)*g),r>h||d>l?null:((d>r||r!=r)&&(r=d),(h<l||l!=l)&&(l=h),y>=0?(p=(t.min.z-v.z)*y,f=(t.max.z-v.z)*y):(p=(t.max.z-v.z)*y,f=(t.min.z-v.z)*y),r>f||p>l?null:((p>r||r!=r)&&(r=p),(f<l||l!=l)&&(l=f),l<0?null:this.at(r>=0?r:l,n)))}intersectsBox(t){return null!==this.intersectBox(t,En)}intersectTriangle(t,n,r,l,d){An.subVectors(n,t),kn.subVectors(r,t),On.crossVectors(An,kn);let h,p=this.direction.dot(On);if(p>0){if(l)return null;h=1}else{if(!(p<0))return null;h=-1,p=-p}Cn.subVectors(this.origin,t);const f=h*this.direction.dot(kn.crossVectors(Cn,kn));if(f<0)return null;const m=h*this.direction.dot(An.cross(Cn));if(m<0)return null;if(f+m>p)return null;const g=-h*Cn.dot(On);return g<0?null:this.at(g/p,d)}applyMatrix4(t){return this.origin.applyMatrix4(t),this.direction.transformDirection(t),this}equals(t){return t.origin.equals(this.origin)&&t.direction.equals(this.direction)}}class Matrix4{constructor(){Object.defineProperty(this,"isMatrix4",{value:!0}),this.elements=[1,0,0,0,0,1,0,0,0,0,1,0,0,0,0,1],arguments.length>0&&l.error("THREE.Matrix4: the constructor no longer reads arguments. use .set() instead.")}set(t,n,r,l,d,h,p,f,m,g,y,v,b,x,w,S){const _=this.elements;return _[0]=t,_[4]=n,_[8]=r,_[12]=l,_[1]=d,_[5]=h,_[9]=p,_[13]=f,_[2]=m,_[6]=g,_[10]=y,_[14]=v,_[3]=b,_[7]=x,_[11]=w,_[15]=S,this}identity(){return this.set(1,0,0,0,0,1,0,0,0,0,1,0,0,0,0,1),this}clone(){return(new Matrix4).fromArray(this.elements)}copy(t){const n=this.elements,r=t.elements;return n[0]=r[0],n[1]=r[1],n[2]=r[2],n[3]=r[3],n[4]=r[4],n[5]=r[5],n[6]=r[6],n[7]=r[7],n[8]=r[8],n[9]=r[9],n[10]=r[10],n[11]=r[11],n[12]=r[12],n[13]=r[13],n[14]=r[14],n[15]=r[15],this}copyPosition(t){const n=this.elements,r=t.elements;return n[12]=r[12],n[13]=r[13],n[14]=r[14],this}setFromMatrix3(t){const n=t.elements;return this.set(n[0],n[3],n[6],0,n[1],n[4],n[7],0,n[2],n[5],n[8],0,0,0,0,1),this}extractBasis(t,n,r){return t.setFromMatrixColumn(this,0),n.setFromMatrixColumn(this,1),r.setFromMatrixColumn(this,2),this}makeBasis(t,n,r){return this.set(t.x,n.x,r.x,0,t.y,n.y,r.y,0,t.z,n.z,r.z,0,0,0,0,1),this}extractRotation(t){const n=this.elements,r=t.elements,l=1/In.setFromMatrixColumn(t,0).length(),d=1/In.setFromMatrixColumn(t,1).length(),h=1/In.setFromMatrixColumn(t,2).length();return n[0]=r[0]*l,n[1]=r[1]*l,n[2]=r[2]*l,n[3]=0,n[4]=r[4]*d,n[5]=r[5]*d,n[6]=r[6]*d,n[7]=0,n[8]=r[8]*h,n[9]=r[9]*h,n[10]=r[10]*h,n[11]=0,n[12]=0,n[13]=0,n[14]=0,n[15]=1,this}makeRotationFromEuler(t){t&&t.isEuler||l.error("THREE.Matrix4: .makeRotationFromEuler() now expects a Euler rotation rather than a Vector3 and order.");const n=this.elements,r=t.x,d=t.y,h=t.z,p=Math.cos(r),f=Math.sin(r),m=Math.cos(d),g=Math.sin(d),y=Math.cos(h),v=Math.sin(h);if("XYZ"===t.order){const t=p*y,r=p*v,l=f*y,d=f*v;n[0]=m*y,n[4]=-m*v,n[8]=g,n[1]=r+l*g,n[5]=t-d*g,n[9]=-f*m,n[2]=d-t*g,n[6]=l+r*g,n[10]=p*m}else if("YXZ"===t.order){const t=m*y,r=m*v,l=g*y,d=g*v;n[0]=t+d*f,n[4]=l*f-r,n[8]=p*g,n[1]=p*v,n[5]=p*y,n[9]=-f,n[2]=r*f-l,n[6]=d+t*f,n[10]=p*m}else if("ZXY"===t.order){const t=m*y,r=m*v,l=g*y,d=g*v;n[0]=t-d*f,n[4]=-p*v,n[8]=l+r*f,n[1]=r+l*f,n[5]=p*y,n[9]=d-t*f,n[2]=-p*g,n[6]=f,n[10]=p*m}else if("ZYX"===t.order){const t=p*y,r=p*v,l=f*y,d=f*v;n[0]=m*y,n[4]=l*g-r,n[8]=t*g+d,n[1]=m*v,n[5]=d*g+t,n[9]=r*g-l,n[2]=-g,n[6]=f*m,n[10]=p*m}else if("YZX"===t.order){const t=p*m,r=p*g,l=f*m,d=f*g;n[0]=m*y,n[4]=d-t*v,n[8]=l*v+r,n[1]=v,n[5]=p*y,n[9]=-f*y,n[2]=-g*y,n[6]=r*v+l,n[10]=t-d*v}else if("XZY"===t.order){const t=p*m,r=p*g,l=f*m,d=f*g;n[0]=m*y,n[4]=-v,n[8]=g*y,n[1]=t*v+d,n[5]=p*y,n[9]=r*v-l,n[2]=l*v-r,n[6]=f*y,n[10]=d*v+t}return n[3]=0,n[7]=0,n[11]=0,n[12]=0,n[13]=0,n[14]=0,n[15]=1,this}makeRotationFromQuaternion(t){return this.compose(Pn,t,Ln)}lookAt(t,n,r){const l=this.elements;return Nn.subVectors(t,n),0===Nn.lengthSq()&&(Nn.z=1),Nn.normalize(),Dn.crossVectors(r,Nn),0===Dn.lengthSq()&&(1===Math.abs(r.z)?Nn.x+=1e-4:Nn.z+=1e-4,Nn.normalize(),Dn.crossVectors(r,Nn)),Dn.normalize(),Fn.crossVectors(Nn,Dn),l[0]=Dn.x,l[4]=Fn.x,l[8]=Nn.x,l[1]=Dn.y,l[5]=Fn.y,l[9]=Nn.y,l[2]=Dn.z,l[6]=Fn.z,l[10]=Nn.z,this}multiply(t,n){return void 0!==n?(l.warn("THREE.Matrix4: .multiply() now only accepts one argument. Use .multiplyMatrices( a, b ) instead."),this.multiplyMatrices(t,n)):this.multiplyMatrices(this,t)}premultiply(t){return this.multiplyMatrices(t,this)}multiplyMatrices(t,n){const r=t.elements,l=n.elements,d=this.elements,h=r[0],p=r[4],f=r[8],m=r[12],g=r[1],y=r[5],v=r[9],b=r[13],x=r[2],w=r[6],S=r[10],_=r[14],E=r[3],T=r[7],C=r[11],A=r[15],O=l[0],I=l[4],P=l[8],D=l[12],F=l[1],B=l[5],$=l[9],j=l[13],V=l[2],U=l[6],G=l[10],W=l[14],q=l[3],X=l[7],Y=l[11],K=l[15];return d[0]=h*O+p*F+f*V+m*q,d[4]=h*I+p*B+f*U+m*X,d[8]=h*P+p*$+f*G+m*Y,d[12]=h*D+p*j+f*W+m*K,d[1]=g*O+y*F+v*V+b*q,d[5]=g*I+y*B+v*U+b*X,d[9]=g*P+y*$+v*G+b*Y,d[13]=g*D+y*j+v*W+b*K,d[2]=x*O+w*F+S*V+_*q,d[6]=x*I+w*B+S*U+_*X,d[10]=x*P+w*$+S*G+_*Y,d[14]=x*D+w*j+S*W+_*K,d[3]=E*O+T*F+C*V+A*q,d[7]=E*I+T*B+C*U+A*X,d[11]=E*P+T*$+C*G+A*Y,d[15]=E*D+T*j+C*W+A*K,this}multiplyScalar(t){const n=this.elements;return n[0]*=t,n[4]*=t,n[8]*=t,n[12]*=t,n[1]*=t,n[5]*=t,n[9]*=t,n[13]*=t,n[2]*=t,n[6]*=t,n[10]*=t,n[14]*=t,n[3]*=t,n[7]*=t,n[11]*=t,n[15]*=t,this}determinant(){const t=this.elements,n=t[0],r=t[4],l=t[8],d=t[12],h=t[1],p=t[5],f=t[9],m=t[13],g=t[2],y=t[6],v=t[10],b=t[14];return t[3]*(+d*f*y-l*m*y-d*p*v+r*m*v+l*p*b-r*f*b)+t[7]*(+n*f*b-n*m*v+d*h*v-l*h*b+l*m*g-d*f*g)+t[11]*(+n*m*y-n*p*b-d*h*y+r*h*b+d*p*g-r*m*g)+t[15]*(-l*p*g-n*f*y+n*p*v+l*h*y-r*h*v+r*f*g)}transpose(){const t=this.elements;let n;return n=t[1],t[1]=t[4],t[4]=n,n=t[2],t[2]=t[8],t[8]=n,n=t[6],t[6]=t[9],t[9]=n,n=t[3],t[3]=t[12],t[12]=n,n=t[7],t[7]=t[13],t[13]=n,n=t[11],t[11]=t[14],t[14]=n,this}setPosition(t,n,r){const l=this.elements;return t.isVector3?(l[12]=t.x,l[13]=t.y,l[14]=t.z):(l[12]=t,l[13]=n,l[14]=r),this}invert(){const t=this.elements,n=t[0],r=t[1],l=t[2],d=t[3],h=t[4],p=t[5],f=t[6],m=t[7],g=t[8],y=t[9],v=t[10],b=t[11],x=t[12],w=t[13],S=t[14],_=t[15],E=y*S*m-w*v*m+w*f*b-p*S*b-y*f*_+p*v*_,T=x*v*m-g*S*m-x*f*b+h*S*b+g*f*_-h*v*_,C=g*w*m-x*y*m+x*p*b-h*w*b-g*p*_+h*y*_,A=x*y*f-g*w*f-x*p*v+h*w*v+g*p*S-h*y*S,O=n*E+r*T+l*C+d*A;if(0===O)return this.set(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);const I=1/O;return t[0]=E*I,t[1]=(w*v*d-y*S*d-w*l*b+r*S*b+y*l*_-r*v*_)*I,t[2]=(p*S*d-w*f*d+w*l*m-r*S*m-p*l*_+r*f*_)*I,t[3]=(y*f*d-p*v*d-y*l*m+r*v*m+p*l*b-r*f*b)*I,t[4]=T*I,t[5]=(g*S*d-x*v*d+x*l*b-n*S*b-g*l*_+n*v*_)*I,t[6]=(x*f*d-h*S*d-x*l*m+n*S*m+h*l*_-n*f*_)*I,t[7]=(h*v*d-g*f*d+g*l*m-n*v*m-h*l*b+n*f*b)*I,t[8]=C*I,t[9]=(x*y*d-g*w*d-x*r*b+n*w*b+g*r*_-n*y*_)*I,t[10]=(h*w*d-x*p*d+x*r*m-n*w*m-h*r*_+n*p*_)*I,t[11]=(g*p*d-h*y*d-g*r*m+n*y*m+h*r*b-n*p*b)*I,t[12]=A*I,t[13]=(g*w*l-x*y*l+x*r*v-n*w*v-g*r*S+n*y*S)*I,t[14]=(x*p*l-h*w*l-x*r*f+n*w*f+h*r*S-n*p*S)*I,t[15]=(h*y*l-g*p*l+g*r*f-n*y*f-h*r*v+n*p*v)*I,this}scale(t){const n=this.elements,r=t.x,l=t.y,d=t.z;return n[0]*=r,n[4]*=l,n[8]*=d,n[1]*=r,n[5]*=l,n[9]*=d,n[2]*=r,n[6]*=l,n[10]*=d,n[3]*=r,n[7]*=l,n[11]*=d,this}getMaxScaleOnAxis(){const t=this.elements,n=t[0]*t[0]+t[1]*t[1]+t[2]*t[2],r=t[4]*t[4]+t[5]*t[5]+t[6]*t[6],l=t[8]*t[8]+t[9]*t[9]+t[10]*t[10];return Math.sqrt(Math.max(n,r,l))}makeTranslation(t,n,r){return this.set(1,0,0,t,0,1,0,n,0,0,1,r,0,0,0,1),this}makeRotationX(t){const n=Math.cos(t),r=Math.sin(t);return this.set(1,0,0,0,0,n,-r,0,0,r,n,0,0,0,0,1),this}makeRotationY(t){const n=Math.cos(t),r=Math.sin(t);return this.set(n,0,r,0,0,1,0,0,-r,0,n,0,0,0,0,1),this}makeRotationZ(t){const n=Math.cos(t),r=Math.sin(t);return this.set(n,-r,0,0,r,n,0,0,0,0,1,0,0,0,0,1),this}makeRotationAxis(t,n){const r=Math.cos(n),l=Math.sin(n),d=1-r,h=t.x,p=t.y,f=t.z,m=d*h,g=d*p;return this.set(m*h+r,m*p-l*f,m*f+l*p,0,m*p+l*f,g*p+r,g*f-l*h,0,m*f-l*p,g*f+l*h,d*f*f+r,0,0,0,0,1),this}makeScale(t,n,r){return this.set(t,0,0,0,0,n,0,0,0,0,r,0,0,0,0,1),this}makeShear(t,n,r){return this.set(1,n,r,0,t,1,r,0,t,n,1,0,0,0,0,1),this}compose(t,n,r){const l=this.elements,d=n._x,h=n._y,p=n._z,f=n._w,m=d+d,g=h+h,y=p+p,v=d*m,b=d*g,x=d*y,w=h*g,S=h*y,_=p*y,E=f*m,T=f*g,C=f*y,A=r.x,O=r.y,I=r.z;return l[0]=(1-(w+_))*A,l[1]=(b+C)*A,l[2]=(x-T)*A,l[3]=0,l[4]=(b-C)*O,l[5]=(1-(v+_))*O,l[6]=(S+E)*O,l[7]=0,l[8]=(x+T)*I,l[9]=(S-E)*I,l[10]=(1-(v+w))*I,l[11]=0,l[12]=t.x,l[13]=t.y,l[14]=t.z,l[15]=1,this}decompose(t,n,r){const l=this.elements;let d=In.set(l[0],l[1],l[2]).length();const h=In.set(l[4],l[5],l[6]).length(),p=In.set(l[8],l[9],l[10]).length();this.determinant()<0&&(d=-d),t.x=l[12],t.y=l[13],t.z=l[14],Rn.copy(this);const f=1/d,m=1/h,g=1/p;return Rn.elements[0]*=f,Rn.elements[1]*=f,Rn.elements[2]*=f,Rn.elements[4]*=m,Rn.elements[5]*=m,Rn.elements[6]*=m,Rn.elements[8]*=g,Rn.elements[9]*=g,Rn.elements[10]*=g,n.setFromRotationMatrix(Rn),r.x=d,r.y=h,r.z=p,this}makePerspective(t,n,r,d,h,p){void 0===p&&l.warn("THREE.Matrix4: .makePerspective() has been redefined and has a new signature. Please check the docs.");const f=this.elements,m=2*h/(n-t),g=2*h/(r-d),y=(n+t)/(n-t),v=(r+d)/(r-d),b=-(p+h)/(p-h),x=-2*p*h/(p-h);return f[0]=m,f[4]=0,f[8]=y,f[12]=0,f[1]=0,f[5]=g,f[9]=v,f[13]=0,f[2]=0,f[6]=0,f[10]=b,f[14]=x,f[3]=0,f[7]=0,f[11]=-1,f[15]=0,this}makeOrthographic(t,n,r,l,d,h){const p=this.elements,f=1/(n-t),m=1/(r-l),g=1/(h-d),y=(n+t)*f,v=(r+l)*m,b=(h+d)*g;return p[0]=2*f,p[4]=0,p[8]=0,p[12]=-y,p[1]=0,p[5]=2*m,p[9]=0,p[13]=-v,p[2]=0,p[6]=0,p[10]=-2*g,p[14]=-b,p[3]=0,p[7]=0,p[11]=0,p[15]=1,this}equals(t){const n=this.elements,r=t.elements;for(let t=0;t<16;t++)if(n[t]!==r[t])return!1;return!0}fromArray(t,n=0){for(let r=0;r<16;r++)this.elements[r]=t[r+n];return this}toArray(t=[],n=0){const r=this.elements;return t[n]=r[0],t[n+1]=r[1],t[n+2]=r[2],t[n+3]=r[3],t[n+4]=r[4],t[n+5]=r[5],t[n+6]=r[6],t[n+7]=r[7],t[n+8]=r[8],t[n+9]=r[9],t[n+10]=r[10],t[n+11]=r[11],t[n+12]=r[12],t[n+13]=r[13],t[n+14]=r[14],t[n+15]=r[15],t}}const In=new Vector3,Rn=new Matrix4,Pn=new Vector3(0,0,0),Ln=new Vector3(1,1,1),Dn=new Vector3,Fn=new Vector3,Nn=new Vector3;class Euler{constructor(t=0,n=0,r=0,l=Euler.DefaultOrder){Object.defineProperty(this,"isEuler",{value:!0}),this._x=t,this._y=n,this._z=r,this._order=l}get x(){return this._x}set x(t){this._x=t,this._onChangeCallback()}get y(){return this._y}set y(t){this._y=t,this._onChangeCallback()}get z(){return this._z}set z(t){this._z=t,this._onChangeCallback()}get order(){return this._order}set order(t){this._order=t,this._onChangeCallback()}set(t,n,r,l){return this._x=t,this._y=n,this._z=r,this._order=l||this._order,this._onChangeCallback(),this}clone(){return new this.constructor(this._x,this._y,this._z,this._order)}copy(t){return this._x=t._x,this._y=t._y,this._z=t._z,this._order=t._order,this._onChangeCallback(),this}setFromRotationMatrix(t,n,r){const d=en.clamp,h=t.elements,p=h[0],f=h[4],m=h[8],g=h[1],y=h[5],v=h[9],b=h[2],x=h[6],w=h[10];switch(n=n||this._order){case"XYZ":this._y=Math.asin(d(m,-1,1)),Math.abs(m)<.9999999?(this._x=Math.atan2(-v,w),this._z=Math.atan2(-f,p)):(this._x=Math.atan2(x,y),this._z=0);break;case"YXZ":this._x=Math.asin(-d(v,-1,1)),Math.abs(v)<.9999999?(this._y=Math.atan2(m,w),this._z=Math.atan2(g,y)):(this._y=Math.atan2(-b,p),this._z=0);break;case"ZXY":this._x=Math.asin(d(x,-1,1)),Math.abs(x)<.9999999?(this._y=Math.atan2(-b,w),this._z=Math.atan2(-f,y)):(this._y=0,this._z=Math.atan2(g,p));break;case"ZYX":this._y=Math.asin(-d(b,-1,1)),Math.abs(b)<.9999999?(this._x=Math.atan2(x,w),this._z=Math.atan2(g,p)):(this._x=0,this._z=Math.atan2(-f,y));break;case"YZX":this._z=Math.asin(d(g,-1,1)),Math.abs(g)<.9999999?(this._x=Math.atan2(-v,y),this._y=Math.atan2(-b,p)):(this._x=0,this._y=Math.atan2(m,w));break;case"XZY":this._z=Math.asin(-d(f,-1,1)),Math.abs(f)<.9999999?(this._x=Math.atan2(x,y),this._y=Math.atan2(m,p)):(this._x=Math.atan2(-v,w),this._y=0);break;default:l.warn("THREE.Euler: .setFromRotationMatrix() encountered an unknown order: "+n)}return this._order=n,!1!==r&&this._onChangeCallback(),this}setFromQuaternion(t,n,r){return Bn.makeRotationFromQuaternion(t),this.setFromRotationMatrix(Bn,n,r)}setFromVector3(t,n){return this.set(t.x,t.y,t.z,n||this._order)}reorder(t){return $n.setFromEuler(this),this.setFromQuaternion($n,t)}equals(t){return t._x===this._x&&t._y===this._y&&t._z===this._z&&t._order===this._order}fromArray(t){return this._x=t[0],this._y=t[1],this._z=t[2],void 0!==t[3]&&(this._order=t[3]),this._onChangeCallback(),this}toArray(t=[],n=0){return t[n]=this._x,t[n+1]=this._y,t[n+2]=this._z,t[n+3]=this._order,t}toVector3(t){return t?t.set(this._x,this._y,this._z):new Vector3(this._x,this._y,this._z)}_onChange(t){return this._onChangeCallback=t,this}_onChangeCallback(){}}Euler.DefaultOrder="XYZ",Euler.RotationOrders=["XYZ","YZX","ZXY","XZY","YXZ","ZYX"];const Bn=new Matrix4,$n=new Quaternion;class Layers{constructor(){this.mask=1}set(t){this.mask=1<<t|0}enable(t){this.mask|=1<<t|0}enableAll(){this.mask=-1}toggle(t){this.mask^=1<<t|0}disable(t){this.mask&=~(1<<t|0)}disableAll(){this.mask=0}test(t){return 0!=(this.mask&t.mask)}}let zn=0;const jn=new Vector3,Vn=new Quaternion,Un=new Matrix4,Hn=new Vector3,Gn=new Vector3,Wn=new Vector3,qn=new Quaternion,Xn=new Vector3(1,0,0),Yn=new Vector3(0,1,0),Zn=new Vector3(0,0,1),Kn={type:"added"},Jn={type:"removed"};function Qn(){Object.defineProperty(this,"id",{value:zn++}),this.uuid=en.generateUUID(),this.name="",this.type="Object3D",this.parent=null,this.children=[],this.up=Qn.DefaultUp.clone();const t=new Vector3,n=new Euler,r=new Quaternion,l=new Vector3(1,1,1);n._onChange((function(){r.setFromEuler(n,!1)})),r._onChange((function(){n.setFromQuaternion(r,void 0,!1)})),Object.defineProperties(this,{position:{configurable:!0,enumerable:!0,value:t},rotation:{configurable:!0,enumerable:!0,value:n},quaternion:{configurable:!0,enumerable:!0,value:r},scale:{configurable:!0,enumerable:!0,value:l},modelViewMatrix:{value:new Matrix4},normalMatrix:{value:new Matrix3}}),this.matrix=new Matrix4,this.matrixWorld=new Matrix4,this.matrixAutoUpdate=Qn.DefaultMatrixAutoUpdate,this.matrixWorldNeedsUpdate=!1,this.layers=new Layers,this.visible=!0,this.castShadow=!1,this.receiveShadow=!1,this.frustumCulled=!0,this.renderOrder=0,this.animations=[],this.userData={}}Qn.DefaultUp=new Vector3(0,1,0),Qn.DefaultMatrixAutoUpdate=!0,Qn.prototype=Object.assign(Object.create(Ki.prototype),{constructor:Qn,isObject3D:!0,onBeforeRender:function(){},onAfterRender:function(){},applyMatrix4:function(t){this.matrixAutoUpdate&&this.updateMatrix(),this.matrix.premultiply(t),this.matrix.decompose(this.position,this.quaternion,this.scale)},applyQuaternion:function(t){return this.quaternion.premultiply(t),this},setRotationFromAxisAngle:function(t,n){this.quaternion.setFromAxisAngle(t,n)},setRotationFromEuler:function(t){this.quaternion.setFromEuler(t,!0)},setRotationFromMatrix:function(t){this.quaternion.setFromRotationMatrix(t)},setRotationFromQuaternion:function(t){this.quaternion.copy(t)},rotateOnAxis:function(t,n){return Vn.setFromAxisAngle(t,n),this.quaternion.multiply(Vn),this},rotateOnWorldAxis:function(t,n){return Vn.setFromAxisAngle(t,n),this.quaternion.premultiply(Vn),this},rotateX:function(t){return this.rotateOnAxis(Xn,t)},rotateY:function(t){return this.rotateOnAxis(Yn,t)},rotateZ:function(t){return this.rotateOnAxis(Zn,t)},translateOnAxis:function(t,n){return jn.copy(t).applyQuaternion(this.quaternion),this.position.add(jn.multiplyScalar(n)),this},translateX:function(t){return this.translateOnAxis(Xn,t)},translateY:function(t){return this.translateOnAxis(Yn,t)},translateZ:function(t){return this.translateOnAxis(Zn,t)},localToWorld:function(t){return t.applyMatrix4(this.matrixWorld)},worldToLocal:function(t){return t.applyMatrix4(Un.copy(this.matrixWorld).invert())},lookAt:function(t,n,r){t.isVector3?Hn.copy(t):Hn.set(t,n,r);const l=this.parent;this.updateWorldMatrix(!0,!1),Gn.setFromMatrixPosition(this.matrixWorld),this.isCamera||this.isLight?Un.lookAt(Gn,Hn,this.up):Un.lookAt(Hn,Gn,this.up),this.quaternion.setFromRotationMatrix(Un),l&&(Un.extractRotation(l.matrixWorld),Vn.setFromRotationMatrix(Un),this.quaternion.premultiply(Vn.invert()))},add:function(t){if(arguments.length>1){for(let t=0;t<arguments.length;t++)this.add(arguments[t]);return this}return t===this?(l.error("THREE.Object3D.add: object can't be added as a child of itself.",t),this):(t&&t.isObject3D?(null!==t.parent&&t.parent.remove(t),t.parent=this,this.children.push(t),t.dispatchEvent(Kn)):l.error("THREE.Object3D.add: object not an instance of THREE.Object3D.",t),this)},remove:function(t){if(arguments.length>1){for(let t=0;t<arguments.length;t++)this.remove(arguments[t]);return this}const n=this.children.indexOf(t);return-1!==n&&(t.parent=null,this.children.splice(n,1),t.dispatchEvent(Jn)),this},clear:function(){for(let t=0;t<this.children.length;t++){const n=this.children[t];n.parent=null,n.dispatchEvent(Jn)}return this.children.length=0,this},attach:function(t){return this.updateWorldMatrix(!0,!1),Un.copy(this.matrixWorld).invert(),null!==t.parent&&(t.parent.updateWorldMatrix(!0,!1),Un.multiply(t.parent.matrixWorld)),t.applyMatrix4(Un),t.updateWorldMatrix(!1,!1),this.add(t),this},getObjectById:function(t){return this.getObjectByProperty("id",t)},getObjectByName:function(t){return this.getObjectByProperty("name",t)},getObjectByProperty:function(t,n){if(this[t]===n)return this;for(let r=0,l=this.children.length;r<l;r++){const l=this.children[r].getObjectByProperty(t,n);if(void 0!==l)return l}},getWorldPosition:function(t){return void 0===t&&(l.warn("THREE.Object3D: .getWorldPosition() target is now required"),t=new Vector3),this.updateWorldMatrix(!0,!1),t.setFromMatrixPosition(this.matrixWorld)},getWorldQuaternion:function(t){return void 0===t&&(l.warn("THREE.Object3D: .getWorldQuaternion() target is now required"),t=new Quaternion),this.updateWorldMatrix(!0,!1),this.matrixWorld.decompose(Gn,t,Wn),t},getWorldScale:function(t){return void 0===t&&(l.warn("THREE.Object3D: .getWorldScale() target is now required"),t=new Vector3),this.updateWorldMatrix(!0,!1),this.matrixWorld.decompose(Gn,qn,t),t},getWorldDirection:function(t){void 0===t&&(l.warn("THREE.Object3D: .getWorldDirection() target is now required"),t=new Vector3),this.updateWorldMatrix(!0,!1);const n=this.matrixWorld.elements;return t.set(n[8],n[9],n[10]).normalize()},raycast:function(){},traverse:function(t){t(this);const n=this.children;for(let r=0,l=n.length;r<l;r++)n[r].traverse(t)},traverseVisible:function(t){if(!1===this.visible)return;t(this);const n=this.children;for(let r=0,l=n.length;r<l;r++)n[r].traverseVisible(t)},traverseAncestors:function(t){const n=this.parent;null!==n&&(t(n),n.traverseAncestors(t))},updateMatrix:function(){this.matrix.compose(this.position,this.quaternion,this.scale),this.matrixWorldNeedsUpdate=!0},updateMatrixWorld:function(t){this.matrixAutoUpdate&&this.updateMatrix(),(this.matrixWorldNeedsUpdate||t)&&(null===this.parent?this.matrixWorld.copy(this.matrix):this.matrixWorld.multiplyMatrices(this.parent.matrixWorld,this.matrix),this.matrixWorldNeedsUpdate=!1,t=!0);const n=this.children;for(let r=0,l=n.length;r<l;r++)n[r].updateMatrixWorld(t)},updateWorldMatrix:function(t,n){const r=this.parent;if(!0===t&&null!==r&&r.updateWorldMatrix(!0,!1),this.matrixAutoUpdate&&this.updateMatrix(),null===this.parent?this.matrixWorld.copy(this.matrix):this.matrixWorld.multiplyMatrices(this.parent.matrixWorld,this.matrix),!0===n){const t=this.children;for(let n=0,r=t.length;n<r;n++)t[n].updateWorldMatrix(!1,!0)}},toJSON:function(t){const n=void 0===t||"string"==typeof t,r={};n&&(t={geometries:{},materials:{},textures:{},images:{},shapes:{},skeletons:{},animations:{}},r.metadata={version:4.5,type:"Object",generator:"Object3D.toJSON"});const l={};function d(n,r){return void 0===n[r.uuid]&&(n[r.uuid]=r.toJSON(t)),r.uuid}if(l.uuid=this.uuid,l.type=this.type,""!==this.name&&(l.name=this.name),!0===this.castShadow&&(l.castShadow=!0),!0===this.receiveShadow&&(l.receiveShadow=!0),!1===this.visible&&(l.visible=!1),!1===this.frustumCulled&&(l.frustumCulled=!1),0!==this.renderOrder&&(l.renderOrder=this.renderOrder),"{}"!==JSON.stringify(this.userData)&&(l.userData=this.userData),l.layers=this.layers.mask,l.matrix=this.matrix.toArray(),!1===this.matrixAutoUpdate&&(l.matrixAutoUpdate=!1),this.isInstancedMesh&&(l.type="InstancedMesh",l.count=this.count,l.instanceMatrix=this.instanceMatrix.toJSON()),this.isMesh||this.isLine||this.isPoints){l.geometry=d(t.geometries,this.geometry);const n=this.geometry.parameters;if(void 0!==n&&void 0!==n.shapes){const r=n.shapes;if(Array.isArray(r))for(let n=0,l=r.length;n<l;n++){const l=r[n];d(t.shapes,l)}else d(t.shapes,r)}}if(this.isSkinnedMesh&&(l.bindMode=this.bindMode,l.bindMatrix=this.bindMatrix.toArray(),void 0!==this.skeleton&&(d(t.skeletons,this.skeleton),l.skeleton=this.skeleton.uuid)),void 0!==this.material)if(Array.isArray(this.material)){const n=[];for(let r=0,l=this.material.length;r<l;r++)n.push(d(t.materials,this.material[r]));l.material=n}else l.material=d(t.materials,this.material);if(this.children.length>0){l.children=[];for(let n=0;n<this.children.length;n++)l.children.push(this.children[n].toJSON(t).object)}if(this.animations.length>0){l.animations=[];for(let n=0;n<this.animations.length;n++){const r=this.animations[n];l.animations.push(d(t.animations,r))}}if(n){const n=h(t.geometries),l=h(t.materials),d=h(t.textures),p=h(t.images),f=h(t.shapes),m=h(t.skeletons),g=h(t.animations);n.length>0&&(r.geometries=n),l.length>0&&(r.materials=l),d.length>0&&(r.textures=d),p.length>0&&(r.images=p),f.length>0&&(r.shapes=f),m.length>0&&(r.skeletons=m),g.length>0&&(r.animations=g)}return r.object=l,r;function h(t){const n=[];for(const r in t){const l=t[r];delete l.metadata,n.push(l)}return n}},clone:function(t){return(new this.constructor).copy(this,t)},copy:function(t,n=!0){if(this.name=t.name,this.up.copy(t.up),this.position.copy(t.position),this.rotation.order=t.rotation.order,this.quaternion.copy(t.quaternion),this.scale.copy(t.scale),this.matrix.copy(t.matrix),this.matrixWorld.copy(t.matrixWorld),this.matrixAutoUpdate=t.matrixAutoUpdate,this.matrixWorldNeedsUpdate=t.matrixWorldNeedsUpdate,this.layers.mask=t.layers.mask,this.visible=t.visible,this.castShadow=t.castShadow,this.receiveShadow=t.receiveShadow,this.frustumCulled=t.frustumCulled,this.renderOrder=t.renderOrder,this.userData=JSON.parse(JSON.stringify(t.userData)),!0===n)for(let n=0;n<t.children.length;n++){const r=t.children[n];this.add(r.clone())}return this}});const er=new Vector3,tr=new Vector3,ir=new Matrix3;class Plane{constructor(t,n){Object.defineProperty(this,"isPlane",{value:!0}),this.normal=void 0!==t?t:new Vector3(1,0,0),this.constant=void 0!==n?n:0}set(t,n){return this.normal.copy(t),this.constant=n,this}setComponents(t,n,r,l){return this.normal.set(t,n,r),this.constant=l,this}setFromNormalAndCoplanarPoint(t,n){return this.normal.copy(t),this.constant=-n.dot(this.normal),this}setFromCoplanarPoints(t,n,r){const l=er.subVectors(r,n).cross(tr.subVectors(t,n)).normalize();return this.setFromNormalAndCoplanarPoint(l,t),this}clone(){return(new this.constructor).copy(this)}copy(t){return this.normal.copy(t.normal),this.constant=t.constant,this}normalize(){const t=1/this.normal.length();return this.normal.multiplyScalar(t),this.constant*=t,this}negate(){return this.constant*=-1,this.normal.negate(),this}distanceToPoint(t){return this.normal.dot(t)+this.constant}distanceToSphere(t){return this.distanceToPoint(t.center)-t.radius}projectPoint(t,n){return void 0===n&&(l.warn("THREE.Plane: .projectPoint() target is now required"),n=new Vector3),n.copy(this.normal).multiplyScalar(-this.distanceToPoint(t)).add(t)}intersectLine(t,n){void 0===n&&(l.warn("THREE.Plane: .intersectLine() target is now required"),n=new Vector3);const r=t.delta(er),d=this.normal.dot(r);if(0===d)return 0===this.distanceToPoint(t.start)?n.copy(t.start):void 0;const h=-(t.start.dot(this.normal)+this.constant)/d;return h<0||h>1?void 0:n.copy(r).multiplyScalar(h).add(t.start)}intersectsLine(t){const n=this.distanceToPoint(t.start),r=this.distanceToPoint(t.end);return n<0&&r>0||r<0&&n>0}intersectsBox(t){return t.intersectsPlane(this)}intersectsSphere(t){return t.intersectsPlane(this)}coplanarPoint(t){return void 0===t&&(l.warn("THREE.Plane: .coplanarPoint() target is now required"),t=new Vector3),t.copy(this.normal).multiplyScalar(-this.constant)}applyMatrix4(t,n){const r=n||ir.getNormalMatrix(t),l=this.coplanarPoint(er).applyMatrix4(t),d=this.normal.applyMatrix3(r).normalize();return this.constant=-l.dot(d),this}translate(t){return this.constant-=t.dot(this.normal),this}equals(t){return t.normal.equals(this.normal)&&t.constant===this.constant}}const nr=new Vector3,rr=new Vector3,or=new Vector3,ar=new Vector3,sr=new Vector3,lr=new Vector3,cr=new Vector3,dr=new Vector3,ur=new Vector3,hr=new Vector3;class Triangle{constructor(t,n,r){this.a=void 0!==t?t:new Vector3,this.b=void 0!==n?n:new Vector3,this.c=void 0!==r?r:new Vector3}static getNormal(t,n,r,d){void 0===d&&(l.warn("THREE.Triangle: .getNormal() target is now required"),d=new Vector3),d.subVectors(r,n),nr.subVectors(t,n),d.cross(nr);const h=d.lengthSq();return h>0?d.multiplyScalar(1/Math.sqrt(h)):d.set(0,0,0)}static getBarycoord(t,n,r,d,h){nr.subVectors(d,n),rr.subVectors(r,n),or.subVectors(t,n);const p=nr.dot(nr),f=nr.dot(rr),m=nr.dot(or),g=rr.dot(rr),y=rr.dot(or),v=p*g-f*f;if(void 0===h&&(l.warn("THREE.Triangle: .getBarycoord() target is now required"),h=new Vector3),0===v)return h.set(-2,-1,-1);const b=1/v,x=(g*m-f*y)*b,w=(p*y-f*m)*b;return h.set(1-x-w,w,x)}static containsPoint(t,n,r,l){return this.getBarycoord(t,n,r,l,ar),ar.x>=0&&ar.y>=0&&ar.x+ar.y<=1}static getUV(t,n,r,l,d,h,p,f){return this.getBarycoord(t,n,r,l,ar),f.set(0,0),f.addScaledVector(d,ar.x),f.addScaledVector(h,ar.y),f.addScaledVector(p,ar.z),f}static isFrontFacing(t,n,r,l){return nr.subVectors(r,n),rr.subVectors(t,n),nr.cross(rr).dot(l)<0}set(t,n,r){return this.a.copy(t),this.b.copy(n),this.c.copy(r),this}setFromPointsAndIndices(t,n,r,l){return this.a.copy(t[n]),this.b.copy(t[r]),this.c.copy(t[l]),this}clone(){return(new this.constructor).copy(this)}copy(t){return this.a.copy(t.a),this.b.copy(t.b),this.c.copy(t.c),this}getArea(){return nr.subVectors(this.c,this.b),rr.subVectors(this.a,this.b),.5*nr.cross(rr).length()}getMidpoint(t){return void 0===t&&(l.warn("THREE.Triangle: .getMidpoint() target is now required"),t=new Vector3),t.addVectors(this.a,this.b).add(this.c).multiplyScalar(1/3)}getNormal(t){return Triangle.getNormal(this.a,this.b,this.c,t)}getPlane(t){return void 0===t&&(l.warn("THREE.Triangle: .getPlane() target is now required"),t=new Plane),t.setFromCoplanarPoints(this.a,this.b,this.c)}getBarycoord(t,n){return Triangle.getBarycoord(t,this.a,this.b,this.c,n)}getUV(t,n,r,l,d){return Triangle.getUV(t,this.a,this.b,this.c,n,r,l,d)}containsPoint(t){return Triangle.containsPoint(t,this.a,this.b,this.c)}isFrontFacing(t){return Triangle.isFrontFacing(this.a,this.b,this.c,t)}intersectsBox(t){return t.intersectsTriangle(this)}closestPointToPoint(t,n){void 0===n&&(l.warn("THREE.Triangle: .closestPointToPoint() target is now required"),n=new Vector3);const r=this.a,d=this.b,h=this.c;let p,f;sr.subVectors(d,r),lr.subVectors(h,r),dr.subVectors(t,r);const m=sr.dot(dr),g=lr.dot(dr);if(m<=0&&g<=0)return n.copy(r);ur.subVectors(t,d);const y=sr.dot(ur),v=lr.dot(ur);if(y>=0&&v<=y)return n.copy(d);const b=m*v-y*g;if(b<=0&&m>=0&&y<=0)return p=m/(m-y),n.copy(r).addScaledVector(sr,p);hr.subVectors(t,h);const x=sr.dot(hr),w=lr.dot(hr);if(w>=0&&x<=w)return n.copy(h);const S=x*g-m*w;if(S<=0&&g>=0&&w<=0)return f=g/(g-w),n.copy(r).addScaledVector(lr,f);const _=y*w-x*v;if(_<=0&&v-y>=0&&x-w>=0)return cr.subVectors(h,d),f=(v-y)/(v-y+(x-w)),n.copy(d).addScaledVector(cr,f);const E=1/(_+S+b);return p=S*E,f=b*E,n.copy(r).addScaledVector(sr,p).addScaledVector(lr,f)}equals(t){return t.a.equals(this.a)&&t.b.equals(this.b)&&t.c.equals(this.c)}}const pr={aliceblue:15792383,antiquewhite:16444375,aqua:65535,aquamarine:8388564,azure:15794175,beige:16119260,bisque:16770244,black:0,blanchedalmond:16772045,blue:255,blueviolet:9055202,brown:10824234,burlywood:14596231,cadetblue:6266528,chartreuse:8388352,chocolate:13789470,coral:16744272,cornflowerblue:6591981,cornsilk:16775388,crimson:14423100,cyan:65535,darkblue:139,darkcyan:35723,darkgoldenrod:12092939,darkgray:11119017,darkgreen:25600,darkgrey:11119017,darkkhaki:12433259,darkmagenta:9109643,darkolivegreen:5597999,darkorange:16747520,darkorchid:10040012,darkred:9109504,darksalmon:15308410,darkseagreen:9419919,darkslateblue:4734347,darkslategray:3100495,darkslategrey:3100495,darkturquoise:52945,darkviolet:9699539,deeppink:16716947,deepskyblue:49151,dimgray:6908265,dimgrey:6908265,dodgerblue:2003199,firebrick:11674146,floralwhite:16775920,forestgreen:2263842,fuchsia:16711935,gainsboro:14474460,ghostwhite:16316671,gold:16766720,goldenrod:14329120,gray:8421504,green:32768,greenyellow:11403055,grey:8421504,honeydew:15794160,hotpink:16738740,indianred:13458524,indigo:4915330,ivory:16777200,khaki:15787660,lavender:15132410,lavenderblush:16773365,lawngreen:8190976,lemonchiffon:16775885,lightblue:11393254,lightcoral:15761536,lightcyan:14745599,lightgoldenrodyellow:16448210,lightgray:13882323,lightgreen:9498256,lightgrey:13882323,lightpink:16758465,lightsalmon:16752762,lightseagreen:2142890,lightskyblue:8900346,lightslategray:7833753,lightslategrey:7833753,lightsteelblue:11584734,lightyellow:16777184,lime:65280,limegreen:3329330,linen:16445670,magenta:16711935,maroon:8388608,mediumaquamarine:6737322,mediumblue:205,mediumorchid:12211667,mediumpurple:9662683,mediumseagreen:3978097,mediumslateblue:8087790,mediumspringgreen:64154,mediumturquoise:4772300,mediumvioletred:13047173,midnightblue:1644912,mintcream:16121850,mistyrose:16770273,moccasin:16770229,navajowhite:16768685,navy:128,oldlace:16643558,olive:8421376,olivedrab:7048739,orange:16753920,orangered:16729344,orchid:14315734,palegoldenrod:15657130,palegreen:10025880,paleturquoise:11529966,palevioletred:14381203,papayawhip:16773077,peachpuff:16767673,peru:13468991,pink:16761035,plum:14524637,powderblue:11591910,purple:8388736,rebeccapurple:6697881,red:16711680,rosybrown:12357519,royalblue:4286945,saddlebrown:9127187,salmon:16416882,sandybrown:16032864,seagreen:3050327,seashell:16774638,sienna:10506797,silver:12632256,skyblue:8900331,slateblue:6970061,slategray:7372944,slategrey:7372944,snow:16775930,springgreen:65407,steelblue:4620980,tan:13808780,teal:32896,thistle:14204888,tomato:16737095,turquoise:4251856,violet:15631086,wheat:16113331,white:16777215,whitesmoke:16119285,yellow:16776960,yellowgreen:10145074},fr={h:0,s:0,l:0},mr={h:0,s:0,l:0};function gr(t,n,r){return r<0&&(r+=1),r>1&&(r-=1),r<1/6?t+6*(n-t)*r:r<.5?n:r<2/3?t+6*(n-t)*(2/3-r):t}function yr(t){return t<.04045?.0773993808*t:Math.pow(.9478672986*t+.0521327014,2.4)}function vr(t){return t<.0031308?12.92*t:1.055*Math.pow(t,.41666)-.055}class Color{constructor(t,n,r){return Object.defineProperty(this,"isColor",{value:!0}),void 0===n&&void 0===r?this.set(t):this.setRGB(t,n,r)}set(t){return t&&t.isColor?this.copy(t):"number"==typeof t?this.setHex(t):"string"==typeof t&&this.setStyle(t),this}setScalar(t){return this.r=t,this.g=t,this.b=t,this}setHex(t){return t=Math.floor(t),this.r=(t>>16&255)/255,this.g=(t>>8&255)/255,this.b=(255&t)/255,this}setRGB(t,n,r){return this.r=t,this.g=n,this.b=r,this}setHSL(t,n,r){if(t=en.euclideanModulo(t,1),n=en.clamp(n,0,1),r=en.clamp(r,0,1),0===n)this.r=this.g=this.b=r;else{const l=r<=.5?r*(1+n):r+n-r*n,d=2*r-l;this.r=gr(d,l,t+1/3),this.g=gr(d,l,t),this.b=gr(d,l,t-1/3)}return this}setStyle(t){function n(n){void 0!==n&&parseFloat(n)<1&&l.warn("THREE.Color: Alpha component of "+t+" will be ignored.")}let r;if(r=/^((?:rgb|hsl)a?)\(([^\)]*)\)/.exec(t)){let t;const l=r[1],d=r[2];switch(l){case"rgb":case"rgba":if(t=/^\s*(\d+)\s*,\s*(\d+)\s*,\s*(\d+)\s*(?:,\s*(\d*\.?\d+)\s*)?$/.exec(d))return this.r=Math.min(255,parseInt(t[1],10))/255,this.g=Math.min(255,parseInt(t[2],10))/255,this.b=Math.min(255,parseInt(t[3],10))/255,n(t[4]),this;if(t=/^\s*(\d+)\%\s*,\s*(\d+)\%\s*,\s*(\d+)\%\s*(?:,\s*(\d*\.?\d+)\s*)?$/.exec(d))return this.r=Math.min(100,parseInt(t[1],10))/100,this.g=Math.min(100,parseInt(t[2],10))/100,this.b=Math.min(100,parseInt(t[3],10))/100,n(t[4]),this;break;case"hsl":case"hsla":if(t=/^\s*(\d*\.?\d+)\s*,\s*(\d+)\%\s*,\s*(\d+)\%\s*(?:,\s*(\d*\.?\d+)\s*)?$/.exec(d)){const r=parseFloat(t[1])/360,l=parseInt(t[2],10)/100,d=parseInt(t[3],10)/100;return n(t[4]),this.setHSL(r,l,d)}}}else if(r=/^\#([A-Fa-f\d]+)$/.exec(t)){const t=r[1],n=t.length;if(3===n)return this.r=parseInt(t.charAt(0)+t.charAt(0),16)/255,this.g=parseInt(t.charAt(1)+t.charAt(1),16)/255,this.b=parseInt(t.charAt(2)+t.charAt(2),16)/255,this;if(6===n)return this.r=parseInt(t.charAt(0)+t.charAt(1),16)/255,this.g=parseInt(t.charAt(2)+t.charAt(3),16)/255,this.b=parseInt(t.charAt(4)+t.charAt(5),16)/255,this}return t&&t.length>0?this.setColorName(t):this}setColorName(t){const n=pr[t];return void 0!==n?this.setHex(n):l.warn("THREE.Color: Unknown color "+t),this}clone(){return new this.constructor(this.r,this.g,this.b)}copy(t){return this.r=t.r,this.g=t.g,this.b=t.b,this}copyGammaToLinear(t,n=2){return this.r=Math.pow(t.r,n),this.g=Math.pow(t.g,n),this.b=Math.pow(t.b,n),this}copyLinearToGamma(t,n=2){const r=n>0?1/n:1;return this.r=Math.pow(t.r,r),this.g=Math.pow(t.g,r),this.b=Math.pow(t.b,r),this}convertGammaToLinear(t){return this.copyGammaToLinear(this,t),this}convertLinearToGamma(t){return this.copyLinearToGamma(this,t),this}copySRGBToLinear(t){return this.r=yr(t.r),this.g=yr(t.g),this.b=yr(t.b),this}copyLinearToSRGB(t){return this.r=vr(t.r),this.g=vr(t.g),this.b=vr(t.b),this}convertSRGBToLinear(){return this.copySRGBToLinear(this),this}convertLinearToSRGB(){return this.copyLinearToSRGB(this),this}getHex(){return 255*this.r<<16^255*this.g<<8^255*this.b<<0}getHexString(){return("000000"+this.getHex().toString(16)).slice(-6)}getHSL(t){void 0===t&&(l.warn("THREE.Color: .getHSL() target is now required"),t={h:0,s:0,l:0});const n=this.r,r=this.g,d=this.b,h=Math.max(n,r,d),p=Math.min(n,r,d);let f,m;const g=(p+h)/2;if(p===h)f=0,m=0;else{const t=h-p;switch(m=g<=.5?t/(h+p):t/(2-h-p),h){case n:f=(r-d)/t+(r<d?6:0);break;case r:f=(d-n)/t+2;break;case d:f=(n-r)/t+4}f/=6}return t.h=f,t.s=m,t.l=g,t}getStyle(){return"rgb("+(255*this.r|0)+","+(255*this.g|0)+","+(255*this.b|0)+")"}offsetHSL(t,n,r){return this.getHSL(fr),fr.h+=t,fr.s+=n,fr.l+=r,this.setHSL(fr.h,fr.s,fr.l),this}add(t){return this.r+=t.r,this.g+=t.g,this.b+=t.b,this}addColors(t,n){return this.r=t.r+n.r,this.g=t.g+n.g,this.b=t.b+n.b,this}addScalar(t){return this.r+=t,this.g+=t,this.b+=t,this}sub(t){return this.r=Math.max(0,this.r-t.r),this.g=Math.max(0,this.g-t.g),this.b=Math.max(0,this.b-t.b),this}multiply(t){return this.r*=t.r,this.g*=t.g,this.b*=t.b,this}multiplyScalar(t){return this.r*=t,this.g*=t,this.b*=t,this}lerp(t,n){return this.r+=(t.r-this.r)*n,this.g+=(t.g-this.g)*n,this.b+=(t.b-this.b)*n,this}lerpColors(t,n,r){return this.r=t.r+(n.r-t.r)*r,this.g=t.g+(n.g-t.g)*r,this.b=t.b+(n.b-t.b)*r,this}lerpHSL(t,n){this.getHSL(fr),t.getHSL(mr);const r=en.lerp(fr.h,mr.h,n),l=en.lerp(fr.s,mr.s,n),d=en.lerp(fr.l,mr.l,n);return this.setHSL(r,l,d),this}equals(t){return t.r===this.r&&t.g===this.g&&t.b===this.b}fromArray(t,n=0){return this.r=t[n],this.g=t[n+1],this.b=t[n+2],this}toArray(t=[],n=0){return t[n]=this.r,t[n+1]=this.g,t[n+2]=this.b,t}fromBufferAttribute(t,n){return this.r=t.getX(n),this.g=t.getY(n),this.b=t.getZ(n),!0===t.normalized&&(this.r/=255,this.g/=255,this.b/=255),this}toJSON(){return this.getHex()}}Color.NAMES=pr,Color.prototype.r=1,Color.prototype.g=1,Color.prototype.b=1;class Face3{constructor(t,n,r,l,d,h=0){this.a=t,this.b=n,this.c=r,this.normal=l&&l.isVector3?l:new Vector3,this.vertexNormals=Array.isArray(l)?l:[],this.color=d&&d.isColor?d:new Color,this.vertexColors=Array.isArray(d)?d:[],this.materialIndex=h}clone(){return(new this.constructor).copy(this)}copy(t){this.a=t.a,this.b=t.b,this.c=t.c,this.normal.copy(t.normal),this.color.copy(t.color),this.materialIndex=t.materialIndex;for(let n=0,r=t.vertexNormals.length;n<r;n++)this.vertexNormals[n]=t.vertexNormals[n].clone();for(let n=0,r=t.vertexColors.length;n<r;n++)this.vertexColors[n]=t.vertexColors[n].clone();return this}}let br=0;function xr(){Object.defineProperty(this,"id",{value:br++}),this.uuid=en.generateUUID(),this.name="",this.type="Material",this.fog=!0,this.blending=O,this.side=S,this.flatShading=!1,this.vertexColors=!1,this.opacity=1,this.transparent=!1,this.blendSrc=Y,this.blendDst=K,this.blendEquation=B,this.blendSrcAlpha=null,this.blendDstAlpha=null,this.blendEquationAlpha=null,this.depthFunc=ae,this.depthTest=!0,this.depthWrite=!0,this.stencilWriteMask=255,this.stencilFunc=$i,this.stencilRef=0,this.stencilFuncMask=255,this.stencilFail=Mi,this.stencilZFail=Mi,this.stencilZPass=Mi,this.stencilWrite=!1,this.clippingPlanes=null,this.clipIntersection=!1,this.clipShadows=!1,this.shadowSide=null,this.colorWrite=!0,this.precision=null,this.polygonOffset=!1,this.polygonOffsetFactor=0,this.polygonOffsetUnits=0,this.dithering=!1,this.alphaTest=0,this.premultipliedAlpha=!1,this.visible=!0,this.toneMapped=!0,this.userData={},this.version=0}function wr(t){xr.call(this),this.type="MeshBasicMaterial",this.color=new Color(16777215),this.map=null,this.lightMap=null,this.lightMapIntensity=1,this.aoMap=null,this.aoMapIntensity=1,this.specularMap=null,this.alphaMap=null,this.envMap=null,this.combine=ue,this.reflectivity=1,this.refractionRatio=.98,this.wireframe=!1,this.wireframeLinewidth=1,this.wireframeLinecap="round",this.wireframeLinejoin="round",this.skinning=!1,this.morphTargets=!1,this.setValues(t)}xr.prototype=Object.assign(Object.create(Ki.prototype),{constructor:xr,isMaterial:!0,onBeforeCompile:function(){},customProgramCacheKey:function(){return this.onBeforeCompile.toString()},setValues:function(t){if(void 0!==t)for(const n in t){const r=t[n];if(void 0===r){l.warn("THREE.Material: '"+n+"' parameter is undefined.");continue}if("shading"===n){l.warn("THREE."+this.type+": .shading has been removed. Use the boolean .flatShading instead."),this.flatShading=r===T;continue}const d=this[n];void 0!==d?d&&d.isColor?d.set(r):d&&d.isVector3&&r&&r.isVector3?d.copy(r):this[n]=r:l.warn("THREE."+this.type+": '"+n+"' is not a property of this material.")}},toJSON:function(t){const n=void 0===t||"string"==typeof t;n&&(t={textures:{},images:{}});const r={metadata:{version:4.5,type:"Material",generator:"Material.toJSON"}};function l(t){const n=[];for(const r in t){const l=t[r];delete l.metadata,n.push(l)}return n}if(r.uuid=this.uuid,r.type=this.type,""!==this.name&&(r.name=this.name),this.color&&this.color.isColor&&(r.color=this.color.getHex()),void 0!==this.roughness&&(r.roughness=this.roughness),void 0!==this.metalness&&(r.metalness=this.metalness),this.sheen&&this.sheen.isColor&&(r.sheen=this.sheen.getHex()),this.emissive&&this.emissive.isColor&&(r.emissive=this.emissive.getHex()),this.emissiveIntensity&&1!==this.emissiveIntensity&&(r.emissiveIntensity=this.emissiveIntensity),this.specular&&this.specular.isColor&&(r.specular=this.specular.getHex()),void 0!==this.shininess&&(r.shininess=this.shininess),void 0!==this.clearcoat&&(r.clearcoat=this.clearcoat),void 0!==this.clearcoatRoughness&&(r.clearcoatRoughness=this.clearcoatRoughness),this.clearcoatMap&&this.clearcoatMap.isTexture&&(r.clearcoatMap=this.clearcoatMap.toJSON(t).uuid),this.clearcoatRoughnessMap&&this.clearcoatRoughnessMap.isTexture&&(r.clearcoatRoughnessMap=this.clearcoatRoughnessMap.toJSON(t).uuid),this.clearcoatNormalMap&&this.clearcoatNormalMap.isTexture&&(r.clearcoatNormalMap=this.clearcoatNormalMap.toJSON(t).uuid,r.clearcoatNormalScale=this.clearcoatNormalScale.toArray()),this.map&&this.map.isTexture&&(r.map=this.map.toJSON(t).uuid),this.matcap&&this.matcap.isTexture&&(r.matcap=this.matcap.toJSON(t).uuid),this.alphaMap&&this.alphaMap.isTexture&&(r.alphaMap=this.alphaMap.toJSON(t).uuid),this.lightMap&&this.lightMap.isTexture&&(r.lightMap=this.lightMap.toJSON(t).uuid),this.aoMap&&this.aoMap.isTexture&&(r.aoMap=this.aoMap.toJSON(t).uuid,r.aoMapIntensity=this.aoMapIntensity),this.bumpMap&&this.bumpMap.isTexture&&(r.bumpMap=this.bumpMap.toJSON(t).uuid,r.bumpScale=this.bumpScale),this.normalMap&&this.normalMap.isTexture&&(r.normalMap=this.normalMap.toJSON(t).uuid,r.normalMapType=this.normalMapType,r.normalScale=this.normalScale.toArray()),this.displacementMap&&this.displacementMap.isTexture&&(r.displacementMap=this.displacementMap.toJSON(t).uuid,r.displacementScale=this.displacementScale,r.displacementBias=this.displacementBias),this.roughnessMap&&this.roughnessMap.isTexture&&(r.roughnessMap=this.roughnessMap.toJSON(t).uuid),this.metalnessMap&&this.metalnessMap.isTexture&&(r.metalnessMap=this.metalnessMap.toJSON(t).uuid),this.emissiveMap&&this.emissiveMap.isTexture&&(r.emissiveMap=this.emissiveMap.toJSON(t).uuid),this.specularMap&&this.specularMap.isTexture&&(r.specularMap=this.specularMap.toJSON(t).uuid),this.envMap&&this.envMap.isTexture&&(r.envMap=this.envMap.toJSON(t).uuid,r.reflectivity=this.reflectivity,r.refractionRatio=this.refractionRatio,void 0!==this.combine&&(r.combine=this.combine),void 0!==this.envMapIntensity&&(r.envMapIntensity=this.envMapIntensity)),this.gradientMap&&this.gradientMap.isTexture&&(r.gradientMap=this.gradientMap.toJSON(t).uuid),void 0!==this.size&&(r.size=this.size),void 0!==this.sizeAttenuation&&(r.sizeAttenuation=this.sizeAttenuation),this.blending!==O&&(r.blending=this.blending),!0===this.flatShading&&(r.flatShading=this.flatShading),this.side!==S&&(r.side=this.side),this.vertexColors&&(r.vertexColors=!0),this.opacity<1&&(r.opacity=this.opacity),!0===this.transparent&&(r.transparent=this.transparent),r.depthFunc=this.depthFunc,r.depthTest=this.depthTest,r.depthWrite=this.depthWrite,r.stencilWrite=this.stencilWrite,r.stencilWriteMask=this.stencilWriteMask,r.stencilFunc=this.stencilFunc,r.stencilRef=this.stencilRef,r.stencilFuncMask=this.stencilFuncMask,r.stencilFail=this.stencilFail,r.stencilZFail=this.stencilZFail,r.stencilZPass=this.stencilZPass,this.rotation&&0!==this.rotation&&(r.rotation=this.rotation),!0===this.polygonOffset&&(r.polygonOffset=!0),0!==this.polygonOffsetFactor&&(r.polygonOffsetFactor=this.polygonOffsetFactor),0!==this.polygonOffsetUnits&&(r.polygonOffsetUnits=this.polygonOffsetUnits),this.linewidth&&1!==this.linewidth&&(r.linewidth=this.linewidth),void 0!==this.dashSize&&(r.dashSize=this.dashSize),void 0!==this.gapSize&&(r.gapSize=this.gapSize),void 0!==this.scale&&(r.scale=this.scale),!0===this.dithering&&(r.dithering=!0),this.alphaTest>0&&(r.alphaTest=this.alphaTest),!0===this.premultipliedAlpha&&(r.premultipliedAlpha=this.premultipliedAlpha),!0===this.wireframe&&(r.wireframe=this.wireframe),this.wireframeLinewidth>1&&(r.wireframeLinewidth=this.wireframeLinewidth),"round"!==this.wireframeLinecap&&(r.wireframeLinecap=this.wireframeLinecap),"round"!==this.wireframeLinejoin&&(r.wireframeLinejoin=this.wireframeLinejoin),!0===this.morphTargets&&(r.morphTargets=!0),!0===this.morphNormals&&(r.morphNormals=!0),!0===this.skinning&&(r.skinning=!0),!1===this.visible&&(r.visible=!1),!1===this.toneMapped&&(r.toneMapped=!1),"{}"!==JSON.stringify(this.userData)&&(r.userData=this.userData),n){const n=l(t.textures),d=l(t.images);n.length>0&&(r.textures=n),d.length>0&&(r.images=d)}return r},clone:function(){return(new this.constructor).copy(this)},copy:function(t){this.name=t.name,this.fog=t.fog,this.blending=t.blending,this.side=t.side,this.flatShading=t.flatShading,this.vertexColors=t.vertexColors,this.opacity=t.opacity,this.transparent=t.transparent,this.blendSrc=t.blendSrc,this.blendDst=t.blendDst,this.blendEquation=t.blendEquation,this.blendSrcAlpha=t.blendSrcAlpha,this.blendDstAlpha=t.blendDstAlpha,this.blendEquationAlpha=t.blendEquationAlpha,this.depthFunc=t.depthFunc,this.depthTest=t.depthTest,this.depthWrite=t.depthWrite,this.stencilWriteMask=t.stencilWriteMask,this.stencilFunc=t.stencilFunc,this.stencilRef=t.stencilRef,this.stencilFuncMask=t.stencilFuncMask,this.stencilFail=t.stencilFail,this.stencilZFail=t.stencilZFail,this.stencilZPass=t.stencilZPass,this.stencilWrite=t.stencilWrite;const n=t.clippingPlanes;let r=null;if(null!==n){const t=n.length;r=new Array(t);for(let l=0;l!==t;++l)r[l]=n[l].clone()}return this.clippingPlanes=r,this.clipIntersection=t.clipIntersection,this.clipShadows=t.clipShadows,this.shadowSide=t.shadowSide,this.colorWrite=t.colorWrite,this.precision=t.precision,this.polygonOffset=t.polygonOffset,this.polygonOffsetFactor=t.polygonOffsetFactor,this.polygonOffsetUnits=t.polygonOffsetUnits,this.dithering=t.dithering,this.alphaTest=t.alphaTest,this.premultipliedAlpha=t.premultipliedAlpha,this.visible=t.visible,this.toneMapped=t.toneMapped,this.userData=JSON.parse(JSON.stringify(t.userData)),this},dispose:function(){this.dispatchEvent({type:"dispose"})}}),Object.defineProperty(xr.prototype,"needsUpdate",{set:function(t){!0===t&&this.version++}}),wr.prototype=Object.create(xr.prototype),wr.prototype.constructor=wr,wr.prototype.isMeshBasicMaterial=!0,wr.prototype.copy=function(t){return xr.prototype.copy.call(this,t),this.color.copy(t.color),this.map=t.map,this.lightMap=t.lightMap,this.lightMapIntensity=t.lightMapIntensity,this.aoMap=t.aoMap,this.aoMapIntensity=t.aoMapIntensity,this.specularMap=t.specularMap,this.alphaMap=t.alphaMap,this.envMap=t.envMap,this.combine=t.combine,this.reflectivity=t.reflectivity,this.refractionRatio=t.refractionRatio,this.wireframe=t.wireframe,this.wireframeLinewidth=t.wireframeLinewidth,this.wireframeLinecap=t.wireframeLinecap,this.wireframeLinejoin=t.wireframeLinejoin,this.skinning=t.skinning,this.morphTargets=t.morphTargets,this};const Sr=new Vector3,_r=new Vector2;function Er(t,n,r){if(Array.isArray(t))throw new TypeError("THREE.BufferAttribute: array should be a Typed Array.");this.name="",this.array=t,this.itemSize=n,this.count=void 0!==t?t.length/n:0,this.normalized=!0===r,this.usage=zi,this.updateRange={offset:0,count:-1},this.version=0}function Mr(t,n,r){Er.call(this,new Int8Array(t),n,r)}function Tr(t,n,r){Er.call(this,new Uint8Array(t),n,r)}function Cr(t,n,r){Er.call(this,new Uint8ClampedArray(t),n,r)}function Ar(t,n,r){Er.call(this,new Int16Array(t),n,r)}function kr(t,n,r){Er.call(this,new Uint16Array(t),n,r)}function Or(t,n,r){Er.call(this,new Int32Array(t),n,r)}function Ir(t,n,r){Er.call(this,new Uint32Array(t),n,r)}function Rr(t,n,r){Er.call(this,new Uint16Array(t),n,r)}function Pr(t,n,r){Er.call(this,new Float32Array(t),n,r)}function Lr(t,n,r){Er.call(this,new Float64Array(t),n,r)}function Dr(t){if(0===t.length)return-1/0;let n=t[0];for(let r=1,l=t.length;r<l;++r)t[r]>n&&(n=t[r]);return n}Object.defineProperty(Er.prototype,"needsUpdate",{set:function(t){!0===t&&this.version++}}),Object.assign(Er.prototype,{isBufferAttribute:!0,onUploadCallback:function(){},setUsage:function(t){return this.usage=t,this},copy:function(t){return this.name=t.name,this.array=new t.array.constructor(t.array),this.itemSize=t.itemSize,this.count=t.count,this.normalized=t.normalized,this.usage=t.usage,this},copyAt:function(t,n,r){t*=this.itemSize,r*=n.itemSize;for(let l=0,d=this.itemSize;l<d;l++)this.array[t+l]=n.array[r+l];return this},copyArray:function(t){return this.array.set(t),this},copyColorsArray:function(t){const n=this.array;let r=0;for(let d=0,h=t.length;d<h;d++){let h=t[d];void 0===h&&(l.warn("THREE.BufferAttribute.copyColorsArray(): color is undefined",d),h=new Color),n[r++]=h.r,n[r++]=h.g,n[r++]=h.b}return this},copyVector2sArray:function(t){const n=this.array;let r=0;for(let d=0,h=t.length;d<h;d++){let h=t[d];void 0===h&&(l.warn("THREE.BufferAttribute.copyVector2sArray(): vector is undefined",d),h=new Vector2),n[r++]=h.x,n[r++]=h.y}return this},copyVector3sArray:function(t){const n=this.array;let r=0;for(let d=0,h=t.length;d<h;d++){let h=t[d];void 0===h&&(l.warn("THREE.BufferAttribute.copyVector3sArray(): vector is undefined",d),h=new Vector3),n[r++]=h.x,n[r++]=h.y,n[r++]=h.z}return this},copyVector4sArray:function(t){const n=this.array;let r=0;for(let d=0,h=t.length;d<h;d++){let h=t[d];void 0===h&&(l.warn("THREE.BufferAttribute.copyVector4sArray(): vector is undefined",d),h=new Vector4),n[r++]=h.x,n[r++]=h.y,n[r++]=h.z,n[r++]=h.w}return this},applyMatrix3:function(t){if(2===this.itemSize)for(let n=0,r=this.count;n<r;n++)_r.fromBufferAttribute(this,n),_r.applyMatrix3(t),this.setXY(n,_r.x,_r.y);else if(3===this.itemSize)for(let n=0,r=this.count;n<r;n++)Sr.fromBufferAttribute(this,n),Sr.applyMatrix3(t),this.setXYZ(n,Sr.x,Sr.y,Sr.z);return this},applyMatrix4:function(t){for(let n=0,r=this.count;n<r;n++)Sr.x=this.getX(n),Sr.y=this.getY(n),Sr.z=this.getZ(n),Sr.applyMatrix4(t),this.setXYZ(n,Sr.x,Sr.y,Sr.z);return this},applyNormalMatrix:function(t){for(let n=0,r=this.count;n<r;n++)Sr.x=this.getX(n),Sr.y=this.getY(n),Sr.z=this.getZ(n),Sr.applyNormalMatrix(t),this.setXYZ(n,Sr.x,Sr.y,Sr.z);return this},transformDirection:function(t){for(let n=0,r=this.count;n<r;n++)Sr.x=this.getX(n),Sr.y=this.getY(n),Sr.z=this.getZ(n),Sr.transformDirection(t),this.setXYZ(n,Sr.x,Sr.y,Sr.z);return this},set:function(t,n=0){return this.array.set(t,n),this},getX:function(t){return this.array[t*this.itemSize]},setX:function(t,n){return this.array[t*this.itemSize]=n,this},getY:function(t){return this.array[t*this.itemSize+1]},setY:function(t,n){return this.array[t*this.itemSize+1]=n,this},getZ:function(t){return this.array[t*this.itemSize+2]},setZ:function(t,n){return this.array[t*this.itemSize+2]=n,this},getW:function(t){return this.array[t*this.itemSize+3]},setW:function(t,n){return this.array[t*this.itemSize+3]=n,this},setXY:function(t,n,r){return t*=this.itemSize,this.array[t+0]=n,this.array[t+1]=r,this},setXYZ:function(t,n,r,l){return t*=this.itemSize,this.array[t+0]=n,this.array[t+1]=r,this.array[t+2]=l,this},setXYZW:function(t,n,r,l,d){return t*=this.itemSize,this.array[t+0]=n,this.array[t+1]=r,this.array[t+2]=l,this.array[t+3]=d,this},onUpload:function(t){return this.onUploadCallback=t,this},clone:function(){return new this.constructor(this.array,this.itemSize).copy(this)},toJSON:function(){return{itemSize:this.itemSize,type:this.array.constructor.name,array:Array.prototype.slice.call(this.array),normalized:this.normalized}}}),Mr.prototype=Object.create(Er.prototype),Mr.prototype.constructor=Mr,Tr.prototype=Object.create(Er.prototype),Tr.prototype.constructor=Tr,Cr.prototype=Object.create(Er.prototype),Cr.prototype.constructor=Cr,Ar.prototype=Object.create(Er.prototype),Ar.prototype.constructor=Ar,kr.prototype=Object.create(Er.prototype),kr.prototype.constructor=kr,Or.prototype=Object.create(Er.prototype),Or.prototype.constructor=Or,Ir.prototype=Object.create(Er.prototype),Ir.prototype.constructor=Ir,Rr.prototype=Object.create(Er.prototype),Rr.prototype.constructor=Rr,Rr.prototype.isFloat16BufferAttribute=!0,Pr.prototype=Object.create(Er.prototype),Pr.prototype.constructor=Pr,Lr.prototype=Object.create(Er.prototype),Lr.prototype.constructor=Lr;const Fr={Int8Array,Uint8Array,Uint8ClampedArray:"undefined"!=typeof Uint8ClampedArray?Uint8ClampedArray:Uint8Array,Int16Array,Uint16Array,Int32Array,Uint32Array,Float32Array,Float64Array};function Nr(t,n){return new Fr[t](n)}let Br=0;const $r=new Matrix4,zr=new Qn,jr=new Vector3,Vr=new Box3,Ur=new Box3,Hr=new Vector3;function Gr(){Object.defineProperty(this,"id",{value:Br++}),this.uuid=en.generateUUID(),this.name="",this.type="BufferGeometry",this.index=null,this.attributes={},this.morphAttributes={},this.morphTargetsRelative=!1,this.groups=[],this.boundingBox=null,this.boundingSphere=null,this.drawRange={start:0,count:1/0},this.userData={}}Gr.prototype=Object.assign(Object.create(Ki.prototype),{constructor:Gr,isBufferGeometry:!0,getIndex:function(){return this.index},setIndex:function(t){return Array.isArray(t)?this.index=new(Dr(t)>65535?Ir:kr)(t,1):this.index=t,this},getAttribute:function(t){return this.attributes[t]},setAttribute:function(t,n){return this.attributes[t]=n,this},deleteAttribute:function(t){return delete this.attributes[t],this},hasAttribute:function(t){return void 0!==this.attributes[t]},addGroup:function(t,n,r=0){this.groups.push({start:t,count:n,materialIndex:r})},clearGroups:function(){this.groups=[]},setDrawRange:function(t,n){this.drawRange.start=t,this.drawRange.count=n},applyMatrix4:function(t){const n=this.attributes.position;void 0!==n&&(n.applyMatrix4(t),n.needsUpdate=!0);const r=this.attributes.normal;if(void 0!==r){const n=(new Matrix3).getNormalMatrix(t);r.applyNormalMatrix(n),r.needsUpdate=!0}const l=this.attributes.tangent;return void 0!==l&&(l.transformDirection(t),l.needsUpdate=!0),null!==this.boundingBox&&this.computeBoundingBox(),null!==this.boundingSphere&&this.computeBoundingSphere(),this},rotateX:function(t){return $r.makeRotationX(t),this.applyMatrix4($r),this},rotateY:function(t){return $r.makeRotationY(t),this.applyMatrix4($r),this},rotateZ:function(t){return $r.makeRotationZ(t),this.applyMatrix4($r),this},translate:function(t,n,r){return $r.makeTranslation(t,n,r),this.applyMatrix4($r),this},scale:function(t,n,r){return $r.makeScale(t,n,r),this.applyMatrix4($r),this},lookAt:function(t){return zr.lookAt(t),zr.updateMatrix(),this.applyMatrix4(zr.matrix),this},center:function(){return this.computeBoundingBox(),this.boundingBox.getCenter(jr).negate(),this.translate(jr.x,jr.y,jr.z),this},setFromPoints:function(t){const n=[];for(let r=0,l=t.length;r<l;r++){const l=t[r];n.push(l.x,l.y,l.z||0)}return this.setAttribute("position",new Pr(n,3)),this},computeBoundingBox:function(){null===this.boundingBox&&(this.boundingBox=new Box3);const t=this.attributes.position,n=this.morphAttributes.position;if(t&&t.isGLBufferAttribute)return l.error('THREE.BufferGeometry.computeBoundingBox(): GLBufferAttribute requires a manual bounding box. Alternatively set "mesh.frustumCulled" to "false".',this),void this.boundingBox.set(new Vector3(-1/0,-1/0,-1/0),new Vector3(1/0,1/0,1/0));if(void 0!==t){if(this.boundingBox.setFromBufferAttribute(t),n)for(let t=0,r=n.length;t<r;t++){const r=n[t];Vr.setFromBufferAttribute(r),this.morphTargetsRelative?(Hr.addVectors(this.boundingBox.min,Vr.min),this.boundingBox.expandByPoint(Hr),Hr.addVectors(this.boundingBox.max,Vr.max),this.boundingBox.expandByPoint(Hr)):(this.boundingBox.expandByPoint(Vr.min),this.boundingBox.expandByPoint(Vr.max))}}else this.boundingBox.makeEmpty();(isNaN(this.boundingBox.min.x)||isNaN(this.boundingBox.min.y)||isNaN(this.boundingBox.min.z))&&l.error('THREE.BufferGeometry.computeBoundingBox(): Computed min/max have NaN values. The "position" attribute is likely to have NaN values.',this)},computeBoundingSphere:function(){null===this.boundingSphere&&(this.boundingSphere=new Sphere);const t=this.attributes.position,n=this.morphAttributes.position;if(t&&t.isGLBufferAttribute)return l.error('THREE.BufferGeometry.computeBoundingSphere(): GLBufferAttribute requires a manual bounding sphere. Alternatively set "mesh.frustumCulled" to "false".',this),void this.boundingSphere.set(new Vector3,1/0);if(t){const r=this.boundingSphere.center;if(Vr.setFromBufferAttribute(t),n)for(let t=0,r=n.length;t<r;t++){const r=n[t];Ur.setFromBufferAttribute(r),this.morphTargetsRelative?(Hr.addVectors(Vr.min,Ur.min),Vr.expandByPoint(Hr),Hr.addVectors(Vr.max,Ur.max),Vr.expandByPoint(Hr)):(Vr.expandByPoint(Ur.min),Vr.expandByPoint(Ur.max))}Vr.getCenter(r);let d=0;for(let n=0,l=t.count;n<l;n++)Hr.fromBufferAttribute(t,n),d=Math.max(d,r.distanceToSquared(Hr));if(n)for(let l=0,h=n.length;l<h;l++){const h=n[l],p=this.morphTargetsRelative;for(let n=0,l=h.count;n<l;n++)Hr.fromBufferAttribute(h,n),p&&(jr.fromBufferAttribute(t,n),Hr.add(jr)),d=Math.max(d,r.distanceToSquared(Hr))}this.boundingSphere.radius=Math.sqrt(d),isNaN(this.boundingSphere.radius)&&l.error('THREE.BufferGeometry.computeBoundingSphere(): Computed radius is NaN. The "position" attribute is likely to have NaN values.',this)}},computeFaceNormals:function(){},computeTangents:function(){const t=this.index,n=this.attributes;if(null===t||void 0===n.position||void 0===n.normal||void 0===n.uv)return void l.error("THREE.BufferGeometry: .computeTangents() failed. Missing required attributes (index, position, normal or uv)");const r=t.array,d=n.position.array,h=n.normal.array,p=n.uv.array,f=d.length/3;void 0===n.tangent&&this.setAttribute("tangent",new Er(new Float32Array(4*f),4));const m=n.tangent.array,g=[],y=[];for(let t=0;t<f;t++)g[t]=new Vector3,y[t]=new Vector3;const v=new Vector3,b=new Vector3,x=new Vector3,w=new Vector2,S=new Vector2,_=new Vector2,E=new Vector3,T=new Vector3;function C(t,n,r){v.fromArray(d,3*t),b.fromArray(d,3*n),x.fromArray(d,3*r),w.fromArray(p,2*t),S.fromArray(p,2*n),_.fromArray(p,2*r),b.sub(v),x.sub(v),S.sub(w),_.sub(w);const l=1/(S.x*_.y-_.x*S.y);isFinite(l)&&(E.copy(b).multiplyScalar(_.y).addScaledVector(x,-S.y).multiplyScalar(l),T.copy(x).multiplyScalar(S.x).addScaledVector(b,-_.x).multiplyScalar(l),g[t].add(E),g[n].add(E),g[r].add(E),y[t].add(T),y[n].add(T),y[r].add(T))}let A=this.groups;0===A.length&&(A=[{start:0,count:r.length}]);for(let t=0,n=A.length;t<n;++t){const n=A[t],l=n.start;for(let t=l,d=l+n.count;t<d;t+=3)C(r[t+0],r[t+1],r[t+2])}const O=new Vector3,I=new Vector3,P=new Vector3,D=new Vector3;function F(t){P.fromArray(h,3*t),D.copy(P);const n=g[t];O.copy(n),O.sub(P.multiplyScalar(P.dot(n))).normalize(),I.crossVectors(D,n);const r=I.dot(y[t])<0?-1:1;m[4*t]=O.x,m[4*t+1]=O.y,m[4*t+2]=O.z,m[4*t+3]=r}for(let t=0,n=A.length;t<n;++t){const n=A[t],l=n.start;for(let t=l,d=l+n.count;t<d;t+=3)F(r[t+0]),F(r[t+1]),F(r[t+2])}},computeVertexNormals:function(){const t=this.index,n=this.getAttribute("position");if(void 0!==n){let r=this.getAttribute("normal");if(void 0===r)r=new Er(new Float32Array(3*n.count),3),this.setAttribute("normal",r);else for(let t=0,n=r.count;t<n;t++)r.setXYZ(t,0,0,0);const l=new Vector3,d=new Vector3,h=new Vector3,p=new Vector3,f=new Vector3,m=new Vector3,g=new Vector3,y=new Vector3;if(t)for(let v=0,b=t.count;v<b;v+=3){const b=t.getX(v+0),x=t.getX(v+1),w=t.getX(v+2);l.fromBufferAttribute(n,b),d.fromBufferAttribute(n,x),h.fromBufferAttribute(n,w),g.subVectors(h,d),y.subVectors(l,d),g.cross(y),p.fromBufferAttribute(r,b),f.fromBufferAttribute(r,x),m.fromBufferAttribute(r,w),p.add(g),f.add(g),m.add(g),r.setXYZ(b,p.x,p.y,p.z),r.setXYZ(x,f.x,f.y,f.z),r.setXYZ(w,m.x,m.y,m.z)}else for(let t=0,p=n.count;t<p;t+=3)l.fromBufferAttribute(n,t+0),d.fromBufferAttribute(n,t+1),h.fromBufferAttribute(n,t+2),g.subVectors(h,d),y.subVectors(l,d),g.cross(y),r.setXYZ(t+0,g.x,g.y,g.z),r.setXYZ(t+1,g.x,g.y,g.z),r.setXYZ(t+2,g.x,g.y,g.z);this.normalizeNormals(),r.needsUpdate=!0}},merge:function(t,n){if(!t||!t.isBufferGeometry)return void l.error("THREE.BufferGeometry.merge(): geometry not an instance of THREE.BufferGeometry.",t);void 0===n&&(n=0,l.warn("THREE.BufferGeometry.merge(): Overwriting original geometry, starting at offset=0. Use BufferGeometryUtils.mergeBufferGeometries() for lossless merge."));const r=this.attributes;for(const l in r){if(void 0===t.attributes[l])continue;const d=r[l].array,h=t.attributes[l],p=h.array,f=h.itemSize*n,m=Math.min(p.length,d.length-f);for(let t=0,n=f;t<m;t++,n++)d[n]=p[t]}return this},normalizeNormals:function(){const t=this.attributes.normal;for(let n=0,r=t.count;n<r;n++)Hr.fromBufferAttribute(t,n),Hr.normalize(),t.setXYZ(n,Hr.x,Hr.y,Hr.z)},toNonIndexed:function(){function t(t,n){const r=t.array,l=t.itemSize,d=t.normalized,h=new r.constructor(n.length*l);let p=0,f=0;for(let t=0,d=n.length;t<d;t++){p=n[t]*l;for(let t=0;t<l;t++)h[f++]=r[p++]}return new Er(h,l,d)}if(null===this.index)return l.warn("THREE.BufferGeometry.toNonIndexed(): BufferGeometry is already non-indexed."),this;const n=new Gr,r=this.index.array,d=this.attributes;for(const l in d){const h=t(d[l],r);n.setAttribute(l,h)}const h=this.morphAttributes;for(const l in h){const d=[],p=h[l];for(let n=0,l=p.length;n<l;n++){const l=t(p[n],r);d.push(l)}n.morphAttributes[l]=d}n.morphTargetsRelative=this.morphTargetsRelative;const p=this.groups;for(let t=0,r=p.length;t<r;t++){const r=p[t];n.addGroup(r.start,r.count,r.materialIndex)}return n},toJSON:function(){const t={metadata:{version:4.5,type:"BufferGeometry",generator:"BufferGeometry.toJSON"}};if(t.uuid=this.uuid,t.type=this.type,""!==this.name&&(t.name=this.name),Object.keys(this.userData).length>0&&(t.userData=this.userData),void 0!==this.parameters){const n=this.parameters;for(const r in n)void 0!==n[r]&&(t[r]=n[r]);return t}t.data={attributes:{}};const n=this.index;null!==n&&(t.data.index={type:n.array.constructor.name,array:Array.prototype.slice.call(n.array)});const r=this.attributes;for(const n in r){const l=r[n],d=l.toJSON(t.data);""!==l.name&&(d.name=l.name),t.data.attributes[n]=d}const l={};let d=!1;for(const n in this.morphAttributes){const r=this.morphAttributes[n],h=[];for(let n=0,l=r.length;n<l;n++){const l=r[n],d=l.toJSON(t.data);""!==l.name&&(d.name=l.name),h.push(d)}h.length>0&&(l[n]=h,d=!0)}d&&(t.data.morphAttributes=l,t.data.morphTargetsRelative=this.morphTargetsRelative);const h=this.groups;h.length>0&&(t.data.groups=JSON.parse(JSON.stringify(h)));const p=this.boundingSphere;return null!==p&&(t.data.boundingSphere={center:p.center.toArray(),radius:p.radius}),t},clone:function(){return(new Gr).copy(this)},copy:function(t){this.index=null,this.attributes={},this.morphAttributes={},this.groups=[],this.boundingBox=null,this.boundingSphere=null;const n={};this.name=t.name;const r=t.index;null!==r&&this.setIndex(r.clone(n));const l=t.attributes;for(const t in l){const r=l[t];this.setAttribute(t,r.clone(n))}const d=t.morphAttributes;for(const t in d){const r=[],l=d[t];for(let t=0,d=l.length;t<d;t++)r.push(l[t].clone(n));this.morphAttributes[t]=r}this.morphTargetsRelative=t.morphTargetsRelative;const h=t.groups;for(let t=0,n=h.length;t<n;t++){const n=h[t];this.addGroup(n.start,n.count,n.materialIndex)}const p=t.boundingBox;null!==p&&(this.boundingBox=p.clone());const f=t.boundingSphere;return null!==f&&(this.boundingSphere=f.clone()),this.drawRange.start=t.drawRange.start,this.drawRange.count=t.drawRange.count,this.userData=t.userData,this},dispose:function(){this.dispatchEvent({type:"dispose"})}});const Wr=new Matrix4,qr=new Ray,Xr=new Sphere,Yr=new Vector3,Zr=new Vector3,Kr=new Vector3,Jr=new Vector3,Qr=new Vector3,eo=new Vector3,to=new Vector3,io=new Vector3,no=new Vector3,ro=new Vector2,oo=new Vector2,ao=new Vector2,so=new Vector3,lo=new Vector3;function co(t=new Gr,n=new wr){Qn.call(this),this.type="Mesh",this.geometry=t,this.material=n,this.updateMorphTargets()}function uo(t,n,r,l,d,h,p,f,m,g,y,v){Yr.fromBufferAttribute(d,g),Zr.fromBufferAttribute(d,y),Kr.fromBufferAttribute(d,v);const b=t.morphTargetInfluences;if(n.morphTargets&&h&&b){to.set(0,0,0),io.set(0,0,0),no.set(0,0,0);for(let t=0,n=h.length;t<n;t++){const n=b[t],r=h[t];0!==n&&(Jr.fromBufferAttribute(r,g),Qr.fromBufferAttribute(r,y),eo.fromBufferAttribute(r,v),p?(to.addScaledVector(Jr,n),io.addScaledVector(Qr,n),no.addScaledVector(eo,n)):(to.addScaledVector(Jr.sub(Yr),n),io.addScaledVector(Qr.sub(Zr),n),no.addScaledVector(eo.sub(Kr),n)))}Yr.add(to),Zr.add(io),Kr.add(no)}t.isSkinnedMesh&&(t.boneTransform(g,Yr),t.boneTransform(y,Zr),t.boneTransform(v,Kr));const x=function(t,n,r,l,d,h,p,f){let m;if(m=n.side===_?l.intersectTriangle(p,h,d,!0,f):l.intersectTriangle(d,h,p,n.side!==E,f),null===m)return null;lo.copy(f),lo.applyMatrix4(t.matrixWorld);const g=r.ray.origin.distanceTo(lo);return g<r.near||g>r.far?null:{distance:g,point:lo.clone(),object:t}}(t,n,r,l,Yr,Zr,Kr,so);if(x){f&&(ro.fromBufferAttribute(f,g),oo.fromBufferAttribute(f,y),ao.fromBufferAttribute(f,v),x.uv=Triangle.getUV(so,Yr,Zr,Kr,ro,oo,ao,new Vector2)),m&&(ro.fromBufferAttribute(m,g),oo.fromBufferAttribute(m,y),ao.fromBufferAttribute(m,v),x.uv2=Triangle.getUV(so,Yr,Zr,Kr,ro,oo,ao,new Vector2));const t=new Face3(g,y,v);Triangle.getNormal(Yr,Zr,Kr,t.normal),x.face=t}return x}co.prototype=Object.assign(Object.create(Qn.prototype),{constructor:co,isMesh:!0,copy:function(t){return Qn.prototype.copy.call(this,t),void 0!==t.morphTargetInfluences&&(this.morphTargetInfluences=t.morphTargetInfluences.slice()),void 0!==t.morphTargetDictionary&&(this.morphTargetDictionary=Object.assign({},t.morphTargetDictionary)),this.material=t.material,this.geometry=t.geometry,this},updateMorphTargets:function(){const t=this.geometry;if(t.isBufferGeometry){const n=t.morphAttributes,r=Object.keys(n);if(r.length>0){const t=n[r[0]];if(void 0!==t){this.morphTargetInfluences=[],this.morphTargetDictionary={};for(let n=0,r=t.length;n<r;n++){const r=t[n].name||String(n);this.morphTargetInfluences.push(0),this.morphTargetDictionary[r]=n}}}}else{const n=t.morphTargets;void 0!==n&&n.length>0&&l.error("THREE.Mesh.updateMorphTargets() no longer supports THREE.Geometry. Use THREE.BufferGeometry instead.")}},raycast:function(t,n){const r=this.geometry,d=this.material,h=this.matrixWorld;if(void 0===d)return;if(null===r.boundingSphere&&r.computeBoundingSphere(),Xr.copy(r.boundingSphere),Xr.applyMatrix4(h),!1===t.ray.intersectsSphere(Xr))return;if(Wr.copy(h).invert(),qr.copy(t.ray).applyMatrix4(Wr),null!==r.boundingBox&&!1===qr.intersectsBox(r.boundingBox))return;let p;if(r.isBufferGeometry){const l=r.index,h=r.attributes.position,f=r.morphAttributes.position,m=r.morphTargetsRelative,g=r.attributes.uv,y=r.attributes.uv2,v=r.groups,b=r.drawRange;if(null!==l)if(Array.isArray(d))for(let r=0,x=v.length;r<x;r++){const x=v[r],w=d[x.materialIndex];for(let r=Math.max(x.start,b.start),d=Math.min(x.start+x.count,b.start+b.count);r<d;r+=3){const d=l.getX(r),v=l.getX(r+1),b=l.getX(r+2);p=uo(this,w,t,qr,h,f,m,g,y,d,v,b),p&&(p.faceIndex=Math.floor(r/3),p.face.materialIndex=x.materialIndex,n.push(p))}}else{for(let r=Math.max(0,b.start),v=Math.min(l.count,b.start+b.count);r<v;r+=3){const v=l.getX(r),b=l.getX(r+1),x=l.getX(r+2);p=uo(this,d,t,qr,h,f,m,g,y,v,b,x),p&&(p.faceIndex=Math.floor(r/3),n.push(p))}}else if(void 0!==h)if(Array.isArray(d))for(let r=0,l=v.length;r<l;r++){const l=v[r],x=d[l.materialIndex];for(let r=Math.max(l.start,b.start),d=Math.min(l.start+l.count,b.start+b.count);r<d;r+=3){p=uo(this,x,t,qr,h,f,m,g,y,r,r+1,r+2),p&&(p.faceIndex=Math.floor(r/3),p.face.materialIndex=l.materialIndex,n.push(p))}}else{for(let r=Math.max(0,b.start),l=Math.min(h.count,b.start+b.count);r<l;r+=3){p=uo(this,d,t,qr,h,f,m,g,y,r,r+1,r+2),p&&(p.faceIndex=Math.floor(r/3),n.push(p))}}}else r.isGeometry&&l.error("THREE.Mesh.raycast() no longer supports THREE.Geometry. Use THREE.BufferGeometry instead.")}});class BoxGeometry extends Gr{constructor(t=1,n=1,r=1,l=1,d=1,h=1){super(),this.type="BoxGeometry",this.parameters={width:t,height:n,depth:r,widthSegments:l,heightSegments:d,depthSegments:h};const p=this;l=Math.floor(l),d=Math.floor(d),h=Math.floor(h);const f=[],m=[],g=[],y=[];let v=0,b=0;function x(t,n,r,l,d,h,x,w,S,_,E){const T=h/S,C=x/_,A=h/2,O=x/2,I=w/2,P=S+1,D=_+1;let F=0,B=0;const $=new Vector3;for(let h=0;h<D;h++){const p=h*C-O;for(let f=0;f<P;f++){const v=f*T-A;$[t]=v*l,$[n]=p*d,$[r]=I,m.push($.x,$.y,$.z),$[t]=0,$[n]=0,$[r]=w>0?1:-1,g.push($.x,$.y,$.z),y.push(f/S),y.push(1-h/_),F+=1}}for(let t=0;t<_;t++)for(let n=0;n<S;n++){const r=v+n+P*t,l=v+n+P*(t+1),d=v+(n+1)+P*(t+1),h=v+(n+1)+P*t;f.push(r,l,h),f.push(l,d,h),B+=6}p.addGroup(b,B,E),b+=B,v+=F}x("z","y","x",-1,-1,r,n,t,h,d,0),x("z","y","x",1,-1,r,n,-t,h,d,1),x("x","z","y",1,1,t,r,n,l,h,2),x("x","z","y",1,-1,t,r,-n,l,h,3),x("x","y","z",1,-1,t,n,r,l,d,4),x("x","y","z",-1,-1,t,n,-r,l,d,5),this.setIndex(f),this.setAttribute("position",new Pr(m,3)),this.setAttribute("normal",new Pr(g,3)),this.setAttribute("uv",new Pr(y,2))}}function ho(t){const n={};for(const r in t){n[r]={};for(const l in t[r]){const d=t[r][l];d&&(d.isColor||d.isMatrix3||d.isMatrix4||d.isVector2||d.isVector3||d.isVector4||d.isTexture)?n[r][l]=d.clone():Array.isArray(d)?n[r][l]=d.slice():n[r][l]=d}}return n}function po(t){const n={};for(let r=0;r<t.length;r++){const l=ho(t[r]);for(const t in l)n[t]=l[t]}return n}const fo={clone:ho,merge:po};var mo="void main() {\n\tgl_Position = projectionMatrix * modelViewMatrix * vec4( position, 1.0 );\n}",go="void main() {\n\tgl_FragColor = vec4( 1.0, 0.0, 0.0, 1.0 );\n}";function yo(t){xr.call(this),this.type="ShaderMaterial",this.defines={},this.uniforms={},this.vertexShader=mo,this.fragmentShader=go,this.linewidth=1,this.wireframe=!1,this.wireframeLinewidth=1,this.fog=!1,this.lights=!1,this.clipping=!1,this.skinning=!1,this.morphTargets=!1,this.morphNormals=!1,this.extensions={derivatives:!1,fragDepth:!1,drawBuffers:!1,shaderTextureLOD:!1},this.defaultAttributeValues={color:[1,1,1],uv:[0,0],uv2:[0,0]},this.index0AttributeName=void 0,this.uniformsNeedUpdate=!1,this.glslVersion=null,void 0!==t&&(void 0!==t.attributes&&l.error("THREE.ShaderMaterial: attributes should now be defined in THREE.BufferGeometry instead."),this.setValues(t))}function vo(){Qn.call(this),this.type="Camera",this.matrixWorldInverse=new Matrix4,this.projectionMatrix=new Matrix4,this.projectionMatrixInverse=new Matrix4}function bo(t=50,n=1,r=.1,l=2e3){vo.call(this),this.type="PerspectiveCamera",this.fov=t,this.zoom=1,this.near=r,this.far=l,this.focus=10,this.aspect=n,this.view=null,this.filmGauge=35,this.filmOffset=0,this.updateProjectionMatrix()}yo.prototype=Object.create(xr.prototype),yo.prototype.constructor=yo,yo.prototype.isShaderMaterial=!0,yo.prototype.copy=function(t){return xr.prototype.copy.call(this,t),this.fragmentShader=t.fragmentShader,this.vertexShader=t.vertexShader,this.uniforms=ho(t.uniforms),this.defines=Object.assign({},t.defines),this.wireframe=t.wireframe,this.wireframeLinewidth=t.wireframeLinewidth,this.lights=t.lights,this.clipping=t.clipping,this.skinning=t.skinning,this.morphTargets=t.morphTargets,this.morphNormals=t.morphNormals,this.extensions=Object.assign({},t.extensions),this.glslVersion=t.glslVersion,this},yo.prototype.toJSON=function(t){const n=xr.prototype.toJSON.call(this,t);n.glslVersion=this.glslVersion,n.uniforms={};for(const r in this.uniforms){const l=this.uniforms[r].value;l&&l.isTexture?n.uniforms[r]={type:"t",value:l.toJSON(t).uuid}:l&&l.isColor?n.uniforms[r]={type:"c",value:l.getHex()}:l&&l.isVector2?n.uniforms[r]={type:"v2",value:l.toArray()}:l&&l.isVector3?n.uniforms[r]={type:"v3",value:l.toArray()}:l&&l.isVector4?n.uniforms[r]={type:"v4",value:l.toArray()}:l&&l.isMatrix3?n.uniforms[r]={type:"m3",value:l.toArray()}:l&&l.isMatrix4?n.uniforms[r]={type:"m4",value:l.toArray()}:n.uniforms[r]={value:l}}Object.keys(this.defines).length>0&&(n.defines=this.defines),n.vertexShader=this.vertexShader,n.fragmentShader=this.fragmentShader;const r={};for(const t in this.extensions)!0===this.extensions[t]&&(r[t]=!0);return Object.keys(r).length>0&&(n.extensions=r),n},vo.prototype=Object.assign(Object.create(Qn.prototype),{constructor:vo,isCamera:!0,copy:function(t,n){return Qn.prototype.copy.call(this,t,n),this.matrixWorldInverse.copy(t.matrixWorldInverse),this.projectionMatrix.copy(t.projectionMatrix),this.projectionMatrixInverse.copy(t.projectionMatrixInverse),this},getWorldDirection:function(t){void 0===t&&(l.warn("THREE.Camera: .getWorldDirection() target is now required"),t=new Vector3),this.updateWorldMatrix(!0,!1);const n=this.matrixWorld.elements;return t.set(-n[8],-n[9],-n[10]).normalize()},updateMatrixWorld:function(t){Qn.prototype.updateMatrixWorld.call(this,t),this.matrixWorldInverse.copy(this.matrixWorld).invert()},updateWorldMatrix:function(t,n){Qn.prototype.updateWorldMatrix.call(this,t,n),this.matrixWorldInverse.copy(this.matrixWorld).invert()},clone:function(){return(new this.constructor).copy(this)}}),bo.prototype=Object.assign(Object.create(vo.prototype),{constructor:bo,isPerspectiveCamera:!0,copy:function(t,n){return vo.prototype.copy.call(this,t,n),this.fov=t.fov,this.zoom=t.zoom,this.near=t.near,this.far=t.far,this.focus=t.focus,this.aspect=t.aspect,this.view=null===t.view?null:Object.assign({},t.view),this.filmGauge=t.filmGauge,this.filmOffset=t.filmOffset,this},setFocalLength:function(t){const n=.5*this.getFilmHeight()/t;this.fov=2*en.RAD2DEG*Math.atan(n),this.updateProjectionMatrix()},getFocalLength:function(){const t=Math.tan(.5*en.DEG2RAD*this.fov);return.5*this.getFilmHeight()/t},getEffectiveFOV:function(){return 2*en.RAD2DEG*Math.atan(Math.tan(.5*en.DEG2RAD*this.fov)/this.zoom)},getFilmWidth:function(){return this.filmGauge*Math.min(this.aspect,1)},getFilmHeight:function(){return this.filmGauge/Math.max(this.aspect,1)},setViewOffset:function(t,n,r,l,d,h){this.aspect=t/n,null===this.view&&(this.view={enabled:!0,fullWidth:1,fullHeight:1,offsetX:0,offsetY:0,width:1,height:1}),this.view.enabled=!0,this.view.fullWidth=t,this.view.fullHeight=n,this.view.offsetX=r,this.view.offsetY=l,this.view.width=d,this.view.height=h,this.updateProjectionMatrix()},clearViewOffset:function(){null!==this.view&&(this.view.enabled=!1),this.updateProjectionMatrix()},updateProjectionMatrix:function(){const t=this.near;let n=t*Math.tan(.5*en.DEG2RAD*this.fov)/this.zoom,r=2*n,l=this.aspect*r,d=-.5*l;const h=this.view;if(null!==this.view&&this.view.enabled){const t=h.fullWidth,p=h.fullHeight;d+=h.offsetX*l/t,n-=h.offsetY*r/p,l*=h.width/t,r*=h.height/p}const p=this.filmOffset;0!==p&&(d+=t*p/this.getFilmWidth()),this.projectionMatrix.makePerspective(d,d+l,n,n-r,t,this.far),this.projectionMatrixInverse.copy(this.projectionMatrix).invert()},toJSON:function(t){const n=Qn.prototype.toJSON.call(this,t);return n.object.fov=this.fov,n.object.zoom=this.zoom,n.object.near=this.near,n.object.far=this.far,n.object.focus=this.focus,n.object.aspect=this.aspect,null!==this.view&&(n.object.view=Object.assign({},this.view)),n.object.filmGauge=this.filmGauge,n.object.filmOffset=this.filmOffset,n}});const xo=90,wo=1;function So(t,n,r){if(Qn.call(this),this.type="CubeCamera",!0!==r.isWebGLCubeRenderTarget)return void l.error("THREE.CubeCamera: The constructor now expects an instance of WebGLCubeRenderTarget as third parameter.");this.renderTarget=r;const d=new bo(xo,wo,t,n);d.layers=this.layers,d.up.set(0,-1,0),d.lookAt(new Vector3(1,0,0)),this.add(d);const h=new bo(xo,wo,t,n);h.layers=this.layers,h.up.set(0,-1,0),h.lookAt(new Vector3(-1,0,0)),this.add(h);const p=new bo(xo,wo,t,n);p.layers=this.layers,p.up.set(0,0,1),p.lookAt(new Vector3(0,1,0)),this.add(p);const f=new bo(xo,wo,t,n);f.layers=this.layers,f.up.set(0,0,-1),f.lookAt(new Vector3(0,-1,0)),this.add(f);const m=new bo(xo,wo,t,n);m.layers=this.layers,m.up.set(0,-1,0),m.lookAt(new Vector3(0,0,1)),this.add(m);const g=new bo(xo,wo,t,n);g.layers=this.layers,g.up.set(0,-1,0),g.lookAt(new Vector3(0,0,-1)),this.add(g),this.update=function(t,n){null===this.parent&&this.updateMatrixWorld();const l=t.xr.enabled,y=t.getRenderTarget();t.xr.enabled=!1;const v=r.texture.generateMipmaps;r.texture.generateMipmaps=!1,t.setRenderTarget(r,0),t.render(n,d),t.setRenderTarget(r,1),t.render(n,h),t.setRenderTarget(r,2),t.render(n,p),t.setRenderTarget(r,3),t.render(n,f),t.setRenderTarget(r,4),t.render(n,m),r.texture.generateMipmaps=v,t.setRenderTarget(r,5),t.render(n,g),t.setRenderTarget(y),t.xr.enabled=l}}function _o(t,n,r,l,d,h,p,f,m,g){t=void 0!==t?t:[],n=void 0!==n?n:we,p=void 0!==p?p:Qe,on.call(this,t,n,r,l,d,h,p,f,m,g),this.flipY=!1,this._needsFlipEnvMap=!0}So.prototype=Object.create(Qn.prototype),So.prototype.constructor=So,_o.prototype=Object.create(on.prototype),_o.prototype.constructor=_o,_o.prototype.isCubeTexture=!0,Object.defineProperty(_o.prototype,"images",{get:function(){return this.image},set:function(t){this.image=t}});class WebGLCubeRenderTarget extends WebGLRenderTarget{constructor(t,n,r){Number.isInteger(n)&&(l.warn("THREE.WebGLCubeRenderTarget: constructor signature is now WebGLCubeRenderTarget( size, options )"),n=r),super(t,t,n),Object.defineProperty(this,"isWebGLCubeRenderTarget",{value:!0}),n=n||{},this.texture=new _o(void 0,n.mapping,n.wrapS,n.wrapT,n.magFilter,n.minFilter,n.format,n.type,n.anisotropy,n.encoding),this.texture._needsFlipEnvMap=!1}fromEquirectangularTexture(t,n){this.texture.type=n.type,this.texture.format=et,this.texture.encoding=n.encoding,this.texture.generateMipmaps=n.generateMipmaps,this.texture.minFilter=n.minFilter,this.texture.magFilter=n.magFilter;const r={uniforms:{tEquirect:{value:null}},vertexShader:"\n\n\t\t\t\tvarying vec3 vWorldDirection;\n\n\t\t\t\tvec3 transformDirection( in vec3 dir, in mat4 matrix ) {\n\n\t\t\t\t\treturn normalize( ( matrix * vec4( dir, 0.0 ) ).xyz );\n\n\t\t\t\t}\n\n\t\t\t\tvoid main() {\n\n\t\t\t\t\tvWorldDirection = transformDirection( position, modelMatrix );\n\n\t\t\t\t\t#include <begin_vertex>\n\t\t\t\t\t#include <project_vertex>\n\n\t\t\t\t}\n\t\t\t",fragmentShader:"\n\n\t\t\t\tuniform sampler2D tEquirect;\n\n\t\t\t\tvarying vec3 vWorldDirection;\n\n\t\t\t\t#include <common>\n\n\t\t\t\tvoid main() {\n\n\t\t\t\t\tvec3 direction = normalize( vWorldDirection );\n\n\t\t\t\t\tvec2 sampleUV = equirectUv( direction );\n\n\t\t\t\t\tgl_FragColor = texture2D( tEquirect, sampleUV );\n\n\t\t\t\t}\n\t\t\t"},l=new BoxGeometry(5,5,5),d=new yo({name:"CubemapFromEquirect",uniforms:ho(r.uniforms),vertexShader:r.vertexShader,fragmentShader:r.fragmentShader,side:_,blending:A});d.uniforms.tEquirect.value=n;const h=new co(l,d),p=n.minFilter;n.minFilter===Be&&(n.minFilter=De);return new So(1,10,this).update(t,h),n.minFilter=p,h.geometry.dispose(),h.material.dispose(),this}clear(t,n,r,l){const d=t.getRenderTarget();for(let d=0;d<6;d++)t.setRenderTarget(this,d),t.clear(n,r,l);t.setRenderTarget(d)}}function Eo(t,n,r,l,d,h,p,f,m,g,y,v){on.call(this,null,h,p,f,m,g,l,d,y,v),this.image={data:t||null,width:n||1,height:r||1},this.magFilter=void 0!==m?m:Oe,this.minFilter=void 0!==g?g:Oe,this.generateMipmaps=!1,this.flipY=!1,this.unpackAlignment=1,this.needsUpdate=!0}Eo.prototype=Object.create(on.prototype),Eo.prototype.constructor=Eo,Eo.prototype.isDataTexture=!0;const Mo=new Sphere,To=new Vector3;class Frustum{constructor(t,n,r,l,d,h){this.planes=[void 0!==t?t:new Plane,void 0!==n?n:new Plane,void 0!==r?r:new Plane,void 0!==l?l:new Plane,void 0!==d?d:new Plane,void 0!==h?h:new Plane]}set(t,n,r,l,d,h){const p=this.planes;return p[0].copy(t),p[1].copy(n),p[2].copy(r),p[3].copy(l),p[4].copy(d),p[5].copy(h),this}clone(){return(new this.constructor).copy(this)}copy(t){const n=this.planes;for(let r=0;r<6;r++)n[r].copy(t.planes[r]);return this}setFromProjectionMatrix(t){const n=this.planes,r=t.elements,l=r[0],d=r[1],h=r[2],p=r[3],f=r[4],m=r[5],g=r[6],y=r[7],v=r[8],b=r[9],x=r[10],w=r[11],S=r[12],_=r[13],E=r[14],T=r[15];return n[0].setComponents(p-l,y-f,w-v,T-S).normalize(),n[1].setComponents(p+l,y+f,w+v,T+S).normalize(),n[2].setComponents(p+d,y+m,w+b,T+_).normalize(),n[3].setComponents(p-d,y-m,w-b,T-_).normalize(),n[4].setComponents(p-h,y-g,w-x,T-E).normalize(),n[5].setComponents(p+h,y+g,w+x,T+E).normalize(),this}intersectsObject(t){const n=t.geometry;return null===n.boundingSphere&&n.computeBoundingSphere(),Mo.copy(n.boundingSphere).applyMatrix4(t.matrixWorld),this.intersectsSphere(Mo)}intersectsSprite(t){return Mo.center.set(0,0,0),Mo.radius=.7071067811865476,Mo.applyMatrix4(t.matrixWorld),this.intersectsSphere(Mo)}intersectsSphere(t){const n=this.planes,r=t.center,l=-t.radius;for(let t=0;t<6;t++){if(n[t].distanceToPoint(r)<l)return!1}return!0}intersectsBox(t){const n=this.planes;for(let r=0;r<6;r++){const l=n[r];if(To.x=l.normal.x>0?t.max.x:t.min.x,To.y=l.normal.y>0?t.max.y:t.min.y,To.z=l.normal.z>0?t.max.z:t.min.z,l.distanceToPoint(To)<0)return!1}return!0}containsPoint(t){const n=this.planes;for(let r=0;r<6;r++)if(n[r].distanceToPoint(t)<0)return!1;return!0}}function Co(){let t=null,n=!1,r=null,l=null;function d(n,h){r(n,h),l=t.requestAnimationFrame(d)}return{start:function(){!0!==n&&null!==r&&(l=t.requestAnimationFrame(d),n=!0)},stop:function(){t.cancelAnimationFrame(l),n=!1},setAnimationLoop:function(t){r=t},setContext:function(n){t=n}}}function Ao(t,n){const r=n.isWebGL2,d=new WeakMap;return{get:function(t){return t.isInterleavedBufferAttribute&&(t=t.data),d.get(t)},remove:function(n){n.isInterleavedBufferAttribute&&(n=n.data);const r=d.get(n);r&&(t.deleteBuffer(r.buffer),d.delete(n))},update:function(n,h){if(n.isGLBufferAttribute){const t=d.get(n);return void((!t||t.version<n.version)&&d.set(n,{buffer:n.buffer,type:n.type,bytesPerElement:n.elementSize,version:n.version}))}n.isInterleavedBufferAttribute&&(n=n.data);const p=d.get(n);void 0===p?d.set(n,function(n,d){const h=n.array,p=n.usage,f=t.createBuffer();t.bindBuffer(d,f),t.bufferData(d,h,p),n.onUploadCallback();let m=5126;return h instanceof Float32Array?m=5126:h instanceof Float64Array?l.warn("THREE.WebGLAttributes: Unsupported data buffer format: Float64Array."):h instanceof Uint16Array?n.isFloat16BufferAttribute?r?m=5131:l.warn("THREE.WebGLAttributes: Usage of Float16BufferAttribute requires WebGL2."):m=5123:h instanceof Int16Array?m=5122:h instanceof Uint32Array?m=5125:h instanceof Int32Array?m=5124:h instanceof Int8Array?m=5120:h instanceof Uint8Array&&(m=5121),{buffer:f,type:m,bytesPerElement:h.BYTES_PER_ELEMENT,version:n.version}}(n,h)):p.version<n.version&&(!function(n,l,d){const h=l.array,p=l.updateRange;t.bindBuffer(d,n),-1===p.count?t.bufferSubData(d,0,h):(r?t.bufferSubData(d,p.offset*h.BYTES_PER_ELEMENT,h,p.offset,p.count):t.bufferSubData(d,p.offset*h.BYTES_PER_ELEMENT,h.subarray(p.offset,p.offset+p.count)),p.count=-1)}(p.buffer,n,h),p.version=n.version)}}}class PlaneGeometry extends Gr{constructor(t=1,n=1,r=1,l=1){super(),this.type="PlaneGeometry",this.parameters={width:t,height:n,widthSegments:r,heightSegments:l};const d=t/2,h=n/2,p=Math.floor(r),f=Math.floor(l),m=p+1,g=f+1,y=t/p,v=n/f,b=[],x=[],w=[],S=[];for(let t=0;t<g;t++){const n=t*v-h;for(let r=0;r<m;r++){const l=r*y-d;x.push(l,-n,0),w.push(0,0,1),S.push(r/p),S.push(1-t/f)}}for(let t=0;t<f;t++)for(let n=0;n<p;n++){const r=n+m*t,l=n+m*(t+1),d=n+1+m*(t+1),h=n+1+m*t;b.push(r,l,h),b.push(l,d,h)}this.setIndex(b),this.setAttribute("position",new Pr(x,3)),this.setAttribute("normal",new Pr(w,3)),this.setAttribute("uv",new Pr(S,2))}}const ko={alphamap_fragment:"#ifdef USE_ALPHAMAP\n\tdiffuseColor.a *= texture2D( alphaMap, vUv ).g;\n#endif",alphamap_pars_fragment:"#ifdef USE_ALPHAMAP\n\tuniform sampler2D alphaMap;\n#endif",alphatest_fragment:"#ifdef ALPHATEST\n\tif ( diffuseColor.a < ALPHATEST ) discard;\n#endif",aomap_fragment:"#ifdef USE_AOMAP\n\tfloat ambientOcclusion = ( texture2D( aoMap, vUv2 ).r - 1.0 ) * aoMapIntensity + 1.0;\n\treflectedLight.indirectDiffuse *= ambientOcclusion;\n\t#if defined( USE_ENVMAP ) && defined( STANDARD )\n\t\tfloat dotNV = saturate( dot( geometry.normal, geometry.viewDir ) );\n\t\treflectedLight.indirectSpecular *= computeSpecularOcclusion( dotNV, ambientOcclusion, material.specularRoughness );\n\t#endif\n#endif",aomap_pars_fragment:"#ifdef USE_AOMAP\n\tuniform sampler2D aoMap;\n\tuniform float aoMapIntensity;\n#endif",begin_vertex:"vec3 transformed = vec3( position );",beginnormal_vertex:"vec3 objectNormal = vec3( normal );\n#ifdef USE_TANGENT\n\tvec3 objectTangent = vec3( tangent.xyz );\n#endif",bsdfs:"vec2 integrateSpecularBRDF( const in float dotNV, const in float roughness ) {\n\tconst vec4 c0 = vec4( - 1, - 0.0275, - 0.572, 0.022 );\n\tconst vec4 c1 = vec4( 1, 0.0425, 1.04, - 0.04 );\n\tvec4 r = roughness * c0 + c1;\n\tfloat a004 = min( r.x * r.x, exp2( - 9.28 * dotNV ) ) * r.x + r.y;\n\treturn vec2( -1.04, 1.04 ) * a004 + r.zw;\n}\nfloat punctualLightIntensityToIrradianceFactor( const in float lightDistance, const in float cutoffDistance, const in float decayExponent ) {\n#if defined ( PHYSICALLY_CORRECT_LIGHTS )\n\tfloat distanceFalloff = 1.0 / max( pow( lightDistance, decayExponent ), 0.01 );\n\tif( cutoffDistance > 0.0 ) {\n\t\tdistanceFalloff *= pow2( saturate( 1.0 - pow4( lightDistance / cutoffDistance ) ) );\n\t}\n\treturn distanceFalloff;\n#else\n\tif( cutoffDistance > 0.0 && decayExponent > 0.0 ) {\n\t\treturn pow( saturate( -lightDistance / cutoffDistance + 1.0 ), decayExponent );\n\t}\n\treturn 1.0;\n#endif\n}\nvec3 BRDF_Diffuse_Lambert( const in vec3 diffuseColor ) {\n\treturn RECIPROCAL_PI * diffuseColor;\n}\nvec3 F_Schlick( const in vec3 specularColor, const in float dotLH ) {\n\tfloat fresnel = exp2( ( -5.55473 * dotLH - 6.98316 ) * dotLH );\n\treturn ( 1.0 - specularColor ) * fresnel + specularColor;\n}\nvec3 F_Schlick_RoughnessDependent( const in vec3 F0, const in float dotNV, const in float roughness ) {\n\tfloat fresnel = exp2( ( -5.55473 * dotNV - 6.98316 ) * dotNV );\n\tvec3 Fr = max( vec3( 1.0 - roughness ), F0 ) - F0;\n\treturn Fr * fresnel + F0;\n}\nfloat G_GGX_Smith( const in float alpha, const in float dotNL, const in float dotNV ) {\n\tfloat a2 = pow2( alpha );\n\tfloat gl = dotNL + sqrt( a2 + ( 1.0 - a2 ) * pow2( dotNL ) );\n\tfloat gv = dotNV + sqrt( a2 + ( 1.0 - a2 ) * pow2( dotNV ) );\n\treturn 1.0 / ( gl * gv );\n}\nfloat G_GGX_SmithCorrelated( const in float alpha, const in float dotNL, const in float dotNV ) {\n\tfloat a2 = pow2( alpha );\n\tfloat gv = dotNL * sqrt( a2 + ( 1.0 - a2 ) * pow2( dotNV ) );\n\tfloat gl = dotNV * sqrt( a2 + ( 1.0 - a2 ) * pow2( dotNL ) );\n\treturn 0.5 / max( gv + gl, EPSILON );\n}\nfloat D_GGX( const in float alpha, const in float dotNH ) {\n\tfloat a2 = pow2( alpha );\n\tfloat denom = pow2( dotNH ) * ( a2 - 1.0 ) + 1.0;\n\treturn RECIPROCAL_PI * a2 / pow2( denom );\n}\nvec3 BRDF_Specular_GGX( const in IncidentLight incidentLight, const in vec3 viewDir, const in vec3 normal, const in vec3 specularColor, const in float roughness ) {\n\tfloat alpha = pow2( roughness );\n\tvec3 halfDir = normalize( incidentLight.direction + viewDir );\n\tfloat dotNL = saturate( dot( normal, incidentLight.direction ) );\n\tfloat dotNV = saturate( dot( normal, viewDir ) );\n\tfloat dotNH = saturate( dot( normal, halfDir ) );\n\tfloat dotLH = saturate( dot( incidentLight.direction, halfDir ) );\n\tvec3 F = F_Schlick( specularColor, dotLH );\n\tfloat G = G_GGX_SmithCorrelated( alpha, dotNL, dotNV );\n\tfloat D = D_GGX( alpha, dotNH );\n\treturn F * ( G * D );\n}\nvec2 LTC_Uv( const in vec3 N, const in vec3 V, const in float roughness ) {\n\tconst float LUT_SIZE = 64.0;\n\tconst float LUT_SCALE = ( LUT_SIZE - 1.0 ) / LUT_SIZE;\n\tconst float LUT_BIAS = 0.5 / LUT_SIZE;\n\tfloat dotNV = saturate( dot( N, V ) );\n\tvec2 uv = vec2( roughness, sqrt( 1.0 - dotNV ) );\n\tuv = uv * LUT_SCALE + LUT_BIAS;\n\treturn uv;\n}\nfloat LTC_ClippedSphereFormFactor( const in vec3 f ) {\n\tfloat l = length( f );\n\treturn max( ( l * l + f.z ) / ( l + 1.0 ), 0.0 );\n}\nvec3 LTC_EdgeVectorFormFactor( const in vec3 v1, const in vec3 v2 ) {\n\tfloat x = dot( v1, v2 );\n\tfloat y = abs( x );\n\tfloat a = 0.8543985 + ( 0.4965155 + 0.0145206 * y ) * y;\n\tfloat b = 3.4175940 + ( 4.1616724 + y ) * y;\n\tfloat v = a / b;\n\tfloat theta_sintheta = ( x > 0.0 ) ? v : 0.5 * inversesqrt( max( 1.0 - x * x, 1e-7 ) ) - v;\n\treturn cross( v1, v2 ) * theta_sintheta;\n}\nvec3 LTC_Evaluate( const in vec3 N, const in vec3 V, const in vec3 P, const in mat3 mInv, const in vec3 rectCoords[ 4 ] ) {\n\tvec3 v1 = rectCoords[ 1 ] - rectCoords[ 0 ];\n\tvec3 v2 = rectCoords[ 3 ] - rectCoords[ 0 ];\n\tvec3 lightNormal = cross( v1, v2 );\n\tif( dot( lightNormal, P - rectCoords[ 0 ] ) < 0.0 ) return vec3( 0.0 );\n\tvec3 T1, T2;\n\tT1 = normalize( V - N * dot( V, N ) );\n\tT2 = - cross( N, T1 );\n\tmat3 mat = mInv * transposeMat3( mat3( T1, T2, N ) );\n\tvec3 coords[ 4 ];\n\tcoords[ 0 ] = mat * ( rectCoords[ 0 ] - P );\n\tcoords[ 1 ] = mat * ( rectCoords[ 1 ] - P );\n\tcoords[ 2 ] = mat * ( rectCoords[ 2 ] - P );\n\tcoords[ 3 ] = mat * ( rectCoords[ 3 ] - P );\n\tcoords[ 0 ] = normalize( coords[ 0 ] );\n\tcoords[ 1 ] = normalize( coords[ 1 ] );\n\tcoords[ 2 ] = normalize( coords[ 2 ] );\n\tcoords[ 3 ] = normalize( coords[ 3 ] );\n\tvec3 vectorFormFactor = vec3( 0.0 );\n\tvectorFormFactor += LTC_EdgeVectorFormFactor( coords[ 0 ], coords[ 1 ] );\n\tvectorFormFactor += LTC_EdgeVectorFormFactor( coords[ 1 ], coords[ 2 ] );\n\tvectorFormFactor += LTC_EdgeVectorFormFactor( coords[ 2 ], coords[ 3 ] );\n\tvectorFormFactor += LTC_EdgeVectorFormFactor( coords[ 3 ], coords[ 0 ] );\n\tfloat result = LTC_ClippedSphereFormFactor( vectorFormFactor );\n\treturn vec3( result );\n}\nvec3 BRDF_Specular_GGX_Environment( const in vec3 viewDir, const in vec3 normal, const in vec3 specularColor, const in float roughness ) {\n\tfloat dotNV = saturate( dot( normal, viewDir ) );\n\tvec2 brdf = integrateSpecularBRDF( dotNV, roughness );\n\treturn specularColor * brdf.x + brdf.y;\n}\nvoid BRDF_Specular_Multiscattering_Environment( const in GeometricContext geometry, const in vec3 specularColor, const in float roughness, inout vec3 singleScatter, inout vec3 multiScatter ) {\n\tfloat dotNV = saturate( dot( geometry.normal, geometry.viewDir ) );\n\tvec3 F = F_Schlick_RoughnessDependent( specularColor, dotNV, roughness );\n\tvec2 brdf = integrateSpecularBRDF( dotNV, roughness );\n\tvec3 FssEss = F * brdf.x + brdf.y;\n\tfloat Ess = brdf.x + brdf.y;\n\tfloat Ems = 1.0 - Ess;\n\tvec3 Favg = specularColor + ( 1.0 - specularColor ) * 0.047619;\tvec3 Fms = FssEss * Favg / ( 1.0 - Ems * Favg );\n\tsingleScatter += FssEss;\n\tmultiScatter += Fms * Ems;\n}\nfloat G_BlinnPhong_Implicit( ) {\n\treturn 0.25;\n}\nfloat D_BlinnPhong( const in float shininess, const in float dotNH ) {\n\treturn RECIPROCAL_PI * ( shininess * 0.5 + 1.0 ) * pow( dotNH, shininess );\n}\nvec3 BRDF_Specular_BlinnPhong( const in IncidentLight incidentLight, const in GeometricContext geometry, const in vec3 specularColor, const in float shininess ) {\n\tvec3 halfDir = normalize( incidentLight.direction + geometry.viewDir );\n\tfloat dotNH = saturate( dot( geometry.normal, halfDir ) );\n\tfloat dotLH = saturate( dot( incidentLight.direction, halfDir ) );\n\tvec3 F = F_Schlick( specularColor, dotLH );\n\tfloat G = G_BlinnPhong_Implicit( );\n\tfloat D = D_BlinnPhong( shininess, dotNH );\n\treturn F * ( G * D );\n}\nfloat GGXRoughnessToBlinnExponent( const in float ggxRoughness ) {\n\treturn ( 2.0 / pow2( ggxRoughness + 0.0001 ) - 2.0 );\n}\nfloat BlinnExponentToGGXRoughness( const in float blinnExponent ) {\n\treturn sqrt( 2.0 / ( blinnExponent + 2.0 ) );\n}\n#if defined( USE_SHEEN )\nfloat D_Charlie(float roughness, float NoH) {\n\tfloat invAlpha = 1.0 / roughness;\n\tfloat cos2h = NoH * NoH;\n\tfloat sin2h = max(1.0 - cos2h, 0.0078125);\treturn (2.0 + invAlpha) * pow(sin2h, invAlpha * 0.5) / (2.0 * PI);\n}\nfloat V_Neubelt(float NoV, float NoL) {\n\treturn saturate(1.0 / (4.0 * (NoL + NoV - NoL * NoV)));\n}\nvec3 BRDF_Specular_Sheen( const in float roughness, const in vec3 L, const in GeometricContext geometry, vec3 specularColor ) {\n\tvec3 N = geometry.normal;\n\tvec3 V = geometry.viewDir;\n\tvec3 H = normalize( V + L );\n\tfloat dotNH = saturate( dot( N, H ) );\n\treturn specularColor * D_Charlie( roughness, dotNH ) * V_Neubelt( dot(N, V), dot(N, L) );\n}\n#endif",bumpmap_pars_fragment:"#ifdef USE_BUMPMAP\n\tuniform sampler2D bumpMap;\n\tuniform float bumpScale;\n\tvec2 dHdxy_fwd() {\n\t\tvec2 dSTdx = dFdx( vUv );\n\t\tvec2 dSTdy = dFdy( vUv );\n\t\tfloat Hll = bumpScale * texture2D( bumpMap, vUv ).x;\n\t\tfloat dBx = bumpScale * texture2D( bumpMap, vUv + dSTdx ).x - Hll;\n\t\tfloat dBy = bumpScale * texture2D( bumpMap, vUv + dSTdy ).x - Hll;\n\t\treturn vec2( dBx, dBy );\n\t}\n\tvec3 perturbNormalArb( vec3 surf_pos, vec3 surf_norm, vec2 dHdxy ) {\n\t\tvec3 vSigmaX = vec3( dFdx( surf_pos.x ), dFdx( surf_pos.y ), dFdx( surf_pos.z ) );\n\t\tvec3 vSigmaY = vec3( dFdy( surf_pos.x ), dFdy( surf_pos.y ), dFdy( surf_pos.z ) );\n\t\tvec3 vN = surf_norm;\n\t\tvec3 R1 = cross( vSigmaY, vN );\n\t\tvec3 R2 = cross( vN, vSigmaX );\n\t\tfloat fDet = dot( vSigmaX, R1 );\n\t\tfDet *= ( float( gl_FrontFacing ) * 2.0 - 1.0 );\n\t\tvec3 vGrad = sign( fDet ) * ( dHdxy.x * R1 + dHdxy.y * R2 );\n\t\treturn normalize( abs( fDet ) * surf_norm - vGrad );\n\t}\n#endif",clipping_planes_fragment:"#if NUM_CLIPPING_PLANES > 0\n\tvec4 plane;\n\t#pragma unroll_loop_start\n\tfor ( int i = 0; i < UNION_CLIPPING_PLANES; i ++ ) {\n\t\tplane = clippingPlanes[ i ];\n\t\tif ( dot( vClipPosition, plane.xyz ) > plane.w ) discard;\n\t}\n\t#pragma unroll_loop_end\n\t#if UNION_CLIPPING_PLANES < NUM_CLIPPING_PLANES\n\t\tbool clipped = true;\n\t\t#pragma unroll_loop_start\n\t\tfor ( int i = UNION_CLIPPING_PLANES; i < NUM_CLIPPING_PLANES; i ++ ) {\n\t\t\tplane = clippingPlanes[ i ];\n\t\t\tclipped = ( dot( vClipPosition, plane.xyz ) > plane.w ) && clipped;\n\t\t}\n\t\t#pragma unroll_loop_end\n\t\tif ( clipped ) discard;\n\t#endif\n#endif",clipping_planes_pars_fragment:"#if NUM_CLIPPING_PLANES > 0\n\tvarying vec3 vClipPosition;\n\tuniform vec4 clippingPlanes[ NUM_CLIPPING_PLANES ];\n#endif",clipping_planes_pars_vertex:"#if NUM_CLIPPING_PLANES > 0\n\tvarying vec3 vClipPosition;\n#endif",clipping_planes_vertex:"#if NUM_CLIPPING_PLANES > 0\n\tvClipPosition = - mvPosition.xyz;\n#endif",color_fragment:"#ifdef USE_COLOR\n\tdiffuseColor.rgb *= vColor;\n#endif",color_pars_fragment:"#ifdef USE_COLOR\n\tvarying vec3 vColor;\n#endif",color_pars_vertex:"#if defined( USE_COLOR ) || defined( USE_INSTANCING_COLOR )\n\tvarying vec3 vColor;\n#endif",color_vertex:"#if defined( USE_COLOR ) || defined( USE_INSTANCING_COLOR )\n\tvColor = vec3( 1.0 );\n#endif\n#ifdef USE_COLOR\n\tvColor.xyz *= color.xyz;\n#endif\n#ifdef USE_INSTANCING_COLOR\n\tvColor.xyz *= instanceColor.xyz;\n#endif",common:"#define PI 3.141592653589793\n#define PI2 6.283185307179586\n#define PI_HALF 1.5707963267948966\n#define RECIPROCAL_PI 0.3183098861837907\n#define RECIPROCAL_PI2 0.15915494309189535\n#define EPSILON 1e-6\n#ifndef saturate\n#define saturate(a) clamp( a, 0.0, 1.0 )\n#endif\n#define whiteComplement(a) ( 1.0 - saturate( a ) )\nfloat pow2( const in float x ) { return x*x; }\nfloat pow3( const in float x ) { return x*x*x; }\nfloat pow4( const in float x ) { float x2 = x*x; return x2*x2; }\nfloat average( const in vec3 color ) { return dot( color, vec3( 0.3333 ) ); }\nhighp float rand( const in vec2 uv ) {\n\tconst highp float a = 12.9898, b = 78.233, c = 43758.5453;\n\thighp float dt = dot( uv.xy, vec2( a,b ) ), sn = mod( dt, PI );\n\treturn fract(sin(sn) * c);\n}\n#ifdef HIGH_PRECISION\n\tfloat precisionSafeLength( vec3 v ) { return length( v ); }\n#else\n\tfloat max3( vec3 v ) { return max( max( v.x, v.y ), v.z ); }\n\tfloat precisionSafeLength( vec3 v ) {\n\t\tfloat maxComponent = max3( abs( v ) );\n\t\treturn length( v / maxComponent ) * maxComponent;\n\t}\n#endif\nstruct IncidentLight {\n\tvec3 color;\n\tvec3 direction;\n\tbool visible;\n};\nstruct ReflectedLight {\n\tvec3 directDiffuse;\n\tvec3 directSpecular;\n\tvec3 indirectDiffuse;\n\tvec3 indirectSpecular;\n};\nstruct GeometricContext {\n\tvec3 position;\n\tvec3 normal;\n\tvec3 viewDir;\n#ifdef CLEARCOAT\n\tvec3 clearcoatNormal;\n#endif\n};\nvec3 transformDirection( in vec3 dir, in mat4 matrix ) {\n\treturn normalize( ( matrix * vec4( dir, 0.0 ) ).xyz );\n}\nvec3 inverseTransformDirection( in vec3 dir, in mat4 matrix ) {\n\treturn normalize( ( vec4( dir, 0.0 ) * matrix ).xyz );\n}\nvec3 projectOnPlane(in vec3 point, in vec3 pointOnPlane, in vec3 planeNormal ) {\n\tfloat distance = dot( planeNormal, point - pointOnPlane );\n\treturn - distance * planeNormal + point;\n}\nfloat sideOfPlane( in vec3 point, in vec3 pointOnPlane, in vec3 planeNormal ) {\n\treturn sign( dot( point - pointOnPlane, planeNormal ) );\n}\nvec3 linePlaneIntersect( in vec3 pointOnLine, in vec3 lineDirection, in vec3 pointOnPlane, in vec3 planeNormal ) {\n\treturn lineDirection * ( dot( planeNormal, pointOnPlane - pointOnLine ) / dot( planeNormal, lineDirection ) ) + pointOnLine;\n}\nmat3 transposeMat3( const in mat3 m ) {\n\tmat3 tmp;\n\ttmp[ 0 ] = vec3( m[ 0 ].x, m[ 1 ].x, m[ 2 ].x );\n\ttmp[ 1 ] = vec3( m[ 0 ].y, m[ 1 ].y, m[ 2 ].y );\n\ttmp[ 2 ] = vec3( m[ 0 ].z, m[ 1 ].z, m[ 2 ].z );\n\treturn tmp;\n}\nfloat linearToRelativeLuminance( const in vec3 color ) {\n\tvec3 weights = vec3( 0.2126, 0.7152, 0.0722 );\n\treturn dot( weights, color.rgb );\n}\nbool isPerspectiveMatrix( mat4 m ) {\n\treturn m[ 2 ][ 3 ] == - 1.0;\n}\nvec2 equirectUv( in vec3 dir ) {\n\tfloat u = atan( dir.z, dir.x ) * RECIPROCAL_PI2 + 0.5;\n\tfloat v = asin( clamp( dir.y, - 1.0, 1.0 ) ) * RECIPROCAL_PI + 0.5;\n\treturn vec2( u, v );\n}",cube_uv_reflection_fragment:"#ifdef ENVMAP_TYPE_CUBE_UV\n\t#define cubeUV_maxMipLevel 8.0\n\t#define cubeUV_minMipLevel 4.0\n\t#define cubeUV_maxTileSize 256.0\n\t#define cubeUV_minTileSize 16.0\n\tfloat getFace( vec3 direction ) {\n\t\tvec3 absDirection = abs( direction );\n\t\tfloat face = - 1.0;\n\t\tif ( absDirection.x > absDirection.z ) {\n\t\t\tif ( absDirection.x > absDirection.y )\n\t\t\t\tface = direction.x > 0.0 ? 0.0 : 3.0;\n\t\t\telse\n\t\t\t\tface = direction.y > 0.0 ? 1.0 : 4.0;\n\t\t} else {\n\t\t\tif ( absDirection.z > absDirection.y )\n\t\t\t\tface = direction.z > 0.0 ? 2.0 : 5.0;\n\t\t\telse\n\t\t\t\tface = direction.y > 0.0 ? 1.0 : 4.0;\n\t\t}\n\t\treturn face;\n\t}\n\tvec2 getUV( vec3 direction, float face ) {\n\t\tvec2 uv;\n\t\tif ( face == 0.0 ) {\n\t\t\tuv = vec2( direction.z, direction.y ) / abs( direction.x );\n\t\t} else if ( face == 1.0 ) {\n\t\t\tuv = vec2( - direction.x, - direction.z ) / abs( direction.y );\n\t\t} else if ( face == 2.0 ) {\n\t\t\tuv = vec2( - direction.x, direction.y ) / abs( direction.z );\n\t\t} else if ( face == 3.0 ) {\n\t\t\tuv = vec2( - direction.z, direction.y ) / abs( direction.x );\n\t\t} else if ( face == 4.0 ) {\n\t\t\tuv = vec2( - direction.x, direction.z ) / abs( direction.y );\n\t\t} else {\n\t\t\tuv = vec2( direction.x, direction.y ) / abs( direction.z );\n\t\t}\n\t\treturn 0.5 * ( uv + 1.0 );\n\t}\n\tvec3 bilinearCubeUV( sampler2D envMap, vec3 direction, float mipInt ) {\n\t\tfloat face = getFace( direction );\n\t\tfloat filterInt = max( cubeUV_minMipLevel - mipInt, 0.0 );\n\t\tmipInt = max( mipInt, cubeUV_minMipLevel );\n\t\tfloat faceSize = exp2( mipInt );\n\t\tfloat texelSize = 1.0 / ( 3.0 * cubeUV_maxTileSize );\n\t\tvec2 uv = getUV( direction, face ) * ( faceSize - 1.0 );\n\t\tvec2 f = fract( uv );\n\t\tuv += 0.5 - f;\n\t\tif ( face > 2.0 ) {\n\t\t\tuv.y += faceSize;\n\t\t\tface -= 3.0;\n\t\t}\n\t\tuv.x += face * faceSize;\n\t\tif ( mipInt < cubeUV_maxMipLevel ) {\n\t\t\tuv.y += 2.0 * cubeUV_maxTileSize;\n\t\t}\n\t\tuv.y += filterInt * 2.0 * cubeUV_minTileSize;\n\t\tuv.x += 3.0 * max( 0.0, cubeUV_maxTileSize - 2.0 * faceSize );\n\t\tuv *= texelSize;\n\t\tvec3 tl = envMapTexelToLinear( texture2D( envMap, uv ) ).rgb;\n\t\tuv.x += texelSize;\n\t\tvec3 tr = envMapTexelToLinear( texture2D( envMap, uv ) ).rgb;\n\t\tuv.y += texelSize;\n\t\tvec3 br = envMapTexelToLinear( texture2D( envMap, uv ) ).rgb;\n\t\tuv.x -= texelSize;\n\t\tvec3 bl = envMapTexelToLinear( texture2D( envMap, uv ) ).rgb;\n\t\tvec3 tm = mix( tl, tr, f.x );\n\t\tvec3 bm = mix( bl, br, f.x );\n\t\treturn mix( tm, bm, f.y );\n\t}\n\t#define r0 1.0\n\t#define v0 0.339\n\t#define m0 - 2.0\n\t#define r1 0.8\n\t#define v1 0.276\n\t#define m1 - 1.0\n\t#define r4 0.4\n\t#define v4 0.046\n\t#define m4 2.0\n\t#define r5 0.305\n\t#define v5 0.016\n\t#define m5 3.0\n\t#define r6 0.21\n\t#define v6 0.0038\n\t#define m6 4.0\n\tfloat roughnessToMip( float roughness ) {\n\t\tfloat mip = 0.0;\n\t\tif ( roughness >= r1 ) {\n\t\t\tmip = ( r0 - roughness ) * ( m1 - m0 ) / ( r0 - r1 ) + m0;\n\t\t} else if ( roughness >= r4 ) {\n\t\t\tmip = ( r1 - roughness ) * ( m4 - m1 ) / ( r1 - r4 ) + m1;\n\t\t} else if ( roughness >= r5 ) {\n\t\t\tmip = ( r4 - roughness ) * ( m5 - m4 ) / ( r4 - r5 ) + m4;\n\t\t} else if ( roughness >= r6 ) {\n\t\t\tmip = ( r5 - roughness ) * ( m6 - m5 ) / ( r5 - r6 ) + m5;\n\t\t} else {\n\t\t\tmip = - 2.0 * log2( 1.16 * roughness );\t\t}\n\t\treturn mip;\n\t}\n\tvec4 textureCubeUV( sampler2D envMap, vec3 sampleDir, float roughness ) {\n\t\tfloat mip = clamp( roughnessToMip( roughness ), m0, cubeUV_maxMipLevel );\n\t\tfloat mipF = fract( mip );\n\t\tfloat mipInt = floor( mip );\n\t\tvec3 color0 = bilinearCubeUV( envMap, sampleDir, mipInt );\n\t\tif ( mipF == 0.0 ) {\n\t\t\treturn vec4( color0, 1.0 );\n\t\t} else {\n\t\t\tvec3 color1 = bilinearCubeUV( envMap, sampleDir, mipInt + 1.0 );\n\t\t\treturn vec4( mix( color0, color1, mipF ), 1.0 );\n\t\t}\n\t}\n#endif",defaultnormal_vertex:"vec3 transformedNormal = objectNormal;\n#ifdef USE_INSTANCING\n\tmat3 m = mat3( instanceMatrix );\n\ttransformedNormal /= vec3( dot( m[ 0 ], m[ 0 ] ), dot( m[ 1 ], m[ 1 ] ), dot( m[ 2 ], m[ 2 ] ) );\n\ttransformedNormal = m * transformedNormal;\n#endif\ntransformedNormal = normalMatrix * transformedNormal;\n#ifdef FLIP_SIDED\n\ttransformedNormal = - transformedNormal;\n#endif\n#ifdef USE_TANGENT\n\tvec3 transformedTangent = ( modelViewMatrix * vec4( objectTangent, 0.0 ) ).xyz;\n\t#ifdef FLIP_SIDED\n\t\ttransformedTangent = - transformedTangent;\n\t#endif\n#endif",displacementmap_pars_vertex:"#ifdef USE_DISPLACEMENTMAP\n\tuniform sampler2D displacementMap;\n\tuniform float displacementScale;\n\tuniform float displacementBias;\n#endif",displacementmap_vertex:"#ifdef USE_DISPLACEMENTMAP\n\ttransformed += normalize( objectNormal ) * ( texture2D( displacementMap, vUv ).x * displacementScale + displacementBias );\n#endif",emissivemap_fragment:"#ifdef USE_EMISSIVEMAP\n\tvec4 emissiveColor = texture2D( emissiveMap, vUv );\n\temissiveColor.rgb = emissiveMapTexelToLinear( emissiveColor ).rgb;\n\ttotalEmissiveRadiance *= emissiveColor.rgb;\n#endif",emissivemap_pars_fragment:"#ifdef USE_EMISSIVEMAP\n\tuniform sampler2D emissiveMap;\n#endif",encodings_fragment:"gl_FragColor = linearToOutputTexel( gl_FragColor );",encodings_pars_fragment:"\nvec4 LinearToLinear( in vec4 value ) {\n\treturn value;\n}\nvec4 GammaToLinear( in vec4 value, in float gammaFactor ) {\n\treturn vec4( pow( value.rgb, vec3( gammaFactor ) ), value.a );\n}\nvec4 LinearToGamma( in vec4 value, in float gammaFactor ) {\n\treturn vec4( pow( value.rgb, vec3( 1.0 / gammaFactor ) ), value.a );\n}\nvec4 sRGBToLinear( in vec4 value ) {\n\treturn vec4( mix( pow( value.rgb * 0.9478672986 + vec3( 0.0521327014 ), vec3( 2.4 ) ), value.rgb * 0.0773993808, vec3( lessThanEqual( value.rgb, vec3( 0.04045 ) ) ) ), value.a );\n}\nvec4 LinearTosRGB( in vec4 value ) {\n\treturn vec4( mix( pow( value.rgb, vec3( 0.41666 ) ) * 1.055 - vec3( 0.055 ), value.rgb * 12.92, vec3( lessThanEqual( value.rgb, vec3( 0.0031308 ) ) ) ), value.a );\n}\nvec4 RGBEToLinear( in vec4 value ) {\n\treturn vec4( value.rgb * exp2( value.a * 255.0 - 128.0 ), 1.0 );\n}\nvec4 LinearToRGBE( in vec4 value ) {\n\tfloat maxComponent = max( max( value.r, value.g ), value.b );\n\tfloat fExp = clamp( ceil( log2( maxComponent ) ), -128.0, 127.0 );\n\treturn vec4( value.rgb / exp2( fExp ), ( fExp + 128.0 ) / 255.0 );\n}\nvec4 RGBMToLinear( in vec4 value, in float maxRange ) {\n\treturn vec4( value.rgb * value.a * maxRange, 1.0 );\n}\nvec4 LinearToRGBM( in vec4 value, in float maxRange ) {\n\tfloat maxRGB = max( value.r, max( value.g, value.b ) );\n\tfloat M = clamp( maxRGB / maxRange, 0.0, 1.0 );\n\tM = ceil( M * 255.0 ) / 255.0;\n\treturn vec4( value.rgb / ( M * maxRange ), M );\n}\nvec4 RGBDToLinear( in vec4 value, in float maxRange ) {\n\treturn vec4( value.rgb * ( ( maxRange / 255.0 ) / value.a ), 1.0 );\n}\nvec4 LinearToRGBD( in vec4 value, in float maxRange ) {\n\tfloat maxRGB = max( value.r, max( value.g, value.b ) );\n\tfloat D = max( maxRange / maxRGB, 1.0 );\n\tD = clamp( floor( D ) / 255.0, 0.0, 1.0 );\n\treturn vec4( value.rgb * ( D * ( 255.0 / maxRange ) ), D );\n}\nconst mat3 cLogLuvM = mat3( 0.2209, 0.3390, 0.4184, 0.1138, 0.6780, 0.7319, 0.0102, 0.1130, 0.2969 );\nvec4 LinearToLogLuv( in vec4 value ) {\n\tvec3 Xp_Y_XYZp = cLogLuvM * value.rgb;\n\tXp_Y_XYZp = max( Xp_Y_XYZp, vec3( 1e-6, 1e-6, 1e-6 ) );\n\tvec4 vResult;\n\tvResult.xy = Xp_Y_XYZp.xy / Xp_Y_XYZp.z;\n\tfloat Le = 2.0 * log2(Xp_Y_XYZp.y) + 127.0;\n\tvResult.w = fract( Le );\n\tvResult.z = ( Le - ( floor( vResult.w * 255.0 ) ) / 255.0 ) / 255.0;\n\treturn vResult;\n}\nconst mat3 cLogLuvInverseM = mat3( 6.0014, -2.7008, -1.7996, -1.3320, 3.1029, -5.7721, 0.3008, -1.0882, 5.6268 );\nvec4 LogLuvToLinear( in vec4 value ) {\n\tfloat Le = value.z * 255.0 + value.w;\n\tvec3 Xp_Y_XYZp;\n\tXp_Y_XYZp.y = exp2( ( Le - 127.0 ) / 2.0 );\n\tXp_Y_XYZp.z = Xp_Y_XYZp.y / value.y;\n\tXp_Y_XYZp.x = value.x * Xp_Y_XYZp.z;\n\tvec3 vRGB = cLogLuvInverseM * Xp_Y_XYZp.rgb;\n\treturn vec4( max( vRGB, 0.0 ), 1.0 );\n}",envmap_fragment:"#ifdef USE_ENVMAP\n\t#ifdef ENV_WORLDPOS\n\t\tvec3 cameraToFrag;\n\t\tif ( isOrthographic ) {\n\t\t\tcameraToFrag = normalize( vec3( - viewMatrix[ 0 ][ 2 ], - viewMatrix[ 1 ][ 2 ], - viewMatrix[ 2 ][ 2 ] ) );\n\t\t} else {\n\t\t\tcameraToFrag = normalize( vWorldPosition - cameraPosition );\n\t\t}\n\t\tvec3 worldNormal = inverseTransformDirection( normal, viewMatrix );\n\t\t#ifdef ENVMAP_MODE_REFLECTION\n\t\t\tvec3 reflectVec = reflect( cameraToFrag, worldNormal );\n\t\t#else\n\t\t\tvec3 reflectVec = refract( cameraToFrag, worldNormal, refractionRatio );\n\t\t#endif\n\t#else\n\t\tvec3 reflectVec = vReflect;\n\t#endif\n\t#ifdef ENVMAP_TYPE_CUBE\n\t\tvec4 envColor = textureCube( envMap, vec3( flipEnvMap * reflectVec.x, reflectVec.yz ) );\n\t#elif defined( ENVMAP_TYPE_CUBE_UV )\n\t\tvec4 envColor = textureCubeUV( envMap, reflectVec, 0.0 );\n\t#else\n\t\tvec4 envColor = vec4( 0.0 );\n\t#endif\n\t#ifndef ENVMAP_TYPE_CUBE_UV\n\t\tenvColor = envMapTexelToLinear( envColor );\n\t#endif\n\t#ifdef ENVMAP_BLENDING_MULTIPLY\n\t\toutgoingLight = mix( outgoingLight, outgoingLight * envColor.xyz, specularStrength * reflectivity );\n\t#elif defined( ENVMAP_BLENDING_MIX )\n\t\toutgoingLight = mix( outgoingLight, envColor.xyz, specularStrength * reflectivity );\n\t#elif defined( ENVMAP_BLENDING_ADD )\n\t\toutgoingLight += envColor.xyz * specularStrength * reflectivity;\n\t#endif\n#endif",envmap_common_pars_fragment:"#ifdef USE_ENVMAP\n\tuniform float envMapIntensity;\n\tuniform float flipEnvMap;\n\tuniform int maxMipLevel;\n\t#ifdef ENVMAP_TYPE_CUBE\n\t\tuniform samplerCube envMap;\n\t#else\n\t\tuniform sampler2D envMap;\n\t#endif\n\t\n#endif",envmap_pars_fragment:"#ifdef USE_ENVMAP\n\tuniform float reflectivity;\n\t#if defined( USE_BUMPMAP ) || defined( USE_NORMALMAP ) || defined( PHONG )\n\t\t#define ENV_WORLDPOS\n\t#endif\n\t#ifdef ENV_WORLDPOS\n\t\tvarying vec3 vWorldPosition;\n\t\tuniform float refractionRatio;\n\t#else\n\t\tvarying vec3 vReflect;\n\t#endif\n#endif",envmap_pars_vertex:"#ifdef USE_ENVMAP\n\t#if defined( USE_BUMPMAP ) || defined( USE_NORMALMAP ) ||defined( PHONG )\n\t\t#define ENV_WORLDPOS\n\t#endif\n\t#ifdef ENV_WORLDPOS\n\t\t\n\t\tvarying vec3 vWorldPosition;\n\t#else\n\t\tvarying vec3 vReflect;\n\t\tuniform float refractionRatio;\n\t#endif\n#endif",envmap_physical_pars_fragment:"#if defined( USE_ENVMAP )\n\t#ifdef ENVMAP_MODE_REFRACTION\n\t\tuniform float refractionRatio;\n\t#endif\n\tvec3 getLightProbeIndirectIrradiance( const in GeometricContext geometry, const in int maxMIPLevel ) {\n\t\tvec3 worldNormal = inverseTransformDirection( geometry.normal, viewMatrix );\n\t\t#ifdef ENVMAP_TYPE_CUBE\n\t\t\tvec3 queryVec = vec3( flipEnvMap * worldNormal.x, worldNormal.yz );\n\t\t\t#ifdef TEXTURE_LOD_EXT\n\t\t\t\tvec4 envMapColor = textureCubeLodEXT( envMap, queryVec, float( maxMIPLevel ) );\n\t\t\t#else\n\t\t\t\tvec4 envMapColor = textureCube( envMap, queryVec, float( maxMIPLevel ) );\n\t\t\t#endif\n\t\t\tenvMapColor.rgb = envMapTexelToLinear( envMapColor ).rgb;\n\t\t#elif defined( ENVMAP_TYPE_CUBE_UV )\n\t\t\tvec4 envMapColor = textureCubeUV( envMap, worldNormal, 1.0 );\n\t\t#else\n\t\t\tvec4 envMapColor = vec4( 0.0 );\n\t\t#endif\n\t\treturn PI * envMapColor.rgb * envMapIntensity;\n\t}\n\tfloat getSpecularMIPLevel( const in float roughness, const in int maxMIPLevel ) {\n\t\tfloat maxMIPLevelScalar = float( maxMIPLevel );\n\t\tfloat sigma = PI * roughness * roughness / ( 1.0 + roughness );\n\t\tfloat desiredMIPLevel = maxMIPLevelScalar + log2( sigma );\n\t\treturn clamp( desiredMIPLevel, 0.0, maxMIPLevelScalar );\n\t}\n\tvec3 getLightProbeIndirectRadiance( const in vec3 viewDir, const in vec3 normal, const in float roughness, const in int maxMIPLevel ) {\n\t\t#ifdef ENVMAP_MODE_REFLECTION\n\t\t\tvec3 reflectVec = reflect( -viewDir, normal );\n\t\t\treflectVec = normalize( mix( reflectVec, normal, roughness * roughness) );\n\t\t#else\n\t\t\tvec3 reflectVec = refract( -viewDir, normal, refractionRatio );\n\t\t#endif\n\t\treflectVec = inverseTransformDirection( reflectVec, viewMatrix );\n\t\tfloat specularMIPLevel = getSpecularMIPLevel( roughness, maxMIPLevel );\n\t\t#ifdef ENVMAP_TYPE_CUBE\n\t\t\tvec3 queryReflectVec = vec3( flipEnvMap * reflectVec.x, reflectVec.yz );\n\t\t\t#ifdef TEXTURE_LOD_EXT\n\t\t\t\tvec4 envMapColor = textureCubeLodEXT( envMap, queryReflectVec, specularMIPLevel );\n\t\t\t#else\n\t\t\t\tvec4 envMapColor = textureCube( envMap, queryReflectVec, specularMIPLevel );\n\t\t\t#endif\n\t\t\tenvMapColor.rgb = envMapTexelToLinear( envMapColor ).rgb;\n\t\t#elif defined( ENVMAP_TYPE_CUBE_UV )\n\t\t\tvec4 envMapColor = textureCubeUV( envMap, reflectVec, roughness );\n\t\t#endif\n\t\treturn envMapColor.rgb * envMapIntensity;\n\t}\n#endif",envmap_vertex:"#ifdef USE_ENVMAP\n\t#ifdef ENV_WORLDPOS\n\t\tvWorldPosition = worldPosition.xyz;\n\t#else\n\t\tvec3 cameraToVertex;\n\t\tif ( isOrthographic ) {\n\t\t\tcameraToVertex = normalize( vec3( - viewMatrix[ 0 ][ 2 ], - viewMatrix[ 1 ][ 2 ], - viewMatrix[ 2 ][ 2 ] ) );\n\t\t} else {\n\t\t\tcameraToVertex = normalize( worldPosition.xyz - cameraPosition );\n\t\t}\n\t\tvec3 worldNormal = inverseTransformDirection( transformedNormal, viewMatrix );\n\t\t#ifdef ENVMAP_MODE_REFLECTION\n\t\t\tvReflect = reflect( cameraToVertex, worldNormal );\n\t\t#else\n\t\t\tvReflect = refract( cameraToVertex, worldNormal, refractionRatio );\n\t\t#endif\n\t#endif\n#endif",fog_vertex:"#ifdef USE_FOG\n\tfogDepth = - mvPosition.z;\n#endif",fog_pars_vertex:"#ifdef USE_FOG\n\tvarying float fogDepth;\n#endif",fog_fragment:"#ifdef USE_FOG\n\t#ifdef FOG_EXP2\n\t\tfloat fogFactor = 1.0 - exp( - fogDensity * fogDensity * fogDepth * fogDepth );\n\t#else\n\t\tfloat fogFactor = smoothstep( fogNear, fogFar, fogDepth );\n\t#endif\n\tgl_FragColor.rgb = mix( gl_FragColor.rgb, fogColor, fogFactor );\n#endif",fog_pars_fragment:"#ifdef USE_FOG\n\tuniform vec3 fogColor;\n\tvarying float fogDepth;\n\t#ifdef FOG_EXP2\n\t\tuniform float fogDensity;\n\t#else\n\t\tuniform float fogNear;\n\t\tuniform float fogFar;\n\t#endif\n#endif",gradientmap_pars_fragment:"#ifdef USE_GRADIENTMAP\n\tuniform sampler2D gradientMap;\n#endif\nvec3 getGradientIrradiance( vec3 normal, vec3 lightDirection ) {\n\tfloat dotNL = dot( normal, lightDirection );\n\tvec2 coord = vec2( dotNL * 0.5 + 0.5, 0.0 );\n\t#ifdef USE_GRADIENTMAP\n\t\treturn texture2D( gradientMap, coord ).rgb;\n\t#else\n\t\treturn ( coord.x < 0.7 ) ? vec3( 0.7 ) : vec3( 1.0 );\n\t#endif\n}",lightmap_fragment:"#ifdef USE_LIGHTMAP\n\tvec4 lightMapTexel= texture2D( lightMap, vUv2 );\n\treflectedLight.indirectDiffuse += PI * lightMapTexelToLinear( lightMapTexel ).rgb * lightMapIntensity;\n#endif",lightmap_pars_fragment:"#ifdef USE_LIGHTMAP\n\tuniform sampler2D lightMap;\n\tuniform float lightMapIntensity;\n#endif",lights_lambert_vertex:"vec3 diffuse = vec3( 1.0 );\nGeometricContext geometry;\ngeometry.position = mvPosition.xyz;\ngeometry.normal = normalize( transformedNormal );\ngeometry.viewDir = ( isOrthographic ) ? vec3( 0, 0, 1 ) : normalize( -mvPosition.xyz );\nGeometricContext backGeometry;\nbackGeometry.position = geometry.position;\nbackGeometry.normal = -geometry.normal;\nbackGeometry.viewDir = geometry.viewDir;\nvLightFront = vec3( 0.0 );\nvIndirectFront = vec3( 0.0 );\n#ifdef DOUBLE_SIDED\n\tvLightBack = vec3( 0.0 );\n\tvIndirectBack = vec3( 0.0 );\n#endif\nIncidentLight directLight;\nfloat dotNL;\nvec3 directLightColor_Diffuse;\nvIndirectFront += getAmbientLightIrradiance( ambientLightColor );\nvIndirectFront += getLightProbeIrradiance( lightProbe, geometry );\n#ifdef DOUBLE_SIDED\n\tvIndirectBack += getAmbientLightIrradiance( ambientLightColor );\n\tvIndirectBack += getLightProbeIrradiance( lightProbe, backGeometry );\n#endif\n#if NUM_POINT_LIGHTS > 0\n\t#pragma unroll_loop_start\n\tfor ( int i = 0; i < NUM_POINT_LIGHTS; i ++ ) {\n\t\tgetPointDirectLightIrradiance( pointLights[ i ], geometry, directLight );\n\t\tdotNL = dot( geometry.normal, directLight.direction );\n\t\tdirectLightColor_Diffuse = PI * directLight.color;\n\t\tvLightFront += saturate( dotNL ) * directLightColor_Diffuse;\n\t\t#ifdef DOUBLE_SIDED\n\t\t\tvLightBack += saturate( -dotNL ) * directLightColor_Diffuse;\n\t\t#endif\n\t}\n\t#pragma unroll_loop_end\n#endif\n#if NUM_SPOT_LIGHTS > 0\n\t#pragma unroll_loop_start\n\tfor ( int i = 0; i < NUM_SPOT_LIGHTS; i ++ ) {\n\t\tgetSpotDirectLightIrradiance( spotLights[ i ], geometry, directLight );\n\t\tdotNL = dot( geometry.normal, directLight.direction );\n\t\tdirectLightColor_Diffuse = PI * directLight.color;\n\t\tvLightFront += saturate( dotNL ) * directLightColor_Diffuse;\n\t\t#ifdef DOUBLE_SIDED\n\t\t\tvLightBack += saturate( -dotNL ) * directLightColor_Diffuse;\n\t\t#endif\n\t}\n\t#pragma unroll_loop_end\n#endif\n#if NUM_DIR_LIGHTS > 0\n\t#pragma unroll_loop_start\n\tfor ( int i = 0; i < NUM_DIR_LIGHTS; i ++ ) {\n\t\tgetDirectionalDirectLightIrradiance( directionalLights[ i ], geometry, directLight );\n\t\tdotNL = dot( geometry.normal, directLight.direction );\n\t\tdirectLightColor_Diffuse = PI * directLight.color;\n\t\tvLightFront += saturate( dotNL ) * directLightColor_Diffuse;\n\t\t#ifdef DOUBLE_SIDED\n\t\t\tvLightBack += saturate( -dotNL ) * directLightColor_Diffuse;\n\t\t#endif\n\t}\n\t#pragma unroll_loop_end\n#endif\n#if NUM_HEMI_LIGHTS > 0\n\t#pragma unroll_loop_start\n\tfor ( int i = 0; i < NUM_HEMI_LIGHTS; i ++ ) {\n\t\tvIndirectFront += getHemisphereLightIrradiance( hemisphereLights[ i ], geometry );\n\t\t#ifdef DOUBLE_SIDED\n\t\t\tvIndirectBack += getHemisphereLightIrradiance( hemisphereLights[ i ], backGeometry );\n\t\t#endif\n\t}\n\t#pragma unroll_loop_end\n#endif",lights_pars_begin:"uniform bool receiveShadow;\nuniform vec3 ambientLightColor;\nuniform vec3 lightProbe[ 9 ];\nvec3 shGetIrradianceAt( in vec3 normal, in vec3 shCoefficients[ 9 ] ) {\n\tfloat x = normal.x, y = normal.y, z = normal.z;\n\tvec3 result = shCoefficients[ 0 ] * 0.886227;\n\tresult += shCoefficients[ 1 ] * 2.0 * 0.511664 * y;\n\tresult += shCoefficients[ 2 ] * 2.0 * 0.511664 * z;\n\tresult += shCoefficients[ 3 ] * 2.0 * 0.511664 * x;\n\tresult += shCoefficients[ 4 ] * 2.0 * 0.429043 * x * y;\n\tresult += shCoefficients[ 5 ] * 2.0 * 0.429043 * y * z;\n\tresult += shCoefficients[ 6 ] * ( 0.743125 * z * z - 0.247708 );\n\tresult += shCoefficients[ 7 ] * 2.0 * 0.429043 * x * z;\n\tresult += shCoefficients[ 8 ] * 0.429043 * ( x * x - y * y );\n\treturn result;\n}\nvec3 getLightProbeIrradiance( const in vec3 lightProbe[ 9 ], const in GeometricContext geometry ) {\n\tvec3 worldNormal = inverseTransformDirection( geometry.normal, viewMatrix );\n\tvec3 irradiance = shGetIrradianceAt( worldNormal, lightProbe );\n\treturn irradiance;\n}\nvec3 getAmbientLightIrradiance( const in vec3 ambientLightColor ) {\n\tvec3 irradiance = ambientLightColor;\n\t#ifndef PHYSICALLY_CORRECT_LIGHTS\n\t\tirradiance *= PI;\n\t#endif\n\treturn irradiance;\n}\n#if NUM_DIR_LIGHTS > 0\n\tstruct DirectionalLight {\n\t\tvec3 direction;\n\t\tvec3 color;\n\t};\n\tuniform DirectionalLight directionalLights[ NUM_DIR_LIGHTS ];\n\tvoid getDirectionalDirectLightIrradiance( const in DirectionalLight directionalLight, const in GeometricContext geometry, out IncidentLight directLight ) {\n\t\tdirectLight.color = directionalLight.color;\n\t\tdirectLight.direction = directionalLight.direction;\n\t\tdirectLight.visible = true;\n\t}\n#endif\n#if NUM_POINT_LIGHTS > 0\n\tstruct PointLight {\n\t\tvec3 position;\n\t\tvec3 color;\n\t\tfloat distance;\n\t\tfloat decay;\n\t};\n\tuniform PointLight pointLights[ NUM_POINT_LIGHTS ];\n\tvoid getPointDirectLightIrradiance( const in PointLight pointLight, const in GeometricContext geometry, out IncidentLight directLight ) {\n\t\tvec3 lVector = pointLight.position - geometry.position;\n\t\tdirectLight.direction = normalize( lVector );\n\t\tfloat lightDistance = length( lVector );\n\t\tdirectLight.color = pointLight.color;\n\t\tdirectLight.color *= punctualLightIntensityToIrradianceFactor( lightDistance, pointLight.distance, pointLight.decay );\n\t\tdirectLight.visible = ( directLight.color != vec3( 0.0 ) );\n\t}\n#endif\n#if NUM_SPOT_LIGHTS > 0\n\tstruct SpotLight {\n\t\tvec3 position;\n\t\tvec3 direction;\n\t\tvec3 color;\n\t\tfloat distance;\n\t\tfloat decay;\n\t\tfloat coneCos;\n\t\tfloat penumbraCos;\n\t};\n\tuniform SpotLight spotLights[ NUM_SPOT_LIGHTS ];\n\tvoid getSpotDirectLightIrradiance( const in SpotLight spotLight, const in GeometricContext geometry, out IncidentLight directLight ) {\n\t\tvec3 lVector = spotLight.position - geometry.position;\n\t\tdirectLight.direction = normalize( lVector );\n\t\tfloat lightDistance = length( lVector );\n\t\tfloat angleCos = dot( directLight.direction, spotLight.direction );\n\t\tif ( angleCos > spotLight.coneCos ) {\n\t\t\tfloat spotEffect = smoothstep( spotLight.coneCos, spotLight.penumbraCos, angleCos );\n\t\t\tdirectLight.color = spotLight.color;\n\t\t\tdirectLight.color *= spotEffect * punctualLightIntensityToIrradianceFactor( lightDistance, spotLight.distance, spotLight.decay );\n\t\t\tdirectLight.visible = true;\n\t\t} else {\n\t\t\tdirectLight.color = vec3( 0.0 );\n\t\t\tdirectLight.visible = false;\n\t\t}\n\t}\n#endif\n#if NUM_RECT_AREA_LIGHTS > 0\n\tstruct RectAreaLight {\n\t\tvec3 color;\n\t\tvec3 position;\n\t\tvec3 halfWidth;\n\t\tvec3 halfHeight;\n\t};\n\tuniform sampler2D ltc_1;\tuniform sampler2D ltc_2;\n\tuniform RectAreaLight rectAreaLights[ NUM_RECT_AREA_LIGHTS ];\n#endif\n#if NUM_HEMI_LIGHTS > 0\n\tstruct HemisphereLight {\n\t\tvec3 direction;\n\t\tvec3 skyColor;\n\t\tvec3 groundColor;\n\t};\n\tuniform HemisphereLight hemisphereLights[ NUM_HEMI_LIGHTS ];\n\tvec3 getHemisphereLightIrradiance( const in HemisphereLight hemiLight, const in GeometricContext geometry ) {\n\t\tfloat dotNL = dot( geometry.normal, hemiLight.direction );\n\t\tfloat hemiDiffuseWeight = 0.5 * dotNL + 0.5;\n\t\tvec3 irradiance = mix( hemiLight.groundColor, hemiLight.skyColor, hemiDiffuseWeight );\n\t\t#ifndef PHYSICALLY_CORRECT_LIGHTS\n\t\t\tirradiance *= PI;\n\t\t#endif\n\t\treturn irradiance;\n\t}\n#endif",lights_toon_fragment:"ToonMaterial material;\nmaterial.diffuseColor = diffuseColor.rgb;",lights_toon_pars_fragment:"varying vec3 vViewPosition;\n#ifndef FLAT_SHADED\n\tvarying vec3 vNormal;\n#endif\nstruct ToonMaterial {\n\tvec3 diffuseColor;\n};\nvoid RE_Direct_Toon( const in IncidentLight directLight, const in GeometricContext geometry, const in ToonMaterial material, inout ReflectedLight reflectedLight ) {\n\tvec3 irradiance = getGradientIrradiance( geometry.normal, directLight.direction ) * directLight.color;\n\t#ifndef PHYSICALLY_CORRECT_LIGHTS\n\t\tirradiance *= PI;\n\t#endif\n\treflectedLight.directDiffuse += irradiance * BRDF_Diffuse_Lambert( material.diffuseColor );\n}\nvoid RE_IndirectDiffuse_Toon( const in vec3 irradiance, const in GeometricContext geometry, const in ToonMaterial material, inout ReflectedLight reflectedLight ) {\n\treflectedLight.indirectDiffuse += irradiance * BRDF_Diffuse_Lambert( material.diffuseColor );\n}\n#define RE_Direct\t\t\t\tRE_Direct_Toon\n#define RE_IndirectDiffuse\t\tRE_IndirectDiffuse_Toon\n#define Material_LightProbeLOD( material )\t(0)",lights_phong_fragment:"BlinnPhongMaterial material;\nmaterial.diffuseColor = diffuseColor.rgb;\nmaterial.specularColor = specular;\nmaterial.specularShininess = shininess;\nmaterial.specularStrength = specularStrength;",lights_phong_pars_fragment:"varying vec3 vViewPosition;\n#ifndef FLAT_SHADED\n\tvarying vec3 vNormal;\n#endif\nstruct BlinnPhongMaterial {\n\tvec3 diffuseColor;\n\tvec3 specularColor;\n\tfloat specularShininess;\n\tfloat specularStrength;\n};\nvoid RE_Direct_BlinnPhong( const in IncidentLight directLight, const in GeometricContext geometry, const in BlinnPhongMaterial material, inout ReflectedLight reflectedLight ) {\n\tfloat dotNL = saturate( dot( geometry.normal, directLight.direction ) );\n\tvec3 irradiance = dotNL * directLight.color;\n\t#ifndef PHYSICALLY_CORRECT_LIGHTS\n\t\tirradiance *= PI;\n\t#endif\n\treflectedLight.directDiffuse += irradiance * BRDF_Diffuse_Lambert( material.diffuseColor );\n\treflectedLight.directSpecular += irradiance * BRDF_Specular_BlinnPhong( directLight, geometry, material.specularColor, material.specularShininess ) * material.specularStrength;\n}\nvoid RE_IndirectDiffuse_BlinnPhong( const in vec3 irradiance, const in GeometricContext geometry, const in BlinnPhongMaterial material, inout ReflectedLight reflectedLight ) {\n\treflectedLight.indirectDiffuse += irradiance * BRDF_Diffuse_Lambert( material.diffuseColor );\n}\n#define RE_Direct\t\t\t\tRE_Direct_BlinnPhong\n#define RE_IndirectDiffuse\t\tRE_IndirectDiffuse_BlinnPhong\n#define Material_LightProbeLOD( material )\t(0)",lights_physical_fragment:"PhysicalMaterial material;\nmaterial.diffuseColor = diffuseColor.rgb * ( 1.0 - metalnessFactor );\nvec3 dxy = max( abs( dFdx( geometryNormal ) ), abs( dFdy( geometryNormal ) ) );\nfloat geometryRoughness = max( max( dxy.x, dxy.y ), dxy.z );\nmaterial.specularRoughness = max( roughnessFactor, 0.0525 );material.specularRoughness += geometryRoughness;\nmaterial.specularRoughness = min( material.specularRoughness, 1.0 );\n#ifdef REFLECTIVITY\n\tmaterial.specularColor = mix( vec3( MAXIMUM_SPECULAR_COEFFICIENT * pow2( reflectivity ) ), diffuseColor.rgb, metalnessFactor );\n#else\n\tmaterial.specularColor = mix( vec3( DEFAULT_SPECULAR_COEFFICIENT ), diffuseColor.rgb, metalnessFactor );\n#endif\n#ifdef CLEARCOAT\n\tmaterial.clearcoat = clearcoat;\n\tmaterial.clearcoatRoughness = clearcoatRoughness;\n\t#ifdef USE_CLEARCOATMAP\n\t\tmaterial.clearcoat *= texture2D( clearcoatMap, vUv ).x;\n\t#endif\n\t#ifdef USE_CLEARCOAT_ROUGHNESSMAP\n\t\tmaterial.clearcoatRoughness *= texture2D( clearcoatRoughnessMap, vUv ).y;\n\t#endif\n\tmaterial.clearcoat = saturate( material.clearcoat );\tmaterial.clearcoatRoughness = max( material.clearcoatRoughness, 0.0525 );\n\tmaterial.clearcoatRoughness += geometryRoughness;\n\tmaterial.clearcoatRoughness = min( material.clearcoatRoughness, 1.0 );\n#endif\n#ifdef USE_SHEEN\n\tmaterial.sheenColor = sheen;\n#endif",lights_physical_pars_fragment:"struct PhysicalMaterial {\n\tvec3 diffuseColor;\n\tfloat specularRoughness;\n\tvec3 specularColor;\n#ifdef CLEARCOAT\n\tfloat clearcoat;\n\tfloat clearcoatRoughness;\n#endif\n#ifdef USE_SHEEN\n\tvec3 sheenColor;\n#endif\n};\n#define MAXIMUM_SPECULAR_COEFFICIENT 0.16\n#define DEFAULT_SPECULAR_COEFFICIENT 0.04\nfloat clearcoatDHRApprox( const in float roughness, const in float dotNL ) {\n\treturn DEFAULT_SPECULAR_COEFFICIENT + ( 1.0 - DEFAULT_SPECULAR_COEFFICIENT ) * ( pow( 1.0 - dotNL, 5.0 ) * pow( 1.0 - roughness, 2.0 ) );\n}\n#if NUM_RECT_AREA_LIGHTS > 0\n\tvoid RE_Direct_RectArea_Physical( const in RectAreaLight rectAreaLight, const in GeometricContext geometry, const in PhysicalMaterial material, inout ReflectedLight reflectedLight ) {\n\t\tvec3 normal = geometry.normal;\n\t\tvec3 viewDir = geometry.viewDir;\n\t\tvec3 position = geometry.position;\n\t\tvec3 lightPos = rectAreaLight.position;\n\t\tvec3 halfWidth = rectAreaLight.halfWidth;\n\t\tvec3 halfHeight = rectAreaLight.halfHeight;\n\t\tvec3 lightColor = rectAreaLight.color;\n\t\tfloat roughness = material.specularRoughness;\n\t\tvec3 rectCoords[ 4 ];\n\t\trectCoords[ 0 ] = lightPos + halfWidth - halfHeight;\t\trectCoords[ 1 ] = lightPos - halfWidth - halfHeight;\n\t\trectCoords[ 2 ] = lightPos - halfWidth + halfHeight;\n\t\trectCoords[ 3 ] = lightPos + halfWidth + halfHeight;\n\t\tvec2 uv = LTC_Uv( normal, viewDir, roughness );\n\t\tvec4 t1 = texture2D( ltc_1, uv );\n\t\tvec4 t2 = texture2D( ltc_2, uv );\n\t\tmat3 mInv = mat3(\n\t\t\tvec3( t1.x, 0, t1.y ),\n\t\t\tvec3(    0, 1,    0 ),\n\t\t\tvec3( t1.z, 0, t1.w )\n\t\t);\n\t\tvec3 fresnel = ( material.specularColor * t2.x + ( vec3( 1.0 ) - material.specularColor ) * t2.y );\n\t\treflectedLight.directSpecular += lightColor * fresnel * LTC_Evaluate( normal, viewDir, position, mInv, rectCoords );\n\t\treflectedLight.directDiffuse += lightColor * material.diffuseColor * LTC_Evaluate( normal, viewDir, position, mat3( 1.0 ), rectCoords );\n\t}\n#endif\nvoid RE_Direct_Physical( const in IncidentLight directLight, const in GeometricContext geometry, const in PhysicalMaterial material, inout ReflectedLight reflectedLight ) {\n\tfloat dotNL = saturate( dot( geometry.normal, directLight.direction ) );\n\tvec3 irradiance = dotNL * directLight.color;\n\t#ifndef PHYSICALLY_CORRECT_LIGHTS\n\t\tirradiance *= PI;\n\t#endif\n\t#ifdef CLEARCOAT\n\t\tfloat ccDotNL = saturate( dot( geometry.clearcoatNormal, directLight.direction ) );\n\t\tvec3 ccIrradiance = ccDotNL * directLight.color;\n\t\t#ifndef PHYSICALLY_CORRECT_LIGHTS\n\t\t\tccIrradiance *= PI;\n\t\t#endif\n\t\tfloat clearcoatDHR = material.clearcoat * clearcoatDHRApprox( material.clearcoatRoughness, ccDotNL );\n\t\treflectedLight.directSpecular += ccIrradiance * material.clearcoat * BRDF_Specular_GGX( directLight, geometry.viewDir, geometry.clearcoatNormal, vec3( DEFAULT_SPECULAR_COEFFICIENT ), material.clearcoatRoughness );\n\t#else\n\t\tfloat clearcoatDHR = 0.0;\n\t#endif\n\t#ifdef USE_SHEEN\n\t\treflectedLight.directSpecular += ( 1.0 - clearcoatDHR ) * irradiance * BRDF_Specular_Sheen(\n\t\t\tmaterial.specularRoughness,\n\t\t\tdirectLight.direction,\n\t\t\tgeometry,\n\t\t\tmaterial.sheenColor\n\t\t);\n\t#else\n\t\treflectedLight.directSpecular += ( 1.0 - clearcoatDHR ) * irradiance * BRDF_Specular_GGX( directLight, geometry.viewDir, geometry.normal, material.specularColor, material.specularRoughness);\n\t#endif\n\treflectedLight.directDiffuse += ( 1.0 - clearcoatDHR ) * irradiance * BRDF_Diffuse_Lambert( material.diffuseColor );\n}\nvoid RE_IndirectDiffuse_Physical( const in vec3 irradiance, const in GeometricContext geometry, const in PhysicalMaterial material, inout ReflectedLight reflectedLight ) {\n\treflectedLight.indirectDiffuse += irradiance * BRDF_Diffuse_Lambert( material.diffuseColor );\n}\nvoid RE_IndirectSpecular_Physical( const in vec3 radiance, const in vec3 irradiance, const in vec3 clearcoatRadiance, const in GeometricContext geometry, const in PhysicalMaterial material, inout ReflectedLight reflectedLight) {\n\t#ifdef CLEARCOAT\n\t\tfloat ccDotNV = saturate( dot( geometry.clearcoatNormal, geometry.viewDir ) );\n\t\treflectedLight.indirectSpecular += clearcoatRadiance * material.clearcoat * BRDF_Specular_GGX_Environment( geometry.viewDir, geometry.clearcoatNormal, vec3( DEFAULT_SPECULAR_COEFFICIENT ), material.clearcoatRoughness );\n\t\tfloat ccDotNL = ccDotNV;\n\t\tfloat clearcoatDHR = material.clearcoat * clearcoatDHRApprox( material.clearcoatRoughness, ccDotNL );\n\t#else\n\t\tfloat clearcoatDHR = 0.0;\n\t#endif\n\tfloat clearcoatInv = 1.0 - clearcoatDHR;\n\tvec3 singleScattering = vec3( 0.0 );\n\tvec3 multiScattering = vec3( 0.0 );\n\tvec3 cosineWeightedIrradiance = irradiance * RECIPROCAL_PI;\n\tBRDF_Specular_Multiscattering_Environment( geometry, material.specularColor, material.specularRoughness, singleScattering, multiScattering );\n\tvec3 diffuse = material.diffuseColor * ( 1.0 - ( singleScattering + multiScattering ) );\n\treflectedLight.indirectSpecular += clearcoatInv * radiance * singleScattering;\n\treflectedLight.indirectSpecular += multiScattering * cosineWeightedIrradiance;\n\treflectedLight.indirectDiffuse += diffuse * cosineWeightedIrradiance;\n}\n#define RE_Direct\t\t\t\tRE_Direct_Physical\n#define RE_Direct_RectArea\t\tRE_Direct_RectArea_Physical\n#define RE_IndirectDiffuse\t\tRE_IndirectDiffuse_Physical\n#define RE_IndirectSpecular\t\tRE_IndirectSpecular_Physical\nfloat computeSpecularOcclusion( const in float dotNV, const in float ambientOcclusion, const in float roughness ) {\n\treturn saturate( pow( dotNV + ambientOcclusion, exp2( - 16.0 * roughness - 1.0 ) ) - 1.0 + ambientOcclusion );\n}",lights_fragment_begin:"\nGeometricContext geometry;\ngeometry.position = - vViewPosition;\ngeometry.normal = normal;\ngeometry.viewDir = ( isOrthographic ) ? vec3( 0, 0, 1 ) : normalize( vViewPosition );\n#ifdef CLEARCOAT\n\tgeometry.clearcoatNormal = clearcoatNormal;\n#endif\nIncidentLight directLight;\n#if ( NUM_POINT_LIGHTS > 0 ) && defined( RE_Direct )\n\tPointLight pointLight;\n\t#if defined( USE_SHADOWMAP ) && NUM_POINT_LIGHT_SHADOWS > 0\n\tPointLightShadow pointLightShadow;\n\t#endif\n\t#pragma unroll_loop_start\n\tfor ( int i = 0; i < NUM_POINT_LIGHTS; i ++ ) {\n\t\tpointLight = pointLights[ i ];\n\t\tgetPointDirectLightIrradiance( pointLight, geometry, directLight );\n\t\t#if defined( USE_SHADOWMAP ) && ( UNROLLED_LOOP_INDEX < NUM_POINT_LIGHT_SHADOWS )\n\t\tpointLightShadow = pointLightShadows[ i ];\n\t\tdirectLight.color *= all( bvec2( directLight.visible, receiveShadow ) ) ? getPointShadow( pointShadowMap[ i ], pointLightShadow.shadowMapSize, pointLightShadow.shadowBias, pointLightShadow.shadowRadius, vPointShadowCoord[ i ], pointLightShadow.shadowCameraNear, pointLightShadow.shadowCameraFar ) : 1.0;\n\t\t#endif\n\t\tRE_Direct( directLight, geometry, material, reflectedLight );\n\t}\n\t#pragma unroll_loop_end\n#endif\n#if ( NUM_SPOT_LIGHTS > 0 ) && defined( RE_Direct )\n\tSpotLight spotLight;\n\t#if defined( USE_SHADOWMAP ) && NUM_SPOT_LIGHT_SHADOWS > 0\n\tSpotLightShadow spotLightShadow;\n\t#endif\n\t#pragma unroll_loop_start\n\tfor ( int i = 0; i < NUM_SPOT_LIGHTS; i ++ ) {\n\t\tspotLight = spotLights[ i ];\n\t\tgetSpotDirectLightIrradiance( spotLight, geometry, directLight );\n\t\t#if defined( USE_SHADOWMAP ) && ( UNROLLED_LOOP_INDEX < NUM_SPOT_LIGHT_SHADOWS )\n\t\tspotLightShadow = spotLightShadows[ i ];\n\t\tdirectLight.color *= all( bvec2( directLight.visible, receiveShadow ) ) ? getShadow( spotShadowMap[ i ], spotLightShadow.shadowMapSize, spotLightShadow.shadowBias, spotLightShadow.shadowRadius, vSpotShadowCoord[ i ] ) : 1.0;\n\t\t#endif\n\t\tRE_Direct( directLight, geometry, material, reflectedLight );\n\t}\n\t#pragma unroll_loop_end\n#endif\n#if ( NUM_DIR_LIGHTS > 0 ) && defined( RE_Direct )\n\tDirectionalLight directionalLight;\n\t#if defined( USE_SHADOWMAP ) && NUM_DIR_LIGHT_SHADOWS > 0\n\tDirectionalLightShadow directionalLightShadow;\n\t#endif\n\t#pragma unroll_loop_start\n\tfor ( int i = 0; i < NUM_DIR_LIGHTS; i ++ ) {\n\t\tdirectionalLight = directionalLights[ i ];\n\t\tgetDirectionalDirectLightIrradiance( directionalLight, geometry, directLight );\n\t\t#if defined( USE_SHADOWMAP ) && ( UNROLLED_LOOP_INDEX < NUM_DIR_LIGHT_SHADOWS )\n\t\tdirectionalLightShadow = directionalLightShadows[ i ];\n\t\tdirectLight.color *= all( bvec2( directLight.visible, receiveShadow ) ) ? getShadow( directionalShadowMap[ i ], directionalLightShadow.shadowMapSize, directionalLightShadow.shadowBias, directionalLightShadow.shadowRadius, vDirectionalShadowCoord[ i ] ) : 1.0;\n\t\t#endif\n\t\tRE_Direct( directLight, geometry, material, reflectedLight );\n\t}\n\t#pragma unroll_loop_end\n#endif\n#if ( NUM_RECT_AREA_LIGHTS > 0 ) && defined( RE_Direct_RectArea )\n\tRectAreaLight rectAreaLight;\n\t#pragma unroll_loop_start\n\tfor ( int i = 0; i < NUM_RECT_AREA_LIGHTS; i ++ ) {\n\t\trectAreaLight = rectAreaLights[ i ];\n\t\tRE_Direct_RectArea( rectAreaLight, geometry, material, reflectedLight );\n\t}\n\t#pragma unroll_loop_end\n#endif\n#if defined( RE_IndirectDiffuse )\n\tvec3 iblIrradiance = vec3( 0.0 );\n\tvec3 irradiance = getAmbientLightIrradiance( ambientLightColor );\n\tirradiance += getLightProbeIrradiance( lightProbe, geometry );\n\t#if ( NUM_HEMI_LIGHTS > 0 )\n\t\t#pragma unroll_loop_start\n\t\tfor ( int i = 0; i < NUM_HEMI_LIGHTS; i ++ ) {\n\t\t\tirradiance += getHemisphereLightIrradiance( hemisphereLights[ i ], geometry );\n\t\t}\n\t\t#pragma unroll_loop_end\n\t#endif\n#endif\n#if defined( RE_IndirectSpecular )\n\tvec3 radiance = vec3( 0.0 );\n\tvec3 clearcoatRadiance = vec3( 0.0 );\n#endif",lights_fragment_maps:"#if defined( RE_IndirectDiffuse )\n\t#ifdef USE_LIGHTMAP\n\t\tvec4 lightMapTexel= texture2D( lightMap, vUv2 );\n\t\tvec3 lightMapIrradiance = lightMapTexelToLinear( lightMapTexel ).rgb * lightMapIntensity;\n\t\t#ifndef PHYSICALLY_CORRECT_LIGHTS\n\t\t\tlightMapIrradiance *= PI;\n\t\t#endif\n\t\tirradiance += lightMapIrradiance;\n\t#endif\n\t#if defined( USE_ENVMAP ) && defined( STANDARD ) && defined( ENVMAP_TYPE_CUBE_UV )\n\t\tiblIrradiance += getLightProbeIndirectIrradiance( geometry, maxMipLevel );\n\t#endif\n#endif\n#if defined( USE_ENVMAP ) && defined( RE_IndirectSpecular )\n\tradiance += getLightProbeIndirectRadiance( geometry.viewDir, geometry.normal, material.specularRoughness, maxMipLevel );\n\t#ifdef CLEARCOAT\n\t\tclearcoatRadiance += getLightProbeIndirectRadiance( geometry.viewDir, geometry.clearcoatNormal, material.clearcoatRoughness, maxMipLevel );\n\t#endif\n#endif",lights_fragment_end:"#if defined( RE_IndirectDiffuse )\n\tRE_IndirectDiffuse( irradiance, geometry, material, reflectedLight );\n#endif\n#if defined( RE_IndirectSpecular )\n\tRE_IndirectSpecular( radiance, iblIrradiance, clearcoatRadiance, geometry, material, reflectedLight );\n#endif",logdepthbuf_fragment:"#if defined( USE_LOGDEPTHBUF ) && defined( USE_LOGDEPTHBUF_EXT )\n\tgl_FragDepthEXT = vIsPerspective == 0.0 ? gl_FragCoord.z : log2( vFragDepth ) * logDepthBufFC * 0.5;\n#endif",logdepthbuf_pars_fragment:"#if defined( USE_LOGDEPTHBUF ) && defined( USE_LOGDEPTHBUF_EXT )\n\tuniform float logDepthBufFC;\n\tvarying float vFragDepth;\n\tvarying float vIsPerspective;\n#endif",logdepthbuf_pars_vertex:"#ifdef USE_LOGDEPTHBUF\n\t#ifdef USE_LOGDEPTHBUF_EXT\n\t\tvarying float vFragDepth;\n\t\tvarying float vIsPerspective;\n\t#else\n\t\tuniform float logDepthBufFC;\n\t#endif\n#endif",logdepthbuf_vertex:"#ifdef USE_LOGDEPTHBUF\n\t#ifdef USE_LOGDEPTHBUF_EXT\n\t\tvFragDepth = 1.0 + gl_Position.w;\n\t\tvIsPerspective = float( isPerspectiveMatrix( projectionMatrix ) );\n\t#else\n\t\tif ( isPerspectiveMatrix( projectionMatrix ) ) {\n\t\t\tgl_Position.z = log2( max( EPSILON, gl_Position.w + 1.0 ) ) * logDepthBufFC - 1.0;\n\t\t\tgl_Position.z *= gl_Position.w;\n\t\t}\n\t#endif\n#endif",map_fragment:"#ifdef USE_MAP\n\tvec4 texelColor = texture2D( map, vUv );\n\ttexelColor = mapTexelToLinear( texelColor );\n\tdiffuseColor *= texelColor;\n#endif",map_pars_fragment:"#ifdef USE_MAP\n\tuniform sampler2D map;\n#endif",map_particle_fragment:"#if defined( USE_MAP ) || defined( USE_ALPHAMAP )\n\tvec2 uv = ( uvTransform * vec3( gl_PointCoord.x, 1.0 - gl_PointCoord.y, 1 ) ).xy;\n#endif\n#ifdef USE_MAP\n\tvec4 mapTexel = texture2D( map, uv );\n\tdiffuseColor *= mapTexelToLinear( mapTexel );\n#endif\n#ifdef USE_ALPHAMAP\n\tdiffuseColor.a *= texture2D( alphaMap, uv ).g;\n#endif",map_particle_pars_fragment:"#if defined( USE_MAP ) || defined( USE_ALPHAMAP )\n\tuniform mat3 uvTransform;\n#endif\n#ifdef USE_MAP\n\tuniform sampler2D map;\n#endif\n#ifdef USE_ALPHAMAP\n\tuniform sampler2D alphaMap;\n#endif",metalnessmap_fragment:"float metalnessFactor = metalness;\n#ifdef USE_METALNESSMAP\n\tvec4 texelMetalness = texture2D( metalnessMap, vUv );\n\tmetalnessFactor *= texelMetalness.b;\n#endif",metalnessmap_pars_fragment:"#ifdef USE_METALNESSMAP\n\tuniform sampler2D metalnessMap;\n#endif",morphnormal_vertex:"#ifdef USE_MORPHNORMALS\n\tobjectNormal *= morphTargetBaseInfluence;\n\tobjectNormal += morphNormal0 * morphTargetInfluences[ 0 ];\n\tobjectNormal += morphNormal1 * morphTargetInfluences[ 1 ];\n\tobjectNormal += morphNormal2 * morphTargetInfluences[ 2 ];\n\tobjectNormal += morphNormal3 * morphTargetInfluences[ 3 ];\n#endif",morphtarget_pars_vertex:"#ifdef USE_MORPHTARGETS\n\tuniform float morphTargetBaseInfluence;\n\t#ifndef USE_MORPHNORMALS\n\t\tuniform float morphTargetInfluences[ 8 ];\n\t#else\n\t\tuniform float morphTargetInfluences[ 4 ];\n\t#endif\n#endif",morphtarget_vertex:"#ifdef USE_MORPHTARGETS\n\ttransformed *= morphTargetBaseInfluence;\n\ttransformed += morphTarget0 * morphTargetInfluences[ 0 ];\n\ttransformed += morphTarget1 * morphTargetInfluences[ 1 ];\n\ttransformed += morphTarget2 * morphTargetInfluences[ 2 ];\n\ttransformed += morphTarget3 * morphTargetInfluences[ 3 ];\n\t#ifndef USE_MORPHNORMALS\n\t\ttransformed += morphTarget4 * morphTargetInfluences[ 4 ];\n\t\ttransformed += morphTarget5 * morphTargetInfluences[ 5 ];\n\t\ttransformed += morphTarget6 * morphTargetInfluences[ 6 ];\n\t\ttransformed += morphTarget7 * morphTargetInfluences[ 7 ];\n\t#endif\n#endif",normal_fragment_begin:"#ifdef FLAT_SHADED\n\tvec3 fdx = vec3( dFdx( vViewPosition.x ), dFdx( vViewPosition.y ), dFdx( vViewPosition.z ) );\n\tvec3 fdy = vec3( dFdy( vViewPosition.x ), dFdy( vViewPosition.y ), dFdy( vViewPosition.z ) );\n\tvec3 normal = normalize( cross( fdx, fdy ) );\n#else\n\tvec3 normal = normalize( vNormal );\n\t#ifdef DOUBLE_SIDED\n\t\tnormal = normal * ( float( gl_FrontFacing ) * 2.0 - 1.0 );\n\t#endif\n\t#ifdef USE_TANGENT\n\t\tvec3 tangent = normalize( vTangent );\n\t\tvec3 bitangent = normalize( vBitangent );\n\t\t#ifdef DOUBLE_SIDED\n\t\t\ttangent = tangent * ( float( gl_FrontFacing ) * 2.0 - 1.0 );\n\t\t\tbitangent = bitangent * ( float( gl_FrontFacing ) * 2.0 - 1.0 );\n\t\t#endif\n\t\t#if defined( TANGENTSPACE_NORMALMAP ) || defined( USE_CLEARCOAT_NORMALMAP )\n\t\t\tmat3 vTBN = mat3( tangent, bitangent, normal );\n\t\t#endif\n\t#endif\n#endif\nvec3 geometryNormal = normal;",normal_fragment_maps:"#ifdef OBJECTSPACE_NORMALMAP\n\tnormal = texture2D( normalMap, vUv ).xyz * 2.0 - 1.0;\n\t#ifdef FLIP_SIDED\n\t\tnormal = - normal;\n\t#endif\n\t#ifdef DOUBLE_SIDED\n\t\tnormal = normal * ( float( gl_FrontFacing ) * 2.0 - 1.0 );\n\t#endif\n\tnormal = normalize( normalMatrix * normal );\n#elif defined( TANGENTSPACE_NORMALMAP )\n\tvec3 mapN = texture2D( normalMap, vUv ).xyz * 2.0 - 1.0;\n\tmapN.xy *= normalScale;\n\t#ifdef USE_TANGENT\n\t\tnormal = normalize( vTBN * mapN );\n\t#else\n\t\tnormal = perturbNormal2Arb( -vViewPosition, normal, mapN );\n\t#endif\n#elif defined( USE_BUMPMAP )\n\tnormal = perturbNormalArb( -vViewPosition, normal, dHdxy_fwd() );\n#endif",normalmap_pars_fragment:"#ifdef USE_NORMALMAP\n\tuniform sampler2D normalMap;\n\tuniform vec2 normalScale;\n#endif\n#ifdef OBJECTSPACE_NORMALMAP\n\tuniform mat3 normalMatrix;\n#endif\n#if ! defined ( USE_TANGENT ) && ( defined ( TANGENTSPACE_NORMALMAP ) || defined ( USE_CLEARCOAT_NORMALMAP ) )\n\tvec3 perturbNormal2Arb( vec3 eye_pos, vec3 surf_norm, vec3 mapN ) {\n\t\tvec3 q0 = vec3( dFdx( eye_pos.x ), dFdx( eye_pos.y ), dFdx( eye_pos.z ) );\n\t\tvec3 q1 = vec3( dFdy( eye_pos.x ), dFdy( eye_pos.y ), dFdy( eye_pos.z ) );\n\t\tvec2 st0 = dFdx( vUv.st );\n\t\tvec2 st1 = dFdy( vUv.st );\n\t\tfloat scale = sign( st1.t * st0.s - st0.t * st1.s );\n\t\tvec3 S = normalize( ( q0 * st1.t - q1 * st0.t ) * scale );\n\t\tvec3 T = normalize( ( - q0 * st1.s + q1 * st0.s ) * scale );\n\t\tvec3 N = normalize( surf_norm );\n\t\tmat3 tsn = mat3( S, T, N );\n\t\tmapN.xy *= ( float( gl_FrontFacing ) * 2.0 - 1.0 );\n\t\treturn normalize( tsn * mapN );\n\t}\n#endif",clearcoat_normal_fragment_begin:"#ifdef CLEARCOAT\n\tvec3 clearcoatNormal = geometryNormal;\n#endif",clearcoat_normal_fragment_maps:"#ifdef USE_CLEARCOAT_NORMALMAP\n\tvec3 clearcoatMapN = texture2D( clearcoatNormalMap, vUv ).xyz * 2.0 - 1.0;\n\tclearcoatMapN.xy *= clearcoatNormalScale;\n\t#ifdef USE_TANGENT\n\t\tclearcoatNormal = normalize( vTBN * clearcoatMapN );\n\t#else\n\t\tclearcoatNormal = perturbNormal2Arb( - vViewPosition, clearcoatNormal, clearcoatMapN );\n\t#endif\n#endif",clearcoat_pars_fragment:"#ifdef USE_CLEARCOATMAP\n\tuniform sampler2D clearcoatMap;\n#endif\n#ifdef USE_CLEARCOAT_ROUGHNESSMAP\n\tuniform sampler2D clearcoatRoughnessMap;\n#endif\n#ifdef USE_CLEARCOAT_NORMALMAP\n\tuniform sampler2D clearcoatNormalMap;\n\tuniform vec2 clearcoatNormalScale;\n#endif",packing:"vec3 packNormalToRGB( const in vec3 normal ) {\n\treturn normalize( normal ) * 0.5 + 0.5;\n}\nvec3 unpackRGBToNormal( const in vec3 rgb ) {\n\treturn 2.0 * rgb.xyz - 1.0;\n}\nconst float PackUpscale = 256. / 255.;const float UnpackDownscale = 255. / 256.;\nconst vec3 PackFactors = vec3( 256. * 256. * 256., 256. * 256., 256. );\nconst vec4 UnpackFactors = UnpackDownscale / vec4( PackFactors, 1. );\nconst float ShiftRight8 = 1. / 256.;\nvec4 packDepthToRGBA( const in float v ) {\n\tvec4 r = vec4( fract( v * PackFactors ), v );\n\tr.yzw -= r.xyz * ShiftRight8;\treturn r * PackUpscale;\n}\nfloat unpackRGBAToDepth( const in vec4 v ) {\n\treturn dot( v, UnpackFactors );\n}\nvec4 pack2HalfToRGBA( vec2 v ) {\n\tvec4 r = vec4( v.x, fract( v.x * 255.0 ), v.y, fract( v.y * 255.0 ));\n\treturn vec4( r.x - r.y / 255.0, r.y, r.z - r.w / 255.0, r.w);\n}\nvec2 unpackRGBATo2Half( vec4 v ) {\n\treturn vec2( v.x + ( v.y / 255.0 ), v.z + ( v.w / 255.0 ) );\n}\nfloat viewZToOrthographicDepth( const in float viewZ, const in float near, const in float far ) {\n\treturn ( viewZ + near ) / ( near - far );\n}\nfloat orthographicDepthToViewZ( const in float linearClipZ, const in float near, const in float far ) {\n\treturn linearClipZ * ( near - far ) - near;\n}\nfloat viewZToPerspectiveDepth( const in float viewZ, const in float near, const in float far ) {\n\treturn (( near + viewZ ) * far ) / (( far - near ) * viewZ );\n}\nfloat perspectiveDepthToViewZ( const in float invClipZ, const in float near, const in float far ) {\n\treturn ( near * far ) / ( ( far - near ) * invClipZ - far );\n}",premultiplied_alpha_fragment:"#ifdef PREMULTIPLIED_ALPHA\n\tgl_FragColor.rgb *= gl_FragColor.a;\n#endif",project_vertex:"vec4 mvPosition = vec4( transformed, 1.0 );\n#ifdef USE_INSTANCING\n\tmvPosition = instanceMatrix * mvPosition;\n#endif\nmvPosition = modelViewMatrix * mvPosition;\ngl_Position = projectionMatrix * mvPosition;",dithering_fragment:"#ifdef DITHERING\n\tgl_FragColor.rgb = dithering( gl_FragColor.rgb );\n#endif",dithering_pars_fragment:"#ifdef DITHERING\n\tvec3 dithering( vec3 color ) {\n\t\tfloat grid_position = rand( gl_FragCoord.xy );\n\t\tvec3 dither_shift_RGB = vec3( 0.25 / 255.0, -0.25 / 255.0, 0.25 / 255.0 );\n\t\tdither_shift_RGB = mix( 2.0 * dither_shift_RGB, -2.0 * dither_shift_RGB, grid_position );\n\t\treturn color + dither_shift_RGB;\n\t}\n#endif",roughnessmap_fragment:"float roughnessFactor = roughness;\n#ifdef USE_ROUGHNESSMAP\n\tvec4 texelRoughness = texture2D( roughnessMap, vUv );\n\troughnessFactor *= texelRoughness.g;\n#endif",roughnessmap_pars_fragment:"#ifdef USE_ROUGHNESSMAP\n\tuniform sampler2D roughnessMap;\n#endif",shadowmap_pars_fragment:"#ifdef USE_SHADOWMAP\n\t#if NUM_DIR_LIGHT_SHADOWS > 0\n\t\tuniform sampler2D directionalShadowMap[ NUM_DIR_LIGHT_SHADOWS ];\n\t\tvarying vec4 vDirectionalShadowCoord[ NUM_DIR_LIGHT_SHADOWS ];\n\t\tstruct DirectionalLightShadow {\n\t\t\tfloat shadowBias;\n\t\t\tfloat shadowNormalBias;\n\t\t\tfloat shadowRadius;\n\t\t\tvec2 shadowMapSize;\n\t\t};\n\t\tuniform DirectionalLightShadow directionalLightShadows[ NUM_DIR_LIGHT_SHADOWS ];\n\t#endif\n\t#if NUM_SPOT_LIGHT_SHADOWS > 0\n\t\tuniform sampler2D spotShadowMap[ NUM_SPOT_LIGHT_SHADOWS ];\n\t\tvarying vec4 vSpotShadowCoord[ NUM_SPOT_LIGHT_SHADOWS ];\n\t\tstruct SpotLightShadow {\n\t\t\tfloat shadowBias;\n\t\t\tfloat shadowNormalBias;\n\t\t\tfloat shadowRadius;\n\t\t\tvec2 shadowMapSize;\n\t\t};\n\t\tuniform SpotLightShadow spotLightShadows[ NUM_SPOT_LIGHT_SHADOWS ];\n\t#endif\n\t#if NUM_POINT_LIGHT_SHADOWS > 0\n\t\tuniform sampler2D pointShadowMap[ NUM_POINT_LIGHT_SHADOWS ];\n\t\tvarying vec4 vPointShadowCoord[ NUM_POINT_LIGHT_SHADOWS ];\n\t\tstruct PointLightShadow {\n\t\t\tfloat shadowBias;\n\t\t\tfloat shadowNormalBias;\n\t\t\tfloat shadowRadius;\n\t\t\tvec2 shadowMapSize;\n\t\t\tfloat shadowCameraNear;\n\t\t\tfloat shadowCameraFar;\n\t\t};\n\t\tuniform PointLightShadow pointLightShadows[ NUM_POINT_LIGHT_SHADOWS ];\n\t#endif\n\tfloat texture2DCompare( sampler2D depths, vec2 uv, float compare ) {\n\t\treturn step( compare, unpackRGBAToDepth( texture2D( depths, uv ) ) );\n\t}\n\tvec2 texture2DDistribution( sampler2D shadow, vec2 uv ) {\n\t\treturn unpackRGBATo2Half( texture2D( shadow, uv ) );\n\t}\n\tfloat VSMShadow (sampler2D shadow, vec2 uv, float compare ){\n\t\tfloat occlusion = 1.0;\n\t\tvec2 distribution = texture2DDistribution( shadow, uv );\n\t\tfloat hard_shadow = step( compare , distribution.x );\n\t\tif (hard_shadow != 1.0 ) {\n\t\t\tfloat distance = compare - distribution.x ;\n\t\t\tfloat variance = max( 0.00000, distribution.y * distribution.y );\n\t\t\tfloat softness_probability = variance / (variance + distance * distance );\t\t\tsoftness_probability = clamp( ( softness_probability - 0.3 ) / ( 0.95 - 0.3 ), 0.0, 1.0 );\t\t\tocclusion = clamp( max( hard_shadow, softness_probability ), 0.0, 1.0 );\n\t\t}\n\t\treturn occlusion;\n\t}\n\tfloat getShadow( sampler2D shadowMap, vec2 shadowMapSize, float shadowBias, float shadowRadius, vec4 shadowCoord ) {\n\t\tfloat shadow = 1.0;\n\t\tshadowCoord.xyz /= shadowCoord.w;\n\t\tshadowCoord.z += shadowBias;\n\t\tbvec4 inFrustumVec = bvec4 ( shadowCoord.x >= 0.0, shadowCoord.x <= 1.0, shadowCoord.y >= 0.0, shadowCoord.y <= 1.0 );\n\t\tbool inFrustum = all( inFrustumVec );\n\t\tbvec2 frustumTestVec = bvec2( inFrustum, shadowCoord.z <= 1.0 );\n\t\tbool frustumTest = all( frustumTestVec );\n\t\tif ( frustumTest ) {\n\t\t#if defined( SHADOWMAP_TYPE_PCF )\n\t\t\tvec2 texelSize = vec2( 1.0 ) / shadowMapSize;\n\t\t\tfloat dx0 = - texelSize.x * shadowRadius;\n\t\t\tfloat dy0 = - texelSize.y * shadowRadius;\n\t\t\tfloat dx1 = + texelSize.x * shadowRadius;\n\t\t\tfloat dy1 = + texelSize.y * shadowRadius;\n\t\t\tfloat dx2 = dx0 / 2.0;\n\t\t\tfloat dy2 = dy0 / 2.0;\n\t\t\tfloat dx3 = dx1 / 2.0;\n\t\t\tfloat dy3 = dy1 / 2.0;\n\t\t\tshadow = (\n\t\t\t\ttexture2DCompare( shadowMap, shadowCoord.xy + vec2( dx0, dy0 ), shadowCoord.z ) +\n\t\t\t\ttexture2DCompare( shadowMap, shadowCoord.xy + vec2( 0.0, dy0 ), shadowCoord.z ) +\n\t\t\t\ttexture2DCompare( shadowMap, shadowCoord.xy + vec2( dx1, dy0 ), shadowCoord.z ) +\n\t\t\t\ttexture2DCompare( shadowMap, shadowCoord.xy + vec2( dx2, dy2 ), shadowCoord.z ) +\n\t\t\t\ttexture2DCompare( shadowMap, shadowCoord.xy + vec2( 0.0, dy2 ), shadowCoord.z ) +\n\t\t\t\ttexture2DCompare( shadowMap, shadowCoord.xy + vec2( dx3, dy2 ), shadowCoord.z ) +\n\t\t\t\ttexture2DCompare( shadowMap, shadowCoord.xy + vec2( dx0, 0.0 ), shadowCoord.z ) +\n\t\t\t\ttexture2DCompare( shadowMap, shadowCoord.xy + vec2( dx2, 0.0 ), shadowCoord.z ) +\n\t\t\t\ttexture2DCompare( shadowMap, shadowCoord.xy, shadowCoord.z ) +\n\t\t\t\ttexture2DCompare( shadowMap, shadowCoord.xy + vec2( dx3, 0.0 ), shadowCoord.z ) +\n\t\t\t\ttexture2DCompare( shadowMap, shadowCoord.xy + vec2( dx1, 0.0 ), shadowCoord.z ) +\n\t\t\t\ttexture2DCompare( shadowMap, shadowCoord.xy + vec2( dx2, dy3 ), shadowCoord.z ) +\n\t\t\t\ttexture2DCompare( shadowMap, shadowCoord.xy + vec2( 0.0, dy3 ), shadowCoord.z ) +\n\t\t\t\ttexture2DCompare( shadowMap, shadowCoord.xy + vec2( dx3, dy3 ), shadowCoord.z ) +\n\t\t\t\ttexture2DCompare( shadowMap, shadowCoord.xy + vec2( dx0, dy1 ), shadowCoord.z ) +\n\t\t\t\ttexture2DCompare( shadowMap, shadowCoord.xy + vec2( 0.0, dy1 ), shadowCoord.z ) +\n\t\t\t\ttexture2DCompare( shadowMap, shadowCoord.xy + vec2( dx1, dy1 ), shadowCoord.z )\n\t\t\t) * ( 1.0 / 17.0 );\n\t\t#elif defined( SHADOWMAP_TYPE_PCF_SOFT )\n\t\t\tvec2 texelSize = vec2( 1.0 ) / shadowMapSize;\n\t\t\tfloat dx = texelSize.x;\n\t\t\tfloat dy = texelSize.y;\n\t\t\tvec2 uv = shadowCoord.xy;\n\t\t\tvec2 f = fract( uv * shadowMapSize + 0.5 );\n\t\t\tuv -= f * texelSize;\n\t\t\tshadow = (\n\t\t\t\ttexture2DCompare( shadowMap, uv, shadowCoord.z ) +\n\t\t\t\ttexture2DCompare( shadowMap, uv + vec2( dx, 0.0 ), shadowCoord.z ) +\n\t\t\t\ttexture2DCompare( shadowMap, uv + vec2( 0.0, dy ), shadowCoord.z ) +\n\t\t\t\ttexture2DCompare( shadowMap, uv + texelSize, shadowCoord.z ) +\n\t\t\t\tmix( texture2DCompare( shadowMap, uv + vec2( -dx, 0.0 ), shadowCoord.z ), \n\t\t\t\t\t texture2DCompare( shadowMap, uv + vec2( 2.0 * dx, 0.0 ), shadowCoord.z ),\n\t\t\t\t\t f.x ) +\n\t\t\t\tmix( texture2DCompare( shadowMap, uv + vec2( -dx, dy ), shadowCoord.z ), \n\t\t\t\t\t texture2DCompare( shadowMap, uv + vec2( 2.0 * dx, dy ), shadowCoord.z ),\n\t\t\t\t\t f.x ) +\n\t\t\t\tmix( texture2DCompare( shadowMap, uv + vec2( 0.0, -dy ), shadowCoord.z ), \n\t\t\t\t\t texture2DCompare( shadowMap, uv + vec2( 0.0, 2.0 * dy ), shadowCoord.z ),\n\t\t\t\t\t f.y ) +\n\t\t\t\tmix( texture2DCompare( shadowMap, uv + vec2( dx, -dy ), shadowCoord.z ), \n\t\t\t\t\t texture2DCompare( shadowMap, uv + vec2( dx, 2.0 * dy ), shadowCoord.z ),\n\t\t\t\t\t f.y ) +\n\t\t\t\tmix( mix( texture2DCompare( shadowMap, uv + vec2( -dx, -dy ), shadowCoord.z ), \n\t\t\t\t\t\t  texture2DCompare( shadowMap, uv + vec2( 2.0 * dx, -dy ), shadowCoord.z ),\n\t\t\t\t\t\t  f.x ),\n\t\t\t\t\t mix( texture2DCompare( shadowMap, uv + vec2( -dx, 2.0 * dy ), shadowCoord.z ), \n\t\t\t\t\t\t  texture2DCompare( shadowMap, uv + vec2( 2.0 * dx, 2.0 * dy ), shadowCoord.z ),\n\t\t\t\t\t\t  f.x ),\n\t\t\t\t\t f.y )\n\t\t\t) * ( 1.0 / 9.0 );\n\t\t#elif defined( SHADOWMAP_TYPE_VSM )\n\t\t\tshadow = VSMShadow( shadowMap, shadowCoord.xy, shadowCoord.z );\n\t\t#else\n\t\t\tshadow = texture2DCompare( shadowMap, shadowCoord.xy, shadowCoord.z );\n\t\t#endif\n\t\t}\n\t\treturn shadow;\n\t}\n\tvec2 cubeToUV( vec3 v, float texelSizeY ) {\n\t\tvec3 absV = abs( v );\n\t\tfloat scaleToCube = 1.0 / max( absV.x, max( absV.y, absV.z ) );\n\t\tabsV *= scaleToCube;\n\t\tv *= scaleToCube * ( 1.0 - 2.0 * texelSizeY );\n\t\tvec2 planar = v.xy;\n\t\tfloat almostATexel = 1.5 * texelSizeY;\n\t\tfloat almostOne = 1.0 - almostATexel;\n\t\tif ( absV.z >= almostOne ) {\n\t\t\tif ( v.z > 0.0 )\n\t\t\t\tplanar.x = 4.0 - v.x;\n\t\t} else if ( absV.x >= almostOne ) {\n\t\t\tfloat signX = sign( v.x );\n\t\t\tplanar.x = v.z * signX + 2.0 * signX;\n\t\t} else if ( absV.y >= almostOne ) {\n\t\t\tfloat signY = sign( v.y );\n\t\t\tplanar.x = v.x + 2.0 * signY + 2.0;\n\t\t\tplanar.y = v.z * signY - 2.0;\n\t\t}\n\t\treturn vec2( 0.125, 0.25 ) * planar + vec2( 0.375, 0.75 );\n\t}\n\tfloat getPointShadow( sampler2D shadowMap, vec2 shadowMapSize, float shadowBias, float shadowRadius, vec4 shadowCoord, float shadowCameraNear, float shadowCameraFar ) {\n\t\tvec2 texelSize = vec2( 1.0 ) / ( shadowMapSize * vec2( 4.0, 2.0 ) );\n\t\tvec3 lightToPosition = shadowCoord.xyz;\n\t\tfloat dp = ( length( lightToPosition ) - shadowCameraNear ) / ( shadowCameraFar - shadowCameraNear );\t\tdp += shadowBias;\n\t\tvec3 bd3D = normalize( lightToPosition );\n\t\t#if defined( SHADOWMAP_TYPE_PCF ) || defined( SHADOWMAP_TYPE_PCF_SOFT ) || defined( SHADOWMAP_TYPE_VSM )\n\t\t\tvec2 offset = vec2( - 1, 1 ) * shadowRadius * texelSize.y;\n\t\t\treturn (\n\t\t\t\ttexture2DCompare( shadowMap, cubeToUV( bd3D + offset.xyy, texelSize.y ), dp ) +\n\t\t\t\ttexture2DCompare( shadowMap, cubeToUV( bd3D + offset.yyy, texelSize.y ), dp ) +\n\t\t\t\ttexture2DCompare( shadowMap, cubeToUV( bd3D + offset.xyx, texelSize.y ), dp ) +\n\t\t\t\ttexture2DCompare( shadowMap, cubeToUV( bd3D + offset.yyx, texelSize.y ), dp ) +\n\t\t\t\ttexture2DCompare( shadowMap, cubeToUV( bd3D, texelSize.y ), dp ) +\n\t\t\t\ttexture2DCompare( shadowMap, cubeToUV( bd3D + offset.xxy, texelSize.y ), dp ) +\n\t\t\t\ttexture2DCompare( shadowMap, cubeToUV( bd3D + offset.yxy, texelSize.y ), dp ) +\n\t\t\t\ttexture2DCompare( shadowMap, cubeToUV( bd3D + offset.xxx, texelSize.y ), dp ) +\n\t\t\t\ttexture2DCompare( shadowMap, cubeToUV( bd3D + offset.yxx, texelSize.y ), dp )\n\t\t\t) * ( 1.0 / 9.0 );\n\t\t#else\n\t\t\treturn texture2DCompare( shadowMap, cubeToUV( bd3D, texelSize.y ), dp );\n\t\t#endif\n\t}\n#endif",shadowmap_pars_vertex:"#ifdef USE_SHADOWMAP\n\t#if NUM_DIR_LIGHT_SHADOWS > 0\n\t\tuniform mat4 directionalShadowMatrix[ NUM_DIR_LIGHT_SHADOWS ];\n\t\tvarying vec4 vDirectionalShadowCoord[ NUM_DIR_LIGHT_SHADOWS ];\n\t\tstruct DirectionalLightShadow {\n\t\t\tfloat shadowBias;\n\t\t\tfloat shadowNormalBias;\n\t\t\tfloat shadowRadius;\n\t\t\tvec2 shadowMapSize;\n\t\t};\n\t\tuniform DirectionalLightShadow directionalLightShadows[ NUM_DIR_LIGHT_SHADOWS ];\n\t#endif\n\t#if NUM_SPOT_LIGHT_SHADOWS > 0\n\t\tuniform mat4 spotShadowMatrix[ NUM_SPOT_LIGHT_SHADOWS ];\n\t\tvarying vec4 vSpotShadowCoord[ NUM_SPOT_LIGHT_SHADOWS ];\n\t\tstruct SpotLightShadow {\n\t\t\tfloat shadowBias;\n\t\t\tfloat shadowNormalBias;\n\t\t\tfloat shadowRadius;\n\t\t\tvec2 shadowMapSize;\n\t\t};\n\t\tuniform SpotLightShadow spotLightShadows[ NUM_SPOT_LIGHT_SHADOWS ];\n\t#endif\n\t#if NUM_POINT_LIGHT_SHADOWS > 0\n\t\tuniform mat4 pointShadowMatrix[ NUM_POINT_LIGHT_SHADOWS ];\n\t\tvarying vec4 vPointShadowCoord[ NUM_POINT_LIGHT_SHADOWS ];\n\t\tstruct PointLightShadow {\n\t\t\tfloat shadowBias;\n\t\t\tfloat shadowNormalBias;\n\t\t\tfloat shadowRadius;\n\t\t\tvec2 shadowMapSize;\n\t\t\tfloat shadowCameraNear;\n\t\t\tfloat shadowCameraFar;\n\t\t};\n\t\tuniform PointLightShadow pointLightShadows[ NUM_POINT_LIGHT_SHADOWS ];\n\t#endif\n#endif",shadowmap_vertex:"#ifdef USE_SHADOWMAP\n\t#if NUM_DIR_LIGHT_SHADOWS > 0 || NUM_SPOT_LIGHT_SHADOWS > 0 || NUM_POINT_LIGHT_SHADOWS > 0\n\t\tvec3 shadowWorldNormal = inverseTransformDirection( transformedNormal, viewMatrix );\n\t\tvec4 shadowWorldPosition;\n\t#endif\n\t#if NUM_DIR_LIGHT_SHADOWS > 0\n\t#pragma unroll_loop_start\n\tfor ( int i = 0; i < NUM_DIR_LIGHT_SHADOWS; i ++ ) {\n\t\tshadowWorldPosition = worldPosition + vec4( shadowWorldNormal * directionalLightShadows[ i ].shadowNormalBias, 0 );\n\t\tvDirectionalShadowCoord[ i ] = directionalShadowMatrix[ i ] * shadowWorldPosition;\n\t}\n\t#pragma unroll_loop_end\n\t#endif\n\t#if NUM_SPOT_LIGHT_SHADOWS > 0\n\t#pragma unroll_loop_start\n\tfor ( int i = 0; i < NUM_SPOT_LIGHT_SHADOWS; i ++ ) {\n\t\tshadowWorldPosition = worldPosition + vec4( shadowWorldNormal * spotLightShadows[ i ].shadowNormalBias, 0 );\n\t\tvSpotShadowCoord[ i ] = spotShadowMatrix[ i ] * shadowWorldPosition;\n\t}\n\t#pragma unroll_loop_end\n\t#endif\n\t#if NUM_POINT_LIGHT_SHADOWS > 0\n\t#pragma unroll_loop_start\n\tfor ( int i = 0; i < NUM_POINT_LIGHT_SHADOWS; i ++ ) {\n\t\tshadowWorldPosition = worldPosition + vec4( shadowWorldNormal * pointLightShadows[ i ].shadowNormalBias, 0 );\n\t\tvPointShadowCoord[ i ] = pointShadowMatrix[ i ] * shadowWorldPosition;\n\t}\n\t#pragma unroll_loop_end\n\t#endif\n#endif",shadowmask_pars_fragment:"float getShadowMask() {\n\tfloat shadow = 1.0;\n\t#ifdef USE_SHADOWMAP\n\t#if NUM_DIR_LIGHT_SHADOWS > 0\n\tDirectionalLightShadow directionalLight;\n\t#pragma unroll_loop_start\n\tfor ( int i = 0; i < NUM_DIR_LIGHT_SHADOWS; i ++ ) {\n\t\tdirectionalLight = directionalLightShadows[ i ];\n\t\tshadow *= receiveShadow ? getShadow( directionalShadowMap[ i ], directionalLight.shadowMapSize, directionalLight.shadowBias, directionalLight.shadowRadius, vDirectionalShadowCoord[ i ] ) : 1.0;\n\t}\n\t#pragma unroll_loop_end\n\t#endif\n\t#if NUM_SPOT_LIGHT_SHADOWS > 0\n\tSpotLightShadow spotLight;\n\t#pragma unroll_loop_start\n\tfor ( int i = 0; i < NUM_SPOT_LIGHT_SHADOWS; i ++ ) {\n\t\tspotLight = spotLightShadows[ i ];\n\t\tshadow *= receiveShadow ? getShadow( spotShadowMap[ i ], spotLight.shadowMapSize, spotLight.shadowBias, spotLight.shadowRadius, vSpotShadowCoord[ i ] ) : 1.0;\n\t}\n\t#pragma unroll_loop_end\n\t#endif\n\t#if NUM_POINT_LIGHT_SHADOWS > 0\n\tPointLightShadow pointLight;\n\t#pragma unroll_loop_start\n\tfor ( int i = 0; i < NUM_POINT_LIGHT_SHADOWS; i ++ ) {\n\t\tpointLight = pointLightShadows[ i ];\n\t\tshadow *= receiveShadow ? getPointShadow( pointShadowMap[ i ], pointLight.shadowMapSize, pointLight.shadowBias, pointLight.shadowRadius, vPointShadowCoord[ i ], pointLight.shadowCameraNear, pointLight.shadowCameraFar ) : 1.0;\n\t}\n\t#pragma unroll_loop_end\n\t#endif\n\t#endif\n\treturn shadow;\n}",skinbase_vertex:"#ifdef USE_SKINNING\n\tmat4 boneMatX = getBoneMatrix( skinIndex.x );\n\tmat4 boneMatY = getBoneMatrix( skinIndex.y );\n\tmat4 boneMatZ = getBoneMatrix( skinIndex.z );\n\tmat4 boneMatW = getBoneMatrix( skinIndex.w );\n#endif",skinning_pars_vertex:"#ifdef USE_SKINNING\n\tuniform mat4 bindMatrix;\n\tuniform mat4 bindMatrixInverse;\n\t#ifdef BONE_TEXTURE\n\t\tuniform highp sampler2D boneTexture;\n\t\tuniform int boneTextureSize;\n\t\tmat4 getBoneMatrix( const in float i ) {\n\t\t\tfloat j = i * 4.0;\n\t\t\tfloat x = mod( j, float( boneTextureSize ) );\n\t\t\tfloat y = floor( j / float( boneTextureSize ) );\n\t\t\tfloat dx = 1.0 / float( boneTextureSize );\n\t\t\tfloat dy = 1.0 / float( boneTextureSize );\n\t\t\ty = dy * ( y + 0.5 );\n\t\t\tvec4 v1 = texture2D( boneTexture, vec2( dx * ( x + 0.5 ), y ) );\n\t\t\tvec4 v2 = texture2D( boneTexture, vec2( dx * ( x + 1.5 ), y ) );\n\t\t\tvec4 v3 = texture2D( boneTexture, vec2( dx * ( x + 2.5 ), y ) );\n\t\t\tvec4 v4 = texture2D( boneTexture, vec2( dx * ( x + 3.5 ), y ) );\n\t\t\tmat4 bone = mat4( v1, v2, v3, v4 );\n\t\t\treturn bone;\n\t\t}\n\t#else\n\t\tuniform mat4 boneMatrices[ MAX_BONES ];\n\t\tmat4 getBoneMatrix( const in float i ) {\n\t\t\tmat4 bone = boneMatrices[ int(i) ];\n\t\t\treturn bone;\n\t\t}\n\t#endif\n#endif",skinning_vertex:"#ifdef USE_SKINNING\n\tvec4 skinVertex = bindMatrix * vec4( transformed, 1.0 );\n\tvec4 skinned = vec4( 0.0 );\n\tskinned += boneMatX * skinVertex * skinWeight.x;\n\tskinned += boneMatY * skinVertex * skinWeight.y;\n\tskinned += boneMatZ * skinVertex * skinWeight.z;\n\tskinned += boneMatW * skinVertex * skinWeight.w;\n\ttransformed = ( bindMatrixInverse * skinned ).xyz;\n#endif",skinnormal_vertex:"#ifdef USE_SKINNING\n\tmat4 skinMatrix = mat4( 0.0 );\n\tskinMatrix += skinWeight.x * boneMatX;\n\tskinMatrix += skinWeight.y * boneMatY;\n\tskinMatrix += skinWeight.z * boneMatZ;\n\tskinMatrix += skinWeight.w * boneMatW;\n\tskinMatrix = bindMatrixInverse * skinMatrix * bindMatrix;\n\tobjectNormal = vec4( skinMatrix * vec4( objectNormal, 0.0 ) ).xyz;\n\t#ifdef USE_TANGENT\n\t\tobjectTangent = vec4( skinMatrix * vec4( objectTangent, 0.0 ) ).xyz;\n\t#endif\n#endif",specularmap_fragment:"float specularStrength;\n#ifdef USE_SPECULARMAP\n\tvec4 texelSpecular = texture2D( specularMap, vUv );\n\tspecularStrength = texelSpecular.r;\n#else\n\tspecularStrength = 1.0;\n#endif",specularmap_pars_fragment:"#ifdef USE_SPECULARMAP\n\tuniform sampler2D specularMap;\n#endif",tonemapping_fragment:"#if defined( TONE_MAPPING )\n\tgl_FragColor.rgb = toneMapping( gl_FragColor.rgb );\n#endif",tonemapping_pars_fragment:"#ifndef saturate\n#define saturate(a) clamp( a, 0.0, 1.0 )\n#endif\nuniform float toneMappingExposure;\nvec3 LinearToneMapping( vec3 color ) {\n\treturn toneMappingExposure * color;\n}\nvec3 ReinhardToneMapping( vec3 color ) {\n\tcolor *= toneMappingExposure;\n\treturn saturate( color / ( vec3( 1.0 ) + color ) );\n}\nvec3 OptimizedCineonToneMapping( vec3 color ) {\n\tcolor *= toneMappingExposure;\n\tcolor = max( vec3( 0.0 ), color - 0.004 );\n\treturn pow( ( color * ( 6.2 * color + 0.5 ) ) / ( color * ( 6.2 * color + 1.7 ) + 0.06 ), vec3( 2.2 ) );\n}\nvec3 RRTAndODTFit( vec3 v ) {\n\tvec3 a = v * ( v + 0.0245786 ) - 0.000090537;\n\tvec3 b = v * ( 0.983729 * v + 0.4329510 ) + 0.238081;\n\treturn a / b;\n}\nvec3 ACESFilmicToneMapping( vec3 color ) {\n\tconst mat3 ACESInputMat = mat3(\n\t\tvec3( 0.59719, 0.07600, 0.02840 ),\t\tvec3( 0.35458, 0.90834, 0.13383 ),\n\t\tvec3( 0.04823, 0.01566, 0.83777 )\n\t);\n\tconst mat3 ACESOutputMat = mat3(\n\t\tvec3(  1.60475, -0.10208, -0.00327 ),\t\tvec3( -0.53108,  1.10813, -0.07276 ),\n\t\tvec3( -0.07367, -0.00605,  1.07602 )\n\t);\n\tcolor *= toneMappingExposure / 0.6;\n\tcolor = ACESInputMat * color;\n\tcolor = RRTAndODTFit( color );\n\tcolor = ACESOutputMat * color;\n\treturn saturate( color );\n}\nvec3 CustomToneMapping( vec3 color ) { return color; }",transmissionmap_fragment:"#ifdef USE_TRANSMISSIONMAP\n\ttotalTransmission *= texture2D( transmissionMap, vUv ).r;\n#endif",transmissionmap_pars_fragment:"#ifdef USE_TRANSMISSIONMAP\n\tuniform sampler2D transmissionMap;\n#endif",uv_pars_fragment:"#if ( defined( USE_UV ) && ! defined( UVS_VERTEX_ONLY ) )\n\tvarying vec2 vUv;\n#endif",uv_pars_vertex:"#ifdef USE_UV\n\t#ifdef UVS_VERTEX_ONLY\n\t\tvec2 vUv;\n\t#else\n\t\tvarying vec2 vUv;\n\t#endif\n\tuniform mat3 uvTransform;\n#endif",uv_vertex:"#ifdef USE_UV\n\tvUv = ( uvTransform * vec3( uv, 1 ) ).xy;\n#endif",uv2_pars_fragment:"#if defined( USE_LIGHTMAP ) || defined( USE_AOMAP )\n\tvarying vec2 vUv2;\n#endif",uv2_pars_vertex:"#if defined( USE_LIGHTMAP ) || defined( USE_AOMAP )\n\tattribute vec2 uv2;\n\tvarying vec2 vUv2;\n\tuniform mat3 uv2Transform;\n#endif",uv2_vertex:"#if defined( USE_LIGHTMAP ) || defined( USE_AOMAP )\n\tvUv2 = ( uv2Transform * vec3( uv2, 1 ) ).xy;\n#endif",worldpos_vertex:"#if defined( USE_ENVMAP ) || defined( DISTANCE ) || defined ( USE_SHADOWMAP )\n\tvec4 worldPosition = vec4( transformed, 1.0 );\n\t#ifdef USE_INSTANCING\n\t\tworldPosition = instanceMatrix * worldPosition;\n\t#endif\n\tworldPosition = modelMatrix * worldPosition;\n#endif",background_frag:"uniform sampler2D t2D;\nvarying vec2 vUv;\nvoid main() {\n\tvec4 texColor = texture2D( t2D, vUv );\n\tgl_FragColor = mapTexelToLinear( texColor );\n\t#include <tonemapping_fragment>\n\t#include <encodings_fragment>\n}",background_vert:"varying vec2 vUv;\nuniform mat3 uvTransform;\nvoid main() {\n\tvUv = ( uvTransform * vec3( uv, 1 ) ).xy;\n\tgl_Position = vec4( position.xy, 1.0, 1.0 );\n}",cube_frag:"#include <envmap_common_pars_fragment>\nuniform float opacity;\nvarying vec3 vWorldDirection;\n#include <cube_uv_reflection_fragment>\nvoid main() {\n\tvec3 vReflect = vWorldDirection;\n\t#include <envmap_fragment>\n\tgl_FragColor = envColor;\n\tgl_FragColor.a *= opacity;\n\t#include <tonemapping_fragment>\n\t#include <encodings_fragment>\n}",cube_vert:"varying vec3 vWorldDirection;\n#include <common>\nvoid main() {\n\tvWorldDirection = transformDirection( position, modelMatrix );\n\t#include <begin_vertex>\n\t#include <project_vertex>\n\tgl_Position.z = gl_Position.w;\n}",depth_frag:"#if DEPTH_PACKING == 3200\n\tuniform float opacity;\n#endif\n#include <common>\n#include <packing>\n#include <uv_pars_fragment>\n#include <map_pars_fragment>\n#include <alphamap_pars_fragment>\n#include <logdepthbuf_pars_fragment>\n#include <clipping_planes_pars_fragment>\nvarying vec2 vHighPrecisionZW;\nvoid main() {\n\t#include <clipping_planes_fragment>\n\tvec4 diffuseColor = vec4( 1.0 );\n\t#if DEPTH_PACKING == 3200\n\t\tdiffuseColor.a = opacity;\n\t#endif\n\t#include <map_fragment>\n\t#include <alphamap_fragment>\n\t#include <alphatest_fragment>\n\t#include <logdepthbuf_fragment>\n\tfloat fragCoordZ = 0.5 * vHighPrecisionZW[0] / vHighPrecisionZW[1] + 0.5;\n\t#if DEPTH_PACKING == 3200\n\t\tgl_FragColor = vec4( vec3( 1.0 - fragCoordZ ), opacity );\n\t#elif DEPTH_PACKING == 3201\n\t\tgl_FragColor = packDepthToRGBA( fragCoordZ );\n\t#endif\n}",depth_vert:"#include <common>\n#include <uv_pars_vertex>\n#include <displacementmap_pars_vertex>\n#include <morphtarget_pars_vertex>\n#include <skinning_pars_vertex>\n#include <logdepthbuf_pars_vertex>\n#include <clipping_planes_pars_vertex>\nvarying vec2 vHighPrecisionZW;\nvoid main() {\n\t#include <uv_vertex>\n\t#include <skinbase_vertex>\n\t#ifdef USE_DISPLACEMENTMAP\n\t\t#include <beginnormal_vertex>\n\t\t#include <morphnormal_vertex>\n\t\t#include <skinnormal_vertex>\n\t#endif\n\t#include <begin_vertex>\n\t#include <morphtarget_vertex>\n\t#include <skinning_vertex>\n\t#include <displacementmap_vertex>\n\t#include <project_vertex>\n\t#include <logdepthbuf_vertex>\n\t#include <clipping_planes_vertex>\n\tvHighPrecisionZW = gl_Position.zw;\n}",distanceRGBA_frag:"#define DISTANCE\nuniform vec3 referencePosition;\nuniform float nearDistance;\nuniform float farDistance;\nvarying vec3 vWorldPosition;\n#include <common>\n#include <packing>\n#include <uv_pars_fragment>\n#include <map_pars_fragment>\n#include <alphamap_pars_fragment>\n#include <clipping_planes_pars_fragment>\nvoid main () {\n\t#include <clipping_planes_fragment>\n\tvec4 diffuseColor = vec4( 1.0 );\n\t#include <map_fragment>\n\t#include <alphamap_fragment>\n\t#include <alphatest_fragment>\n\tfloat dist = length( vWorldPosition - referencePosition );\n\tdist = ( dist - nearDistance ) / ( farDistance - nearDistance );\n\tdist = saturate( dist );\n\tgl_FragColor = packDepthToRGBA( dist );\n}",distanceRGBA_vert:"#define DISTANCE\nvarying vec3 vWorldPosition;\n#include <common>\n#include <uv_pars_vertex>\n#include <displacementmap_pars_vertex>\n#include <morphtarget_pars_vertex>\n#include <skinning_pars_vertex>\n#include <clipping_planes_pars_vertex>\nvoid main() {\n\t#include <uv_vertex>\n\t#include <skinbase_vertex>\n\t#ifdef USE_DISPLACEMENTMAP\n\t\t#include <beginnormal_vertex>\n\t\t#include <morphnormal_vertex>\n\t\t#include <skinnormal_vertex>\n\t#endif\n\t#include <begin_vertex>\n\t#include <morphtarget_vertex>\n\t#include <skinning_vertex>\n\t#include <displacementmap_vertex>\n\t#include <project_vertex>\n\t#include <worldpos_vertex>\n\t#include <clipping_planes_vertex>\n\tvWorldPosition = worldPosition.xyz;\n}",equirect_frag:"uniform sampler2D tEquirect;\nvarying vec3 vWorldDirection;\n#include <common>\nvoid main() {\n\tvec3 direction = normalize( vWorldDirection );\n\tvec2 sampleUV = equirectUv( direction );\n\tvec4 texColor = texture2D( tEquirect, sampleUV );\n\tgl_FragColor = mapTexelToLinear( texColor );\n\t#include <tonemapping_fragment>\n\t#include <encodings_fragment>\n}",equirect_vert:"varying vec3 vWorldDirection;\n#include <common>\nvoid main() {\n\tvWorldDirection = transformDirection( position, modelMatrix );\n\t#include <begin_vertex>\n\t#include <project_vertex>\n}",linedashed_frag:"uniform vec3 diffuse;\nuniform float opacity;\nuniform float dashSize;\nuniform float totalSize;\nvarying float vLineDistance;\n#include <common>\n#include <color_pars_fragment>\n#include <fog_pars_fragment>\n#include <logdepthbuf_pars_fragment>\n#include <clipping_planes_pars_fragment>\nvoid main() {\n\t#include <clipping_planes_fragment>\n\tif ( mod( vLineDistance, totalSize ) > dashSize ) {\n\t\tdiscard;\n\t}\n\tvec3 outgoingLight = vec3( 0.0 );\n\tvec4 diffuseColor = vec4( diffuse, opacity );\n\t#include <logdepthbuf_fragment>\n\t#include <color_fragment>\n\toutgoingLight = diffuseColor.rgb;\n\tgl_FragColor = vec4( outgoingLight, diffuseColor.a );\n\t#include <tonemapping_fragment>\n\t#include <encodings_fragment>\n\t#include <fog_fragment>\n\t#include <premultiplied_alpha_fragment>\n}",linedashed_vert:"uniform float scale;\nattribute float lineDistance;\nvarying float vLineDistance;\n#include <common>\n#include <color_pars_vertex>\n#include <fog_pars_vertex>\n#include <morphtarget_pars_vertex>\n#include <logdepthbuf_pars_vertex>\n#include <clipping_planes_pars_vertex>\nvoid main() {\n\tvLineDistance = scale * lineDistance;\n\t#include <color_vertex>\n\t#include <begin_vertex>\n\t#include <morphtarget_vertex>\n\t#include <project_vertex>\n\t#include <logdepthbuf_vertex>\n\t#include <clipping_planes_vertex>\n\t#include <fog_vertex>\n}",meshbasic_frag:"uniform vec3 diffuse;\nuniform float opacity;\n#ifndef FLAT_SHADED\n\tvarying vec3 vNormal;\n#endif\n#include <common>\n#include <dithering_pars_fragment>\n#include <color_pars_fragment>\n#include <uv_pars_fragment>\n#include <uv2_pars_fragment>\n#include <map_pars_fragment>\n#include <alphamap_pars_fragment>\n#include <aomap_pars_fragment>\n#include <lightmap_pars_fragment>\n#include <envmap_common_pars_fragment>\n#include <envmap_pars_fragment>\n#include <cube_uv_reflection_fragment>\n#include <fog_pars_fragment>\n#include <specularmap_pars_fragment>\n#include <logdepthbuf_pars_fragment>\n#include <clipping_planes_pars_fragment>\nvoid main() {\n\t#include <clipping_planes_fragment>\n\tvec4 diffuseColor = vec4( diffuse, opacity );\n\t#include <logdepthbuf_fragment>\n\t#include <map_fragment>\n\t#include <color_fragment>\n\t#include <alphamap_fragment>\n\t#include <alphatest_fragment>\n\t#include <specularmap_fragment>\n\tReflectedLight reflectedLight = ReflectedLight( vec3( 0.0 ), vec3( 0.0 ), vec3( 0.0 ), vec3( 0.0 ) );\n\t#ifdef USE_LIGHTMAP\n\t\n\t\tvec4 lightMapTexel= texture2D( lightMap, vUv2 );\n\t\treflectedLight.indirectDiffuse += lightMapTexelToLinear( lightMapTexel ).rgb * lightMapIntensity;\n\t#else\n\t\treflectedLight.indirectDiffuse += vec3( 1.0 );\n\t#endif\n\t#include <aomap_fragment>\n\treflectedLight.indirectDiffuse *= diffuseColor.rgb;\n\tvec3 outgoingLight = reflectedLight.indirectDiffuse;\n\t#include <envmap_fragment>\n\tgl_FragColor = vec4( outgoingLight, diffuseColor.a );\n\t#include <tonemapping_fragment>\n\t#include <encodings_fragment>\n\t#include <fog_fragment>\n\t#include <premultiplied_alpha_fragment>\n\t#include <dithering_fragment>\n}",meshbasic_vert:"#include <common>\n#include <uv_pars_vertex>\n#include <uv2_pars_vertex>\n#include <envmap_pars_vertex>\n#include <color_pars_vertex>\n#include <fog_pars_vertex>\n#include <morphtarget_pars_vertex>\n#include <skinning_pars_vertex>\n#include <logdepthbuf_pars_vertex>\n#include <clipping_planes_pars_vertex>\nvoid main() {\n\t#include <uv_vertex>\n\t#include <uv2_vertex>\n\t#include <color_vertex>\n\t#include <skinbase_vertex>\n\t#ifdef USE_ENVMAP\n\t#include <beginnormal_vertex>\n\t#include <morphnormal_vertex>\n\t#include <skinnormal_vertex>\n\t#include <defaultnormal_vertex>\n\t#endif\n\t#include <begin_vertex>\n\t#include <morphtarget_vertex>\n\t#include <skinning_vertex>\n\t#include <project_vertex>\n\t#include <logdepthbuf_vertex>\n\t#include <worldpos_vertex>\n\t#include <clipping_planes_vertex>\n\t#include <envmap_vertex>\n\t#include <fog_vertex>\n}",meshlambert_frag:"uniform vec3 diffuse;\nuniform vec3 emissive;\nuniform float opacity;\nvarying vec3 vLightFront;\nvarying vec3 vIndirectFront;\n#ifdef DOUBLE_SIDED\n\tvarying vec3 vLightBack;\n\tvarying vec3 vIndirectBack;\n#endif\n#include <common>\n#include <packing>\n#include <dithering_pars_fragment>\n#include <color_pars_fragment>\n#include <uv_pars_fragment>\n#include <uv2_pars_fragment>\n#include <map_pars_fragment>\n#include <alphamap_pars_fragment>\n#include <aomap_pars_fragment>\n#include <lightmap_pars_fragment>\n#include <emissivemap_pars_fragment>\n#include <envmap_common_pars_fragment>\n#include <envmap_pars_fragment>\n#include <cube_uv_reflection_fragment>\n#include <bsdfs>\n#include <lights_pars_begin>\n#include <fog_pars_fragment>\n#include <shadowmap_pars_fragment>\n#include <shadowmask_pars_fragment>\n#include <specularmap_pars_fragment>\n#include <logdepthbuf_pars_fragment>\n#include <clipping_planes_pars_fragment>\nvoid main() {\n\t#include <clipping_planes_fragment>\n\tvec4 diffuseColor = vec4( diffuse, opacity );\n\tReflectedLight reflectedLight = ReflectedLight( vec3( 0.0 ), vec3( 0.0 ), vec3( 0.0 ), vec3( 0.0 ) );\n\tvec3 totalEmissiveRadiance = emissive;\n\t#include <logdepthbuf_fragment>\n\t#include <map_fragment>\n\t#include <color_fragment>\n\t#include <alphamap_fragment>\n\t#include <alphatest_fragment>\n\t#include <specularmap_fragment>\n\t#include <emissivemap_fragment>\n\t#ifdef DOUBLE_SIDED\n\t\treflectedLight.indirectDiffuse += ( gl_FrontFacing ) ? vIndirectFront : vIndirectBack;\n\t#else\n\t\treflectedLight.indirectDiffuse += vIndirectFront;\n\t#endif\n\t#include <lightmap_fragment>\n\treflectedLight.indirectDiffuse *= BRDF_Diffuse_Lambert( diffuseColor.rgb );\n\t#ifdef DOUBLE_SIDED\n\t\treflectedLight.directDiffuse = ( gl_FrontFacing ) ? vLightFront : vLightBack;\n\t#else\n\t\treflectedLight.directDiffuse = vLightFront;\n\t#endif\n\treflectedLight.directDiffuse *= BRDF_Diffuse_Lambert( diffuseColor.rgb ) * getShadowMask();\n\t#include <aomap_fragment>\n\tvec3 outgoingLight = reflectedLight.directDiffuse + reflectedLight.indirectDiffuse + totalEmissiveRadiance;\n\t#include <envmap_fragment>\n\tgl_FragColor = vec4( outgoingLight, diffuseColor.a );\n\t#include <tonemapping_fragment>\n\t#include <encodings_fragment>\n\t#include <fog_fragment>\n\t#include <premultiplied_alpha_fragment>\n\t#include <dithering_fragment>\n}",meshlambert_vert:"#define LAMBERT\nvarying vec3 vLightFront;\nvarying vec3 vIndirectFront;\n#ifdef DOUBLE_SIDED\n\tvarying vec3 vLightBack;\n\tvarying vec3 vIndirectBack;\n#endif\n#include <common>\n#include <uv_pars_vertex>\n#include <uv2_pars_vertex>\n#include <envmap_pars_vertex>\n#include <bsdfs>\n#include <lights_pars_begin>\n#include <color_pars_vertex>\n#include <fog_pars_vertex>\n#include <morphtarget_pars_vertex>\n#include <skinning_pars_vertex>\n#include <shadowmap_pars_vertex>\n#include <logdepthbuf_pars_vertex>\n#include <clipping_planes_pars_vertex>\nvoid main() {\n\t#include <uv_vertex>\n\t#include <uv2_vertex>\n\t#include <color_vertex>\n\t#include <beginnormal_vertex>\n\t#include <morphnormal_vertex>\n\t#include <skinbase_vertex>\n\t#include <skinnormal_vertex>\n\t#include <defaultnormal_vertex>\n\t#include <begin_vertex>\n\t#include <morphtarget_vertex>\n\t#include <skinning_vertex>\n\t#include <project_vertex>\n\t#include <logdepthbuf_vertex>\n\t#include <clipping_planes_vertex>\n\t#include <worldpos_vertex>\n\t#include <envmap_vertex>\n\t#include <lights_lambert_vertex>\n\t#include <shadowmap_vertex>\n\t#include <fog_vertex>\n}",meshmatcap_frag:"#define MATCAP\nuniform vec3 diffuse;\nuniform float opacity;\nuniform sampler2D matcap;\nvarying vec3 vViewPosition;\n#ifndef FLAT_SHADED\n\tvarying vec3 vNormal;\n#endif\n#include <common>\n#include <dithering_pars_fragment>\n#include <color_pars_fragment>\n#include <uv_pars_fragment>\n#include <map_pars_fragment>\n#include <alphamap_pars_fragment>\n#include <fog_pars_fragment>\n#include <bumpmap_pars_fragment>\n#include <normalmap_pars_fragment>\n#include <logdepthbuf_pars_fragment>\n#include <clipping_planes_pars_fragment>\nvoid main() {\n\t#include <clipping_planes_fragment>\n\tvec4 diffuseColor = vec4( diffuse, opacity );\n\t#include <logdepthbuf_fragment>\n\t#include <map_fragment>\n\t#include <color_fragment>\n\t#include <alphamap_fragment>\n\t#include <alphatest_fragment>\n\t#include <normal_fragment_begin>\n\t#include <normal_fragment_maps>\n\tvec3 viewDir = normalize( vViewPosition );\n\tvec3 x = normalize( vec3( viewDir.z, 0.0, - viewDir.x ) );\n\tvec3 y = cross( viewDir, x );\n\tvec2 uv = vec2( dot( x, normal ), dot( y, normal ) ) * 0.495 + 0.5;\n\t#ifdef USE_MATCAP\n\t\tvec4 matcapColor = texture2D( matcap, uv );\n\t\tmatcapColor = matcapTexelToLinear( matcapColor );\n\t#else\n\t\tvec4 matcapColor = vec4( 1.0 );\n\t#endif\n\tvec3 outgoingLight = diffuseColor.rgb * matcapColor.rgb;\n\tgl_FragColor = vec4( outgoingLight, diffuseColor.a );\n\t#include <tonemapping_fragment>\n\t#include <encodings_fragment>\n\t#include <fog_fragment>\n\t#include <premultiplied_alpha_fragment>\n\t#include <dithering_fragment>\n}",meshmatcap_vert:"#define MATCAP\nvarying vec3 vViewPosition;\n#ifndef FLAT_SHADED\n\tvarying vec3 vNormal;\n#endif\n#include <common>\n#include <uv_pars_vertex>\n#include <color_pars_vertex>\n#include <displacementmap_pars_vertex>\n#include <fog_pars_vertex>\n#include <morphtarget_pars_vertex>\n#include <skinning_pars_vertex>\n#include <logdepthbuf_pars_vertex>\n#include <clipping_planes_pars_vertex>\nvoid main() {\n\t#include <uv_vertex>\n\t#include <color_vertex>\n\t#include <beginnormal_vertex>\n\t#include <morphnormal_vertex>\n\t#include <skinbase_vertex>\n\t#include <skinnormal_vertex>\n\t#include <defaultnormal_vertex>\n\t#ifndef FLAT_SHADED\n\t\tvNormal = normalize( transformedNormal );\n\t#endif\n\t#include <begin_vertex>\n\t#include <morphtarget_vertex>\n\t#include <skinning_vertex>\n\t#include <displacementmap_vertex>\n\t#include <project_vertex>\n\t#include <logdepthbuf_vertex>\n\t#include <clipping_planes_vertex>\n\t#include <fog_vertex>\n\tvViewPosition = - mvPosition.xyz;\n}",meshtoon_frag:"#define TOON\nuniform vec3 diffuse;\nuniform vec3 emissive;\nuniform float opacity;\n#include <common>\n#include <packing>\n#include <dithering_pars_fragment>\n#include <color_pars_fragment>\n#include <uv_pars_fragment>\n#include <uv2_pars_fragment>\n#include <map_pars_fragment>\n#include <alphamap_pars_fragment>\n#include <aomap_pars_fragment>\n#include <lightmap_pars_fragment>\n#include <emissivemap_pars_fragment>\n#include <gradientmap_pars_fragment>\n#include <fog_pars_fragment>\n#include <bsdfs>\n#include <lights_pars_begin>\n#include <lights_toon_pars_fragment>\n#include <shadowmap_pars_fragment>\n#include <bumpmap_pars_fragment>\n#include <normalmap_pars_fragment>\n#include <logdepthbuf_pars_fragment>\n#include <clipping_planes_pars_fragment>\nvoid main() {\n\t#include <clipping_planes_fragment>\n\tvec4 diffuseColor = vec4( diffuse, opacity );\n\tReflectedLight reflectedLight = ReflectedLight( vec3( 0.0 ), vec3( 0.0 ), vec3( 0.0 ), vec3( 0.0 ) );\n\tvec3 totalEmissiveRadiance = emissive;\n\t#include <logdepthbuf_fragment>\n\t#include <map_fragment>\n\t#include <color_fragment>\n\t#include <alphamap_fragment>\n\t#include <alphatest_fragment>\n\t#include <normal_fragment_begin>\n\t#include <normal_fragment_maps>\n\t#include <emissivemap_fragment>\n\t#include <lights_toon_fragment>\n\t#include <lights_fragment_begin>\n\t#include <lights_fragment_maps>\n\t#include <lights_fragment_end>\n\t#include <aomap_fragment>\n\tvec3 outgoingLight = reflectedLight.directDiffuse + reflectedLight.indirectDiffuse + totalEmissiveRadiance;\n\tgl_FragColor = vec4( outgoingLight, diffuseColor.a );\n\t#include <tonemapping_fragment>\n\t#include <encodings_fragment>\n\t#include <fog_fragment>\n\t#include <premultiplied_alpha_fragment>\n\t#include <dithering_fragment>\n}",meshtoon_vert:"#define TOON\nvarying vec3 vViewPosition;\n#ifndef FLAT_SHADED\n\tvarying vec3 vNormal;\n#endif\n#include <common>\n#include <uv_pars_vertex>\n#include <uv2_pars_vertex>\n#include <displacementmap_pars_vertex>\n#include <color_pars_vertex>\n#include <fog_pars_vertex>\n#include <morphtarget_pars_vertex>\n#include <skinning_pars_vertex>\n#include <shadowmap_pars_vertex>\n#include <logdepthbuf_pars_vertex>\n#include <clipping_planes_pars_vertex>\nvoid main() {\n\t#include <uv_vertex>\n\t#include <uv2_vertex>\n\t#include <color_vertex>\n\t#include <beginnormal_vertex>\n\t#include <morphnormal_vertex>\n\t#include <skinbase_vertex>\n\t#include <skinnormal_vertex>\n\t#include <defaultnormal_vertex>\n#ifndef FLAT_SHADED\n\tvNormal = normalize( transformedNormal );\n#endif\n\t#include <begin_vertex>\n\t#include <morphtarget_vertex>\n\t#include <skinning_vertex>\n\t#include <displacementmap_vertex>\n\t#include <project_vertex>\n\t#include <logdepthbuf_vertex>\n\t#include <clipping_planes_vertex>\n\tvViewPosition = - mvPosition.xyz;\n\t#include <worldpos_vertex>\n\t#include <shadowmap_vertex>\n\t#include <fog_vertex>\n}",meshphong_frag:"#define PHONG\nuniform vec3 diffuse;\nuniform vec3 emissive;\nuniform vec3 specular;\nuniform float shininess;\nuniform float opacity;\n#include <common>\n#include <packing>\n#include <dithering_pars_fragment>\n#include <color_pars_fragment>\n#include <uv_pars_fragment>\n#include <uv2_pars_fragment>\n#include <map_pars_fragment>\n#include <alphamap_pars_fragment>\n#include <aomap_pars_fragment>\n#include <lightmap_pars_fragment>\n#include <emissivemap_pars_fragment>\n#include <envmap_common_pars_fragment>\n#include <envmap_pars_fragment>\n#include <cube_uv_reflection_fragment>\n#include <fog_pars_fragment>\n#include <bsdfs>\n#include <lights_pars_begin>\n#include <lights_phong_pars_fragment>\n#include <shadowmap_pars_fragment>\n#include <bumpmap_pars_fragment>\n#include <normalmap_pars_fragment>\n#include <specularmap_pars_fragment>\n#include <logdepthbuf_pars_fragment>\n#include <clipping_planes_pars_fragment>\nvoid main() {\n\t#include <clipping_planes_fragment>\n\tvec4 diffuseColor = vec4( diffuse, opacity );\n\tReflectedLight reflectedLight = ReflectedLight( vec3( 0.0 ), vec3( 0.0 ), vec3( 0.0 ), vec3( 0.0 ) );\n\tvec3 totalEmissiveRadiance = emissive;\n\t#include <logdepthbuf_fragment>\n\t#include <map_fragment>\n\t#include <color_fragment>\n\t#include <alphamap_fragment>\n\t#include <alphatest_fragment>\n\t#include <specularmap_fragment>\n\t#include <normal_fragment_begin>\n\t#include <normal_fragment_maps>\n\t#include <emissivemap_fragment>\n\t#include <lights_phong_fragment>\n\t#include <lights_fragment_begin>\n\t#include <lights_fragment_maps>\n\t#include <lights_fragment_end>\n\t#include <aomap_fragment>\n\tvec3 outgoingLight = reflectedLight.directDiffuse + reflectedLight.indirectDiffuse + reflectedLight.directSpecular + reflectedLight.indirectSpecular + totalEmissiveRadiance;\n\t#include <envmap_fragment>\n\tgl_FragColor = vec4( outgoingLight, diffuseColor.a );\n\t#include <tonemapping_fragment>\n\t#include <encodings_fragment>\n\t#include <fog_fragment>\n\t#include <premultiplied_alpha_fragment>\n\t#include <dithering_fragment>\n}",meshphong_vert:"#define PHONG\nvarying vec3 vViewPosition;\n#ifndef FLAT_SHADED\n\tvarying vec3 vNormal;\n#endif\n#include <common>\n#include <uv_pars_vertex>\n#include <uv2_pars_vertex>\n#include <displacementmap_pars_vertex>\n#include <envmap_pars_vertex>\n#include <color_pars_vertex>\n#include <fog_pars_vertex>\n#include <morphtarget_pars_vertex>\n#include <skinning_pars_vertex>\n#include <shadowmap_pars_vertex>\n#include <logdepthbuf_pars_vertex>\n#include <clipping_planes_pars_vertex>\nvoid main() {\n\t#include <uv_vertex>\n\t#include <uv2_vertex>\n\t#include <color_vertex>\n\t#include <beginnormal_vertex>\n\t#include <morphnormal_vertex>\n\t#include <skinbase_vertex>\n\t#include <skinnormal_vertex>\n\t#include <defaultnormal_vertex>\n#ifndef FLAT_SHADED\n\tvNormal = normalize( transformedNormal );\n#endif\n\t#include <begin_vertex>\n\t#include <morphtarget_vertex>\n\t#include <skinning_vertex>\n\t#include <displacementmap_vertex>\n\t#include <project_vertex>\n\t#include <logdepthbuf_vertex>\n\t#include <clipping_planes_vertex>\n\tvViewPosition = - mvPosition.xyz;\n\t#include <worldpos_vertex>\n\t#include <envmap_vertex>\n\t#include <shadowmap_vertex>\n\t#include <fog_vertex>\n}",meshphysical_frag:"#define STANDARD\n#ifdef PHYSICAL\n\t#define REFLECTIVITY\n\t#define CLEARCOAT\n\t#define TRANSMISSION\n#endif\nuniform vec3 diffuse;\nuniform vec3 emissive;\nuniform float roughness;\nuniform float metalness;\nuniform float opacity;\n#ifdef TRANSMISSION\n\tuniform float transmission;\n#endif\n#ifdef REFLECTIVITY\n\tuniform float reflectivity;\n#endif\n#ifdef CLEARCOAT\n\tuniform float clearcoat;\n\tuniform float clearcoatRoughness;\n#endif\n#ifdef USE_SHEEN\n\tuniform vec3 sheen;\n#endif\nvarying vec3 vViewPosition;\n#ifndef FLAT_SHADED\n\tvarying vec3 vNormal;\n\t#ifdef USE_TANGENT\n\t\tvarying vec3 vTangent;\n\t\tvarying vec3 vBitangent;\n\t#endif\n#endif\n#include <common>\n#include <packing>\n#include <dithering_pars_fragment>\n#include <color_pars_fragment>\n#include <uv_pars_fragment>\n#include <uv2_pars_fragment>\n#include <map_pars_fragment>\n#include <alphamap_pars_fragment>\n#include <aomap_pars_fragment>\n#include <lightmap_pars_fragment>\n#include <emissivemap_pars_fragment>\n#include <transmissionmap_pars_fragment>\n#include <bsdfs>\n#include <cube_uv_reflection_fragment>\n#include <envmap_common_pars_fragment>\n#include <envmap_physical_pars_fragment>\n#include <fog_pars_fragment>\n#include <lights_pars_begin>\n#include <lights_physical_pars_fragment>\n#include <shadowmap_pars_fragment>\n#include <bumpmap_pars_fragment>\n#include <normalmap_pars_fragment>\n#include <clearcoat_pars_fragment>\n#include <roughnessmap_pars_fragment>\n#include <metalnessmap_pars_fragment>\n#include <logdepthbuf_pars_fragment>\n#include <clipping_planes_pars_fragment>\nvoid main() {\n\t#include <clipping_planes_fragment>\n\tvec4 diffuseColor = vec4( diffuse, opacity );\n\tReflectedLight reflectedLight = ReflectedLight( vec3( 0.0 ), vec3( 0.0 ), vec3( 0.0 ), vec3( 0.0 ) );\n\tvec3 totalEmissiveRadiance = emissive;\n\t#ifdef TRANSMISSION\n\t\tfloat totalTransmission = transmission;\n\t#endif\n\t#include <logdepthbuf_fragment>\n\t#include <map_fragment>\n\t#include <color_fragment>\n\t#include <alphamap_fragment>\n\t#include <alphatest_fragment>\n\t#include <roughnessmap_fragment>\n\t#include <metalnessmap_fragment>\n\t#include <normal_fragment_begin>\n\t#include <normal_fragment_maps>\n\t#include <clearcoat_normal_fragment_begin>\n\t#include <clearcoat_normal_fragment_maps>\n\t#include <emissivemap_fragment>\n\t#include <transmissionmap_fragment>\n\t#include <lights_physical_fragment>\n\t#include <lights_fragment_begin>\n\t#include <lights_fragment_maps>\n\t#include <lights_fragment_end>\n\t#include <aomap_fragment>\n\tvec3 outgoingLight = reflectedLight.directDiffuse + reflectedLight.indirectDiffuse + reflectedLight.directSpecular + reflectedLight.indirectSpecular + totalEmissiveRadiance;\n\t#ifdef TRANSMISSION\n\t\tdiffuseColor.a *= mix( saturate( 1. - totalTransmission + linearToRelativeLuminance( reflectedLight.directSpecular + reflectedLight.indirectSpecular ) ), 1.0, metalness );\n\t#endif\n\tgl_FragColor = vec4( outgoingLight, diffuseColor.a );\n\t#include <tonemapping_fragment>\n\t#include <encodings_fragment>\n\t#include <fog_fragment>\n\t#include <premultiplied_alpha_fragment>\n\t#include <dithering_fragment>\n}",meshphysical_vert:"#define STANDARD\nvarying vec3 vViewPosition;\n#ifndef FLAT_SHADED\n\tvarying vec3 vNormal;\n\t#ifdef USE_TANGENT\n\t\tvarying vec3 vTangent;\n\t\tvarying vec3 vBitangent;\n\t#endif\n#endif\n#include <common>\n#include <uv_pars_vertex>\n#include <uv2_pars_vertex>\n#include <displacementmap_pars_vertex>\n#include <color_pars_vertex>\n#include <fog_pars_vertex>\n#include <morphtarget_pars_vertex>\n#include <skinning_pars_vertex>\n#include <shadowmap_pars_vertex>\n#include <logdepthbuf_pars_vertex>\n#include <clipping_planes_pars_vertex>\nvoid main() {\n\t#include <uv_vertex>\n\t#include <uv2_vertex>\n\t#include <color_vertex>\n\t#include <beginnormal_vertex>\n\t#include <morphnormal_vertex>\n\t#include <skinbase_vertex>\n\t#include <skinnormal_vertex>\n\t#include <defaultnormal_vertex>\n#ifndef FLAT_SHADED\n\tvNormal = normalize( transformedNormal );\n\t#ifdef USE_TANGENT\n\t\tvTangent = normalize( transformedTangent );\n\t\tvBitangent = normalize( cross( vNormal, vTangent ) * tangent.w );\n\t#endif\n#endif\n\t#include <begin_vertex>\n\t#include <morphtarget_vertex>\n\t#include <skinning_vertex>\n\t#include <displacementmap_vertex>\n\t#include <project_vertex>\n\t#include <logdepthbuf_vertex>\n\t#include <clipping_planes_vertex>\n\tvViewPosition = - mvPosition.xyz;\n\t#include <worldpos_vertex>\n\t#include <shadowmap_vertex>\n\t#include <fog_vertex>\n}",normal_frag:"#define NORMAL\nuniform float opacity;\n#if defined( FLAT_SHADED ) || defined( USE_BUMPMAP ) || defined( TANGENTSPACE_NORMALMAP )\n\tvarying vec3 vViewPosition;\n#endif\n#ifndef FLAT_SHADED\n\tvarying vec3 vNormal;\n\t#ifdef USE_TANGENT\n\t\tvarying vec3 vTangent;\n\t\tvarying vec3 vBitangent;\n\t#endif\n#endif\n#include <packing>\n#include <uv_pars_fragment>\n#include <bumpmap_pars_fragment>\n#include <normalmap_pars_fragment>\n#include <logdepthbuf_pars_fragment>\n#include <clipping_planes_pars_fragment>\nvoid main() {\n\t#include <clipping_planes_fragment>\n\t#include <logdepthbuf_fragment>\n\t#include <normal_fragment_begin>\n\t#include <normal_fragment_maps>\n\tgl_FragColor = vec4( packNormalToRGB( normal ), opacity );\n}",normal_vert:"#define NORMAL\n#if defined( FLAT_SHADED ) || defined( USE_BUMPMAP ) || defined( TANGENTSPACE_NORMALMAP )\n\tvarying vec3 vViewPosition;\n#endif\n#ifndef FLAT_SHADED\n\tvarying vec3 vNormal;\n\t#ifdef USE_TANGENT\n\t\tvarying vec3 vTangent;\n\t\tvarying vec3 vBitangent;\n\t#endif\n#endif\n#include <common>\n#include <uv_pars_vertex>\n#include <displacementmap_pars_vertex>\n#include <morphtarget_pars_vertex>\n#include <skinning_pars_vertex>\n#include <logdepthbuf_pars_vertex>\n#include <clipping_planes_pars_vertex>\nvoid main() {\n\t#include <uv_vertex>\n\t#include <beginnormal_vertex>\n\t#include <morphnormal_vertex>\n\t#include <skinbase_vertex>\n\t#include <skinnormal_vertex>\n\t#include <defaultnormal_vertex>\n#ifndef FLAT_SHADED\n\tvNormal = normalize( transformedNormal );\n\t#ifdef USE_TANGENT\n\t\tvTangent = normalize( transformedTangent );\n\t\tvBitangent = normalize( cross( vNormal, vTangent ) * tangent.w );\n\t#endif\n#endif\n\t#include <begin_vertex>\n\t#include <morphtarget_vertex>\n\t#include <skinning_vertex>\n\t#include <displacementmap_vertex>\n\t#include <project_vertex>\n\t#include <logdepthbuf_vertex>\n\t#include <clipping_planes_vertex>\n#if defined( FLAT_SHADED ) || defined( USE_BUMPMAP ) || defined( TANGENTSPACE_NORMALMAP )\n\tvViewPosition = - mvPosition.xyz;\n#endif\n}",points_frag:"uniform vec3 diffuse;\nuniform float opacity;\n#include <common>\n#include <color_pars_fragment>\n#include <map_particle_pars_fragment>\n#include <fog_pars_fragment>\n#include <logdepthbuf_pars_fragment>\n#include <clipping_planes_pars_fragment>\nvoid main() {\n\t#include <clipping_planes_fragment>\n\tvec3 outgoingLight = vec3( 0.0 );\n\tvec4 diffuseColor = vec4( diffuse, opacity );\n\t#include <logdepthbuf_fragment>\n\t#include <map_particle_fragment>\n\t#include <color_fragment>\n\t#include <alphatest_fragment>\n\toutgoingLight = diffuseColor.rgb;\n\tgl_FragColor = vec4( outgoingLight, diffuseColor.a );\n\t#include <tonemapping_fragment>\n\t#include <encodings_fragment>\n\t#include <fog_fragment>\n\t#include <premultiplied_alpha_fragment>\n}",points_vert:"uniform float size;\nuniform float scale;\n#include <common>\n#include <color_pars_vertex>\n#include <fog_pars_vertex>\n#include <morphtarget_pars_vertex>\n#include <logdepthbuf_pars_vertex>\n#include <clipping_planes_pars_vertex>\nvoid main() {\n\t#include <color_vertex>\n\t#include <begin_vertex>\n\t#include <morphtarget_vertex>\n\t#include <project_vertex>\n\tgl_PointSize = size;\n\t#ifdef USE_SIZEATTENUATION\n\t\tbool isPerspective = isPerspectiveMatrix( projectionMatrix );\n\t\tif ( isPerspective ) gl_PointSize *= ( scale / - mvPosition.z );\n\t#endif\n\t#include <logdepthbuf_vertex>\n\t#include <clipping_planes_vertex>\n\t#include <worldpos_vertex>\n\t#include <fog_vertex>\n}",shadow_frag:"uniform vec3 color;\nuniform float opacity;\n#include <common>\n#include <packing>\n#include <fog_pars_fragment>\n#include <bsdfs>\n#include <lights_pars_begin>\n#include <shadowmap_pars_fragment>\n#include <shadowmask_pars_fragment>\nvoid main() {\n\tgl_FragColor = vec4( color, opacity * ( 1.0 - getShadowMask() ) );\n\t#include <tonemapping_fragment>\n\t#include <encodings_fragment>\n\t#include <fog_fragment>\n}",shadow_vert:"#include <common>\n#include <fog_pars_vertex>\n#include <shadowmap_pars_vertex>\nvoid main() {\n\t#include <begin_vertex>\n\t#include <project_vertex>\n\t#include <worldpos_vertex>\n\t#include <beginnormal_vertex>\n\t#include <morphnormal_vertex>\n\t#include <skinbase_vertex>\n\t#include <skinnormal_vertex>\n\t#include <defaultnormal_vertex>\n\t#include <shadowmap_vertex>\n\t#include <fog_vertex>\n}",sprite_frag:"uniform vec3 diffuse;\nuniform float opacity;\n#include <common>\n#include <uv_pars_fragment>\n#include <map_pars_fragment>\n#include <alphamap_pars_fragment>\n#include <fog_pars_fragment>\n#include <logdepthbuf_pars_fragment>\n#include <clipping_planes_pars_fragment>\nvoid main() {\n\t#include <clipping_planes_fragment>\n\tvec3 outgoingLight = vec3( 0.0 );\n\tvec4 diffuseColor = vec4( diffuse, opacity );\n\t#include <logdepthbuf_fragment>\n\t#include <map_fragment>\n\t#include <alphamap_fragment>\n\t#include <alphatest_fragment>\n\toutgoingLight = diffuseColor.rgb;\n\tgl_FragColor = vec4( outgoingLight, diffuseColor.a );\n\t#include <tonemapping_fragment>\n\t#include <encodings_fragment>\n\t#include <fog_fragment>\n}",sprite_vert:"uniform float rotation;\nuniform vec2 center;\n#include <common>\n#include <uv_pars_vertex>\n#include <fog_pars_vertex>\n#include <logdepthbuf_pars_vertex>\n#include <clipping_planes_pars_vertex>\nvoid main() {\n\t#include <uv_vertex>\n\tvec4 mvPosition = modelViewMatrix * vec4( 0.0, 0.0, 0.0, 1.0 );\n\tvec2 scale;\n\tscale.x = length( vec3( modelMatrix[ 0 ].x, modelMatrix[ 0 ].y, modelMatrix[ 0 ].z ) );\n\tscale.y = length( vec3( modelMatrix[ 1 ].x, modelMatrix[ 1 ].y, modelMatrix[ 1 ].z ) );\n\t#ifndef USE_SIZEATTENUATION\n\t\tbool isPerspective = isPerspectiveMatrix( projectionMatrix );\n\t\tif ( isPerspective ) scale *= - mvPosition.z;\n\t#endif\n\tvec2 alignedPosition = ( position.xy - ( center - vec2( 0.5 ) ) ) * scale;\n\tvec2 rotatedPosition;\n\trotatedPosition.x = cos( rotation ) * alignedPosition.x - sin( rotation ) * alignedPosition.y;\n\trotatedPosition.y = sin( rotation ) * alignedPosition.x + cos( rotation ) * alignedPosition.y;\n\tmvPosition.xy += rotatedPosition;\n\tgl_Position = projectionMatrix * mvPosition;\n\t#include <logdepthbuf_vertex>\n\t#include <clipping_planes_vertex>\n\t#include <fog_vertex>\n}"},Oo={common:{diffuse:{value:new Color(15658734)},opacity:{value:1},map:{value:null},uvTransform:{value:new Matrix3},uv2Transform:{value:new Matrix3},alphaMap:{value:null}},specularmap:{specularMap:{value:null}},envmap:{envMap:{value:null},flipEnvMap:{value:-1},reflectivity:{value:1},refractionRatio:{value:.98},maxMipLevel:{value:0}},aomap:{aoMap:{value:null},aoMapIntensity:{value:1}},lightmap:{lightMap:{value:null},lightMapIntensity:{value:1}},emissivemap:{emissiveMap:{value:null}},bumpmap:{bumpMap:{value:null},bumpScale:{value:1}},normalmap:{normalMap:{value:null},normalScale:{value:new Vector2(1,1)}},displacementmap:{displacementMap:{value:null},displacementScale:{value:1},displacementBias:{value:0}},roughnessmap:{roughnessMap:{value:null}},metalnessmap:{metalnessMap:{value:null}},gradientmap:{gradientMap:{value:null}},fog:{fogDensity:{value:25e-5},fogNear:{value:1},fogFar:{value:2e3},fogColor:{value:new Color(16777215)}},lights:{ambientLightColor:{value:[]},lightProbe:{value:[]},directionalLights:{value:[],properties:{direction:{},color:{}}},directionalLightShadows:{value:[],properties:{shadowBias:{},shadowNormalBias:{},shadowRadius:{},shadowMapSize:{}}},directionalShadowMap:{value:[]},directionalShadowMatrix:{value:[]},spotLights:{value:[],properties:{color:{},position:{},direction:{},distance:{},coneCos:{},penumbraCos:{},decay:{}}},spotLightShadows:{value:[],properties:{shadowBias:{},shadowNormalBias:{},shadowRadius:{},shadowMapSize:{}}},spotShadowMap:{value:[]},spotShadowMatrix:{value:[]},pointLights:{value:[],properties:{color:{},position:{},decay:{},distance:{}}},pointLightShadows:{value:[],properties:{shadowBias:{},shadowNormalBias:{},shadowRadius:{},shadowMapSize:{},shadowCameraNear:{},shadowCameraFar:{}}},pointShadowMap:{value:[]},pointShadowMatrix:{value:[]},hemisphereLights:{value:[],properties:{direction:{},skyColor:{},groundColor:{}}},rectAreaLights:{value:[],properties:{color:{},position:{},width:{},height:{}}},ltc_1:{value:null},ltc_2:{value:null}},points:{diffuse:{value:new Color(15658734)},opacity:{value:1},size:{value:1},scale:{value:1},map:{value:null},alphaMap:{value:null},uvTransform:{value:new Matrix3}},sprite:{diffuse:{value:new Color(15658734)},opacity:{value:1},center:{value:new Vector2(.5,.5)},rotation:{value:0},map:{value:null},alphaMap:{value:null},uvTransform:{value:new Matrix3}}},Io={basic:{uniforms:po([Oo.common,Oo.specularmap,Oo.envmap,Oo.aomap,Oo.lightmap,Oo.fog]),vertexShader:ko.meshbasic_vert,fragmentShader:ko.meshbasic_frag},lambert:{uniforms:po([Oo.common,Oo.specularmap,Oo.envmap,Oo.aomap,Oo.lightmap,Oo.emissivemap,Oo.fog,Oo.lights,{emissive:{value:new Color(0)}}]),vertexShader:ko.meshlambert_vert,fragmentShader:ko.meshlambert_frag},phong:{uniforms:po([Oo.common,Oo.specularmap,Oo.envmap,Oo.aomap,Oo.lightmap,Oo.emissivemap,Oo.bumpmap,Oo.normalmap,Oo.displacementmap,Oo.fog,Oo.lights,{emissive:{value:new Color(0)},specular:{value:new Color(1118481)},shininess:{value:30}}]),vertexShader:ko.meshphong_vert,fragmentShader:ko.meshphong_frag},standard:{uniforms:po([Oo.common,Oo.envmap,Oo.aomap,Oo.lightmap,Oo.emissivemap,Oo.bumpmap,Oo.normalmap,Oo.displacementmap,Oo.roughnessmap,Oo.metalnessmap,Oo.fog,Oo.lights,{emissive:{value:new Color(0)},roughness:{value:1},metalness:{value:0},envMapIntensity:{value:1}}]),vertexShader:ko.meshphysical_vert,fragmentShader:ko.meshphysical_frag},toon:{uniforms:po([Oo.common,Oo.aomap,Oo.lightmap,Oo.emissivemap,Oo.bumpmap,Oo.normalmap,Oo.displacementmap,Oo.gradientmap,Oo.fog,Oo.lights,{emissive:{value:new Color(0)}}]),vertexShader:ko.meshtoon_vert,fragmentShader:ko.meshtoon_frag},matcap:{uniforms:po([Oo.common,Oo.bumpmap,Oo.normalmap,Oo.displacementmap,Oo.fog,{matcap:{value:null}}]),vertexShader:ko.meshmatcap_vert,fragmentShader:ko.meshmatcap_frag},points:{uniforms:po([Oo.points,Oo.fog]),vertexShader:ko.points_vert,fragmentShader:ko.points_frag},dashed:{uniforms:po([Oo.common,Oo.fog,{scale:{value:1},dashSize:{value:1},totalSize:{value:2}}]),vertexShader:ko.linedashed_vert,fragmentShader:ko.linedashed_frag},depth:{uniforms:po([Oo.common,Oo.displacementmap]),vertexShader:ko.depth_vert,fragmentShader:ko.depth_frag},normal:{uniforms:po([Oo.common,Oo.bumpmap,Oo.normalmap,Oo.displacementmap,{opacity:{value:1}}]),vertexShader:ko.normal_vert,fragmentShader:ko.normal_frag},sprite:{uniforms:po([Oo.sprite,Oo.fog]),vertexShader:ko.sprite_vert,fragmentShader:ko.sprite_frag},background:{uniforms:{uvTransform:{value:new Matrix3},t2D:{value:null}},vertexShader:ko.background_vert,fragmentShader:ko.background_frag},cube:{uniforms:po([Oo.envmap,{opacity:{value:1}}]),vertexShader:ko.cube_vert,fragmentShader:ko.cube_frag},equirect:{uniforms:{tEquirect:{value:null}},vertexShader:ko.equirect_vert,fragmentShader:ko.equirect_frag},distanceRGBA:{uniforms:po([Oo.common,Oo.displacementmap,{referencePosition:{value:new Vector3},nearDistance:{value:1},farDistance:{value:1e3}}]),vertexShader:ko.distanceRGBA_vert,fragmentShader:ko.distanceRGBA_frag},shadow:{uniforms:po([Oo.lights,Oo.fog,{color:{value:new Color(0)},opacity:{value:1}}]),vertexShader:ko.shadow_vert,fragmentShader:ko.shadow_frag}};function Ro(t,n,r,l,d){const h=new Color(0);let p,f,m=0,g=null,y=0,v=null;function b(t,n){r.buffers.color.setClear(t.r,t.g,t.b,n,d)}return{getClearColor:function(){return h},setClearColor:function(t,n=1){h.set(t),m=n,b(h,m)},getClearAlpha:function(){return m},setClearAlpha:function(t){m=t,b(h,m)},render:function(r,d,x,w){let E=!0===d.isScene?d.background:null;E&&E.isTexture&&(E=n.get(E));const T=t.xr,C=T.getSession&&T.getSession();C&&"additive"===C.environmentBlendMode&&(E=null),null===E?b(h,m):E&&E.isColor&&(b(E,1),w=!0),(t.autoClear||w)&&t.clear(t.autoClearColor,t.autoClearDepth,t.autoClearStencil),E&&(E.isCubeTexture||E.isWebGLCubeRenderTarget||E.mapping===Me)?(void 0===f&&(f=new co(new BoxGeometry(1,1,1),new yo({name:"BackgroundCubeMaterial",uniforms:ho(Io.cube.uniforms),vertexShader:Io.cube.vertexShader,fragmentShader:Io.cube.fragmentShader,side:_,depthTest:!1,depthWrite:!1,fog:!1})),f.geometry.deleteAttribute("normal"),f.geometry.deleteAttribute("uv"),f.onBeforeRender=function(t,n,r){this.matrixWorld.copyPosition(r.matrixWorld)},Object.defineProperty(f.material,"envMap",{get:function(){return this.uniforms.envMap.value}}),l.update(f)),E.isWebGLCubeRenderTarget&&(E=E.texture),f.material.uniforms.envMap.value=E,f.material.uniforms.flipEnvMap.value=E.isCubeTexture&&E._needsFlipEnvMap?-1:1,g===E&&y===E.version&&v===t.toneMapping||(f.material.needsUpdate=!0,g=E,y=E.version,v=t.toneMapping),r.unshift(f,f.geometry,f.material,0,0,null)):E&&E.isTexture&&(void 0===p&&(p=new co(new PlaneGeometry(2,2),new yo({name:"BackgroundMaterial",uniforms:ho(Io.background.uniforms),vertexShader:Io.background.vertexShader,fragmentShader:Io.background.fragmentShader,side:S,depthTest:!1,depthWrite:!1,fog:!1})),p.geometry.deleteAttribute("normal"),Object.defineProperty(p.material,"map",{get:function(){return this.uniforms.t2D.value}}),l.update(p)),p.material.uniforms.t2D.value=E,!0===E.matrixAutoUpdate&&E.updateMatrix(),p.material.uniforms.uvTransform.value.copy(E.matrix),g===E&&y===E.version&&v===t.toneMapping||(p.material.needsUpdate=!0,g=E,y=E.version,v=t.toneMapping),r.unshift(p,p.geometry,p.material,0,0,null))}}}function Po(t,n,r,l){const d=t.getParameter(34921),h=l.isWebGL2?null:n.get("OES_vertex_array_object"),p=l.isWebGL2||null!==h,f={},m=b(null);let g=m;function y(n){return l.isWebGL2?t.bindVertexArray(n):h.bindVertexArrayOES(n)}function v(n){return l.isWebGL2?t.deleteVertexArray(n):h.deleteVertexArrayOES(n)}function b(t){const n=[],r=[],l=[];for(let t=0;t<d;t++)n[t]=0,r[t]=0,l[t]=0;return{geometry:null,program:null,wireframe:!1,newAttributes:n,enabledAttributes:r,attributeDivisors:l,object:t,attributes:{},index:null}}function x(){const t=g.newAttributes;for(let n=0,r=t.length;n<r;n++)t[n]=0}function w(t){S(t,0)}function S(r,d){const h=g.newAttributes,p=g.enabledAttributes,f=g.attributeDivisors;if(h[r]=1,0===p[r]&&(t.enableVertexAttribArray(r),p[r]=1),f[r]!==d){(l.isWebGL2?t:n.get("ANGLE_instanced_arrays"))[l.isWebGL2?"vertexAttribDivisor":"vertexAttribDivisorANGLE"](r,d),f[r]=d}}function _(){const n=g.newAttributes,r=g.enabledAttributes;for(let l=0,d=r.length;l<d;l++)r[l]!==n[l]&&(t.disableVertexAttribArray(l),r[l]=0)}function E(n,r,d,h,p,f){!0!==l.isWebGL2||5124!==d&&5125!==d?t.vertexAttribPointer(n,r,d,h,p,f):t.vertexAttribIPointer(n,r,d,p,f)}function T(){C(),g!==m&&(g=m,y(g.object))}function C(){m.geometry=null,m.program=null,m.wireframe=!1}return{setup:function(d,m,v,T,C){let A=!1;if(p){const n=function(n,r,d){const p=!0===d.wireframe;let m=f[n.id];void 0===m&&(m={},f[n.id]=m);let g=m[r.id];void 0===g&&(g={},m[r.id]=g);let y=g[p];void 0===y&&(y=b(l.isWebGL2?t.createVertexArray():h.createVertexArrayOES()),g[p]=y);return y}(T,v,m);g!==n&&(g=n,y(g.object)),A=function(t,n){const r=g.attributes,l=t.attributes;let d=0;for(const t in l){const n=r[t],h=l[t];if(void 0===n)return!0;if(n.attribute!==h)return!0;if(n.data!==h.data)return!0;d++}return g.attributesNum!==d||g.index!==n}(T,C),A&&function(t,n){const r={},l=t.attributes;let d=0;for(const t in l){const n=l[t],h={};h.attribute=n,n.data&&(h.data=n.data),r[t]=h,d++}g.attributes=r,g.attributesNum=d,g.index=n}(T,C)}else{const t=!0===m.wireframe;g.geometry===T.id&&g.program===v.id&&g.wireframe===t||(g.geometry=T.id,g.program=v.id,g.wireframe=t,A=!0)}!0===d.isInstancedMesh&&(A=!0),null!==C&&r.update(C,34963),A&&(!function(d,h,p,f){if(!1===l.isWebGL2&&(d.isInstancedMesh||f.isInstancedBufferGeometry)&&null===n.get("ANGLE_instanced_arrays"))return;x();const m=f.attributes,g=p.getAttributes(),y=h.defaultAttributeValues;for(const n in g){const l=g[n];if(l>=0){const h=m[n];if(void 0!==h){const n=h.normalized,d=h.itemSize,p=r.get(h);if(void 0===p)continue;const m=p.buffer,g=p.type,y=p.bytesPerElement;if(h.isInterleavedBufferAttribute){const r=h.data,p=r.stride,v=h.offset;r&&r.isInstancedInterleavedBuffer?(S(l,r.meshPerAttribute),void 0===f._maxInstanceCount&&(f._maxInstanceCount=r.meshPerAttribute*r.count)):w(l),t.bindBuffer(34962,m),E(l,d,g,n,p*y,v*y)}else h.isInstancedBufferAttribute?(S(l,h.meshPerAttribute),void 0===f._maxInstanceCount&&(f._maxInstanceCount=h.meshPerAttribute*h.count)):w(l),t.bindBuffer(34962,m),E(l,d,g,n,0,0)}else if("instanceMatrix"===n){const n=r.get(d.instanceMatrix);if(void 0===n)continue;const h=n.buffer,p=n.type;S(l+0,1),S(l+1,1),S(l+2,1),S(l+3,1),t.bindBuffer(34962,h),t.vertexAttribPointer(l+0,4,p,!1,64,0),t.vertexAttribPointer(l+1,4,p,!1,64,16),t.vertexAttribPointer(l+2,4,p,!1,64,32),t.vertexAttribPointer(l+3,4,p,!1,64,48)}else if("instanceColor"===n){const n=r.get(d.instanceColor);if(void 0===n)continue;const h=n.buffer,p=n.type;S(l,1),t.bindBuffer(34962,h),t.vertexAttribPointer(l,3,p,!1,12,0)}else if(void 0!==y){const r=y[n];if(void 0!==r)switch(r.length){case 2:t.vertexAttrib2fv(l,r);break;case 3:t.vertexAttrib3fv(l,r);break;case 4:t.vertexAttrib4fv(l,r);break;default:t.vertexAttrib1fv(l,r)}}}}_()}(d,m,v,T),null!==C&&t.bindBuffer(34963,r.get(C).buffer))},reset:T,resetDefaultState:C,dispose:function(){T();for(const t in f){const n=f[t];for(const t in n){const r=n[t];for(const t in r)v(r[t].object),delete r[t];delete n[t]}delete f[t]}},releaseStatesOfGeometry:function(t){if(void 0===f[t.id])return;const n=f[t.id];for(const t in n){const r=n[t];for(const t in r)v(r[t].object),delete r[t];delete n[t]}delete f[t.id]},releaseStatesOfProgram:function(t){for(const n in f){const r=f[n];if(void 0===r[t.id])continue;const l=r[t.id];for(const t in l)v(l[t].object),delete l[t];delete r[t.id]}},initAttributes:x,enableAttribute:w,disableUnusedAttributes:_}}function Lo(t,n,r,d){const h=d.isWebGL2;let p;this.setMode=function(t){p=t},this.render=function(n,l){t.drawArrays(p,n,l),r.update(l,p,1)},this.renderInstances=function(d,f,m){if(0===m)return;let g,y;if(h)g=t,y="drawArraysInstanced";else if(g=n.get("ANGLE_instanced_arrays"),y="drawArraysInstancedANGLE",null===g)return void l.error("THREE.WebGLBufferRenderer: using THREE.InstancedBufferGeometry but hardware does not support extension ANGLE_instanced_arrays.");g[y](p,d,f,m),r.update(f,p,m)}}function Do(t,n,r){let d;function h(n){if("highp"===n){if(t.getShaderPrecisionFormat(35633,36338).precision>0&&t.getShaderPrecisionFormat(35632,36338).precision>0)return"highp";n="mediump"}return"mediump"===n&&t.getShaderPrecisionFormat(35633,36337).precision>0&&t.getShaderPrecisionFormat(35632,36337).precision>0?"mediump":"lowp"}const p="undefined"!=typeof WebGL2RenderingContext&&t instanceof WebGL2RenderingContext||"undefined"!=typeof WebGL2ComputeRenderingContext&&t instanceof WebGL2ComputeRenderingContext;let f=void 0!==r.precision?r.precision:"highp";const m=h(f);m!==f&&(l.warn("THREE.WebGLRenderer:",f,"not supported, using",m,"instead."),f=m);const g=!0===r.logarithmicDepthBuffer,y=t.getParameter(34930),v=t.getParameter(35660),b=t.getParameter(3379),x=t.getParameter(34076),w=t.getParameter(34921),S=t.getParameter(36347),_=t.getParameter(36348),E=t.getParameter(36349),T=v>0,C=p||!!n.get("OES_texture_float");return{isWebGL2:p,getMaxAnisotropy:function(){if(void 0!==d)return d;const r=n.get("EXT_texture_filter_anisotropic");return d=null!==r?t.getParameter(r.MAX_TEXTURE_MAX_ANISOTROPY_EXT):0,d},getMaxPrecision:h,precision:f,logarithmicDepthBuffer:g,maxTextures:y,maxVertexTextures:v,maxTextureSize:b,maxCubemapSize:x,maxAttributes:w,maxVertexUniforms:S,maxVaryings:_,maxFragmentUniforms:E,vertexTextures:T,floatFragmentTextures:C,floatVertexTextures:T&&C,maxSamples:p?t.getParameter(36183):0}}function Fo(t){const n=this;let r=null,l=0,d=!1,h=!1;const p=new Plane,f=new Matrix3,m={value:null,needsUpdate:!1};function g(){m.value!==r&&(m.value=r,m.needsUpdate=l>0),n.numPlanes=l,n.numIntersection=0}function y(t,r,l,d){const h=null!==t?t.length:0;let g=null;if(0!==h){if(g=m.value,!0!==d||null===g){const n=l+4*h,d=r.matrixWorldInverse;f.getNormalMatrix(d),(null===g||g.length<n)&&(g=new Float32Array(n));for(let n=0,r=l;n!==h;++n,r+=4)p.copy(t[n]).applyMatrix4(d,f),p.normal.toArray(g,r),g[r+3]=p.constant}m.value=g,m.needsUpdate=!0}return n.numPlanes=h,n.numIntersection=0,g}this.uniform=m,this.numPlanes=0,this.numIntersection=0,this.init=function(t,n,h){const p=0!==t.length||n||0!==l||d;return d=n,r=y(t,h,0),l=t.length,p},this.beginShadows=function(){h=!0,y(null)},this.endShadows=function(){h=!1,g()},this.setState=function(n,p,f){const v=n.clippingPlanes,b=n.clipIntersection,x=n.clipShadows,w=t.get(n);if(!d||null===v||0===v.length||h&&!x)h?y(null):g();else{const t=h?0:l,n=4*t;let d=w.clippingState||null;m.value=d,d=y(v,p,n,f);for(let t=0;t!==n;++t)d[t]=r[t];w.clippingState=d,this.numIntersection=b?this.numPlanes:0,this.numPlanes+=t}}}function No(t){let n=new WeakMap;function r(t,n){return n===_e?t.mapping=we:n===Ee&&(t.mapping=Se),t}function l(t){const r=t.target;r.removeEventListener("dispose",l);const d=n.get(r);void 0!==d&&(n.delete(r),d.dispose())}return{get:function(d){if(d&&d.isTexture){const h=d.mapping;if(h===_e||h===Ee){if(n.has(d)){return r(n.get(d).texture,d.mapping)}{const h=d.image;if(h&&h.height>0){const p=t.getRenderList(),f=t.getRenderTarget(),m=new WebGLCubeRenderTarget(h.height/2);return m.fromEquirectangularTexture(t,d),n.set(d,m),t.setRenderTarget(f),t.setRenderList(p),d.addEventListener("dispose",l),r(m.texture,d.mapping)}return null}}}return d},dispose:function(){n=new WeakMap}}}function Bo(t){const n={};function r(r){if(void 0!==n[r])return n[r];let l;switch(r){case"WEBGL_depth_texture":l=t.getExtension("WEBGL_depth_texture")||t.getExtension("MOZ_WEBGL_depth_texture")||t.getExtension("WEBKIT_WEBGL_depth_texture");break;case"EXT_texture_filter_anisotropic":l=t.getExtension("EXT_texture_filter_anisotropic")||t.getExtension("MOZ_EXT_texture_filter_anisotropic")||t.getExtension("WEBKIT_EXT_texture_filter_anisotropic");break;case"WEBGL_compressed_texture_s3tc":l=t.getExtension("WEBGL_compressed_texture_s3tc")||t.getExtension("MOZ_WEBGL_compressed_texture_s3tc")||t.getExtension("WEBKIT_WEBGL_compressed_texture_s3tc");break;case"WEBGL_compressed_texture_pvrtc":l=t.getExtension("WEBGL_compressed_texture_pvrtc")||t.getExtension("WEBKIT_WEBGL_compressed_texture_pvrtc");break;default:l=t.getExtension(r)}return n[r]=l,l}return{has:function(t){return null!==r(t)},init:function(t){t.isWebGL2?r("EXT_color_buffer_float"):(r("WEBGL_depth_texture"),r("OES_texture_float"),r("OES_texture_half_float"),r("OES_texture_half_float_linear"),r("OES_standard_derivatives"),r("OES_element_index_uint"),r("OES_vertex_array_object"),r("ANGLE_instanced_arrays")),r("OES_texture_float_linear"),r("EXT_color_buffer_half_float")},get:function(t){const n=r(t);return null===n&&l.warn("THREE.WebGLRenderer: "+t+" extension not supported."),n}}}function $o(t,n,r,l){const d={},h=new WeakMap;function p(t){const f=t.target;null!==f.index&&n.remove(f.index);for(const t in f.attributes)n.remove(f.attributes[t]);f.removeEventListener("dispose",p),delete d[f.id];const m=h.get(f);m&&(n.remove(m),h.delete(f)),l.releaseStatesOfGeometry(f),!0===f.isInstancedBufferGeometry&&delete f._maxInstanceCount,r.memory.geometries--}function f(t){const r=[],l=t.index,d=t.attributes.position;let p=0;if(null!==l){const t=l.array;p=l.version;for(let n=0,l=t.length;n<l;n+=3){const l=t[n+0],d=t[n+1],h=t[n+2];r.push(l,d,d,h,h,l)}}else{const t=d.array;p=d.version;for(let n=0,l=t.length/3-1;n<l;n+=3){const t=n+0,l=n+1,d=n+2;r.push(t,l,l,d,d,t)}}const f=new(Dr(r)>65535?Ir:kr)(r,1);f.version=p;const m=h.get(t);m&&n.remove(m),h.set(t,f)}return{get:function(t,n){return!0===d[n.id]||(n.addEventListener("dispose",p),d[n.id]=!0,r.memory.geometries++),n},update:function(t){const r=t.attributes;for(const t in r)n.update(r[t],34962);const l=t.morphAttributes;for(const t in l){const r=l[t];for(let t=0,l=r.length;t<l;t++)n.update(r[t],34962)}},getWireframeAttribute:function(t){const n=h.get(t);if(n){const r=t.index;null!==r&&n.version<r.version&&f(t)}else f(t);return h.get(t)}}}function zo(t,n,r,d){const h=d.isWebGL2;let p,f,m;this.setMode=function(t){p=t},this.setIndex=function(t){f=t.type,m=t.bytesPerElement},this.render=function(n,l){t.drawElements(p,l,f,n*m),r.update(l,p,1)},this.renderInstances=function(d,g,y){if(0===y)return;let v,b;if(h)v=t,b="drawElementsInstanced";else if(v=n.get("ANGLE_instanced_arrays"),b="drawElementsInstancedANGLE",null===v)return void l.error("THREE.WebGLIndexedBufferRenderer: using THREE.InstancedBufferGeometry but hardware does not support extension ANGLE_instanced_arrays.");v[b](p,g,f,d*m,y),r.update(g,p,y)}}function jo(t){const n={frame:0,calls:0,triangles:0,points:0,lines:0};return{memory:{geometries:0,textures:0},render:n,programs:null,autoReset:!0,reset:function(){n.frame++,n.calls=0,n.triangles=0,n.points=0,n.lines=0},update:function(t,r,d){switch(n.calls++,r){case 4:n.triangles+=d*(t/3);break;case 1:n.lines+=d*(t/2);break;case 3:n.lines+=d*(t-1);break;case 2:n.lines+=d*t;break;case 0:n.points+=d*t;break;default:l.error("THREE.WebGLInfo: Unknown draw mode:",r)}}}}function Vo(t,n){return t[0]-n[0]}function Uo(t,n){return Math.abs(n[1])-Math.abs(t[1])}function Ho(t){const n={},r=new Float32Array(8),l=[];for(let t=0;t<8;t++)l[t]=[t,0];return{update:function(d,h,p,f){const m=d.morphTargetInfluences,g=void 0===m?0:m.length;let y=n[h.id];if(void 0===y){y=[];for(let t=0;t<g;t++)y[t]=[t,0];n[h.id]=y}for(let t=0;t<g;t++){const n=y[t];n[0]=t,n[1]=m[t]}y.sort(Uo);for(let t=0;t<8;t++)t<g&&y[t][1]?(l[t][0]=y[t][0],l[t][1]=y[t][1]):(l[t][0]=Number.MAX_SAFE_INTEGER,l[t][1]=0);l.sort(Vo);const v=p.morphTargets&&h.morphAttributes.position,b=p.morphNormals&&h.morphAttributes.normal;let x=0;for(let t=0;t<8;t++){const n=l[t],d=n[0],p=n[1];d!==Number.MAX_SAFE_INTEGER&&p?(v&&h.getAttribute("morphTarget"+t)!==v[d]&&h.setAttribute("morphTarget"+t,v[d]),b&&h.getAttribute("morphNormal"+t)!==b[d]&&h.setAttribute("morphNormal"+t,b[d]),r[t]=p,x+=p):(v&&!0===h.hasAttribute("morphTarget"+t)&&h.deleteAttribute("morphTarget"+t),b&&!0===h.hasAttribute("morphNormal"+t)&&h.deleteAttribute("morphNormal"+t),r[t]=0)}const w=h.morphTargetsRelative?1:1-x;f.getUniforms().setValue(t,"morphTargetBaseInfluence",w),f.getUniforms().setValue(t,"morphTargetInfluences",r)}}}function Go(t,n,r,l){let d=new WeakMap;function h(t){const n=t.target;n.removeEventListener("dispose",h),r.remove(n.instanceMatrix),null!==n.instanceColor&&r.remove(n.instanceColor)}return{update:function(t){const p=l.render.frame,f=t.geometry,m=n.get(t,f);return d.get(m)!==p&&(n.update(m),d.set(m,p)),t.isInstancedMesh&&(!1===t.hasEventListener("dispose",h)&&t.addEventListener("dispose",h),r.update(t.instanceMatrix,34962),null!==t.instanceColor&&r.update(t.instanceColor,34962)),m},dispose:function(){d=new WeakMap}}}function Wo(t=null,n=1,r=1,l=1){on.call(this,null),this.image={data:t,width:n,height:r,depth:l},this.magFilter=Oe,this.minFilter=Oe,this.wrapR=Ae,this.generateMipmaps=!1,this.flipY=!1,this.needsUpdate=!0}function qo(t=null,n=1,r=1,l=1){on.call(this,null),this.image={data:t,width:n,height:r,depth:l},this.magFilter=Oe,this.minFilter=Oe,this.wrapR=Ae,this.generateMipmaps=!1,this.flipY=!1,this.needsUpdate=!0}Io.physical={uniforms:po([Io.standard.uniforms,{clearcoat:{value:0},clearcoatMap:{value:null},clearcoatRoughness:{value:0},clearcoatRoughnessMap:{value:null},clearcoatNormalScale:{value:new Vector2(1,1)},clearcoatNormalMap:{value:null},sheen:{value:new Color(0)},transmission:{value:0},transmissionMap:{value:null}}]),vertexShader:ko.meshphysical_vert,fragmentShader:ko.meshphysical_frag},Wo.prototype=Object.create(on.prototype),Wo.prototype.constructor=Wo,Wo.prototype.isDataTexture2DArray=!0,qo.prototype=Object.create(on.prototype),qo.prototype.constructor=qo,qo.prototype.isDataTexture3D=!0;const Xo=new on,Yo=new Wo,Zo=new qo,Ko=new _o,Jo=[],Qo=[],ea=new Float32Array(16),ta=new Float32Array(9),ia=new Float32Array(4);function na(t,n,r){const l=t[0];if(l<=0||l>0)return t;const d=n*r;let h=Jo[d];if(void 0===h&&(h=new Float32Array(d),Jo[d]=h),0!==n){l.toArray(h,0);for(let l=1,d=0;l!==n;++l)d+=r,t[l].toArray(h,d)}return h}function ra(t,n){if(t.length!==n.length)return!1;for(let r=0,l=t.length;r<l;r++)if(t[r]!==n[r])return!1;return!0}function oa(t,n){for(let r=0,l=n.length;r<l;r++)t[r]=n[r]}function aa(t,n){let r=Qo[n];void 0===r&&(r=new Int32Array(n),Qo[n]=r);for(let l=0;l!==n;++l)r[l]=t.allocateTextureUnit();return r}function sa(t,n){const r=this.cache;r[0]!==n&&(t.uniform1f(this.addr,n),r[0]=n)}function la(t,n){const r=this.cache;if(void 0!==n.x)r[0]===n.x&&r[1]===n.y||(t.uniform2f(this.addr,n.x,n.y),r[0]=n.x,r[1]=n.y);else{if(ra(r,n))return;t.uniform2fv(this.addr,n),oa(r,n)}}function ca(t,n){const r=this.cache;if(void 0!==n.x)r[0]===n.x&&r[1]===n.y&&r[2]===n.z||(t.uniform3f(this.addr,n.x,n.y,n.z),r[0]=n.x,r[1]=n.y,r[2]=n.z);else if(void 0!==n.r)r[0]===n.r&&r[1]===n.g&&r[2]===n.b||(t.uniform3f(this.addr,n.r,n.g,n.b),r[0]=n.r,r[1]=n.g,r[2]=n.b);else{if(ra(r,n))return;t.uniform3fv(this.addr,n),oa(r,n)}}function da(t,n){const r=this.cache;if(void 0!==n.x)r[0]===n.x&&r[1]===n.y&&r[2]===n.z&&r[3]===n.w||(t.uniform4f(this.addr,n.x,n.y,n.z,n.w),r[0]=n.x,r[1]=n.y,r[2]=n.z,r[3]=n.w);else{if(ra(r,n))return;t.uniform4fv(this.addr,n),oa(r,n)}}function ua(t,n){const r=this.cache,l=n.elements;if(void 0===l){if(ra(r,n))return;t.uniformMatrix2fv(this.addr,!1,n),oa(r,n)}else{if(ra(r,l))return;ia.set(l),t.uniformMatrix2fv(this.addr,!1,ia),oa(r,l)}}function ha(t,n){const r=this.cache,l=n.elements;if(void 0===l){if(ra(r,n))return;t.uniformMatrix3fv(this.addr,!1,n),oa(r,n)}else{if(ra(r,l))return;ta.set(l),t.uniformMatrix3fv(this.addr,!1,ta),oa(r,l)}}function pa(t,n){const r=this.cache,l=n.elements;if(void 0===l){if(ra(r,n))return;t.uniformMatrix4fv(this.addr,!1,n),oa(r,n)}else{if(ra(r,l))return;ea.set(l),t.uniformMatrix4fv(this.addr,!1,ea),oa(r,l)}}function fa(t,n,r){const l=this.cache,d=r.allocateTextureUnit();l[0]!==d&&(t.uniform1i(this.addr,d),l[0]=d),r.safeSetTexture2D(n||Xo,d)}function ma(t,n,r){const l=this.cache,d=r.allocateTextureUnit();l[0]!==d&&(t.uniform1i(this.addr,d),l[0]=d),r.setTexture2DArray(n||Yo,d)}function ga(t,n,r){const l=this.cache,d=r.allocateTextureUnit();l[0]!==d&&(t.uniform1i(this.addr,d),l[0]=d),r.setTexture3D(n||Zo,d)}function ya(t,n,r){const l=this.cache,d=r.allocateTextureUnit();l[0]!==d&&(t.uniform1i(this.addr,d),l[0]=d),r.safeSetTextureCube(n||Ko,d)}function va(t,n){const r=this.cache;r[0]!==n&&(t.uniform1i(this.addr,n),r[0]=n)}function ba(t,n){const r=this.cache;ra(r,n)||(t.uniform2iv(this.addr,n),oa(r,n))}function xa(t,n){const r=this.cache;ra(r,n)||(t.uniform3iv(this.addr,n),oa(r,n))}function wa(t,n){const r=this.cache;ra(r,n)||(t.uniform4iv(this.addr,n),oa(r,n))}function Sa(t,n){const r=this.cache;r[0]!==n&&(t.uniform1ui(this.addr,n),r[0]=n)}function _a(t,n){t.uniform1fv(this.addr,n)}function Ea(t,n){t.uniform1iv(this.addr,n)}function Ma(t,n){t.uniform2iv(this.addr,n)}function Ta(t,n){t.uniform3iv(this.addr,n)}function Ca(t,n){t.uniform4iv(this.addr,n)}function Aa(t,n){const r=na(n,this.size,2);t.uniform2fv(this.addr,r)}function ka(t,n){const r=na(n,this.size,3);t.uniform3fv(this.addr,r)}function Oa(t,n){const r=na(n,this.size,4);t.uniform4fv(this.addr,r)}function Ia(t,n){const r=na(n,this.size,4);t.uniformMatrix2fv(this.addr,!1,r)}function Ra(t,n){const r=na(n,this.size,9);t.uniformMatrix3fv(this.addr,!1,r)}function Pa(t,n){const r=na(n,this.size,16);t.uniformMatrix4fv(this.addr,!1,r)}function La(t,n,r){const l=n.length,d=aa(r,l);t.uniform1iv(this.addr,d);for(let t=0;t!==l;++t)r.safeSetTexture2D(n[t]||Xo,d[t])}function Da(t,n,r){const l=n.length,d=aa(r,l);t.uniform1iv(this.addr,d);for(let t=0;t!==l;++t)r.safeSetTextureCube(n[t]||Ko,d[t])}function Fa(t,n,r){this.id=t,this.addr=r,this.cache=[],this.setValue=function(t){switch(t){case 5126:return sa;case 35664:return la;case 35665:return ca;case 35666:return da;case 35674:return ua;case 35675:return ha;case 35676:return pa;case 5124:case 35670:return va;case 35667:case 35671:return ba;case 35668:case 35672:return xa;case 35669:case 35673:return wa;case 5125:return Sa;case 35678:case 36198:case 36298:case 36306:case 35682:return fa;case 35679:case 36299:case 36307:return ga;case 35680:case 36300:case 36308:case 36293:return ya;case 36289:case 36303:case 36311:case 36292:return ma}}(n.type)}function Na(t,n,r){this.id=t,this.addr=r,this.cache=[],this.size=n.size,this.setValue=function(t){switch(t){case 5126:return _a;case 35664:return Aa;case 35665:return ka;case 35666:return Oa;case 35674:return Ia;case 35675:return Ra;case 35676:return Pa;case 5124:case 35670:return Ea;case 35667:case 35671:return Ma;case 35668:case 35672:return Ta;case 35669:case 35673:return Ca;case 35678:case 36198:case 36298:case 36306:case 35682:return La;case 35680:case 36300:case 36308:case 36293:return Da}}(n.type)}function Ba(t){this.id=t,this.seq=[],this.map={}}Na.prototype.updateCache=function(t){const n=this.cache;t instanceof Float32Array&&n.length!==t.length&&(this.cache=new Float32Array(t.length)),oa(n,t)},Ba.prototype.setValue=function(t,n,r){const l=this.seq;for(let d=0,h=l.length;d!==h;++d){const h=l[d];h.setValue(t,n[h.id],r)}};const $a=/(\w+)(\])?(\[|\.)?/g;function za(t,n){t.seq.push(n),t.map[n.id]=n}function ja(t,n,r){const l=t.name,d=l.length;for($a.lastIndex=0;;){const h=$a.exec(l),p=$a.lastIndex;let f=h[1];const m="]"===h[2],g=h[3];if(m&&(f|=0),void 0===g||"["===g&&p+2===d){za(r,void 0===g?new Fa(f,t,n):new Na(f,t,n));break}{let t=r.map[f];void 0===t&&(t=new Ba(f),za(r,t)),r=t}}}function Va(t,n){this.seq=[],this.map={};const r=t.getProgramParameter(n,35718);for(let l=0;l<r;++l){const r=t.getActiveUniform(n,l);ja(r,t.getUniformLocation(n,r.name),this)}}function Ua(t,n,r){const l=t.createShader(n);return t.shaderSource(l,r),t.compileShader(l),l}Va.prototype.setValue=function(t,n,r,l){const d=this.map[n];void 0!==d&&d.setValue(t,r,l)},Va.prototype.setOptional=function(t,n,r){const l=n[r];void 0!==l&&this.setValue(t,r,l)},Va.upload=function(t,n,r,l){for(let d=0,h=n.length;d!==h;++d){const h=n[d],p=r[h.id];!1!==p.needsUpdate&&h.setValue(t,p.value,l)}},Va.seqWithValue=function(t,n){const r=[];for(let l=0,d=t.length;l!==d;++l){const d=t[l];d.id in n&&r.push(d)}return r};let Ha=0;function Ga(t){switch(t){case hi:return["Linear","( value )"];case pi:return["sRGB","( value )"];case mi:return["RGBE","( value )"];case yi:return["RGBM","( value, 7.0 )"];case vi:return["RGBM","( value, 16.0 )"];case bi:return["RGBD","( value, 256.0 )"];case fi:return["Gamma","( value, float( GAMMA_FACTOR ) )"];case gi:return["LogLuv","( value )"];default:return l.warn("THREE.WebGLProgram: Unsupported encoding:",t),["Linear","( value )"]}}function Wa(t,n,r){const l=t.getShaderParameter(n,35713),d=t.getShaderInfoLog(n).trim();if(l&&""===d)return"";return"THREE.WebGLShader: gl.getShaderInfoLog() "+r+"\n"+d+function(t){const n=t.split("\n");for(let t=0;t<n.length;t++)n[t]=t+1+": "+n[t];return n.join("\n")}(t.getShaderSource(n))}function qa(t,n){const r=Ga(n);return"vec4 "+t+"( vec4 value ) { return "+r[0]+"ToLinear"+r[1]+"; }"}function Xa(t,n){const r=Ga(n);return"vec4 "+t+"( vec4 value ) { return LinearTo"+r[0]+r[1]+"; }"}function Ya(t,n){let r;switch(n){case me:r="Linear";break;case ge:r="Reinhard";break;case ye:r="OptimizedCineon";break;case ve:r="ACESFilmic";break;case be:r="Custom";break;default:l.warn("THREE.WebGLProgram: Unsupported toneMapping:",n),r="Linear"}return"vec3 "+t+"( vec3 color ) { return "+r+"ToneMapping( color ); }"}function Za(t){return""!==t}function Ka(t,n){return t.replace(/NUM_DIR_LIGHTS/g,n.numDirLights).replace(/NUM_SPOT_LIGHTS/g,n.numSpotLights).replace(/NUM_RECT_AREA_LIGHTS/g,n.numRectAreaLights).replace(/NUM_POINT_LIGHTS/g,n.numPointLights).replace(/NUM_HEMI_LIGHTS/g,n.numHemiLights).replace(/NUM_DIR_LIGHT_SHADOWS/g,n.numDirLightShadows).replace(/NUM_SPOT_LIGHT_SHADOWS/g,n.numSpotLightShadows).replace(/NUM_POINT_LIGHT_SHADOWS/g,n.numPointLightShadows)}function Ja(t,n){return t.replace(/NUM_CLIPPING_PLANES/g,n.numClippingPlanes).replace(/UNION_CLIPPING_PLANES/g,n.numClippingPlanes-n.numClipIntersection)}const Qa=/^[ \t]*#include +<([\w\d./]+)>/gm;function es(t){return t.replace(Qa,ts)}function ts(t,n){const r=ko[n];if(void 0===r)throw new Error("Can not resolve #include <"+n+">");return es(r)}const is=/#pragma unroll_loop[\s]+?for \( int i \= (\d+)\; i < (\d+)\; i \+\+ \) \{([\s\S]+?)(?=\})\}/g,ns=/#pragma unroll_loop_start\s+for\s*\(\s*int\s+i\s*=\s*(\d+)\s*;\s*i\s*<\s*(\d+)\s*;\s*i\s*\+\+\s*\)\s*{([\s\S]+?)}\s+#pragma unroll_loop_end/g;function rs(t){return t.replace(ns,as).replace(is,os)}function os(t,n,r,d){return l.warn("WebGLProgram: #pragma unroll_loop shader syntax is deprecated. Please use #pragma unroll_loop_start syntax instead."),as(t,n,r,d)}function as(t,n,r,l){let d="";for(let t=parseInt(n);t<parseInt(r);t++)d+=l.replace(/\[\s*i\s*\]/g,"[ "+t+" ]").replace(/UNROLLED_LOOP_INDEX/g,t);return d}function ss(t){let n="precision "+t.precision+" float;\nprecision "+t.precision+" int;";return"highp"===t.precision?n+="\n#define HIGH_PRECISION":"mediump"===t.precision?n+="\n#define MEDIUM_PRECISION":"lowp"===t.precision&&(n+="\n#define LOW_PRECISION"),n}function ls(t,n,r,d){const h=t.getContext(),p=r.defines;let f=r.vertexShader,m=r.fragmentShader;const g=function(t){let n="SHADOWMAP_TYPE_BASIC";return t.shadowMapType===b?n="SHADOWMAP_TYPE_PCF":t.shadowMapType===x?n="SHADOWMAP_TYPE_PCF_SOFT":t.shadowMapType===w&&(n="SHADOWMAP_TYPE_VSM"),n}(r),y=function(t){let n="ENVMAP_TYPE_CUBE";if(t.envMap)switch(t.envMapMode){case we:case Se:n="ENVMAP_TYPE_CUBE";break;case Me:case Te:n="ENVMAP_TYPE_CUBE_UV"}return n}(r),v=function(t){let n="ENVMAP_MODE_REFLECTION";if(t.envMap)switch(t.envMapMode){case Se:case Te:n="ENVMAP_MODE_REFRACTION"}return n}(r),S=function(t){let n="ENVMAP_BLENDING_NONE";if(t.envMap)switch(t.combine){case ue:n="ENVMAP_BLENDING_MULTIPLY";break;case he:n="ENVMAP_BLENDING_MIX";break;case pe:n="ENVMAP_BLENDING_ADD"}return n}(r),_=t.gammaFactor>0?t.gammaFactor:1,E=r.isWebGL2?"":function(t){return[t.extensionDerivatives||t.envMapCubeUV||t.bumpMap||t.tangentSpaceNormalMap||t.clearcoatNormalMap||t.flatShading||"physical"===t.shaderID?"#extension GL_OES_standard_derivatives : enable":"",(t.extensionFragDepth||t.logarithmicDepthBuffer)&&t.rendererExtensionFragDepth?"#extension GL_EXT_frag_depth : enable":"",t.extensionDrawBuffers&&t.rendererExtensionDrawBuffers?"#extension GL_EXT_draw_buffers : require":"",(t.extensionShaderTextureLOD||t.envMap)&&t.rendererExtensionShaderTextureLod?"#extension GL_EXT_shader_texture_lod : enable":""].filter(Za).join("\n")}(r),T=function(t){const n=[];for(const r in t){const l=t[r];!1!==l&&n.push("#define "+r+" "+l)}return n.join("\n")}(p),C=h.createProgram();let A,O,I=r.glslVersion?"#version "+r.glslVersion+"\n":"";r.isRawShaderMaterial?(A=[T].filter(Za).join("\n"),A.length>0&&(A+="\n"),O=[E,T].filter(Za).join("\n"),O.length>0&&(O+="\n")):(A=[ss(r),"#define SHADER_NAME "+r.shaderName,T,r.instancing?"#define USE_INSTANCING":"",r.instancingColor?"#define USE_INSTANCING_COLOR":"",r.supportsVertexTextures?"#define VERTEX_TEXTURES":"","#define GAMMA_FACTOR "+_,"#define MAX_BONES "+r.maxBones,r.useFog&&r.fog?"#define USE_FOG":"",r.useFog&&r.fogExp2?"#define FOG_EXP2":"",r.map?"#define USE_MAP":"",r.envMap?"#define USE_ENVMAP":"",r.envMap?"#define "+v:"",r.lightMap?"#define USE_LIGHTMAP":"",r.aoMap?"#define USE_AOMAP":"",r.emissiveMap?"#define USE_EMISSIVEMAP":"",r.bumpMap?"#define USE_BUMPMAP":"",r.normalMap?"#define USE_NORMALMAP":"",r.normalMap&&r.objectSpaceNormalMap?"#define OBJECTSPACE_NORMALMAP":"",r.normalMap&&r.tangentSpaceNormalMap?"#define TANGENTSPACE_NORMALMAP":"",r.clearcoatMap?"#define USE_CLEARCOATMAP":"",r.clearcoatRoughnessMap?"#define USE_CLEARCOAT_ROUGHNESSMAP":"",r.clearcoatNormalMap?"#define USE_CLEARCOAT_NORMALMAP":"",r.displacementMap&&r.supportsVertexTextures?"#define USE_DISPLACEMENTMAP":"",r.specularMap?"#define USE_SPECULARMAP":"",r.roughnessMap?"#define USE_ROUGHNESSMAP":"",r.metalnessMap?"#define USE_METALNESSMAP":"",r.alphaMap?"#define USE_ALPHAMAP":"",r.transmissionMap?"#define USE_TRANSMISSIONMAP":"",r.vertexTangents?"#define USE_TANGENT":"",r.vertexColors?"#define USE_COLOR":"",r.vertexUvs?"#define USE_UV":"",r.uvsVertexOnly?"#define UVS_VERTEX_ONLY":"",r.flatShading?"#define FLAT_SHADED":"",r.skinning?"#define USE_SKINNING":"",r.useVertexTexture?"#define BONE_TEXTURE":"",r.morphTargets?"#define USE_MORPHTARGETS":"",r.morphNormals&&!1===r.flatShading?"#define USE_MORPHNORMALS":"",r.doubleSided?"#define DOUBLE_SIDED":"",r.flipSided?"#define FLIP_SIDED":"",r.shadowMapEnabled?"#define USE_SHADOWMAP":"",r.shadowMapEnabled?"#define "+g:"",r.sizeAttenuation?"#define USE_SIZEATTENUATION":"",r.logarithmicDepthBuffer?"#define USE_LOGDEPTHBUF":"",r.logarithmicDepthBuffer&&r.rendererExtensionFragDepth?"#define USE_LOGDEPTHBUF_EXT":"","uniform mat4 modelMatrix;","uniform mat4 modelViewMatrix;","uniform mat4 projectionMatrix;","uniform mat4 viewMatrix;","uniform mat3 normalMatrix;","uniform vec3 cameraPosition;","uniform bool isOrthographic;","#ifdef USE_INSTANCING","\tattribute mat4 instanceMatrix;","#endif","#ifdef USE_INSTANCING_COLOR","\tattribute vec3 instanceColor;","#endif","attribute vec3 position;","attribute vec3 normal;","attribute vec2 uv;","#ifdef USE_TANGENT","\tattribute vec4 tangent;","#endif","#ifdef USE_COLOR","\tattribute vec3 color;","#endif","#ifdef USE_MORPHTARGETS","\tattribute vec3 morphTarget0;","\tattribute vec3 morphTarget1;","\tattribute vec3 morphTarget2;","\tattribute vec3 morphTarget3;","\t#ifdef USE_MORPHNORMALS","\t\tattribute vec3 morphNormal0;","\t\tattribute vec3 morphNormal1;","\t\tattribute vec3 morphNormal2;","\t\tattribute vec3 morphNormal3;","\t#else","\t\tattribute vec3 morphTarget4;","\t\tattribute vec3 morphTarget5;","\t\tattribute vec3 morphTarget6;","\t\tattribute vec3 morphTarget7;","\t#endif","#endif","#ifdef USE_SKINNING","\tattribute vec4 skinIndex;","\tattribute vec4 skinWeight;","#endif","\n"].filter(Za).join("\n"),O=[E,ss(r),"#define SHADER_NAME "+r.shaderName,T,r.alphaTest?"#define ALPHATEST "+r.alphaTest+(r.alphaTest%1?"":".0"):"","#define GAMMA_FACTOR "+_,r.useFog&&r.fog?"#define USE_FOG":"",r.useFog&&r.fogExp2?"#define FOG_EXP2":"",r.map?"#define USE_MAP":"",r.matcap?"#define USE_MATCAP":"",r.envMap?"#define USE_ENVMAP":"",r.envMap?"#define "+y:"",r.envMap?"#define "+v:"",r.envMap?"#define "+S:"",r.lightMap?"#define USE_LIGHTMAP":"",r.aoMap?"#define USE_AOMAP":"",r.emissiveMap?"#define USE_EMISSIVEMAP":"",r.bumpMap?"#define USE_BUMPMAP":"",r.normalMap?"#define USE_NORMALMAP":"",r.normalMap&&r.objectSpaceNormalMap?"#define OBJECTSPACE_NORMALMAP":"",r.normalMap&&r.tangentSpaceNormalMap?"#define TANGENTSPACE_NORMALMAP":"",r.clearcoatMap?"#define USE_CLEARCOATMAP":"",r.clearcoatRoughnessMap?"#define USE_CLEARCOAT_ROUGHNESSMAP":"",r.clearcoatNormalMap?"#define USE_CLEARCOAT_NORMALMAP":"",r.specularMap?"#define USE_SPECULARMAP":"",r.roughnessMap?"#define USE_ROUGHNESSMAP":"",r.metalnessMap?"#define USE_METALNESSMAP":"",r.alphaMap?"#define USE_ALPHAMAP":"",r.sheen?"#define USE_SHEEN":"",r.transmissionMap?"#define USE_TRANSMISSIONMAP":"",r.vertexTangents?"#define USE_TANGENT":"",r.vertexColors||r.instancingColor?"#define USE_COLOR":"",r.vertexUvs?"#define USE_UV":"",r.uvsVertexOnly?"#define UVS_VERTEX_ONLY":"",r.gradientMap?"#define USE_GRADIENTMAP":"",r.flatShading?"#define FLAT_SHADED":"",r.doubleSided?"#define DOUBLE_SIDED":"",r.flipSided?"#define FLIP_SIDED":"",r.shadowMapEnabled?"#define USE_SHADOWMAP":"",r.shadowMapEnabled?"#define "+g:"",r.premultipliedAlpha?"#define PREMULTIPLIED_ALPHA":"",r.physicallyCorrectLights?"#define PHYSICALLY_CORRECT_LIGHTS":"",r.logarithmicDepthBuffer?"#define USE_LOGDEPTHBUF":"",r.logarithmicDepthBuffer&&r.rendererExtensionFragDepth?"#define USE_LOGDEPTHBUF_EXT":"",(r.extensionShaderTextureLOD||r.envMap)&&r.rendererExtensionShaderTextureLod?"#define TEXTURE_LOD_EXT":"","uniform mat4 viewMatrix;","uniform vec3 cameraPosition;","uniform bool isOrthographic;",r.toneMapping!==fe?"#define TONE_MAPPING":"",r.toneMapping!==fe?ko.tonemapping_pars_fragment:"",r.toneMapping!==fe?Ya("toneMapping",r.toneMapping):"",r.dithering?"#define DITHERING":"",ko.encodings_pars_fragment,r.map?qa("mapTexelToLinear",r.mapEncoding):"",r.matcap?qa("matcapTexelToLinear",r.matcapEncoding):"",r.envMap?qa("envMapTexelToLinear",r.envMapEncoding):"",r.emissiveMap?qa("emissiveMapTexelToLinear",r.emissiveMapEncoding):"",r.lightMap?qa("lightMapTexelToLinear",r.lightMapEncoding):"",Xa("linearToOutputTexel",r.outputEncoding),r.depthPacking?"#define DEPTH_PACKING "+r.depthPacking:"","\n"].filter(Za).join("\n")),f=es(f),f=Ka(f,r),f=Ja(f,r),m=es(m),m=Ka(m,r),m=Ja(m,r),f=rs(f),m=rs(m),r.isWebGL2&&!0!==r.isRawShaderMaterial&&(I="#version 300 es\n",A=["#define attribute in","#define varying out","#define texture2D texture"].join("\n")+"\n"+A,O=["#define varying in",r.glslVersion===Zi?"":"out highp vec4 pc_fragColor;",r.glslVersion===Zi?"":"#define gl_FragColor pc_fragColor","#define gl_FragDepthEXT gl_FragDepth","#define texture2D texture","#define textureCube texture","#define texture2DProj textureProj","#define texture2DLodEXT textureLod","#define texture2DProjLodEXT textureProjLod","#define textureCubeLodEXT textureLod","#define texture2DGradEXT textureGrad","#define texture2DProjGradEXT textureProjGrad","#define textureCubeGradEXT textureGrad"].join("\n")+"\n"+O);const P=I+O+m,D=Ua(h,35633,I+A+f),F=Ua(h,35632,P);if(h.attachShader(C,D),h.attachShader(C,F),void 0!==r.index0AttributeName?h.bindAttribLocation(C,0,r.index0AttributeName):!0===r.morphTargets&&h.bindAttribLocation(C,0,"position"),h.linkProgram(C),t.debug.checkShaderErrors){const t=h.getProgramInfoLog(C).trim(),n=h.getShaderInfoLog(D).trim(),r=h.getShaderInfoLog(F).trim();let d=!0,p=!0;if(!1===h.getProgramParameter(C,35714)){d=!1;const n=Wa(h,D,"vertex"),r=Wa(h,F,"fragment");l.error("THREE.WebGLProgram: shader error: ",h.getError(),"35715",h.getProgramParameter(C,35715),"gl.getProgramInfoLog",t,n,r)}else""!==t?l.warn("THREE.WebGLProgram: gl.getProgramInfoLog()",t):""!==n&&""!==r||(p=!1);p&&(this.diagnostics={runnable:d,programLog:t,vertexShader:{log:n,prefix:A},fragmentShader:{log:r,prefix:O}})}let B,$;return h.deleteShader(D),h.deleteShader(F),this.getUniforms=function(){return void 0===B&&(B=new Va(h,C)),B},this.getAttributes=function(){return void 0===$&&($=function(t,n){const r={},l=t.getProgramParameter(n,35721);for(let d=0;d<l;d++){const l=t.getActiveAttrib(n,d).name;r[l]=t.getAttribLocation(n,l)}return r}(h,C)),$},this.destroy=function(){d.releaseStatesOfProgram(this),h.deleteProgram(C),this.program=void 0},this.name=r.shaderName,this.id=Ha++,this.cacheKey=n,this.usedTimes=1,this.program=C,this.vertexShader=D,this.fragmentShader=F,this}function cs(t,n,r,d,h,p){const f=[],m=d.isWebGL2,g=d.logarithmicDepthBuffer,y=d.floatVertexTextures,v=d.maxVertexUniforms,b=d.vertexTextures;let x=d.precision;const w={MeshDepthMaterial:"depth",MeshDistanceMaterial:"distanceRGBA",MeshNormalMaterial:"normal",MeshBasicMaterial:"basic",MeshLambertMaterial:"lambert",MeshPhongMaterial:"phong",MeshToonMaterial:"toon",MeshStandardMaterial:"physical",MeshPhysicalMaterial:"physical",MeshMatcapMaterial:"matcap",LineBasicMaterial:"basic",LineDashedMaterial:"dashed",PointsMaterial:"points",ShadowMaterial:"shadow",SpriteMaterial:"sprite"},S=["precision","isWebGL2","supportsVertexTextures","outputEncoding","instancing","instancingColor","map","mapEncoding","matcap","matcapEncoding","envMap","envMapMode","envMapEncoding","envMapCubeUV","lightMap","lightMapEncoding","aoMap","emissiveMap","emissiveMapEncoding","bumpMap","normalMap","objectSpaceNormalMap","tangentSpaceNormalMap","clearcoatMap","clearcoatRoughnessMap","clearcoatNormalMap","displacementMap","specularMap","roughnessMap","metalnessMap","gradientMap","alphaMap","combine","vertexColors","vertexTangents","vertexUvs","uvsVertexOnly","fog","useFog","fogExp2","flatShading","sizeAttenuation","logarithmicDepthBuffer","skinning","maxBones","useVertexTexture","morphTargets","morphNormals","maxMorphTargets","maxMorphNormals","premultipliedAlpha","numDirLights","numPointLights","numSpotLights","numHemiLights","numRectAreaLights","numDirLightShadows","numPointLightShadows","numSpotLightShadows","shadowMapEnabled","shadowMapType","toneMapping","physicallyCorrectLights","alphaTest","doubleSided","flipSided","numClippingPlanes","numClipIntersection","depthPacking","dithering","sheen","transmissionMap"];function T(t){let n;return t&&t.isTexture?n=t.encoding:t&&t.isWebGLRenderTarget?(l.warn("THREE.WebGLPrograms.getTextureEncodingFromMap: don't use render targets as textures. Use their .texture property instead."),n=t.texture.encoding):n=hi,n}return{getParameters:function(h,f,S,C,A){const O=C.fog,I=h.isMeshStandardMaterial?C.environment:null,P=n.get(h.envMap||I),D=w[h.type],F=A.isSkinnedMesh?function(t){const n=t.skeleton.bones;if(y)return 1024;{const t=v,r=Math.floor((t-20)/4),d=Math.min(r,n.length);return d<n.length?(l.warn("THREE.WebGLRenderer: Skeleton has "+n.length+" bones. This GPU supports "+d+"."),0):d}}(A):0;let B,$;if(null!==h.precision&&(x=d.getMaxPrecision(h.precision),x!==h.precision&&l.warn("THREE.WebGLProgram.getParameters:",h.precision,"not supported, using",x,"instead.")),D){const t=Io[D];B=t.vertexShader,$=t.fragmentShader}else B=h.vertexShader,$=h.fragmentShader;const j=t.getRenderTarget();return{isWebGL2:m,shaderID:D,shaderName:h.type,vertexShader:B,fragmentShader:$,defines:h.defines,isRawShaderMaterial:!0===h.isRawShaderMaterial,glslVersion:h.glslVersion,precision:x,instancing:!0===A.isInstancedMesh,instancingColor:!0===A.isInstancedMesh&&null!==A.instanceColor,supportsVertexTextures:b,outputEncoding:null!==j?T(j.texture):t.outputEncoding,map:!!h.map,mapEncoding:T(h.map),matcap:!!h.matcap,matcapEncoding:T(h.matcap),envMap:!!P,envMapMode:P&&P.mapping,envMapEncoding:T(P),envMapCubeUV:!!P&&(P.mapping===Me||P.mapping===Te),lightMap:!!h.lightMap,lightMapEncoding:T(h.lightMap),aoMap:!!h.aoMap,emissiveMap:!!h.emissiveMap,emissiveMapEncoding:T(h.emissiveMap),bumpMap:!!h.bumpMap,normalMap:!!h.normalMap,objectSpaceNormalMap:h.normalMapType===_i,tangentSpaceNormalMap:h.normalMapType===Si,clearcoatMap:!!h.clearcoatMap,clearcoatRoughnessMap:!!h.clearcoatRoughnessMap,clearcoatNormalMap:!!h.clearcoatNormalMap,displacementMap:!!h.displacementMap,roughnessMap:!!h.roughnessMap,metalnessMap:!!h.metalnessMap,specularMap:!!h.specularMap,alphaMap:!!h.alphaMap,gradientMap:!!h.gradientMap,sheen:!!h.sheen,transmissionMap:!!h.transmissionMap,combine:h.combine,vertexTangents:h.normalMap&&h.vertexTangents,vertexColors:h.vertexColors,vertexUvs:!!(h.map||h.bumpMap||h.normalMap||h.specularMap||h.alphaMap||h.emissiveMap||h.roughnessMap||h.metalnessMap||h.clearcoatMap||h.clearcoatRoughnessMap||h.clearcoatNormalMap||h.displacementMap||h.transmissionMap),uvsVertexOnly:!(h.map||h.bumpMap||h.normalMap||h.specularMap||h.alphaMap||h.emissiveMap||h.roughnessMap||h.metalnessMap||h.clearcoatNormalMap||h.transmissionMap||!h.displacementMap),fog:!!O,useFog:h.fog,fogExp2:O&&O.isFogExp2,flatShading:h.flatShading,sizeAttenuation:h.sizeAttenuation,logarithmicDepthBuffer:g,skinning:h.skinning&&F>0,maxBones:F,useVertexTexture:y,morphTargets:h.morphTargets,morphNormals:h.morphNormals,maxMorphTargets:t.maxMorphTargets,maxMorphNormals:t.maxMorphNormals,numDirLights:f.directional.length,numPointLights:f.point.length,numSpotLights:f.spot.length,numRectAreaLights:f.rectArea.length,numHemiLights:f.hemi.length,numDirLightShadows:f.directionalShadowMap.length,numPointLightShadows:f.pointShadowMap.length,numSpotLightShadows:f.spotShadowMap.length,numClippingPlanes:p.numPlanes,numClipIntersection:p.numIntersection,dithering:h.dithering,shadowMapEnabled:t.shadowMap.enabled&&S.length>0,shadowMapType:t.shadowMap.type,toneMapping:h.toneMapped?t.toneMapping:fe,physicallyCorrectLights:t.physicallyCorrectLights,premultipliedAlpha:h.premultipliedAlpha,alphaTest:h.alphaTest,doubleSided:h.side===E,flipSided:h.side===_,depthPacking:void 0!==h.depthPacking&&h.depthPacking,index0AttributeName:h.index0AttributeName,extensionDerivatives:h.extensions&&h.extensions.derivatives,extensionFragDepth:h.extensions&&h.extensions.fragDepth,extensionDrawBuffers:h.extensions&&h.extensions.drawBuffers,extensionShaderTextureLOD:h.extensions&&h.extensions.shaderTextureLOD,rendererExtensionFragDepth:m||r.has("EXT_frag_depth"),rendererExtensionDrawBuffers:m||r.has("WEBGL_draw_buffers"),rendererExtensionShaderTextureLod:m||r.has("EXT_shader_texture_lod"),customProgramCacheKey:h.customProgramCacheKey()}},getProgramCacheKey:function(n){const r=[];if(n.shaderID?r.push(n.shaderID):(r.push(n.fragmentShader),r.push(n.vertexShader)),void 0!==n.defines)for(const t in n.defines)r.push(t),r.push(n.defines[t]);if(!1===n.isRawShaderMaterial){for(let t=0;t<S.length;t++)r.push(n[S[t]]);r.push(t.outputEncoding),r.push(t.gammaFactor)}return r.push(n.customProgramCacheKey),r.join()},getUniforms:function(t){const n=w[t.type];let r;if(n){const t=Io[n];r=fo.clone(t.uniforms)}else r=t.uniforms;return r},acquireProgram:function(n,r){let l;for(let t=0,n=f.length;t<n;t++){const n=f[t];if(n.cacheKey===r){l=n,++l.usedTimes;break}}return void 0===l&&(l=new ls(t,r,n,h),f.push(l)),l},releaseProgram:function(t){if(0==--t.usedTimes){const n=f.indexOf(t);f[n]=f[f.length-1],f.pop(),t.destroy()}},programs:f}}function ds(){let t=new WeakMap;return{get:function(n){let r=t.get(n);return void 0===r&&(r={},t.set(n,r)),r},remove:function(n){t.delete(n)},update:function(n,r,l){t.get(n)[r]=l},dispose:function(){t=new WeakMap}}}function us(t,n){return t.groupOrder!==n.groupOrder?t.groupOrder-n.groupOrder:t.renderOrder!==n.renderOrder?t.renderOrder-n.renderOrder:t.program!==n.program?t.program.id-n.program.id:t.material.id!==n.material.id?t.material.id-n.material.id:t.z!==n.z?t.z-n.z:t.id-n.id}function hs(t,n){return t.groupOrder!==n.groupOrder?t.groupOrder-n.groupOrder:t.renderOrder!==n.renderOrder?t.renderOrder-n.renderOrder:t.z!==n.z?n.z-t.z:t.id-n.id}function ps(t){const n=[];let r=0;const l=[],d=[],h={id:-1};function p(l,d,p,f,m,g){let y=n[r];const v=t.get(p);return void 0===y?(y={id:l.id,object:l,geometry:d,material:p,program:v.program||h,groupOrder:f,renderOrder:l.renderOrder,z:m,group:g},n[r]=y):(y.id=l.id,y.object=l,y.geometry=d,y.material=p,y.program=v.program||h,y.groupOrder=f,y.renderOrder=l.renderOrder,y.z=m,y.group=g),r++,y}return{opaque:l,transparent:d,init:function(){r=0,l.length=0,d.length=0},push:function(t,n,r,h,f,m){const g=p(t,n,r,h,f,m);(!0===r.transparent?d:l).push(g)},unshift:function(t,n,r,h,f,m){const g=p(t,n,r,h,f,m);(!0===r.transparent?d:l).unshift(g)},finish:function(){for(let t=r,l=n.length;t<l;t++){const r=n[t];if(null===r.id)break;r.id=null,r.object=null,r.geometry=null,r.material=null,r.program=null,r.group=null}},sort:function(t,n){l.length>1&&l.sort(t||us),d.length>1&&d.sort(n||hs)}}}function fs(t){let n=new WeakMap;return{get:function(r,l){const d=n.get(r);let h;return void 0===d?(h=new ps(t),n.set(r,new WeakMap),n.get(r).set(l,h)):(h=d.get(l),void 0===h&&(h=new ps(t),d.set(l,h))),h},dispose:function(){n=new WeakMap}}}function ms(){const t={};return{get:function(n){if(void 0!==t[n.id])return t[n.id];let r;switch(n.type){case"DirectionalLight":r={direction:new Vector3,color:new Color};break;case"SpotLight":r={position:new Vector3,direction:new Vector3,color:new Color,distance:0,coneCos:0,penumbraCos:0,decay:0};break;case"PointLight":r={position:new Vector3,color:new Color,distance:0,decay:0};break;case"HemisphereLight":r={direction:new Vector3,skyColor:new Color,groundColor:new Color};break;case"RectAreaLight":r={color:new Color,position:new Vector3,halfWidth:new Vector3,halfHeight:new Vector3}}return t[n.id]=r,r}}}let gs=0;function ys(t,n){return(n.castShadow?1:0)-(t.castShadow?1:0)}function vs(t,n){const r=new ms,d=function(){const t={};return{get:function(n){if(void 0!==t[n.id])return t[n.id];let r;switch(n.type){case"DirectionalLight":case"SpotLight":r={shadowBias:0,shadowNormalBias:0,shadowRadius:1,shadowMapSize:new Vector2};break;case"PointLight":r={shadowBias:0,shadowNormalBias:0,shadowRadius:1,shadowMapSize:new Vector2,shadowCameraNear:1,shadowCameraFar:1e3}}return t[n.id]=r,r}}}(),h={version:0,hash:{directionalLength:-1,pointLength:-1,spotLength:-1,rectAreaLength:-1,hemiLength:-1,numDirectionalShadows:-1,numPointShadows:-1,numSpotShadows:-1},ambient:[0,0,0],probe:[],directional:[],directionalShadow:[],directionalShadowMap:[],directionalShadowMatrix:[],spot:[],spotShadow:[],spotShadowMap:[],spotShadowMatrix:[],rectArea:[],rectAreaLTC1:null,rectAreaLTC2:null,point:[],pointShadow:[],pointShadowMap:[],pointShadowMatrix:[],hemi:[]};for(let t=0;t<9;t++)h.probe.push(new Vector3);const p=new Vector3,f=new Matrix4,m=new Matrix4;return{setup:function(p){let f=0,m=0,g=0;for(let t=0;t<9;t++)h.probe[t].set(0,0,0);let y=0,v=0,b=0,x=0,w=0,S=0,_=0,E=0;p.sort(ys);for(let t=0,n=p.length;t<n;t++){const n=p[t],l=n.color,T=n.intensity,C=n.distance,A=n.shadow&&n.shadow.map?n.shadow.map.texture:null;if(n.isAmbientLight)f+=l.r*T,m+=l.g*T,g+=l.b*T;else if(n.isLightProbe)for(let t=0;t<9;t++)h.probe[t].addScaledVector(n.sh.coefficients[t],T);else if(n.isDirectionalLight){const t=r.get(n);if(t.color.copy(n.color).multiplyScalar(n.intensity),n.castShadow){const t=n.shadow,r=d.get(n);r.shadowBias=t.bias,r.shadowNormalBias=t.normalBias,r.shadowRadius=t.radius,r.shadowMapSize=t.mapSize,h.directionalShadow[y]=r,h.directionalShadowMap[y]=A,h.directionalShadowMatrix[y]=n.shadow.matrix,S++}h.directional[y]=t,y++}else if(n.isSpotLight){const t=r.get(n);if(t.position.setFromMatrixPosition(n.matrixWorld),t.color.copy(l).multiplyScalar(T),t.distance=C,t.coneCos=Math.cos(n.angle),t.penumbraCos=Math.cos(n.angle*(1-n.penumbra)),t.decay=n.decay,n.castShadow){const t=n.shadow,r=d.get(n);r.shadowBias=t.bias,r.shadowNormalBias=t.normalBias,r.shadowRadius=t.radius,r.shadowMapSize=t.mapSize,h.spotShadow[b]=r,h.spotShadowMap[b]=A,h.spotShadowMatrix[b]=n.shadow.matrix,E++}h.spot[b]=t,b++}else if(n.isRectAreaLight){const t=r.get(n);t.color.copy(l).multiplyScalar(T),t.halfWidth.set(.5*n.width,0,0),t.halfHeight.set(0,.5*n.height,0),h.rectArea[x]=t,x++}else if(n.isPointLight){const t=r.get(n);if(t.color.copy(n.color).multiplyScalar(n.intensity),t.distance=n.distance,t.decay=n.decay,n.castShadow){const t=n.shadow,r=d.get(n);r.shadowBias=t.bias,r.shadowNormalBias=t.normalBias,r.shadowRadius=t.radius,r.shadowMapSize=t.mapSize,r.shadowCameraNear=t.camera.near,r.shadowCameraFar=t.camera.far,h.pointShadow[v]=r,h.pointShadowMap[v]=A,h.pointShadowMatrix[v]=n.shadow.matrix,_++}h.point[v]=t,v++}else if(n.isHemisphereLight){const t=r.get(n);t.skyColor.copy(n.color).multiplyScalar(T),t.groundColor.copy(n.groundColor).multiplyScalar(T),h.hemi[w]=t,w++}}x>0&&(n.isWebGL2||!0===t.has("OES_texture_float_linear")?(h.rectAreaLTC1=Oo.LTC_FLOAT_1,h.rectAreaLTC2=Oo.LTC_FLOAT_2):!0===t.has("OES_texture_half_float_linear")?(h.rectAreaLTC1=Oo.LTC_HALF_1,h.rectAreaLTC2=Oo.LTC_HALF_2):l.error("THREE.WebGLRenderer: Unable to use RectAreaLight. Missing WebGL extensions.")),h.ambient[0]=f,h.ambient[1]=m,h.ambient[2]=g;const T=h.hash;T.directionalLength===y&&T.pointLength===v&&T.spotLength===b&&T.rectAreaLength===x&&T.hemiLength===w&&T.numDirectionalShadows===S&&T.numPointShadows===_&&T.numSpotShadows===E||(h.directional.length=y,h.spot.length=b,h.rectArea.length=x,h.point.length=v,h.hemi.length=w,h.directionalShadow.length=S,h.directionalShadowMap.length=S,h.pointShadow.length=_,h.pointShadowMap.length=_,h.spotShadow.length=E,h.spotShadowMap.length=E,h.directionalShadowMatrix.length=S,h.pointShadowMatrix.length=_,h.spotShadowMatrix.length=E,T.directionalLength=y,T.pointLength=v,T.spotLength=b,T.rectAreaLength=x,T.hemiLength=w,T.numDirectionalShadows=S,T.numPointShadows=_,T.numSpotShadows=E,h.version=gs++)},setupView:function(t,n){let r=0,l=0,d=0,g=0,y=0;const v=n.matrixWorldInverse;for(let n=0,b=t.length;n<b;n++){const b=t[n];if(b.isDirectionalLight){const t=h.directional[r];t.direction.setFromMatrixPosition(b.matrixWorld),p.setFromMatrixPosition(b.target.matrixWorld),t.direction.sub(p),t.direction.transformDirection(v),r++}else if(b.isSpotLight){const t=h.spot[d];t.position.setFromMatrixPosition(b.matrixWorld),t.position.applyMatrix4(v),t.direction.setFromMatrixPosition(b.matrixWorld),p.setFromMatrixPosition(b.target.matrixWorld),t.direction.sub(p),t.direction.transformDirection(v),d++}else if(b.isRectAreaLight){const t=h.rectArea[g];t.position.setFromMatrixPosition(b.matrixWorld),t.position.applyMatrix4(v),m.identity(),f.copy(b.matrixWorld),f.premultiply(v),m.extractRotation(f),t.halfWidth.set(.5*b.width,0,0),t.halfHeight.set(0,.5*b.height,0),t.halfWidth.applyMatrix4(m),t.halfHeight.applyMatrix4(m),g++}else if(b.isPointLight){const t=h.point[l];t.position.setFromMatrixPosition(b.matrixWorld),t.position.applyMatrix4(v),l++}else if(b.isHemisphereLight){const t=h.hemi[y];t.direction.setFromMatrixPosition(b.matrixWorld),t.direction.transformDirection(v),t.direction.normalize(),y++}}},state:h}}function bs(t,n){const r=new vs(t,n),l=[],d=[];return{init:function(){l.length=0,d.length=0},state:{lightsArray:l,shadowsArray:d,lights:r},setupLights:function(){r.setup(l)},setupLightsView:function(t){r.setupView(l,t)},pushLight:function(t){l.push(t)},pushShadow:function(t){d.push(t)}}}function xs(t,n){let r=new WeakMap;return{get:function(l,d=0){let h;return!1===r.has(l)?(h=new bs(t,n),r.set(l,[]),r.get(l).push(h)):d>=r.get(l).length?(h=new bs(t,n),r.get(l).push(h)):h=r.get(l)[d],h},dispose:function(){r=new WeakMap}}}function ws(t){xr.call(this),this.type="MeshDepthMaterial",this.depthPacking=xi,this.skinning=!1,this.morphTargets=!1,this.map=null,this.alphaMap=null,this.displacementMap=null,this.displacementScale=1,this.displacementBias=0,this.wireframe=!1,this.wireframeLinewidth=1,this.fog=!1,this.setValues(t)}function Ss(t){xr.call(this),this.type="MeshDistanceMaterial",this.referencePosition=new Vector3,this.nearDistance=1,this.farDistance=1e3,this.skinning=!1,this.morphTargets=!1,this.map=null,this.alphaMap=null,this.displacementMap=null,this.displacementScale=1,this.displacementBias=0,this.fog=!1,this.setValues(t)}ws.prototype=Object.create(xr.prototype),ws.prototype.constructor=ws,ws.prototype.isMeshDepthMaterial=!0,ws.prototype.copy=function(t){return xr.prototype.copy.call(this,t),this.depthPacking=t.depthPacking,this.skinning=t.skinning,this.morphTargets=t.morphTargets,this.map=t.map,this.alphaMap=t.alphaMap,this.displacementMap=t.displacementMap,this.displacementScale=t.displacementScale,this.displacementBias=t.displacementBias,this.wireframe=t.wireframe,this.wireframeLinewidth=t.wireframeLinewidth,this},Ss.prototype=Object.create(xr.prototype),Ss.prototype.constructor=Ss,Ss.prototype.isMeshDistanceMaterial=!0,Ss.prototype.copy=function(t){return xr.prototype.copy.call(this,t),this.referencePosition.copy(t.referencePosition),this.nearDistance=t.nearDistance,this.farDistance=t.farDistance,this.skinning=t.skinning,this.morphTargets=t.morphTargets,this.map=t.map,this.alphaMap=t.alphaMap,this.displacementMap=t.displacementMap,this.displacementScale=t.displacementScale,this.displacementBias=t.displacementBias,this};var _s="uniform sampler2D shadow_pass;\nuniform vec2 resolution;\nuniform float radius;\n#include <packing>\nvoid main() {\n\tfloat mean = 0.0;\n\tfloat squared_mean = 0.0;\n\tfloat depth = unpackRGBAToDepth( texture2D( shadow_pass, ( gl_FragCoord.xy ) / resolution ) );\n\tfor ( float i = -1.0; i < 1.0 ; i += SAMPLE_RATE) {\n\t\t#ifdef HORIZONTAL_PASS\n\t\t\tvec2 distribution = unpackRGBATo2Half( texture2D( shadow_pass, ( gl_FragCoord.xy + vec2( i, 0.0 ) * radius ) / resolution ) );\n\t\t\tmean += distribution.x;\n\t\t\tsquared_mean += distribution.y * distribution.y + distribution.x * distribution.x;\n\t\t#else\n\t\t\tfloat depth = unpackRGBAToDepth( texture2D( shadow_pass, ( gl_FragCoord.xy + vec2( 0.0, i ) * radius ) / resolution ) );\n\t\t\tmean += depth;\n\t\t\tsquared_mean += depth * depth;\n\t\t#endif\n\t}\n\tmean = mean * HALF_SAMPLE_RATE;\n\tsquared_mean = squared_mean * HALF_SAMPLE_RATE;\n\tfloat std_dev = sqrt( squared_mean - mean * mean );\n\tgl_FragColor = pack2HalfToRGBA( vec2( mean, std_dev ) );\n}",Es="void main() {\n\tgl_Position = vec4( position, 1.0 );\n}";function Ms(t,n,r){let d=new Frustum;const h=new Vector2,p=new Vector2,f=new Vector4,m=[],g=[],y={},v={0:_,1:S,2:E},x=new yo({defines:{SAMPLE_RATE:2/8,HALF_SAMPLE_RATE:1/8},uniforms:{shadow_pass:{value:null},resolution:{value:new Vector2},radius:{value:4}},vertexShader:Es,fragmentShader:_s}),T=x.clone();T.defines.HORIZONTAL_PASS=1;const C=new Gr;C.setAttribute("position",new Er(new Float32Array([-1,-1,.5,3,-1,.5,-1,3,.5]),3));const O=new co(C,x),I=this;function P(r,l){const d=n.update(O);x.uniforms.shadow_pass.value=r.map.texture,x.uniforms.resolution.value=r.mapSize,x.uniforms.radius.value=r.radius,t.setRenderTarget(r.mapPass),t.clear(),t.renderBufferDirect(l,null,d,x,O,null),T.uniforms.shadow_pass.value=r.mapPass.texture,T.uniforms.resolution.value=r.mapSize,T.uniforms.radius.value=r.radius,t.setRenderTarget(r.map),t.clear(),t.renderBufferDirect(l,null,d,T,O,null)}function D(t,n,r){const l=t<<0|n<<1|r<<2;let d=m[l];return void 0===d&&(d=new ws({depthPacking:wi,morphTargets:t,skinning:n}),m[l]=d),d}function F(t,n,r){const l=t<<0|n<<1|r<<2;let d=g[l];return void 0===d&&(d=new Ss({morphTargets:t,skinning:n}),g[l]=d),d}function B(n,r,d,h,p,f,m){let g=null,b=D,x=n.customDepthMaterial;if(!0===h.isPointLight&&(b=F,x=n.customDistanceMaterial),void 0===x){let t=!1;!0===d.morphTargets&&(t=r.morphAttributes&&r.morphAttributes.position&&r.morphAttributes.position.length>0);let h=!1;!0===n.isSkinnedMesh&&(!0===d.skinning?h=!0:l.warn("THREE.WebGLShadowMap: THREE.SkinnedMesh with material.skinning set to false:",n));g=b(t,h,!0===n.isInstancedMesh)}else g=x;if(t.localClippingEnabled&&!0===d.clipShadows&&0!==d.clippingPlanes.length){const t=g.uuid,n=d.uuid;let r=y[t];void 0===r&&(r={},y[t]=r);let l=r[n];void 0===l&&(l=g.clone(),r[n]=l),g=l}return g.visible=d.visible,g.wireframe=d.wireframe,g.side=m===w?null!==d.shadowSide?d.shadowSide:d.side:null!==d.shadowSide?d.shadowSide:v[d.side],g.clipShadows=d.clipShadows,g.clippingPlanes=d.clippingPlanes,g.clipIntersection=d.clipIntersection,g.wireframeLinewidth=d.wireframeLinewidth,g.linewidth=d.linewidth,!0===h.isPointLight&&!0===g.isMeshDistanceMaterial&&(g.referencePosition.setFromMatrixPosition(h.matrixWorld),g.nearDistance=p,g.farDistance=f),g}function $(r,l,h,p,f){if(!1===r.visible)return;if(r.layers.test(l.layers)&&(r.isMesh||r.isLine||r.isPoints)&&(r.castShadow||r.receiveShadow&&f===w)&&(!r.frustumCulled||d.intersectsObject(r))){r.modelViewMatrix.multiplyMatrices(h.matrixWorldInverse,r.matrixWorld);const l=n.update(r),d=r.material;if(Array.isArray(d)){const n=l.groups;for(let m=0,g=n.length;m<g;m++){const g=n[m],y=d[g.materialIndex];if(y&&y.visible){const n=B(r,l,y,p,h.near,h.far,f);t.renderBufferDirect(h,null,l,n,r,g)}}}else if(d.visible){const n=B(r,l,d,p,h.near,h.far,f);t.renderBufferDirect(h,null,l,n,r,null)}}const m=r.children;for(let t=0,n=m.length;t<n;t++)$(m[t],l,h,p,f)}this.enabled=!1,this.autoUpdate=!0,this.needsUpdate=!1,this.type=b,this.render=function(n,m,g){if(!1===I.enabled)return;if(!1===I.autoUpdate&&!1===I.needsUpdate)return;if(0===n.length)return;const y=t.getRenderTarget(),v=t.getActiveCubeFace(),b=t.getActiveMipmapLevel(),x=t.state;x.setBlending(A),x.buffers.color.setClear(1,1,1,1),x.buffers.depth.setTest(!0),x.setScissorTest(!1);for(let y=0,v=n.length;y<v;y++){const v=n[y],b=v.shadow;if(void 0===b){l.warn("THREE.WebGLShadowMap:",v,"has no shadow.");continue}if(!1===b.autoUpdate&&!1===b.needsUpdate)continue;h.copy(b.mapSize);const S=b.getFrameExtents();if(h.multiply(S),p.copy(b.mapSize),(h.x>r||h.y>r)&&(h.x>r&&(p.x=Math.floor(r/S.x),h.x=p.x*S.x,b.mapSize.x=p.x),h.y>r&&(p.y=Math.floor(r/S.y),h.y=p.y*S.y,b.mapSize.y=p.y)),null===b.map&&!b.isPointLightShadow&&this.type===w){const t={minFilter:De,magFilter:De,format:et};b.map=new WebGLRenderTarget(h.x,h.y,t),b.map.texture.name=v.name+".shadowMap",b.mapPass=new WebGLRenderTarget(h.x,h.y,t),b.camera.updateProjectionMatrix()}if(null===b.map){const t={minFilter:Oe,magFilter:Oe,format:et};b.map=new WebGLRenderTarget(h.x,h.y,t),b.map.texture.name=v.name+".shadowMap",b.camera.updateProjectionMatrix()}t.setRenderTarget(b.map),t.clear();const _=b.getViewportCount();for(let t=0;t<_;t++){const n=b.getViewport(t);f.set(p.x*n.x,p.y*n.y,p.x*n.z,p.y*n.w),x.viewport(f),b.updateMatrices(v,t),d=b.getFrustum(),$(m,g,b.camera,v,this.type)}b.isPointLightShadow||this.type!==w||P(b,g),b.needsUpdate=!1}I.needsUpdate=!1,t.setRenderTarget(y,v,b)}}function Ts(t,n,r){const d=r.isWebGL2;const h=new function(){let n=!1;const r=new Vector4;let l=null;const d=new Vector4(0,0,0,0);return{setMask:function(r){l===r||n||(t.colorMask(r,r,r,r),l=r)},setLocked:function(t){n=t},setClear:function(n,l,h,p,f){!0===f&&(n*=p,l*=p,h*=p),r.set(n,l,h,p),!1===d.equals(r)&&(t.clearColor(n,l,h,p),d.copy(r))},reset:function(){n=!1,l=null,d.set(-1,0,0,0)}}},p=new function(){let n=!1,r=null,l=null,d=null;return{setTest:function(t){t?Oe(2929):Ie(2929)},setMask:function(l){r===l||n||(t.depthMask(l),r=l)},setFunc:function(n){if(l!==n){if(n)switch(n){case ne:t.depthFunc(512);break;case re:t.depthFunc(519);break;case oe:t.depthFunc(513);break;case ae:t.depthFunc(515);break;case se:t.depthFunc(514);break;case le:t.depthFunc(518);break;case ce:t.depthFunc(516);break;case de:t.depthFunc(517);break;default:t.depthFunc(515)}else t.depthFunc(515);l=n}},setLocked:function(t){n=t},setClear:function(n){d!==n&&(t.clearDepth(n),d=n)},reset:function(){n=!1,r=null,l=null,d=null}}},y=new function(){let n=!1,r=null,l=null,d=null,h=null,p=null,f=null,m=null,g=null;return{setTest:function(t){n||(t?Oe(2960):Ie(2960))},setMask:function(l){r===l||n||(t.stencilMask(l),r=l)},setFunc:function(n,r,p){l===n&&d===r&&h===p||(t.stencilFunc(n,r,p),l=n,d=r,h=p)},setOp:function(n,r,l){p===n&&f===r&&m===l||(t.stencilOp(n,r,l),p=n,f=r,m=l)},setLocked:function(t){n=t},setClear:function(n){g!==n&&(t.clearStencil(n),g=n)},reset:function(){n=!1,r=null,l=null,d=null,h=null,p=null,f=null,m=null,g=null}}};let v={},b=null,x=null,w=null,S=null,T=null,C=null,ue=null,he=null,pe=null,fe=!1,me=null,ge=null,ye=null,ve=null,be=null;const xe=t.getParameter(35661);let we=!1,Se=0;const _e=t.getParameter(7938);-1!==_e.indexOf("WebGL")?(Se=parseFloat(/^WebGL (\d)/.exec(_e)[1]),we=Se>=1):-1!==_e.indexOf("OpenGL ES")&&(Se=parseFloat(/^OpenGL ES (\d)/.exec(_e)[1]),we=Se>=2);let Ee=null,Me={};const Te=new Vector4,Ce=new Vector4;function Ae(n,r,l){const d=new Uint8Array(4),h=t.createTexture();t.bindTexture(n,h),t.texParameteri(n,10241,9728),t.texParameteri(n,10240,9728);for(let n=0;n<l;n++)t.texImage2D(r+n,0,6408,1,1,0,6408,5121,d);return h}const ke={};function Oe(n){!0!==v[n]&&(t.enable(n),v[n]=!0)}function Ie(n){!1!==v[n]&&(t.disable(n),v[n]=!1)}ke[3553]=Ae(3553,3553,1),ke[34067]=Ae(34067,34069,6),h.setClear(0,0,0,1),p.setClear(1),y.setClear(0),Oe(2929),p.setFunc(ae),De(!1),Fe(m),Oe(2884),Le(A);const Re={[B]:32774,[$]:32778,[j]:32779};if(d)Re[V]=32775,Re[U]=32776;else{const t=n.get("EXT_blend_minmax");null!==t&&(Re[V]=t.MIN_EXT,Re[U]=t.MAX_EXT)}const Pe={[G]:0,[W]:1,[q]:768,[Y]:770,[ie]:776,[ee]:774,[J]:772,[X]:769,[K]:771,[te]:775,[Q]:773};function Le(n,r,d,h,p,f,m,g){if(n!==A){if(x||(Oe(3042),x=!0),n===F)p=p||r,f=f||d,m=m||h,r===S&&p===ue||(t.blendEquationSeparate(Re[r],Re[p]),S=r,ue=p),d===T&&h===C&&f===he&&m===pe||(t.blendFuncSeparate(Pe[d],Pe[h],Pe[f],Pe[m]),T=d,C=h,he=f,pe=m),w=n,fe=null;else if(n!==w||g!==fe){if(S===B&&ue===B||(t.blendEquation(32774),S=B,ue=B),g)switch(n){case O:t.blendFuncSeparate(1,771,1,771);break;case I:t.blendFunc(1,1);break;case P:t.blendFuncSeparate(0,0,769,771);break;case D:t.blendFuncSeparate(0,768,0,770);break;default:l.error("THREE.WebGLState: Invalid blending: ",n)}else switch(n){case O:t.blendFuncSeparate(770,771,1,771);break;case I:t.blendFunc(770,1);break;case P:t.blendFunc(0,769);break;case D:t.blendFunc(0,768);break;default:l.error("THREE.WebGLState: Invalid blending: ",n)}T=null,C=null,he=null,pe=null,w=n,fe=g}}else x&&(Ie(3042),x=!1)}function De(n){me!==n&&(n?t.frontFace(2304):t.frontFace(2305),me=n)}function Fe(n){n!==f?(Oe(2884),n!==ge&&(n===m?t.cullFace(1029):n===g?t.cullFace(1028):t.cullFace(1032))):Ie(2884),ge=n}function Ne(n,r,l){n?(Oe(32823),ve===r&&be===l||(t.polygonOffset(r,l),ve=r,be=l)):Ie(32823)}function Be(n){void 0===n&&(n=33984+xe-1),Ee!==n&&(t.activeTexture(n),Ee=n)}return{buffers:{color:h,depth:p,stencil:y},enable:Oe,disable:Ie,useProgram:function(n){return b!==n&&(t.useProgram(n),b=n,!0)},setBlending:Le,setMaterial:function(t,n){t.side===E?Ie(2884):Oe(2884);let r=t.side===_;n&&(r=!r),De(r),t.blending===O&&!1===t.transparent?Le(A):Le(t.blending,t.blendEquation,t.blendSrc,t.blendDst,t.blendEquationAlpha,t.blendSrcAlpha,t.blendDstAlpha,t.premultipliedAlpha),p.setFunc(t.depthFunc),p.setTest(t.depthTest),p.setMask(t.depthWrite),h.setMask(t.colorWrite);const l=t.stencilWrite;y.setTest(l),l&&(y.setMask(t.stencilWriteMask),y.setFunc(t.stencilFunc,t.stencilRef,t.stencilFuncMask),y.setOp(t.stencilFail,t.stencilZFail,t.stencilZPass)),Ne(t.polygonOffset,t.polygonOffsetFactor,t.polygonOffsetUnits)},setFlipSided:De,setCullFace:Fe,setLineWidth:function(n){n!==ye&&(we&&t.lineWidth(n),ye=n)},setPolygonOffset:Ne,setScissorTest:function(t){t?Oe(3089):Ie(3089)},activeTexture:Be,bindTexture:function(n,r){null===Ee&&Be();let l=Me[Ee];void 0===l&&(l={type:void 0,texture:void 0},Me[Ee]=l),l.type===n&&l.texture===r||(t.bindTexture(n,r||ke[n]),l.type=n,l.texture=r)},unbindTexture:function(){const n=Me[Ee];void 0!==n&&void 0!==n.type&&(t.bindTexture(n.type,null),n.type=void 0,n.texture=void 0)},compressedTexImage2D:function(){try{t.compressedTexImage2D.apply(t,arguments)}catch(t){l.error("THREE.WebGLState:",t)}},texImage2D:function(){try{t.texImage2D.apply(t,arguments)}catch(t){l.error("THREE.WebGLState:",t)}},texImage3D:function(){try{t.texImage3D.apply(t,arguments)}catch(t){l.error("THREE.WebGLState:",t)}},scissor:function(n){!1===Te.equals(n)&&(t.scissor(n.x,n.y,n.z,n.w),Te.copy(n))},viewport:function(n){!1===Ce.equals(n)&&(t.viewport(n.x,n.y,n.z,n.w),Ce.copy(n))},reset:function(){v={},Ee=null,Me={},b=null,x=null,w=null,S=null,T=null,C=null,ue=null,he=null,pe=null,fe=!1,me=null,ge=null,ye=null,ve=null,be=null,h.reset(),p.reset(),y.reset()}}}function Cs(t,n,r,d,h,p,f){const m=h.isWebGL2,g=h.maxTextures,y=h.maxCubemapSize,v=h.maxTextureSize,b=h.maxSamples,x=new WeakMap;let w,S=!1;try{S="undefined"!=typeof OffscreenCanvas&&null!==new OffscreenCanvas(1,1).getContext("2d")}catch(t){}function _(t,n){return S?new OffscreenCanvas(t,n):document.createElementNS("http://www.w3.org/1999/xhtml","canvas")}function E(t,n,r,d){let h=1;if((t.width>d||t.height>d)&&(h=d/Math.max(t.width,t.height)),h<1||!0===n){if("undefined"!=typeof HTMLImageElement&&t instanceof HTMLImageElement||"undefined"!=typeof HTMLCanvasElement&&t instanceof HTMLCanvasElement||"undefined"!=typeof ImageBitmap&&t instanceof ImageBitmap){const d=n?en.floorPowerOfTwo:Math.floor,p=d(h*t.width),f=d(h*t.height);void 0===w&&(w=_(p,f));const m=r?_(p,f):w;m.width=p,m.height=f;return m.getContext("2d").drawImage(t,0,0,p,f),l.warn("THREE.WebGLRenderer: Texture has been resized from ("+t.width+"x"+t.height+") to ("+p+"x"+f+")."),m}return"data"in t&&l.warn("THREE.WebGLRenderer: Image in DataTexture is too big ("+t.width+"x"+t.height+")."),t}return t}function T(t){return en.isPowerOfTwo(t.width)&&en.isPowerOfTwo(t.height)}function C(t,n){return t.generateMipmaps&&n&&t.minFilter!==Oe&&t.minFilter!==De}function A(n,r,l,h){t.generateMipmap(n);d.get(r).__maxMipLevel=Math.log(Math.max(l,h))*Math.LOG2E}function O(r,d,h){if(!1===m)return d;if(null!==r){if(void 0!==t[r])return t[r];l.warn("THREE.WebGLRenderer: Attempt to use non-existing WebGL internal format '"+r+"'")}let p=d;return 6403===d&&(5126===h&&(p=33326),5131===h&&(p=33325),5121===h&&(p=33321)),6407===d&&(5126===h&&(p=34837),5131===h&&(p=34843),5121===h&&(p=32849)),6408===d&&(5126===h&&(p=34836),5131===h&&(p=34842),5121===h&&(p=32856)),33325!==p&&33326!==p&&34842!==p&&34836!==p||n.get("EXT_color_buffer_float"),p}function I(t){return t===Oe||t===Ie||t===Pe?9728:9729}function P(n){const r=n.target;r.removeEventListener("dispose",P),function(n){const r=d.get(n);if(void 0===r.__webglInit)return;t.deleteTexture(r.__webglTexture),d.remove(n)}(r),r.isVideoTexture&&x.delete(r),f.memory.textures--}function D(n){const r=n.target;r.removeEventListener("dispose",D),function(n){const r=d.get(n),l=d.get(n.texture);if(!n)return;void 0!==l.__webglTexture&&t.deleteTexture(l.__webglTexture);n.depthTexture&&n.depthTexture.dispose();if(n.isWebGLCubeRenderTarget)for(let n=0;n<6;n++)t.deleteFramebuffer(r.__webglFramebuffer[n]),r.__webglDepthbuffer&&t.deleteRenderbuffer(r.__webglDepthbuffer[n]);else t.deleteFramebuffer(r.__webglFramebuffer),r.__webglDepthbuffer&&t.deleteRenderbuffer(r.__webglDepthbuffer),r.__webglMultisampledFramebuffer&&t.deleteFramebuffer(r.__webglMultisampledFramebuffer),r.__webglColorRenderbuffer&&t.deleteRenderbuffer(r.__webglColorRenderbuffer),r.__webglDepthRenderbuffer&&t.deleteRenderbuffer(r.__webglDepthRenderbuffer);d.remove(n.texture),d.remove(n)}(r),f.memory.textures--}let F=0;function B(t,n){const h=d.get(t);if(t.isVideoTexture&&function(t){const n=f.render.frame;x.get(t)!==n&&(x.set(t,n),t.update())}(t),t.version>0&&h.__version!==t.version){const r=t.image;if(void 0===r)l.warn("THREE.WebGLRenderer: Texture marked for update but image is undefined");else{if(!1!==r.complete)return void W(h,t,n);l.warn("THREE.WebGLRenderer: Texture marked for update but image is incomplete")}}r.activeTexture(33984+n),r.bindTexture(3553,h.__webglTexture)}function $(n,h){const f=d.get(n);n.version>0&&f.__version!==n.version?function(n,d,h){if(6!==d.image.length)return;G(n,d),r.activeTexture(33984+h),r.bindTexture(34067,n.__webglTexture),t.pixelStorei(37440,d.flipY),t.pixelStorei(37441,d.premultiplyAlpha),t.pixelStorei(3317,d.unpackAlignment);const f=d&&(d.isCompressedTexture||d.image[0].isCompressedTexture),g=d.image[0]&&d.image[0].isDataTexture,v=[];for(let t=0;t<6;t++)v[t]=f||g?g?d.image[t].image:d.image[t]:E(d.image[t],!1,!0,y);const b=v[0],x=T(b)||m,w=p.convert(d.format),S=p.convert(d.type),_=O(d.internalFormat,w,S);let I;if(U(34067,d,x),f){for(let t=0;t<6;t++){I=v[t].mipmaps;for(let n=0;n<I.length;n++){const h=I[n];d.format!==et&&d.format!==Qe?null!==w?r.compressedTexImage2D(34069+t,n,_,h.width,h.height,0,h.data):l.warn("THREE.WebGLRenderer: Attempt to load unsupported compressed texture format in .setTextureCube()"):r.texImage2D(34069+t,n,_,h.width,h.height,0,w,S,h.data)}}n.__maxMipLevel=I.length-1}else{I=d.mipmaps;for(let t=0;t<6;t++)if(g){r.texImage2D(34069+t,0,_,v[t].width,v[t].height,0,w,S,v[t].data);for(let n=0;n<I.length;n++){const l=I[n].image[t].image;r.texImage2D(34069+t,n+1,_,l.width,l.height,0,w,S,l.data)}}else{r.texImage2D(34069+t,0,_,w,S,v[t]);for(let n=0;n<I.length;n++){const l=I[n];r.texImage2D(34069+t,n+1,_,w,S,l.image[t])}}n.__maxMipLevel=I.length}C(d,x)&&A(34067,d,b.width,b.height);n.__version=d.version,d.onUpdate&&d.onUpdate(d)}(f,n,h):(r.activeTexture(33984+h),r.bindTexture(34067,f.__webglTexture))}const j={[Ce]:10497,[Ae]:33071,[ke]:33648},V={[Oe]:9728,[Ie]:9984,[Pe]:9986,[De]:9729,[Fe]:9985,[Be]:9987};function U(r,p,f){f?(t.texParameteri(r,10242,j[p.wrapS]),t.texParameteri(r,10243,j[p.wrapT]),32879!==r&&35866!==r||t.texParameteri(r,32882,j[p.wrapR]),t.texParameteri(r,10240,V[p.magFilter]),t.texParameteri(r,10241,V[p.minFilter])):(t.texParameteri(r,10242,33071),t.texParameteri(r,10243,33071),32879!==r&&35866!==r||t.texParameteri(r,32882,33071),p.wrapS===Ae&&p.wrapT===Ae||l.warn("THREE.WebGLRenderer: Texture is not power of two. Texture.wrapS and Texture.wrapT should be set to THREE.ClampToEdgeWrapping."),t.texParameteri(r,10240,I(p.magFilter)),t.texParameteri(r,10241,I(p.minFilter)),p.minFilter!==Oe&&p.minFilter!==De&&l.warn("THREE.WebGLRenderer: Texture is not power of two. Texture.minFilter should be set to THREE.NearestFilter or THREE.LinearFilter."));const g=n.get("EXT_texture_filter_anisotropic");if(g){if(p.type===We&&null===n.get("OES_texture_float_linear"))return;if(p.type===qe&&null===(m||n.get("OES_texture_half_float_linear")))return;(p.anisotropy>1||d.get(p).__currentAnisotropy)&&(t.texParameterf(r,g.TEXTURE_MAX_ANISOTROPY_EXT,Math.min(p.anisotropy,h.getMaxAnisotropy())),d.get(p).__currentAnisotropy=p.anisotropy)}}function G(n,r){void 0===n.__webglInit&&(n.__webglInit=!0,r.addEventListener("dispose",P),n.__webglTexture=t.createTexture(),f.memory.textures++)}function W(n,d,h){let f=3553;d.isDataTexture2DArray&&(f=35866),d.isDataTexture3D&&(f=32879),G(n,d),r.activeTexture(33984+h),r.bindTexture(f,n.__webglTexture),t.pixelStorei(37440,d.flipY),t.pixelStorei(37441,d.premultiplyAlpha),t.pixelStorei(3317,d.unpackAlignment);const g=function(t){return!m&&(t.wrapS!==Ae||t.wrapT!==Ae||t.minFilter!==Oe&&t.minFilter!==De)}(d)&&!1===T(d.image),y=E(d.image,g,!1,v),b=T(y)||m,x=p.convert(d.format);let w,S=p.convert(d.type),_=O(d.internalFormat,x,S);U(f,d,b);const I=d.mipmaps;if(d.isDepthTexture)_=6402,m?_=d.type===We?36012:d.type===Ge?33190:d.type===Ke?35056:33189:d.type===We&&l.error("WebGLRenderer: Floating point depth texture requires WebGL2."),d.format===rt&&6402===_&&d.type!==Ue&&d.type!==Ge&&(l.warn("THREE.WebGLRenderer: Use UnsignedShortType or UnsignedIntType for DepthFormat DepthTexture."),d.type=Ue,S=p.convert(d.type)),d.format===ot&&6402===_&&(_=34041,d.type!==Ke&&(l.warn("THREE.WebGLRenderer: Use UnsignedInt248Type for DepthStencilFormat DepthTexture."),d.type=Ke,S=p.convert(d.type))),r.texImage2D(3553,0,_,y.width,y.height,0,x,S,null);else if(d.isDataTexture)if(I.length>0&&b){for(let t=0,n=I.length;t<n;t++)w=I[t],r.texImage2D(3553,t,_,w.width,w.height,0,x,S,w.data);d.generateMipmaps=!1,n.__maxMipLevel=I.length-1}else r.texImage2D(3553,0,_,y.width,y.height,0,x,S,y.data),n.__maxMipLevel=0;else if(d.isCompressedTexture){for(let t=0,n=I.length;t<n;t++)w=I[t],d.format!==et&&d.format!==Qe?null!==x?r.compressedTexImage2D(3553,t,_,w.width,w.height,0,w.data):l.warn("THREE.WebGLRenderer: Attempt to load unsupported compressed texture format in .uploadTexture()"):r.texImage2D(3553,t,_,w.width,w.height,0,x,S,w.data);n.__maxMipLevel=I.length-1}else if(d.isDataTexture2DArray)r.texImage3D(35866,0,_,y.width,y.height,y.depth,0,x,S,y.data),n.__maxMipLevel=0;else if(d.isDataTexture3D)r.texImage3D(32879,0,_,y.width,y.height,y.depth,0,x,S,y.data),n.__maxMipLevel=0;else if(I.length>0&&b){for(let t=0,n=I.length;t<n;t++)w=I[t],r.texImage2D(3553,t,_,x,S,w);d.generateMipmaps=!1,n.__maxMipLevel=I.length-1}else r.texImage2D(3553,0,_,x,S,y),n.__maxMipLevel=0;C(d,b)&&A(f,d,y.width,y.height),n.__version=d.version,d.onUpdate&&d.onUpdate(d)}function q(n,l,h,f){const m=p.convert(l.texture.format),g=p.convert(l.texture.type),y=O(l.texture.internalFormat,m,g);r.texImage2D(f,0,y,l.width,l.height,0,m,g,null),t.bindFramebuffer(36160,n),t.framebufferTexture2D(36160,h,f,d.get(l.texture).__webglTexture,0),t.bindFramebuffer(36160,null)}function X(n,r,l){if(t.bindRenderbuffer(36161,n),r.depthBuffer&&!r.stencilBuffer){let d=33189;if(l){const n=r.depthTexture;n&&n.isDepthTexture&&(n.type===We?d=36012:n.type===Ge&&(d=33190));const l=K(r);t.renderbufferStorageMultisample(36161,l,d,r.width,r.height)}else t.renderbufferStorage(36161,d,r.width,r.height);t.framebufferRenderbuffer(36160,36096,36161,n)}else if(r.depthBuffer&&r.stencilBuffer){if(l){const n=K(r);t.renderbufferStorageMultisample(36161,n,35056,r.width,r.height)}else t.renderbufferStorage(36161,34041,r.width,r.height);t.framebufferRenderbuffer(36160,33306,36161,n)}else{const n=p.convert(r.texture.format),d=p.convert(r.texture.type),h=O(r.texture.internalFormat,n,d);if(l){const n=K(r);t.renderbufferStorageMultisample(36161,n,h,r.width,r.height)}else t.renderbufferStorage(36161,h,r.width,r.height)}t.bindRenderbuffer(36161,null)}function Y(n){const r=d.get(n),l=!0===n.isWebGLCubeRenderTarget;if(n.depthTexture){if(l)throw new Error("target.depthTexture not supported in Cube render targets");!function(n,r){if(r&&r.isWebGLCubeRenderTarget)throw new Error("Depth Texture with cube render targets is not supported");if(t.bindFramebuffer(36160,n),!r.depthTexture||!r.depthTexture.isDepthTexture)throw new Error("renderTarget.depthTexture must be an instance of THREE.DepthTexture");d.get(r.depthTexture).__webglTexture&&r.depthTexture.image.width===r.width&&r.depthTexture.image.height===r.height||(r.depthTexture.image.width=r.width,r.depthTexture.image.height=r.height,r.depthTexture.needsUpdate=!0),B(r.depthTexture,0);const l=d.get(r.depthTexture).__webglTexture;if(r.depthTexture.format===rt)t.framebufferTexture2D(36160,36096,3553,l,0);else{if(r.depthTexture.format!==ot)throw new Error("Unknown depthTexture format");t.framebufferTexture2D(36160,33306,3553,l,0)}}(r.__webglFramebuffer,n)}else if(l){r.__webglDepthbuffer=[];for(let l=0;l<6;l++)t.bindFramebuffer(36160,r.__webglFramebuffer[l]),r.__webglDepthbuffer[l]=t.createRenderbuffer(),X(r.__webglDepthbuffer[l],n,!1)}else t.bindFramebuffer(36160,r.__webglFramebuffer),r.__webglDepthbuffer=t.createRenderbuffer(),X(r.__webglDepthbuffer,n,!1);t.bindFramebuffer(36160,null)}function K(t){return m&&t.isWebGLMultisampleRenderTarget?Math.min(b,t.samples):0}let J=!1,Q=!1;this.allocateTextureUnit=function(){const t=F;return t>=g&&l.warn("THREE.WebGLTextures: Trying to use "+t+" texture units while this GPU supports only "+g),F+=1,t},this.resetTextureUnits=function(){F=0},this.setTexture2D=B,this.setTexture2DArray=function(t,n){const l=d.get(t);t.version>0&&l.__version!==t.version?W(l,t,n):(r.activeTexture(33984+n),r.bindTexture(35866,l.__webglTexture))},this.setTexture3D=function(t,n){const l=d.get(t);t.version>0&&l.__version!==t.version?W(l,t,n):(r.activeTexture(33984+n),r.bindTexture(32879,l.__webglTexture))},this.setTextureCube=$,this.setupRenderTarget=function(n){const h=d.get(n),g=d.get(n.texture);n.addEventListener("dispose",D),g.__webglTexture=t.createTexture(),f.memory.textures++;const y=!0===n.isWebGLCubeRenderTarget,v=!0===n.isWebGLMultisampleRenderTarget,b=T(n)||m;if(!m||n.texture.format!==Qe||n.texture.type!==We&&n.texture.type!==qe||(n.texture.format=et,l.warn("THREE.WebGLRenderer: Rendering to textures with RGB format is not supported. Using RGBA format instead.")),y){h.__webglFramebuffer=[];for(let n=0;n<6;n++)h.__webglFramebuffer[n]=t.createFramebuffer()}else if(h.__webglFramebuffer=t.createFramebuffer(),v)if(m){h.__webglMultisampledFramebuffer=t.createFramebuffer(),h.__webglColorRenderbuffer=t.createRenderbuffer(),t.bindRenderbuffer(36161,h.__webglColorRenderbuffer);const r=p.convert(n.texture.format),l=p.convert(n.texture.type),d=O(n.texture.internalFormat,r,l),f=K(n);t.renderbufferStorageMultisample(36161,f,d,n.width,n.height),t.bindFramebuffer(36160,h.__webglMultisampledFramebuffer),t.framebufferRenderbuffer(36160,36064,36161,h.__webglColorRenderbuffer),t.bindRenderbuffer(36161,null),n.depthBuffer&&(h.__webglDepthRenderbuffer=t.createRenderbuffer(),X(h.__webglDepthRenderbuffer,n,!0)),t.bindFramebuffer(36160,null)}else l.warn("THREE.WebGLRenderer: WebGLMultisampleRenderTarget can only be used with WebGL2.");if(y){r.bindTexture(34067,g.__webglTexture),U(34067,n.texture,b);for(let t=0;t<6;t++)q(h.__webglFramebuffer[t],n,36064,34069+t);C(n.texture,b)&&A(34067,n.texture,n.width,n.height),r.bindTexture(34067,null)}else r.bindTexture(3553,g.__webglTexture),U(3553,n.texture,b),q(h.__webglFramebuffer,n,36064,3553),C(n.texture,b)&&A(3553,n.texture,n.width,n.height),r.bindTexture(3553,null);n.depthBuffer&&Y(n)},this.updateRenderTargetMipmap=function(t){const n=t.texture;if(C(n,T(t)||m)){const l=t.isWebGLCubeRenderTarget?34067:3553,h=d.get(n).__webglTexture;r.bindTexture(l,h),A(l,n,t.width,t.height),r.bindTexture(l,null)}},this.updateMultisampleRenderTarget=function(n){if(n.isWebGLMultisampleRenderTarget)if(m){const r=d.get(n);t.bindFramebuffer(36008,r.__webglMultisampledFramebuffer),t.bindFramebuffer(36009,r.__webglFramebuffer);const l=n.width,h=n.height;let p=16384;n.depthBuffer&&(p|=256),n.stencilBuffer&&(p|=1024),t.blitFramebuffer(0,0,l,h,0,0,l,h,p,9728),t.bindFramebuffer(36160,r.__webglMultisampledFramebuffer)}else l.warn("THREE.WebGLRenderer: WebGLMultisampleRenderTarget can only be used with WebGL2.")},this.safeSetTexture2D=function(t,n){t&&t.isWebGLRenderTarget&&(!1===J&&(l.warn("THREE.WebGLTextures.safeSetTexture2D: don't use render targets as textures. Use their .texture property instead."),J=!0),t=t.texture),B(t,n)},this.safeSetTextureCube=function(t,n){t&&t.isWebGLCubeRenderTarget&&(!1===Q&&(l.warn("THREE.WebGLTextures.safeSetTextureCube: don't use cube render targets as textures. Use their .texture property instead."),Q=!0),t=t.texture),$(t,n)}}function As(t,n,r){const l=r.isWebGL2;return{convert:function(t){let r;if(t===ze)return 5121;if(t===Xe)return 32819;if(t===Ye)return 32820;if(t===Ze)return 33635;if(t===je)return 5120;if(t===Ve)return 5122;if(t===Ue)return 5123;if(t===He)return 5124;if(t===Ge)return 5125;if(t===We)return 5126;if(t===qe)return l?5131:(r=n.get("OES_texture_half_float"),null!==r?r.HALF_FLOAT_OES:null);if(t===Je)return 6406;if(t===Qe)return 6407;if(t===et)return 6408;if(t===tt)return 6409;if(t===it)return 6410;if(t===rt)return 6402;if(t===ot)return 34041;if(t===at)return 6403;if(t===st)return 36244;if(t===lt)return 33319;if(t===ct)return 33320;if(t===dt)return 36248;if(t===ut)return 36249;if(t===ht||t===pt||t===ft||t===mt){if(r=n.get("WEBGL_compressed_texture_s3tc"),null===r)return null;if(t===ht)return r.COMPRESSED_RGB_S3TC_DXT1_EXT;if(t===pt)return r.COMPRESSED_RGBA_S3TC_DXT1_EXT;if(t===ft)return r.COMPRESSED_RGBA_S3TC_DXT3_EXT;if(t===mt)return r.COMPRESSED_RGBA_S3TC_DXT5_EXT}if(t===gt||t===yt||t===vt||t===bt){if(r=n.get("WEBGL_compressed_texture_pvrtc"),null===r)return null;if(t===gt)return r.COMPRESSED_RGB_PVRTC_4BPPV1_IMG;if(t===yt)return r.COMPRESSED_RGB_PVRTC_2BPPV1_IMG;if(t===vt)return r.COMPRESSED_RGBA_PVRTC_4BPPV1_IMG;if(t===bt)return r.COMPRESSED_RGBA_PVRTC_2BPPV1_IMG}if(t===xt)return r=n.get("WEBGL_compressed_texture_etc1"),null!==r?r.COMPRESSED_RGB_ETC1_WEBGL:null;if((t===wt||t===St)&&(r=n.get("WEBGL_compressed_texture_etc"),null!==r)){if(t===wt)return r.COMPRESSED_RGB8_ETC2;if(t===St)return r.COMPRESSED_RGBA8_ETC2_EAC}return t===_t||t===Et||t===Mt||t===Tt||t===Ct||t===At||t===kt||t===Ot||t===It||t===Rt||t===Pt||t===Lt||t===Dt||t===Ft||t===Bt||t===$t||t===zt||t===jt||t===Vt||t===Ut||t===Ht||t===Gt||t===Wt||t===qt||t===Xt||t===Yt||t===Zt||t===Kt?(r=n.get("WEBGL_compressed_texture_astc"),null!==r?t:null):t===Nt?(r=n.get("EXT_texture_compression_bptc"),null!==r?t:null):t===Ke?l?34042:(r=n.get("WEBGL_depth_texture"),null!==r?r.UNSIGNED_INT_24_8_WEBGL:null):void 0}}}function ks(t=[]){bo.call(this),this.cameras=t}function Os(){Qn.call(this),this.type="Group"}function Is(){this._targetRay=null,this._grip=null,this._hand=null}function Rs(t,n){const r=this;let d=null,h=1,p=null,f="local-floor",m=null;const g=[],y=new Map,v=new bo;v.layers.enable(1),v.viewport=new Vector4;const b=new bo;b.layers.enable(2),b.viewport=new Vector4;const x=[v,b],w=new ks;w.layers.enable(1),w.layers.enable(2);let S=null,_=null;function E(t){const n=y.get(t.inputSource);n&&n.dispatchEvent({type:t.type,data:t.inputSource})}function T(){y.forEach((function(t,n){t.disconnect(n)})),y.clear(),S=null,_=null,t.setFramebuffer(null),t.setRenderTarget(t.getRenderTarget()),D.stop(),r.isPresenting=!1,r.dispatchEvent({type:"sessionend"})}function C(t){const n=d.inputSources;for(let t=0;t<g.length;t++)y.set(n[t],g[t]);for(let n=0;n<t.removed.length;n++){const r=t.removed[n],l=y.get(r);l&&(l.dispatchEvent({type:"disconnected",data:r}),y.delete(r))}for(let n=0;n<t.added.length;n++){const r=t.added[n],l=y.get(r);l&&l.dispatchEvent({type:"connected",data:r})}}this.enabled=!1,this.isPresenting=!1,this.getController=function(t){let n=g[t];return void 0===n&&(n=new Is,g[t]=n),n.getTargetRaySpace()},this.getControllerGrip=function(t){let n=g[t];return void 0===n&&(n=new Is,g[t]=n),n.getGripSpace()},this.getHand=function(t){let n=g[t];return void 0===n&&(n=new Is,g[t]=n),n.getHandSpace()},this.setFramebufferScaleFactor=function(t){h=t,!0===r.isPresenting&&l.warn("THREE.WebXRManager: Cannot change framebuffer scale while presenting.")},this.setReferenceSpaceType=function(t){f=t,!0===r.isPresenting&&l.warn("THREE.WebXRManager: Cannot change reference space type while presenting.")},this.getReferenceSpace=function(){return p},this.getSession=function(){return d},this.setSession=async function(t){if(d=t,null!==d){d.addEventListener("select",E),d.addEventListener("selectstart",E),d.addEventListener("selectend",E),d.addEventListener("squeeze",E),d.addEventListener("squeezestart",E),d.addEventListener("squeezeend",E),d.addEventListener("end",T),d.addEventListener("inputsourceschange",C);const t=n.getContextAttributes();!0!==t.xrCompatible&&await n.makeXRCompatible();const l={antialias:t.antialias,alpha:t.alpha,depth:t.depth,stencil:t.stencil,framebufferScaleFactor:h},m=new XRWebGLLayer(d,n,l);d.updateRenderState({baseLayer:m}),p=await d.requestReferenceSpace(f),D.setContext(d),D.start(),r.isPresenting=!0,r.dispatchEvent({type:"sessionstart"})}};const A=new Vector3,O=new Vector3;function I(t,n){null===n?t.matrixWorld.copy(t.matrix):t.matrixWorld.multiplyMatrices(n.matrixWorld,t.matrix),t.matrixWorldInverse.copy(t.matrixWorld).invert()}this.getCamera=function(t){w.near=b.near=v.near=t.near,w.far=b.far=v.far=t.far,S===w.near&&_===w.far||(d.updateRenderState({depthNear:w.near,depthFar:w.far}),S=w.near,_=w.far);const n=t.parent,r=w.cameras;I(w,n);for(let t=0;t<r.length;t++)I(r[t],n);t.matrixWorld.copy(w.matrixWorld),t.matrix.copy(w.matrix),t.matrix.decompose(t.position,t.quaternion,t.scale);const l=t.children;for(let t=0,n=l.length;t<n;t++)l[t].updateMatrixWorld(!0);return 2===r.length?function(t,n,r){A.setFromMatrixPosition(n.matrixWorld),O.setFromMatrixPosition(r.matrixWorld);const l=A.distanceTo(O),d=n.projectionMatrix.elements,h=r.projectionMatrix.elements,p=d[14]/(d[10]-1),f=d[14]/(d[10]+1),m=(d[9]+1)/d[5],g=(d[9]-1)/d[5],y=(d[8]-1)/d[0],v=(h[8]+1)/h[0],b=p*y,x=p*v,w=l/(-y+v),S=w*-y;n.matrixWorld.decompose(t.position,t.quaternion,t.scale),t.translateX(S),t.translateZ(w),t.matrixWorld.compose(t.position,t.quaternion,t.scale),t.matrixWorldInverse.copy(t.matrixWorld).invert();const _=p+w,E=f+w,T=b-S,C=x+(l-S),I=m*f/E*_,P=g*f/E*_;t.projectionMatrix.makePerspective(T,C,I,P,_,E)}(w,v,b):w.projectionMatrix.copy(v.projectionMatrix),w};let P=null;const D=new Co;D.setAnimationLoop((function(n,r){if(m=r.getViewerPose(p),null!==m){const n=m.views,r=d.renderState.baseLayer;t.setFramebuffer(r.framebuffer);let l=!1;n.length!==w.cameras.length&&(w.cameras.length=0,l=!0);for(let t=0;t<n.length;t++){const d=n[t],h=r.getViewport(d),p=x[t];p.matrix.fromArray(d.transform.matrix),p.projectionMatrix.fromArray(d.projectionMatrix),p.viewport.set(h.x,h.y,h.width,h.height),0===t&&w.matrix.copy(p.matrix),!0===l&&w.cameras.push(p)}}const l=d.inputSources;for(let t=0;t<g.length;t++){const n=g[t],d=l[t];n.update(d,r,p)}P&&P(n,r)})),this.setAnimationLoop=function(t){P=t},this.dispose=function(){}}function Ps(t){function n(n,r){n.opacity.value=r.opacity,r.color&&n.diffuse.value.copy(r.color),r.emissive&&n.emissive.value.copy(r.emissive).multiplyScalar(r.emissiveIntensity),r.map&&(n.map.value=r.map),r.alphaMap&&(n.alphaMap.value=r.alphaMap),r.specularMap&&(n.specularMap.value=r.specularMap);const l=t.get(r).envMap;if(l){n.envMap.value=l,n.flipEnvMap.value=l.isCubeTexture&&l._needsFlipEnvMap?-1:1,n.reflectivity.value=r.reflectivity,n.refractionRatio.value=r.refractionRatio;const d=t.get(l).__maxMipLevel;void 0!==d&&(n.maxMipLevel.value=d)}let d,h;r.lightMap&&(n.lightMap.value=r.lightMap,n.lightMapIntensity.value=r.lightMapIntensity),r.aoMap&&(n.aoMap.value=r.aoMap,n.aoMapIntensity.value=r.aoMapIntensity),r.map?d=r.map:r.specularMap?d=r.specularMap:r.displacementMap?d=r.displacementMap:r.normalMap?d=r.normalMap:r.bumpMap?d=r.bumpMap:r.roughnessMap?d=r.roughnessMap:r.metalnessMap?d=r.metalnessMap:r.alphaMap?d=r.alphaMap:r.emissiveMap?d=r.emissiveMap:r.clearcoatMap?d=r.clearcoatMap:r.clearcoatNormalMap?d=r.clearcoatNormalMap:r.clearcoatRoughnessMap&&(d=r.clearcoatRoughnessMap),void 0!==d&&(d.isWebGLRenderTarget&&(d=d.texture),!0===d.matrixAutoUpdate&&d.updateMatrix(),n.uvTransform.value.copy(d.matrix)),r.aoMap?h=r.aoMap:r.lightMap&&(h=r.lightMap),void 0!==h&&(h.isWebGLRenderTarget&&(h=h.texture),!0===h.matrixAutoUpdate&&h.updateMatrix(),n.uv2Transform.value.copy(h.matrix))}function r(n,r){n.roughness.value=r.roughness,n.metalness.value=r.metalness,r.roughnessMap&&(n.roughnessMap.value=r.roughnessMap),r.metalnessMap&&(n.metalnessMap.value=r.metalnessMap),r.emissiveMap&&(n.emissiveMap.value=r.emissiveMap),r.bumpMap&&(n.bumpMap.value=r.bumpMap,n.bumpScale.value=r.bumpScale,r.side===_&&(n.bumpScale.value*=-1)),r.normalMap&&(n.normalMap.value=r.normalMap,n.normalScale.value.copy(r.normalScale),r.side===_&&n.normalScale.value.negate()),r.displacementMap&&(n.displacementMap.value=r.displacementMap,n.displacementScale.value=r.displacementScale,n.displacementBias.value=r.displacementBias);t.get(r).envMap&&(n.envMapIntensity.value=r.envMapIntensity)}return{refreshFogUniforms:function(t,n){t.fogColor.value.copy(n.color),n.isFog?(t.fogNear.value=n.near,t.fogFar.value=n.far):n.isFogExp2&&(t.fogDensity.value=n.density)},refreshMaterialUniforms:function(t,l,d,h){l.isMeshBasicMaterial?n(t,l):l.isMeshLambertMaterial?(n(t,l),function(t,n){n.emissiveMap&&(t.emissiveMap.value=n.emissiveMap)}(t,l)):l.isMeshToonMaterial?(n(t,l),function(t,n){n.gradientMap&&(t.gradientMap.value=n.gradientMap);n.emissiveMap&&(t.emissiveMap.value=n.emissiveMap);n.bumpMap&&(t.bumpMap.value=n.bumpMap,t.bumpScale.value=n.bumpScale,n.side===_&&(t.bumpScale.value*=-1));n.normalMap&&(t.normalMap.value=n.normalMap,t.normalScale.value.copy(n.normalScale),n.side===_&&t.normalScale.value.negate());n.displacementMap&&(t.displacementMap.value=n.displacementMap,t.displacementScale.value=n.displacementScale,t.displacementBias.value=n.displacementBias)}(t,l)):l.isMeshPhongMaterial?(n(t,l),function(t,n){t.specular.value.copy(n.specular),t.shininess.value=Math.max(n.shininess,1e-4),n.emissiveMap&&(t.emissiveMap.value=n.emissiveMap);n.bumpMap&&(t.bumpMap.value=n.bumpMap,t.bumpScale.value=n.bumpScale,n.side===_&&(t.bumpScale.value*=-1));n.normalMap&&(t.normalMap.value=n.normalMap,t.normalScale.value.copy(n.normalScale),n.side===_&&t.normalScale.value.negate());n.displacementMap&&(t.displacementMap.value=n.displacementMap,t.displacementScale.value=n.displacementScale,t.displacementBias.value=n.displacementBias)}(t,l)):l.isMeshStandardMaterial?(n(t,l),l.isMeshPhysicalMaterial?function(t,n){r(t,n),t.reflectivity.value=n.reflectivity,t.clearcoat.value=n.clearcoat,t.clearcoatRoughness.value=n.clearcoatRoughness,n.sheen&&t.sheen.value.copy(n.sheen);n.clearcoatMap&&(t.clearcoatMap.value=n.clearcoatMap);n.clearcoatRoughnessMap&&(t.clearcoatRoughnessMap.value=n.clearcoatRoughnessMap);n.clearcoatNormalMap&&(t.clearcoatNormalScale.value.copy(n.clearcoatNormalScale),t.clearcoatNormalMap.value=n.clearcoatNormalMap,n.side===_&&t.clearcoatNormalScale.value.negate());t.transmission.value=n.transmission,n.transmissionMap&&(t.transmissionMap.value=n.transmissionMap)}(t,l):r(t,l)):l.isMeshMatcapMaterial?(n(t,l),function(t,n){n.matcap&&(t.matcap.value=n.matcap);n.bumpMap&&(t.bumpMap.value=n.bumpMap,t.bumpScale.value=n.bumpScale,n.side===_&&(t.bumpScale.value*=-1));n.normalMap&&(t.normalMap.value=n.normalMap,t.normalScale.value.copy(n.normalScale),n.side===_&&t.normalScale.value.negate());n.displacementMap&&(t.displacementMap.value=n.displacementMap,t.displacementScale.value=n.displacementScale,t.displacementBias.value=n.displacementBias)}(t,l)):l.isMeshDepthMaterial?(n(t,l),function(t,n){n.displacementMap&&(t.displacementMap.value=n.displacementMap,t.displacementScale.value=n.displacementScale,t.displacementBias.value=n.displacementBias)}(t,l)):l.isMeshDistanceMaterial?(n(t,l),function(t,n){n.displacementMap&&(t.displacementMap.value=n.displacementMap,t.displacementScale.value=n.displacementScale,t.displacementBias.value=n.displacementBias);t.referencePosition.value.copy(n.referencePosition),t.nearDistance.value=n.nearDistance,t.farDistance.value=n.farDistance}(t,l)):l.isMeshNormalMaterial?(n(t,l),function(t,n){n.bumpMap&&(t.bumpMap.value=n.bumpMap,t.bumpScale.value=n.bumpScale,n.side===_&&(t.bumpScale.value*=-1));n.normalMap&&(t.normalMap.value=n.normalMap,t.normalScale.value.copy(n.normalScale),n.side===_&&t.normalScale.value.negate());n.displacementMap&&(t.displacementMap.value=n.displacementMap,t.displacementScale.value=n.displacementScale,t.displacementBias.value=n.displacementBias)}(t,l)):l.isLineBasicMaterial?(function(t,n){t.diffuse.value.copy(n.color),t.opacity.value=n.opacity}(t,l),l.isLineDashedMaterial&&function(t,n){t.dashSize.value=n.dashSize,t.totalSize.value=n.dashSize+n.gapSize,t.scale.value=n.scale}(t,l)):l.isPointsMaterial?function(t,n,r,l){t.diffuse.value.copy(n.color),t.opacity.value=n.opacity,t.size.value=n.size*r,t.scale.value=.5*l,n.map&&(t.map.value=n.map);n.alphaMap&&(t.alphaMap.value=n.alphaMap);let d;n.map?d=n.map:n.alphaMap&&(d=n.alphaMap);void 0!==d&&(!0===d.matrixAutoUpdate&&d.updateMatrix(),t.uvTransform.value.copy(d.matrix))}(t,l,d,h):l.isSpriteMaterial?function(t,n){t.diffuse.value.copy(n.color),t.opacity.value=n.opacity,t.rotation.value=n.rotation,n.map&&(t.map.value=n.map);n.alphaMap&&(t.alphaMap.value=n.alphaMap);let r;n.map?r=n.map:n.alphaMap&&(r=n.alphaMap);void 0!==r&&(!0===r.matrixAutoUpdate&&r.updateMatrix(),t.uvTransform.value.copy(r.matrix))}(t,l):l.isShadowMaterial?(t.color.value.copy(l.color),t.opacity.value=l.opacity):l.isShaderMaterial&&(l.uniformsNeedUpdate=!1)}}}function Ls(t){const n=void 0!==(t=t||{}).canvas?t.canvas:function(){const t=document.createElementNS("http://www.w3.org/1999/xhtml","canvas");return t.style.display="block",t}(),r=void 0!==t.context?t.context:null,d=void 0!==t.alpha&&t.alpha,h=void 0===t.depth||t.depth,p=void 0===t.stencil||t.stencil,f=void 0!==t.antialias&&t.antialias,m=void 0===t.premultipliedAlpha||t.premultipliedAlpha,g=void 0!==t.preserveDrawingBuffer&&t.preserveDrawingBuffer,y=void 0!==t.powerPreference?t.powerPreference:"default",v=void 0!==t.failIfMajorPerformanceCaveat&&t.failIfMajorPerformanceCaveat;let b=null,x=null;const w=[];this.domElement=n,this.debug={checkShaderErrors:!0},this.autoClear=!0,this.autoClearColor=!0,this.autoClearDepth=!0,this.autoClearStencil=!0,this.sortObjects=!0,this.clippingPlanes=[],this.localClippingEnabled=!1,this.gammaFactor=2,this.outputEncoding=hi,this.physicallyCorrectLights=!1,this.toneMapping=fe,this.toneMappingExposure=1,this.maxMorphTargets=8,this.maxMorphNormals=4;const S=this;let _=!1,E=null,T=0,C=0,A=null,O=null,I=-1,P=null;const D=new Vector4,F=new Vector4;let B=null,$=n.width,j=n.height,V=1,U=null,G=null;const W=new Vector4(0,0,$,j),q=new Vector4(0,0,$,j);let X=!1;const Y=new Frustum;let K=!1,J=!1;const Q=new Matrix4,ee=new Vector3,te={background:null,fog:null,environment:null,overrideMaterial:null,isScene:!0};function ie(){return null===A?V:1}let ne,re,oe,ae,se,le,ce,de,ue,he,pe,me,ge,ye,ve,be,xe,we,Se,_e,Ee,Me=r;function Te(t,r){for(let l=0;l<t.length;l++){const d=t[l],h=n.getContext(d,r);if(null!==h)return h}return null}try{const t={alpha:d,depth:h,stencil:p,antialias:f,premultipliedAlpha:m,preserveDrawingBuffer:g,powerPreference:y,failIfMajorPerformanceCaveat:v};if(n.addEventListener("webglcontextlost",Oe,!1),n.addEventListener("webglcontextrestored",Ie,!1),null===Me){const n=["webgl2","webgl","experimental-webgl"];if(!0===S.isWebGL1Renderer&&n.shift(),Me=Te(n,t),null===Me)throw Te(n)?new Error("Error creating WebGL context with your selected attributes."):new Error("Error creating WebGL context.")}void 0===Me.getShaderPrecisionFormat&&(Me.getShaderPrecisionFormat=function(){return{rangeMin:1,rangeMax:1,precision:1}})}catch(t){throw l.error("THREE.WebGLRenderer: "+t.message),t}function Ce(){ne=new Bo(Me),re=new Do(Me,ne,t),ne.init(re),_e=new As(Me,ne,re),oe=new Ts(Me,ne,re),oe.scissor(F.copy(q).multiplyScalar(V).floor()),oe.viewport(D.copy(W).multiplyScalar(V).floor()),ae=new jo(Me),se=new ds,le=new Cs(Me,ne,oe,se,re,_e,ae),ce=new No(S),de=new Ao(Me,re),Ee=new Po(Me,ne,de,re),ue=new $o(Me,de,ae,Ee),he=new Go(Me,ue,de,ae),xe=new Ho(Me),ve=new Fo(se),pe=new cs(S,ce,ne,re,Ee,ve),me=new Ps(se),ge=new fs(se),ye=new xs(ne,re),be=new Ro(S,ce,oe,he,m),we=new Lo(Me,ne,ae,re),Se=new zo(Me,ne,ae,re),ae.programs=pe.programs,S.capabilities=re,S.extensions=ne,S.properties=se,S.renderLists=ge,S.state=oe,S.info=ae}Ce();const Ae=new Rs(S,Me);this.xr=Ae;const ke=new Ms(S,he,re.maxTextureSize);function Oe(t){t.preventDefault(),l.log("THREE.WebGLRenderer: Context Lost."),_=!0}function Ie(){l.log("THREE.WebGLRenderer: Context Restored."),_=!1,Ce()}function Re(t){const n=t.target;n.removeEventListener("dispose",Re),function(t){Pe(t),se.remove(t)}(n)}function Pe(t){const n=se.get(t).program;void 0!==n&&pe.releaseProgram(n)}this.shadowMap=ke,this.getContext=function(){return Me},this.getContextAttributes=function(){return Me.getContextAttributes()},this.forceContextLoss=function(){const t=ne.get("WEBGL_lose_context");t&&t.loseContext()},this.forceContextRestore=function(){const t=ne.get("WEBGL_lose_context");t&&t.restoreContext()},this.getPixelRatio=function(){return V},this.setPixelRatio=function(t){void 0!==t&&(V=t,this.setSize($,j,!1))},this.getSize=function(t){return void 0===t&&(l.warn("WebGLRenderer: .getsize() now requires a Vector2 as an argument"),t=new Vector2),t.set($,j)},this.setSize=function(t,r,d){Ae.isPresenting?l.warn("THREE.WebGLRenderer: Can't change size while VR device is presenting."):($=t,j=r,n.width=Math.floor(t*V),n.height=Math.floor(r*V),!1!==d&&(n.style.width=t+"px",n.style.height=r+"px"),this.setViewport(0,0,t,r))},this.getDrawingBufferSize=function(t){return void 0===t&&(l.warn("WebGLRenderer: .getdrawingBufferSize() now requires a Vector2 as an argument"),t=new Vector2),t.set($*V,j*V).floor()},this.setDrawingBufferSize=function(t,r,l){$=t,j=r,V=l,n.width=Math.floor(t*l),n.height=Math.floor(r*l),this.setViewport(0,0,t,r)},this.getCurrentViewport=function(t){return void 0===t&&(l.warn("WebGLRenderer: .getCurrentViewport() now requires a Vector4 as an argument"),t=new Vector4),t.copy(D)},this.getViewport=function(t){return t.copy(W)},this.setViewport=function(t,n,r,l){t.isVector4?W.set(t.x,t.y,t.z,t.w):W.set(t,n,r,l),oe.viewport(D.copy(W).multiplyScalar(V).floor())},this.getScissor=function(t){return t.copy(q)},this.setScissor=function(t,n,r,l){t.isVector4?q.set(t.x,t.y,t.z,t.w):q.set(t,n,r,l),oe.scissor(F.copy(q).multiplyScalar(V).floor())},this.getScissorTest=function(){return X},this.setScissorTest=function(t){oe.setScissorTest(X=t)},this.setOpaqueSort=function(t){U=t},this.setTransparentSort=function(t){G=t},this.getClearColor=function(t){return void 0===t&&(l.warn("WebGLRenderer: .getClearColor() now requires a Color as an argument"),t=new Color),t.copy(be.getClearColor())},this.setClearColor=function(){be.setClearColor.apply(be,arguments)},this.getClearAlpha=function(){return be.getClearAlpha()},this.setClearAlpha=function(){be.setClearAlpha.apply(be,arguments)},this.clear=function(t,n,r){let l=0;(void 0===t||t)&&(l|=16384),(void 0===n||n)&&(l|=256),(void 0===r||r)&&(l|=1024),Me.clear(l)},this.clearColor=function(){this.clear(!0,!1,!1)},this.clearDepth=function(){this.clear(!1,!0,!1)},this.clearStencil=function(){this.clear(!1,!1,!0)},this.dispose=function(){n.removeEventListener("webglcontextlost",Oe,!1),n.removeEventListener("webglcontextrestored",Ie,!1),ge.dispose(),ye.dispose(),se.dispose(),ce.dispose(),he.dispose(),Ee.dispose(),Ae.dispose(),De.stop()},this.renderBufferImmediate=function(t,n){Ee.initAttributes();const r=se.get(t);t.hasPositions&&!r.position&&(r.position=Me.createBuffer()),t.hasNormals&&!r.normal&&(r.normal=Me.createBuffer()),t.hasUvs&&!r.uv&&(r.uv=Me.createBuffer()),t.hasColors&&!r.color&&(r.color=Me.createBuffer());const l=n.getAttributes();t.hasPositions&&(Me.bindBuffer(34962,r.position),Me.bufferData(34962,t.positionArray,35048),Ee.enableAttribute(l.position),Me.vertexAttribPointer(l.position,3,5126,!1,0,0)),t.hasNormals&&(Me.bindBuffer(34962,r.normal),Me.bufferData(34962,t.normalArray,35048),Ee.enableAttribute(l.normal),Me.vertexAttribPointer(l.normal,3,5126,!1,0,0)),t.hasUvs&&(Me.bindBuffer(34962,r.uv),Me.bufferData(34962,t.uvArray,35048),Ee.enableAttribute(l.uv),Me.vertexAttribPointer(l.uv,2,5126,!1,0,0)),t.hasColors&&(Me.bindBuffer(34962,r.color),Me.bufferData(34962,t.colorArray,35048),Ee.enableAttribute(l.color),Me.vertexAttribPointer(l.color,3,5126,!1,0,0)),Ee.disableUnusedAttributes(),Me.drawArrays(4,0,t.count),t.count=0},this.renderBufferDirect=function(t,n,r,l,d,h){null===n&&(n=te);const p=d.isMesh&&d.matrixWorld.determinant()<0,f=je(t,n,l,d);oe.setMaterial(l,p);let m=r.index;const g=r.attributes.position;if(null===m){if(void 0===g||0===g.count)return}else if(0===m.count)return;let y,v=1;!0===l.wireframe&&(m=ue.getWireframeAttribute(r),v=2),(l.morphTargets||l.morphNormals)&&xe.update(d,r,l,f),Ee.setup(d,l,f,r,m);let b=we;null!==m&&(y=de.get(m),b=Se,b.setIndex(y));const x=null!==m?m.count:g.count,w=r.drawRange.start*v,S=r.drawRange.count*v,_=null!==h?h.start*v:0,E=null!==h?h.count*v:1/0,T=Math.max(w,_),C=Math.min(x,w+S,_+E)-1,A=Math.max(0,C-T+1);if(0!==A){if(d.isMesh)!0===l.wireframe?(oe.setLineWidth(l.wireframeLinewidth*ie()),b.setMode(1)):b.setMode(4);else if(d.isLine){let t=l.linewidth;void 0===t&&(t=1),oe.setLineWidth(t*ie()),d.isLineSegments?b.setMode(1):d.isLineLoop?b.setMode(2):b.setMode(3)}else d.isPoints?b.setMode(0):d.isSprite&&b.setMode(4);if(d.isInstancedMesh)b.renderInstances(T,A,d.count);else if(r.isInstancedBufferGeometry){const t=Math.min(r.instanceCount,r._maxInstanceCount);b.renderInstances(T,A,t)}else b.render(T,A)}},this.compile=function(t,n){x=ye.get(t),x.init(),t.traverseVisible((function(t){t.isLight&&t.layers.test(n.layers)&&(x.pushLight(t),t.castShadow&&x.pushShadow(t))})),x.setupLights();const r=new WeakMap;t.traverse((function(n){const l=n.material;if(l)if(Array.isArray(l))for(let d=0;d<l.length;d++){const h=l[d];!1===r.has(h)&&($e(h,t,n),r.set(h))}else!1===r.has(l)&&($e(l,t,n),r.set(l))}))};let Le=null;const De=new Co;function Fe(t,n,r,l){if(!1===t.visible)return;if(t.layers.test(n.layers))if(t.isGroup)r=t.renderOrder;else if(t.isLOD)!0===t.autoUpdate&&t.update(n);else if(t.isLight)x.pushLight(t),t.castShadow&&x.pushShadow(t);else if(t.isSprite){if(!t.frustumCulled||Y.intersectsSprite(t)){l&&ee.setFromMatrixPosition(t.matrixWorld).applyMatrix4(Q);const n=he.update(t),d=t.material;d.visible&&b.push(t,n,d,r,ee.z,null)}}else if(t.isImmediateRenderObject)l&&ee.setFromMatrixPosition(t.matrixWorld).applyMatrix4(Q),b.push(t,null,t.material,r,ee.z,null);else if((t.isMesh||t.isLine||t.isPoints)&&(t.isSkinnedMesh&&t.skeleton.frame!==ae.render.frame&&(t.skeleton.update(),t.skeleton.frame=ae.render.frame),!t.frustumCulled||Y.intersectsObject(t))){l&&ee.setFromMatrixPosition(t.matrixWorld).applyMatrix4(Q);const n=he.update(t),d=t.material;if(Array.isArray(d)){const l=n.groups;for(let h=0,p=l.length;h<p;h++){const p=l[h],f=d[p.materialIndex];f&&f.visible&&b.push(t,n,f,r,ee.z,p)}}else d.visible&&b.push(t,n,d,r,ee.z,null)}const d=t.children;for(let t=0,h=d.length;t<h;t++)Fe(d[t],n,r,l)}function Ne(t,n,r){const l=!0===n.isScene?n.overrideMaterial:null;for(let d=0,h=t.length;d<h;d++){const h=t[d],p=h.object,f=h.geometry,m=null===l?h.material:l,g=h.group;if(r.isArrayCamera){const t=r.cameras;for(let r=0,l=t.length;r<l;r++){const l=t[r];p.layers.test(l.layers)&&(oe.viewport(D.copy(l.viewport)),x.setupLightsView(l),Be(p,n,l,f,m,g))}}else Be(p,n,r,f,m,g)}}function Be(t,n,r,l,d,h){if(t.onBeforeRender(S,n,r,l,d,h),t.modelViewMatrix.multiplyMatrices(r.matrixWorldInverse,t.matrixWorld),t.normalMatrix.getNormalMatrix(t.modelViewMatrix),t.isImmediateRenderObject){const l=je(r,n,d,t);oe.setMaterial(d),Ee.reset(),function(t,n){t.render((function(t){S.renderBufferImmediate(t,n)}))}(t,l)}else S.renderBufferDirect(r,n,l,d,t,h);t.onAfterRender(S,n,r,l,d,h)}function $e(t,n,r){!0!==n.isScene&&(n=te);const l=se.get(t),d=x.state.lights,h=x.state.shadowsArray,p=d.state.version,f=pe.getParameters(t,d.state,h,n,r),m=pe.getProgramCacheKey(f);let g=l.program,y=!0;if(l.environment=t.isMeshStandardMaterial?n.environment:null,l.fog=n.fog,l.envMap=ce.get(t.envMap||l.environment),void 0===g)t.addEventListener("dispose",Re);else if(g.cacheKey!==m)Pe(t);else if(l.lightsStateVersion!==p)y=!1;else{if(void 0!==f.shaderID)return;y=!1}y&&(f.uniforms=pe.getUniforms(t),t.onBeforeCompile(f,S),g=pe.acquireProgram(f,m),l.program=g,l.uniforms=f.uniforms,l.outputEncoding=f.outputEncoding);const v=l.uniforms;(t.isShaderMaterial||t.isRawShaderMaterial)&&!0!==t.clipping||(l.numClippingPlanes=ve.numPlanes,l.numIntersection=ve.numIntersection,v.clippingPlanes=ve.uniform),l.needsLights=function(t){return t.isMeshLambertMaterial||t.isMeshToonMaterial||t.isMeshPhongMaterial||t.isMeshStandardMaterial||t.isShadowMaterial||t.isShaderMaterial&&!0===t.lights}(t),l.lightsStateVersion=p,l.needsLights&&(v.ambientLightColor.value=d.state.ambient,v.lightProbe.value=d.state.probe,v.directionalLights.value=d.state.directional,v.directionalLightShadows.value=d.state.directionalShadow,v.spotLights.value=d.state.spot,v.spotLightShadows.value=d.state.spotShadow,v.rectAreaLights.value=d.state.rectArea,v.ltc_1.value=d.state.rectAreaLTC1,v.ltc_2.value=d.state.rectAreaLTC2,v.pointLights.value=d.state.point,v.pointLightShadows.value=d.state.pointShadow,v.hemisphereLights.value=d.state.hemi,v.directionalShadowMap.value=d.state.directionalShadowMap,v.directionalShadowMatrix.value=d.state.directionalShadowMatrix,v.spotShadowMap.value=d.state.spotShadowMap,v.spotShadowMatrix.value=d.state.spotShadowMatrix,v.pointShadowMap.value=d.state.pointShadowMap,v.pointShadowMatrix.value=d.state.pointShadowMatrix);const b=l.program.getUniforms(),w=Va.seqWithValue(b.seq,v);l.uniformsList=w}function je(t,n,r,l){!0!==n.isScene&&(n=te),le.resetTextureUnits();const d=n.fog,h=r.isMeshStandardMaterial?n.environment:null,p=null===A?S.outputEncoding:A.texture.encoding,f=ce.get(r.envMap||h),m=se.get(r),g=x.state.lights;if(!0===K&&(!0===J||t!==P)){const n=t===P&&r.id===I;ve.setState(r,t,n)}r.version===m.__version?r.fog&&m.fog!==d||m.environment!==h||m.needsLights&&m.lightsStateVersion!==g.state.version?$e(r,n,l):void 0===m.numClippingPlanes||m.numClippingPlanes===ve.numPlanes&&m.numIntersection===ve.numIntersection?(m.outputEncoding!==p||m.envMap!==f)&&$e(r,n,l):$e(r,n,l):($e(r,n,l),m.__version=r.version);let y=!1,v=!1,b=!1;const w=m.program,_=w.getUniforms(),E=m.uniforms;if(oe.useProgram(w.program)&&(y=!0,v=!0,b=!0),r.id!==I&&(I=r.id,v=!0),y||P!==t){if(_.setValue(Me,"projectionMatrix",t.projectionMatrix),re.logarithmicDepthBuffer&&_.setValue(Me,"logDepthBufFC",2/(Math.log(t.far+1)/Math.LN2)),P!==t&&(P=t,v=!0,b=!0),r.isShaderMaterial||r.isMeshPhongMaterial||r.isMeshToonMaterial||r.isMeshStandardMaterial||r.envMap){const n=_.map.cameraPosition;void 0!==n&&n.setValue(Me,ee.setFromMatrixPosition(t.matrixWorld))}(r.isMeshPhongMaterial||r.isMeshToonMaterial||r.isMeshLambertMaterial||r.isMeshBasicMaterial||r.isMeshStandardMaterial||r.isShaderMaterial)&&_.setValue(Me,"isOrthographic",!0===t.isOrthographicCamera),(r.isMeshPhongMaterial||r.isMeshToonMaterial||r.isMeshLambertMaterial||r.isMeshBasicMaterial||r.isMeshStandardMaterial||r.isShaderMaterial||r.isShadowMaterial||r.skinning)&&_.setValue(Me,"viewMatrix",t.matrixWorldInverse)}if(r.skinning){_.setOptional(Me,l,"bindMatrix"),_.setOptional(Me,l,"bindMatrixInverse");const t=l.skeleton;if(t){const n=t.bones;if(re.floatVertexTextures){if(null===t.boneTexture){let r=Math.sqrt(4*n.length);r=en.ceilPowerOfTwo(r),r=Math.max(r,4);const l=new Float32Array(r*r*4);l.set(t.boneMatrices);const d=new Eo(l,r,r,et,We);t.boneMatrices=l,t.boneTexture=d,t.boneTextureSize=r}_.setValue(Me,"boneTexture",t.boneTexture,le),_.setValue(Me,"boneTextureSize",t.boneTextureSize)}else _.setOptional(Me,t,"boneMatrices")}}var T,C;return(v||m.receiveShadow!==l.receiveShadow)&&(m.receiveShadow=l.receiveShadow,_.setValue(Me,"receiveShadow",l.receiveShadow)),v&&(_.setValue(Me,"toneMappingExposure",S.toneMappingExposure),m.needsLights&&(C=b,(T=E).ambientLightColor.needsUpdate=C,T.lightProbe.needsUpdate=C,T.directionalLights.needsUpdate=C,T.directionalLightShadows.needsUpdate=C,T.pointLights.needsUpdate=C,T.pointLightShadows.needsUpdate=C,T.spotLights.needsUpdate=C,T.spotLightShadows.needsUpdate=C,T.rectAreaLights.needsUpdate=C,T.hemisphereLights.needsUpdate=C),d&&r.fog&&me.refreshFogUniforms(E,d),me.refreshMaterialUniforms(E,r,V,j),Va.upload(Me,m.uniformsList,E,le)),r.isShaderMaterial&&!0===r.uniformsNeedUpdate&&(Va.upload(Me,m.uniformsList,E,le),r.uniformsNeedUpdate=!1),r.isSpriteMaterial&&_.setValue(Me,"center",l.center),_.setValue(Me,"modelViewMatrix",l.modelViewMatrix),_.setValue(Me,"normalMatrix",l.normalMatrix),_.setValue(Me,"modelMatrix",l.matrixWorld),w}De.setAnimationLoop((function(t){Ae.isPresenting||Le&&Le(t)})),"undefined"!=typeof window&&De.setContext(window),this.setAnimationLoop=function(t){Le=t,Ae.setAnimationLoop(t),null===t?De.stop():De.start()},this.render=function(t,n){let r,d;if(void 0!==arguments[2]&&(l.warn("THREE.WebGLRenderer.render(): the renderTarget argument has been removed. Use .setRenderTarget() instead."),r=arguments[2]),void 0!==arguments[3]&&(l.warn("THREE.WebGLRenderer.render(): the forceClear argument has been removed. Use .clear() instead."),d=arguments[3]),void 0!==n&&!0!==n.isCamera)return void l.error("THREE.WebGLRenderer.render: camera is not an instance of THREE.Camera.");if(!0===_)return;Ee.resetDefaultState(),I=-1,P=null,!0===t.autoUpdate&&t.updateMatrixWorld(),null===n.parent&&n.updateMatrixWorld(),!0===Ae.enabled&&!0===Ae.isPresenting&&(n=Ae.getCamera(n)),!0===t.isScene&&t.onBeforeRender(S,t,n,r||A),x=ye.get(t,w.length),x.init(),w.push(x),Q.multiplyMatrices(n.projectionMatrix,n.matrixWorldInverse),Y.setFromProjectionMatrix(Q),J=this.localClippingEnabled,K=ve.init(this.clippingPlanes,J,n),b=ge.get(t,n),b.init(),Fe(t,n,0,S.sortObjects),b.finish(),!0===S.sortObjects&&b.sort(U,G),!0===K&&ve.beginShadows();const h=x.state.shadowsArray;ke.render(h,t,n),x.setupLights(),x.setupLightsView(n),!0===K&&ve.endShadows(),!0===this.info.autoReset&&this.info.reset(),void 0!==r&&this.setRenderTarget(r),be.render(b,t,n,d);const p=b.opaque,f=b.transparent;p.length>0&&Ne(p,t,n),f.length>0&&Ne(f,t,n),!0===t.isScene&&t.onAfterRender(S,t,n),null!==A&&(le.updateRenderTargetMipmap(A),le.updateMultisampleRenderTarget(A)),oe.buffers.depth.setTest(!0),oe.buffers.depth.setMask(!0),oe.buffers.color.setMask(!0),oe.setPolygonOffset(!1),w.pop(),x=w.length>0?w[w.length-1]:null,b=null},this.setFramebuffer=function(t){E!==t&&null===A&&Me.bindFramebuffer(36160,t),E=t},this.getActiveCubeFace=function(){return T},this.getActiveMipmapLevel=function(){return C},this.getRenderList=function(){return b},this.setRenderList=function(t){b=t},this.getRenderTarget=function(){return A},this.setRenderTarget=function(t,n=0,r=0){A=t,T=n,C=r,t&&void 0===se.get(t).__webglFramebuffer&&le.setupRenderTarget(t);let l=E,d=!1;if(t){const r=se.get(t).__webglFramebuffer;t.isWebGLCubeRenderTarget?(l=r[n],d=!0):l=t.isWebGLMultisampleRenderTarget?se.get(t).__webglMultisampledFramebuffer:r,D.copy(t.viewport),F.copy(t.scissor),B=t.scissorTest}else D.copy(W).multiplyScalar(V).floor(),F.copy(q).multiplyScalar(V).floor(),B=X;if(O!==l&&(Me.bindFramebuffer(36160,l),O=l),oe.viewport(D),oe.scissor(F),oe.setScissorTest(B),d){const l=se.get(t.texture);Me.framebufferTexture2D(36160,36064,34069+n,l.__webglTexture,r)}},this.readRenderTargetPixels=function(t,n,r,d,h,p,f){if(!t||!t.isWebGLRenderTarget)return void l.error("THREE.WebGLRenderer.readRenderTargetPixels: renderTarget is not THREE.WebGLRenderTarget.");let m=se.get(t).__webglFramebuffer;if(t.isWebGLCubeRenderTarget&&void 0!==f&&(m=m[f]),m){let f=!1;m!==O&&(Me.bindFramebuffer(36160,m),f=!0);try{const f=t.texture,m=f.format,g=f.type;if(m!==et&&_e.convert(m)!==Me.getParameter(35739))return void l.error("THREE.WebGLRenderer.readRenderTargetPixels: renderTarget is not in RGBA or implementation defined format.");const y=g===qe&&(ne.has("EXT_color_buffer_half_float")||re.isWebGL2&&ne.has("EXT_color_buffer_float"));if(!(g===ze||_e.convert(g)===Me.getParameter(35738)||g===We&&(re.isWebGL2||ne.has("OES_texture_float")||ne.has("WEBGL_color_buffer_float"))||y))return void l.error("THREE.WebGLRenderer.readRenderTargetPixels: renderTarget is not in UnsignedByteType or implementation defined type.");36053===Me.checkFramebufferStatus(36160)?n>=0&&n<=t.width-d&&r>=0&&r<=t.height-h&&Me.readPixels(n,r,d,h,_e.convert(m),_e.convert(g),p):l.error("THREE.WebGLRenderer.readRenderTargetPixels: readPixels from renderTarget failed. Framebuffer not complete.")}finally{f&&Me.bindFramebuffer(36160,O)}}},this.copyFramebufferToTexture=function(t,n,r=0){const l=Math.pow(2,-r),d=Math.floor(n.image.width*l),h=Math.floor(n.image.height*l),p=_e.convert(n.format);le.setTexture2D(n,0),Me.copyTexImage2D(3553,r,p,t.x,t.y,d,h,0),oe.unbindTexture()},this.copyTextureToTexture=function(t,n,r,l=0){const d=n.image.width,h=n.image.height,p=_e.convert(r.format),f=_e.convert(r.type);le.setTexture2D(r,0),Me.pixelStorei(37440,r.flipY),Me.pixelStorei(37441,r.premultiplyAlpha),Me.pixelStorei(3317,r.unpackAlignment),n.isDataTexture?Me.texSubImage2D(3553,l,t.x,t.y,d,h,p,f,n.image.data):n.isCompressedTexture?Me.compressedTexSubImage2D(3553,l,t.x,t.y,n.mipmaps[0].width,n.mipmaps[0].height,p,n.mipmaps[0].data):Me.texSubImage2D(3553,l,t.x,t.y,p,f,n.image),0===l&&r.generateMipmaps&&Me.generateMipmap(3553),oe.unbindTexture()},this.initTexture=function(t){le.setTexture2D(t,0),oe.unbindTexture()},this.resetState=function(){oe.reset(),Ee.reset()},"undefined"!=typeof __THREE_DEVTOOLS__&&__THREE_DEVTOOLS__.dispatchEvent(new CustomEvent("observe",{detail:this}))}function Ds(t){Ls.call(this,t)}ks.prototype=Object.assign(Object.create(bo.prototype),{constructor:ks,isArrayCamera:!0}),Os.prototype=Object.assign(Object.create(Qn.prototype),{constructor:Os,isGroup:!0}),Object.assign(Is.prototype,{constructor:Is,getHandSpace:function(){return null===this._hand&&(this._hand=new Os,this._hand.matrixAutoUpdate=!1,this._hand.visible=!1,this._hand.joints={},this._hand.inputState={pinching:!1}),this._hand},getTargetRaySpace:function(){return null===this._targetRay&&(this._targetRay=new Os,this._targetRay.matrixAutoUpdate=!1,this._targetRay.visible=!1),this._targetRay},getGripSpace:function(){return null===this._grip&&(this._grip=new Os,this._grip.matrixAutoUpdate=!1,this._grip.visible=!1),this._grip},dispatchEvent:function(t){return null!==this._targetRay&&this._targetRay.dispatchEvent(t),null!==this._grip&&this._grip.dispatchEvent(t),null!==this._hand&&this._hand.dispatchEvent(t),this},disconnect:function(t){return this.dispatchEvent({type:"disconnected",data:t}),null!==this._targetRay&&(this._targetRay.visible=!1),null!==this._grip&&(this._grip.visible=!1),null!==this._hand&&(this._hand.visible=!1),this},update:function(t,n,r){let l=null,d=null,h=null;const p=this._targetRay,f=this._grip,m=this._hand;if(t&&"visible-blurred"!==n.session.visibilityState)if(m&&t.hand){h=!0;for(const l of t.hand.values()){const t=n.getJointPose(l,r);if(void 0===m.joints[l.jointName]){const t=new Os;t.matrixAutoUpdate=!1,t.visible=!1,m.joints[l.jointName]=t,m.add(t)}const d=m.joints[l.jointName];null!==t&&(d.matrix.fromArray(t.transform.matrix),d.matrix.decompose(d.position,d.rotation,d.scale),d.jointRadius=t.radius),d.visible=null!==t}const l=m.joints["index-finger-tip"],d=m.joints["thumb-tip"],p=l.position.distanceTo(d.position),f=.02,g=.005;m.inputState.pinching&&p>f+g?(m.inputState.pinching=!1,this.dispatchEvent({type:"pinchend",handedness:t.handedness,target:this})):!m.inputState.pinching&&p<=f-g&&(m.inputState.pinching=!0,this.dispatchEvent({type:"pinchstart",handedness:t.handedness,target:this}))}else null!==p&&(l=n.getPose(t.targetRaySpace,r),null!==l&&(p.matrix.fromArray(l.transform.matrix),p.matrix.decompose(p.position,p.rotation,p.scale))),null!==f&&t.gripSpace&&(d=n.getPose(t.gripSpace,r),null!==d&&(f.matrix.fromArray(d.transform.matrix),f.matrix.decompose(f.position,f.rotation,f.scale)));return null!==p&&(p.visible=null!==l),null!==f&&(f.visible=null!==d),null!==m&&(m.visible=null!==h),this}}),Object.assign(Rs.prototype,Ki.prototype),Ds.prototype=Object.assign(Object.create(Ls.prototype),{constructor:Ds,isWebGL1Renderer:!0});class FogExp2{constructor(t,n){Object.defineProperty(this,"isFogExp2",{value:!0}),this.name="",this.color=new Color(t),this.density=void 0!==n?n:25e-5}clone(){return new FogExp2(this.color,this.density)}toJSON(){return{type:"FogExp2",color:this.color.getHex(),density:this.density}}}class Fog{constructor(t,n,r){Object.defineProperty(this,"isFog",{value:!0}),this.name="",this.color=new Color(t),this.near=void 0!==n?n:1,this.far=void 0!==r?r:1e3}clone(){return new Fog(this.color,this.near,this.far)}toJSON(){return{type:"Fog",color:this.color.getHex(),near:this.near,far:this.far}}}class Scene extends Qn{constructor(){super(),Object.defineProperty(this,"isScene",{value:!0}),this.type="Scene",this.background=null,this.environment=null,this.fog=null,this.overrideMaterial=null,this.autoUpdate=!0,"undefined"!=typeof __THREE_DEVTOOLS__&&__THREE_DEVTOOLS__.dispatchEvent(new CustomEvent("observe",{detail:this}))}copy(t,n){return super.copy(t,n),null!==t.background&&(this.background=t.background.clone()),null!==t.environment&&(this.environment=t.environment.clone()),null!==t.fog&&(this.fog=t.fog.clone()),null!==t.overrideMaterial&&(this.overrideMaterial=t.overrideMaterial.clone()),this.autoUpdate=t.autoUpdate,this.matrixAutoUpdate=t.matrixAutoUpdate,this}toJSON(t){const n=super.toJSON(t);return null!==this.background&&(n.object.background=this.background.toJSON(t)),null!==this.environment&&(n.object.environment=this.environment.toJSON(t)),null!==this.fog&&(n.object.fog=this.fog.toJSON()),n}}function Fs(t,n){this.array=t,this.stride=n,this.count=void 0!==t?t.length/n:0,this.usage=zi,this.updateRange={offset:0,count:-1},this.version=0,this.uuid=en.generateUUID()}Object.defineProperty(Fs.prototype,"needsUpdate",{set:function(t){!0===t&&this.version++}}),Object.assign(Fs.prototype,{isInterleavedBuffer:!0,onUploadCallback:function(){},setUsage:function(t){return this.usage=t,this},copy:function(t){return this.array=new t.array.constructor(t.array),this.count=t.count,this.stride=t.stride,this.usage=t.usage,this},copyAt:function(t,n,r){t*=this.stride,r*=n.stride;for(let l=0,d=this.stride;l<d;l++)this.array[t+l]=n.array[r+l];return this},set:function(t,n=0){return this.array.set(t,n),this},clone:function(t){void 0===t.arrayBuffers&&(t.arrayBuffers={}),void 0===this.array.buffer._uuid&&(this.array.buffer._uuid=en.generateUUID()),void 0===t.arrayBuffers[this.array.buffer._uuid]&&(t.arrayBuffers[this.array.buffer._uuid]=this.array.slice(0).buffer);const n=new Fs(new this.array.constructor(t.arrayBuffers[this.array.buffer._uuid]),this.stride);return n.setUsage(this.usage),n},onUpload:function(t){return this.onUploadCallback=t,this},toJSON:function(t){return void 0===t.arrayBuffers&&(t.arrayBuffers={}),void 0===this.array.buffer._uuid&&(this.array.buffer._uuid=en.generateUUID()),void 0===t.arrayBuffers[this.array.buffer._uuid]&&(t.arrayBuffers[this.array.buffer._uuid]=Array.prototype.slice.call(new Uint32Array(this.array.buffer))),{uuid:this.uuid,buffer:this.array.buffer._uuid,type:this.array.constructor.name,stride:this.stride}}});const Ns=new Vector3;function Bs(t,n,r,l){this.name="",this.data=t,this.itemSize=n,this.offset=r,this.normalized=!0===l}function $s(t){xr.call(this),this.type="SpriteMaterial",this.color=new Color(16777215),this.map=null,this.alphaMap=null,this.rotation=0,this.sizeAttenuation=!0,this.transparent=!0,this.setValues(t)}let zs;Object.defineProperties(Bs.prototype,{count:{get:function(){return this.data.count}},array:{get:function(){return this.data.array}},needsUpdate:{set:function(t){this.data.needsUpdate=t}}}),Object.assign(Bs.prototype,{isInterleavedBufferAttribute:!0,applyMatrix4:function(t){for(let n=0,r=this.data.count;n<r;n++)Ns.x=this.getX(n),Ns.y=this.getY(n),Ns.z=this.getZ(n),Ns.applyMatrix4(t),this.setXYZ(n,Ns.x,Ns.y,Ns.z);return this},setX:function(t,n){return this.data.array[t*this.data.stride+this.offset]=n,this},setY:function(t,n){return this.data.array[t*this.data.stride+this.offset+1]=n,this},setZ:function(t,n){return this.data.array[t*this.data.stride+this.offset+2]=n,this},setW:function(t,n){return this.data.array[t*this.data.stride+this.offset+3]=n,this},getX:function(t){return this.data.array[t*this.data.stride+this.offset]},getY:function(t){return this.data.array[t*this.data.stride+this.offset+1]},getZ:function(t){return this.data.array[t*this.data.stride+this.offset+2]},getW:function(t){return this.data.array[t*this.data.stride+this.offset+3]},setXY:function(t,n,r){return t=t*this.data.stride+this.offset,this.data.array[t+0]=n,this.data.array[t+1]=r,this},setXYZ:function(t,n,r,l){return t=t*this.data.stride+this.offset,this.data.array[t+0]=n,this.data.array[t+1]=r,this.data.array[t+2]=l,this},setXYZW:function(t,n,r,l,d){return t=t*this.data.stride+this.offset,this.data.array[t+0]=n,this.data.array[t+1]=r,this.data.array[t+2]=l,this.data.array[t+3]=d,this},clone:function(t){if(void 0===t){l.log("THREE.InterleavedBufferAttribute.clone(): Cloning an interlaved buffer attribute will deinterleave buffer data.");const t=[];for(let n=0;n<this.count;n++){const r=n*this.data.stride+this.offset;for(let n=0;n<this.itemSize;n++)t.push(this.data.array[r+n])}return new Er(new this.array.constructor(t),this.itemSize,this.normalized)}return void 0===t.interleavedBuffers&&(t.interleavedBuffers={}),void 0===t.interleavedBuffers[this.data.uuid]&&(t.interleavedBuffers[this.data.uuid]=this.data.clone(t)),new Bs(t.interleavedBuffers[this.data.uuid],this.itemSize,this.offset,this.normalized)},toJSON:function(t){if(void 0===t){l.log("THREE.InterleavedBufferAttribute.toJSON(): Serializing an interlaved buffer attribute will deinterleave buffer data.");const t=[];for(let n=0;n<this.count;n++){const r=n*this.data.stride+this.offset;for(let n=0;n<this.itemSize;n++)t.push(this.data.array[r+n])}return{itemSize:this.itemSize,type:this.array.constructor.name,array:t,normalized:this.normalized}}return void 0===t.interleavedBuffers&&(t.interleavedBuffers={}),void 0===t.interleavedBuffers[this.data.uuid]&&(t.interleavedBuffers[this.data.uuid]=this.data.toJSON(t)),{isInterleavedBufferAttribute:!0,itemSize:this.itemSize,data:this.data.uuid,offset:this.offset,normalized:this.normalized}}}),$s.prototype=Object.create(xr.prototype),$s.prototype.constructor=$s,$s.prototype.isSpriteMaterial=!0,$s.prototype.copy=function(t){return xr.prototype.copy.call(this,t),this.color.copy(t.color),this.map=t.map,this.alphaMap=t.alphaMap,this.rotation=t.rotation,this.sizeAttenuation=t.sizeAttenuation,this};const js=new Vector3,Vs=new Vector3,Us=new Vector3,Hs=new Vector2,Gs=new Vector2,Ws=new Matrix4,qs=new Vector3,Xs=new Vector3,Ys=new Vector3,Zs=new Vector2,Ks=new Vector2,Js=new Vector2;function Qs(t){if(Qn.call(this),this.type="Sprite",void 0===zs){zs=new Gr;const t=new Fs(new Float32Array([-.5,-.5,0,0,0,.5,-.5,0,1,0,.5,.5,0,1,1,-.5,.5,0,0,1]),5);zs.setIndex([0,1,2,0,2,3]),zs.setAttribute("position",new Bs(t,3,0,!1)),zs.setAttribute("uv",new Bs(t,2,3,!1))}this.geometry=zs,this.material=void 0!==t?t:new $s,this.center=new Vector2(.5,.5)}function el(t,n,r,l,d,h){Hs.subVectors(t,r).addScalar(.5).multiply(l),void 0!==d?(Gs.x=h*Hs.x-d*Hs.y,Gs.y=d*Hs.x+h*Hs.y):Gs.copy(Hs),t.copy(n),t.x+=Gs.x,t.y+=Gs.y,t.applyMatrix4(Ws)}Qs.prototype=Object.assign(Object.create(Qn.prototype),{constructor:Qs,isSprite:!0,raycast:function(t,n){null===t.camera&&l.error('THREE.Sprite: "Raycaster.camera" needs to be set in order to raycast against sprites.'),Vs.setFromMatrixScale(this.matrixWorld),Ws.copy(t.camera.matrixWorld),this.modelViewMatrix.multiplyMatrices(t.camera.matrixWorldInverse,this.matrixWorld),Us.setFromMatrixPosition(this.modelViewMatrix),t.camera.isPerspectiveCamera&&!1===this.material.sizeAttenuation&&Vs.multiplyScalar(-Us.z);const r=this.material.rotation;let d,h;0!==r&&(h=Math.cos(r),d=Math.sin(r));const p=this.center;el(qs.set(-.5,-.5,0),Us,p,Vs,d,h),el(Xs.set(.5,-.5,0),Us,p,Vs,d,h),el(Ys.set(.5,.5,0),Us,p,Vs,d,h),Zs.set(0,0),Ks.set(1,0),Js.set(1,1);let f=t.ray.intersectTriangle(qs,Xs,Ys,!1,js);if(null===f&&(el(Xs.set(-.5,.5,0),Us,p,Vs,d,h),Ks.set(0,1),f=t.ray.intersectTriangle(qs,Ys,Xs,!1,js),null===f))return;const m=t.ray.origin.distanceTo(js);m<t.near||m>t.far||n.push({distance:m,point:js.clone(),uv:Triangle.getUV(js,qs,Xs,Ys,Zs,Ks,Js,new Vector2),face:null,object:this})},copy:function(t){return Qn.prototype.copy.call(this,t),void 0!==t.center&&this.center.copy(t.center),this.material=t.material,this}});const tl=new Vector3,il=new Vector3;function nl(){Qn.call(this),this._currentLevel=0,this.type="LOD",Object.defineProperties(this,{levels:{enumerable:!0,value:[]}}),this.autoUpdate=!0}nl.prototype=Object.assign(Object.create(Qn.prototype),{constructor:nl,isLOD:!0,copy:function(t){Qn.prototype.copy.call(this,t,!1);const n=t.levels;for(let t=0,r=n.length;t<r;t++){const r=n[t];this.addLevel(r.object.clone(),r.distance)}return this.autoUpdate=t.autoUpdate,this},addLevel:function(t,n=0){n=Math.abs(n);const r=this.levels;let l;for(l=0;l<r.length&&!(n<r[l].distance);l++);return r.splice(l,0,{distance:n,object:t}),this.add(t),this},getCurrentLevel:function(){return this._currentLevel},getObjectForDistance:function(t){const n=this.levels;if(n.length>0){let r,l;for(r=1,l=n.length;r<l&&!(t<n[r].distance);r++);return n[r-1].object}return null},raycast:function(t,n){if(this.levels.length>0){tl.setFromMatrixPosition(this.matrixWorld);const r=t.ray.origin.distanceTo(tl);this.getObjectForDistance(r).raycast(t,n)}},update:function(t){const n=this.levels;if(n.length>1){tl.setFromMatrixPosition(t.matrixWorld),il.setFromMatrixPosition(this.matrixWorld);const r=tl.distanceTo(il)/t.zoom;let l,d;for(n[0].object.visible=!0,l=1,d=n.length;l<d&&r>=n[l].distance;l++)n[l-1].object.visible=!1,n[l].object.visible=!0;for(this._currentLevel=l-1;l<d;l++)n[l].object.visible=!1}},toJSON:function(t){const n=Qn.prototype.toJSON.call(this,t);!1===this.autoUpdate&&(n.object.autoUpdate=!1),n.object.levels=[];const r=this.levels;for(let t=0,l=r.length;t<l;t++){const l=r[t];n.object.levels.push({object:l.object.uuid,distance:l.distance})}return n}});const rl=new Vector3,ol=new Vector4,al=new Vector4,sl=new Vector3,ll=new Matrix4;function cl(t,n){t&&t.isGeometry&&l.error("THREE.SkinnedMesh no longer supports THREE.Geometry. Use THREE.BufferGeometry instead."),co.call(this,t,n),this.type="SkinnedMesh",this.bindMode="attached",this.bindMatrix=new Matrix4,this.bindMatrixInverse=new Matrix4}function dl(){Qn.call(this),this.type="Bone"}cl.prototype=Object.assign(Object.create(co.prototype),{constructor:cl,isSkinnedMesh:!0,copy:function(t){return co.prototype.copy.call(this,t),this.bindMode=t.bindMode,this.bindMatrix.copy(t.bindMatrix),this.bindMatrixInverse.copy(t.bindMatrixInverse),this.skeleton=t.skeleton,this},bind:function(t,n){this.skeleton=t,void 0===n&&(this.updateMatrixWorld(!0),this.skeleton.calculateInverses(),n=this.matrixWorld),this.bindMatrix.copy(n),this.bindMatrixInverse.copy(n).invert()},pose:function(){this.skeleton.pose()},normalizeSkinWeights:function(){const t=new Vector4,n=this.geometry.attributes.skinWeight;for(let r=0,l=n.count;r<l;r++){t.x=n.getX(r),t.y=n.getY(r),t.z=n.getZ(r),t.w=n.getW(r);const l=1/t.manhattanLength();l!==1/0?t.multiplyScalar(l):t.set(1,0,0,0),n.setXYZW(r,t.x,t.y,t.z,t.w)}},updateMatrixWorld:function(t){co.prototype.updateMatrixWorld.call(this,t),"attached"===this.bindMode?this.bindMatrixInverse.copy(this.matrixWorld).invert():"detached"===this.bindMode?this.bindMatrixInverse.copy(this.bindMatrix).invert():l.warn("THREE.SkinnedMesh: Unrecognized bindMode: "+this.bindMode)},boneTransform:function(t,n){const r=this.skeleton,l=this.geometry;ol.fromBufferAttribute(l.attributes.skinIndex,t),al.fromBufferAttribute(l.attributes.skinWeight,t),rl.fromBufferAttribute(l.attributes.position,t).applyMatrix4(this.bindMatrix),n.set(0,0,0);for(let t=0;t<4;t++){const l=al.getComponent(t);if(0!==l){const d=ol.getComponent(t);ll.multiplyMatrices(r.bones[d].matrixWorld,r.boneInverses[d]),n.addScaledVector(sl.copy(rl).applyMatrix4(ll),l)}}return n.applyMatrix4(this.bindMatrixInverse)}}),dl.prototype=Object.assign(Object.create(Qn.prototype),{constructor:dl,isBone:!0});const ul=new Matrix4,hl=new Matrix4;function pl(t=[],n=[]){this.uuid=en.generateUUID(),this.bones=t.slice(0),this.boneInverses=n,this.boneMatrices=null,this.boneTexture=null,this.boneTextureSize=0,this.frame=-1,this.init()}Object.assign(pl.prototype,{init:function(){const t=this.bones,n=this.boneInverses;if(this.boneMatrices=new Float32Array(16*t.length),0===n.length)this.calculateInverses();else if(t.length!==n.length){l.warn("THREE.Skeleton: Number of inverse bone matrices does not match amount of bones."),this.boneInverses=[];for(let t=0,n=this.bones.length;t<n;t++)this.boneInverses.push(new Matrix4)}},calculateInverses:function(){this.boneInverses.length=0;for(let t=0,n=this.bones.length;t<n;t++){const n=new Matrix4;this.bones[t]&&n.copy(this.bones[t].matrixWorld).invert(),this.boneInverses.push(n)}},pose:function(){for(let t=0,n=this.bones.length;t<n;t++){const n=this.bones[t];n&&n.matrixWorld.copy(this.boneInverses[t]).invert()}for(let t=0,n=this.bones.length;t<n;t++){const n=this.bones[t];n&&(n.parent&&n.parent.isBone?(n.matrix.copy(n.parent.matrixWorld).invert(),n.matrix.multiply(n.matrixWorld)):n.matrix.copy(n.matrixWorld),n.matrix.decompose(n.position,n.quaternion,n.scale))}},update:function(){const t=this.bones,n=this.boneInverses,r=this.boneMatrices,l=this.boneTexture;for(let l=0,d=t.length;l<d;l++){const d=t[l]?t[l].matrixWorld:hl;ul.multiplyMatrices(d,n[l]),ul.toArray(r,16*l)}null!==l&&(l.needsUpdate=!0)},clone:function(){return new pl(this.bones,this.boneInverses)},getBoneByName:function(t){for(let n=0,r=this.bones.length;n<r;n++){const r=this.bones[n];if(r.name===t)return r}},dispose:function(){null!==this.boneTexture&&(this.boneTexture.dispose(),this.boneTexture=null)},fromJSON:function(t,n){this.uuid=t.uuid;for(let r=0,d=t.bones.length;r<d;r++){const d=t.bones[r];let h=n[d];void 0===h&&(l.warn("THREE.Skeleton: No bone found with UUID:",d),h=new dl),this.bones.push(h),this.boneInverses.push((new Matrix4).fromArray(t.boneInverses[r]))}return this.init(),this},toJSON:function(){const t={metadata:{version:4.5,type:"Skeleton",generator:"Skeleton.toJSON"},bones:[],boneInverses:[]};t.uuid=this.uuid;const n=this.bones,r=this.boneInverses;for(let l=0,d=n.length;l<d;l++){const d=n[l];t.bones.push(d.uuid);const h=r[l];t.boneInverses.push(h.toArray())}return t}});const fl=new Matrix4,ml=new Matrix4,gl=[],yl=new co;function vl(t,n,r){co.call(this,t,n),this.instanceMatrix=new Er(new Float32Array(16*r),16),this.instanceColor=null,this.count=r,this.frustumCulled=!1}function bl(t){xr.call(this),this.type="LineBasicMaterial",this.color=new Color(16777215),this.linewidth=1,this.linecap="round",this.linejoin="round",this.morphTargets=!1,this.setValues(t)}vl.prototype=Object.assign(Object.create(co.prototype),{constructor:vl,isInstancedMesh:!0,copy:function(t){return co.prototype.copy.call(this,t),this.instanceMatrix.copy(t.instanceMatrix),null!==t.instanceColor&&(this.instanceColor=t.instanceColor.clone()),this.count=t.count,this},getColorAt:function(t,n){n.fromArray(this.instanceColor.array,3*t)},getMatrixAt:function(t,n){n.fromArray(this.instanceMatrix.array,16*t)},raycast:function(t,n){const r=this.matrixWorld,l=this.count;if(yl.geometry=this.geometry,yl.material=this.material,void 0!==yl.material)for(let d=0;d<l;d++){this.getMatrixAt(d,fl),ml.multiplyMatrices(r,fl),yl.matrixWorld=ml,yl.raycast(t,gl);for(let t=0,r=gl.length;t<r;t++){const r=gl[t];r.instanceId=d,r.object=this,n.push(r)}gl.length=0}},setColorAt:function(t,n){null===this.instanceColor&&(this.instanceColor=new Er(new Float32Array(3*this.count),3)),n.toArray(this.instanceColor.array,3*t)},setMatrixAt:function(t,n){n.toArray(this.instanceMatrix.array,16*t)},updateMorphTargets:function(){},dispose:function(){this.dispatchEvent({type:"dispose"})}}),bl.prototype=Object.create(xr.prototype),bl.prototype.constructor=bl,bl.prototype.isLineBasicMaterial=!0,bl.prototype.copy=function(t){return xr.prototype.copy.call(this,t),this.color.copy(t.color),this.linewidth=t.linewidth,this.linecap=t.linecap,this.linejoin=t.linejoin,this.morphTargets=t.morphTargets,this};const xl=new Vector3,wl=new Vector3,Sl=new Matrix4,_l=new Ray,El=new Sphere;function Ml(t=new Gr,n=new bl){Qn.call(this),this.type="Line",this.geometry=t,this.material=n,this.updateMorphTargets()}Ml.prototype=Object.assign(Object.create(Qn.prototype),{constructor:Ml,isLine:!0,copy:function(t){return Qn.prototype.copy.call(this,t),this.material=t.material,this.geometry=t.geometry,this},computeLineDistances:function(){const t=this.geometry;if(t.isBufferGeometry)if(null===t.index){const n=t.attributes.position,r=[0];for(let t=1,l=n.count;t<l;t++)xl.fromBufferAttribute(n,t-1),wl.fromBufferAttribute(n,t),r[t]=r[t-1],r[t]+=xl.distanceTo(wl);t.setAttribute("lineDistance",new Pr(r,1))}else l.warn("THREE.Line.computeLineDistances(): Computation only possible with non-indexed BufferGeometry.");else t.isGeometry&&l.error("THREE.Line.computeLineDistances() no longer supports THREE.Geometry. Use THREE.BufferGeometry instead.");return this},raycast:function(t,n){const r=this.geometry,d=this.matrixWorld,h=t.params.Line.threshold;if(null===r.boundingSphere&&r.computeBoundingSphere(),El.copy(r.boundingSphere),El.applyMatrix4(d),El.radius+=h,!1===t.ray.intersectsSphere(El))return;Sl.copy(d).invert(),_l.copy(t.ray).applyMatrix4(Sl);const p=h/((this.scale.x+this.scale.y+this.scale.z)/3),f=p*p,m=new Vector3,g=new Vector3,y=new Vector3,v=new Vector3,b=this.isLineSegments?2:1;if(r.isBufferGeometry){const l=r.index,d=r.attributes.position;if(null!==l){const r=l.array;for(let l=0,h=r.length-1;l<h;l+=b){const h=r[l],p=r[l+1];m.fromBufferAttribute(d,h),g.fromBufferAttribute(d,p);if(_l.distanceSqToSegment(m,g,v,y)>f)continue;v.applyMatrix4(this.matrixWorld);const b=t.ray.origin.distanceTo(v);b<t.near||b>t.far||n.push({distance:b,point:y.clone().applyMatrix4(this.matrixWorld),index:l,face:null,faceIndex:null,object:this})}}else for(let r=0,l=d.count-1;r<l;r+=b){m.fromBufferAttribute(d,r),g.fromBufferAttribute(d,r+1);if(_l.distanceSqToSegment(m,g,v,y)>f)continue;v.applyMatrix4(this.matrixWorld);const l=t.ray.origin.distanceTo(v);l<t.near||l>t.far||n.push({distance:l,point:y.clone().applyMatrix4(this.matrixWorld),index:r,face:null,faceIndex:null,object:this})}}else r.isGeometry&&l.error("THREE.Line.raycast() no longer supports THREE.Geometry. Use THREE.BufferGeometry instead.")},updateMorphTargets:function(){const t=this.geometry;if(t.isBufferGeometry){const n=t.morphAttributes,r=Object.keys(n);if(r.length>0){const t=n[r[0]];if(void 0!==t){this.morphTargetInfluences=[],this.morphTargetDictionary={};for(let n=0,r=t.length;n<r;n++){const r=t[n].name||String(n);this.morphTargetInfluences.push(0),this.morphTargetDictionary[r]=n}}}}else{const n=t.morphTargets;void 0!==n&&n.length>0&&l.error("THREE.Line.updateMorphTargets() does not support THREE.Geometry. Use THREE.BufferGeometry instead.")}}});const Tl=new Vector3,Cl=new Vector3;function Al(t,n){Ml.call(this,t,n),this.type="LineSegments"}function kl(t,n){Ml.call(this,t,n),this.type="LineLoop"}function Ol(t){xr.call(this),this.type="PointsMaterial",this.color=new Color(16777215),this.map=null,this.alphaMap=null,this.size=1,this.sizeAttenuation=!0,this.morphTargets=!1,this.setValues(t)}Al.prototype=Object.assign(Object.create(Ml.prototype),{constructor:Al,isLineSegments:!0,computeLineDistances:function(){const t=this.geometry;if(t.isBufferGeometry)if(null===t.index){const n=t.attributes.position,r=[];for(let t=0,l=n.count;t<l;t+=2)Tl.fromBufferAttribute(n,t),Cl.fromBufferAttribute(n,t+1),r[t]=0===t?0:r[t-1],r[t+1]=r[t]+Tl.distanceTo(Cl);t.setAttribute("lineDistance",new Pr(r,1))}else l.warn("THREE.LineSegments.computeLineDistances(): Computation only possible with non-indexed BufferGeometry.");else t.isGeometry&&l.error("THREE.LineSegments.computeLineDistances() no longer supports THREE.Geometry. Use THREE.BufferGeometry instead.");return this}}),kl.prototype=Object.assign(Object.create(Ml.prototype),{constructor:kl,isLineLoop:!0}),Ol.prototype=Object.create(xr.prototype),Ol.prototype.constructor=Ol,Ol.prototype.isPointsMaterial=!0,Ol.prototype.copy=function(t){return xr.prototype.copy.call(this,t),this.color.copy(t.color),this.map=t.map,this.alphaMap=t.alphaMap,this.size=t.size,this.sizeAttenuation=t.sizeAttenuation,this.morphTargets=t.morphTargets,this};const Il=new Matrix4,Rl=new Ray,Pl=new Sphere,Ll=new Vector3;function Dl(t=new Gr,n=new Ol){Qn.call(this),this.type="Points",this.geometry=t,this.material=n,this.updateMorphTargets()}function Fl(t,n,r,l,d,h,p){const f=Rl.distanceSqToPoint(t);if(f<r){const r=new Vector3;Rl.closestPointToPoint(t,r),r.applyMatrix4(l);const m=d.ray.origin.distanceTo(r);if(m<d.near||m>d.far)return;h.push({distance:m,distanceToRay:Math.sqrt(f),point:r,index:n,face:null,object:p})}}function Nl(t,n,r,l,d,h,p,f,m){on.call(this,t,n,r,l,d,h,p,f,m),this.format=void 0!==p?p:Qe,this.minFilter=void 0!==h?h:De,this.magFilter=void 0!==d?d:De,this.generateMipmaps=!1;const g=this;"requestVideoFrameCallback"in t&&t.requestVideoFrameCallback((function n(){g.needsUpdate=!0,t.requestVideoFrameCallback(n)}))}function Bl(t,n,r,l,d,h,p,f,m,g,y,v){on.call(this,null,h,p,f,m,g,l,d,y,v),this.image={width:n,height:r},this.mipmaps=t,this.flipY=!1,this.generateMipmaps=!1}function $l(t,n,r,l,d,h,p,f,m){on.call(this,t,n,r,l,d,h,p,f,m),this.needsUpdate=!0}function zl(t,n,r,l,d,h,p,f,m,g){if((g=void 0!==g?g:rt)!==rt&&g!==ot)throw new Error("DepthTexture format must be either THREE.DepthFormat or THREE.DepthStencilFormat");void 0===r&&g===rt&&(r=Ue),void 0===r&&g===ot&&(r=Ke),on.call(this,null,l,d,h,p,f,g,r,m),this.image={width:t,height:n},this.magFilter=void 0!==p?p:Oe,this.minFilter=void 0!==f?f:Oe,this.flipY=!1,this.generateMipmaps=!1}Dl.prototype=Object.assign(Object.create(Qn.prototype),{constructor:Dl,isPoints:!0,copy:function(t){return Qn.prototype.copy.call(this,t),this.material=t.material,this.geometry=t.geometry,this},raycast:function(t,n){const r=this.geometry,d=this.matrixWorld,h=t.params.Points.threshold;if(null===r.boundingSphere&&r.computeBoundingSphere(),Pl.copy(r.boundingSphere),Pl.applyMatrix4(d),Pl.radius+=h,!1===t.ray.intersectsSphere(Pl))return;Il.copy(d).invert(),Rl.copy(t.ray).applyMatrix4(Il);const p=h/((this.scale.x+this.scale.y+this.scale.z)/3),f=p*p;if(r.isBufferGeometry){const l=r.index,h=r.attributes.position;if(null!==l){const r=l.array;for(let l=0,p=r.length;l<p;l++){const p=r[l];Ll.fromBufferAttribute(h,p),Fl(Ll,p,f,d,t,n,this)}}else for(let r=0,l=h.count;r<l;r++)Ll.fromBufferAttribute(h,r),Fl(Ll,r,f,d,t,n,this)}else l.error("THREE.Points.raycast() no longer supports THREE.Geometry. Use THREE.BufferGeometry instead.")},updateMorphTargets:function(){const t=this.geometry;if(t.isBufferGeometry){const n=t.morphAttributes,r=Object.keys(n);if(r.length>0){const t=n[r[0]];if(void 0!==t){this.morphTargetInfluences=[],this.morphTargetDictionary={};for(let n=0,r=t.length;n<r;n++){const r=t[n].name||String(n);this.morphTargetInfluences.push(0),this.morphTargetDictionary[r]=n}}}}else{const n=t.morphTargets;void 0!==n&&n.length>0&&l.error("THREE.Points.updateMorphTargets() does not support THREE.Geometry. Use THREE.BufferGeometry instead.")}}}),Nl.prototype=Object.assign(Object.create(on.prototype),{constructor:Nl,clone:function(){return new this.constructor(this.image).copy(this)},isVideoTexture:!0,update:function(){const t=this.image;!1==="requestVideoFrameCallback"in t&&t.readyState>=t.HAVE_CURRENT_DATA&&(this.needsUpdate=!0)}}),Bl.prototype=Object.create(on.prototype),Bl.prototype.constructor=Bl,Bl.prototype.isCompressedTexture=!0,$l.prototype=Object.create(on.prototype),$l.prototype.constructor=$l,$l.prototype.isCanvasTexture=!0,zl.prototype=Object.create(on.prototype),zl.prototype.constructor=zl,zl.prototype.isDepthTexture=!0;class CircleGeometry extends Gr{constructor(t=1,n=8,r=0,l=2*Math.PI){super(),this.type="CircleGeometry",this.parameters={radius:t,segments:n,thetaStart:r,thetaLength:l},n=Math.max(3,n);const d=[],h=[],p=[],f=[],m=new Vector3,g=new Vector2;h.push(0,0,0),p.push(0,0,1),f.push(.5,.5);for(let d=0,y=3;d<=n;d++,y+=3){const v=r+d/n*l;m.x=t*Math.cos(v),m.y=t*Math.sin(v),h.push(m.x,m.y,m.z),p.push(0,0,1),g.x=(h[y]/t+1)/2,g.y=(h[y+1]/t+1)/2,f.push(g.x,g.y)}for(let t=1;t<=n;t++)d.push(t,t+1,0);this.setIndex(d),this.setAttribute("position",new Pr(h,3)),this.setAttribute("normal",new Pr(p,3)),this.setAttribute("uv",new Pr(f,2))}}class CylinderGeometry extends Gr{constructor(t=1,n=1,r=1,l=8,d=1,h=!1,p=0,f=2*Math.PI){super(),this.type="CylinderGeometry",this.parameters={radiusTop:t,radiusBottom:n,height:r,radialSegments:l,heightSegments:d,openEnded:h,thetaStart:p,thetaLength:f};const m=this;l=Math.floor(l),d=Math.floor(d);const g=[],y=[],v=[],b=[];let x=0;const w=[],S=r/2;let _=0;function E(r){const d=x,h=new Vector2,w=new Vector3;let E=0;const T=!0===r?t:n,C=!0===r?1:-1;for(let t=1;t<=l;t++)y.push(0,S*C,0),v.push(0,C,0),b.push(.5,.5),x++;const A=x;for(let t=0;t<=l;t++){const n=t/l*f+p,r=Math.cos(n),d=Math.sin(n);w.x=T*d,w.y=S*C,w.z=T*r,y.push(w.x,w.y,w.z),v.push(0,C,0),h.x=.5*r+.5,h.y=.5*d*C+.5,b.push(h.x,h.y),x++}for(let t=0;t<l;t++){const n=d+t,l=A+t;!0===r?g.push(l,l+1,n):g.push(l+1,l,n),E+=3}m.addGroup(_,E,!0===r?1:2),_+=E}!function(){const h=new Vector3,E=new Vector3;let T=0;const C=(n-t)/r;for(let m=0;m<=d;m++){const g=[],_=m/d,T=_*(n-t)+t;for(let t=0;t<=l;t++){const n=t/l,d=n*f+p,m=Math.sin(d),w=Math.cos(d);E.x=T*m,E.y=-_*r+S,E.z=T*w,y.push(E.x,E.y,E.z),h.set(m,C,w).normalize(),v.push(h.x,h.y,h.z),b.push(n,1-_),g.push(x++)}w.push(g)}for(let t=0;t<l;t++)for(let n=0;n<d;n++){const r=w[n][t],l=w[n+1][t],d=w[n+1][t+1],h=w[n][t+1];g.push(r,l,h),g.push(l,d,h),T+=6}m.addGroup(_,T,0),_+=T}(),!1===h&&(t>0&&E(!0),n>0&&E(!1)),this.setIndex(g),this.setAttribute("position",new Pr(y,3)),this.setAttribute("normal",new Pr(v,3)),this.setAttribute("uv",new Pr(b,2))}}class ConeGeometry extends CylinderGeometry{constructor(t=1,n=1,r=8,l=1,d=!1,h=0,p=2*Math.PI){super(0,t,n,r,l,d,h,p),this.type="ConeGeometry",this.parameters={radius:t,height:n,radialSegments:r,heightSegments:l,openEnded:d,thetaStart:h,thetaLength:p}}}class PolyhedronGeometry extends Gr{constructor(t,n,r=1,l=0){super(),this.type="PolyhedronGeometry",this.parameters={vertices:t,indices:n,radius:r,detail:l};const d=[],h=[];function p(t,n,r,l){const d=l+1,h=[];for(let l=0;l<=d;l++){h[l]=[];const p=t.clone().lerp(r,l/d),f=n.clone().lerp(r,l/d),m=d-l;for(let t=0;t<=m;t++)h[l][t]=0===t&&l===d?p:p.clone().lerp(f,t/m)}for(let t=0;t<d;t++)for(let n=0;n<2*(d-t)-1;n++){const r=Math.floor(n/2);n%2==0?(f(h[t][r+1]),f(h[t+1][r]),f(h[t][r])):(f(h[t][r+1]),f(h[t+1][r+1]),f(h[t+1][r]))}}function f(t){d.push(t.x,t.y,t.z)}function m(n,r){const l=3*n;r.x=t[l+0],r.y=t[l+1],r.z=t[l+2]}function g(t,n,r,l){l<0&&1===t.x&&(h[n]=t.x-1),0===r.x&&0===r.z&&(h[n]=l/2/Math.PI+.5)}function y(t){return Math.atan2(t.z,-t.x)}!function(t){const r=new Vector3,l=new Vector3,d=new Vector3;for(let h=0;h<n.length;h+=3)m(n[h+0],r),m(n[h+1],l),m(n[h+2],d),p(r,l,d,t)}(l),function(t){const n=new Vector3;for(let r=0;r<d.length;r+=3)n.x=d[r+0],n.y=d[r+1],n.z=d[r+2],n.normalize().multiplyScalar(t),d[r+0]=n.x,d[r+1]=n.y,d[r+2]=n.z}(r),function(){const t=new Vector3;for(let r=0;r<d.length;r+=3){t.x=d[r+0],t.y=d[r+1],t.z=d[r+2];const l=y(t)/2/Math.PI+.5,p=(n=t,Math.atan2(-n.y,Math.sqrt(n.x*n.x+n.z*n.z))/Math.PI+.5);h.push(l,1-p)}var n;(function(){const t=new Vector3,n=new Vector3,r=new Vector3,l=new Vector3,p=new Vector2,f=new Vector2,m=new Vector2;for(let v=0,b=0;v<d.length;v+=9,b+=6){t.set(d[v+0],d[v+1],d[v+2]),n.set(d[v+3],d[v+4],d[v+5]),r.set(d[v+6],d[v+7],d[v+8]),p.set(h[b+0],h[b+1]),f.set(h[b+2],h[b+3]),m.set(h[b+4],h[b+5]),l.copy(t).add(n).add(r).divideScalar(3);const x=y(l);g(p,b+0,t,x),g(f,b+2,n,x),g(m,b+4,r,x)}})(),function(){for(let t=0;t<h.length;t+=6){const n=h[t+0],r=h[t+2],l=h[t+4],d=Math.max(n,r,l),p=Math.min(n,r,l);d>.9&&p<.1&&(n<.2&&(h[t+0]+=1),r<.2&&(h[t+2]+=1),l<.2&&(h[t+4]+=1))}}()}(),this.setAttribute("position",new Pr(d,3)),this.setAttribute("normal",new Pr(d.slice(),3)),this.setAttribute("uv",new Pr(h,2)),0===l?this.computeVertexNormals():this.normalizeNormals()}}class DodecahedronGeometry extends PolyhedronGeometry{constructor(t=1,n=0){const r=(1+Math.sqrt(5))/2,l=1/r;super([-1,-1,-1,-1,-1,1,-1,1,-1,-1,1,1,1,-1,-1,1,-1,1,1,1,-1,1,1,1,0,-l,-r,0,-l,r,0,l,-r,0,l,r,-l,-r,0,-l,r,0,l,-r,0,l,r,0,-r,0,-l,r,0,-l,-r,0,l,r,0,l],[3,11,7,3,7,15,3,15,13,7,19,17,7,17,6,7,6,15,17,4,8,17,8,10,17,10,6,8,0,16,8,16,2,8,2,10,0,12,1,0,1,18,0,18,16,6,10,2,6,2,13,6,13,15,2,16,18,2,18,3,2,3,13,18,1,9,18,9,11,18,11,3,4,14,12,4,12,0,4,0,8,11,9,5,11,5,19,11,19,7,19,5,14,19,14,4,19,4,17,1,12,14,1,14,5,1,5,9],t,n),this.type="DodecahedronGeometry",this.parameters={radius:t,detail:n}}}const jl=new Vector3,Vl=new Vector3,Ul=new Vector3,Hl=new Triangle;class EdgesGeometry extends Gr{constructor(t,n){if(super(),this.type="EdgesGeometry",this.parameters={thresholdAngle:n},n=void 0!==n?n:1,!0===t.isGeometry)return void l.error("THREE.EdgesGeometry no longer supports THREE.Geometry. Use THREE.BufferGeometry instead.");const r=Math.pow(10,4),d=Math.cos(en.DEG2RAD*n),h=t.getIndex(),p=t.getAttribute("position"),f=h?h.count:p.count,m=[0,0,0],g=["a","b","c"],y=new Array(3),v={},b=[];for(let t=0;t<f;t+=3){h?(m[0]=h.getX(t),m[1]=h.getX(t+1),m[2]=h.getX(t+2)):(m[0]=t,m[1]=t+1,m[2]=t+2);const{a:n,b:l,c:f}=Hl;if(n.fromBufferAttribute(p,m[0]),l.fromBufferAttribute(p,m[1]),f.fromBufferAttribute(p,m[2]),Hl.getNormal(Ul),y[0]=`${Math.round(n.x*r)},${Math.round(n.y*r)},${Math.round(n.z*r)}`,y[1]=`${Math.round(l.x*r)},${Math.round(l.y*r)},${Math.round(l.z*r)}`,y[2]=`${Math.round(f.x*r)},${Math.round(f.y*r)},${Math.round(f.z*r)}`,y[0]!==y[1]&&y[1]!==y[2]&&y[2]!==y[0])for(let t=0;t<3;t++){const n=(t+1)%3,r=y[t],l=y[n],h=Hl[g[t]],p=Hl[g[n]],f=`${r}_${l}`,x=`${l}_${r}`;x in v&&v[x]?(Ul.dot(v[x].normal)<=d&&(b.push(h.x,h.y,h.z),b.push(p.x,p.y,p.z)),v[x]=null):f in v||(v[f]={index0:m[t],index1:m[n],normal:Ul.clone()})}}for(const t in v)if(v[t]){const{index0:n,index1:r}=v[t];jl.fromBufferAttribute(p,n),Vl.fromBufferAttribute(p,r),b.push(jl.x,jl.y,jl.z),b.push(Vl.x,Vl.y,Vl.z)}this.setAttribute("position",new Pr(b,3))}}const Gl=function(t,n,r){r=r||2;const l=n&&n.length,d=l?n[0]*r:t.length;let h=Wl(t,0,d,r,!0);const p=[];if(!h||h.next===h.prev)return p;let f,m,g,y,v,b,x;if(l&&(h=function(t,n,r,l){const d=[];let h,p,f,m,g;for(h=0,p=n.length;h<p;h++)f=n[h]*l,m=h<p-1?n[h+1]*l:t.length,g=Wl(t,f,m,l,!1),g===g.next&&(g.steiner=!0),d.push(nc(g));for(d.sort(Ql),h=0;h<d.length;h++)ec(d[h],r),r=ql(r,r.next);return r}(t,n,h,r)),t.length>80*r){f=g=t[0],m=y=t[1];for(let n=r;n<d;n+=r)v=t[n],b=t[n+1],v<f&&(f=v),b<m&&(m=b),v>g&&(g=v),b>y&&(y=b);x=Math.max(g-f,y-m),x=0!==x?1/x:0}return Xl(h,p,r,f,m,x),p};function Wl(t,n,r,l,d){let h,p;if(d===function(t,n,r,l){let d=0;for(let h=n,p=r-l;h<r;h+=l)d+=(t[p]-t[h])*(t[h+1]+t[p+1]),p=h;return d}(t,n,r,l)>0)for(h=n;h<r;h+=l)p=pc(h,t[h],t[h+1],p);else for(h=r-l;h>=n;h-=l)p=pc(h,t[h],t[h+1],p);return p&&sc(p,p.next)&&(fc(p),p=p.next),p}function ql(t,n){if(!t)return t;n||(n=t);let r,l=t;do{if(r=!1,l.steiner||!sc(l,l.next)&&0!==ac(l.prev,l,l.next))l=l.next;else{if(fc(l),l=n=l.prev,l===l.next)break;r=!0}}while(r||l!==n);return n}function Xl(t,n,r,l,d,h,p){if(!t)return;!p&&h&&function(t,n,r,l){let d=t;do{null===d.z&&(d.z=ic(d.x,d.y,n,r,l)),d.prevZ=d.prev,d.nextZ=d.next,d=d.next}while(d!==t);d.prevZ.nextZ=null,d.prevZ=null,function(t){let n,r,l,d,h,p,f,m,g=1;do{for(r=t,t=null,h=null,p=0;r;){for(p++,l=r,f=0,n=0;n<g&&(f++,l=l.nextZ,l);n++);for(m=g;f>0||m>0&&l;)0!==f&&(0===m||!l||r.z<=l.z)?(d=r,r=r.nextZ,f--):(d=l,l=l.nextZ,m--),h?h.nextZ=d:t=d,d.prevZ=h,h=d;r=l}h.nextZ=null,g*=2}while(p>1)}(d)}(t,l,d,h);let f,m,g=t;for(;t.prev!==t.next;)if(f=t.prev,m=t.next,h?Zl(t,l,d,h):Yl(t))n.push(f.i/r),n.push(t.i/r),n.push(m.i/r),fc(t),t=m.next,g=m.next;else if((t=m)===g){p?1===p?Xl(t=Kl(ql(t),n,r),n,r,l,d,h,2):2===p&&Jl(t,n,r,l,d,h):Xl(ql(t),n,r,l,d,h,1);break}}function Yl(t){const n=t.prev,r=t,l=t.next;if(ac(n,r,l)>=0)return!1;let d=t.next.next;for(;d!==t.prev;){if(rc(n.x,n.y,r.x,r.y,l.x,l.y,d.x,d.y)&&ac(d.prev,d,d.next)>=0)return!1;d=d.next}return!0}function Zl(t,n,r,l){const d=t.prev,h=t,p=t.next;if(ac(d,h,p)>=0)return!1;const f=d.x<h.x?d.x<p.x?d.x:p.x:h.x<p.x?h.x:p.x,m=d.y<h.y?d.y<p.y?d.y:p.y:h.y<p.y?h.y:p.y,g=d.x>h.x?d.x>p.x?d.x:p.x:h.x>p.x?h.x:p.x,y=d.y>h.y?d.y>p.y?d.y:p.y:h.y>p.y?h.y:p.y,v=ic(f,m,n,r,l),b=ic(g,y,n,r,l);let x=t.prevZ,w=t.nextZ;for(;x&&x.z>=v&&w&&w.z<=b;){if(x!==t.prev&&x!==t.next&&rc(d.x,d.y,h.x,h.y,p.x,p.y,x.x,x.y)&&ac(x.prev,x,x.next)>=0)return!1;if(x=x.prevZ,w!==t.prev&&w!==t.next&&rc(d.x,d.y,h.x,h.y,p.x,p.y,w.x,w.y)&&ac(w.prev,w,w.next)>=0)return!1;w=w.nextZ}for(;x&&x.z>=v;){if(x!==t.prev&&x!==t.next&&rc(d.x,d.y,h.x,h.y,p.x,p.y,x.x,x.y)&&ac(x.prev,x,x.next)>=0)return!1;x=x.prevZ}for(;w&&w.z<=b;){if(w!==t.prev&&w!==t.next&&rc(d.x,d.y,h.x,h.y,p.x,p.y,w.x,w.y)&&ac(w.prev,w,w.next)>=0)return!1;w=w.nextZ}return!0}function Kl(t,n,r){let l=t;do{const d=l.prev,h=l.next.next;!sc(d,h)&&lc(d,l,l.next,h)&&uc(d,h)&&uc(h,d)&&(n.push(d.i/r),n.push(l.i/r),n.push(h.i/r),fc(l),fc(l.next),l=t=h),l=l.next}while(l!==t);return ql(l)}function Jl(t,n,r,l,d,h){let p=t;do{let t=p.next.next;for(;t!==p.prev;){if(p.i!==t.i&&oc(p,t)){let f=hc(p,t);return p=ql(p,p.next),f=ql(f,f.next),Xl(p,n,r,l,d,h),void Xl(f,n,r,l,d,h)}t=t.next}p=p.next}while(p!==t)}function Ql(t,n){return t.x-n.x}function ec(t,n){if(n=function(t,n){let r=n;const l=t.x,d=t.y;let h,p=-1/0;do{if(d<=r.y&&d>=r.next.y&&r.next.y!==r.y){const t=r.x+(d-r.y)*(r.next.x-r.x)/(r.next.y-r.y);if(t<=l&&t>p){if(p=t,t===l){if(d===r.y)return r;if(d===r.next.y)return r.next}h=r.x<r.next.x?r:r.next}}r=r.next}while(r!==n);if(!h)return null;if(l===p)return h;const f=h,m=h.x,g=h.y;let y,v=1/0;r=h;do{l>=r.x&&r.x>=m&&l!==r.x&&rc(d<g?l:p,d,m,g,d<g?p:l,d,r.x,r.y)&&(y=Math.abs(d-r.y)/(l-r.x),uc(r,t)&&(y<v||y===v&&(r.x>h.x||r.x===h.x&&tc(h,r)))&&(h=r,v=y)),r=r.next}while(r!==f);return h}(t,n),n){const r=hc(n,t);ql(n,n.next),ql(r,r.next)}}function tc(t,n){return ac(t.prev,t,n.prev)<0&&ac(n.next,t,t.next)<0}function ic(t,n,r,l,d){return(t=1431655765&((t=858993459&((t=252645135&((t=16711935&((t=32767*(t-r)*d)|t<<8))|t<<4))|t<<2))|t<<1))|(n=1431655765&((n=858993459&((n=252645135&((n=16711935&((n=32767*(n-l)*d)|n<<8))|n<<4))|n<<2))|n<<1))<<1}function nc(t){let n=t,r=t;do{(n.x<r.x||n.x===r.x&&n.y<r.y)&&(r=n),n=n.next}while(n!==t);return r}function rc(t,n,r,l,d,h,p,f){return(d-p)*(n-f)-(t-p)*(h-f)>=0&&(t-p)*(l-f)-(r-p)*(n-f)>=0&&(r-p)*(h-f)-(d-p)*(l-f)>=0}function oc(t,n){return t.next.i!==n.i&&t.prev.i!==n.i&&!function(t,n){let r=t;do{if(r.i!==t.i&&r.next.i!==t.i&&r.i!==n.i&&r.next.i!==n.i&&lc(r,r.next,t,n))return!0;r=r.next}while(r!==t);return!1}(t,n)&&(uc(t,n)&&uc(n,t)&&function(t,n){let r=t,l=!1;const d=(t.x+n.x)/2,h=(t.y+n.y)/2;do{r.y>h!=r.next.y>h&&r.next.y!==r.y&&d<(r.next.x-r.x)*(h-r.y)/(r.next.y-r.y)+r.x&&(l=!l),r=r.next}while(r!==t);return l}(t,n)&&(ac(t.prev,t,n.prev)||ac(t,n.prev,n))||sc(t,n)&&ac(t.prev,t,t.next)>0&&ac(n.prev,n,n.next)>0)}function ac(t,n,r){return(n.y-t.y)*(r.x-n.x)-(n.x-t.x)*(r.y-n.y)}function sc(t,n){return t.x===n.x&&t.y===n.y}function lc(t,n,r,l){const d=dc(ac(t,n,r)),h=dc(ac(t,n,l)),p=dc(ac(r,l,t)),f=dc(ac(r,l,n));return d!==h&&p!==f||(!(0!==d||!cc(t,r,n))||(!(0!==h||!cc(t,l,n))||(!(0!==p||!cc(r,t,l))||!(0!==f||!cc(r,n,l)))))}function cc(t,n,r){return n.x<=Math.max(t.x,r.x)&&n.x>=Math.min(t.x,r.x)&&n.y<=Math.max(t.y,r.y)&&n.y>=Math.min(t.y,r.y)}function dc(t){return t>0?1:t<0?-1:0}function uc(t,n){return ac(t.prev,t,t.next)<0?ac(t,n,t.next)>=0&&ac(t,t.prev,n)>=0:ac(t,n,t.prev)<0||ac(t,t.next,n)<0}function hc(t,n){const r=new mc(t.i,t.x,t.y),l=new mc(n.i,n.x,n.y),d=t.next,h=n.prev;return t.next=n,n.prev=t,r.next=d,d.prev=r,l.next=r,r.prev=l,h.next=l,l.prev=h,l}function pc(t,n,r,l){const d=new mc(t,n,r);return l?(d.next=l.next,d.prev=l,l.next.prev=d,l.next=d):(d.prev=d,d.next=d),d}function fc(t){t.next.prev=t.prev,t.prev.next=t.next,t.prevZ&&(t.prevZ.nextZ=t.nextZ),t.nextZ&&(t.nextZ.prevZ=t.prevZ)}function mc(t,n,r){this.i=t,this.x=n,this.y=r,this.prev=null,this.next=null,this.z=null,this.prevZ=null,this.nextZ=null,this.steiner=!1}const gc={area:function(t){const n=t.length;let r=0;for(let l=n-1,d=0;d<n;l=d++)r+=t[l].x*t[d].y-t[d].x*t[l].y;return.5*r},isClockWise:function(t){return gc.area(t)<0},triangulateShape:function(t,n){const r=[],l=[],d=[];yc(t),vc(r,t);let h=t.length;n.forEach(yc);for(let t=0;t<n.length;t++)l.push(h),h+=n[t].length,vc(r,n[t]);const p=Gl(r,l);for(let t=0;t<p.length;t+=3)d.push(p.slice(t,t+3));return d}};function yc(t){const n=t.length;n>2&&t[n-1].equals(t[0])&&t.pop()}function vc(t,n){for(let r=0;r<n.length;r++)t.push(n[r].x),t.push(n[r].y)}class ExtrudeGeometry extends Gr{constructor(t,n){super(),this.type="ExtrudeGeometry",this.parameters={shapes:t,options:n},t=Array.isArray(t)?t:[t];const r=this,d=[],h=[];for(let n=0,r=t.length;n<r;n++){p(t[n])}function p(t){const p=[],f=void 0!==n.curveSegments?n.curveSegments:12,m=void 0!==n.steps?n.steps:1;let g=void 0!==n.depth?n.depth:100,y=void 0===n.bevelEnabled||n.bevelEnabled,v=void 0!==n.bevelThickness?n.bevelThickness:6,b=void 0!==n.bevelSize?n.bevelSize:v-2,x=void 0!==n.bevelOffset?n.bevelOffset:0,w=void 0!==n.bevelSegments?n.bevelSegments:3;const S=n.extrudePath,_=void 0!==n.UVGenerator?n.UVGenerator:bc;void 0!==n.amount&&(l.warn("THREE.ExtrudeBufferGeometry: amount has been renamed to depth."),g=n.amount);let E,T,C,A,O,I=!1;S&&(E=S.getSpacedPoints(m),I=!0,y=!1,T=S.computeFrenetFrames(m,!1),C=new Vector3,A=new Vector3,O=new Vector3),y||(w=0,v=0,b=0,x=0);const P=t.extractPoints(f);let D=P.shape;const F=P.holes;if(!gc.isClockWise(D)){D=D.reverse();for(let t=0,n=F.length;t<n;t++){const n=F[t];gc.isClockWise(n)&&(F[t]=n.reverse())}}const B=gc.triangulateShape(D,F),$=D;for(let t=0,n=F.length;t<n;t++){const n=F[t];D=D.concat(n)}function j(t,n,r){return n||l.error("THREE.ExtrudeGeometry: vec does not exist"),n.clone().multiplyScalar(r).add(t)}const V=D.length,U=B.length;function G(t,n,r){let l,d,h;const p=t.x-n.x,f=t.y-n.y,m=r.x-t.x,g=r.y-t.y,y=p*p+f*f,v=p*g-f*m;if(Math.abs(v)>Number.EPSILON){const v=Math.sqrt(y),b=Math.sqrt(m*m+g*g),x=n.x-f/v,w=n.y+p/v,S=((r.x-g/b-x)*g-(r.y+m/b-w)*m)/(p*g-f*m);l=x+p*S-t.x,d=w+f*S-t.y;const _=l*l+d*d;if(_<=2)return new Vector2(l,d);h=Math.sqrt(_/2)}else{let t=!1;p>Number.EPSILON?m>Number.EPSILON&&(t=!0):p<-Number.EPSILON?m<-Number.EPSILON&&(t=!0):Math.sign(f)===Math.sign(g)&&(t=!0),t?(l=-f,d=p,h=Math.sqrt(y)):(l=p,d=f,h=Math.sqrt(y/2))}return new Vector2(l/h,d/h)}const W=[];for(let t=0,n=$.length,r=n-1,l=t+1;t<n;t++,r++,l++)r===n&&(r=0),l===n&&(l=0),W[t]=G($[t],$[r],$[l]);const q=[];let X,Y=W.concat();for(let t=0,n=F.length;t<n;t++){const n=F[t];X=[];for(let t=0,r=n.length,l=r-1,d=t+1;t<r;t++,l++,d++)l===r&&(l=0),d===r&&(d=0),X[t]=G(n[t],n[l],n[d]);q.push(X),Y=Y.concat(X)}for(let t=0;t<w;t++){const n=t/w,r=v*Math.cos(n*Math.PI/2),l=b*Math.sin(n*Math.PI/2)+x;for(let t=0,n=$.length;t<n;t++){const n=j($[t],W[t],l);Q(n.x,n.y,-r)}for(let t=0,n=F.length;t<n;t++){const n=F[t];X=q[t];for(let t=0,d=n.length;t<d;t++){const d=j(n[t],X[t],l);Q(d.x,d.y,-r)}}}const K=b+x;for(let t=0;t<V;t++){const n=y?j(D[t],Y[t],K):D[t];I?(A.copy(T.normals[0]).multiplyScalar(n.x),C.copy(T.binormals[0]).multiplyScalar(n.y),O.copy(E[0]).add(A).add(C),Q(O.x,O.y,O.z)):Q(n.x,n.y,0)}for(let t=1;t<=m;t++)for(let n=0;n<V;n++){const r=y?j(D[n],Y[n],K):D[n];I?(A.copy(T.normals[t]).multiplyScalar(r.x),C.copy(T.binormals[t]).multiplyScalar(r.y),O.copy(E[t]).add(A).add(C),Q(O.x,O.y,O.z)):Q(r.x,r.y,g/m*t)}for(let t=w-1;t>=0;t--){const n=t/w,r=v*Math.cos(n*Math.PI/2),l=b*Math.sin(n*Math.PI/2)+x;for(let t=0,n=$.length;t<n;t++){const n=j($[t],W[t],l);Q(n.x,n.y,g+r)}for(let t=0,n=F.length;t<n;t++){const n=F[t];X=q[t];for(let t=0,d=n.length;t<d;t++){const d=j(n[t],X[t],l);I?Q(d.x,d.y+E[m-1].y,E[m-1].x+r):Q(d.x,d.y,g+r)}}}function J(t,n){let r=t.length;for(;--r>=0;){const l=r;let d=r-1;d<0&&(d=t.length-1);for(let t=0,r=m+2*w;t<r;t++){const r=V*t,h=V*(t+1);te(n+l+r,n+d+r,n+d+h,n+l+h)}}}function Q(t,n,r){p.push(t),p.push(n),p.push(r)}function ee(t,n,l){ie(t),ie(n),ie(l);const h=d.length/3,p=_.generateTopUV(r,d,h-3,h-2,h-1);ne(p[0]),ne(p[1]),ne(p[2])}function te(t,n,l,h){ie(t),ie(n),ie(h),ie(n),ie(l),ie(h);const p=d.length/3,f=_.generateSideWallUV(r,d,p-6,p-3,p-2,p-1);ne(f[0]),ne(f[1]),ne(f[3]),ne(f[1]),ne(f[2]),ne(f[3])}function ie(t){d.push(p[3*t+0]),d.push(p[3*t+1]),d.push(p[3*t+2])}function ne(t){h.push(t.x),h.push(t.y)}!function(){const t=d.length/3;if(y){let t=0,n=V*t;for(let t=0;t<U;t++){const r=B[t];ee(r[2]+n,r[1]+n,r[0]+n)}t=m+2*w,n=V*t;for(let t=0;t<U;t++){const r=B[t];ee(r[0]+n,r[1]+n,r[2]+n)}}else{for(let t=0;t<U;t++){const n=B[t];ee(n[2],n[1],n[0])}for(let t=0;t<U;t++){const n=B[t];ee(n[0]+V*m,n[1]+V*m,n[2]+V*m)}}r.addGroup(t,d.length/3-t,0)}(),function(){const t=d.length/3;let n=0;J($,n),n+=$.length;for(let t=0,r=F.length;t<r;t++){const r=F[t];J(r,n),n+=r.length}r.addGroup(t,d.length/3-t,1)}()}this.setAttribute("position",new Pr(d,3)),this.setAttribute("uv",new Pr(h,2)),this.computeVertexNormals()}toJSON(){const t=Gr.prototype.toJSON.call(this);return function(t,n,r){if(r.shapes=[],Array.isArray(t))for(let n=0,l=t.length;n<l;n++){const l=t[n];r.shapes.push(l.uuid)}else r.shapes.push(t.uuid);void 0!==n.extrudePath&&(r.options.extrudePath=n.extrudePath.toJSON());return r}(this.parameters.shapes,this.parameters.options,t)}}const bc={generateTopUV:function(t,n,r,l,d){const h=n[3*r],p=n[3*r+1],f=n[3*l],m=n[3*l+1],g=n[3*d],y=n[3*d+1];return[new Vector2(h,p),new Vector2(f,m),new Vector2(g,y)]},generateSideWallUV:function(t,n,r,l,d,h){const p=n[3*r],f=n[3*r+1],m=n[3*r+2],g=n[3*l],y=n[3*l+1],v=n[3*l+2],b=n[3*d],x=n[3*d+1],w=n[3*d+2],S=n[3*h],_=n[3*h+1],E=n[3*h+2];return Math.abs(f-y)<.01?[new Vector2(p,1-m),new Vector2(g,1-v),new Vector2(b,1-w),new Vector2(S,1-E)]:[new Vector2(f,1-m),new Vector2(y,1-v),new Vector2(x,1-w),new Vector2(_,1-E)]}};class IcosahedronGeometry extends PolyhedronGeometry{constructor(t=1,n=0){const r=(1+Math.sqrt(5))/2;super([-1,r,0,1,r,0,-1,-r,0,1,-r,0,0,-1,r,0,1,r,0,-1,-r,0,1,-r,r,0,-1,r,0,1,-r,0,-1,-r,0,1],[0,11,5,0,5,1,0,1,7,0,7,10,0,10,11,1,5,9,5,11,4,11,10,2,10,7,6,7,1,8,3,9,4,3,4,2,3,2,6,3,6,8,3,8,9,4,9,5,2,4,11,6,2,10,8,6,7,9,8,1],t,n),this.type="IcosahedronGeometry",this.parameters={radius:t,detail:n}}}class LatheGeometry extends Gr{constructor(t,n=12,r=0,l=2*Math.PI){super(),this.type="LatheGeometry",this.parameters={points:t,segments:n,phiStart:r,phiLength:l},n=Math.floor(n),l=en.clamp(l,0,2*Math.PI);const d=[],h=[],p=[],f=1/n,m=new Vector3,g=new Vector2;for(let d=0;d<=n;d++){const y=r+d*f*l,v=Math.sin(y),b=Math.cos(y);for(let r=0;r<=t.length-1;r++)m.x=t[r].x*v,m.y=t[r].y,m.z=t[r].x*b,h.push(m.x,m.y,m.z),g.x=d/n,g.y=r/(t.length-1),p.push(g.x,g.y)}for(let r=0;r<n;r++)for(let n=0;n<t.length-1;n++){const l=n+r*t.length,h=l,p=l+t.length,f=l+t.length+1,m=l+1;d.push(h,p,m),d.push(p,f,m)}if(this.setIndex(d),this.setAttribute("position",new Pr(h,3)),this.setAttribute("uv",new Pr(p,2)),this.computeVertexNormals(),l===2*Math.PI){const r=this.attributes.normal.array,l=new Vector3,d=new Vector3,h=new Vector3,p=n*t.length*3;for(let n=0,f=0;n<t.length;n++,f+=3)l.x=r[f+0],l.y=r[f+1],l.z=r[f+2],d.x=r[p+f+0],d.y=r[p+f+1],d.z=r[p+f+2],h.addVectors(l,d).normalize(),r[f+0]=r[p+f+0]=h.x,r[f+1]=r[p+f+1]=h.y,r[f+2]=r[p+f+2]=h.z}}}class OctahedronGeometry extends PolyhedronGeometry{constructor(t=1,n=0){super([1,0,0,-1,0,0,0,1,0,0,-1,0,0,0,1,0,0,-1],[0,2,4,0,4,3,0,3,5,0,5,2,1,2,5,1,5,3,1,3,4,1,4,2],t,n),this.type="OctahedronGeometry",this.parameters={radius:t,detail:n}}}function xc(t,n,r){Gr.call(this),this.type="ParametricGeometry",this.parameters={func:t,slices:n,stacks:r};const d=[],h=[],p=[],f=[],m=1e-5,g=new Vector3,y=new Vector3,v=new Vector3,b=new Vector3,x=new Vector3;t.length<3&&l.error("THREE.ParametricGeometry: Function must now modify a Vector3 as third parameter.");const w=n+1;for(let l=0;l<=r;l++){const d=l/r;for(let r=0;r<=n;r++){const l=r/n;t(l,d,y),h.push(y.x,y.y,y.z),l-m>=0?(t(l-m,d,v),b.subVectors(y,v)):(t(l+m,d,v),b.subVectors(v,y)),d-m>=0?(t(l,d-m,v),x.subVectors(y,v)):(t(l,d+m,v),x.subVectors(v,y)),g.crossVectors(b,x).normalize(),p.push(g.x,g.y,g.z),f.push(l,d)}}for(let t=0;t<r;t++)for(let r=0;r<n;r++){const n=t*w+r,l=t*w+r+1,h=(t+1)*w+r+1,p=(t+1)*w+r;d.push(n,l,p),d.push(l,h,p)}this.setIndex(d),this.setAttribute("position",new Pr(h,3)),this.setAttribute("normal",new Pr(p,3)),this.setAttribute("uv",new Pr(f,2))}xc.prototype=Object.create(Gr.prototype),xc.prototype.constructor=xc;class RingGeometry extends Gr{constructor(t=.5,n=1,r=8,l=1,d=0,h=2*Math.PI){super(),this.type="RingGeometry",this.parameters={innerRadius:t,outerRadius:n,thetaSegments:r,phiSegments:l,thetaStart:d,thetaLength:h},r=Math.max(3,r);const p=[],f=[],m=[],g=[];let y=t;const v=(n-t)/(l=Math.max(1,l)),b=new Vector3,x=new Vector2;for(let t=0;t<=l;t++){for(let t=0;t<=r;t++){const l=d+t/r*h;b.x=y*Math.cos(l),b.y=y*Math.sin(l),f.push(b.x,b.y,b.z),m.push(0,0,1),x.x=(b.x/n+1)/2,x.y=(b.y/n+1)/2,g.push(x.x,x.y)}y+=v}for(let t=0;t<l;t++){const n=t*(r+1);for(let t=0;t<r;t++){const l=t+n,d=l,h=l+r+1,f=l+r+2,m=l+1;p.push(d,h,m),p.push(h,f,m)}}this.setIndex(p),this.setAttribute("position",new Pr(f,3)),this.setAttribute("normal",new Pr(m,3)),this.setAttribute("uv",new Pr(g,2))}}class ShapeGeometry extends Gr{constructor(t,n=12){super(),this.type="ShapeGeometry",this.parameters={shapes:t,curveSegments:n};const r=[],l=[],d=[],h=[];let p=0,f=0;if(!1===Array.isArray(t))m(t);else for(let n=0;n<t.length;n++)m(t[n]),this.addGroup(p,f,n),p+=f,f=0;function m(t){const p=l.length/3,m=t.extractPoints(n);let g=m.shape;const y=m.holes;!1===gc.isClockWise(g)&&(g=g.reverse());for(let t=0,n=y.length;t<n;t++){const n=y[t];!0===gc.isClockWise(n)&&(y[t]=n.reverse())}const v=gc.triangulateShape(g,y);for(let t=0,n=y.length;t<n;t++){const n=y[t];g=g.concat(n)}for(let t=0,n=g.length;t<n;t++){const n=g[t];l.push(n.x,n.y,0),d.push(0,0,1),h.push(n.x,n.y)}for(let t=0,n=v.length;t<n;t++){const n=v[t],l=n[0]+p,d=n[1]+p,h=n[2]+p;r.push(l,d,h),f+=3}}this.setIndex(r),this.setAttribute("position",new Pr(l,3)),this.setAttribute("normal",new Pr(d,3)),this.setAttribute("uv",new Pr(h,2))}toJSON(){const t=Gr.prototype.toJSON.call(this);return function(t,n){if(n.shapes=[],Array.isArray(t))for(let r=0,l=t.length;r<l;r++){const l=t[r];n.shapes.push(l.uuid)}else n.shapes.push(t.uuid);return n}(this.parameters.shapes,t)}}class SphereGeometry extends Gr{constructor(t=1,n=8,r=6,l=0,d=2*Math.PI,h=0,p=Math.PI){super(),this.type="SphereGeometry",this.parameters={radius:t,widthSegments:n,heightSegments:r,phiStart:l,phiLength:d,thetaStart:h,thetaLength:p},n=Math.max(3,Math.floor(n)),r=Math.max(2,Math.floor(r));const f=Math.min(h+p,Math.PI);let m=0;const g=[],y=new Vector3,v=new Vector3,b=[],x=[],w=[],S=[];for(let b=0;b<=r;b++){const _=[],E=b/r;let T=0;0==b&&0==h?T=.5/n:b==r&&f==Math.PI&&(T=-.5/n);for(let r=0;r<=n;r++){const f=r/n;y.x=-t*Math.cos(l+f*d)*Math.sin(h+E*p),y.y=t*Math.cos(h+E*p),y.z=t*Math.sin(l+f*d)*Math.sin(h+E*p),x.push(y.x,y.y,y.z),v.copy(y).normalize(),w.push(v.x,v.y,v.z),S.push(f+T,1-E),_.push(m++)}g.push(_)}for(let t=0;t<r;t++)for(let l=0;l<n;l++){const n=g[t][l+1],d=g[t][l],p=g[t+1][l],m=g[t+1][l+1];(0!==t||h>0)&&b.push(n,d,m),(t!==r-1||f<Math.PI)&&b.push(d,p,m)}this.setIndex(b),this.setAttribute("position",new Pr(x,3)),this.setAttribute("normal",new Pr(w,3)),this.setAttribute("uv",new Pr(S,2))}}class TetrahedronGeometry extends PolyhedronGeometry{constructor(t=1,n=0){super([1,1,1,-1,-1,1,-1,1,-1,1,-1,-1],[2,1,0,0,3,2,1,3,0,2,3,1],t,n),this.type="TetrahedronGeometry",this.parameters={radius:t,detail:n}}}class TextGeometry extends ExtrudeGeometry{constructor(t,n={}){const r=n.font;if(!r||!r.isFont)return l.error("THREE.TextGeometry: font parameter is not an instance of THREE.Font."),new Gr;const d=r.generateShapes(t,n.size);n.depth=void 0!==n.height?n.height:50,void 0===n.bevelThickness&&(n.bevelThickness=10),void 0===n.bevelSize&&(n.bevelSize=8),void 0===n.bevelEnabled&&(n.bevelEnabled=!1),super(d,n),this.type="TextGeometry"}}class TorusGeometry extends Gr{constructor(t=1,n=.4,r=8,l=6,d=2*Math.PI){super(),this.type="TorusGeometry",this.parameters={radius:t,tube:n,radialSegments:r,tubularSegments:l,arc:d},r=Math.floor(r),l=Math.floor(l);const h=[],p=[],f=[],m=[],g=new Vector3,y=new Vector3,v=new Vector3;for(let h=0;h<=r;h++)for(let b=0;b<=l;b++){const x=b/l*d,w=h/r*Math.PI*2;y.x=(t+n*Math.cos(w))*Math.cos(x),y.y=(t+n*Math.cos(w))*Math.sin(x),y.z=n*Math.sin(w),p.push(y.x,y.y,y.z),g.x=t*Math.cos(x),g.y=t*Math.sin(x),v.subVectors(y,g).normalize(),f.push(v.x,v.y,v.z),m.push(b/l),m.push(h/r)}for(let t=1;t<=r;t++)for(let n=1;n<=l;n++){const r=(l+1)*t+n-1,d=(l+1)*(t-1)+n-1,p=(l+1)*(t-1)+n,f=(l+1)*t+n;h.push(r,d,f),h.push(d,p,f)}this.setIndex(h),this.setAttribute("position",new Pr(p,3)),this.setAttribute("normal",new Pr(f,3)),this.setAttribute("uv",new Pr(m,2))}}class TorusKnotGeometry extends Gr{constructor(t=1,n=.4,r=64,l=8,d=2,h=3){super(),this.type="TorusKnotGeometry",this.parameters={radius:t,tube:n,tubularSegments:r,radialSegments:l,p:d,q:h},r=Math.floor(r),l=Math.floor(l);const p=[],f=[],m=[],g=[],y=new Vector3,v=new Vector3,b=new Vector3,x=new Vector3,w=new Vector3,S=new Vector3,_=new Vector3;for(let p=0;p<=r;++p){const T=p/r*d*Math.PI*2;E(T,d,h,t,b),E(T+.01,d,h,t,x),S.subVectors(x,b),_.addVectors(x,b),w.crossVectors(S,_),_.crossVectors(w,S),w.normalize(),_.normalize();for(let t=0;t<=l;++t){const d=t/l*Math.PI*2,h=-n*Math.cos(d),x=n*Math.sin(d);y.x=b.x+(h*_.x+x*w.x),y.y=b.y+(h*_.y+x*w.y),y.z=b.z+(h*_.z+x*w.z),f.push(y.x,y.y,y.z),v.subVectors(y,b).normalize(),m.push(v.x,v.y,v.z),g.push(p/r),g.push(t/l)}}for(let t=1;t<=r;t++)for(let n=1;n<=l;n++){const r=(l+1)*(t-1)+(n-1),d=(l+1)*t+(n-1),h=(l+1)*t+n,f=(l+1)*(t-1)+n;p.push(r,d,f),p.push(d,h,f)}function E(t,n,r,l,d){const h=Math.cos(t),p=Math.sin(t),f=r/n*t,m=Math.cos(f);d.x=l*(2+m)*.5*h,d.y=l*(2+m)*p*.5,d.z=l*Math.sin(f)*.5}this.setIndex(p),this.setAttribute("position",new Pr(f,3)),this.setAttribute("normal",new Pr(m,3)),this.setAttribute("uv",new Pr(g,2))}}class TubeGeometry extends Gr{constructor(t,n=64,r=1,l=8,d=!1){super(),this.type="TubeGeometry",this.parameters={path:t,tubularSegments:n,radius:r,radialSegments:l,closed:d};const h=t.computeFrenetFrames(n,d);this.tangents=h.tangents,this.normals=h.normals,this.binormals=h.binormals;const p=new Vector3,f=new Vector3,m=new Vector2;let g=new Vector3;const y=[],v=[],b=[],x=[];function w(d){g=t.getPointAt(d/n,g);const m=h.normals[d],b=h.binormals[d];for(let t=0;t<=l;t++){const n=t/l*Math.PI*2,d=Math.sin(n),h=-Math.cos(n);f.x=h*m.x+d*b.x,f.y=h*m.y+d*b.y,f.z=h*m.z+d*b.z,f.normalize(),v.push(f.x,f.y,f.z),p.x=g.x+r*f.x,p.y=g.y+r*f.y,p.z=g.z+r*f.z,y.push(p.x,p.y,p.z)}}!function(){for(let t=0;t<n;t++)w(t);w(!1===d?n:0),function(){for(let t=0;t<=n;t++)for(let r=0;r<=l;r++)m.x=t/n,m.y=r/l,b.push(m.x,m.y)}(),function(){for(let t=1;t<=n;t++)for(let n=1;n<=l;n++){const r=(l+1)*(t-1)+(n-1),d=(l+1)*t+(n-1),h=(l+1)*t+n,p=(l+1)*(t-1)+n;x.push(r,d,p),x.push(d,h,p)}}()}(),this.setIndex(x),this.setAttribute("position",new Pr(y,3)),this.setAttribute("normal",new Pr(v,3)),this.setAttribute("uv",new Pr(b,2))}toJSON(){const t=Gr.prototype.toJSON.call(this);return t.path=this.parameters.path.toJSON(),t}}class WireframeGeometry extends Gr{constructor(t){if(super(),this.type="WireframeGeometry",!0===t.isGeometry)return void l.error("THREE.WireframeGeometry no longer supports THREE.Geometry. Use THREE.BufferGeometry instead.");const n=[],r=[0,0],d={},h=new Vector3;if(null!==t.index){const l=t.attributes.position,p=t.index;let f=t.groups;0===f.length&&(f=[{start:0,count:p.count,materialIndex:0}]);for(let t=0,n=f.length;t<n;++t){const n=f[t],l=n.start;for(let t=l,h=l+n.count;t<h;t+=3)for(let n=0;n<3;n++){const l=p.getX(t+n),h=p.getX(t+(n+1)%3);r[0]=Math.min(l,h),r[1]=Math.max(l,h);const f=r[0]+","+r[1];void 0===d[f]&&(d[f]={index1:r[0],index2:r[1]})}}for(const t in d){const r=d[t];h.fromBufferAttribute(l,r.index1),n.push(h.x,h.y,h.z),h.fromBufferAttribute(l,r.index2),n.push(h.x,h.y,h.z)}}else{const r=t.attributes.position;for(let t=0,l=r.count/3;t<l;t++)for(let l=0;l<3;l++){const d=3*t+l;h.fromBufferAttribute(r,d),n.push(h.x,h.y,h.z);const p=3*t+(l+1)%3;h.fromBufferAttribute(r,p),n.push(h.x,h.y,h.z)}}this.setAttribute("position",new Pr(n,3))}}var wc=Object.freeze({__proto__:null,BoxGeometry,BoxBufferGeometry:BoxGeometry,CircleGeometry,CircleBufferGeometry:CircleGeometry,ConeGeometry,ConeBufferGeometry:ConeGeometry,CylinderGeometry,CylinderBufferGeometry:CylinderGeometry,DodecahedronGeometry,DodecahedronBufferGeometry:DodecahedronGeometry,EdgesGeometry,ExtrudeGeometry,ExtrudeBufferGeometry:ExtrudeGeometry,IcosahedronGeometry,IcosahedronBufferGeometry:IcosahedronGeometry,LatheGeometry,LatheBufferGeometry:LatheGeometry,OctahedronGeometry,OctahedronBufferGeometry:OctahedronGeometry,ParametricGeometry:xc,ParametricBufferGeometry:xc,PlaneGeometry,PlaneBufferGeometry:PlaneGeometry,PolyhedronGeometry,PolyhedronBufferGeometry:PolyhedronGeometry,RingGeometry,RingBufferGeometry:RingGeometry,ShapeGeometry,ShapeBufferGeometry:ShapeGeometry,SphereGeometry,SphereBufferGeometry:SphereGeometry,TetrahedronGeometry,TetrahedronBufferGeometry:TetrahedronGeometry,TextGeometry,TextBufferGeometry:TextGeometry,TorusGeometry,TorusBufferGeometry:TorusGeometry,TorusKnotGeometry,TorusKnotBufferGeometry:TorusKnotGeometry,TubeGeometry,TubeBufferGeometry:TubeGeometry,WireframeGeometry});function Sc(t){xr.call(this),this.type="ShadowMaterial",this.color=new Color(0),this.transparent=!0,this.setValues(t)}function _c(t){yo.call(this,t),this.type="RawShaderMaterial"}function Ec(t){xr.call(this),this.defines={STANDARD:""},this.type="MeshStandardMaterial",this.color=new Color(16777215),this.roughness=1,this.metalness=0,this.map=null,this.lightMap=null,this.lightMapIntensity=1,this.aoMap=null,this.aoMapIntensity=1,this.emissive=new Color(0),this.emissiveIntensity=1,this.emissiveMap=null,this.bumpMap=null,this.bumpScale=1,this.normalMap=null,this.normalMapType=Si,this.normalScale=new Vector2(1,1),this.displacementMap=null,this.displacementScale=1,this.displacementBias=0,this.roughnessMap=null,this.metalnessMap=null,this.alphaMap=null,this.envMap=null,this.envMapIntensity=1,this.refractionRatio=.98,this.wireframe=!1,this.wireframeLinewidth=1,this.wireframeLinecap="round",this.wireframeLinejoin="round",this.skinning=!1,this.morphTargets=!1,this.morphNormals=!1,this.vertexTangents=!1,this.setValues(t)}function Mc(t){Ec.call(this),this.defines={STANDARD:"",PHYSICAL:""},this.type="MeshPhysicalMaterial",this.clearcoat=0,this.clearcoatMap=null,this.clearcoatRoughness=0,this.clearcoatRoughnessMap=null,this.clearcoatNormalScale=new Vector2(1,1),this.clearcoatNormalMap=null,this.reflectivity=.5,Object.defineProperty(this,"ior",{get:function(){return(1+.4*this.reflectivity)/(1-.4*this.reflectivity)},set:function(t){this.reflectivity=en.clamp(2.5*(t-1)/(t+1),0,1)}}),this.sheen=null,this.transmission=0,this.transmissionMap=null,this.setValues(t)}function Tc(t){xr.call(this),this.type="MeshPhongMaterial",this.color=new Color(16777215),this.specular=new Color(1118481),this.shininess=30,this.map=null,this.lightMap=null,this.lightMapIntensity=1,this.aoMap=null,this.aoMapIntensity=1,this.emissive=new Color(0),this.emissiveIntensity=1,this.emissiveMap=null,this.bumpMap=null,this.bumpScale=1,this.normalMap=null,this.normalMapType=Si,this.normalScale=new Vector2(1,1),this.displacementMap=null,this.displacementScale=1,this.displacementBias=0,this.specularMap=null,this.alphaMap=null,this.envMap=null,this.combine=ue,this.reflectivity=1,this.refractionRatio=.98,this.wireframe=!1,this.wireframeLinewidth=1,this.wireframeLinecap="round",this.wireframeLinejoin="round",this.skinning=!1,this.morphTargets=!1,this.morphNormals=!1,this.setValues(t)}function Cc(t){xr.call(this),this.defines={TOON:""},this.type="MeshToonMaterial",this.color=new Color(16777215),this.map=null,this.gradientMap=null,this.lightMap=null,this.lightMapIntensity=1,this.aoMap=null,this.aoMapIntensity=1,this.emissive=new Color(0),this.emissiveIntensity=1,this.emissiveMap=null,this.bumpMap=null,this.bumpScale=1,this.normalMap=null,this.normalMapType=Si,this.normalScale=new Vector2(1,1),this.displacementMap=null,this.displacementScale=1,this.displacementBias=0,this.alphaMap=null,this.wireframe=!1,this.wireframeLinewidth=1,this.wireframeLinecap="round",this.wireframeLinejoin="round",this.skinning=!1,this.morphTargets=!1,this.morphNormals=!1,this.setValues(t)}function Ac(t){xr.call(this),this.type="MeshNormalMaterial",this.bumpMap=null,this.bumpScale=1,this.normalMap=null,this.normalMapType=Si,this.normalScale=new Vector2(1,1),this.displacementMap=null,this.displacementScale=1,this.displacementBias=0,this.wireframe=!1,this.wireframeLinewidth=1,this.fog=!1,this.skinning=!1,this.morphTargets=!1,this.morphNormals=!1,this.setValues(t)}function kc(t){xr.call(this),this.type="MeshLambertMaterial",this.color=new Color(16777215),this.map=null,this.lightMap=null,this.lightMapIntensity=1,this.aoMap=null,this.aoMapIntensity=1,this.emissive=new Color(0),this.emissiveIntensity=1,this.emissiveMap=null,this.specularMap=null,this.alphaMap=null,this.envMap=null,this.combine=ue,this.reflectivity=1,this.refractionRatio=.98,this.wireframe=!1,this.wireframeLinewidth=1,this.wireframeLinecap="round",this.wireframeLinejoin="round",this.skinning=!1,this.morphTargets=!1,this.morphNormals=!1,this.setValues(t)}function Oc(t){xr.call(this),this.defines={MATCAP:""},this.type="MeshMatcapMaterial",this.color=new Color(16777215),this.matcap=null,this.map=null,this.bumpMap=null,this.bumpScale=1,this.normalMap=null,this.normalMapType=Si,this.normalScale=new Vector2(1,1),this.displacementMap=null,this.displacementScale=1,this.displacementBias=0,this.alphaMap=null,this.skinning=!1,this.morphTargets=!1,this.morphNormals=!1,this.setValues(t)}function Ic(t){bl.call(this),this.type="LineDashedMaterial",this.scale=1,this.dashSize=3,this.gapSize=1,this.setValues(t)}Sc.prototype=Object.create(xr.prototype),Sc.prototype.constructor=Sc,Sc.prototype.isShadowMaterial=!0,Sc.prototype.copy=function(t){return xr.prototype.copy.call(this,t),this.color.copy(t.color),this},_c.prototype=Object.create(yo.prototype),_c.prototype.constructor=_c,_c.prototype.isRawShaderMaterial=!0,Ec.prototype=Object.create(xr.prototype),Ec.prototype.constructor=Ec,Ec.prototype.isMeshStandardMaterial=!0,Ec.prototype.copy=function(t){return xr.prototype.copy.call(this,t),this.defines={STANDARD:""},this.color.copy(t.color),this.roughness=t.roughness,this.metalness=t.metalness,this.map=t.map,this.lightMap=t.lightMap,this.lightMapIntensity=t.lightMapIntensity,this.aoMap=t.aoMap,this.aoMapIntensity=t.aoMapIntensity,this.emissive.copy(t.emissive),this.emissiveMap=t.emissiveMap,this.emissiveIntensity=t.emissiveIntensity,this.bumpMap=t.bumpMap,this.bumpScale=t.bumpScale,this.normalMap=t.normalMap,this.normalMapType=t.normalMapType,this.normalScale.copy(t.normalScale),this.displacementMap=t.displacementMap,this.displacementScale=t.displacementScale,this.displacementBias=t.displacementBias,this.roughnessMap=t.roughnessMap,this.metalnessMap=t.metalnessMap,this.alphaMap=t.alphaMap,this.envMap=t.envMap,this.envMapIntensity=t.envMapIntensity,this.refractionRatio=t.refractionRatio,this.wireframe=t.wireframe,this.wireframeLinewidth=t.wireframeLinewidth,this.wireframeLinecap=t.wireframeLinecap,this.wireframeLinejoin=t.wireframeLinejoin,this.skinning=t.skinning,this.morphTargets=t.morphTargets,this.morphNormals=t.morphNormals,this.vertexTangents=t.vertexTangents,this},Mc.prototype=Object.create(Ec.prototype),Mc.prototype.constructor=Mc,Mc.prototype.isMeshPhysicalMaterial=!0,Mc.prototype.copy=function(t){return Ec.prototype.copy.call(this,t),this.defines={STANDARD:"",PHYSICAL:""},this.clearcoat=t.clearcoat,this.clearcoatMap=t.clearcoatMap,this.clearcoatRoughness=t.clearcoatRoughness,this.clearcoatRoughnessMap=t.clearcoatRoughnessMap,this.clearcoatNormalMap=t.clearcoatNormalMap,this.clearcoatNormalScale.copy(t.clearcoatNormalScale),this.reflectivity=t.reflectivity,t.sheen?this.sheen=(this.sheen||new Color).copy(t.sheen):this.sheen=null,this.transmission=t.transmission,this.transmissionMap=t.transmissionMap,this},Tc.prototype=Object.create(xr.prototype),Tc.prototype.constructor=Tc,Tc.prototype.isMeshPhongMaterial=!0,Tc.prototype.copy=function(t){return xr.prototype.copy.call(this,t),this.color.copy(t.color),this.specular.copy(t.specular),this.shininess=t.shininess,this.map=t.map,this.lightMap=t.lightMap,this.lightMapIntensity=t.lightMapIntensity,this.aoMap=t.aoMap,this.aoMapIntensity=t.aoMapIntensity,this.emissive.copy(t.emissive),this.emissiveMap=t.emissiveMap,this.emissiveIntensity=t.emissiveIntensity,this.bumpMap=t.bumpMap,this.bumpScale=t.bumpScale,this.normalMap=t.normalMap,this.normalMapType=t.normalMapType,this.normalScale.copy(t.normalScale),this.displacementMap=t.displacementMap,this.displacementScale=t.displacementScale,this.displacementBias=t.displacementBias,this.specularMap=t.specularMap,this.alphaMap=t.alphaMap,this.envMap=t.envMap,this.combine=t.combine,this.reflectivity=t.reflectivity,this.refractionRatio=t.refractionRatio,this.wireframe=t.wireframe,this.wireframeLinewidth=t.wireframeLinewidth,this.wireframeLinecap=t.wireframeLinecap,this.wireframeLinejoin=t.wireframeLinejoin,this.skinning=t.skinning,this.morphTargets=t.morphTargets,this.morphNormals=t.morphNormals,this},Cc.prototype=Object.create(xr.prototype),Cc.prototype.constructor=Cc,Cc.prototype.isMeshToonMaterial=!0,Cc.prototype.copy=function(t){return xr.prototype.copy.call(this,t),this.color.copy(t.color),this.map=t.map,this.gradientMap=t.gradientMap,this.lightMap=t.lightMap,this.lightMapIntensity=t.lightMapIntensity,this.aoMap=t.aoMap,this.aoMapIntensity=t.aoMapIntensity,this.emissive.copy(t.emissive),this.emissiveMap=t.emissiveMap,this.emissiveIntensity=t.emissiveIntensity,this.bumpMap=t.bumpMap,this.bumpScale=t.bumpScale,this.normalMap=t.normalMap,this.normalMapType=t.normalMapType,this.normalScale.copy(t.normalScale),this.displacementMap=t.displacementMap,this.displacementScale=t.displacementScale,this.displacementBias=t.displacementBias,this.alphaMap=t.alphaMap,this.wireframe=t.wireframe,this.wireframeLinewidth=t.wireframeLinewidth,this.wireframeLinecap=t.wireframeLinecap,this.wireframeLinejoin=t.wireframeLinejoin,this.skinning=t.skinning,this.morphTargets=t.morphTargets,this.morphNormals=t.morphNormals,this},Ac.prototype=Object.create(xr.prototype),Ac.prototype.constructor=Ac,Ac.prototype.isMeshNormalMaterial=!0,Ac.prototype.copy=function(t){return xr.prototype.copy.call(this,t),this.bumpMap=t.bumpMap,this.bumpScale=t.bumpScale,this.normalMap=t.normalMap,this.normalMapType=t.normalMapType,this.normalScale.copy(t.normalScale),this.displacementMap=t.displacementMap,this.displacementScale=t.displacementScale,this.displacementBias=t.displacementBias,this.wireframe=t.wireframe,this.wireframeLinewidth=t.wireframeLinewidth,this.skinning=t.skinning,this.morphTargets=t.morphTargets,this.morphNormals=t.morphNormals,this},kc.prototype=Object.create(xr.prototype),kc.prototype.constructor=kc,kc.prototype.isMeshLambertMaterial=!0,kc.prototype.copy=function(t){return xr.prototype.copy.call(this,t),this.color.copy(t.color),this.map=t.map,this.lightMap=t.lightMap,this.lightMapIntensity=t.lightMapIntensity,this.aoMap=t.aoMap,this.aoMapIntensity=t.aoMapIntensity,this.emissive.copy(t.emissive),this.emissiveMap=t.emissiveMap,this.emissiveIntensity=t.emissiveIntensity,this.specularMap=t.specularMap,this.alphaMap=t.alphaMap,this.envMap=t.envMap,this.combine=t.combine,this.reflectivity=t.reflectivity,this.refractionRatio=t.refractionRatio,this.wireframe=t.wireframe,this.wireframeLinewidth=t.wireframeLinewidth,this.wireframeLinecap=t.wireframeLinecap,this.wireframeLinejoin=t.wireframeLinejoin,this.skinning=t.skinning,this.morphTargets=t.morphTargets,this.morphNormals=t.morphNormals,this},Oc.prototype=Object.create(xr.prototype),Oc.prototype.constructor=Oc,Oc.prototype.isMeshMatcapMaterial=!0,Oc.prototype.copy=function(t){return xr.prototype.copy.call(this,t),this.defines={MATCAP:""},this.color.copy(t.color),this.matcap=t.matcap,this.map=t.map,this.bumpMap=t.bumpMap,this.bumpScale=t.bumpScale,this.normalMap=t.normalMap,this.normalMapType=t.normalMapType,this.normalScale.copy(t.normalScale),this.displacementMap=t.displacementMap,this.displacementScale=t.displacementScale,this.displacementBias=t.displacementBias,this.alphaMap=t.alphaMap,this.skinning=t.skinning,this.morphTargets=t.morphTargets,this.morphNormals=t.morphNormals,this},Ic.prototype=Object.create(bl.prototype),Ic.prototype.constructor=Ic,Ic.prototype.isLineDashedMaterial=!0,Ic.prototype.copy=function(t){return bl.prototype.copy.call(this,t),this.scale=t.scale,this.dashSize=t.dashSize,this.gapSize=t.gapSize,this};var Rc=Object.freeze({__proto__:null,ShadowMaterial:Sc,SpriteMaterial:$s,RawShaderMaterial:_c,ShaderMaterial:yo,PointsMaterial:Ol,MeshPhysicalMaterial:Mc,MeshStandardMaterial:Ec,MeshPhongMaterial:Tc,MeshToonMaterial:Cc,MeshNormalMaterial:Ac,MeshLambertMaterial:kc,MeshDepthMaterial:ws,MeshDistanceMaterial:Ss,MeshBasicMaterial:wr,MeshMatcapMaterial:Oc,LineDashedMaterial:Ic,LineBasicMaterial:bl,Material:xr});const Pc={arraySlice:function(t,n,r){return Pc.isTypedArray(t)?new t.constructor(t.subarray(n,void 0!==r?r:t.length)):t.slice(n,r)},convertArray:function(t,n,r){return!t||!r&&t.constructor===n?t:"number"==typeof n.BYTES_PER_ELEMENT?new n(t):Array.prototype.slice.call(t)},isTypedArray:function(t){return ArrayBuffer.isView(t)&&!(t instanceof DataView)},getKeyframeOrder:function(t){const n=t.length,r=new Array(n);for(let t=0;t!==n;++t)r[t]=t;return r.sort((function(n,r){return t[n]-t[r]})),r},sortedArray:function(t,n,r){const l=t.length,d=new t.constructor(l);for(let h=0,p=0;p!==l;++h){const l=r[h]*n;for(let r=0;r!==n;++r)d[p++]=t[l+r]}return d},flattenJSON:function(t,n,r,l){let d=1,h=t[0];for(;void 0!==h&&void 0===h[l];)h=t[d++];if(void 0===h)return;let p=h[l];if(void 0!==p)if(Array.isArray(p))do{p=h[l],void 0!==p&&(n.push(h.time),r.push.apply(r,p)),h=t[d++]}while(void 0!==h);else if(void 0!==p.toArray)do{p=h[l],void 0!==p&&(n.push(h.time),p.toArray(r,r.length)),h=t[d++]}while(void 0!==h);else do{p=h[l],void 0!==p&&(n.push(h.time),r.push(p)),h=t[d++]}while(void 0!==h)},subclip:function(t,n,r,l,d=30){const h=t.clone();h.name=n;const p=[];for(let t=0;t<h.tracks.length;++t){const n=h.tracks[t],f=n.getValueSize(),m=[],g=[];for(let t=0;t<n.times.length;++t){const h=n.times[t]*d;if(!(h<r||h>=l)){m.push(n.times[t]);for(let r=0;r<f;++r)g.push(n.values[t*f+r])}}0!==m.length&&(n.times=Pc.convertArray(m,n.times.constructor),n.values=Pc.convertArray(g,n.values.constructor),p.push(n))}h.tracks=p;let f=1/0;for(let t=0;t<h.tracks.length;++t)f>h.tracks[t].times[0]&&(f=h.tracks[t].times[0]);for(let t=0;t<h.tracks.length;++t)h.tracks[t].shift(-1*f);return h.resetDuration(),h},makeClipAdditive:function(t,n=0,r=t,l=30){l<=0&&(l=30);const d=r.tracks.length,h=n/l;for(let n=0;n<d;++n){const l=r.tracks[n],d=l.ValueTypeName;if("bool"===d||"string"===d)continue;const p=t.tracks.find((function(t){return t.name===l.name&&t.ValueTypeName===d}));if(void 0===p)continue;let f=0;const m=l.getValueSize();l.createInterpolant.isInterpolantFactoryMethodGLTFCubicSpline&&(f=m/3);let g=0;const y=p.getValueSize();p.createInterpolant.isInterpolantFactoryMethodGLTFCubicSpline&&(g=y/3);const v=l.times.length-1;let b;if(h<=l.times[0]){const t=f,n=m-f;b=Pc.arraySlice(l.values,t,n)}else if(h>=l.times[v]){const t=v*m+f,n=t+m-f;b=Pc.arraySlice(l.values,t,n)}else{const t=l.createInterpolant(),n=f,r=m-f;t.evaluate(h),b=Pc.arraySlice(t.resultBuffer,n,r)}if("quaternion"===d){(new Quaternion).fromArray(b).normalize().conjugate().toArray(b)}const x=p.times.length;for(let t=0;t<x;++t){const n=t*y+g;if("quaternion"===d)Quaternion.multiplyQuaternionsFlat(p.values,n,b,0,p.values,n);else{const t=y-2*g;for(let r=0;r<t;++r)p.values[n+r]-=b[r]}}}return t.blendMode=li,t}};function Lc(t,n,r,l){this.parameterPositions=t,this._cachedIndex=0,this.resultBuffer=void 0!==l?l:new n.constructor(r),this.sampleValues=n,this.valueSize=r}function Dc(t,n,r,l){Lc.call(this,t,n,r,l),this._weightPrev=-0,this._offsetPrev=-0,this._weightNext=-0,this._offsetNext=-0}function Fc(t,n,r,l){Lc.call(this,t,n,r,l)}function Nc(t,n,r,l){Lc.call(this,t,n,r,l)}function Bc(t,n,r,l){if(void 0===t)throw new Error("THREE.KeyframeTrack: track name is undefined");if(void 0===n||0===n.length)throw new Error("THREE.KeyframeTrack: no keyframes in track named "+t);this.name=t,this.times=Pc.convertArray(n,this.TimeBufferType),this.values=Pc.convertArray(r,this.ValueBufferType),this.setInterpolation(l||this.DefaultInterpolation)}function $c(t,n,r){Bc.call(this,t,n,r)}function zc(t,n,r,l){Bc.call(this,t,n,r,l)}function jc(t,n,r,l){Bc.call(this,t,n,r,l)}function Vc(t,n,r,l){Lc.call(this,t,n,r,l)}function Uc(t,n,r,l){Bc.call(this,t,n,r,l)}function Hc(t,n,r,l){Bc.call(this,t,n,r,l)}function Gc(t,n,r,l){Bc.call(this,t,n,r,l)}function Wc(t,n=-1,r,l=si){this.name=t,this.tracks=r,this.duration=n,this.blendMode=l,this.uuid=en.generateUUID(),this.duration<0&&this.resetDuration()}function qc(t){if(void 0===t.type)throw new Error("THREE.KeyframeTrack: track type undefined, can not parse");const n=function(t){switch(t.toLowerCase()){case"scalar":case"double":case"float":case"number":case"integer":return jc;case"vector":case"vector2":case"vector3":case"vector4":return Gc;case"color":return zc;case"quaternion":return Uc;case"bool":case"boolean":return $c;case"string":return Hc}throw new Error("THREE.KeyframeTrack: Unsupported typeName: "+t)}(t.type);if(void 0===t.times){const n=[],r=[];Pc.flattenJSON(t.keys,n,r,"value"),t.times=n,t.values=r}return void 0!==n.parse?n.parse(t):new n(t.name,t.times,t.values,t.interpolation)}Object.assign(Lc.prototype,{evaluate:function(t){const n=this.parameterPositions;let r=this._cachedIndex,l=n[r],d=n[r-1];e:{t:{let h;i:{n:if(!(t<l)){for(let h=r+2;;){if(void 0===l){if(t<d)break n;return r=n.length,this._cachedIndex=r,this.afterEnd_(r-1,t,d)}if(r===h)break;if(d=l,l=n[++r],t<l)break t}h=n.length;break i}if(t>=d)break e;{const p=n[1];t<p&&(r=2,d=p);for(let h=r-2;;){if(void 0===d)return this._cachedIndex=0,this.beforeStart_(0,t,l);if(r===h)break;if(l=d,d=n[--r-1],t>=d)break t}h=r,r=0}}for(;r<h;){const l=r+h>>>1;t<n[l]?h=l:r=l+1}if(l=n[r],d=n[r-1],void 0===d)return this._cachedIndex=0,this.beforeStart_(0,t,l);if(void 0===l)return r=n.length,this._cachedIndex=r,this.afterEnd_(r-1,d,t)}this._cachedIndex=r,this.intervalChanged_(r,d,l)}return this.interpolate_(r,d,t,l)},settings:null,DefaultSettings_:{},getSettings_:function(){return this.settings||this.DefaultSettings_},copySampleValue_:function(t){const n=this.resultBuffer,r=this.sampleValues,l=this.valueSize,d=t*l;for(let t=0;t!==l;++t)n[t]=r[d+t];return n},interpolate_:function(){throw new Error("call to abstract method")},intervalChanged_:function(){}}),Object.assign(Lc.prototype,{beforeStart_:Lc.prototype.copySampleValue_,afterEnd_:Lc.prototype.copySampleValue_}),Dc.prototype=Object.assign(Object.create(Lc.prototype),{constructor:Dc,DefaultSettings_:{endingStart:ri,endingEnd:ri},intervalChanged_:function(t,n,r){const l=this.parameterPositions;let d=t-2,h=t+1,p=l[d],f=l[h];if(void 0===p)switch(this.getSettings_().endingStart){case oi:d=t,p=2*n-r;break;case ai:d=l.length-2,p=n+l[d]-l[d+1];break;default:d=t,p=r}if(void 0===f)switch(this.getSettings_().endingEnd){case oi:h=t,f=2*r-n;break;case ai:h=1,f=r+l[1]-l[0];break;default:h=t-1,f=n}const m=.5*(r-n),g=this.valueSize;this._weightPrev=m/(n-p),this._weightNext=m/(f-r),this._offsetPrev=d*g,this._offsetNext=h*g},interpolate_:function(t,n,r,l){const d=this.resultBuffer,h=this.sampleValues,p=this.valueSize,f=t*p,m=f-p,g=this._offsetPrev,y=this._offsetNext,v=this._weightPrev,b=this._weightNext,x=(r-n)/(l-n),w=x*x,S=w*x,_=-v*S+2*v*w-v*x,E=(1+v)*S+(-1.5-2*v)*w+(-.5+v)*x+1,T=(-1-b)*S+(1.5+b)*w+.5*x,C=b*S-b*w;for(let t=0;t!==p;++t)d[t]=_*h[g+t]+E*h[m+t]+T*h[f+t]+C*h[y+t];return d}}),Fc.prototype=Object.assign(Object.create(Lc.prototype),{constructor:Fc,interpolate_:function(t,n,r,l){const d=this.resultBuffer,h=this.sampleValues,p=this.valueSize,f=t*p,m=f-p,g=(r-n)/(l-n),y=1-g;for(let t=0;t!==p;++t)d[t]=h[m+t]*y+h[f+t]*g;return d}}),Nc.prototype=Object.assign(Object.create(Lc.prototype),{constructor:Nc,interpolate_:function(t){return this.copySampleValue_(t-1)}}),Object.assign(Bc,{toJSON:function(t){const n=t.constructor;let r;if(void 0!==n.toJSON)r=n.toJSON(t);else{r={name:t.name,times:Pc.convertArray(t.times,Array),values:Pc.convertArray(t.values,Array)};const n=t.getInterpolation();n!==t.DefaultInterpolation&&(r.interpolation=n)}return r.type=t.ValueTypeName,r}}),Object.assign(Bc.prototype,{constructor:Bc,TimeBufferType:Float32Array,ValueBufferType:Float32Array,DefaultInterpolation:ii,InterpolantFactoryMethodDiscrete:function(t){return new Nc(this.times,this.values,this.getValueSize(),t)},InterpolantFactoryMethodLinear:function(t){return new Fc(this.times,this.values,this.getValueSize(),t)},InterpolantFactoryMethodSmooth:function(t){return new Dc(this.times,this.values,this.getValueSize(),t)},setInterpolation:function(t){let n;switch(t){case ti:n=this.InterpolantFactoryMethodDiscrete;break;case ii:n=this.InterpolantFactoryMethodLinear;break;case ni:n=this.InterpolantFactoryMethodSmooth}if(void 0===n){const n="unsupported interpolation for "+this.ValueTypeName+" keyframe track named "+this.name;if(void 0===this.createInterpolant){if(t===this.DefaultInterpolation)throw new Error(n);this.setInterpolation(this.DefaultInterpolation)}return l.warn("THREE.KeyframeTrack:",n),this}return this.createInterpolant=n,this},getInterpolation:function(){switch(this.createInterpolant){case this.InterpolantFactoryMethodDiscrete:return ti;case this.InterpolantFactoryMethodLinear:return ii;case this.InterpolantFactoryMethodSmooth:return ni}},getValueSize:function(){return this.values.length/this.times.length},shift:function(t){if(0!==t){const n=this.times;for(let r=0,l=n.length;r!==l;++r)n[r]+=t}return this},scale:function(t){if(1!==t){const n=this.times;for(let r=0,l=n.length;r!==l;++r)n[r]*=t}return this},trim:function(t,n){const r=this.times,l=r.length;let d=0,h=l-1;for(;d!==l&&r[d]<t;)++d;for(;-1!==h&&r[h]>n;)--h;if(++h,0!==d||h!==l){d>=h&&(h=Math.max(h,1),d=h-1);const t=this.getValueSize();this.times=Pc.arraySlice(r,d,h),this.values=Pc.arraySlice(this.values,d*t,h*t)}return this},validate:function(){let t=!0;const n=this.getValueSize();n-Math.floor(n)!=0&&(l.error("THREE.KeyframeTrack: Invalid value size in track.",this),t=!1);const r=this.times,d=this.values,h=r.length;0===h&&(l.error("THREE.KeyframeTrack: Track is empty.",this),t=!1);let p=null;for(let n=0;n!==h;n++){const d=r[n];if("number"==typeof d&&isNaN(d)){l.error("THREE.KeyframeTrack: Time is not a valid number.",this,n,d),t=!1;break}if(null!==p&&p>d){l.error("THREE.KeyframeTrack: Out of order keys.",this,n,d,p),t=!1;break}p=d}if(void 0!==d&&Pc.isTypedArray(d))for(let n=0,r=d.length;n!==r;++n){const r=d[n];if(isNaN(r)){l.error("THREE.KeyframeTrack: Value is not a valid number.",this,n,r),t=!1;break}}return t},optimize:function(){const t=Pc.arraySlice(this.times),n=Pc.arraySlice(this.values),r=this.getValueSize(),l=this.getInterpolation()===ni,d=t.length-1;let h=1;for(let p=1;p<d;++p){let d=!1;const f=t[p];if(f!==t[p+1]&&(1!==p||f!==t[0]))if(l)d=!0;else{const t=p*r,l=t-r,h=t+r;for(let p=0;p!==r;++p){const r=n[t+p];if(r!==n[l+p]||r!==n[h+p]){d=!0;break}}}if(d){if(p!==h){t[h]=t[p];const l=p*r,d=h*r;for(let t=0;t!==r;++t)n[d+t]=n[l+t]}++h}}if(d>0){t[h]=t[d];for(let t=d*r,l=h*r,p=0;p!==r;++p)n[l+p]=n[t+p];++h}return h!==t.length?(this.times=Pc.arraySlice(t,0,h),this.values=Pc.arraySlice(n,0,h*r)):(this.times=t,this.values=n),this},clone:function(){const t=Pc.arraySlice(this.times,0),n=Pc.arraySlice(this.values,0),r=new(0,this.constructor)(this.name,t,n);return r.createInterpolant=this.createInterpolant,r}}),$c.prototype=Object.assign(Object.create(Bc.prototype),{constructor:$c,ValueTypeName:"bool",ValueBufferType:Array,DefaultInterpolation:ti,InterpolantFactoryMethodLinear:void 0,InterpolantFactoryMethodSmooth:void 0}),zc.prototype=Object.assign(Object.create(Bc.prototype),{constructor:zc,ValueTypeName:"color"}),jc.prototype=Object.assign(Object.create(Bc.prototype),{constructor:jc,ValueTypeName:"number"}),Vc.prototype=Object.assign(Object.create(Lc.prototype),{constructor:Vc,interpolate_:function(t,n,r,l){const d=this.resultBuffer,h=this.sampleValues,p=this.valueSize,f=(r-n)/(l-n);let m=t*p;for(let t=m+p;m!==t;m+=4)Quaternion.slerpFlat(d,0,h,m-p,h,m,f);return d}}),Uc.prototype=Object.assign(Object.create(Bc.prototype),{constructor:Uc,ValueTypeName:"quaternion",DefaultInterpolation:ii,InterpolantFactoryMethodLinear:function(t){return new Vc(this.times,this.values,this.getValueSize(),t)},InterpolantFactoryMethodSmooth:void 0}),Hc.prototype=Object.assign(Object.create(Bc.prototype),{constructor:Hc,ValueTypeName:"string",ValueBufferType:Array,DefaultInterpolation:ti,InterpolantFactoryMethodLinear:void 0,InterpolantFactoryMethodSmooth:void 0}),Gc.prototype=Object.assign(Object.create(Bc.prototype),{constructor:Gc,ValueTypeName:"vector"}),Object.assign(Wc,{parse:function(t){const n=[],r=t.tracks,l=1/(t.fps||1);for(let t=0,d=r.length;t!==d;++t)n.push(qc(r[t]).scale(l));const d=new Wc(t.name,t.duration,n,t.blendMode);return d.uuid=t.uuid,d},toJSON:function(t){const n=[],r=t.tracks,l={name:t.name,duration:t.duration,tracks:n,uuid:t.uuid,blendMode:t.blendMode};for(let t=0,l=r.length;t!==l;++t)n.push(Bc.toJSON(r[t]));return l},CreateFromMorphTargetSequence:function(t,n,r,l){const d=n.length,h=[];for(let t=0;t<d;t++){let p=[],f=[];p.push((t+d-1)%d,t,(t+1)%d),f.push(0,1,0);const m=Pc.getKeyframeOrder(p);p=Pc.sortedArray(p,1,m),f=Pc.sortedArray(f,1,m),l||0!==p[0]||(p.push(d),f.push(f[0])),h.push(new jc(".morphTargetInfluences["+n[t].name+"]",p,f).scale(1/r))}return new Wc(t,-1,h)},findByName:function(t,n){let r=t;if(!Array.isArray(t)){const n=t;r=n.geometry&&n.geometry.animations||n.animations}for(let t=0;t<r.length;t++)if(r[t].name===n)return r[t];return null},CreateClipsFromMorphTargetSequences:function(t,n,r){const l={},d=/^([\w-]*?)([\d]+)$/;for(let n=0,r=t.length;n<r;n++){const r=t[n],h=r.name.match(d);if(h&&h.length>1){const t=h[1];let n=l[t];n||(l[t]=n=[]),n.push(r)}}const h=[];for(const t in l)h.push(Wc.CreateFromMorphTargetSequence(t,l[t],n,r));return h},parseAnimation:function(t,n){if(!t)return l.error("THREE.AnimationClip: No animation in JSONLoader data."),null;const r=function(t,n,r,l,d){if(0!==r.length){const h=[],p=[];Pc.flattenJSON(r,h,p,l),0!==h.length&&d.push(new t(n,h,p))}},d=[],h=t.name||"default",p=t.fps||30,f=t.blendMode;let m=t.length||-1;const g=t.hierarchy||[];for(let t=0;t<g.length;t++){const l=g[t].keys;if(l&&0!==l.length)if(l[0].morphTargets){const t={};let n;for(n=0;n<l.length;n++)if(l[n].morphTargets)for(let r=0;r<l[n].morphTargets.length;r++)t[l[n].morphTargets[r]]=-1;for(const r in t){const t=[],h=[];for(let d=0;d!==l[n].morphTargets.length;++d){const d=l[n];t.push(d.time),h.push(d.morphTarget===r?1:0)}d.push(new jc(".morphTargetInfluence["+r+"]",t,h))}m=t.length*(p||1)}else{const h=".bones["+n[t].name+"]";r(Gc,h+".position",l,"pos",d),r(Uc,h+".quaternion",l,"rot",d),r(Gc,h+".scale",l,"scl",d)}}if(0===d.length)return null;return new Wc(h,m,d,f)}}),Object.assign(Wc.prototype,{resetDuration:function(){let t=0;for(let n=0,r=this.tracks.length;n!==r;++n){const r=this.tracks[n];t=Math.max(t,r.times[r.times.length-1])}return this.duration=t,this},trim:function(){for(let t=0;t<this.tracks.length;t++)this.tracks[t].trim(0,this.duration);return this},validate:function(){let t=!0;for(let n=0;n<this.tracks.length;n++)t=t&&this.tracks[n].validate();return t},optimize:function(){for(let t=0;t<this.tracks.length;t++)this.tracks[t].optimize();return this},clone:function(){const t=[];for(let n=0;n<this.tracks.length;n++)t.push(this.tracks[n].clone());return new Wc(this.name,this.duration,t,this.blendMode)},toJSON:function(){return Wc.toJSON(this)}});const Xc={enabled:!1,files:{},add:function(t,n){!1!==this.enabled&&(this.files[t]=n)},get:function(t){if(!1!==this.enabled)return this.files[t]},remove:function(t){delete this.files[t]},clear:function(){this.files={}}};function Yc(t,n,r){const l=this;let d,h=!1,p=0,f=0;const m=[];this.onStart=void 0,this.onLoad=t,this.onProgress=n,this.onError=r,this.itemStart=function(t){f++,!1===h&&void 0!==l.onStart&&l.onStart(t,p,f),h=!0},this.itemEnd=function(t){p++,void 0!==l.onProgress&&l.onProgress(t,p,f),p===f&&(h=!1,void 0!==l.onLoad&&l.onLoad())},this.itemError=function(t){void 0!==l.onError&&l.onError(t)},this.resolveURL=function(t){return d?d(t):t},this.setURLModifier=function(t){return d=t,this},this.addHandler=function(t,n){return m.push(t,n),this},this.removeHandler=function(t){const n=m.indexOf(t);return-1!==n&&m.splice(n,2),this},this.getHandler=function(t){for(let n=0,r=m.length;n<r;n+=2){const r=m[n],l=m[n+1];if(r.global&&(r.lastIndex=0),r.test(t))return l}return null}}const Zc=new Yc;function Kc(t){this.manager=void 0!==t?t:Zc,this.crossOrigin="anonymous",this.withCredentials=!1,this.path="",this.resourcePath="",this.requestHeader={}}Object.assign(Kc.prototype,{load:function(){},loadAsync:function(t,n){const r=this;return new Promise((function(l,d){r.load(t,l,n,d)}))},parse:function(){},setCrossOrigin:function(t){return this.crossOrigin=t,this},setWithCredentials:function(t){return this.withCredentials=t,this},setPath:function(t){return this.path=t,this},setResourcePath:function(t){return this.resourcePath=t,this},setRequestHeader:function(t){return this.requestHeader=t,this}});const Jc={};function Qc(t){Kc.call(this,t)}function ed(t){Kc.call(this,t)}function td(t){Kc.call(this,t)}function id(t){Kc.call(this,t)}function nd(t){Kc.call(this,t)}function rd(t){Kc.call(this,t)}function od(t){Kc.call(this,t)}function ad(){this.type="Curve",this.arcLengthDivisions=200}function sd(t,n,r,l,d,h,p,f){ad.call(this),this.type="EllipseCurve",this.aX=t||0,this.aY=n||0,this.xRadius=r||1,this.yRadius=l||1,this.aStartAngle=d||0,this.aEndAngle=h||2*Math.PI,this.aClockwise=p||!1,this.aRotation=f||0}function ld(t,n,r,l,d,h){sd.call(this,t,n,r,r,l,d,h),this.type="ArcCurve"}function cd(){let t=0,n=0,r=0,l=0;function d(d,h,p,f){t=d,n=p,r=-3*d+3*h-2*p-f,l=2*d-2*h+p+f}return{initCatmullRom:function(t,n,r,l,h){d(n,r,h*(r-t),h*(l-n))},initNonuniformCatmullRom:function(t,n,r,l,h,p,f){let m=(n-t)/h-(r-t)/(h+p)+(r-n)/p,g=(r-n)/p-(l-n)/(p+f)+(l-r)/f;m*=p,g*=p,d(n,r,m,g)},calc:function(d){const h=d*d;return t+n*d+r*h+l*(h*d)}}}Qc.prototype=Object.assign(Object.create(Kc.prototype),{constructor:Qc,load:function(t,n,r,d){void 0===t&&(t=""),void 0!==this.path&&(t=this.path+t),t=this.manager.resolveURL(t);const h=this,p=Xc.get(t);if(void 0!==p)return h.manager.itemStart(t),setTimeout((function(){n&&n(p),h.manager.itemEnd(t)}),0),p;if(void 0!==Jc[t])return void Jc[t].push({onLoad:n,onProgress:r,onError:d});const f=t.match(/^data:(.*?)(;base64)?,(.*)$/);let m;if(f){const r=f[1],l=!!f[2];let p=f[3];p=decodeURIComponent(p),l&&(p=atob(p));try{let l;const d=(this.responseType||"").toLowerCase();switch(d){case"arraybuffer":case"blob":const t=new Uint8Array(p.length);for(let n=0;n<p.length;n++)t[n]=p.charCodeAt(n);l="blob"===d?new Blob([t.buffer],{type:r}):t.buffer;break;case"document":const n=new DOMParser;l=n.parseFromString(p,r);break;case"json":l=JSON.parse(p);break;default:l=p}setTimeout((function(){n&&n(l),h.manager.itemEnd(t)}),0)}catch(n){setTimeout((function(){d&&d(n),h.manager.itemError(t),h.manager.itemEnd(t)}),0)}}else{Jc[t]=[],Jc[t].push({onLoad:n,onProgress:r,onError:d}),m=new XMLHttpRequest,m.open("GET",t,!0),m.addEventListener("load",(function(n){const r=this.response,d=Jc[t];if(delete Jc[t],200===this.status||0===this.status){0===this.status&&l.warn("THREE.FileLoader: HTTP Status 0 received."),Xc.add(t,r);for(let t=0,n=d.length;t<n;t++){const n=d[t];n.onLoad&&n.onLoad(r)}h.manager.itemEnd(t)}else{for(let t=0,r=d.length;t<r;t++){const r=d[t];r.onError&&r.onError(n)}h.manager.itemError(t),h.manager.itemEnd(t)}}),!1),m.addEventListener("progress",(function(n){const r=Jc[t];for(let t=0,l=r.length;t<l;t++){const l=r[t];l.onProgress&&l.onProgress(n)}}),!1),m.addEventListener("error",(function(n){const r=Jc[t];delete Jc[t];for(let t=0,l=r.length;t<l;t++){const l=r[t];l.onError&&l.onError(n)}h.manager.itemError(t),h.manager.itemEnd(t)}),!1),m.addEventListener("abort",(function(n){const r=Jc[t];delete Jc[t];for(let t=0,l=r.length;t<l;t++){const l=r[t];l.onError&&l.onError(n)}h.manager.itemError(t),h.manager.itemEnd(t)}),!1),void 0!==this.responseType&&(m.responseType=this.responseType),void 0!==this.withCredentials&&(m.withCredentials=this.withCredentials),m.overrideMimeType&&m.overrideMimeType(void 0!==this.mimeType?this.mimeType:"text/plain");for(const t in this.requestHeader)m.setRequestHeader(t,this.requestHeader[t]);m.send(null)}return h.manager.itemStart(t),m},setResponseType:function(t){return this.responseType=t,this},setMimeType:function(t){return this.mimeType=t,this}}),ed.prototype=Object.assign(Object.create(Kc.prototype),{constructor:ed,load:function(t,n,r,d){const h=this,p=new Qc(h.manager);p.setPath(h.path),p.setRequestHeader(h.requestHeader),p.setWithCredentials(h.withCredentials),p.load(t,(function(r){try{n(h.parse(JSON.parse(r)))}catch(n){d?d(n):l.error(n),h.manager.itemError(t)}}),r,d)},parse:function(t){const n=[];for(let r=0;r<t.length;r++){const l=Wc.parse(t[r]);n.push(l)}return n}}),td.prototype=Object.assign(Object.create(Kc.prototype),{constructor:td,load:function(t,n,r,l){const d=this,h=[],p=new Bl,f=new Qc(this.manager);f.setPath(this.path),f.setResponseType("arraybuffer"),f.setRequestHeader(this.requestHeader),f.setWithCredentials(d.withCredentials);let m=0;function g(g){f.load(t[g],(function(t){const r=d.parse(t,!0);h[g]={width:r.width,height:r.height,format:r.format,mipmaps:r.mipmaps},m+=1,6===m&&(1===r.mipmapCount&&(p.minFilter=De),p.image=h,p.format=r.format,p.needsUpdate=!0,n&&n(p))}),r,l)}if(Array.isArray(t))for(let n=0,r=t.length;n<r;++n)g(n);else f.load(t,(function(t){const r=d.parse(t,!0);if(r.isCubemap){const t=r.mipmaps.length/r.mipmapCount;for(let n=0;n<t;n++){h[n]={mipmaps:[]};for(let t=0;t<r.mipmapCount;t++)h[n].mipmaps.push(r.mipmaps[n*r.mipmapCount+t]),h[n].format=r.format,h[n].width=r.width,h[n].height=r.height}p.image=h}else p.image.width=r.width,p.image.height=r.height,p.mipmaps=r.mipmaps;1===r.mipmapCount&&(p.minFilter=De),p.format=r.format,p.needsUpdate=!0,n&&n(p)}),r,l);return p}}),id.prototype=Object.assign(Object.create(Kc.prototype),{constructor:id,load:function(t,n,r,l){void 0!==this.path&&(t=this.path+t),t=this.manager.resolveURL(t);const d=this,h=Xc.get(t);if(void 0!==h)return d.manager.itemStart(t),setTimeout((function(){n&&n(h),d.manager.itemEnd(t)}),0),h;const p=document.createElementNS("http://www.w3.org/1999/xhtml","img");function f(){p.removeEventListener("load",f,!1),p.removeEventListener("error",m,!1),Xc.add(t,this),n&&n(this),d.manager.itemEnd(t)}function m(n){p.removeEventListener("load",f,!1),p.removeEventListener("error",m,!1),l&&l(n),d.manager.itemError(t),d.manager.itemEnd(t)}return p.addEventListener("load",f,!1),p.addEventListener("error",m,!1),"data:"!==t.substr(0,5)&&void 0!==this.crossOrigin&&(p.crossOrigin=this.crossOrigin),d.manager.itemStart(t),p.src=t,p}}),nd.prototype=Object.assign(Object.create(Kc.prototype),{constructor:nd,load:function(t,n,r,l){const d=new _o,h=new id(this.manager);h.setCrossOrigin(this.crossOrigin),h.setPath(this.path);let p=0;function f(r){h.load(t[r],(function(t){d.images[r]=t,p++,6===p&&(d.needsUpdate=!0,n&&n(d))}),void 0,l)}for(let n=0;n<t.length;++n)f(n);return d}}),rd.prototype=Object.assign(Object.create(Kc.prototype),{constructor:rd,load:function(t,n,r,l){const d=this,h=new Eo,p=new Qc(this.manager);return p.setResponseType("arraybuffer"),p.setRequestHeader(this.requestHeader),p.setPath(this.path),p.setWithCredentials(d.withCredentials),p.load(t,(function(t){const r=d.parse(t);r&&(void 0!==r.image?h.image=r.image:void 0!==r.data&&(h.image.width=r.width,h.image.height=r.height,h.image.data=r.data),h.wrapS=void 0!==r.wrapS?r.wrapS:Ae,h.wrapT=void 0!==r.wrapT?r.wrapT:Ae,h.magFilter=void 0!==r.magFilter?r.magFilter:De,h.minFilter=void 0!==r.minFilter?r.minFilter:De,h.anisotropy=void 0!==r.anisotropy?r.anisotropy:1,void 0!==r.encoding&&(h.encoding=r.encoding),void 0!==r.flipY&&(h.flipY=r.flipY),void 0!==r.format&&(h.format=r.format),void 0!==r.type&&(h.type=r.type),void 0!==r.mipmaps&&(h.mipmaps=r.mipmaps,h.minFilter=Be),1===r.mipmapCount&&(h.minFilter=De),h.needsUpdate=!0,n&&n(h,r))}),r,l),h}}),od.prototype=Object.assign(Object.create(Kc.prototype),{constructor:od,load:function(t,n,r,l){const d=new on,h=new id(this.manager);return h.setCrossOrigin(this.crossOrigin),h.setPath(this.path),h.load(t,(function(r){d.image=r;const l=t.search(/\.jpe?g($|\?)/i)>0||0===t.search(/^data\:image\/jpeg/);d.format=l?Qe:et,d.needsUpdate=!0,void 0!==n&&n(d)}),r,l),d}}),Object.assign(ad.prototype,{getPoint:function(){return l.warn("THREE.Curve: .getPoint() not implemented."),null},getPointAt:function(t,n){const r=this.getUtoTmapping(t);return this.getPoint(r,n)},getPoints:function(t=5){const n=[];for(let r=0;r<=t;r++)n.push(this.getPoint(r/t));return n},getSpacedPoints:function(t=5){const n=[];for(let r=0;r<=t;r++)n.push(this.getPointAt(r/t));return n},getLength:function(){const t=this.getLengths();return t[t.length-1]},getLengths:function(t){if(void 0===t&&(t=this.arcLengthDivisions),this.cacheArcLengths&&this.cacheArcLengths.length===t+1&&!this.needsUpdate)return this.cacheArcLengths;this.needsUpdate=!1;const n=[];let r,l=this.getPoint(0),d=0;n.push(0);for(let h=1;h<=t;h++)r=this.getPoint(h/t),d+=r.distanceTo(l),n.push(d),l=r;return this.cacheArcLengths=n,n},updateArcLengths:function(){this.needsUpdate=!0,this.getLengths()},getUtoTmapping:function(t,n){const r=this.getLengths();let l=0;const d=r.length;let h;h=n||t*r[d-1];let p,f=0,m=d-1;for(;f<=m;)if(l=Math.floor(f+(m-f)/2),p=r[l]-h,p<0)f=l+1;else{if(!(p>0)){m=l;break}m=l-1}if(l=m,r[l]===h)return l/(d-1);const g=r[l];return(l+(h-g)/(r[l+1]-g))/(d-1)},getTangent:function(t,n){const r=1e-4;let l=t-r,d=t+r;l<0&&(l=0),d>1&&(d=1);const h=this.getPoint(l),p=this.getPoint(d),f=n||(h.isVector2?new Vector2:new Vector3);return f.copy(p).sub(h).normalize(),f},getTangentAt:function(t,n){const r=this.getUtoTmapping(t);return this.getTangent(r,n)},computeFrenetFrames:function(t,n){const r=new Vector3,l=[],d=[],h=[],p=new Vector3,f=new Matrix4;for(let n=0;n<=t;n++){const r=n/t;l[n]=this.getTangentAt(r,new Vector3),l[n].normalize()}d[0]=new Vector3,h[0]=new Vector3;let m=Number.MAX_VALUE;const g=Math.abs(l[0].x),y=Math.abs(l[0].y),v=Math.abs(l[0].z);g<=m&&(m=g,r.set(1,0,0)),y<=m&&(m=y,r.set(0,1,0)),v<=m&&r.set(0,0,1),p.crossVectors(l[0],r).normalize(),d[0].crossVectors(l[0],p),h[0].crossVectors(l[0],d[0]);for(let n=1;n<=t;n++){if(d[n]=d[n-1].clone(),h[n]=h[n-1].clone(),p.crossVectors(l[n-1],l[n]),p.length()>Number.EPSILON){p.normalize();const t=Math.acos(en.clamp(l[n-1].dot(l[n]),-1,1));d[n].applyMatrix4(f.makeRotationAxis(p,t))}h[n].crossVectors(l[n],d[n])}if(!0===n){let n=Math.acos(en.clamp(d[0].dot(d[t]),-1,1));n/=t,l[0].dot(p.crossVectors(d[0],d[t]))>0&&(n=-n);for(let r=1;r<=t;r++)d[r].applyMatrix4(f.makeRotationAxis(l[r],n*r)),h[r].crossVectors(l[r],d[r])}return{tangents:l,normals:d,binormals:h}},clone:function(){return(new this.constructor).copy(this)},copy:function(t){return this.arcLengthDivisions=t.arcLengthDivisions,this},toJSON:function(){const t={metadata:{version:4.5,type:"Curve",generator:"Curve.toJSON"}};return t.arcLengthDivisions=this.arcLengthDivisions,t.type=this.type,t},fromJSON:function(t){return this.arcLengthDivisions=t.arcLengthDivisions,this}}),sd.prototype=Object.create(ad.prototype),sd.prototype.constructor=sd,sd.prototype.isEllipseCurve=!0,sd.prototype.getPoint=function(t,n){const r=n||new Vector2,l=2*Math.PI;let d=this.aEndAngle-this.aStartAngle;const h=Math.abs(d)<Number.EPSILON;for(;d<0;)d+=l;for(;d>l;)d-=l;d<Number.EPSILON&&(d=h?0:l),!0!==this.aClockwise||h||(d===l?d=-l:d-=l);const p=this.aStartAngle+t*d;let f=this.aX+this.xRadius*Math.cos(p),m=this.aY+this.yRadius*Math.sin(p);if(0!==this.aRotation){const t=Math.cos(this.aRotation),n=Math.sin(this.aRotation),r=f-this.aX,l=m-this.aY;f=r*t-l*n+this.aX,m=r*n+l*t+this.aY}return r.set(f,m)},sd.prototype.copy=function(t){return ad.prototype.copy.call(this,t),this.aX=t.aX,this.aY=t.aY,this.xRadius=t.xRadius,this.yRadius=t.yRadius,this.aStartAngle=t.aStartAngle,this.aEndAngle=t.aEndAngle,this.aClockwise=t.aClockwise,this.aRotation=t.aRotation,this},sd.prototype.toJSON=function(){const t=ad.prototype.toJSON.call(this);return t.aX=this.aX,t.aY=this.aY,t.xRadius=this.xRadius,t.yRadius=this.yRadius,t.aStartAngle=this.aStartAngle,t.aEndAngle=this.aEndAngle,t.aClockwise=this.aClockwise,t.aRotation=this.aRotation,t},sd.prototype.fromJSON=function(t){return ad.prototype.fromJSON.call(this,t),this.aX=t.aX,this.aY=t.aY,this.xRadius=t.xRadius,this.yRadius=t.yRadius,this.aStartAngle=t.aStartAngle,this.aEndAngle=t.aEndAngle,this.aClockwise=t.aClockwise,this.aRotation=t.aRotation,this},ld.prototype=Object.create(sd.prototype),ld.prototype.constructor=ld,ld.prototype.isArcCurve=!0;const dd=new Vector3,ud=new cd,hd=new cd,pd=new cd;function fd(t=[],n=!1,r="centripetal",l=.5){ad.call(this),this.type="CatmullRomCurve3",this.points=t,this.closed=n,this.curveType=r,this.tension=l}function md(t,n,r,l,d){const h=.5*(l-n),p=.5*(d-r),f=t*t;return(2*r-2*l+h+p)*(t*f)+(-3*r+3*l-2*h-p)*f+h*t+r}function gd(t,n,r,l){return function(t,n){const r=1-t;return r*r*n}(t,n)+function(t,n){return 2*(1-t)*t*n}(t,r)+function(t,n){return t*t*n}(t,l)}function yd(t,n,r,l,d){return function(t,n){const r=1-t;return r*r*r*n}(t,n)+function(t,n){const r=1-t;return 3*r*r*t*n}(t,r)+function(t,n){return 3*(1-t)*t*t*n}(t,l)+function(t,n){return t*t*t*n}(t,d)}function vd(t=new Vector2,n=new Vector2,r=new Vector2,l=new Vector2){ad.call(this),this.type="CubicBezierCurve",this.v0=t,this.v1=n,this.v2=r,this.v3=l}function bd(t=new Vector3,n=new Vector3,r=new Vector3,l=new Vector3){ad.call(this),this.type="CubicBezierCurve3",this.v0=t,this.v1=n,this.v2=r,this.v3=l}function xd(t=new Vector2,n=new Vector2){ad.call(this),this.type="LineCurve",this.v1=t,this.v2=n}function wd(t=new Vector3,n=new Vector3){ad.call(this),this.type="LineCurve3",this.v1=t,this.v2=n}function Sd(t=new Vector2,n=new Vector2,r=new Vector2){ad.call(this),this.type="QuadraticBezierCurve",this.v0=t,this.v1=n,this.v2=r}function _d(t=new Vector3,n=new Vector3,r=new Vector3){ad.call(this),this.type="QuadraticBezierCurve3",this.v0=t,this.v1=n,this.v2=r}function Ed(t=[]){ad.call(this),this.type="SplineCurve",this.points=t}fd.prototype=Object.create(ad.prototype),fd.prototype.constructor=fd,fd.prototype.isCatmullRomCurve3=!0,fd.prototype.getPoint=function(t,n=new Vector3){const r=n,l=this.points,d=l.length,h=(d-(this.closed?0:1))*t;let p,f,m=Math.floor(h),g=h-m;this.closed?m+=m>0?0:(Math.floor(Math.abs(m)/d)+1)*d:0===g&&m===d-1&&(m=d-2,g=1),this.closed||m>0?p=l[(m-1)%d]:(dd.subVectors(l[0],l[1]).add(l[0]),p=dd);const y=l[m%d],v=l[(m+1)%d];if(this.closed||m+2<d?f=l[(m+2)%d]:(dd.subVectors(l[d-1],l[d-2]).add(l[d-1]),f=dd),"centripetal"===this.curveType||"chordal"===this.curveType){const t="chordal"===this.curveType?.5:.25;let n=Math.pow(p.distanceToSquared(y),t),r=Math.pow(y.distanceToSquared(v),t),l=Math.pow(v.distanceToSquared(f),t);r<1e-4&&(r=1),n<1e-4&&(n=r),l<1e-4&&(l=r),ud.initNonuniformCatmullRom(p.x,y.x,v.x,f.x,n,r,l),hd.initNonuniformCatmullRom(p.y,y.y,v.y,f.y,n,r,l),pd.initNonuniformCatmullRom(p.z,y.z,v.z,f.z,n,r,l)}else"catmullrom"===this.curveType&&(ud.initCatmullRom(p.x,y.x,v.x,f.x,this.tension),hd.initCatmullRom(p.y,y.y,v.y,f.y,this.tension),pd.initCatmullRom(p.z,y.z,v.z,f.z,this.tension));return r.set(ud.calc(g),hd.calc(g),pd.calc(g)),r},fd.prototype.copy=function(t){ad.prototype.copy.call(this,t),this.points=[];for(let n=0,r=t.points.length;n<r;n++){const r=t.points[n];this.points.push(r.clone())}return this.closed=t.closed,this.curveType=t.curveType,this.tension=t.tension,this},fd.prototype.toJSON=function(){const t=ad.prototype.toJSON.call(this);t.points=[];for(let n=0,r=this.points.length;n<r;n++){const r=this.points[n];t.points.push(r.toArray())}return t.closed=this.closed,t.curveType=this.curveType,t.tension=this.tension,t},fd.prototype.fromJSON=function(t){ad.prototype.fromJSON.call(this,t),this.points=[];for(let n=0,r=t.points.length;n<r;n++){const r=t.points[n];this.points.push((new Vector3).fromArray(r))}return this.closed=t.closed,this.curveType=t.curveType,this.tension=t.tension,this},vd.prototype=Object.create(ad.prototype),vd.prototype.constructor=vd,vd.prototype.isCubicBezierCurve=!0,vd.prototype.getPoint=function(t,n=new Vector2){const r=n,l=this.v0,d=this.v1,h=this.v2,p=this.v3;return r.set(yd(t,l.x,d.x,h.x,p.x),yd(t,l.y,d.y,h.y,p.y)),r},vd.prototype.copy=function(t){return ad.prototype.copy.call(this,t),this.v0.copy(t.v0),this.v1.copy(t.v1),this.v2.copy(t.v2),this.v3.copy(t.v3),this},vd.prototype.toJSON=function(){const t=ad.prototype.toJSON.call(this);return t.v0=this.v0.toArray(),t.v1=this.v1.toArray(),t.v2=this.v2.toArray(),t.v3=this.v3.toArray(),t},vd.prototype.fromJSON=function(t){return ad.prototype.fromJSON.call(this,t),this.v0.fromArray(t.v0),this.v1.fromArray(t.v1),this.v2.fromArray(t.v2),this.v3.fromArray(t.v3),this},bd.prototype=Object.create(ad.prototype),bd.prototype.constructor=bd,bd.prototype.isCubicBezierCurve3=!0,bd.prototype.getPoint=function(t,n=new Vector3){const r=n,l=this.v0,d=this.v1,h=this.v2,p=this.v3;return r.set(yd(t,l.x,d.x,h.x,p.x),yd(t,l.y,d.y,h.y,p.y),yd(t,l.z,d.z,h.z,p.z)),r},bd.prototype.copy=function(t){return ad.prototype.copy.call(this,t),this.v0.copy(t.v0),this.v1.copy(t.v1),this.v2.copy(t.v2),this.v3.copy(t.v3),this},bd.prototype.toJSON=function(){const t=ad.prototype.toJSON.call(this);return t.v0=this.v0.toArray(),t.v1=this.v1.toArray(),t.v2=this.v2.toArray(),t.v3=this.v3.toArray(),t},bd.prototype.fromJSON=function(t){return ad.prototype.fromJSON.call(this,t),this.v0.fromArray(t.v0),this.v1.fromArray(t.v1),this.v2.fromArray(t.v2),this.v3.fromArray(t.v3),this},xd.prototype=Object.create(ad.prototype),xd.prototype.constructor=xd,xd.prototype.isLineCurve=!0,xd.prototype.getPoint=function(t,n=new Vector2){const r=n;return 1===t?r.copy(this.v2):(r.copy(this.v2).sub(this.v1),r.multiplyScalar(t).add(this.v1)),r},xd.prototype.getPointAt=function(t,n){return this.getPoint(t,n)},xd.prototype.getTangent=function(t,n){const r=n||new Vector2;return r.copy(this.v2).sub(this.v1).normalize(),r},xd.prototype.copy=function(t){return ad.prototype.copy.call(this,t),this.v1.copy(t.v1),this.v2.copy(t.v2),this},xd.prototype.toJSON=function(){const t=ad.prototype.toJSON.call(this);return t.v1=this.v1.toArray(),t.v2=this.v2.toArray(),t},xd.prototype.fromJSON=function(t){return ad.prototype.fromJSON.call(this,t),this.v1.fromArray(t.v1),this.v2.fromArray(t.v2),this},wd.prototype=Object.create(ad.prototype),wd.prototype.constructor=wd,wd.prototype.isLineCurve3=!0,wd.prototype.getPoint=function(t,n=new Vector3){const r=n;return 1===t?r.copy(this.v2):(r.copy(this.v2).sub(this.v1),r.multiplyScalar(t).add(this.v1)),r},wd.prototype.getPointAt=function(t,n){return this.getPoint(t,n)},wd.prototype.copy=function(t){return ad.prototype.copy.call(this,t),this.v1.copy(t.v1),this.v2.copy(t.v2),this},wd.prototype.toJSON=function(){const t=ad.prototype.toJSON.call(this);return t.v1=this.v1.toArray(),t.v2=this.v2.toArray(),t},wd.prototype.fromJSON=function(t){return ad.prototype.fromJSON.call(this,t),this.v1.fromArray(t.v1),this.v2.fromArray(t.v2),this},Sd.prototype=Object.create(ad.prototype),Sd.prototype.constructor=Sd,Sd.prototype.isQuadraticBezierCurve=!0,Sd.prototype.getPoint=function(t,n=new Vector2){const r=n,l=this.v0,d=this.v1,h=this.v2;return r.set(gd(t,l.x,d.x,h.x),gd(t,l.y,d.y,h.y)),r},Sd.prototype.copy=function(t){return ad.prototype.copy.call(this,t),this.v0.copy(t.v0),this.v1.copy(t.v1),this.v2.copy(t.v2),this},Sd.prototype.toJSON=function(){const t=ad.prototype.toJSON.call(this);return t.v0=this.v0.toArray(),t.v1=this.v1.toArray(),t.v2=this.v2.toArray(),t},Sd.prototype.fromJSON=function(t){return ad.prototype.fromJSON.call(this,t),this.v0.fromArray(t.v0),this.v1.fromArray(t.v1),this.v2.fromArray(t.v2),this},_d.prototype=Object.create(ad.prototype),_d.prototype.constructor=_d,_d.prototype.isQuadraticBezierCurve3=!0,_d.prototype.getPoint=function(t,n=new Vector3){const r=n,l=this.v0,d=this.v1,h=this.v2;return r.set(gd(t,l.x,d.x,h.x),gd(t,l.y,d.y,h.y),gd(t,l.z,d.z,h.z)),r},_d.prototype.copy=function(t){return ad.prototype.copy.call(this,t),this.v0.copy(t.v0),this.v1.copy(t.v1),this.v2.copy(t.v2),this},_d.prototype.toJSON=function(){const t=ad.prototype.toJSON.call(this);return t.v0=this.v0.toArray(),t.v1=this.v1.toArray(),t.v2=this.v2.toArray(),t},_d.prototype.fromJSON=function(t){return ad.prototype.fromJSON.call(this,t),this.v0.fromArray(t.v0),this.v1.fromArray(t.v1),this.v2.fromArray(t.v2),this},Ed.prototype=Object.create(ad.prototype),Ed.prototype.constructor=Ed,Ed.prototype.isSplineCurve=!0,Ed.prototype.getPoint=function(t,n=new Vector2){const r=n,l=this.points,d=(l.length-1)*t,h=Math.floor(d),p=d-h,f=l[0===h?h:h-1],m=l[h],g=l[h>l.length-2?l.length-1:h+1],y=l[h>l.length-3?l.length-1:h+2];return r.set(md(p,f.x,m.x,g.x,y.x),md(p,f.y,m.y,g.y,y.y)),r},Ed.prototype.copy=function(t){ad.prototype.copy.call(this,t),this.points=[];for(let n=0,r=t.points.length;n<r;n++){const r=t.points[n];this.points.push(r.clone())}return this},Ed.prototype.toJSON=function(){const t=ad.prototype.toJSON.call(this);t.points=[];for(let n=0,r=this.points.length;n<r;n++){const r=this.points[n];t.points.push(r.toArray())}return t},Ed.prototype.fromJSON=function(t){ad.prototype.fromJSON.call(this,t),this.points=[];for(let n=0,r=t.points.length;n<r;n++){const r=t.points[n];this.points.push((new Vector2).fromArray(r))}return this};var Md=Object.freeze({__proto__:null,ArcCurve:ld,CatmullRomCurve3:fd,CubicBezierCurve:vd,CubicBezierCurve3:bd,EllipseCurve:sd,LineCurve:xd,LineCurve3:wd,QuadraticBezierCurve:Sd,QuadraticBezierCurve3:_d,SplineCurve:Ed});function Td(){ad.call(this),this.type="CurvePath",this.curves=[],this.autoClose=!1}function Cd(t){Td.call(this),this.type="Path",this.currentPoint=new Vector2,t&&this.setFromPoints(t)}function Ad(t){Cd.call(this,t),this.uuid=en.generateUUID(),this.type="Shape",this.holes=[]}function kd(t,n=1){Qn.call(this),this.type="Light",this.color=new Color(t),this.intensity=n}function Od(t,n,r){kd.call(this,t,r),this.type="HemisphereLight",this.position.copy(Qn.DefaultUp),this.updateMatrix(),this.groundColor=new Color(n)}function Id(t){this.camera=t,this.bias=0,this.normalBias=0,this.radius=1,this.mapSize=new Vector2(512,512),this.map=null,this.mapPass=null,this.matrix=new Matrix4,this.autoUpdate=!0,this.needsUpdate=!1,this._frustum=new Frustum,this._frameExtents=new Vector2(1,1),this._viewportCount=1,this._viewports=[new Vector4(0,0,1,1)]}function Rd(){Id.call(this,new bo(50,1,.5,500)),this.focus=1}function Pd(t,n,r,l,d,h){kd.call(this,t,n),this.type="SpotLight",this.position.copy(Qn.DefaultUp),this.updateMatrix(),this.target=new Qn,Object.defineProperty(this,"power",{get:function(){return this.intensity*Math.PI},set:function(t){this.intensity=t/Math.PI}}),this.distance=void 0!==r?r:0,this.angle=void 0!==l?l:Math.PI/3,this.penumbra=void 0!==d?d:0,this.decay=void 0!==h?h:1,this.shadow=new Rd}function Ld(){Id.call(this,new bo(90,1,.5,500)),this._frameExtents=new Vector2(4,2),this._viewportCount=6,this._viewports=[new Vector4(2,1,1,1),new Vector4(0,1,1,1),new Vector4(3,1,1,1),new Vector4(1,1,1,1),new Vector4(3,0,1,1),new Vector4(1,0,1,1)],this._cubeDirections=[new Vector3(1,0,0),new Vector3(-1,0,0),new Vector3(0,0,1),new Vector3(0,0,-1),new Vector3(0,1,0),new Vector3(0,-1,0)],this._cubeUps=[new Vector3(0,1,0),new Vector3(0,1,0),new Vector3(0,1,0),new Vector3(0,1,0),new Vector3(0,0,1),new Vector3(0,0,-1)]}function Dd(t,n,r,l){kd.call(this,t,n),this.type="PointLight",Object.defineProperty(this,"power",{get:function(){return 4*this.intensity*Math.PI},set:function(t){this.intensity=t/(4*Math.PI)}}),this.distance=void 0!==r?r:0,this.decay=void 0!==l?l:1,this.shadow=new Ld}function Fd(t=-1,n=1,r=1,l=-1,d=.1,h=2e3){vo.call(this),this.type="OrthographicCamera",this.zoom=1,this.view=null,this.left=t,this.right=n,this.top=r,this.bottom=l,this.near=d,this.far=h,this.updateProjectionMatrix()}function Nd(){Id.call(this,new Fd(-5,5,5,-5,.5,500))}function Bd(t,n){kd.call(this,t,n),this.type="DirectionalLight",this.position.copy(Qn.DefaultUp),this.updateMatrix(),this.target=new Qn,this.shadow=new Nd}function $d(t,n){kd.call(this,t,n),this.type="AmbientLight"}function zd(t,n,r,l){kd.call(this,t,n),this.type="RectAreaLight",this.width=void 0!==r?r:10,this.height=void 0!==l?l:10}Td.prototype=Object.assign(Object.create(ad.prototype),{constructor:Td,add:function(t){this.curves.push(t)},closePath:function(){const t=this.curves[0].getPoint(0),n=this.curves[this.curves.length-1].getPoint(1);t.equals(n)||this.curves.push(new xd(n,t))},getPoint:function(t){const n=t*this.getLength(),r=this.getCurveLengths();let l=0;for(;l<r.length;){if(r[l]>=n){const t=r[l]-n,d=this.curves[l],h=d.getLength(),p=0===h?0:1-t/h;return d.getPointAt(p)}l++}return null},getLength:function(){const t=this.getCurveLengths();return t[t.length-1]},updateArcLengths:function(){this.needsUpdate=!0,this.cacheLengths=null,this.getCurveLengths()},getCurveLengths:function(){if(this.cacheLengths&&this.cacheLengths.length===this.curves.length)return this.cacheLengths;const t=[];let n=0;for(let r=0,l=this.curves.length;r<l;r++)n+=this.curves[r].getLength(),t.push(n);return this.cacheLengths=t,t},getSpacedPoints:function(t=40){const n=[];for(let r=0;r<=t;r++)n.push(this.getPoint(r/t));return this.autoClose&&n.push(n[0]),n},getPoints:function(t=12){const n=[];let r;for(let l=0,d=this.curves;l<d.length;l++){const h=d[l],p=h&&h.isEllipseCurve?2*t:h&&(h.isLineCurve||h.isLineCurve3)?1:h&&h.isSplineCurve?t*h.points.length:t,f=h.getPoints(p);for(let t=0;t<f.length;t++){const l=f[t];r&&r.equals(l)||(n.push(l),r=l)}}return this.autoClose&&n.length>1&&!n[n.length-1].equals(n[0])&&n.push(n[0]),n},copy:function(t){ad.prototype.copy.call(this,t),this.curves=[];for(let n=0,r=t.curves.length;n<r;n++){const r=t.curves[n];this.curves.push(r.clone())}return this.autoClose=t.autoClose,this},toJSON:function(){const t=ad.prototype.toJSON.call(this);t.autoClose=this.autoClose,t.curves=[];for(let n=0,r=this.curves.length;n<r;n++){const r=this.curves[n];t.curves.push(r.toJSON())}return t},fromJSON:function(t){ad.prototype.fromJSON.call(this,t),this.autoClose=t.autoClose,this.curves=[];for(let n=0,r=t.curves.length;n<r;n++){const r=t.curves[n];this.curves.push((new Md[r.type]).fromJSON(r))}return this}}),Cd.prototype=Object.assign(Object.create(Td.prototype),{constructor:Cd,setFromPoints:function(t){this.moveTo(t[0].x,t[0].y);for(let n=1,r=t.length;n<r;n++)this.lineTo(t[n].x,t[n].y);return this},moveTo:function(t,n){return this.currentPoint.set(t,n),this},lineTo:function(t,n){const r=new xd(this.currentPoint.clone(),new Vector2(t,n));return this.curves.push(r),this.currentPoint.set(t,n),this},quadraticCurveTo:function(t,n,r,l){const d=new Sd(this.currentPoint.clone(),new Vector2(t,n),new Vector2(r,l));return this.curves.push(d),this.currentPoint.set(r,l),this},bezierCurveTo:function(t,n,r,l,d,h){const p=new vd(this.currentPoint.clone(),new Vector2(t,n),new Vector2(r,l),new Vector2(d,h));return this.curves.push(p),this.currentPoint.set(d,h),this},splineThru:function(t){const n=new Ed([this.currentPoint.clone()].concat(t));return this.curves.push(n),this.currentPoint.copy(t[t.length-1]),this},arc:function(t,n,r,l,d,h){const p=this.currentPoint.x,f=this.currentPoint.y;return this.absarc(t+p,n+f,r,l,d,h),this},absarc:function(t,n,r,l,d,h){return this.absellipse(t,n,r,r,l,d,h),this},ellipse:function(t,n,r,l,d,h,p,f){const m=this.currentPoint.x,g=this.currentPoint.y;return this.absellipse(t+m,n+g,r,l,d,h,p,f),this},absellipse:function(t,n,r,l,d,h,p,f){const m=new sd(t,n,r,l,d,h,p,f);if(this.curves.length>0){const t=m.getPoint(0);t.equals(this.currentPoint)||this.lineTo(t.x,t.y)}this.curves.push(m);const g=m.getPoint(1);return this.currentPoint.copy(g),this},copy:function(t){return Td.prototype.copy.call(this,t),this.currentPoint.copy(t.currentPoint),this},toJSON:function(){const t=Td.prototype.toJSON.call(this);return t.currentPoint=this.currentPoint.toArray(),t},fromJSON:function(t){return Td.prototype.fromJSON.call(this,t),this.currentPoint.fromArray(t.currentPoint),this}}),Ad.prototype=Object.assign(Object.create(Cd.prototype),{constructor:Ad,getPointsHoles:function(t){const n=[];for(let r=0,l=this.holes.length;r<l;r++)n[r]=this.holes[r].getPoints(t);return n},extractPoints:function(t){return{shape:this.getPoints(t),holes:this.getPointsHoles(t)}},copy:function(t){Cd.prototype.copy.call(this,t),this.holes=[];for(let n=0,r=t.holes.length;n<r;n++){const r=t.holes[n];this.holes.push(r.clone())}return this},toJSON:function(){const t=Cd.prototype.toJSON.call(this);t.uuid=this.uuid,t.holes=[];for(let n=0,r=this.holes.length;n<r;n++){const r=this.holes[n];t.holes.push(r.toJSON())}return t},fromJSON:function(t){Cd.prototype.fromJSON.call(this,t),this.uuid=t.uuid,this.holes=[];for(let n=0,r=t.holes.length;n<r;n++){const r=t.holes[n];this.holes.push((new Cd).fromJSON(r))}return this}}),kd.prototype=Object.assign(Object.create(Qn.prototype),{constructor:kd,isLight:!0,copy:function(t){return Qn.prototype.copy.call(this,t),this.color.copy(t.color),this.intensity=t.intensity,this},toJSON:function(t){const n=Qn.prototype.toJSON.call(this,t);return n.object.color=this.color.getHex(),n.object.intensity=this.intensity,void 0!==this.groundColor&&(n.object.groundColor=this.groundColor.getHex()),void 0!==this.distance&&(n.object.distance=this.distance),void 0!==this.angle&&(n.object.angle=this.angle),void 0!==this.decay&&(n.object.decay=this.decay),void 0!==this.penumbra&&(n.object.penumbra=this.penumbra),void 0!==this.shadow&&(n.object.shadow=this.shadow.toJSON()),n}}),Od.prototype=Object.assign(Object.create(kd.prototype),{constructor:Od,isHemisphereLight:!0,copy:function(t){return kd.prototype.copy.call(this,t),this.groundColor.copy(t.groundColor),this}}),Object.assign(Id.prototype,{_projScreenMatrix:new Matrix4,_lightPositionWorld:new Vector3,_lookTarget:new Vector3,getViewportCount:function(){return this._viewportCount},getFrustum:function(){return this._frustum},updateMatrices:function(t){const n=this.camera,r=this.matrix,l=this._projScreenMatrix,d=this._lookTarget,h=this._lightPositionWorld;h.setFromMatrixPosition(t.matrixWorld),n.position.copy(h),d.setFromMatrixPosition(t.target.matrixWorld),n.lookAt(d),n.updateMatrixWorld(),l.multiplyMatrices(n.projectionMatrix,n.matrixWorldInverse),this._frustum.setFromProjectionMatrix(l),r.set(.5,0,0,.5,0,.5,0,.5,0,0,.5,.5,0,0,0,1),r.multiply(n.projectionMatrix),r.multiply(n.matrixWorldInverse)},getViewport:function(t){return this._viewports[t]},getFrameExtents:function(){return this._frameExtents},copy:function(t){return this.camera=t.camera.clone(),this.bias=t.bias,this.radius=t.radius,this.mapSize.copy(t.mapSize),this},clone:function(){return(new this.constructor).copy(this)},toJSON:function(){const t={};return 0!==this.bias&&(t.bias=this.bias),0!==this.normalBias&&(t.normalBias=this.normalBias),1!==this.radius&&(t.radius=this.radius),512===this.mapSize.x&&512===this.mapSize.y||(t.mapSize=this.mapSize.toArray()),t.camera=this.camera.toJSON(!1).object,delete t.camera.matrix,t}}),Rd.prototype=Object.assign(Object.create(Id.prototype),{constructor:Rd,isSpotLightShadow:!0,updateMatrices:function(t){const n=this.camera,r=2*en.RAD2DEG*t.angle*this.focus,l=this.mapSize.width/this.mapSize.height,d=t.distance||n.far;r===n.fov&&l===n.aspect&&d===n.far||(n.fov=r,n.aspect=l,n.far=d,n.updateProjectionMatrix()),Id.prototype.updateMatrices.call(this,t)}}),Pd.prototype=Object.assign(Object.create(kd.prototype),{constructor:Pd,isSpotLight:!0,copy:function(t){return kd.prototype.copy.call(this,t),this.distance=t.distance,this.angle=t.angle,this.penumbra=t.penumbra,this.decay=t.decay,this.target=t.target.clone(),this.shadow=t.shadow.clone(),this}}),Ld.prototype=Object.assign(Object.create(Id.prototype),{constructor:Ld,isPointLightShadow:!0,updateMatrices:function(t,n=0){const r=this.camera,l=this.matrix,d=this._lightPositionWorld,h=this._lookTarget,p=this._projScreenMatrix;d.setFromMatrixPosition(t.matrixWorld),r.position.copy(d),h.copy(r.position),h.add(this._cubeDirections[n]),r.up.copy(this._cubeUps[n]),r.lookAt(h),r.updateMatrixWorld(),l.makeTranslation(-d.x,-d.y,-d.z),p.multiplyMatrices(r.projectionMatrix,r.matrixWorldInverse),this._frustum.setFromProjectionMatrix(p)}}),Dd.prototype=Object.assign(Object.create(kd.prototype),{constructor:Dd,isPointLight:!0,copy:function(t){return kd.prototype.copy.call(this,t),this.distance=t.distance,this.decay=t.decay,this.shadow=t.shadow.clone(),this}}),Fd.prototype=Object.assign(Object.create(vo.prototype),{constructor:Fd,isOrthographicCamera:!0,copy:function(t,n){return vo.prototype.copy.call(this,t,n),this.left=t.left,this.right=t.right,this.top=t.top,this.bottom=t.bottom,this.near=t.near,this.far=t.far,this.zoom=t.zoom,this.view=null===t.view?null:Object.assign({},t.view),this},setViewOffset:function(t,n,r,l,d,h){null===this.view&&(this.view={enabled:!0,fullWidth:1,fullHeight:1,offsetX:0,offsetY:0,width:1,height:1}),this.view.enabled=!0,this.view.fullWidth=t,this.view.fullHeight=n,this.view.offsetX=r,this.view.offsetY=l,this.view.width=d,this.view.height=h,this.updateProjectionMatrix()},clearViewOffset:function(){null!==this.view&&(this.view.enabled=!1),this.updateProjectionMatrix()},updateProjectionMatrix:function(){const t=(this.right-this.left)/(2*this.zoom),n=(this.top-this.bottom)/(2*this.zoom),r=(this.right+this.left)/2,l=(this.top+this.bottom)/2;let d=r-t,h=r+t,p=l+n,f=l-n;if(null!==this.view&&this.view.enabled){const t=(this.right-this.left)/this.view.fullWidth/this.zoom,n=(this.top-this.bottom)/this.view.fullHeight/this.zoom;d+=t*this.view.offsetX,h=d+t*this.view.width,p-=n*this.view.offsetY,f=p-n*this.view.height}this.projectionMatrix.makeOrthographic(d,h,p,f,this.near,this.far),this.projectionMatrixInverse.copy(this.projectionMatrix).invert()},toJSON:function(t){const n=Qn.prototype.toJSON.call(this,t);return n.object.zoom=this.zoom,n.object.left=this.left,n.object.right=this.right,n.object.top=this.top,n.object.bottom=this.bottom,n.object.near=this.near,n.object.far=this.far,null!==this.view&&(n.object.view=Object.assign({},this.view)),n}}),Nd.prototype=Object.assign(Object.create(Id.prototype),{constructor:Nd,isDirectionalLightShadow:!0,updateMatrices:function(t){Id.prototype.updateMatrices.call(this,t)}}),Bd.prototype=Object.assign(Object.create(kd.prototype),{constructor:Bd,isDirectionalLight:!0,copy:function(t){return kd.prototype.copy.call(this,t),this.target=t.target.clone(),this.shadow=t.shadow.clone(),this}}),$d.prototype=Object.assign(Object.create(kd.prototype),{constructor:$d,isAmbientLight:!0}),zd.prototype=Object.assign(Object.create(kd.prototype),{constructor:zd,isRectAreaLight:!0,copy:function(t){return kd.prototype.copy.call(this,t),this.width=t.width,this.height=t.height,this},toJSON:function(t){const n=kd.prototype.toJSON.call(this,t);return n.object.width=this.width,n.object.height=this.height,n}});class SphericalHarmonics3{constructor(){Object.defineProperty(this,"isSphericalHarmonics3",{value:!0}),this.coefficients=[];for(let t=0;t<9;t++)this.coefficients.push(new Vector3)}set(t){for(let n=0;n<9;n++)this.coefficients[n].copy(t[n]);return this}zero(){for(let t=0;t<9;t++)this.coefficients[t].set(0,0,0);return this}getAt(t,n){const r=t.x,l=t.y,d=t.z,h=this.coefficients;return n.copy(h[0]).multiplyScalar(.282095),n.addScaledVector(h[1],.488603*l),n.addScaledVector(h[2],.488603*d),n.addScaledVector(h[3],.488603*r),n.addScaledVector(h[4],r*l*1.092548),n.addScaledVector(h[5],l*d*1.092548),n.addScaledVector(h[6],.315392*(3*d*d-1)),n.addScaledVector(h[7],r*d*1.092548),n.addScaledVector(h[8],.546274*(r*r-l*l)),n}getIrradianceAt(t,n){const r=t.x,l=t.y,d=t.z,h=this.coefficients;return n.copy(h[0]).multiplyScalar(.886227),n.addScaledVector(h[1],1.023328*l),n.addScaledVector(h[2],1.023328*d),n.addScaledVector(h[3],1.023328*r),n.addScaledVector(h[4],.858086*r*l),n.addScaledVector(h[5],.858086*l*d),n.addScaledVector(h[6],.743125*d*d-.247708),n.addScaledVector(h[7],.858086*r*d),n.addScaledVector(h[8],.429043*(r*r-l*l)),n}add(t){for(let n=0;n<9;n++)this.coefficients[n].add(t.coefficients[n]);return this}addScaledSH(t,n){for(let r=0;r<9;r++)this.coefficients[r].addScaledVector(t.coefficients[r],n);return this}scale(t){for(let n=0;n<9;n++)this.coefficients[n].multiplyScalar(t);return this}lerp(t,n){for(let r=0;r<9;r++)this.coefficients[r].lerp(t.coefficients[r],n);return this}equals(t){for(let n=0;n<9;n++)if(!this.coefficients[n].equals(t.coefficients[n]))return!1;return!0}copy(t){return this.set(t.coefficients)}clone(){return(new this.constructor).copy(this)}fromArray(t,n=0){const r=this.coefficients;for(let l=0;l<9;l++)r[l].fromArray(t,n+3*l);return this}toArray(t=[],n=0){const r=this.coefficients;for(let l=0;l<9;l++)r[l].toArray(t,n+3*l);return t}static getBasisAt(t,n){const r=t.x,l=t.y,d=t.z;n[0]=.282095,n[1]=.488603*l,n[2]=.488603*d,n[3]=.488603*r,n[4]=1.092548*r*l,n[5]=1.092548*l*d,n[6]=.315392*(3*d*d-1),n[7]=1.092548*r*d,n[8]=.546274*(r*r-l*l)}}function jd(t,n){kd.call(this,void 0,n),this.type="LightProbe",this.sh=void 0!==t?t:new SphericalHarmonics3}function Vd(t){Kc.call(this,t),this.textures={}}jd.prototype=Object.assign(Object.create(kd.prototype),{constructor:jd,isLightProbe:!0,copy:function(t){return kd.prototype.copy.call(this,t),this.sh.copy(t.sh),this},fromJSON:function(t){return this.intensity=t.intensity,this.sh.fromArray(t.sh),this},toJSON:function(t){const n=kd.prototype.toJSON.call(this,t);return n.object.sh=this.sh.toArray(),n}}),Vd.prototype=Object.assign(Object.create(Kc.prototype),{constructor:Vd,load:function(t,n,r,d){const h=this,p=new Qc(h.manager);p.setPath(h.path),p.setRequestHeader(h.requestHeader),p.setWithCredentials(h.withCredentials),p.load(t,(function(r){try{n(h.parse(JSON.parse(r)))}catch(n){d?d(n):l.error(n),h.manager.itemError(t)}}),r,d)},parse:function(t){const n=this.textures;function r(t){return void 0===n[t]&&l.warn("THREE.MaterialLoader: Undefined texture",t),n[t]}const d=new Rc[t.type];if(void 0!==t.uuid&&(d.uuid=t.uuid),void 0!==t.name&&(d.name=t.name),void 0!==t.color&&void 0!==d.color&&d.color.setHex(t.color),void 0!==t.roughness&&(d.roughness=t.roughness),void 0!==t.metalness&&(d.metalness=t.metalness),void 0!==t.sheen&&(d.sheen=(new Color).setHex(t.sheen)),void 0!==t.emissive&&void 0!==d.emissive&&d.emissive.setHex(t.emissive),void 0!==t.specular&&void 0!==d.specular&&d.specular.setHex(t.specular),void 0!==t.shininess&&(d.shininess=t.shininess),void 0!==t.clearcoat&&(d.clearcoat=t.clearcoat),void 0!==t.clearcoatRoughness&&(d.clearcoatRoughness=t.clearcoatRoughness),void 0!==t.fog&&(d.fog=t.fog),void 0!==t.flatShading&&(d.flatShading=t.flatShading),void 0!==t.blending&&(d.blending=t.blending),void 0!==t.combine&&(d.combine=t.combine),void 0!==t.side&&(d.side=t.side),void 0!==t.opacity&&(d.opacity=t.opacity),void 0!==t.transparent&&(d.transparent=t.transparent),void 0!==t.alphaTest&&(d.alphaTest=t.alphaTest),void 0!==t.depthTest&&(d.depthTest=t.depthTest),void 0!==t.depthWrite&&(d.depthWrite=t.depthWrite),void 0!==t.colorWrite&&(d.colorWrite=t.colorWrite),void 0!==t.stencilWrite&&(d.stencilWrite=t.stencilWrite),void 0!==t.stencilWriteMask&&(d.stencilWriteMask=t.stencilWriteMask),void 0!==t.stencilFunc&&(d.stencilFunc=t.stencilFunc),void 0!==t.stencilRef&&(d.stencilRef=t.stencilRef),void 0!==t.stencilFuncMask&&(d.stencilFuncMask=t.stencilFuncMask),void 0!==t.stencilFail&&(d.stencilFail=t.stencilFail),void 0!==t.stencilZFail&&(d.stencilZFail=t.stencilZFail),void 0!==t.stencilZPass&&(d.stencilZPass=t.stencilZPass),void 0!==t.wireframe&&(d.wireframe=t.wireframe),void 0!==t.wireframeLinewidth&&(d.wireframeLinewidth=t.wireframeLinewidth),void 0!==t.wireframeLinecap&&(d.wireframeLinecap=t.wireframeLinecap),void 0!==t.wireframeLinejoin&&(d.wireframeLinejoin=t.wireframeLinejoin),void 0!==t.rotation&&(d.rotation=t.rotation),1!==t.linewidth&&(d.linewidth=t.linewidth),void 0!==t.dashSize&&(d.dashSize=t.dashSize),void 0!==t.gapSize&&(d.gapSize=t.gapSize),void 0!==t.scale&&(d.scale=t.scale),void 0!==t.polygonOffset&&(d.polygonOffset=t.polygonOffset),void 0!==t.polygonOffsetFactor&&(d.polygonOffsetFactor=t.polygonOffsetFactor),void 0!==t.polygonOffsetUnits&&(d.polygonOffsetUnits=t.polygonOffsetUnits),void 0!==t.skinning&&(d.skinning=t.skinning),void 0!==t.morphTargets&&(d.morphTargets=t.morphTargets),void 0!==t.morphNormals&&(d.morphNormals=t.morphNormals),void 0!==t.dithering&&(d.dithering=t.dithering),void 0!==t.vertexTangents&&(d.vertexTangents=t.vertexTangents),void 0!==t.visible&&(d.visible=t.visible),void 0!==t.toneMapped&&(d.toneMapped=t.toneMapped),void 0!==t.userData&&(d.userData=t.userData),void 0!==t.vertexColors&&("number"==typeof t.vertexColors?d.vertexColors=t.vertexColors>0:d.vertexColors=t.vertexColors),void 0!==t.uniforms)for(const n in t.uniforms){const l=t.uniforms[n];switch(d.uniforms[n]={},l.type){case"t":d.uniforms[n].value=r(l.value);break;case"c":d.uniforms[n].value=(new Color).setHex(l.value);break;case"v2":d.uniforms[n].value=(new Vector2).fromArray(l.value);break;case"v3":d.uniforms[n].value=(new Vector3).fromArray(l.value);break;case"v4":d.uniforms[n].value=(new Vector4).fromArray(l.value);break;case"m3":d.uniforms[n].value=(new Matrix3).fromArray(l.value);break;case"m4":d.uniforms[n].value=(new Matrix4).fromArray(l.value);break;default:d.uniforms[n].value=l.value}}if(void 0!==t.defines&&(d.defines=t.defines),void 0!==t.vertexShader&&(d.vertexShader=t.vertexShader),void 0!==t.fragmentShader&&(d.fragmentShader=t.fragmentShader),void 0!==t.extensions)for(const n in t.extensions)d.extensions[n]=t.extensions[n];if(void 0!==t.shading&&(d.flatShading=1===t.shading),void 0!==t.size&&(d.size=t.size),void 0!==t.sizeAttenuation&&(d.sizeAttenuation=t.sizeAttenuation),void 0!==t.map&&(d.map=r(t.map)),void 0!==t.matcap&&(d.matcap=r(t.matcap)),void 0!==t.alphaMap&&(d.alphaMap=r(t.alphaMap)),void 0!==t.bumpMap&&(d.bumpMap=r(t.bumpMap)),void 0!==t.bumpScale&&(d.bumpScale=t.bumpScale),void 0!==t.normalMap&&(d.normalMap=r(t.normalMap)),void 0!==t.normalMapType&&(d.normalMapType=t.normalMapType),void 0!==t.normalScale){let n=t.normalScale;!1===Array.isArray(n)&&(n=[n,n]),d.normalScale=(new Vector2).fromArray(n)}return void 0!==t.displacementMap&&(d.displacementMap=r(t.displacementMap)),void 0!==t.displacementScale&&(d.displacementScale=t.displacementScale),void 0!==t.displacementBias&&(d.displacementBias=t.displacementBias),void 0!==t.roughnessMap&&(d.roughnessMap=r(t.roughnessMap)),void 0!==t.metalnessMap&&(d.metalnessMap=r(t.metalnessMap)),void 0!==t.emissiveMap&&(d.emissiveMap=r(t.emissiveMap)),void 0!==t.emissiveIntensity&&(d.emissiveIntensity=t.emissiveIntensity),void 0!==t.specularMap&&(d.specularMap=r(t.specularMap)),void 0!==t.envMap&&(d.envMap=r(t.envMap)),void 0!==t.envMapIntensity&&(d.envMapIntensity=t.envMapIntensity),void 0!==t.reflectivity&&(d.reflectivity=t.reflectivity),void 0!==t.refractionRatio&&(d.refractionRatio=t.refractionRatio),void 0!==t.lightMap&&(d.lightMap=r(t.lightMap)),void 0!==t.lightMapIntensity&&(d.lightMapIntensity=t.lightMapIntensity),void 0!==t.aoMap&&(d.aoMap=r(t.aoMap)),void 0!==t.aoMapIntensity&&(d.aoMapIntensity=t.aoMapIntensity),void 0!==t.gradientMap&&(d.gradientMap=r(t.gradientMap)),void 0!==t.clearcoatMap&&(d.clearcoatMap=r(t.clearcoatMap)),void 0!==t.clearcoatRoughnessMap&&(d.clearcoatRoughnessMap=r(t.clearcoatRoughnessMap)),void 0!==t.clearcoatNormalMap&&(d.clearcoatNormalMap=r(t.clearcoatNormalMap)),void 0!==t.clearcoatNormalScale&&(d.clearcoatNormalScale=(new Vector2).fromArray(t.clearcoatNormalScale)),void 0!==t.transmission&&(d.transmission=t.transmission),void 0!==t.transmissionMap&&(d.transmissionMap=r(t.transmissionMap)),d},setTextures:function(t){return this.textures=t,this}});const Ud={decodeText:function(t){if("undefined"!=typeof TextDecoder)return(new TextDecoder).decode(t);let n="";for(let r=0,l=t.length;r<l;r++)n+=String.fromCharCode(t[r]);try{return decodeURIComponent(escape(n))}catch(t){return n}},extractUrlBase:function(t){const n=t.lastIndexOf("/");return-1===n?"./":t.substr(0,n+1)}};function Hd(){Gr.call(this),this.type="InstancedBufferGeometry",this.instanceCount=1/0}function Gd(t,n,r,d){"number"==typeof r&&(d=r,r=!1,l.error("THREE.InstancedBufferAttribute: The constructor now expects normalized as the third argument.")),Er.call(this,t,n,r),this.meshPerAttribute=d||1}function Wd(t){Kc.call(this,t)}Hd.prototype=Object.assign(Object.create(Gr.prototype),{constructor:Hd,isInstancedBufferGeometry:!0,copy:function(t){return Gr.prototype.copy.call(this,t),this.instanceCount=t.instanceCount,this},clone:function(){return(new this.constructor).copy(this)},toJSON:function(){const t=Gr.prototype.toJSON.call(this);return t.instanceCount=this.instanceCount,t.isInstancedBufferGeometry=!0,t}}),Gd.prototype=Object.assign(Object.create(Er.prototype),{constructor:Gd,isInstancedBufferAttribute:!0,copy:function(t){return Er.prototype.copy.call(this,t),this.meshPerAttribute=t.meshPerAttribute,this},toJSON:function(){const t=Er.prototype.toJSON.call(this);return t.meshPerAttribute=this.meshPerAttribute,t.isInstancedBufferAttribute=!0,t}}),Wd.prototype=Object.assign(Object.create(Kc.prototype),{constructor:Wd,load:function(t,n,r,d){const h=this,p=new Qc(h.manager);p.setPath(h.path),p.setRequestHeader(h.requestHeader),p.setWithCredentials(h.withCredentials),p.load(t,(function(r){try{n(h.parse(JSON.parse(r)))}catch(n){d?d(n):l.error(n),h.manager.itemError(t)}}),r,d)},parse:function(t){const n={},r={};function l(t,l){if(void 0!==n[l])return n[l];const d=t.interleavedBuffers[l],h=function(t,n){if(void 0!==r[n])return r[n];const l=t.arrayBuffers,d=l[n],h=new Uint32Array(d).buffer;return r[n]=h,h}(t,d.buffer),p=new Fs(Nr(d.type,h),d.stride);return p.uuid=d.uuid,n[l]=p,p}const d=t.isInstancedBufferGeometry?new Hd:new Gr,h=t.data.index;if(void 0!==h){const t=Nr(h.type,h.array);d.setIndex(new Er(t,1))}const p=t.data.attributes;for(const n in p){const r=p[n];let h;if(r.isInterleavedBufferAttribute){h=new Bs(l(t.data,r.data),r.itemSize,r.offset,r.normalized)}else{const t=Nr(r.type,r.array);h=new(r.isInstancedBufferAttribute?Gd:Er)(t,r.itemSize,r.normalized)}void 0!==r.name&&(h.name=r.name),d.setAttribute(n,h)}const f=t.data.morphAttributes;if(f)for(const n in f){const r=f[n],h=[];for(let n=0,d=r.length;n<d;n++){const d=r[n];let p;if(d.isInterleavedBufferAttribute){p=new Bs(l(t.data,d.data),d.itemSize,d.offset,d.normalized)}else{p=new Er(Nr(d.type,d.array),d.itemSize,d.normalized)}void 0!==d.name&&(p.name=d.name),h.push(p)}d.morphAttributes[n]=h}t.data.morphTargetsRelative&&(d.morphTargetsRelative=!0);const m=t.data.groups||t.data.drawcalls||t.data.offsets;if(void 0!==m)for(let t=0,n=m.length;t!==n;++t){const n=m[t];d.addGroup(n.start,n.count,n.materialIndex)}const g=t.data.boundingSphere;if(void 0!==g){const t=new Vector3;void 0!==g.center&&t.fromArray(g.center),d.boundingSphere=new Sphere(t,g.radius)}return t.name&&(d.name=t.name),t.userData&&(d.userData=t.userData),d}});class ObjectLoader extends Kc{constructor(t){super(t)}load(t,n,r,d){const h=this,p=""===this.path?Ud.extractUrlBase(t):this.path;this.resourcePath=this.resourcePath||p;const f=new Qc(this.manager);f.setPath(this.path),f.setRequestHeader(this.requestHeader),f.setWithCredentials(this.withCredentials),f.load(t,(function(r){let p=null;try{p=JSON.parse(r)}catch(n){return void 0!==d&&d(n),void l.error("THREE:ObjectLoader: Can't parse "+t+".",n.message)}const f=p.metadata;void 0!==f&&void 0!==f.type&&"geometry"!==f.type.toLowerCase()?h.parse(p,n):l.error("THREE.ObjectLoader: Can't load "+t)}),r,d)}parse(t,n){const r=this.parseAnimations(t.animations),l=this.parseShapes(t.shapes),d=this.parseGeometries(t.geometries,l),h=this.parseImages(t.images,(function(){void 0!==n&&n(m)})),p=this.parseTextures(t.textures,h),f=this.parseMaterials(t.materials,p),m=this.parseObject(t.object,d,f,r),g=this.parseSkeletons(t.skeletons,m);if(this.bindSkeletons(m,g),void 0!==n){let t=!1;for(const n in h)if(h[n]instanceof HTMLImageElement){t=!0;break}!1===t&&n(m)}return m}parseShapes(t){const n={};if(void 0!==t)for(let r=0,l=t.length;r<l;r++){const l=(new Ad).fromJSON(t[r]);n[l.uuid]=l}return n}parseSkeletons(t,n){const r={},l={};if(n.traverse((function(t){t.isBone&&(l[t.uuid]=t)})),void 0!==t)for(let n=0,d=t.length;n<d;n++){const d=(new pl).fromJSON(t[n],l);r[d.uuid]=d}return r}parseGeometries(t,n){const r={};let d;if(void 0!==t){const h=new Wd;for(let p=0,f=t.length;p<f;p++){let f;const m=t[p];switch(m.type){case"PlaneGeometry":case"PlaneBufferGeometry":f=new wc[m.type](m.width,m.height,m.widthSegments,m.heightSegments);break;case"BoxGeometry":case"BoxBufferGeometry":f=new wc[m.type](m.width,m.height,m.depth,m.widthSegments,m.heightSegments,m.depthSegments);break;case"CircleGeometry":case"CircleBufferGeometry":f=new wc[m.type](m.radius,m.segments,m.thetaStart,m.thetaLength);break;case"CylinderGeometry":case"CylinderBufferGeometry":f=new wc[m.type](m.radiusTop,m.radiusBottom,m.height,m.radialSegments,m.heightSegments,m.openEnded,m.thetaStart,m.thetaLength);break;case"ConeGeometry":case"ConeBufferGeometry":f=new wc[m.type](m.radius,m.height,m.radialSegments,m.heightSegments,m.openEnded,m.thetaStart,m.thetaLength);break;case"SphereGeometry":case"SphereBufferGeometry":f=new wc[m.type](m.radius,m.widthSegments,m.heightSegments,m.phiStart,m.phiLength,m.thetaStart,m.thetaLength);break;case"DodecahedronGeometry":case"DodecahedronBufferGeometry":case"IcosahedronGeometry":case"IcosahedronBufferGeometry":case"OctahedronGeometry":case"OctahedronBufferGeometry":case"TetrahedronGeometry":case"TetrahedronBufferGeometry":f=new wc[m.type](m.radius,m.detail);break;case"RingGeometry":case"RingBufferGeometry":f=new wc[m.type](m.innerRadius,m.outerRadius,m.thetaSegments,m.phiSegments,m.thetaStart,m.thetaLength);break;case"TorusGeometry":case"TorusBufferGeometry":f=new wc[m.type](m.radius,m.tube,m.radialSegments,m.tubularSegments,m.arc);break;case"TorusKnotGeometry":case"TorusKnotBufferGeometry":f=new wc[m.type](m.radius,m.tube,m.tubularSegments,m.radialSegments,m.p,m.q);break;case"TubeGeometry":case"TubeBufferGeometry":f=new wc[m.type]((new Md[m.path.type]).fromJSON(m.path),m.tubularSegments,m.radius,m.radialSegments,m.closed);break;case"LatheGeometry":case"LatheBufferGeometry":f=new wc[m.type](m.points,m.segments,m.phiStart,m.phiLength);break;case"PolyhedronGeometry":case"PolyhedronBufferGeometry":f=new wc[m.type](m.vertices,m.indices,m.radius,m.details);break;case"ShapeGeometry":case"ShapeBufferGeometry":d=[];for(let t=0,r=m.shapes.length;t<r;t++){const r=n[m.shapes[t]];d.push(r)}f=new wc[m.type](d,m.curveSegments);break;case"ExtrudeGeometry":case"ExtrudeBufferGeometry":d=[];for(let t=0,r=m.shapes.length;t<r;t++){const r=n[m.shapes[t]];d.push(r)}const t=m.options.extrudePath;void 0!==t&&(m.options.extrudePath=(new Md[t.type]).fromJSON(t)),f=new wc[m.type](d,m.options);break;case"BufferGeometry":case"InstancedBufferGeometry":f=h.parse(m);break;case"Geometry":l.error('THREE.ObjectLoader: Loading "Geometry" is not supported anymore.');break;default:l.warn('THREE.ObjectLoader: Unsupported geometry type "'+m.type+'"');continue}f.uuid=m.uuid,void 0!==m.name&&(f.name=m.name),!0===f.isBufferGeometry&&void 0!==m.userData&&(f.userData=m.userData),r[m.uuid]=f}}return r}parseMaterials(t,n){const r={},l={};if(void 0!==t){const d=new Vd;d.setTextures(n);for(let n=0,h=t.length;n<h;n++){const h=t[n];if("MultiMaterial"===h.type){const t=[];for(let n=0;n<h.materials.length;n++){const l=h.materials[n];void 0===r[l.uuid]&&(r[l.uuid]=d.parse(l)),t.push(r[l.uuid])}l[h.uuid]=t}else void 0===r[h.uuid]&&(r[h.uuid]=d.parse(h)),l[h.uuid]=r[h.uuid]}}return l}parseAnimations(t){const n={};if(void 0!==t)for(let r=0;r<t.length;r++){const l=t[r],d=Wc.parse(l);n[d.uuid]=d}return n}parseImages(t,n){const r=this,l={};let d;function h(t){if("string"==typeof t){const n=t;return function(t){return r.manager.itemStart(t),d.load(t,(function(){r.manager.itemEnd(t)}),void 0,(function(){r.manager.itemError(t),r.manager.itemEnd(t)}))}(/^(\/\/)|([a-z]+:(\/\/)?)/i.test(n)?n:r.resourcePath+n)}return t.data?{data:Nr(t.type,t.data),width:t.width,height:t.height}:null}if(void 0!==t&&t.length>0){const r=new Yc(n);d=new id(r),d.setCrossOrigin(this.crossOrigin);for(let n=0,r=t.length;n<r;n++){const r=t[n],d=r.url;if(Array.isArray(d)){l[r.uuid]=[];for(let t=0,n=d.length;t<n;t++){const n=h(d[t]);null!==n&&(n instanceof HTMLImageElement?l[r.uuid].push(n):l[r.uuid].push(new Eo(n.data,n.width,n.height)))}}else{const t=h(r.url);null!==t&&(l[r.uuid]=t)}}}return l}parseTextures(t,n){function r(t,n){return"number"==typeof t?t:(l.warn("THREE.ObjectLoader.parseTexture: Constant should be in numeric form.",t),n[t])}const d={};if(void 0!==t)for(let h=0,p=t.length;h<p;h++){const p=t[h];let f;void 0===p.image&&l.warn('THREE.ObjectLoader: No "image" specified for',p.uuid),void 0===n[p.image]&&l.warn("THREE.ObjectLoader: Undefined image",p.image);const m=n[p.image];Array.isArray(m)?(f=new _o(m),6===m.length&&(f.needsUpdate=!0)):(f=m&&m.data?new Eo(m.data,m.width,m.height):new on(m),m&&(f.needsUpdate=!0)),f.uuid=p.uuid,void 0!==p.name&&(f.name=p.name),void 0!==p.mapping&&(f.mapping=r(p.mapping,qd)),void 0!==p.offset&&f.offset.fromArray(p.offset),void 0!==p.repeat&&f.repeat.fromArray(p.repeat),void 0!==p.center&&f.center.fromArray(p.center),void 0!==p.rotation&&(f.rotation=p.rotation),void 0!==p.wrap&&(f.wrapS=r(p.wrap[0],Xd),f.wrapT=r(p.wrap[1],Xd)),void 0!==p.format&&(f.format=p.format),void 0!==p.type&&(f.type=p.type),void 0!==p.encoding&&(f.encoding=p.encoding),void 0!==p.minFilter&&(f.minFilter=r(p.minFilter,Yd)),void 0!==p.magFilter&&(f.magFilter=r(p.magFilter,Yd)),void 0!==p.anisotropy&&(f.anisotropy=p.anisotropy),void 0!==p.flipY&&(f.flipY=p.flipY),void 0!==p.premultiplyAlpha&&(f.premultiplyAlpha=p.premultiplyAlpha),void 0!==p.unpackAlignment&&(f.unpackAlignment=p.unpackAlignment),d[p.uuid]=f}return d}parseObject(t,n,r,d){let h,p,f;function m(t){return void 0===n[t]&&l.warn("THREE.ObjectLoader: Undefined geometry",t),n[t]}function g(t){if(void 0!==t){if(Array.isArray(t)){const n=[];for(let d=0,h=t.length;d<h;d++){const h=t[d];void 0===r[h]&&l.warn("THREE.ObjectLoader: Undefined material",h),n.push(r[h])}return n}return void 0===r[t]&&l.warn("THREE.ObjectLoader: Undefined material",t),r[t]}}switch(t.type){case"Scene":h=new Scene,void 0!==t.background&&Number.isInteger(t.background)&&(h.background=new Color(t.background)),void 0!==t.fog&&("Fog"===t.fog.type?h.fog=new Fog(t.fog.color,t.fog.near,t.fog.far):"FogExp2"===t.fog.type&&(h.fog=new FogExp2(t.fog.color,t.fog.density)));break;case"PerspectiveCamera":h=new bo(t.fov,t.aspect,t.near,t.far),void 0!==t.focus&&(h.focus=t.focus),void 0!==t.zoom&&(h.zoom=t.zoom),void 0!==t.filmGauge&&(h.filmGauge=t.filmGauge),void 0!==t.filmOffset&&(h.filmOffset=t.filmOffset),void 0!==t.view&&(h.view=Object.assign({},t.view));break;case"OrthographicCamera":h=new Fd(t.left,t.right,t.top,t.bottom,t.near,t.far),void 0!==t.zoom&&(h.zoom=t.zoom),void 0!==t.view&&(h.view=Object.assign({},t.view));break;case"AmbientLight":h=new $d(t.color,t.intensity);break;case"DirectionalLight":h=new Bd(t.color,t.intensity);break;case"PointLight":h=new Dd(t.color,t.intensity,t.distance,t.decay);break;case"RectAreaLight":h=new zd(t.color,t.intensity,t.width,t.height);break;case"SpotLight":h=new Pd(t.color,t.intensity,t.distance,t.angle,t.penumbra,t.decay);break;case"HemisphereLight":h=new Od(t.color,t.groundColor,t.intensity);break;case"LightProbe":h=(new jd).fromJSON(t);break;case"SkinnedMesh":p=m(t.geometry),f=g(t.material),h=new cl(p,f),void 0!==t.bindMode&&(h.bindMode=t.bindMode),void 0!==t.bindMatrix&&h.bindMatrix.fromArray(t.bindMatrix),void 0!==t.skeleton&&(h.skeleton=t.skeleton);break;case"Mesh":p=m(t.geometry),f=g(t.material),h=new co(p,f);break;case"InstancedMesh":p=m(t.geometry),f=g(t.material);const n=t.count,r=t.instanceMatrix;h=new vl(p,f,n),h.instanceMatrix=new Er(new Float32Array(r.array),16);break;case"LOD":h=new nl;break;case"Line":h=new Ml(m(t.geometry),g(t.material));break;case"LineLoop":h=new kl(m(t.geometry),g(t.material));break;case"LineSegments":h=new Al(m(t.geometry),g(t.material));break;case"PointCloud":case"Points":h=new Dl(m(t.geometry),g(t.material));break;case"Sprite":h=new Qs(g(t.material));break;case"Group":h=new Os;break;case"Bone":h=new dl;break;default:h=new Qn}if(h.uuid=t.uuid,void 0!==t.name&&(h.name=t.name),void 0!==t.matrix?(h.matrix.fromArray(t.matrix),void 0!==t.matrixAutoUpdate&&(h.matrixAutoUpdate=t.matrixAutoUpdate),h.matrixAutoUpdate&&h.matrix.decompose(h.position,h.quaternion,h.scale)):(void 0!==t.position&&h.position.fromArray(t.position),void 0!==t.rotation&&h.rotation.fromArray(t.rotation),void 0!==t.quaternion&&h.quaternion.fromArray(t.quaternion),void 0!==t.scale&&h.scale.fromArray(t.scale)),void 0!==t.castShadow&&(h.castShadow=t.castShadow),void 0!==t.receiveShadow&&(h.receiveShadow=t.receiveShadow),t.shadow&&(void 0!==t.shadow.bias&&(h.shadow.bias=t.shadow.bias),void 0!==t.shadow.normalBias&&(h.shadow.normalBias=t.shadow.normalBias),void 0!==t.shadow.radius&&(h.shadow.radius=t.shadow.radius),void 0!==t.shadow.mapSize&&h.shadow.mapSize.fromArray(t.shadow.mapSize),void 0!==t.shadow.camera&&(h.shadow.camera=this.parseObject(t.shadow.camera))),void 0!==t.visible&&(h.visible=t.visible),void 0!==t.frustumCulled&&(h.frustumCulled=t.frustumCulled),void 0!==t.renderOrder&&(h.renderOrder=t.renderOrder),void 0!==t.userData&&(h.userData=t.userData),void 0!==t.layers&&(h.layers.mask=t.layers),void 0!==t.children){const l=t.children;for(let t=0;t<l.length;t++)h.add(this.parseObject(l[t],n,r,d))}if(void 0!==t.animations){const n=t.animations;for(let t=0;t<n.length;t++){const r=n[t];h.animations.push(d[r])}}if("LOD"===t.type){void 0!==t.autoUpdate&&(h.autoUpdate=t.autoUpdate);const n=t.levels;for(let t=0;t<n.length;t++){const r=n[t],l=h.getObjectByProperty("uuid",r.object);void 0!==l&&h.addLevel(l,r.distance)}}return h}bindSkeletons(t,n){0!==Object.keys(n).length&&t.traverse((function(t){if(!0===t.isSkinnedMesh&&void 0!==t.skeleton){const r=n[t.skeleton];void 0===r?l.warn("THREE.ObjectLoader: No skeleton found with UUID:",t.skeleton):t.bind(r,t.bindMatrix)}}))}setTexturePath(t){return l.warn("THREE.ObjectLoader: .setTexturePath() has been renamed to .setResourcePath()."),this.setResourcePath(t)}}const qd={UVMapping:xe,CubeReflectionMapping:we,CubeRefractionMapping:Se,EquirectangularReflectionMapping:_e,EquirectangularRefractionMapping:Ee,CubeUVReflectionMapping:Me,CubeUVRefractionMapping:Te},Xd={RepeatWrapping:Ce,ClampToEdgeWrapping:Ae,MirroredRepeatWrapping:ke},Yd={NearestFilter:Oe,NearestMipmapNearestFilter:Ie,NearestMipmapLinearFilter:Pe,LinearFilter:De,LinearMipmapNearestFilter:Fe,LinearMipmapLinearFilter:Be};function Zd(t){"undefined"==typeof createImageBitmap&&l.warn("THREE.ImageBitmapLoader: createImageBitmap() not supported."),"undefined"==typeof fetch&&l.warn("THREE.ImageBitmapLoader: fetch() not supported."),Kc.call(this,t),this.options={premultiplyAlpha:"none"}}function Kd(){this.type="ShapePath",this.color=new Color,this.subPaths=[],this.currentPath=null}Zd.prototype=Object.assign(Object.create(Kc.prototype),{constructor:Zd,isImageBitmapLoader:!0,setOptions:function(t){return this.options=t,this},load:function(t,n,r,l){void 0===t&&(t=""),void 0!==this.path&&(t=this.path+t),t=this.manager.resolveURL(t);const d=this,h=Xc.get(t);if(void 0!==h)return d.manager.itemStart(t),setTimeout((function(){n&&n(h),d.manager.itemEnd(t)}),0),h;const p={};p.credentials="anonymous"===this.crossOrigin?"same-origin":"include",fetch(t,p).then((function(t){return t.blob()})).then((function(t){return createImageBitmap(t,d.options)})).then((function(r){Xc.add(t,r),n&&n(r),d.manager.itemEnd(t)})).catch((function(n){l&&l(n),d.manager.itemError(t),d.manager.itemEnd(t)})),d.manager.itemStart(t)}}),Object.assign(Kd.prototype,{moveTo:function(t,n){return this.currentPath=new Cd,this.subPaths.push(this.currentPath),this.currentPath.moveTo(t,n),this},lineTo:function(t,n){return this.currentPath.lineTo(t,n),this},quadraticCurveTo:function(t,n,r,l){return this.currentPath.quadraticCurveTo(t,n,r,l),this},bezierCurveTo:function(t,n,r,l,d,h){return this.currentPath.bezierCurveTo(t,n,r,l,d,h),this},splineThru:function(t){return this.currentPath.splineThru(t),this},toShapes:function(t,n){function r(t){const n=[];for(let r=0,l=t.length;r<l;r++){const l=t[r],d=new Ad;d.curves=l.curves,n.push(d)}return n}function l(t,n){const r=n.length;let l=!1;for(let d=r-1,h=0;h<r;d=h++){let r=n[d],p=n[h],f=p.x-r.x,m=p.y-r.y;if(Math.abs(m)>Number.EPSILON){if(m<0&&(r=n[h],f=-f,p=n[d],m=-m),t.y<r.y||t.y>p.y)continue;if(t.y===r.y){if(t.x===r.x)return!0}else{const n=m*(t.x-r.x)-f*(t.y-r.y);if(0===n)return!0;if(n<0)continue;l=!l}}else{if(t.y!==r.y)continue;if(p.x<=t.x&&t.x<=r.x||r.x<=t.x&&t.x<=p.x)return!0}}return l}const d=gc.isClockWise,h=this.subPaths;if(0===h.length)return[];if(!0===n)return r(h);let p,f,m;const g=[];if(1===h.length)return f=h[0],m=new Ad,m.curves=f.curves,g.push(m),g;let y=!d(h[0].getPoints());y=t?!y:y;const v=[],b=[];let x,w,S=[],_=0;b[_]=void 0,S[_]=[];for(let n=0,r=h.length;n<r;n++)f=h[n],x=f.getPoints(),p=d(x),p=t?!p:p,p?(!y&&b[_]&&_++,b[_]={s:new Ad,p:x},b[_].s.curves=f.curves,y&&_++,S[_]=[]):S[_].push({h:f,p:x[0]});if(!b[0])return r(h);if(b.length>1){let t=!1;const n=[];for(let t=0,n=b.length;t<n;t++)v[t]=[];for(let r=0,d=b.length;r<d;r++){const d=S[r];for(let h=0;h<d.length;h++){const p=d[h];let f=!0;for(let d=0;d<b.length;d++)l(p.p,b[d].p)&&(r!==d&&n.push({froms:r,tos:d,hole:h}),f?(f=!1,v[d].push(p)):t=!0);f&&v[r].push(p)}}n.length>0&&(t||(S=v))}for(let t=0,n=b.length;t<n;t++){m=b[t].s,g.push(m),w=S[t];for(let t=0,n=w.length;t<n;t++)m.holes.push(w[t].h)}return g}});class Font{constructor(t){Object.defineProperty(this,"isFont",{value:!0}),this.type="Font",this.data=t}generateShapes(t,n=100){const r=[],l=function(t,n,r){const l=Array.from?Array.from(t):String(t).split(""),d=n/r.resolution,h=(r.boundingBox.yMax-r.boundingBox.yMin+r.underlineThickness)*d,p=[];let f=0,m=0;for(let t=0;t<l.length;t++){const n=l[t];if("\n"===n)f=0,m-=h;else{const t=Jd(n,d,f,m,r);f+=t.offsetX,p.push(t.path)}}return p}(t,n,this.data);for(let t=0,n=l.length;t<n;t++)Array.prototype.push.apply(r,l[t].toShapes());return r}}function Jd(t,n,r,d,h){const p=h.glyphs[t]||h.glyphs["?"];if(!p)return void l.error('THREE.Font: character "'+t+'" does not exists in font family '+h.familyName+".");const f=new Kd;let m,g,y,v,b,x,w,S;if(p.o){const t=p._cachedOutline||(p._cachedOutline=p.o.split(" "));for(let l=0,h=t.length;l<h;){switch(t[l++]){case"m":m=t[l++]*n+r,g=t[l++]*n+d,f.moveTo(m,g);break;case"l":m=t[l++]*n+r,g=t[l++]*n+d,f.lineTo(m,g);break;case"q":y=t[l++]*n+r,v=t[l++]*n+d,b=t[l++]*n+r,x=t[l++]*n+d,f.quadraticCurveTo(b,x,y,v);break;case"b":y=t[l++]*n+r,v=t[l++]*n+d,b=t[l++]*n+r,x=t[l++]*n+d,w=t[l++]*n+r,S=t[l++]*n+d,f.bezierCurveTo(b,x,w,S,y,v)}}}return{offsetX:p.ha*n,path:f}}function Qd(t){Kc.call(this,t)}let eu;Qd.prototype=Object.assign(Object.create(Kc.prototype),{constructor:Qd,load:function(t,n,r,d){const h=this,p=new Qc(this.manager);p.setPath(this.path),p.setRequestHeader(this.requestHeader),p.setWithCredentials(h.withCredentials),p.load(t,(function(t){let r;try{r=JSON.parse(t)}catch(n){l.warn("THREE.FontLoader: typeface.js support is being deprecated. Use typeface.json instead."),r=JSON.parse(t.substring(65,t.length-2))}const d=h.parse(r);n&&n(d)}),r,d)},parse:function(t){return new Font(t)}});const tu={getContext:function(){return void 0===eu&&(eu=new(window.AudioContext||window.webkitAudioContext)),eu},setContext:function(t){eu=t}};function iu(t){Kc.call(this,t)}function nu(t,n,r){jd.call(this,void 0,r);const l=(new Color).set(t),d=(new Color).set(n),h=new Vector3(l.r,l.g,l.b),p=new Vector3(d.r,d.g,d.b),f=Math.sqrt(Math.PI),m=f*Math.sqrt(.75);this.sh.coefficients[0].copy(h).add(p).multiplyScalar(f),this.sh.coefficients[1].copy(h).sub(p).multiplyScalar(m)}function ru(t,n){jd.call(this,void 0,n);const r=(new Color).set(t);this.sh.coefficients[0].set(r.r,r.g,r.b).multiplyScalar(2*Math.sqrt(Math.PI))}iu.prototype=Object.assign(Object.create(Kc.prototype),{constructor:iu,load:function(t,n,r,d){const h=this,p=new Qc(h.manager);p.setResponseType("arraybuffer"),p.setPath(h.path),p.setRequestHeader(h.requestHeader),p.setWithCredentials(h.withCredentials),p.load(t,(function(r){try{const t=r.slice(0);tu.getContext().decodeAudioData(t,(function(t){n(t)}))}catch(n){d?d(n):l.error(n),h.manager.itemError(t)}}),r,d)}}),nu.prototype=Object.assign(Object.create(jd.prototype),{constructor:nu,isHemisphereLightProbe:!0,copy:function(t){return jd.prototype.copy.call(this,t),this},toJSON:function(t){return jd.prototype.toJSON.call(this,t)}}),ru.prototype=Object.assign(Object.create(jd.prototype),{constructor:ru,isAmbientLightProbe:!0,copy:function(t){return jd.prototype.copy.call(this,t),this},toJSON:function(t){return jd.prototype.toJSON.call(this,t)}});const ou=new Matrix4,au=new Matrix4;function su(){this.type="StereoCamera",this.aspect=1,this.eyeSep=.064,this.cameraL=new bo,this.cameraL.layers.enable(1),this.cameraL.matrixAutoUpdate=!1,this.cameraR=new bo,this.cameraR.layers.enable(2),this.cameraR.matrixAutoUpdate=!1,this._cache={focus:null,fov:null,aspect:null,near:null,far:null,zoom:null,eyeSep:null}}Object.assign(su.prototype,{update:function(t){const n=this._cache;if(n.focus!==t.focus||n.fov!==t.fov||n.aspect!==t.aspect*this.aspect||n.near!==t.near||n.far!==t.far||n.zoom!==t.zoom||n.eyeSep!==this.eyeSep){n.focus=t.focus,n.fov=t.fov,n.aspect=t.aspect*this.aspect,n.near=t.near,n.far=t.far,n.zoom=t.zoom,n.eyeSep=this.eyeSep;const r=t.projectionMatrix.clone(),l=n.eyeSep/2,d=l*n.near/n.focus,h=n.near*Math.tan(en.DEG2RAD*n.fov*.5)/n.zoom;let p,f;au.elements[12]=-l,ou.elements[12]=l,p=-h*n.aspect+d,f=h*n.aspect+d,r.elements[0]=2*n.near/(f-p),r.elements[8]=(f+p)/(f-p),this.cameraL.projectionMatrix.copy(r),p=-h*n.aspect-d,f=h*n.aspect-d,r.elements[0]=2*n.near/(f-p),r.elements[8]=(f+p)/(f-p),this.cameraR.projectionMatrix.copy(r)}this.cameraL.matrixWorld.copy(t.matrixWorld).multiply(au),this.cameraR.matrixWorld.copy(t.matrixWorld).multiply(ou)}});class Clock{constructor(t){this.autoStart=void 0===t||t,this.startTime=0,this.oldTime=0,this.elapsedTime=0,this.running=!1}start(){this.startTime=lu(),this.oldTime=this.startTime,this.elapsedTime=0,this.running=!0}stop(){this.getElapsedTime(),this.running=!1,this.autoStart=!1}getElapsedTime(){return this.getDelta(),this.elapsedTime}getDelta(){let t=0;if(this.autoStart&&!this.running)return this.start(),0;if(this.running){const n=lu();t=(n-this.oldTime)/1e3,this.oldTime=n,this.elapsedTime+=t}return t}}function lu(){return("undefined"==typeof performance?Date:performance).now()}const cu=new Vector3,du=new Quaternion,uu=new Vector3,hu=new Vector3;class AudioListener extends Qn{constructor(){super(),this.type="AudioListener",this.context=tu.getContext(),this.gain=this.context.createGain(),this.gain.connect(this.context.destination),this.filter=null,this.timeDelta=0,this._clock=new Clock}getInput(){return this.gain}removeFilter(){return null!==this.filter&&(this.gain.disconnect(this.filter),this.filter.disconnect(this.context.destination),this.gain.connect(this.context.destination),this.filter=null),this}getFilter(){return this.filter}setFilter(t){return null!==this.filter?(this.gain.disconnect(this.filter),this.filter.disconnect(this.context.destination)):this.gain.disconnect(this.context.destination),this.filter=t,this.gain.connect(this.filter),this.filter.connect(this.context.destination),this}getMasterVolume(){return this.gain.gain.value}setMasterVolume(t){return this.gain.gain.setTargetAtTime(t,this.context.currentTime,.01),this}updateMatrixWorld(t){super.updateMatrixWorld(t);const n=this.context.listener,r=this.up;if(this.timeDelta=this._clock.getDelta(),this.matrixWorld.decompose(cu,du,uu),hu.set(0,0,-1).applyQuaternion(du),n.positionX){const t=this.context.currentTime+this.timeDelta;n.positionX.linearRampToValueAtTime(cu.x,t),n.positionY.linearRampToValueAtTime(cu.y,t),n.positionZ.linearRampToValueAtTime(cu.z,t),n.forwardX.linearRampToValueAtTime(hu.x,t),n.forwardY.linearRampToValueAtTime(hu.y,t),n.forwardZ.linearRampToValueAtTime(hu.z,t),n.upX.linearRampToValueAtTime(r.x,t),n.upY.linearRampToValueAtTime(r.y,t),n.upZ.linearRampToValueAtTime(r.z,t)}else n.setPosition(cu.x,cu.y,cu.z),n.setOrientation(hu.x,hu.y,hu.z,r.x,r.y,r.z)}}class Audio extends Qn{constructor(t){super(),this.type="Audio",this.listener=t,this.context=t.context,this.gain=this.context.createGain(),this.gain.connect(t.getInput()),this.autoplay=!1,this.buffer=null,this.detune=0,this.loop=!1,this.loopStart=0,this.loopEnd=0,this.offset=0,this.duration=void 0,this.playbackRate=1,this.isPlaying=!1,this.hasPlaybackControl=!0,this.source=null,this.sourceType="empty",this._startedAt=0,this._progress=0,this._connected=!1,this.filters=[]}getOutput(){return this.gain}setNodeSource(t){return this.hasPlaybackControl=!1,this.sourceType="audioNode",this.source=t,this.connect(),this}setMediaElementSource(t){return this.hasPlaybackControl=!1,this.sourceType="mediaNode",this.source=this.context.createMediaElementSource(t),this.connect(),this}setMediaStreamSource(t){return this.hasPlaybackControl=!1,this.sourceType="mediaStreamNode",this.source=this.context.createMediaStreamSource(t),this.connect(),this}setBuffer(t){return this.buffer=t,this.sourceType="buffer",this.autoplay&&this.play(),this}play(t=0){if(!0===this.isPlaying)return void l.warn("THREE.Audio: Audio is already playing.");if(!1===this.hasPlaybackControl)return void l.warn("THREE.Audio: this Audio has no playback control.");this._startedAt=this.context.currentTime+t;const n=this.context.createBufferSource();return n.buffer=this.buffer,n.loop=this.loop,n.loopStart=this.loopStart,n.loopEnd=this.loopEnd,n.onended=this.onEnded.bind(this),n.start(this._startedAt,this._progress+this.offset,this.duration),this.isPlaying=!0,this.source=n,this.setDetune(this.detune),this.setPlaybackRate(this.playbackRate),this.connect()}pause(){if(!1!==this.hasPlaybackControl)return!0===this.isPlaying&&(this._progress+=Math.max(this.context.currentTime-this._startedAt,0)*this.playbackRate,!0===this.loop&&(this._progress=this._progress%(this.duration||this.buffer.duration)),this.source.stop(),this.source.onended=null,this.isPlaying=!1),this;l.warn("THREE.Audio: this Audio has no playback control.")}stop(){if(!1!==this.hasPlaybackControl)return this._progress=0,this.source.stop(),this.source.onended=null,this.isPlaying=!1,this;l.warn("THREE.Audio: this Audio has no playback control.")}connect(){if(this.filters.length>0){this.source.connect(this.filters[0]);for(let t=1,n=this.filters.length;t<n;t++)this.filters[t-1].connect(this.filters[t]);this.filters[this.filters.length-1].connect(this.getOutput())}else this.source.connect(this.getOutput());return this._connected=!0,this}disconnect(){if(this.filters.length>0){this.source.disconnect(this.filters[0]);for(let t=1,n=this.filters.length;t<n;t++)this.filters[t-1].disconnect(this.filters[t]);this.filters[this.filters.length-1].disconnect(this.getOutput())}else this.source.disconnect(this.getOutput());return this._connected=!1,this}getFilters(){return this.filters}setFilters(t){return t||(t=[]),!0===this._connected?(this.disconnect(),this.filters=t.slice(),this.connect()):this.filters=t.slice(),this}setDetune(t){if(this.detune=t,void 0!==this.source.detune)return!0===this.isPlaying&&this.source.detune.setTargetAtTime(this.detune,this.context.currentTime,.01),this}getDetune(){return this.detune}getFilter(){return this.getFilters()[0]}setFilter(t){return this.setFilters(t?[t]:[])}setPlaybackRate(t){if(!1!==this.hasPlaybackControl)return this.playbackRate=t,!0===this.isPlaying&&this.source.playbackRate.setTargetAtTime(this.playbackRate,this.context.currentTime,.01),this;l.warn("THREE.Audio: this Audio has no playback control.")}getPlaybackRate(){return this.playbackRate}onEnded(){this.isPlaying=!1}getLoop(){return!1===this.hasPlaybackControl?(l.warn("THREE.Audio: this Audio has no playback control."),!1):this.loop}setLoop(t){if(!1!==this.hasPlaybackControl)return this.loop=t,!0===this.isPlaying&&(this.source.loop=this.loop),this;l.warn("THREE.Audio: this Audio has no playback control.")}setLoopStart(t){return this.loopStart=t,this}setLoopEnd(t){return this.loopEnd=t,this}getVolume(){return this.gain.gain.value}setVolume(t){return this.gain.gain.setTargetAtTime(t,this.context.currentTime,.01),this}}const pu=new Vector3,fu=new Quaternion,mu=new Vector3,gu=new Vector3;class PositionalAudio extends Audio{constructor(t){super(t),this.panner=this.context.createPanner(),this.panner.panningModel="HRTF",this.panner.connect(this.gain)}getOutput(){return this.panner}getRefDistance(){return this.panner.refDistance}setRefDistance(t){return this.panner.refDistance=t,this}getRolloffFactor(){return this.panner.rolloffFactor}setRolloffFactor(t){return this.panner.rolloffFactor=t,this}getDistanceModel(){return this.panner.distanceModel}setDistanceModel(t){return this.panner.distanceModel=t,this}getMaxDistance(){return this.panner.maxDistance}setMaxDistance(t){return this.panner.maxDistance=t,this}setDirectionalCone(t,n,r){return this.panner.coneInnerAngle=t,this.panner.coneOuterAngle=n,this.panner.coneOuterGain=r,this}updateMatrixWorld(t){if(super.updateMatrixWorld(t),!0===this.hasPlaybackControl&&!1===this.isPlaying)return;this.matrixWorld.decompose(pu,fu,mu),gu.set(0,0,1).applyQuaternion(fu);const n=this.panner;if(n.positionX){const t=this.context.currentTime+this.listener.timeDelta;n.positionX.linearRampToValueAtTime(pu.x,t),n.positionY.linearRampToValueAtTime(pu.y,t),n.positionZ.linearRampToValueAtTime(pu.z,t),n.orientationX.linearRampToValueAtTime(gu.x,t),n.orientationY.linearRampToValueAtTime(gu.y,t),n.orientationZ.linearRampToValueAtTime(gu.z,t)}else n.setPosition(pu.x,pu.y,pu.z),n.setOrientation(gu.x,gu.y,gu.z)}}class AudioAnalyser{constructor(t,n=2048){this.analyser=t.context.createAnalyser(),this.analyser.fftSize=n,this.data=new Uint8Array(this.analyser.frequencyBinCount),t.getOutput().connect(this.analyser)}getFrequencyData(){return this.analyser.getByteFrequencyData(this.data),this.data}getAverageFrequency(){let t=0;const n=this.getFrequencyData();for(let r=0;r<n.length;r++)t+=n[r];return t/n.length}}function yu(t,n,r){let l,d,h;switch(this.binding=t,this.valueSize=r,n){case"quaternion":l=this._slerp,d=this._slerpAdditive,h=this._setAdditiveIdentityQuaternion,this.buffer=new Float64Array(6*r),this._workIndex=5;break;case"string":case"bool":l=this._select,d=this._select,h=this._setAdditiveIdentityOther,this.buffer=new Array(5*r);break;default:l=this._lerp,d=this._lerpAdditive,h=this._setAdditiveIdentityNumeric,this.buffer=new Float64Array(5*r)}this._mixBufferRegion=l,this._mixBufferRegionAdditive=d,this._setIdentity=h,this._origIndex=3,this._addIndex=4,this.cumulativeWeight=0,this.cumulativeWeightAdditive=0,this.useCount=0,this.referenceCount=0}Object.assign(yu.prototype,{accumulate:function(t,n){const r=this.buffer,l=this.valueSize,d=t*l+l;let h=this.cumulativeWeight;if(0===h){for(let t=0;t!==l;++t)r[d+t]=r[t];h=n}else{h+=n;const t=n/h;this._mixBufferRegion(r,d,0,t,l)}this.cumulativeWeight=h},accumulateAdditive:function(t){const n=this.buffer,r=this.valueSize,l=r*this._addIndex;0===this.cumulativeWeightAdditive&&this._setIdentity(),this._mixBufferRegionAdditive(n,l,0,t,r),this.cumulativeWeightAdditive+=t},apply:function(t){const n=this.valueSize,r=this.buffer,l=t*n+n,d=this.cumulativeWeight,h=this.cumulativeWeightAdditive,p=this.binding;if(this.cumulativeWeight=0,this.cumulativeWeightAdditive=0,d<1){const t=n*this._origIndex;this._mixBufferRegion(r,l,t,1-d,n)}h>0&&this._mixBufferRegionAdditive(r,l,this._addIndex*n,1,n);for(let t=n,d=n+n;t!==d;++t)if(r[t]!==r[t+n]){p.setValue(r,l);break}},saveOriginalState:function(){const t=this.binding,n=this.buffer,r=this.valueSize,l=r*this._origIndex;t.getValue(n,l);for(let t=r,d=l;t!==d;++t)n[t]=n[l+t%r];this._setIdentity(),this.cumulativeWeight=0,this.cumulativeWeightAdditive=0},restoreOriginalState:function(){const t=3*this.valueSize;this.binding.setValue(this.buffer,t)},_setAdditiveIdentityNumeric:function(){const t=this._addIndex*this.valueSize,n=t+this.valueSize;for(let r=t;r<n;r++)this.buffer[r]=0},_setAdditiveIdentityQuaternion:function(){this._setAdditiveIdentityNumeric(),this.buffer[this._addIndex*this.valueSize+3]=1},_setAdditiveIdentityOther:function(){const t=this._origIndex*this.valueSize,n=this._addIndex*this.valueSize;for(let r=0;r<this.valueSize;r++)this.buffer[n+r]=this.buffer[t+r]},_select:function(t,n,r,l,d){if(l>=.5)for(let l=0;l!==d;++l)t[n+l]=t[r+l]},_slerp:function(t,n,r,l){Quaternion.slerpFlat(t,n,t,n,t,r,l)},_slerpAdditive:function(t,n,r,l,d){const h=this._workIndex*d;Quaternion.multiplyQuaternionsFlat(t,h,t,n,t,r),Quaternion.slerpFlat(t,n,t,n,t,h,l)},_lerp:function(t,n,r,l,d){const h=1-l;for(let p=0;p!==d;++p){const d=n+p;t[d]=t[d]*h+t[r+p]*l}},_lerpAdditive:function(t,n,r,l,d){for(let h=0;h!==d;++h){const d=n+h;t[d]=t[d]+t[r+h]*l}}});const vu="\\[\\]\\.:\\/",bu=new RegExp("["+vu+"]","g"),xu="[^"+vu+"]",wu="[^"+vu.replace("\\.","")+"]",Su=/((?:WC+[\/:])*)/.source.replace("WC",xu),_u=/(WCOD+)?/.source.replace("WCOD",wu),Eu=/(?:\.(WC+)(?:\[(.+)\])?)?/.source.replace("WC",xu),Mu=/\.(WC+)(?:\[(.+)\])?/.source.replace("WC",xu),Tu=new RegExp("^"+Su+_u+Eu+Mu+"$"),Cu=["material","materials","bones"];function Au(t,n,r){const l=r||ku.parseTrackName(n);this._targetGroup=t,this._bindings=t.subscribe_(n,l)}function ku(t,n,r){this.path=n,this.parsedPath=r||ku.parseTrackName(n),this.node=ku.findNode(t,this.parsedPath.nodeName)||t,this.rootNode=t}function Ou(){this.uuid=en.generateUUID(),this._objects=Array.prototype.slice.call(arguments),this.nCachedObjects_=0;const t={};this._indicesByUUID=t;for(let n=0,r=arguments.length;n!==r;++n)t[arguments[n].uuid]=n;this._paths=[],this._parsedPaths=[],this._bindings=[],this._bindingsIndicesByPath={};const n=this;this.stats={objects:{get total(){return n._objects.length},get inUse(){return this.total-n.nCachedObjects_}},get bindingsPerObject(){return n._bindings.length}}}Object.assign(Au.prototype,{getValue:function(t,n){this.bind();const r=this._targetGroup.nCachedObjects_,l=this._bindings[r];void 0!==l&&l.getValue(t,n)},setValue:function(t,n){const r=this._bindings;for(let l=this._targetGroup.nCachedObjects_,d=r.length;l!==d;++l)r[l].setValue(t,n)},bind:function(){const t=this._bindings;for(let n=this._targetGroup.nCachedObjects_,r=t.length;n!==r;++n)t[n].bind()},unbind:function(){const t=this._bindings;for(let n=this._targetGroup.nCachedObjects_,r=t.length;n!==r;++n)t[n].unbind()}}),Object.assign(ku,{Composite:Au,create:function(t,n,r){return t&&t.isAnimationObjectGroup?new ku.Composite(t,n,r):new ku(t,n,r)},sanitizeNodeName:function(t){return t.replace(/\s/g,"_").replace(bu,"")},parseTrackName:function(t){const n=Tu.exec(t);if(!n)throw new Error("PropertyBinding: Cannot parse trackName: "+t);const r={nodeName:n[2],objectName:n[3],objectIndex:n[4],propertyName:n[5],propertyIndex:n[6]},l=r.nodeName&&r.nodeName.lastIndexOf(".");if(void 0!==l&&-1!==l){const t=r.nodeName.substring(l+1);-1!==Cu.indexOf(t)&&(r.nodeName=r.nodeName.substring(0,l),r.objectName=t)}if(null===r.propertyName||0===r.propertyName.length)throw new Error("PropertyBinding: can not parse propertyName from trackName: "+t);return r},findNode:function(t,n){if(!n||""===n||"."===n||-1===n||n===t.name||n===t.uuid)return t;if(t.skeleton){const r=t.skeleton.getBoneByName(n);if(void 0!==r)return r}if(t.children){const r=function(t){for(let l=0;l<t.length;l++){const d=t[l];if(d.name===n||d.uuid===n)return d;const h=r(d.children);if(h)return h}return null},l=r(t.children);if(l)return l}return null}}),Object.assign(ku.prototype,{_getValue_unavailable:function(){},_setValue_unavailable:function(){},BindingType:{Direct:0,EntireArray:1,ArrayElement:2,HasFromToArray:3},Versioning:{None:0,NeedsUpdate:1,MatrixWorldNeedsUpdate:2},GetterByBindingType:[function(t,n){t[n]=this.node[this.propertyName]},function(t,n){const r=this.resolvedProperty;for(let l=0,d=r.length;l!==d;++l)t[n++]=r[l]},function(t,n){t[n]=this.resolvedProperty[this.propertyIndex]},function(t,n){this.resolvedProperty.toArray(t,n)}],SetterByBindingTypeAndVersioning:[[function(t,n){this.targetObject[this.propertyName]=t[n]},function(t,n){this.targetObject[this.propertyName]=t[n],this.targetObject.needsUpdate=!0},function(t,n){this.targetObject[this.propertyName]=t[n],this.targetObject.matrixWorldNeedsUpdate=!0}],[function(t,n){const r=this.resolvedProperty;for(let l=0,d=r.length;l!==d;++l)r[l]=t[n++]},function(t,n){const r=this.resolvedProperty;for(let l=0,d=r.length;l!==d;++l)r[l]=t[n++];this.targetObject.needsUpdate=!0},function(t,n){const r=this.resolvedProperty;for(let l=0,d=r.length;l!==d;++l)r[l]=t[n++];this.targetObject.matrixWorldNeedsUpdate=!0}],[function(t,n){this.resolvedProperty[this.propertyIndex]=t[n]},function(t,n){this.resolvedProperty[this.propertyIndex]=t[n],this.targetObject.needsUpdate=!0},function(t,n){this.resolvedProperty[this.propertyIndex]=t[n],this.targetObject.matrixWorldNeedsUpdate=!0}],[function(t,n){this.resolvedProperty.fromArray(t,n)},function(t,n){this.resolvedProperty.fromArray(t,n),this.targetObject.needsUpdate=!0},function(t,n){this.resolvedProperty.fromArray(t,n),this.targetObject.matrixWorldNeedsUpdate=!0}]],getValue:function(t,n){this.bind(),this.getValue(t,n)},setValue:function(t,n){this.bind(),this.setValue(t,n)},bind:function(){let t=this.node;const n=this.parsedPath,r=n.objectName,d=n.propertyName;let h=n.propertyIndex;if(t||(t=ku.findNode(this.rootNode,n.nodeName)||this.rootNode,this.node=t),this.getValue=this._getValue_unavailable,this.setValue=this._setValue_unavailable,!t)return void l.error("THREE.PropertyBinding: Trying to update node for track: "+this.path+" but it wasn't found.");if(r){let d=n.objectIndex;switch(r){case"materials":if(!t.material)return void l.error("THREE.PropertyBinding: Can not bind to material as node does not have a material.",this);if(!t.material.materials)return void l.error("THREE.PropertyBinding: Can not bind to material.materials as node.material does not have a materials array.",this);t=t.material.materials;break;case"bones":if(!t.skeleton)return void l.error("THREE.PropertyBinding: Can not bind to bones as node does not have a skeleton.",this);t=t.skeleton.bones;for(let n=0;n<t.length;n++)if(t[n].name===d){d=n;break}break;default:if(void 0===t[r])return void l.error("THREE.PropertyBinding: Can not bind to objectName of node undefined.",this);t=t[r]}if(void 0!==d){if(void 0===t[d])return void l.error("THREE.PropertyBinding: Trying to bind to objectIndex of objectName, but is undefined.",this,t);t=t[d]}}const p=t[d];if(void 0===p){const r=n.nodeName;return void l.error("THREE.PropertyBinding: Trying to update property for track: "+r+"."+d+" but it wasn't found.",t)}let f=this.Versioning.None;this.targetObject=t,void 0!==t.needsUpdate?f=this.Versioning.NeedsUpdate:void 0!==t.matrixWorldNeedsUpdate&&(f=this.Versioning.MatrixWorldNeedsUpdate);let m=this.BindingType.Direct;if(void 0!==h){if("morphTargetInfluences"===d){if(!t.geometry)return void l.error("THREE.PropertyBinding: Can not bind to morphTargetInfluences because node does not have a geometry.",this);if(!t.geometry.isBufferGeometry)return void l.error("THREE.PropertyBinding: Can not bind to morphTargetInfluences on THREE.Geometry. Use THREE.BufferGeometry instead.",this);if(!t.geometry.morphAttributes)return void l.error("THREE.PropertyBinding: Can not bind to morphTargetInfluences because node does not have a geometry.morphAttributes.",this);void 0!==t.morphTargetDictionary[h]&&(h=t.morphTargetDictionary[h])}m=this.BindingType.ArrayElement,this.resolvedProperty=p,this.propertyIndex=h}else void 0!==p.fromArray&&void 0!==p.toArray?(m=this.BindingType.HasFromToArray,this.resolvedProperty=p):Array.isArray(p)?(m=this.BindingType.EntireArray,this.resolvedProperty=p):this.propertyName=d;this.getValue=this.GetterByBindingType[m],this.setValue=this.SetterByBindingTypeAndVersioning[m][f]},unbind:function(){this.node=null,this.getValue=this._getValue_unbound,this.setValue=this._setValue_unbound}}),Object.assign(ku.prototype,{_getValue_unbound:ku.prototype.getValue,_setValue_unbound:ku.prototype.setValue}),Object.assign(Ou.prototype,{isAnimationObjectGroup:!0,add:function(){const t=this._objects,n=this._indicesByUUID,r=this._paths,d=this._parsedPaths,h=this._bindings,p=h.length;let f,m=t.length,g=this.nCachedObjects_;for(let y=0,v=arguments.length;y!==v;++y){const v=arguments[y],b=v.uuid;let x=n[b];if(void 0===x){x=m++,n[b]=x,t.push(v);for(let t=0,n=p;t!==n;++t)h[t].push(new ku(v,r[t],d[t]))}else if(x<g){f=t[x];const l=--g,m=t[l];n[m.uuid]=x,t[x]=m,n[b]=l,t[l]=v;for(let t=0,n=p;t!==n;++t){const n=h[t],p=n[l];let f=n[x];n[x]=p,void 0===f&&(f=new ku(v,r[t],d[t])),n[l]=f}}else t[x]!==f&&l.error("THREE.AnimationObjectGroup: Different objects with the same UUID detected. Clean the caches or recreate your infrastructure when reloading scenes.")}this.nCachedObjects_=g},remove:function(){const t=this._objects,n=this._indicesByUUID,r=this._bindings,l=r.length;let d=this.nCachedObjects_;for(let h=0,p=arguments.length;h!==p;++h){const p=arguments[h],f=p.uuid,m=n[f];if(void 0!==m&&m>=d){const h=d++,g=t[h];n[g.uuid]=m,t[m]=g,n[f]=h,t[h]=p;for(let t=0,n=l;t!==n;++t){const n=r[t],l=n[h],d=n[m];n[m]=l,n[h]=d}}}this.nCachedObjects_=d},uncache:function(){const t=this._objects,n=this._indicesByUUID,r=this._bindings,l=r.length;let d=this.nCachedObjects_,h=t.length;for(let p=0,f=arguments.length;p!==f;++p){const f=arguments[p].uuid,m=n[f];if(void 0!==m)if(delete n[f],m<d){const p=--d,f=t[p],g=--h,y=t[g];n[f.uuid]=m,t[m]=f,n[y.uuid]=p,t[p]=y,t.pop();for(let t=0,n=l;t!==n;++t){const n=r[t],l=n[p],d=n[g];n[m]=l,n[p]=d,n.pop()}}else{const d=--h,p=t[d];d>0&&(n[p.uuid]=m),t[m]=p,t.pop();for(let t=0,n=l;t!==n;++t){const n=r[t];n[m]=n[d],n.pop()}}}this.nCachedObjects_=d},subscribe_:function(t,n){const r=this._bindingsIndicesByPath;let l=r[t];const d=this._bindings;if(void 0!==l)return d[l];const h=this._paths,p=this._parsedPaths,f=this._objects,m=f.length,g=this.nCachedObjects_,y=new Array(m);l=d.length,r[t]=l,h.push(t),p.push(n),d.push(y);for(let r=g,l=f.length;r!==l;++r){const l=f[r];y[r]=new ku(l,t,n)}return y},unsubscribe_:function(t){const n=this._bindingsIndicesByPath,r=n[t];if(void 0!==r){const l=this._paths,d=this._parsedPaths,h=this._bindings,p=h.length-1,f=h[p];n[t[p]]=r,h[r]=f,h.pop(),d[r]=d[p],d.pop(),l[r]=l[p],l.pop()}}});class AnimationAction{constructor(t,n,r=null,l=n.blendMode){this._mixer=t,this._clip=n,this._localRoot=r,this.blendMode=l;const d=n.tracks,h=d.length,p=new Array(h),f={endingStart:ri,endingEnd:ri};for(let t=0;t!==h;++t){const n=d[t].createInterpolant(null);p[t]=n,n.settings=f}this._interpolantSettings=f,this._interpolants=p,this._propertyBindings=new Array(h),this._cacheIndex=null,this._byClipCacheIndex=null,this._timeScaleInterpolant=null,this._weightInterpolant=null,this.loop=Qt,this._loopCount=-1,this._startTime=null,this.time=0,this.timeScale=1,this._effectiveTimeScale=1,this.weight=1,this._effectiveWeight=1,this.repetitions=1/0,this.paused=!1,this.enabled=!0,this.clampWhenFinished=!1,this.zeroSlopeAtStart=!0,this.zeroSlopeAtEnd=!0}play(){return this._mixer._activateAction(this),this}stop(){return this._mixer._deactivateAction(this),this.reset()}reset(){return this.paused=!1,this.enabled=!0,this.time=0,this._loopCount=-1,this._startTime=null,this.stopFading().stopWarping()}isRunning(){return this.enabled&&!this.paused&&0!==this.timeScale&&null===this._startTime&&this._mixer._isActiveAction(this)}isScheduled(){return this._mixer._isActiveAction(this)}startAt(t){return this._startTime=t,this}setLoop(t,n){return this.loop=t,this.repetitions=n,this}setEffectiveWeight(t){return this.weight=t,this._effectiveWeight=this.enabled?t:0,this.stopFading()}getEffectiveWeight(){return this._effectiveWeight}fadeIn(t){return this._scheduleFading(t,0,1)}fadeOut(t){return this._scheduleFading(t,1,0)}crossFadeFrom(t,n,r){if(t.fadeOut(n),this.fadeIn(n),r){const r=this._clip.duration,l=t._clip.duration,d=l/r,h=r/l;t.warp(1,d,n),this.warp(h,1,n)}return this}crossFadeTo(t,n,r){return t.crossFadeFrom(this,n,r)}stopFading(){const t=this._weightInterpolant;return null!==t&&(this._weightInterpolant=null,this._mixer._takeBackControlInterpolant(t)),this}setEffectiveTimeScale(t){return this.timeScale=t,this._effectiveTimeScale=this.paused?0:t,this.stopWarping()}getEffectiveTimeScale(){return this._effectiveTimeScale}setDuration(t){return this.timeScale=this._clip.duration/t,this.stopWarping()}syncWith(t){return this.time=t.time,this.timeScale=t.timeScale,this.stopWarping()}halt(t){return this.warp(this._effectiveTimeScale,0,t)}warp(t,n,r){const l=this._mixer,d=l.time,h=this.timeScale;let p=this._timeScaleInterpolant;null===p&&(p=l._lendControlInterpolant(),this._timeScaleInterpolant=p);const f=p.parameterPositions,m=p.sampleValues;return f[0]=d,f[1]=d+r,m[0]=t/h,m[1]=n/h,this}stopWarping(){const t=this._timeScaleInterpolant;return null!==t&&(this._timeScaleInterpolant=null,this._mixer._takeBackControlInterpolant(t)),this}getMixer(){return this._mixer}getClip(){return this._clip}getRoot(){return this._localRoot||this._mixer._root}_update(t,n,r,l){if(!this.enabled)return void this._updateWeight(t);const d=this._startTime;if(null!==d){const l=(t-d)*r;if(l<0||0===r)return;this._startTime=null,n=r*l}n*=this._updateTimeScale(t);const h=this._updateTime(n),p=this._updateWeight(t);if(p>0){const t=this._interpolants,n=this._propertyBindings;if(this.blendMode===li)for(let r=0,l=t.length;r!==l;++r)t[r].evaluate(h),n[r].accumulateAdditive(p);else for(let r=0,d=t.length;r!==d;++r)t[r].evaluate(h),n[r].accumulate(l,p)}}_updateWeight(t){let n=0;if(this.enabled){n=this.weight;const r=this._weightInterpolant;if(null!==r){const l=r.evaluate(t)[0];n*=l,t>r.parameterPositions[1]&&(this.stopFading(),0===l&&(this.enabled=!1))}}return this._effectiveWeight=n,n}_updateTimeScale(t){let n=0;if(!this.paused){n=this.timeScale;const r=this._timeScaleInterpolant;if(null!==r){n*=r.evaluate(t)[0],t>r.parameterPositions[1]&&(this.stopWarping(),0===n?this.paused=!0:this.timeScale=n)}}return this._effectiveTimeScale=n,n}_updateTime(t){const n=this._clip.duration,r=this.loop;let l=this.time+t,d=this._loopCount;const h=r===ei;if(0===t)return-1===d?l:h&&1==(1&d)?n-l:l;if(r===Jt){-1===d&&(this._loopCount=0,this._setEndings(!0,!0,!1));e:{if(l>=n)l=n;else{if(!(l<0)){this.time=l;break e}l=0}this.clampWhenFinished?this.paused=!0:this.enabled=!1,this.time=l,this._mixer.dispatchEvent({type:"finished",action:this,direction:t<0?-1:1})}}else{if(-1===d&&(t>=0?(d=0,this._setEndings(!0,0===this.repetitions,h)):this._setEndings(0===this.repetitions,!0,h)),l>=n||l<0){const r=Math.floor(l/n);l-=n*r,d+=Math.abs(r);const p=this.repetitions-d;if(p<=0)this.clampWhenFinished?this.paused=!0:this.enabled=!1,l=t>0?n:0,this.time=l,this._mixer.dispatchEvent({type:"finished",action:this,direction:t>0?1:-1});else{if(1===p){const n=t<0;this._setEndings(n,!n,h)}else this._setEndings(!1,!1,h);this._loopCount=d,this.time=l,this._mixer.dispatchEvent({type:"loop",action:this,loopDelta:r})}}else this.time=l;if(h&&1==(1&d))return n-l}return l}_setEndings(t,n,r){const l=this._interpolantSettings;r?(l.endingStart=oi,l.endingEnd=oi):(l.endingStart=t?this.zeroSlopeAtStart?oi:ri:ai,l.endingEnd=n?this.zeroSlopeAtEnd?oi:ri:ai)}_scheduleFading(t,n,r){const l=this._mixer,d=l.time;let h=this._weightInterpolant;null===h&&(h=l._lendControlInterpolant(),this._weightInterpolant=h);const p=h.parameterPositions,f=h.sampleValues;return p[0]=d,f[0]=n,p[1]=d+t,f[1]=r,this}}function Iu(t){this._root=t,this._initMemoryManager(),this._accuIndex=0,this.time=0,this.timeScale=1}Iu.prototype=Object.assign(Object.create(Ki.prototype),{constructor:Iu,_bindAction:function(t,n){const r=t._localRoot||this._root,l=t._clip.tracks,d=l.length,h=t._propertyBindings,p=t._interpolants,f=r.uuid,m=this._bindingsByRootAndName;let g=m[f];void 0===g&&(g={},m[f]=g);for(let t=0;t!==d;++t){const d=l[t],m=d.name;let y=g[m];if(void 0!==y)h[t]=y;else{if(y=h[t],void 0!==y){null===y._cacheIndex&&(++y.referenceCount,this._addInactiveBinding(y,f,m));continue}const l=n&&n._propertyBindings[t].binding.parsedPath;y=new yu(ku.create(r,m,l),d.ValueTypeName,d.getValueSize()),++y.referenceCount,this._addInactiveBinding(y,f,m),h[t]=y}p[t].resultBuffer=y.buffer}},_activateAction:function(t){if(!this._isActiveAction(t)){if(null===t._cacheIndex){const n=(t._localRoot||this._root).uuid,r=t._clip.uuid,l=this._actionsByClip[r];this._bindAction(t,l&&l.knownActions[0]),this._addInactiveAction(t,r,n)}const n=t._propertyBindings;for(let t=0,r=n.length;t!==r;++t){const r=n[t];0==r.useCount++&&(this._lendBinding(r),r.saveOriginalState())}this._lendAction(t)}},_deactivateAction:function(t){if(this._isActiveAction(t)){const n=t._propertyBindings;for(let t=0,r=n.length;t!==r;++t){const r=n[t];0==--r.useCount&&(r.restoreOriginalState(),this._takeBackBinding(r))}this._takeBackAction(t)}},_initMemoryManager:function(){this._actions=[],this._nActiveActions=0,this._actionsByClip={},this._bindings=[],this._nActiveBindings=0,this._bindingsByRootAndName={},this._controlInterpolants=[],this._nActiveControlInterpolants=0;const t=this;this.stats={actions:{get total(){return t._actions.length},get inUse(){return t._nActiveActions}},bindings:{get total(){return t._bindings.length},get inUse(){return t._nActiveBindings}},controlInterpolants:{get total(){return t._controlInterpolants.length},get inUse(){return t._nActiveControlInterpolants}}}},_isActiveAction:function(t){const n=t._cacheIndex;return null!==n&&n<this._nActiveActions},_addInactiveAction:function(t,n,r){const l=this._actions,d=this._actionsByClip;let h=d[n];if(void 0===h)h={knownActions:[t],actionByRoot:{}},t._byClipCacheIndex=0,d[n]=h;else{const n=h.knownActions;t._byClipCacheIndex=n.length,n.push(t)}t._cacheIndex=l.length,l.push(t),h.actionByRoot[r]=t},_removeInactiveAction:function(t){const n=this._actions,r=n[n.length-1],l=t._cacheIndex;r._cacheIndex=l,n[l]=r,n.pop(),t._cacheIndex=null;const d=t._clip.uuid,h=this._actionsByClip,p=h[d],f=p.knownActions,m=f[f.length-1],g=t._byClipCacheIndex;m._byClipCacheIndex=g,f[g]=m,f.pop(),t._byClipCacheIndex=null;delete p.actionByRoot[(t._localRoot||this._root).uuid],0===f.length&&delete h[d],this._removeInactiveBindingsForAction(t)},_removeInactiveBindingsForAction:function(t){const n=t._propertyBindings;for(let t=0,r=n.length;t!==r;++t){const r=n[t];0==--r.referenceCount&&this._removeInactiveBinding(r)}},_lendAction:function(t){const n=this._actions,r=t._cacheIndex,l=this._nActiveActions++,d=n[l];t._cacheIndex=l,n[l]=t,d._cacheIndex=r,n[r]=d},_takeBackAction:function(t){const n=this._actions,r=t._cacheIndex,l=--this._nActiveActions,d=n[l];t._cacheIndex=l,n[l]=t,d._cacheIndex=r,n[r]=d},_addInactiveBinding:function(t,n,r){const l=this._bindingsByRootAndName,d=this._bindings;let h=l[n];void 0===h&&(h={},l[n]=h),h[r]=t,t._cacheIndex=d.length,d.push(t)},_removeInactiveBinding:function(t){const n=this._bindings,r=t.binding,l=r.rootNode.uuid,d=r.path,h=this._bindingsByRootAndName,p=h[l],f=n[n.length-1],m=t._cacheIndex;f._cacheIndex=m,n[m]=f,n.pop(),delete p[d],0===Object.keys(p).length&&delete h[l]},_lendBinding:function(t){const n=this._bindings,r=t._cacheIndex,l=this._nActiveBindings++,d=n[l];t._cacheIndex=l,n[l]=t,d._cacheIndex=r,n[r]=d},_takeBackBinding:function(t){const n=this._bindings,r=t._cacheIndex,l=--this._nActiveBindings,d=n[l];t._cacheIndex=l,n[l]=t,d._cacheIndex=r,n[r]=d},_lendControlInterpolant:function(){const t=this._controlInterpolants,n=this._nActiveControlInterpolants++;let r=t[n];return void 0===r&&(r=new Fc(new Float32Array(2),new Float32Array(2),1,this._controlInterpolantsResultBuffer),r.__cacheIndex=n,t[n]=r),r},_takeBackControlInterpolant:function(t){const n=this._controlInterpolants,r=t.__cacheIndex,l=--this._nActiveControlInterpolants,d=n[l];t.__cacheIndex=l,n[l]=t,d.__cacheIndex=r,n[r]=d},_controlInterpolantsResultBuffer:new Float32Array(1),clipAction:function(t,n,r){const l=n||this._root,d=l.uuid;let h="string"==typeof t?Wc.findByName(l,t):t;const p=null!==h?h.uuid:t,f=this._actionsByClip[p];let m=null;if(void 0===r&&(r=null!==h?h.blendMode:si),void 0!==f){const t=f.actionByRoot[d];if(void 0!==t&&t.blendMode===r)return t;m=f.knownActions[0],null===h&&(h=m._clip)}if(null===h)return null;const g=new AnimationAction(this,h,n,r);return this._bindAction(g,m),this._addInactiveAction(g,p,d),g},existingAction:function(t,n){const r=n||this._root,l=r.uuid,d="string"==typeof t?Wc.findByName(r,t):t,h=d?d.uuid:t,p=this._actionsByClip[h];return void 0!==p&&p.actionByRoot[l]||null},stopAllAction:function(){const t=this._actions;for(let n=this._nActiveActions-1;n>=0;--n)t[n].stop();return this},update:function(t){t*=this.timeScale;const n=this._actions,r=this._nActiveActions,l=this.time+=t,d=Math.sign(t),h=this._accuIndex^=1;for(let p=0;p!==r;++p){n[p]._update(l,t,d,h)}const p=this._bindings,f=this._nActiveBindings;for(let t=0;t!==f;++t)p[t].apply(h);return this},setTime:function(t){this.time=0;for(let t=0;t<this._actions.length;t++)this._actions[t].time=0;return this.update(t)},getRoot:function(){return this._root},uncacheClip:function(t){const n=this._actions,r=t.uuid,l=this._actionsByClip,d=l[r];if(void 0!==d){const t=d.knownActions;for(let r=0,l=t.length;r!==l;++r){const l=t[r];this._deactivateAction(l);const d=l._cacheIndex,h=n[n.length-1];l._cacheIndex=null,l._byClipCacheIndex=null,h._cacheIndex=d,n[d]=h,n.pop(),this._removeInactiveBindingsForAction(l)}delete l[r]}},uncacheRoot:function(t){const n=t.uuid,r=this._actionsByClip;for(const t in r){const l=r[t].actionByRoot[n];void 0!==l&&(this._deactivateAction(l),this._removeInactiveAction(l))}const l=this._bindingsByRootAndName[n];if(void 0!==l)for(const t in l){const n=l[t];n.restoreOriginalState(),this._removeInactiveBinding(n)}},uncacheAction:function(t,n){const r=this.existingAction(t,n);null!==r&&(this._deactivateAction(r),this._removeInactiveAction(r))}});class Uniform{constructor(t){"string"==typeof t&&(l.warn("THREE.Uniform: Type parameter is no longer needed."),t=arguments[1]),this.value=t}clone(){return new Uniform(void 0===this.value.clone?this.value:this.value.clone())}}function Ru(t,n,r){Fs.call(this,t,n),this.meshPerAttribute=r||1}function Pu(t,n,r,l,d){this.buffer=t,this.type=n,this.itemSize=r,this.elementSize=l,this.count=d,this.version=0}function Lu(t,n,r,d){this.ray=new Ray(t,n),this.near=r||0,this.far=d||1/0,this.camera=null,this.layers=new Layers,this.params={Mesh:{},Line:{threshold:1},LOD:{},Points:{threshold:1},Sprite:{}},Object.defineProperties(this.params,{PointCloud:{get:function(){return l.warn("THREE.Raycaster: params.PointCloud has been renamed to params.Points."),this.Points}}})}function Du(t,n){return t.distance-n.distance}function Fu(t,n,r,l){if(t.layers.test(n.layers)&&t.raycast(n,r),!0===l){const l=t.children;for(let t=0,d=l.length;t<d;t++)Fu(l[t],n,r,!0)}}Ru.prototype=Object.assign(Object.create(Fs.prototype),{constructor:Ru,isInstancedInterleavedBuffer:!0,copy:function(t){return Fs.prototype.copy.call(this,t),this.meshPerAttribute=t.meshPerAttribute,this},clone:function(t){const n=Fs.prototype.clone.call(this,t);return n.meshPerAttribute=this.meshPerAttribute,n},toJSON:function(t){const n=Fs.prototype.toJSON.call(this,t);return n.isInstancedInterleavedBuffer=!0,n.meshPerAttribute=this.meshPerAttribute,n}}),Object.defineProperty(Pu.prototype,"needsUpdate",{set:function(t){!0===t&&this.version++}}),Object.assign(Pu.prototype,{isGLBufferAttribute:!0,setBuffer:function(t){return this.buffer=t,this},setType:function(t,n){return this.type=t,this.elementSize=n,this},setItemSize:function(t){return this.itemSize=t,this},setCount:function(t){return this.count=t,this}}),Object.assign(Lu.prototype,{set:function(t,n){this.ray.set(t,n)},setFromCamera:function(t,n){n&&n.isPerspectiveCamera?(this.ray.origin.setFromMatrixPosition(n.matrixWorld),this.ray.direction.set(t.x,t.y,.5).unproject(n).sub(this.ray.origin).normalize(),this.camera=n):n&&n.isOrthographicCamera?(this.ray.origin.set(t.x,t.y,(n.near+n.far)/(n.near-n.far)).unproject(n),this.ray.direction.set(0,0,-1).transformDirection(n.matrixWorld),this.camera=n):l.error("THREE.Raycaster: Unsupported camera type: "+n.type)},intersectObject:function(t,n,r){const l=r||[];return Fu(t,this,l,n),l.sort(Du),l},intersectObjects:function(t,n,r){const d=r||[];if(!1===Array.isArray(t))return l.warn("THREE.Raycaster.intersectObjects: objects is not an Array."),d;for(let r=0,l=t.length;r<l;r++)Fu(t[r],this,d,n);return d.sort(Du),d}});class Spherical{constructor(t=1,n=0,r=0){return this.radius=t,this.phi=n,this.theta=r,this}set(t,n,r){return this.radius=t,this.phi=n,this.theta=r,this}clone(){return(new this.constructor).copy(this)}copy(t){return this.radius=t.radius,this.phi=t.phi,this.theta=t.theta,this}makeSafe(){const t=1e-6;return this.phi=Math.max(t,Math.min(Math.PI-t,this.phi)),this}setFromVector3(t){return this.setFromCartesianCoords(t.x,t.y,t.z)}setFromCartesianCoords(t,n,r){return this.radius=Math.sqrt(t*t+n*n+r*r),0===this.radius?(this.theta=0,this.phi=0):(this.theta=Math.atan2(t,r),this.phi=Math.acos(en.clamp(n/this.radius,-1,1))),this}}class Cylindrical{constructor(t,n,r){return this.radius=void 0!==t?t:1,this.theta=void 0!==n?n:0,this.y=void 0!==r?r:0,this}set(t,n,r){return this.radius=t,this.theta=n,this.y=r,this}clone(){return(new this.constructor).copy(this)}copy(t){return this.radius=t.radius,this.theta=t.theta,this.y=t.y,this}setFromVector3(t){return this.setFromCartesianCoords(t.x,t.y,t.z)}setFromCartesianCoords(t,n,r){return this.radius=Math.sqrt(t*t+r*r),this.theta=Math.atan2(t,r),this.y=n,this}}const Nu=new Vector2;class Box2{constructor(t,n){Object.defineProperty(this,"isBox2",{value:!0}),this.min=void 0!==t?t:new Vector2(1/0,1/0),this.max=void 0!==n?n:new Vector2(-1/0,-1/0)}set(t,n){return this.min.copy(t),this.max.copy(n),this}setFromPoints(t){this.makeEmpty();for(let n=0,r=t.length;n<r;n++)this.expandByPoint(t[n]);return this}setFromCenterAndSize(t,n){const r=Nu.copy(n).multiplyScalar(.5);return this.min.copy(t).sub(r),this.max.copy(t).add(r),this}clone(){return(new this.constructor).copy(this)}copy(t){return this.min.copy(t.min),this.max.copy(t.max),this}makeEmpty(){return this.min.x=this.min.y=1/0,this.max.x=this.max.y=-1/0,this}isEmpty(){return this.max.x<this.min.x||this.max.y<this.min.y}getCenter(t){return void 0===t&&(l.warn("THREE.Box2: .getCenter() target is now required"),t=new Vector2),this.isEmpty()?t.set(0,0):t.addVectors(this.min,this.max).multiplyScalar(.5)}getSize(t){return void 0===t&&(l.warn("THREE.Box2: .getSize() target is now required"),t=new Vector2),this.isEmpty()?t.set(0,0):t.subVectors(this.max,this.min)}expandByPoint(t){return this.min.min(t),this.max.max(t),this}expandByVector(t){return this.min.sub(t),this.max.add(t),this}expandByScalar(t){return this.min.addScalar(-t),this.max.addScalar(t),this}containsPoint(t){return!(t.x<this.min.x||t.x>this.max.x||t.y<this.min.y||t.y>this.max.y)}containsBox(t){return this.min.x<=t.min.x&&t.max.x<=this.max.x&&this.min.y<=t.min.y&&t.max.y<=this.max.y}getParameter(t,n){return void 0===n&&(l.warn("THREE.Box2: .getParameter() target is now required"),n=new Vector2),n.set((t.x-this.min.x)/(this.max.x-this.min.x),(t.y-this.min.y)/(this.max.y-this.min.y))}intersectsBox(t){return!(t.max.x<this.min.x||t.min.x>this.max.x||t.max.y<this.min.y||t.min.y>this.max.y)}clampPoint(t,n){return void 0===n&&(l.warn("THREE.Box2: .clampPoint() target is now required"),n=new Vector2),n.copy(t).clamp(this.min,this.max)}distanceToPoint(t){return Nu.copy(t).clamp(this.min,this.max).sub(t).length()}intersect(t){return this.min.max(t.min),this.max.min(t.max),this}union(t){return this.min.min(t.min),this.max.max(t.max),this}translate(t){return this.min.add(t),this.max.add(t),this}equals(t){return t.min.equals(this.min)&&t.max.equals(this.max)}}const Bu=new Vector3,$u=new Vector3;class Line3{constructor(t,n){this.start=void 0!==t?t:new Vector3,this.end=void 0!==n?n:new Vector3}set(t,n){return this.start.copy(t),this.end.copy(n),this}clone(){return(new this.constructor).copy(this)}copy(t){return this.start.copy(t.start),this.end.copy(t.end),this}getCenter(t){return void 0===t&&(l.warn("THREE.Line3: .getCenter() target is now required"),t=new Vector3),t.addVectors(this.start,this.end).multiplyScalar(.5)}delta(t){return void 0===t&&(l.warn("THREE.Line3: .delta() target is now required"),t=new Vector3),t.subVectors(this.end,this.start)}distanceSq(){return this.start.distanceToSquared(this.end)}distance(){return this.start.distanceTo(this.end)}at(t,n){return void 0===n&&(l.warn("THREE.Line3: .at() target is now required"),n=new Vector3),this.delta(n).multiplyScalar(t).add(this.start)}closestPointToPointParameter(t,n){Bu.subVectors(t,this.start),$u.subVectors(this.end,this.start);const r=$u.dot($u);let l=$u.dot(Bu)/r;return n&&(l=en.clamp(l,0,1)),l}closestPointToPoint(t,n,r){const d=this.closestPointToPointParameter(t,n);return void 0===r&&(l.warn("THREE.Line3: .closestPointToPoint() target is now required"),r=new Vector3),this.delta(r).multiplyScalar(d).add(this.start)}applyMatrix4(t){return this.start.applyMatrix4(t),this.end.applyMatrix4(t),this}equals(t){return t.start.equals(this.start)&&t.end.equals(this.end)}}function zu(t){Qn.call(this),this.material=t,this.render=function(){},this.hasPositions=!1,this.hasNormals=!1,this.hasColors=!1,this.hasUvs=!1,this.positionArray=null,this.normalArray=null,this.colorArray=null,this.uvArray=null,this.count=0}zu.prototype=Object.create(Qn.prototype),zu.prototype.constructor=zu,zu.prototype.isImmediateRenderObject=!0;const ju=new Vector3;class SpotLightHelper extends Qn{constructor(t,n){super(),this.light=t,this.light.updateMatrixWorld(),this.matrix=t.matrixWorld,this.matrixAutoUpdate=!1,this.color=n;const r=new Gr,l=[0,0,0,0,0,1,0,0,0,1,0,1,0,0,0,-1,0,1,0,0,0,0,1,1,0,0,0,0,-1,1];for(let t=0,n=1,r=32;t<r;t++,n++){const d=t/r*Math.PI*2,h=n/r*Math.PI*2;l.push(Math.cos(d),Math.sin(d),1,Math.cos(h),Math.sin(h),1)}r.setAttribute("position",new Pr(l,3));const d=new bl({fog:!1,toneMapped:!1});this.cone=new Al(r,d),this.add(this.cone),this.update()}dispose(){this.cone.geometry.dispose(),this.cone.material.dispose()}update(){this.light.updateMatrixWorld();const t=this.light.distance?this.light.distance:1e3,n=t*Math.tan(this.light.angle);this.cone.scale.set(n,n,t),ju.setFromMatrixPosition(this.light.target.matrixWorld),this.cone.lookAt(ju),void 0!==this.color?this.cone.material.color.set(this.color):this.cone.material.color.copy(this.light.color)}}const Vu=new Vector3,Uu=new Matrix4,Hu=new Matrix4;class SkeletonHelper extends Al{constructor(t){const n=Gu(t),r=new Gr,l=[],d=[],h=new Color(0,0,1),p=new Color(0,1,0);for(let t=0;t<n.length;t++){const r=n[t];r.parent&&r.parent.isBone&&(l.push(0,0,0),l.push(0,0,0),d.push(h.r,h.g,h.b),d.push(p.r,p.g,p.b))}r.setAttribute("position",new Pr(l,3)),r.setAttribute("color",new Pr(d,3));super(r,new bl({vertexColors:!0,depthTest:!1,depthWrite:!1,toneMapped:!1,transparent:!0})),this.type="SkeletonHelper",this.isSkeletonHelper=!0,this.root=t,this.bones=n,this.matrix=t.matrixWorld,this.matrixAutoUpdate=!1}updateMatrixWorld(t){const n=this.bones,r=this.geometry,l=r.getAttribute("position");Hu.copy(this.root.matrixWorld).invert();for(let t=0,r=0;t<n.length;t++){const d=n[t];d.parent&&d.parent.isBone&&(Uu.multiplyMatrices(Hu,d.matrixWorld),Vu.setFromMatrixPosition(Uu),l.setXYZ(r,Vu.x,Vu.y,Vu.z),Uu.multiplyMatrices(Hu,d.parent.matrixWorld),Vu.setFromMatrixPosition(Uu),l.setXYZ(r+1,Vu.x,Vu.y,Vu.z),r+=2)}r.getAttribute("position").needsUpdate=!0,super.updateMatrixWorld(t)}}function Gu(t){const n=[];t&&t.isBone&&n.push(t);for(let r=0;r<t.children.length;r++)n.push.apply(n,Gu(t.children[r]));return n}class PointLightHelper extends co{constructor(t,n,r){super(new SphereGeometry(n,4,2),new wr({wireframe:!0,fog:!1,toneMapped:!1})),this.light=t,this.light.updateMatrixWorld(),this.color=r,this.type="PointLightHelper",this.matrix=this.light.matrixWorld,this.matrixAutoUpdate=!1,this.update()}dispose(){this.geometry.dispose(),this.material.dispose()}update(){void 0!==this.color?this.material.color.set(this.color):this.material.color.copy(this.light.color)}}const Wu=new Vector3,qu=new Color,Xu=new Color;class HemisphereLightHelper extends Qn{constructor(t,n,r){super(),this.light=t,this.light.updateMatrixWorld(),this.matrix=t.matrixWorld,this.matrixAutoUpdate=!1,this.color=r;const l=new OctahedronGeometry(n);l.rotateY(.5*Math.PI),this.material=new wr({wireframe:!0,fog:!1,toneMapped:!1}),void 0===this.color&&(this.material.vertexColors=!0);const d=l.getAttribute("position"),h=new Float32Array(3*d.count);l.setAttribute("color",new Er(h,3)),this.add(new co(l,this.material)),this.update()}dispose(){this.children[0].geometry.dispose(),this.children[0].material.dispose()}update(){const t=this.children[0];if(void 0!==this.color)this.material.color.set(this.color);else{const n=t.geometry.getAttribute("color");qu.copy(this.light.color),Xu.copy(this.light.groundColor);for(let t=0,r=n.count;t<r;t++){const l=t<r/2?qu:Xu;n.setXYZ(t,l.r,l.g,l.b)}n.needsUpdate=!0}t.lookAt(Wu.setFromMatrixPosition(this.light.matrixWorld).negate())}}class GridHelper extends Al{constructor(t=10,n=10,r=4473924,l=8947848){r=new Color(r),l=new Color(l);const d=n/2,h=t/n,p=t/2,f=[],m=[];for(let t=0,g=0,y=-p;t<=n;t++,y+=h){f.push(-p,0,y,p,0,y),f.push(y,0,-p,y,0,p);const n=t===d?r:l;n.toArray(m,g),g+=3,n.toArray(m,g),g+=3,n.toArray(m,g),g+=3,n.toArray(m,g),g+=3}const g=new Gr;g.setAttribute("position",new Pr(f,3)),g.setAttribute("color",new Pr(m,3));super(g,new bl({vertexColors:!0,toneMapped:!1})),this.type="GridHelper"}}class PolarGridHelper extends Al{constructor(t=10,n=16,r=8,l=64,d=4473924,h=8947848){d=new Color(d),h=new Color(h);const p=[],f=[];for(let r=0;r<=n;r++){const l=r/n*(2*Math.PI),m=Math.sin(l)*t,g=Math.cos(l)*t;p.push(0,0,0),p.push(m,0,g);const y=1&r?d:h;f.push(y.r,y.g,y.b),f.push(y.r,y.g,y.b)}for(let n=0;n<=r;n++){const m=1&n?d:h,g=t-t/r*n;for(let t=0;t<l;t++){let n=t/l*(2*Math.PI),r=Math.sin(n)*g,d=Math.cos(n)*g;p.push(r,0,d),f.push(m.r,m.g,m.b),n=(t+1)/l*(2*Math.PI),r=Math.sin(n)*g,d=Math.cos(n)*g,p.push(r,0,d),f.push(m.r,m.g,m.b)}}const m=new Gr;m.setAttribute("position",new Pr(p,3)),m.setAttribute("color",new Pr(f,3));super(m,new bl({vertexColors:!0,toneMapped:!1})),this.type="PolarGridHelper"}}const Yu=new Vector3,Zu=new Vector3,Ku=new Vector3;class DirectionalLightHelper extends Qn{constructor(t,n,r){super(),this.light=t,this.light.updateMatrixWorld(),this.matrix=t.matrixWorld,this.matrixAutoUpdate=!1,this.color=r,void 0===n&&(n=1);let l=new Gr;l.setAttribute("position",new Pr([-n,n,0,n,n,0,n,-n,0,-n,-n,0,-n,n,0],3));const d=new bl({fog:!1,toneMapped:!1});this.lightPlane=new Ml(l,d),this.add(this.lightPlane),l=new Gr,l.setAttribute("position",new Pr([0,0,0,0,0,1],3)),this.targetLine=new Ml(l,d),this.add(this.targetLine),this.update()}dispose(){this.lightPlane.geometry.dispose(),this.lightPlane.material.dispose(),this.targetLine.geometry.dispose(),this.targetLine.material.dispose()}update(){Yu.setFromMatrixPosition(this.light.matrixWorld),Zu.setFromMatrixPosition(this.light.target.matrixWorld),Ku.subVectors(Zu,Yu),this.lightPlane.lookAt(Zu),void 0!==this.color?(this.lightPlane.material.color.set(this.color),this.targetLine.material.color.set(this.color)):(this.lightPlane.material.color.copy(this.light.color),this.targetLine.material.color.copy(this.light.color)),this.targetLine.lookAt(Zu),this.targetLine.scale.z=Ku.length()}}const Ju=new Vector3,Qu=new vo;class CameraHelper extends Al{constructor(t){const n=new Gr,r=new bl({color:16777215,vertexColors:!0,toneMapped:!1}),l=[],d=[],h={},p=new Color(16755200),f=new Color(16711680),m=new Color(43775),g=new Color(16777215),y=new Color(3355443);function v(t,n,r){b(t,r),b(n,r)}function b(t,n){l.push(0,0,0),d.push(n.r,n.g,n.b),void 0===h[t]&&(h[t]=[]),h[t].push(l.length/3-1)}v("n1","n2",p),v("n2","n4",p),v("n4","n3",p),v("n3","n1",p),v("f1","f2",p),v("f2","f4",p),v("f4","f3",p),v("f3","f1",p),v("n1","f1",p),v("n2","f2",p),v("n3","f3",p),v("n4","f4",p),v("p","n1",f),v("p","n2",f),v("p","n3",f),v("p","n4",f),v("u1","u2",m),v("u2","u3",m),v("u3","u1",m),v("c","t",g),v("p","c",y),v("cn1","cn2",y),v("cn3","cn4",y),v("cf1","cf2",y),v("cf3","cf4",y),n.setAttribute("position",new Pr(l,3)),n.setAttribute("color",new Pr(d,3)),super(n,r),this.type="CameraHelper",this.camera=t,this.camera.updateProjectionMatrix&&this.camera.updateProjectionMatrix(),this.matrix=t.matrixWorld,this.matrixAutoUpdate=!1,this.pointMap=h,this.update()}update(){const t=this.geometry,n=this.pointMap;Qu.projectionMatrixInverse.copy(this.camera.projectionMatrixInverse),eh("c",n,t,Qu,0,0,-1),eh("t",n,t,Qu,0,0,1),eh("n1",n,t,Qu,-1,-1,-1),eh("n2",n,t,Qu,1,-1,-1),eh("n3",n,t,Qu,-1,1,-1),eh("n4",n,t,Qu,1,1,-1),eh("f1",n,t,Qu,-1,-1,1),eh("f2",n,t,Qu,1,-1,1),eh("f3",n,t,Qu,-1,1,1),eh("f4",n,t,Qu,1,1,1),eh("u1",n,t,Qu,.7,1.1,-1),eh("u2",n,t,Qu,-.7,1.1,-1),eh("u3",n,t,Qu,0,2,-1),eh("cf1",n,t,Qu,-1,0,1),eh("cf2",n,t,Qu,1,0,1),eh("cf3",n,t,Qu,0,-1,1),eh("cf4",n,t,Qu,0,1,1),eh("cn1",n,t,Qu,-1,0,-1),eh("cn2",n,t,Qu,1,0,-1),eh("cn3",n,t,Qu,0,-1,-1),eh("cn4",n,t,Qu,0,1,-1),t.getAttribute("position").needsUpdate=!0}}function eh(t,n,r,l,d,h,p){Ju.set(d,h,p).unproject(l);const f=n[t];if(void 0!==f){const t=r.getAttribute("position");for(let n=0,r=f.length;n<r;n++)t.setXYZ(f[n],Ju.x,Ju.y,Ju.z)}}const th=new Box3;class BoxHelper extends Al{constructor(t,n=16776960){const r=new Uint16Array([0,1,1,2,2,3,3,0,4,5,5,6,6,7,7,4,0,4,1,5,2,6,3,7]),l=new Float32Array(24),d=new Gr;d.setIndex(new Er(r,1)),d.setAttribute("position",new Er(l,3)),super(d,new bl({color:n,toneMapped:!1})),this.object=t,this.type="BoxHelper",this.matrixAutoUpdate=!1,this.update()}update(t){if(void 0!==t&&l.warn("THREE.BoxHelper: .update() has no longer arguments."),void 0!==this.object&&th.setFromObject(this.object),th.isEmpty())return;const n=th.min,r=th.max,d=this.geometry.attributes.position,h=d.array;h[0]=r.x,h[1]=r.y,h[2]=r.z,h[3]=n.x,h[4]=r.y,h[5]=r.z,h[6]=n.x,h[7]=n.y,h[8]=r.z,h[9]=r.x,h[10]=n.y,h[11]=r.z,h[12]=r.x,h[13]=r.y,h[14]=n.z,h[15]=n.x,h[16]=r.y,h[17]=n.z,h[18]=n.x,h[19]=n.y,h[20]=n.z,h[21]=r.x,h[22]=n.y,h[23]=n.z,d.needsUpdate=!0,this.geometry.computeBoundingSphere()}setFromObject(t){return this.object=t,this.update(),this}copy(t){return Al.prototype.copy.call(this,t),this.object=t.object,this}}class Box3Helper extends Al{constructor(t,n=16776960){const r=new Uint16Array([0,1,1,2,2,3,3,0,4,5,5,6,6,7,7,4,0,4,1,5,2,6,3,7]),l=new Gr;l.setIndex(new Er(r,1)),l.setAttribute("position",new Pr([1,1,1,-1,1,1,-1,-1,1,1,-1,1,1,1,-1,-1,1,-1,-1,-1,-1,1,-1,-1],3)),super(l,new bl({color:n,toneMapped:!1})),this.box=t,this.type="Box3Helper",this.geometry.computeBoundingSphere()}updateMatrixWorld(t){const n=this.box;n.isEmpty()||(n.getCenter(this.position),n.getSize(this.scale),this.scale.multiplyScalar(.5),super.updateMatrixWorld(t))}}class PlaneHelper extends Ml{constructor(t,n=1,r=16776960){const l=r,d=new Gr;d.setAttribute("position",new Pr([1,-1,1,-1,1,1,-1,-1,1,1,1,1,-1,1,1,-1,-1,1,1,-1,1,1,1,1,0,0,1,0,0,0],3)),d.computeBoundingSphere(),super(d,new bl({color:l,toneMapped:!1})),this.type="PlaneHelper",this.plane=t,this.size=n;const h=new Gr;h.setAttribute("position",new Pr([1,1,1,-1,1,1,-1,-1,1,1,1,1,-1,-1,1,1,-1,1],3)),h.computeBoundingSphere(),this.add(new co(h,new wr({color:l,opacity:.2,transparent:!0,depthWrite:!1,toneMapped:!1})))}updateMatrixWorld(t){let n=-this.plane.constant;Math.abs(n)<1e-8&&(n=1e-8),this.scale.set(.5*this.size,.5*this.size,n),this.children[0].material.side=n<0?_:S,this.lookAt(this.plane.normal),super.updateMatrixWorld(t)}}const ih=new Vector3;let nh,rh;class ArrowHelper extends Qn{constructor(t,n,r,l,d,h){super(),this.type="ArrowHelper",void 0===t&&(t=new Vector3(0,0,1)),void 0===n&&(n=new Vector3(0,0,0)),void 0===r&&(r=1),void 0===l&&(l=16776960),void 0===d&&(d=.2*r),void 0===h&&(h=.2*d),void 0===nh&&(nh=new Gr,nh.setAttribute("position",new Pr([0,0,0,0,1,0],3)),rh=new CylinderGeometry(0,.5,1,5,1),rh.translate(0,-.5,0)),this.position.copy(n),this.line=new Ml(nh,new bl({color:l,toneMapped:!1})),this.line.matrixAutoUpdate=!1,this.add(this.line),this.cone=new co(rh,new wr({color:l,toneMapped:!1})),this.cone.matrixAutoUpdate=!1,this.add(this.cone),this.setDirection(t),this.setLength(r,d,h)}setDirection(t){if(t.y>.99999)this.quaternion.set(0,0,0,1);else if(t.y<-.99999)this.quaternion.set(1,0,0,0);else{ih.set(t.z,0,-t.x).normalize();const n=Math.acos(t.y);this.quaternion.setFromAxisAngle(ih,n)}}setLength(t,n,r){void 0===n&&(n=.2*t),void 0===r&&(r=.2*n),this.line.scale.set(1,Math.max(1e-4,t-n),1),this.line.updateMatrix(),this.cone.scale.set(r,n,r),this.cone.position.y=t,this.cone.updateMatrix()}setColor(t){this.line.material.color.set(t),this.cone.material.color.set(t)}copy(t){return super.copy(t,!1),this.line.copy(t.line),this.cone.copy(t.cone),this}}class AxesHelper extends Al{constructor(t=1){const n=[0,0,0,t,0,0,0,0,0,0,t,0,0,0,0,0,0,t],r=new Gr;r.setAttribute("position",new Pr(n,3)),r.setAttribute("color",new Pr([1,0,0,1,.6,0,0,1,0,.6,1,0,0,0,1,0,.6,1],3));super(r,new bl({vertexColors:!0,toneMapped:!1})),this.type="AxesHelper"}}const oh=new Float32Array(1),ah=new Int32Array(oh.buffer),sh={toHalfFloat:function(t){oh[0]=t;const n=ah[0];let r=n>>16&32768,l=n>>12&2047;const d=n>>23&255;return d<103?r:d>142?(r|=31744,r|=(255==d?0:1)&&8388607&n,r):d<113?(l|=2048,r|=(l>>114-d)+(l>>113-d&1),r):(r|=d-112<<10|l>>1,r+=1&l,r)}},lh=Math.pow(2,8),ch=[.125,.215,.35,.446,.526,.582],dh=5+ch.length,uh=20,hh={[hi]:0,[pi]:1,[mi]:2,[yi]:3,[vi]:4,[bi]:5,[fi]:6},ph=new wr({side:_,depthWrite:!1,depthTest:!1}),fh=new co(new BoxGeometry,ph),mh=new Fd,{_lodPlanes:gh,_sizeLods:yh,_sigmas:vh}=Th(),bh=new Color;let xh=null;const wh=(1+Math.sqrt(5))/2,Sh=1/wh,_h=[new Vector3(1,1,1),new Vector3(-1,1,1),new Vector3(1,1,-1),new Vector3(-1,1,-1),new Vector3(0,wh,Sh),new Vector3(0,wh,-Sh),new Vector3(Sh,0,wh),new Vector3(-Sh,0,wh),new Vector3(wh,Sh,0),new Vector3(-wh,Sh,0)];function Eh(t){const n=Math.max(t.r,t.g,t.b),r=Math.min(Math.max(Math.ceil(Math.log2(n)),-128),127);t.multiplyScalar(Math.pow(2,-r));return(r+128)/255}class PMREMGenerator{constructor(t){this._renderer=t,this._pingPongRenderTarget=null,this._blurMaterial=function(t){const n=new Float32Array(t),r=new Vector3(0,1,0);return new _c({name:"SphericalGaussianBlur",defines:{n:t},uniforms:{envMap:{value:null},samples:{value:1},weights:{value:n},latitudinal:{value:!1},dTheta:{value:0},mipInt:{value:0},poleAxis:{value:r},inputEncoding:{value:hh[hi]},outputEncoding:{value:hh[hi]}},vertexShader:Ih(),fragmentShader:`\n\n\t\t\tprecision mediump float;\n\t\t\tprecision mediump int;\n\n\t\t\tvarying vec3 vOutputDirection;\n\n\t\t\tuniform sampler2D envMap;\n\t\t\tuniform int samples;\n\t\t\tuniform float weights[ n ];\n\t\t\tuniform bool latitudinal;\n\t\t\tuniform float dTheta;\n\t\t\tuniform float mipInt;\n\t\t\tuniform vec3 poleAxis;\n\n\t\t\t${Rh()}\n\n\t\t\t#define ENVMAP_TYPE_CUBE_UV\n\t\t\t#include <cube_uv_reflection_fragment>\n\n\t\t\tvec3 getSample( float theta, vec3 axis ) {\n\n\t\t\t\tfloat cosTheta = cos( theta );\n\t\t\t\t// Rodrigues' axis-angle rotation\n\t\t\t\tvec3 sampleDirection = vOutputDirection * cosTheta\n\t\t\t\t\t+ cross( axis, vOutputDirection ) * sin( theta )\n\t\t\t\t\t+ axis * dot( axis, vOutputDirection ) * ( 1.0 - cosTheta );\n\n\t\t\t\treturn bilinearCubeUV( envMap, sampleDirection, mipInt );\n\n\t\t\t}\n\n\t\t\tvoid main() {\n\n\t\t\t\tvec3 axis = latitudinal ? poleAxis : cross( poleAxis, vOutputDirection );\n\n\t\t\t\tif ( all( equal( axis, vec3( 0.0 ) ) ) ) {\n\n\t\t\t\t\taxis = vec3( vOutputDirection.z, 0.0, - vOutputDirection.x );\n\n\t\t\t\t}\n\n\t\t\t\taxis = normalize( axis );\n\n\t\t\t\tgl_FragColor = vec4( 0.0, 0.0, 0.0, 1.0 );\n\t\t\t\tgl_FragColor.rgb += weights[ 0 ] * getSample( 0.0, axis );\n\n\t\t\t\tfor ( int i = 1; i < n; i++ ) {\n\n\t\t\t\t\tif ( i >= samples ) {\n\n\t\t\t\t\t\tbreak;\n\n\t\t\t\t\t}\n\n\t\t\t\t\tfloat theta = dTheta * float( i );\n\t\t\t\t\tgl_FragColor.rgb += weights[ i ] * getSample( -1.0 * theta, axis );\n\t\t\t\t\tgl_FragColor.rgb += weights[ i ] * getSample( theta, axis );\n\n\t\t\t\t}\n\n\t\t\t\tgl_FragColor = linearToOutputTexel( gl_FragColor );\n\n\t\t\t}\n\t\t`,blending:A,depthTest:!1,depthWrite:!1})}(uh),this._equirectShader=null,this._cubemapShader=null,this._compileMaterial(this._blurMaterial)}fromScene(t,n=0,r=.1,l=100){xh=this._renderer.getRenderTarget();const d=this._allocateTargets();return this._sceneToCubeUV(t,r,l,d),n>0&&this._blur(d,0,0,n),this._applyPMREM(d),this._cleanup(d),d}fromEquirectangular(t){return this._fromTexture(t)}fromCubemap(t){return this._fromTexture(t)}compileCubemapShader(){null===this._cubemapShader&&(this._cubemapShader=Oh(),this._compileMaterial(this._cubemapShader))}compileEquirectangularShader(){null===this._equirectShader&&(this._equirectShader=kh(),this._compileMaterial(this._equirectShader))}dispose(){this._blurMaterial.dispose(),null!==this._cubemapShader&&this._cubemapShader.dispose(),null!==this._equirectShader&&this._equirectShader.dispose();for(let t=0;t<gh.length;t++)gh[t].dispose()}_cleanup(t){this._pingPongRenderTarget.dispose(),this._renderer.setRenderTarget(xh),t.scissorTest=!1,Ah(t,0,0,t.width,t.height)}_fromTexture(t){xh=this._renderer.getRenderTarget();const n=this._allocateTargets(t);return this._textureToCubeUV(t,n),this._applyPMREM(n),this._cleanup(n),n}_allocateTargets(t){const n={magFilter:Oe,minFilter:Oe,generateMipmaps:!1,type:ze,format:nt,encoding:Mh(t)?t.encoding:mi,depthBuffer:!1},r=Ch(n);return r.depthBuffer=!t,this._pingPongRenderTarget=Ch(n),r}_compileMaterial(t){const n=new co(gh[0],t);this._renderer.compile(n,mh)}_sceneToCubeUV(t,n,r,l){const d=new bo(90,1,n,r),h=[1,-1,1,1,1,1],p=[1,1,1,-1,-1,-1],f=this._renderer,m=f.autoClear,g=f.outputEncoding,y=f.toneMapping;f.getClearColor(bh),f.toneMapping=fe,f.outputEncoding=hi,f.autoClear=!1;let v=!1;const b=t.background;if(b){if(b.isColor){ph.color.copy(b).convertSRGBToLinear(),t.background=null;const n=Eh(ph.color);ph.opacity=n,v=!0}}else{ph.color.copy(bh).convertSRGBToLinear();const t=Eh(ph.color);ph.opacity=t,v=!0}for(let n=0;n<6;n++){const r=n%3;0==r?(d.up.set(0,h[n],0),d.lookAt(p[n],0,0)):1==r?(d.up.set(0,0,h[n]),d.lookAt(0,p[n],0)):(d.up.set(0,h[n],0),d.lookAt(0,0,p[n])),Ah(l,r*lh,n>2?lh:0,lh,lh),f.setRenderTarget(l),v&&f.render(fh,d),f.render(t,d)}f.toneMapping=y,f.outputEncoding=g,f.autoClear=m}_textureToCubeUV(t,n){const r=this._renderer;t.isCubeTexture?null==this._cubemapShader&&(this._cubemapShader=Oh()):null==this._equirectShader&&(this._equirectShader=kh());const l=t.isCubeTexture?this._cubemapShader:this._equirectShader,d=new co(gh[0],l),h=l.uniforms;h.envMap.value=t,t.isCubeTexture||h.texelSize.value.set(1/t.image.width,1/t.image.height),h.inputEncoding.value=hh[t.encoding],h.outputEncoding.value=hh[n.texture.encoding],Ah(n,0,0,3*lh,2*lh),r.setRenderTarget(n),r.render(d,mh)}_applyPMREM(t){const n=this._renderer,r=n.autoClear;n.autoClear=!1;for(let n=1;n<dh;n++){const r=Math.sqrt(vh[n]*vh[n]-vh[n-1]*vh[n-1]),l=_h[(n-1)%_h.length];this._blur(t,n-1,n,r,l)}n.autoClear=r}_blur(t,n,r,l,d){const h=this._pingPongRenderTarget;this._halfBlur(t,h,n,r,l,"latitudinal",d),this._halfBlur(h,t,r,r,l,"longitudinal",d)}_halfBlur(t,n,r,d,h,p,f){const m=this._renderer,g=this._blurMaterial;"latitudinal"!==p&&"longitudinal"!==p&&l.error("blur direction must be either latitudinal or longitudinal!");const y=new co(gh[d],g),v=g.uniforms,b=yh[r]-1,x=isFinite(h)?Math.PI/(2*b):2*Math.PI/39,w=h/x,S=isFinite(h)?1+Math.floor(3*w):uh;S>uh&&l.warn(`sigmaRadians, ${h}, is too large and will clip, as it requested ${S} samples when the maximum is set to 20`);const _=[];let E=0;for(let t=0;t<uh;++t){const n=t/w,r=Math.exp(-n*n/2);_.push(r),0==t?E+=r:t<S&&(E+=2*r)}for(let t=0;t<_.length;t++)_[t]=_[t]/E;v.envMap.value=t.texture,v.samples.value=S,v.weights.value=_,v.latitudinal.value="latitudinal"===p,f&&(v.poleAxis.value=f),v.dTheta.value=x,v.mipInt.value=8-r,v.inputEncoding.value=hh[t.texture.encoding],v.outputEncoding.value=hh[t.texture.encoding];const T=yh[d];Ah(n,3*Math.max(0,lh-2*T),(0===d?0:2*lh)+2*T*(d>4?d-8+4:0),3*T,2*T),m.setRenderTarget(n),m.render(y,mh)}}function Mh(t){return void 0!==t&&t.type===ze&&(t.encoding===hi||t.encoding===pi||t.encoding===fi)}function Th(){const t=[],n=[],r=[];let l=8;for(let d=0;d<dh;d++){const h=Math.pow(2,l);n.push(h);let p=1/h;d>4?p=ch[d-8+4-1]:0==d&&(p=0),r.push(p);const f=1/(h-1),m=-f/2,g=1+f/2,y=[m,m,g,m,g,g,m,m,g,g,m,g],v=6,b=6,x=3,w=2,S=1,_=new Float32Array(x*b*v),E=new Float32Array(w*b*v),T=new Float32Array(S*b*v);for(let t=0;t<v;t++){const n=t%3*2/3-1,r=t>2?0:-1,l=[n,r,0,n+2/3,r,0,n+2/3,r+1,0,n,r,0,n+2/3,r+1,0,n,r+1,0];_.set(l,x*b*t),E.set(y,w*b*t);const d=[t,t,t,t,t,t];T.set(d,S*b*t)}const C=new Gr;C.setAttribute("position",new Er(_,x)),C.setAttribute("uv",new Er(E,w)),C.setAttribute("faceIndex",new Er(T,S)),t.push(C),l>4&&l--}return{_lodPlanes:t,_sizeLods:n,_sigmas:r}}function Ch(t){const n=new WebGLRenderTarget(3*lh,3*lh,t);return n.texture.mapping=Me,n.texture.name="PMREM.cubeUv",n.scissorTest=!0,n}function Ah(t,n,r,l,d){t.viewport.set(n,r,l,d),t.scissor.set(n,r,l,d)}function kh(){return new _c({name:"EquirectangularToCubeUV",uniforms:{envMap:{value:null},texelSize:{value:new Vector2(1,1)},inputEncoding:{value:hh[hi]},outputEncoding:{value:hh[hi]}},vertexShader:Ih(),fragmentShader:`\n\n\t\t\tprecision mediump float;\n\t\t\tprecision mediump int;\n\n\t\t\tvarying vec3 vOutputDirection;\n\n\t\t\tuniform sampler2D envMap;\n\t\t\tuniform vec2 texelSize;\n\n\t\t\t${Rh()}\n\n\t\t\t#include <common>\n\n\t\t\tvoid main() {\n\n\t\t\t\tgl_FragColor = vec4( 0.0, 0.0, 0.0, 1.0 );\n\n\t\t\t\tvec3 outputDirection = normalize( vOutputDirection );\n\t\t\t\tvec2 uv = equirectUv( outputDirection );\n\n\t\t\t\tvec2 f = fract( uv / texelSize - 0.5 );\n\t\t\t\tuv -= f * texelSize;\n\t\t\t\tvec3 tl = envMapTexelToLinear( texture2D ( envMap, uv ) ).rgb;\n\t\t\t\tuv.x += texelSize.x;\n\t\t\t\tvec3 tr = envMapTexelToLinear( texture2D ( envMap, uv ) ).rgb;\n\t\t\t\tuv.y += texelSize.y;\n\t\t\t\tvec3 br = envMapTexelToLinear( texture2D ( envMap, uv ) ).rgb;\n\t\t\t\tuv.x -= texelSize.x;\n\t\t\t\tvec3 bl = envMapTexelToLinear( texture2D ( envMap, uv ) ).rgb;\n\n\t\t\t\tvec3 tm = mix( tl, tr, f.x );\n\t\t\t\tvec3 bm = mix( bl, br, f.x );\n\t\t\t\tgl_FragColor.rgb = mix( tm, bm, f.y );\n\n\t\t\t\tgl_FragColor = linearToOutputTexel( gl_FragColor );\n\n\t\t\t}\n\t\t`,blending:A,depthTest:!1,depthWrite:!1})}function Oh(){return new _c({name:"CubemapToCubeUV",uniforms:{envMap:{value:null},inputEncoding:{value:hh[hi]},outputEncoding:{value:hh[hi]}},vertexShader:Ih(),fragmentShader:`\n\n\t\t\tprecision mediump float;\n\t\t\tprecision mediump int;\n\n\t\t\tvarying vec3 vOutputDirection;\n\n\t\t\tuniform samplerCube envMap;\n\n\t\t\t${Rh()}\n\n\t\t\tvoid main() {\n\n\t\t\t\tgl_FragColor = vec4( 0.0, 0.0, 0.0, 1.0 );\n\t\t\t\tgl_FragColor.rgb = envMapTexelToLinear( textureCube( envMap, vec3( - vOutputDirection.x, vOutputDirection.yz ) ) ).rgb;\n\t\t\t\tgl_FragColor = linearToOutputTexel( gl_FragColor );\n\n\t\t\t}\n\t\t`,blending:A,depthTest:!1,depthWrite:!1})}function Ih(){return"\n\n\t\tprecision mediump float;\n\t\tprecision mediump int;\n\n\t\tattribute vec3 position;\n\t\tattribute vec2 uv;\n\t\tattribute float faceIndex;\n\n\t\tvarying vec3 vOutputDirection;\n\n\t\t// RH coordinate system; PMREM face-indexing convention\n\t\tvec3 getDirection( vec2 uv, float face ) {\n\n\t\t\tuv = 2.0 * uv - 1.0;\n\n\t\t\tvec3 direction = vec3( uv, 1.0 );\n\n\t\t\tif ( face == 0.0 ) {\n\n\t\t\t\tdirection = direction.zyx; // ( 1, v, u ) pos x\n\n\t\t\t} else if ( face == 1.0 ) {\n\n\t\t\t\tdirection = direction.xzy;\n\t\t\t\tdirection.xz *= -1.0; // ( -u, 1, -v ) pos y\n\n\t\t\t} else if ( face == 2.0 ) {\n\n\t\t\t\tdirection.x *= -1.0; // ( -u, v, 1 ) pos z\n\n\t\t\t} else if ( face == 3.0 ) {\n\n\t\t\t\tdirection = direction.zyx;\n\t\t\t\tdirection.xz *= -1.0; // ( -1, v, -u ) neg x\n\n\t\t\t} else if ( face == 4.0 ) {\n\n\t\t\t\tdirection = direction.xzy;\n\t\t\t\tdirection.xy *= -1.0; // ( -u, -1, v ) neg y\n\n\t\t\t} else if ( face == 5.0 ) {\n\n\t\t\t\tdirection.z *= -1.0; // ( u, v, -1 ) neg z\n\n\t\t\t}\n\n\t\t\treturn direction;\n\n\t\t}\n\n\t\tvoid main() {\n\n\t\t\tvOutputDirection = getDirection( uv, faceIndex );\n\t\t\tgl_Position = vec4( position, 1.0 );\n\n\t\t}\n\t"}function Rh(){return"\n\n\t\tuniform int inputEncoding;\n\t\tuniform int outputEncoding;\n\n\t\t#include <encodings_pars_fragment>\n\n\t\tvec4 inputTexelToLinear( vec4 value ) {\n\n\t\t\tif ( inputEncoding == 0 ) {\n\n\t\t\t\treturn value;\n\n\t\t\t} else if ( inputEncoding == 1 ) {\n\n\t\t\t\treturn sRGBToLinear( value );\n\n\t\t\t} else if ( inputEncoding == 2 ) {\n\n\t\t\t\treturn RGBEToLinear( value );\n\n\t\t\t} else if ( inputEncoding == 3 ) {\n\n\t\t\t\treturn RGBMToLinear( value, 7.0 );\n\n\t\t\t} else if ( inputEncoding == 4 ) {\n\n\t\t\t\treturn RGBMToLinear( value, 16.0 );\n\n\t\t\t} else if ( inputEncoding == 5 ) {\n\n\t\t\t\treturn RGBDToLinear( value, 256.0 );\n\n\t\t\t} else {\n\n\t\t\t\treturn GammaToLinear( value, 2.2 );\n\n\t\t\t}\n\n\t\t}\n\n\t\tvec4 linearToOutputTexel( vec4 value ) {\n\n\t\t\tif ( outputEncoding == 0 ) {\n\n\t\t\t\treturn value;\n\n\t\t\t} else if ( outputEncoding == 1 ) {\n\n\t\t\t\treturn LinearTosRGB( value );\n\n\t\t\t} else if ( outputEncoding == 2 ) {\n\n\t\t\t\treturn LinearToRGBE( value );\n\n\t\t\t} else if ( outputEncoding == 3 ) {\n\n\t\t\t\treturn LinearToRGBM( value, 7.0 );\n\n\t\t\t} else if ( outputEncoding == 4 ) {\n\n\t\t\t\treturn LinearToRGBM( value, 16.0 );\n\n\t\t\t} else if ( outputEncoding == 5 ) {\n\n\t\t\t\treturn LinearToRGBD( value, 256.0 );\n\n\t\t\t} else {\n\n\t\t\t\treturn LinearToGamma( value, 2.2 );\n\n\t\t\t}\n\n\t\t}\n\n\t\tvec4 envMapTexelToLinear( vec4 color ) {\n\n\t\t\treturn inputTexelToLinear( color );\n\n\t\t}\n\t"}function Ph(t,n,r,d,h,p,f){return l.warn("THREE.Face4 has been removed. A THREE.Face3 will be created instead."),new Face3(t,n,r,h,p,f)}const Lh=0,Dh=1,Fh=0,Nh=1,Bh=2;function $h(t){return l.warn("THREE.MeshFaceMaterial has been removed. Use an Array instead."),t}function zh(t=[]){return l.warn("THREE.MultiMaterial has been removed. Use an Array instead."),t.isMultiMaterial=!0,t.materials=t,t.clone=function(){return t.slice()},t}function jh(t,n){return l.warn("THREE.PointCloud has been renamed to THREE.Points."),new Dl(t,n)}function Vh(t){return l.warn("THREE.Particle has been renamed to THREE.Sprite."),new Qs(t)}function Uh(t,n){return l.warn("THREE.ParticleSystem has been renamed to THREE.Points."),new Dl(t,n)}function Hh(t){return l.warn("THREE.PointCloudMaterial has been renamed to THREE.PointsMaterial."),new Ol(t)}function Gh(t){return l.warn("THREE.ParticleBasicMaterial has been renamed to THREE.PointsMaterial."),new Ol(t)}function Wh(t){return l.warn("THREE.ParticleSystemMaterial has been renamed to THREE.PointsMaterial."),new Ol(t)}function qh(t,n,r){return l.warn("THREE.Vertex has been removed. Use THREE.Vector3 instead."),new Vector3(t,n,r)}function Xh(t,n){return l.warn("THREE.DynamicBufferAttribute has been removed. Use new THREE.BufferAttribute().setUsage( THREE.DynamicDrawUsage ) instead."),new Er(t,n).setUsage(ji)}function Yh(t,n){return l.warn("THREE.Int8Attribute has been removed. Use new THREE.Int8BufferAttribute() instead."),new Mr(t,n)}function Zh(t,n){return l.warn("THREE.Uint8Attribute has been removed. Use new THREE.Uint8BufferAttribute() instead."),new Tr(t,n)}function Kh(t,n){return l.warn("THREE.Uint8ClampedAttribute has been removed. Use new THREE.Uint8ClampedBufferAttribute() instead."),new Cr(t,n)}function Jh(t,n){return l.warn("THREE.Int16Attribute has been removed. Use new THREE.Int16BufferAttribute() instead."),new Ar(t,n)}function Qh(t,n){return l.warn("THREE.Uint16Attribute has been removed. Use new THREE.Uint16BufferAttribute() instead."),new kr(t,n)}function ep(t,n){return l.warn("THREE.Int32Attribute has been removed. Use new THREE.Int32BufferAttribute() instead."),new Or(t,n)}function tp(t,n){return l.warn("THREE.Uint32Attribute has been removed. Use new THREE.Uint32BufferAttribute() instead."),new Ir(t,n)}function ip(t,n){return l.warn("THREE.Float32Attribute has been removed. Use new THREE.Float32BufferAttribute() instead."),new Pr(t,n)}function np(t,n){return l.warn("THREE.Float64Attribute has been removed. Use new THREE.Float64BufferAttribute() instead."),new Lr(t,n)}function rp(t){l.warn("THREE.ClosedSplineCurve3 has been deprecated. Use THREE.CatmullRomCurve3 instead."),fd.call(this,t),this.type="catmullrom",this.closed=!0}function op(t){l.warn("THREE.SplineCurve3 has been deprecated. Use THREE.CatmullRomCurve3 instead."),fd.call(this,t),this.type="catmullrom"}function ap(t){l.warn("THREE.Spline has been removed. Use THREE.CatmullRomCurve3 instead."),fd.call(this,t),this.type="catmullrom"}function sp(t){return l.warn("THREE.AxisHelper has been renamed to THREE.AxesHelper."),new AxesHelper(t)}function lp(t,n){return l.warn("THREE.BoundingBoxHelper has been deprecated. Creating a THREE.BoxHelper instead."),new BoxHelper(t,n)}function cp(t,n){return l.warn("THREE.EdgesHelper has been removed. Use THREE.EdgesGeometry instead."),new Al(new EdgesGeometry(t.geometry),new bl({color:void 0!==n?n:16777215}))}function dp(t,n){return l.warn("THREE.WireframeHelper has been removed. Use THREE.WireframeGeometry instead."),new Al(new WireframeGeometry(t.geometry),new bl({color:void 0!==n?n:16777215}))}function up(t){return l.warn("THREE.XHRLoader has been renamed to THREE.FileLoader."),new Qc(t)}function hp(t){return l.warn("THREE.BinaryTextureLoader has been renamed to THREE.DataTextureLoader."),new rd(t)}function pp(t,n,r){return l.warn("THREE.WebGLRenderTargetCube( width, height, options ) is now WebGLCubeRenderTarget( size, options )."),new WebGLCubeRenderTarget(t,r)}ad.create=function(t,n){return l.log("THREE.Curve.create() has been deprecated"),t.prototype=Object.create(ad.prototype),t.prototype.constructor=t,t.prototype.getPoint=n,t},Object.assign(Cd.prototype,{fromPoints:function(t){return l.warn("THREE.Path: .fromPoints() has been renamed to .setFromPoints()."),this.setFromPoints(t)}}),rp.prototype=Object.create(fd.prototype),op.prototype=Object.create(fd.prototype),ap.prototype=Object.create(fd.prototype),Object.assign(ap.prototype,{initFromArray:function(){l.error("THREE.Spline: .initFromArray() has been removed.")},getControlPointsArray:function(){l.error("THREE.Spline: .getControlPointsArray() has been removed.")},reparametrizeByArcLength:function(){l.error("THREE.Spline: .reparametrizeByArcLength() has been removed.")}}),GridHelper.prototype.setColors=function(){l.error("THREE.GridHelper: setColors() has been deprecated, pass them in the constructor instead.")},SkeletonHelper.prototype.update=function(){l.error("THREE.SkeletonHelper: update() no longer needs to be called.")},Object.assign(Kc.prototype,{extractUrlBase:function(t){return l.warn("THREE.Loader: .extractUrlBase() has been deprecated. Use THREE.LoaderUtils.extractUrlBase() instead."),Ud.extractUrlBase(t)}}),Kc.Handlers={add:function(){l.error("THREE.Loader: Handlers.add() has been removed. Use LoadingManager.addHandler() instead.")},get:function(){l.error("THREE.Loader: Handlers.get() has been removed. Use LoadingManager.getHandler() instead.")}},Object.assign(Box2.prototype,{center:function(t){return l.warn("THREE.Box2: .center() has been renamed to .getCenter()."),this.getCenter(t)},empty:function(){return l.warn("THREE.Box2: .empty() has been renamed to .isEmpty()."),this.isEmpty()},isIntersectionBox:function(t){return l.warn("THREE.Box2: .isIntersectionBox() has been renamed to .intersectsBox()."),this.intersectsBox(t)},size:function(t){return l.warn("THREE.Box2: .size() has been renamed to .getSize()."),this.getSize(t)}}),Object.assign(Box3.prototype,{center:function(t){return l.warn("THREE.Box3: .center() has been renamed to .getCenter()."),this.getCenter(t)},empty:function(){return l.warn("THREE.Box3: .empty() has been renamed to .isEmpty()."),this.isEmpty()},isIntersectionBox:function(t){return l.warn("THREE.Box3: .isIntersectionBox() has been renamed to .intersectsBox()."),this.intersectsBox(t)},isIntersectionSphere:function(t){return l.warn("THREE.Box3: .isIntersectionSphere() has been renamed to .intersectsSphere()."),this.intersectsSphere(t)},size:function(t){return l.warn("THREE.Box3: .size() has been renamed to .getSize()."),this.getSize(t)}}),Object.assign(Sphere.prototype,{empty:function(){return l.warn("THREE.Sphere: .empty() has been renamed to .isEmpty()."),this.isEmpty()}}),Frustum.prototype.setFromMatrix=function(t){return l.warn("THREE.Frustum: .setFromMatrix() has been renamed to .setFromProjectionMatrix()."),this.setFromProjectionMatrix(t)},Line3.prototype.center=function(t){return l.warn("THREE.Line3: .center() has been renamed to .getCenter()."),this.getCenter(t)},Object.assign(en,{random16:function(){return l.warn("THREE.Math: .random16() has been deprecated. Use Math.random() instead."),Math.random()},nearestPowerOfTwo:function(t){return l.warn("THREE.Math: .nearestPowerOfTwo() has been renamed to .floorPowerOfTwo()."),en.floorPowerOfTwo(t)},nextPowerOfTwo:function(t){return l.warn("THREE.Math: .nextPowerOfTwo() has been renamed to .ceilPowerOfTwo()."),en.ceilPowerOfTwo(t)}}),Object.assign(Matrix3.prototype,{flattenToArrayOffset:function(t,n){return l.warn("THREE.Matrix3: .flattenToArrayOffset() has been deprecated. Use .toArray() instead."),this.toArray(t,n)},multiplyVector3:function(t){return l.warn("THREE.Matrix3: .multiplyVector3() has been removed. Use vector.applyMatrix3( matrix ) instead."),t.applyMatrix3(this)},multiplyVector3Array:function(){l.error("THREE.Matrix3: .multiplyVector3Array() has been removed.")},applyToBufferAttribute:function(t){return l.warn("THREE.Matrix3: .applyToBufferAttribute() has been removed. Use attribute.applyMatrix3( matrix ) instead."),t.applyMatrix3(this)},applyToVector3Array:function(){l.error("THREE.Matrix3: .applyToVector3Array() has been removed.")},getInverse:function(t){return l.warn("THREE.Matrix3: .getInverse() has been removed. Use matrixInv.copy( matrix ).invert(); instead."),this.copy(t).invert()}}),Object.assign(Matrix4.prototype,{extractPosition:function(t){return l.warn("THREE.Matrix4: .extractPosition() has been renamed to .copyPosition()."),this.copyPosition(t)},flattenToArrayOffset:function(t,n){return l.warn("THREE.Matrix4: .flattenToArrayOffset() has been deprecated. Use .toArray() instead."),this.toArray(t,n)},getPosition:function(){return l.warn("THREE.Matrix4: .getPosition() has been removed. Use Vector3.setFromMatrixPosition( matrix ) instead."),(new Vector3).setFromMatrixColumn(this,3)},setRotationFromQuaternion:function(t){return l.warn("THREE.Matrix4: .setRotationFromQuaternion() has been renamed to .makeRotationFromQuaternion()."),this.makeRotationFromQuaternion(t)},multiplyToArray:function(){l.warn("THREE.Matrix4: .multiplyToArray() has been removed.")},multiplyVector3:function(t){return l.warn("THREE.Matrix4: .multiplyVector3() has been removed. Use vector.applyMatrix4( matrix ) instead."),t.applyMatrix4(this)},multiplyVector4:function(t){return l.warn("THREE.Matrix4: .multiplyVector4() has been removed. Use vector.applyMatrix4( matrix ) instead."),t.applyMatrix4(this)},multiplyVector3Array:function(){l.error("THREE.Matrix4: .multiplyVector3Array() has been removed.")},rotateAxis:function(t){l.warn("THREE.Matrix4: .rotateAxis() has been removed. Use Vector3.transformDirection( matrix ) instead."),t.transformDirection(this)},crossVector:function(t){return l.warn("THREE.Matrix4: .crossVector() has been removed. Use vector.applyMatrix4( matrix ) instead."),t.applyMatrix4(this)},translate:function(){l.error("THREE.Matrix4: .translate() has been removed.")},rotateX:function(){l.error("THREE.Matrix4: .rotateX() has been removed.")},rotateY:function(){l.error("THREE.Matrix4: .rotateY() has been removed.")},rotateZ:function(){l.error("THREE.Matrix4: .rotateZ() has been removed.")},rotateByAxis:function(){l.error("THREE.Matrix4: .rotateByAxis() has been removed.")},applyToBufferAttribute:function(t){return l.warn("THREE.Matrix4: .applyToBufferAttribute() has been removed. Use attribute.applyMatrix4( matrix ) instead."),t.applyMatrix4(this)},applyToVector3Array:function(){l.error("THREE.Matrix4: .applyToVector3Array() has been removed.")},makeFrustum:function(t,n,r,d,h,p){return l.warn("THREE.Matrix4: .makeFrustum() has been removed. Use .makePerspective( left, right, top, bottom, near, far ) instead."),this.makePerspective(t,n,d,r,h,p)},getInverse:function(t){return l.warn("THREE.Matrix4: .getInverse() has been removed. Use matrixInv.copy( matrix ).invert(); instead."),this.copy(t).invert()}}),Plane.prototype.isIntersectionLine=function(t){return l.warn("THREE.Plane: .isIntersectionLine() has been renamed to .intersectsLine()."),this.intersectsLine(t)},Object.assign(Quaternion.prototype,{multiplyVector3:function(t){return l.warn("THREE.Quaternion: .multiplyVector3() has been removed. Use is now vector.applyQuaternion( quaternion ) instead."),t.applyQuaternion(this)},inverse:function(){return l.warn("THREE.Quaternion: .inverse() has been renamed to invert()."),this.invert()}}),Object.assign(Ray.prototype,{isIntersectionBox:function(t){return l.warn("THREE.Ray: .isIntersectionBox() has been renamed to .intersectsBox()."),this.intersectsBox(t)},isIntersectionPlane:function(t){return l.warn("THREE.Ray: .isIntersectionPlane() has been renamed to .intersectsPlane()."),this.intersectsPlane(t)},isIntersectionSphere:function(t){return l.warn("THREE.Ray: .isIntersectionSphere() has been renamed to .intersectsSphere()."),this.intersectsSphere(t)}}),Object.assign(Triangle.prototype,{area:function(){return l.warn("THREE.Triangle: .area() has been renamed to .getArea()."),this.getArea()},barycoordFromPoint:function(t,n){return l.warn("THREE.Triangle: .barycoordFromPoint() has been renamed to .getBarycoord()."),this.getBarycoord(t,n)},midpoint:function(t){return l.warn("THREE.Triangle: .midpoint() has been renamed to .getMidpoint()."),this.getMidpoint(t)},normal:function(t){return l.warn("THREE.Triangle: .normal() has been renamed to .getNormal()."),this.getNormal(t)},plane:function(t){return l.warn("THREE.Triangle: .plane() has been renamed to .getPlane()."),this.getPlane(t)}}),Object.assign(Triangle,{barycoordFromPoint:function(t,n,r,d,h){return l.warn("THREE.Triangle: .barycoordFromPoint() has been renamed to .getBarycoord()."),Triangle.getBarycoord(t,n,r,d,h)},normal:function(t,n,r,d){return l.warn("THREE.Triangle: .normal() has been renamed to .getNormal()."),Triangle.getNormal(t,n,r,d)}}),Object.assign(Ad.prototype,{extractAllPoints:function(t){return l.warn("THREE.Shape: .extractAllPoints() has been removed. Use .extractPoints() instead."),this.extractPoints(t)},extrude:function(t){return l.warn("THREE.Shape: .extrude() has been removed. Use ExtrudeGeometry() instead."),new ExtrudeGeometry(this,t)},makeGeometry:function(t){return l.warn("THREE.Shape: .makeGeometry() has been removed. Use ShapeGeometry() instead."),new ShapeGeometry(this,t)}}),Object.assign(Vector2.prototype,{fromAttribute:function(t,n,r){return l.warn("THREE.Vector2: .fromAttribute() has been renamed to .fromBufferAttribute()."),this.fromBufferAttribute(t,n,r)},distanceToManhattan:function(t){return l.warn("THREE.Vector2: .distanceToManhattan() has been renamed to .manhattanDistanceTo()."),this.manhattanDistanceTo(t)},lengthManhattan:function(){return l.warn("THREE.Vector2: .lengthManhattan() has been renamed to .manhattanLength()."),this.manhattanLength()}}),Object.assign(Vector3.prototype,{setEulerFromRotationMatrix:function(){l.error("THREE.Vector3: .setEulerFromRotationMatrix() has been removed. Use Euler.setFromRotationMatrix() instead.")},setEulerFromQuaternion:function(){l.error("THREE.Vector3: .setEulerFromQuaternion() has been removed. Use Euler.setFromQuaternion() instead.")},getPositionFromMatrix:function(t){return l.warn("THREE.Vector3: .getPositionFromMatrix() has been renamed to .setFromMatrixPosition()."),this.setFromMatrixPosition(t)},getScaleFromMatrix:function(t){return l.warn("THREE.Vector3: .getScaleFromMatrix() has been renamed to .setFromMatrixScale()."),this.setFromMatrixScale(t)},getColumnFromMatrix:function(t,n){return l.warn("THREE.Vector3: .getColumnFromMatrix() has been renamed to .setFromMatrixColumn()."),this.setFromMatrixColumn(n,t)},applyProjection:function(t){return l.warn("THREE.Vector3: .applyProjection() has been removed. Use .applyMatrix4( m ) instead."),this.applyMatrix4(t)},fromAttribute:function(t,n,r){return l.warn("THREE.Vector3: .fromAttribute() has been renamed to .fromBufferAttribute()."),this.fromBufferAttribute(t,n,r)},distanceToManhattan:function(t){return l.warn("THREE.Vector3: .distanceToManhattan() has been renamed to .manhattanDistanceTo()."),this.manhattanDistanceTo(t)},lengthManhattan:function(){return l.warn("THREE.Vector3: .lengthManhattan() has been renamed to .manhattanLength()."),this.manhattanLength()}}),Object.assign(Vector4.prototype,{fromAttribute:function(t,n,r){return l.warn("THREE.Vector4: .fromAttribute() has been renamed to .fromBufferAttribute()."),this.fromBufferAttribute(t,n,r)},lengthManhattan:function(){return l.warn("THREE.Vector4: .lengthManhattan() has been renamed to .manhattanLength()."),this.manhattanLength()}}),Object.assign(Qn.prototype,{getChildByName:function(t){return l.warn("THREE.Object3D: .getChildByName() has been renamed to .getObjectByName()."),this.getObjectByName(t)},renderDepth:function(){l.warn("THREE.Object3D: .renderDepth has been removed. Use .renderOrder, instead.")},translate:function(t,n){return l.warn("THREE.Object3D: .translate() has been removed. Use .translateOnAxis( axis, distance ) instead."),this.translateOnAxis(n,t)},getWorldRotation:function(){l.error("THREE.Object3D: .getWorldRotation() has been removed. Use THREE.Object3D.getWorldQuaternion( target ) instead.")},applyMatrix:function(t){return l.warn("THREE.Object3D: .applyMatrix() has been renamed to .applyMatrix4()."),this.applyMatrix4(t)}}),Object.defineProperties(Qn.prototype,{eulerOrder:{get:function(){return l.warn("THREE.Object3D: .eulerOrder is now .rotation.order."),this.rotation.order},set:function(t){l.warn("THREE.Object3D: .eulerOrder is now .rotation.order."),this.rotation.order=t}},useQuaternion:{get:function(){l.warn("THREE.Object3D: .useQuaternion has been removed. The library now uses quaternions by default.")},set:function(){l.warn("THREE.Object3D: .useQuaternion has been removed. The library now uses quaternions by default.")}}}),Object.assign(co.prototype,{setDrawMode:function(){l.error("THREE.Mesh: .setDrawMode() has been removed. The renderer now always assumes THREE.TrianglesDrawMode. Transform your geometry via BufferGeometryUtils.toTrianglesDrawMode() if necessary.")}}),Object.defineProperties(co.prototype,{drawMode:{get:function(){return l.error("THREE.Mesh: .drawMode has been removed. The renderer now always assumes THREE.TrianglesDrawMode."),ci},set:function(){l.error("THREE.Mesh: .drawMode has been removed. The renderer now always assumes THREE.TrianglesDrawMode. Transform your geometry via BufferGeometryUtils.toTrianglesDrawMode() if necessary.")}}}),Object.defineProperties(nl.prototype,{objects:{get:function(){return l.warn("THREE.LOD: .objects has been renamed to .levels."),this.levels}}}),Object.defineProperty(pl.prototype,"useVertexTexture",{get:function(){l.warn("THREE.Skeleton: useVertexTexture has been removed.")},set:function(){l.warn("THREE.Skeleton: useVertexTexture has been removed.")}}),cl.prototype.initBones=function(){l.error("THREE.SkinnedMesh: initBones() has been removed.")},Object.defineProperty(ad.prototype,"__arcLengthDivisions",{get:function(){return l.warn("THREE.Curve: .__arcLengthDivisions is now .arcLengthDivisions."),this.arcLengthDivisions},set:function(t){l.warn("THREE.Curve: .__arcLengthDivisions is now .arcLengthDivisions."),this.arcLengthDivisions=t}}),bo.prototype.setLens=function(t,n){l.warn("THREE.PerspectiveCamera.setLens is deprecated. Use .setFocalLength and .filmGauge for a photographic setup."),void 0!==n&&(this.filmGauge=n),this.setFocalLength(t)},Object.defineProperties(kd.prototype,{onlyShadow:{set:function(){l.warn("THREE.Light: .onlyShadow has been removed.")}},shadowCameraFov:{set:function(t){l.warn("THREE.Light: .shadowCameraFov is now .shadow.camera.fov."),this.shadow.camera.fov=t}},shadowCameraLeft:{set:function(t){l.warn("THREE.Light: .shadowCameraLeft is now .shadow.camera.left."),this.shadow.camera.left=t}},shadowCameraRight:{set:function(t){l.warn("THREE.Light: .shadowCameraRight is now .shadow.camera.right."),this.shadow.camera.right=t}},shadowCameraTop:{set:function(t){l.warn("THREE.Light: .shadowCameraTop is now .shadow.camera.top."),this.shadow.camera.top=t}},shadowCameraBottom:{set:function(t){l.warn("THREE.Light: .shadowCameraBottom is now .shadow.camera.bottom."),this.shadow.camera.bottom=t}},shadowCameraNear:{set:function(t){l.warn("THREE.Light: .shadowCameraNear is now .shadow.camera.near."),this.shadow.camera.near=t}},shadowCameraFar:{set:function(t){l.warn("THREE.Light: .shadowCameraFar is now .shadow.camera.far."),this.shadow.camera.far=t}},shadowCameraVisible:{set:function(){l.warn("THREE.Light: .shadowCameraVisible has been removed. Use new THREE.CameraHelper( light.shadow.camera ) instead.")}},shadowBias:{set:function(t){l.warn("THREE.Light: .shadowBias is now .shadow.bias."),this.shadow.bias=t}},shadowDarkness:{set:function(){l.warn("THREE.Light: .shadowDarkness has been removed.")}},shadowMapWidth:{set:function(t){l.warn("THREE.Light: .shadowMapWidth is now .shadow.mapSize.width."),this.shadow.mapSize.width=t}},shadowMapHeight:{set:function(t){l.warn("THREE.Light: .shadowMapHeight is now .shadow.mapSize.height."),this.shadow.mapSize.height=t}}}),Object.defineProperties(Er.prototype,{length:{get:function(){return l.warn("THREE.BufferAttribute: .length has been deprecated. Use .count instead."),this.array.length}},dynamic:{get:function(){return l.warn("THREE.BufferAttribute: .dynamic has been deprecated. Use .usage instead."),this.usage===ji},set:function(){l.warn("THREE.BufferAttribute: .dynamic has been deprecated. Use .usage instead."),this.setUsage(ji)}}}),Object.assign(Er.prototype,{setDynamic:function(t){return l.warn("THREE.BufferAttribute: .setDynamic() has been deprecated. Use .setUsage() instead."),this.setUsage(!0===t?ji:zi),this},copyIndicesArray:function(){l.error("THREE.BufferAttribute: .copyIndicesArray() has been removed.")},setArray:function(){l.error("THREE.BufferAttribute: .setArray has been removed. Use BufferGeometry .setAttribute to replace/resize attribute buffers")}}),Object.assign(Gr.prototype,{addIndex:function(t){l.warn("THREE.BufferGeometry: .addIndex() has been renamed to .setIndex()."),this.setIndex(t)},addAttribute:function(t,n){return l.warn("THREE.BufferGeometry: .addAttribute() has been renamed to .setAttribute()."),n&&n.isBufferAttribute||n&&n.isInterleavedBufferAttribute?"index"===t?(l.warn("THREE.BufferGeometry.addAttribute: Use .setIndex() for index attribute."),this.setIndex(n),this):this.setAttribute(t,n):(l.warn("THREE.BufferGeometry: .addAttribute() now expects ( name, attribute )."),this.setAttribute(t,new Er(arguments[1],arguments[2])))},addDrawCall:function(t,n,r){void 0!==r&&l.warn("THREE.BufferGeometry: .addDrawCall() no longer supports indexOffset."),l.warn("THREE.BufferGeometry: .addDrawCall() is now .addGroup()."),this.addGroup(t,n)},clearDrawCalls:function(){l.warn("THREE.BufferGeometry: .clearDrawCalls() is now .clearGroups()."),this.clearGroups()},computeOffsets:function(){l.warn("THREE.BufferGeometry: .computeOffsets() has been removed.")},removeAttribute:function(t){return l.warn("THREE.BufferGeometry: .removeAttribute() has been renamed to .deleteAttribute()."),this.deleteAttribute(t)},applyMatrix:function(t){return l.warn("THREE.BufferGeometry: .applyMatrix() has been renamed to .applyMatrix4()."),this.applyMatrix4(t)}}),Object.defineProperties(Gr.prototype,{drawcalls:{get:function(){return l.error("THREE.BufferGeometry: .drawcalls has been renamed to .groups."),this.groups}},offsets:{get:function(){return l.warn("THREE.BufferGeometry: .offsets has been renamed to .groups."),this.groups}}}),Object.defineProperties(Hd.prototype,{maxInstancedCount:{get:function(){return l.warn("THREE.InstancedBufferGeometry: .maxInstancedCount has been renamed to .instanceCount."),this.instanceCount},set:function(t){l.warn("THREE.InstancedBufferGeometry: .maxInstancedCount has been renamed to .instanceCount."),this.instanceCount=t}}}),Object.defineProperties(Lu.prototype,{linePrecision:{get:function(){return l.warn("THREE.Raycaster: .linePrecision has been deprecated. Use .params.Line.threshold instead."),this.params.Line.threshold},set:function(t){l.warn("THREE.Raycaster: .linePrecision has been deprecated. Use .params.Line.threshold instead."),this.params.Line.threshold=t}}}),Object.defineProperties(Fs.prototype,{dynamic:{get:function(){return l.warn("THREE.InterleavedBuffer: .length has been deprecated. Use .usage instead."),this.usage===ji},set:function(t){l.warn("THREE.InterleavedBuffer: .length has been deprecated. Use .usage instead."),this.setUsage(t)}}}),Object.assign(Fs.prototype,{setDynamic:function(t){return l.warn("THREE.InterleavedBuffer: .setDynamic() has been deprecated. Use .setUsage() instead."),this.setUsage(!0===t?ji:zi),this},setArray:function(){l.error("THREE.InterleavedBuffer: .setArray has been removed. Use BufferGeometry .setAttribute to replace/resize attribute buffers")}}),Object.assign(ExtrudeGeometry.prototype,{getArrays:function(){l.error("THREE.ExtrudeGeometry: .getArrays() has been removed.")},addShapeList:function(){l.error("THREE.ExtrudeGeometry: .addShapeList() has been removed.")},addShape:function(){l.error("THREE.ExtrudeGeometry: .addShape() has been removed.")}}),Object.assign(Scene.prototype,{dispose:function(){l.error("THREE.Scene: .dispose() has been removed.")}}),Object.defineProperties(Uniform.prototype,{dynamic:{set:function(){l.warn("THREE.Uniform: .dynamic has been removed. Use object.onBeforeRender() instead.")}},onUpdate:{value:function(){return l.warn("THREE.Uniform: .onUpdate() has been removed. Use object.onBeforeRender() instead."),this}}}),Object.defineProperties(xr.prototype,{wrapAround:{get:function(){l.warn("THREE.Material: .wrapAround has been removed.")},set:function(){l.warn("THREE.Material: .wrapAround has been removed.")}},overdraw:{get:function(){l.warn("THREE.Material: .overdraw has been removed.")},set:function(){l.warn("THREE.Material: .overdraw has been removed.")}},wrapRGB:{get:function(){return l.warn("THREE.Material: .wrapRGB has been removed."),new Color}},shading:{get:function(){l.error("THREE."+this.type+": .shading has been removed. Use the boolean .flatShading instead.")},set:function(t){l.warn("THREE."+this.type+": .shading has been removed. Use the boolean .flatShading instead."),this.flatShading=t===T}},stencilMask:{get:function(){return l.warn("THREE."+this.type+": .stencilMask has been removed. Use .stencilFuncMask instead."),this.stencilFuncMask},set:function(t){l.warn("THREE."+this.type+": .stencilMask has been removed. Use .stencilFuncMask instead."),this.stencilFuncMask=t}}}),Object.defineProperties(Tc.prototype,{metal:{get:function(){return l.warn("THREE.MeshPhongMaterial: .metal has been removed. Use THREE.MeshStandardMaterial instead."),!1},set:function(){l.warn("THREE.MeshPhongMaterial: .metal has been removed. Use THREE.MeshStandardMaterial instead")}}}),Object.defineProperties(Mc.prototype,{transparency:{get:function(){return l.warn("THREE.MeshPhysicalMaterial: .transparency has been renamed to .transmission."),this.transmission},set:function(t){l.warn("THREE.MeshPhysicalMaterial: .transparency has been renamed to .transmission."),this.transmission=t}}}),Object.defineProperties(yo.prototype,{derivatives:{get:function(){return l.warn("THREE.ShaderMaterial: .derivatives has been moved to .extensions.derivatives."),this.extensions.derivatives},set:function(t){l.warn("THREE. ShaderMaterial: .derivatives has been moved to .extensions.derivatives."),this.extensions.derivatives=t}}}),Object.assign(Ls.prototype,{clearTarget:function(t,n,r,d){l.warn("THREE.WebGLRenderer: .clearTarget() has been deprecated. Use .setRenderTarget() and .clear() instead."),this.setRenderTarget(t),this.clear(n,r,d)},animate:function(t){l.warn("THREE.WebGLRenderer: .animate() is now .setAnimationLoop()."),this.setAnimationLoop(t)},getCurrentRenderTarget:function(){return l.warn("THREE.WebGLRenderer: .getCurrentRenderTarget() is now .getRenderTarget()."),this.getRenderTarget()},getMaxAnisotropy:function(){return l.warn("THREE.WebGLRenderer: .getMaxAnisotropy() is now .capabilities.getMaxAnisotropy()."),this.capabilities.getMaxAnisotropy()},getPrecision:function(){return l.warn("THREE.WebGLRenderer: .getPrecision() is now .capabilities.precision."),this.capabilities.precision},resetGLState:function(){return l.warn("THREE.WebGLRenderer: .resetGLState() is now .state.reset()."),this.state.reset()},supportsFloatTextures:function(){return l.warn("THREE.WebGLRenderer: .supportsFloatTextures() is now .extensions.get( 'OES_texture_float' )."),this.extensions.get("OES_texture_float")},supportsHalfFloatTextures:function(){return l.warn("THREE.WebGLRenderer: .supportsHalfFloatTextures() is now .extensions.get( 'OES_texture_half_float' )."),this.extensions.get("OES_texture_half_float")},supportsStandardDerivatives:function(){return l.warn("THREE.WebGLRenderer: .supportsStandardDerivatives() is now .extensions.get( 'OES_standard_derivatives' )."),this.extensions.get("OES_standard_derivatives")},supportsCompressedTextureS3TC:function(){return l.warn("THREE.WebGLRenderer: .supportsCompressedTextureS3TC() is now .extensions.get( 'WEBGL_compressed_texture_s3tc' )."),this.extensions.get("WEBGL_compressed_texture_s3tc")},supportsCompressedTexturePVRTC:function(){return l.warn("THREE.WebGLRenderer: .supportsCompressedTexturePVRTC() is now .extensions.get( 'WEBGL_compressed_texture_pvrtc' )."),this.extensions.get("WEBGL_compressed_texture_pvrtc")},supportsBlendMinMax:function(){return l.warn("THREE.WebGLRenderer: .supportsBlendMinMax() is now .extensions.get( 'EXT_blend_minmax' )."),this.extensions.get("EXT_blend_minmax")},supportsVertexTextures:function(){return l.warn("THREE.WebGLRenderer: .supportsVertexTextures() is now .capabilities.vertexTextures."),this.capabilities.vertexTextures},supportsInstancedArrays:function(){return l.warn("THREE.WebGLRenderer: .supportsInstancedArrays() is now .extensions.get( 'ANGLE_instanced_arrays' )."),this.extensions.get("ANGLE_instanced_arrays")},enableScissorTest:function(t){l.warn("THREE.WebGLRenderer: .enableScissorTest() is now .setScissorTest()."),this.setScissorTest(t)},initMaterial:function(){l.warn("THREE.WebGLRenderer: .initMaterial() has been removed.")},addPrePlugin:function(){l.warn("THREE.WebGLRenderer: .addPrePlugin() has been removed.")},addPostPlugin:function(){l.warn("THREE.WebGLRenderer: .addPostPlugin() has been removed.")},updateShadowMap:function(){l.warn("THREE.WebGLRenderer: .updateShadowMap() has been removed.")},setFaceCulling:function(){l.warn("THREE.WebGLRenderer: .setFaceCulling() has been removed.")},allocTextureUnit:function(){l.warn("THREE.WebGLRenderer: .allocTextureUnit() has been removed.")},setTexture:function(){l.warn("THREE.WebGLRenderer: .setTexture() has been removed.")},setTexture2D:function(){l.warn("THREE.WebGLRenderer: .setTexture2D() has been removed.")},setTextureCube:function(){l.warn("THREE.WebGLRenderer: .setTextureCube() has been removed.")},getActiveMipMapLevel:function(){return l.warn("THREE.WebGLRenderer: .getActiveMipMapLevel() is now .getActiveMipmapLevel()."),this.getActiveMipmapLevel()}}),Object.defineProperties(Ls.prototype,{shadowMapEnabled:{get:function(){return this.shadowMap.enabled},set:function(t){l.warn("THREE.WebGLRenderer: .shadowMapEnabled is now .shadowMap.enabled."),this.shadowMap.enabled=t}},shadowMapType:{get:function(){return this.shadowMap.type},set:function(t){l.warn("THREE.WebGLRenderer: .shadowMapType is now .shadowMap.type."),this.shadowMap.type=t}},shadowMapCullFace:{get:function(){l.warn("THREE.WebGLRenderer: .shadowMapCullFace has been removed. Set Material.shadowSide instead.")},set:function(){l.warn("THREE.WebGLRenderer: .shadowMapCullFace has been removed. Set Material.shadowSide instead.")}},context:{get:function(){return l.warn("THREE.WebGLRenderer: .context has been removed. Use .getContext() instead."),this.getContext()}},vr:{get:function(){return l.warn("THREE.WebGLRenderer: .vr has been renamed to .xr"),this.xr}},gammaInput:{get:function(){return l.warn("THREE.WebGLRenderer: .gammaInput has been removed. Set the encoding for textures via Texture.encoding instead."),!1},set:function(){l.warn("THREE.WebGLRenderer: .gammaInput has been removed. Set the encoding for textures via Texture.encoding instead.")}},gammaOutput:{get:function(){return l.warn("THREE.WebGLRenderer: .gammaOutput has been removed. Set WebGLRenderer.outputEncoding instead."),!1},set:function(t){l.warn("THREE.WebGLRenderer: .gammaOutput has been removed. Set WebGLRenderer.outputEncoding instead."),this.outputEncoding=!0===t?pi:hi}},toneMappingWhitePoint:{get:function(){return l.warn("THREE.WebGLRenderer: .toneMappingWhitePoint has been removed."),1},set:function(){l.warn("THREE.WebGLRenderer: .toneMappingWhitePoint has been removed.")}}}),Object.defineProperties(Ms.prototype,{cullFace:{get:function(){l.warn("THREE.WebGLRenderer: .shadowMap.cullFace has been removed. Set Material.shadowSide instead.")},set:function(){l.warn("THREE.WebGLRenderer: .shadowMap.cullFace has been removed. Set Material.shadowSide instead.")}},renderReverseSided:{get:function(){l.warn("THREE.WebGLRenderer: .shadowMap.renderReverseSided has been removed. Set Material.shadowSide instead.")},set:function(){l.warn("THREE.WebGLRenderer: .shadowMap.renderReverseSided has been removed. Set Material.shadowSide instead.")}},renderSingleSided:{get:function(){l.warn("THREE.WebGLRenderer: .shadowMap.renderSingleSided has been removed. Set Material.shadowSide instead.")},set:function(){l.warn("THREE.WebGLRenderer: .shadowMap.renderSingleSided has been removed. Set Material.shadowSide instead.")}}}),Object.defineProperties(WebGLRenderTarget.prototype,{wrapS:{get:function(){return l.warn("THREE.WebGLRenderTarget: .wrapS is now .texture.wrapS."),this.texture.wrapS},set:function(t){l.warn("THREE.WebGLRenderTarget: .wrapS is now .texture.wrapS."),this.texture.wrapS=t}},wrapT:{get:function(){return l.warn("THREE.WebGLRenderTarget: .wrapT is now .texture.wrapT."),this.texture.wrapT},set:function(t){l.warn("THREE.WebGLRenderTarget: .wrapT is now .texture.wrapT."),this.texture.wrapT=t}},magFilter:{get:function(){return l.warn("THREE.WebGLRenderTarget: .magFilter is now .texture.magFilter."),this.texture.magFilter},set:function(t){l.warn("THREE.WebGLRenderTarget: .magFilter is now .texture.magFilter."),this.texture.magFilter=t}},minFilter:{get:function(){return l.warn("THREE.WebGLRenderTarget: .minFilter is now .texture.minFilter."),this.texture.minFilter},set:function(t){l.warn("THREE.WebGLRenderTarget: .minFilter is now .texture.minFilter."),this.texture.minFilter=t}},anisotropy:{get:function(){return l.warn("THREE.WebGLRenderTarget: .anisotropy is now .texture.anisotropy."),this.texture.anisotropy},set:function(t){l.warn("THREE.WebGLRenderTarget: .anisotropy is now .texture.anisotropy."),this.texture.anisotropy=t}},offset:{get:function(){return l.warn("THREE.WebGLRenderTarget: .offset is now .texture.offset."),this.texture.offset},set:function(t){l.warn("THREE.WebGLRenderTarget: .offset is now .texture.offset."),this.texture.offset=t}},repeat:{get:function(){return l.warn("THREE.WebGLRenderTarget: .repeat is now .texture.repeat."),this.texture.repeat},set:function(t){l.warn("THREE.WebGLRenderTarget: .repeat is now .texture.repeat."),this.texture.repeat=t}},format:{get:function(){return l.warn("THREE.WebGLRenderTarget: .format is now .texture.format."),this.texture.format},set:function(t){l.warn("THREE.WebGLRenderTarget: .format is now .texture.format."),this.texture.format=t}},type:{get:function(){return l.warn("THREE.WebGLRenderTarget: .type is now .texture.type."),this.texture.type},set:function(t){l.warn("THREE.WebGLRenderTarget: .type is now .texture.type."),this.texture.type=t}},generateMipmaps:{get:function(){return l.warn("THREE.WebGLRenderTarget: .generateMipmaps is now .texture.generateMipmaps."),this.texture.generateMipmaps},set:function(t){l.warn("THREE.WebGLRenderTarget: .generateMipmaps is now .texture.generateMipmaps."),this.texture.generateMipmaps=t}}}),Object.defineProperties(Audio.prototype,{load:{value:function(t){l.warn("THREE.Audio: .load has been deprecated. Use THREE.AudioLoader instead.");const n=this;return(new iu).load(t,(function(t){n.setBuffer(t)})),this}},startTime:{set:function(){l.warn("THREE.Audio: .startTime is now .play( delay ).")}}}),AudioAnalyser.prototype.getData=function(){return l.warn("THREE.AudioAnalyser: .getData() is now .getFrequencyData()."),this.getFrequencyData()},So.prototype.updateCubeMap=function(t,n){return l.warn("THREE.CubeCamera: .updateCubeMap() is now .update()."),this.update(t,n)},So.prototype.clear=function(t,n,r,d){return l.warn("THREE.CubeCamera: .clear() is now .renderTarget.clear()."),this.renderTarget.clear(t,n,r,d)};const fp={merge:function(t,n,r){let d;l.warn("THREE.GeometryUtils: .merge() has been moved to Geometry. Use geometry.merge( geometry2, matrix, materialIndexOffset ) instead."),n.isMesh&&(n.matrixAutoUpdate&&n.updateMatrix(),d=n.matrix,n=n.geometry),t.merge(n,d,r)},center:function(t){return l.warn("THREE.GeometryUtils: .center() has been moved to Geometry. Use geometry.center() instead."),t.center()}};function mp(){l.error("THREE.CanvasRenderer has been removed")}function gp(){l.error("THREE.JSONLoader has been removed.")}nn.crossOrigin=void 0,nn.loadTexture=function(t,n,r,d){l.warn("THREE.ImageUtils.loadTexture has been deprecated. Use THREE.TextureLoader() instead.");const h=new od;h.setCrossOrigin(this.crossOrigin);const p=h.load(t,r,void 0,d);return n&&(p.mapping=n),p},nn.loadTextureCube=function(t,n,r,d){l.warn("THREE.ImageUtils.loadTextureCube has been deprecated. Use THREE.CubeTextureLoader() instead.");const h=new nd;h.setCrossOrigin(this.crossOrigin);const p=h.load(t,r,void 0,d);return n&&(p.mapping=n),p},nn.loadCompressedTexture=function(){l.error("THREE.ImageUtils.loadCompressedTexture has been removed. Use THREE.DDSLoader instead.")},nn.loadCompressedTextureCube=function(){l.error("THREE.ImageUtils.loadCompressedTextureCube has been removed. Use THREE.DDSLoader instead.")};const yp={createMultiMaterialObject:function(){l.error("THREE.SceneUtils has been moved to /examples/jsm/utils/SceneUtils.js")},detach:function(){l.error("THREE.SceneUtils has been moved to /examples/jsm/utils/SceneUtils.js")},attach:function(){l.error("THREE.SceneUtils has been moved to /examples/jsm/utils/SceneUtils.js")}};function vp(){l.error("THREE.LensFlare has been moved to /examples/jsm/objects/Lensflare.js")}"undefined"!=typeof __THREE_DEVTOOLS__&&__THREE_DEVTOOLS__.dispatchEvent(new CustomEvent("register",{detail:{revision:d}})),"undefined"!=typeof window&&(window.__THREE__?l.warn("WARNING: Multiple instances of Three.js being imported."):window.__THREE__=d)},2886:(t,n,r)=>{"use strict";r.r(n),r.d(n,{MapControls:()=>p,OrbitControls:()=>h});var l=r(2212),d=r(5108),h=function(t,n){var r,h,p,f,m,g;void 0===n&&d.warn('THREE.OrbitControls: The second parameter "domElement" is now mandatory.'),n===document&&d.error('THREE.OrbitControls: "document" should not be used as the target "domElement". Please use "renderer.domElement" instead.'),this.object=t,this.domElement=n,this.enabled=!0,this.target=new l.Vector3,this.minDistance=0,this.maxDistance=1/0,this.minZoom=0,this.maxZoom=1/0,this.minPolarAngle=0,this.maxPolarAngle=Math.PI,this.minAzimuthAngle=-1/0,this.maxAzimuthAngle=1/0,this.enableDamping=!1,this.dampingFactor=.05,this.enableZoom=!0,this.zoomSpeed=1,this.enableRotate=!0,this.rotateSpeed=1,this.enablePan=!0,this.panSpeed=1,this.screenSpacePanning=!0,this.keyPanSpeed=7,this.autoRotate=!1,this.autoRotateSpeed=2,this.keys={LEFT:37,UP:38,RIGHT:39,BOTTOM:40},this.mouseButtons={LEFT:l.MOUSE.ROTATE,MIDDLE:l.MOUSE.DOLLY,RIGHT:l.MOUSE.PAN},this.touches={ONE:l.TOUCH.ROTATE,TWO:l.TOUCH.DOLLY_PAN},this.target0=this.target.clone(),this.position0=this.object.position.clone(),this.zoom0=this.object.zoom,this._domElementKeyEvents=null,this.getPolarAngle=function(){return E.phi},this.getAzimuthalAngle=function(){return E.theta},this.listenToKeyEvents=function(t){t.addEventListener("keydown",pe),this._domElementKeyEvents=t},this.saveState=function(){y.target0.copy(y.target),y.position0.copy(y.object.position),y.zoom0=y.object.zoom},this.reset=function(){y.target.copy(y.target0),y.object.position.copy(y.position0),y.object.zoom=y.zoom0,y.object.updateProjectionMatrix(),y.dispatchEvent(v),y.update(),S=w.NONE},this.update=(r=new l.Vector3,h=(new l.Quaternion).setFromUnitVectors(t.up,new l.Vector3(0,1,0)),p=h.clone().invert(),f=new l.Vector3,m=new l.Quaternion,g=2*Math.PI,function(){var t=y.object.position;r.copy(t).sub(y.target),r.applyQuaternion(h),E.setFromVector3(r),y.autoRotate&&S===w.NONE&&W(2*Math.PI/60/60*y.autoRotateSpeed),y.enableDamping?(E.theta+=T.theta*y.dampingFactor,E.phi+=T.phi*y.dampingFactor):(E.theta+=T.theta,E.phi+=T.phi);var n=y.minAzimuthAngle,l=y.maxAzimuthAngle;return isFinite(n)&&isFinite(l)&&(n<-Math.PI?n+=g:n>Math.PI&&(n-=g),l<-Math.PI?l+=g:l>Math.PI&&(l-=g),E.theta=n<=l?Math.max(n,Math.min(l,E.theta)):E.theta>(n+l)/2?Math.max(n,E.theta):Math.min(l,E.theta)),E.phi=Math.max(y.minPolarAngle,Math.min(y.maxPolarAngle,E.phi)),E.makeSafe(),E.radius*=C,E.radius=Math.max(y.minDistance,Math.min(y.maxDistance,E.radius)),!0===y.enableDamping?y.target.addScaledVector(A,y.dampingFactor):y.target.add(A),r.setFromSpherical(E),r.applyQuaternion(p),t.copy(y.target).add(r),y.object.lookAt(y.target),!0===y.enableDamping?(T.theta*=1-y.dampingFactor,T.phi*=1-y.dampingFactor,A.multiplyScalar(1-y.dampingFactor)):(T.set(0,0,0),A.set(0,0,0)),C=1,!!(O||f.distanceToSquared(y.object.position)>_||8*(1-m.dot(y.object.quaternion))>_)&&(y.dispatchEvent(v),f.copy(y.object.position),m.copy(y.object.quaternion),O=!1,!0)}),this.dispose=function(){y.domElement.removeEventListener("contextmenu",ye),y.domElement.removeEventListener("pointerdown",ce),y.domElement.removeEventListener("wheel",he),y.domElement.removeEventListener("touchstart",fe),y.domElement.removeEventListener("touchend",ge),y.domElement.removeEventListener("touchmove",me),y.domElement.ownerDocument.removeEventListener("pointermove",de),y.domElement.ownerDocument.removeEventListener("pointerup",ue),null!==y._domElementKeyEvents&&y._domElementKeyEvents.removeEventListener("keydown",pe)};var y=this,v={type:"change"},b={type:"start"},x={type:"end"},w={NONE:-1,ROTATE:0,DOLLY:1,PAN:2,TOUCH_ROTATE:3,TOUCH_PAN:4,TOUCH_DOLLY_PAN:5,TOUCH_DOLLY_ROTATE:6},S=w.NONE,_=1e-6,E=new l.Spherical,T=new l.Spherical,C=1,A=new l.Vector3,O=!1,I=new l.Vector2,P=new l.Vector2,D=new l.Vector2,F=new l.Vector2,B=new l.Vector2,$=new l.Vector2,j=new l.Vector2,V=new l.Vector2,U=new l.Vector2;function G(){return Math.pow(.95,y.zoomSpeed)}function W(t){T.theta-=t}function q(t){T.phi-=t}var X,Y=(X=new l.Vector3,function(t,n){X.setFromMatrixColumn(n,0),X.multiplyScalar(-t),A.add(X)}),K=function(){var t=new l.Vector3;return function(n,r){!0===y.screenSpacePanning?t.setFromMatrixColumn(r,1):(t.setFromMatrixColumn(r,0),t.crossVectors(y.object.up,t)),t.multiplyScalar(n),A.add(t)}}(),J=function(){var t=new l.Vector3;return function(n,r){var l=y.domElement;if(y.object.isPerspectiveCamera){var h=y.object.position;t.copy(h).sub(y.target);var p=t.length();p*=Math.tan(y.object.fov/2*Math.PI/180),Y(2*n*p/l.clientHeight,y.object.matrix),K(2*r*p/l.clientHeight,y.object.matrix)}else y.object.isOrthographicCamera?(Y(n*(y.object.right-y.object.left)/y.object.zoom/l.clientWidth,y.object.matrix),K(r*(y.object.top-y.object.bottom)/y.object.zoom/l.clientHeight,y.object.matrix)):(d.warn("WARNING: OrbitControls.js encountered an unknown camera type - pan disabled."),y.enablePan=!1)}}();function Q(t){y.object.isPerspectiveCamera?C/=t:y.object.isOrthographicCamera?(y.object.zoom=Math.max(y.minZoom,Math.min(y.maxZoom,y.object.zoom*t)),y.object.updateProjectionMatrix(),O=!0):(d.warn("WARNING: OrbitControls.js encountered an unknown camera type - dolly/zoom disabled."),y.enableZoom=!1)}function ee(t){y.object.isPerspectiveCamera?C*=t:y.object.isOrthographicCamera?(y.object.zoom=Math.max(y.minZoom,Math.min(y.maxZoom,y.object.zoom/t)),y.object.updateProjectionMatrix(),O=!0):(d.warn("WARNING: OrbitControls.js encountered an unknown camera type - dolly/zoom disabled."),y.enableZoom=!1)}function te(t){I.set(t.clientX,t.clientY)}function ie(t){F.set(t.clientX,t.clientY)}function ne(t){if(1==t.touches.length)I.set(t.touches[0].pageX,t.touches[0].pageY);else{var n=.5*(t.touches[0].pageX+t.touches[1].pageX),r=.5*(t.touches[0].pageY+t.touches[1].pageY);I.set(n,r)}}function re(t){if(1==t.touches.length)F.set(t.touches[0].pageX,t.touches[0].pageY);else{var n=.5*(t.touches[0].pageX+t.touches[1].pageX),r=.5*(t.touches[0].pageY+t.touches[1].pageY);F.set(n,r)}}function oe(t){var n=t.touches[0].pageX-t.touches[1].pageX,r=t.touches[0].pageY-t.touches[1].pageY,l=Math.sqrt(n*n+r*r);j.set(0,l)}function ae(t){if(1==t.touches.length)P.set(t.touches[0].pageX,t.touches[0].pageY);else{var n=.5*(t.touches[0].pageX+t.touches[1].pageX),r=.5*(t.touches[0].pageY+t.touches[1].pageY);P.set(n,r)}D.subVectors(P,I).multiplyScalar(y.rotateSpeed);var l=y.domElement;W(2*Math.PI*D.x/l.clientHeight),q(2*Math.PI*D.y/l.clientHeight),I.copy(P)}function se(t){if(1==t.touches.length)B.set(t.touches[0].pageX,t.touches[0].pageY);else{var n=.5*(t.touches[0].pageX+t.touches[1].pageX),r=.5*(t.touches[0].pageY+t.touches[1].pageY);B.set(n,r)}$.subVectors(B,F).multiplyScalar(y.panSpeed),J($.x,$.y),F.copy(B)}function le(t){var n=t.touches[0].pageX-t.touches[1].pageX,r=t.touches[0].pageY-t.touches[1].pageY,l=Math.sqrt(n*n+r*r);V.set(0,l),U.set(0,Math.pow(V.y/j.y,y.zoomSpeed)),Q(U.y),j.copy(V)}function ce(t){if(!1!==y.enabled)switch(t.pointerType){case"mouse":case"pen":!function(t){var n;switch(t.preventDefault(),y.domElement.focus?y.domElement.focus():window.focus(),t.button){case 0:n=y.mouseButtons.LEFT;break;case 1:n=y.mouseButtons.MIDDLE;break;case 2:n=y.mouseButtons.RIGHT;break;default:n=-1}switch(n){case l.MOUSE.DOLLY:if(!1===y.enableZoom)return;!function(t){j.set(t.clientX,t.clientY)}(t),S=w.DOLLY;break;case l.MOUSE.ROTATE:if(t.ctrlKey||t.metaKey||t.shiftKey){if(!1===y.enablePan)return;ie(t),S=w.PAN}else{if(!1===y.enableRotate)return;te(t),S=w.ROTATE}break;case l.MOUSE.PAN:if(t.ctrlKey||t.metaKey||t.shiftKey){if(!1===y.enableRotate)return;te(t),S=w.ROTATE}else{if(!1===y.enablePan)return;ie(t),S=w.PAN}break;default:S=w.NONE}S!==w.NONE&&(y.domElement.ownerDocument.addEventListener("pointermove",de),y.domElement.ownerDocument.addEventListener("pointerup",ue),y.dispatchEvent(b))}(t)}}function de(t){if(!1!==y.enabled)switch(t.pointerType){case"mouse":case"pen":!function(t){if(!1===y.enabled)return;switch(t.preventDefault(),S){case w.ROTATE:if(!1===y.enableRotate)return;!function(t){P.set(t.clientX,t.clientY),D.subVectors(P,I).multiplyScalar(y.rotateSpeed);var n=y.domElement;W(2*Math.PI*D.x/n.clientHeight),q(2*Math.PI*D.y/n.clientHeight),I.copy(P),y.update()}(t);break;case w.DOLLY:if(!1===y.enableZoom)return;!function(t){V.set(t.clientX,t.clientY),U.subVectors(V,j),U.y>0?Q(G()):U.y<0&&ee(G()),j.copy(V),y.update()}(t);break;case w.PAN:if(!1===y.enablePan)return;!function(t){B.set(t.clientX,t.clientY),$.subVectors(B,F).multiplyScalar(y.panSpeed),J($.x,$.y),F.copy(B),y.update()}(t)}}(t)}}function ue(t){switch(t.pointerType){case"mouse":case"pen":!function(t){if(y.domElement.ownerDocument.removeEventListener("pointermove",de),y.domElement.ownerDocument.removeEventListener("pointerup",ue),!1===y.enabled)return;y.dispatchEvent(x),S=w.NONE}()}}function he(t){!1===y.enabled||!1===y.enableZoom||S!==w.NONE&&S!==w.ROTATE||(t.preventDefault(),t.stopPropagation(),y.dispatchEvent(b),function(t){t.deltaY<0?ee(G()):t.deltaY>0&&Q(G()),y.update()}(t),y.dispatchEvent(x))}function pe(t){!1!==y.enabled&&!1!==y.enablePan&&function(t){var n=!1;switch(t.keyCode){case y.keys.UP:J(0,y.keyPanSpeed),n=!0;break;case y.keys.BOTTOM:J(0,-y.keyPanSpeed),n=!0;break;case y.keys.LEFT:J(y.keyPanSpeed,0),n=!0;break;case y.keys.RIGHT:J(-y.keyPanSpeed,0),n=!0}n&&(t.preventDefault(),y.update())}(t)}function fe(t){if(!1!==y.enabled){switch(t.preventDefault(),t.touches.length){case 1:switch(y.touches.ONE){case l.TOUCH.ROTATE:if(!1===y.enableRotate)return;ne(t),S=w.TOUCH_ROTATE;break;case l.TOUCH.PAN:if(!1===y.enablePan)return;re(t),S=w.TOUCH_PAN;break;default:S=w.NONE}break;case 2:switch(y.touches.TWO){case l.TOUCH.DOLLY_PAN:if(!1===y.enableZoom&&!1===y.enablePan)return;!function(t){y.enableZoom&&oe(t),y.enablePan&&re(t)}(t),S=w.TOUCH_DOLLY_PAN;break;case l.TOUCH.DOLLY_ROTATE:if(!1===y.enableZoom&&!1===y.enableRotate)return;!function(t){y.enableZoom&&oe(t),y.enableRotate&&ne(t)}(t),S=w.TOUCH_DOLLY_ROTATE;break;default:S=w.NONE}break;default:S=w.NONE}S!==w.NONE&&y.dispatchEvent(b)}}function me(t){if(!1!==y.enabled)switch(t.preventDefault(),t.stopPropagation(),S){case w.TOUCH_ROTATE:if(!1===y.enableRotate)return;ae(t),y.update();break;case w.TOUCH_PAN:if(!1===y.enablePan)return;se(t),y.update();break;case w.TOUCH_DOLLY_PAN:if(!1===y.enableZoom&&!1===y.enablePan)return;!function(t){y.enableZoom&&le(t),y.enablePan&&se(t)}(t),y.update();break;case w.TOUCH_DOLLY_ROTATE:if(!1===y.enableZoom&&!1===y.enableRotate)return;!function(t){y.enableZoom&&le(t),y.enableRotate&&ae(t)}(t),y.update();break;default:S=w.NONE}}function ge(t){!1!==y.enabled&&(y.dispatchEvent(x),S=w.NONE)}function ye(t){!1!==y.enabled&&t.preventDefault()}y.domElement.addEventListener("contextmenu",ye),y.domElement.addEventListener("pointerdown",ce),y.domElement.addEventListener("wheel",he),y.domElement.addEventListener("touchstart",fe),y.domElement.addEventListener("touchend",ge),y.domElement.addEventListener("touchmove",me),this.update()};h.prototype=Object.create(l.EventDispatcher.prototype),h.prototype.constructor=h;var p=function(t,n){h.call(this,t,n),this.screenSpacePanning=!1,this.mouseButtons.LEFT=l.MOUSE.PAN,this.mouseButtons.RIGHT=l.MOUSE.ROTATE,this.touches.ONE=l.TOUCH.PAN,this.touches.TWO=l.TOUCH.DOLLY_ROTATE};p.prototype=Object.create(l.EventDispatcher.prototype),p.prototype.constructor=p},3506:(t,n,r)=>{"use strict";r.d(n,{l:()=>C});var l=r(7582),d=r(2188),h=(r(4915),r(696)),p=r(4479),f=r(7376),m=r(7965),g=r(5587),y=r(7190),v=r(1165),b=r(9929),x=r(4624),w=r(437),S=r(4725),_=r(9705),E=r(2525),T=r(5108);const C=new class LitApp{constructor(){this.services=new Map,this.buildServices()}initialize(){return(0,l.mG)(this,void 0,void 0,(function*(){const t=this.getService(h.s),n=this.getService(S.a),r=this.getService(v.s),[l,p]=this.getServiceArray(b.z),m=this.getService(E.i),g=this.getService(f.x4);n.metadata=yield t.getInfo(),T.log("[LIT - metadata]",(0,d.ZN)(n.metadata)),n.metadata.pageTitle&&(document.querySelector("html head title").textContent=n.metadata.pageTitle),m.syncStateToUrl(n,r,l,p,g),yield n.initialize(),r.initializeLayout(n.layout,n.currentModelInfos,n.currentDatasetSpec,n.compareExamplesEnabled),yield m.syncSelectedDatapointToUrl(n,l),p.primarySelectedId&&(n.compareExamplesEnabled=!0),n.metadata.syncState&&(0,d.EH)((()=>{t.pushState(l.selectedInputData,n.currentDataset,{primary_id:l.primarySelectedId,pinned_id:p.primarySelectedId})}))}))}getService(t,n){let r=this.services.get(t);if(Array.isArray(r)){if(null!=n&&"pinned"!==n)throw new Error(`Invalid service instance name: ${n}`);r=r["pinned"===n?1:0]}if(void 0===r)throw new Error(`Service is undefined: ${t.name}`);return r}getServiceArray(t){const n=this.services.get(t);if(void 0===n)throw new Error(`Service is undefined: ${t.name}`);return n}buildServices(){const t=new _.B,n=new h.s(t),r=new v.s,l=new E.i(n),d=new S.a(n,t),T=new b.z(d),C=new b.z(d),A=new w.q(T,d),O=new x.g(d,r,T),I=new p.c(d),P=new m.Do(d,I,n,O),D=new y.l(d,P),F=new f.x4(D,P),B=new g.i(T);this.services.set(h.s,n),this.services.set(S.a,d),this.services.set(p.c,I),this.services.set(f.x4,F),this.services.set(m.Do,P),this.services.set(g.i,B),this.services.set(y.l,D),this.services.set(v.s,r),this.services.set(b.z,[T,C]),this.services.set(x.g,O),this.services.set(w.q,A),this.services.set(_.B,t),this.services.set(E.i,l)}}},8596:(t,n,r)=>{"use strict";var l=r(7582),d=(r(1764),r(1907),r(5681),r(7924)),h=r(5862),p=r(8973),f=r(8810),m=r(2188),g=r(5889),y=r(9410),v=r(3506);const b=h.iv`:host {
  height: 24px;
}

#at-bottom {
  bottom: 0;
  position: sticky;
  z-index: 1;
}

.text-line {
  display: flex;
  justify-content: space-between;
  height: 20px;
  padding-top:2px
}

.toolbar {
  border-top: 1px solid var(--lit-cyea-300);
  background-color: var(--lit-majtonal-p-50);
  width: 100vw;
  color: var(--lit-cyea-700);
  font-size: 13px;
}

.status-info {
  display: flex;
  padding-left: 10px;
}

.status-info > * {
  margin: 0 2px;
}

.error {
  color: red;
  cursor: pointer;
}

.icon-button.error {
  color: red;
}

.emoji {
  height: 13px;
  margin-bottom: -5px;
  padding: 3px 0;
}

.signature {
  font-family: 'Google Sans', sans;
  padding-right: 10px;
  display: flex;
}

.link-icon {
  margin-left: 8px;
}

.no-progress-line {
  height: 2px;
  width: 100%;
  margin: 0;
  background-color: #e4f7fb;
}

.progress-line, .progress-line:before {
  height: 2px;
  width: 100%;
  margin: 0;
}

.progress-line {
  background-color: #2f8c9b;
  display: -webkit-flex;
  display: flex;
}

.progress-line:before {
  background-color: #e4f7fb;
  content: '';
  -webkit-animation: running-progress 2s cubic-bezier(0.4, 0, 0.2, 1) infinite;
  animation: running-progress 2s cubic-bezier(0.4, 0, 0.2, 1) infinite;
}

.modal-container {
  width: 100%;
  height: 100%;
  top: 0;
  z-index: 4;
  position: fixed;
}

.modal {
  position: absolute;
  top: 12vh;
  left: 10vw;
  height: 80vh;
  width: 80vw;
  box-sizing: border-box;
  background-color: white;
  box-shadow: var(--lit-box-shadow);
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.model-overlay {
  background: rgba(4, 29, 51, .47);
  width: 100vw;
  height: 100vh;
  top: 0;
  left: 0;
  transition: opacity 250ms;
}

.close-button-holder {
  display: flex;
  justify-content: flex-end;
  column-gap: 8px;
  margin: 10px;
}

.error-message-header {
  font-family: 'Google Sans', sans;
  font-size: 1.5rem;
  margin: 16px 8px;
}

.error-message-holder {
  margin: 0 8px;
  height: 100%;
  overflow: auto;
}

.error-message {
  font-family: monospace;
  white-space: pre;
}

@-webkit-keyframes running-progress {
  0% { margin-left: 0; margin-right: 100%; }
  50% { margin-left: 25%; margin-right: 0%; }
  100% { margin-left: 100%; margin-right: 0; }
}

@keyframes running-progress {
  0% { margin-left: 0; margin-right: 100%; }
  50% { margin-left: 25%; margin-right: 0%; }
  100% { margin-left: 100%; margin-right: 0; }
}
`;let x=class StatusbarComponent extends d.G{constructor(){super(...arguments),this.appState=v.l.getService(y.aB),this.statusService=v.l.getService(y.Bj),this.renderFullMessages=!1}static get styles(){return[g.W,b]}render(){const t=(0,f.$)({"progress-line":this.statusService.isLoading,"no-progress-line":!this.statusService.isLoading});return h.dy`
      <div id="at-bottom">
        <div class="toolbar">
          <div class="text-line">
            <div class="status-info">
              ${this.statusService.hasMessage?this.renderMessages():null}
            </div>
            <div class="signature">
              <div>Made with <img src="static/favicon.png" class="emoji"> by the LIT team</div>

              <lit-tooltip content="File a bug" tooltipPosition="above left">
                <a slot="tooltip-anchor" class="link-icon" href=${"https://github.com/PAIR-code/lit/issues"}
                  target="_blank">
                  <mwc-icon class="icon-button cyea-icon">bug_report</mwc-icon>
                </a>
              </lit-tooltip>

              <lit-tooltip content="View docs" tooltipPosition="above left">
                <a slot="tooltip-anchor" class="link-icon" href=${"https://pair-code.github.io/lit/documentation/"}
                  target="_blank">
                  <mwc-icon class="icon-button cyea-icon">plagiarism</mwc-icon>
                </a>
              </lit-tooltip>

              <lit-tooltip content="Get help" tooltipPosition="above left">
                <a class="link-icon" href=${"mailto:lit-dev@google.com"} target="_blank"
                  slot="tooltip-anchor">
                  <mwc-icon class="icon-button cyea-icon">feedback</mwc-icon>
                </a>
              </lit-tooltip>
            </div>
          </div>
          <div class=${t}></div>
        </div>
      </div>
      ${this.renderFullMessages?this.renderPopup():null}
    `}renderMessages(){return h.dy`
      ${this.statusService.hasError?this.renderError():this.renderLoading()}
    `}renderPopupControls(){const t=()=>{this.renderFullMessages=!1};return h.dy`
      <button class='hairline-button' @click=${()=>{t()}}>
        Close
      </button>
    `}renderPopup(){return h.dy`
      <div class='modal-container'>
        <div class="model-overlay" @click=${()=>{close()}}></div>
        <div class='modal'>
          <div class='error-message-header'>Error Details</div>
          <div class='error-message-holder'>
            ${this.statusService.errorFullMessages.map((t=>h.dy`<div class="error-message">${t}</div>`))}
          </div>
          <div class='close-button-holder'>
            ${this.renderPopupControls()}
          </div>
        </div>
      </div>`}renderError(){const t=()=>{this.renderFullMessages=!0};return h.dy`
     <div class="error" @click=${t}>
        ${this.statusService.errorMessage}
      </div>
      <mwc-icon class="icon-button error" @click=${t}>
        info
      </mwc-icon>
      <mwc-icon class="icon-button error" @click=${()=>{this.statusService.clearErrors()}}>
        clear
      </mwc-icon>
    `}renderLoading(){return h.dy`
      <div>${this.statusService.loadingMessage}</div>
    `}};(0,l.gn)([m.LO,(0,l.w6)("design:type",Object)],x.prototype,"renderFullMessages",void 0),x=(0,l.gn)([(0,p.Mo)("lit-app-statusbar")],x)},8384:(t,n,r)=>{"use strict";var l=r(7582),d=(r(1764),r(2683)),h=r(1907),p=(r(5450),r(7924)),f=r(8973),m=r(5862),g=r(8810),y=r(5889),v=r(4915),b=r(9410),x=r(3506);const w=m.iv`#at-top {
  top: 0;
  position: sticky;
  z-index: 3;
}

#headline {
  width: 100vw;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  background-color: var(--lit-cyea-500);
  font-family: 'Google Sans' !important;
  color: white;
  font-size: 18px;
  line-height: 24px;
  letter-spacing: +0.1;
  height: 40px;
}

.headline-section {
  display: flex;
  align-items: center;
}

.headline-section > div:not(.vertical-separator), button, mwc-icon {
  padding: 4px;
  display: flex;
  justify-content: center;
  align-items: center;
}

#title-group {
  font-family: 'Google Sans', sans;
  margin-left: 8px;
}

icon-margin {
  margin: 0px 3px;
}

.status-emoji {
  width: 20px;
  height: 20px;
  padding-right: 4px;
  display: block;
}

.vertical-separator {
  background: #098591;
  width: 2px;
  height: 1.2rem;
  padding: 0;
  margin: 0 8px;
}

/* Custom button style to work with the dark background */
button {
  font-size: 16px;
  color: white;
}

/* disabled, unselected, default, focus, hover, selected */

.headline-button {
  margin: 0 4px;
  background: transparent;
  border-radius: 4px;
  border: 1px solid #098591;
  font-family: Roboto;
  color: #E4F7FB; /* Cyan/50 */
}

.headline-button.unbordered {
  border: 1px solid transparent;
}

.headline-button.unselected {
  color: #A1E4F2; /* Cyan/200 */
}

.headline-button.selected {
  border: 1px solid #E4F7FB; /* Cyan/50 */
}

.headline-button:focus {
  background: rgba(138, 180, 248, 0.12);
  outline: none;
}

.headline-button:hover {
  background: rgba(26, 115, 232, 0.04);
  opacity: .7;
  border: 1px solid var(--lit-neutral-400);
}

.headline-button:active {
  background: #E8F0FE;
  box-shadow: 0px 1px 2px rgba(60, 64, 67, 0.3),
    0px 1px 3px 1px rgba(60, 64, 67, 0.15);
  opacity: .4;
}

.headline-button:disabled {
  color: rgba(60, 64, 67, 0.38);
}

/* Limit width of button text, without hiding icons. */
.headline-button-text {
  max-width: 180px;
  text-overflow: ellipsis;
  overflow: hidden;
  white-space: nowrap;
}

.subtitle {
  margin-top: 4px;
  margin-left: 12px;
  font-size: 12px;
}
`;var S=r(5108);let _=class ToolbarComponent extends p.G{constructor(){super(...arguments),this.appState=x.l.getService(b.aB),this.settingsService=x.l.getService(b.gb),this.statusService=x.l.getService(b.Bj),this.modulesService=x.l.getService(b.s7)}static get styles(){return[y.W,w]}toggleGlobalSettings(){void 0!==this.globalSettingsElement&&(this.globalSettingsElement.isOpen?this.globalSettingsElement.close():this.globalSettingsElement.open())}toggleDocumentation(){void 0!==this.docElement&&(this.docElement.isOpen?this.docElement.close():this.docElement.open())}jumpToSettingsTab(t){void 0!==this.globalSettingsElement&&(this.globalSettingsElement.isOpen&&this.globalSettingsElement.selectedTab===t?this.globalSettingsElement.close():(this.globalSettingsElement.selectedTab=t,this.globalSettingsElement.open()))}renderStatusAndTitle(){let t=!1,n="LIT";this.appState.initialized&&this.appState.metadata.pageTitle&&(n=this.appState.metadata.pageTitle,n.includes("LIT")||(t=!0));return m.dy`
      <div id="title-group">
        <a href="https://github.com/PAIR-code/lit/issues/new" target="_blank">
          ${(()=>this.statusService.hasError?m.dy`<img src="static/potato.svg" class="status-emoji">`:t?null:m.dy`<img src="static/favicon.png" class="status-emoji">`)()}
        </a>
        ${n}
        ${t?m.dy`<div class="subtitle">${"Powered by 🔥 LIT"}</div>`:null}
      </div>
    `}renderModelInfo(){const t=Object.keys(this.appState.metadata.models).filter((t=>!t.startsWith("_"))).filter((t=>this.settingsService.isDatasetValidForModels(this.appState.currentDataset,[t])));if(2<=t.length&&t.length<=4){const n=t.map((t=>{const n=this.appState.currentModels.includes(t),r={"headline-button":!0,unselected:!n,selected:n},l=n?"check_box":"check_box_outline_blank",d=`${n?"Unselect":"Select"} model ${t}`;return m.dy`
          <lit-tooltip content=${d}>
            <button class=${(0,g.$)(r)}
              slot='tooltip-anchor'
              @click=${()=>{const n=new Set(this.appState.currentModels);n.has(t)?n.delete(t):n.add(t),this.settingsService.updateSettings({models:[...n]}),this.requestUpdate()}}>
              <span class='material-icon'>${l}</span>
              &nbsp;
              <span class='headline-button-text'>${t}</span>
            </button>
          </lit-tooltip>
        `}));return m.dy`
        ${n}
        <lit-tooltip content="Select model(s)">
          <button class='headline-button' slot="tooltip-anchor"
            @click=${()=>{this.jumpToSettingsTab("Models")}}>
            <span class='material-icon-outlined'>smart_toy</span>
            &nbsp;<span class='material-icon'>arrow_drop_down</span>
          </button>
        </lit-tooltip>
      `}{const t=this.appState.currentModels.join(", ");return m.dy`
        <lit-tooltip content="Select model(s)">
          <button class='headline-button' slot="tooltip-anchor"
            @click=${()=>{this.jumpToSettingsTab("Models")}}>
            <span class='material-icon-outlined'>smart_toy</span>
            &nbsp;
            <span class='headline-button-text'>${t}</span>
            &nbsp;
            <span class='material-icon'>arrow_drop_down</span>
          </button>
        </lit-tooltip>
      `}}renderDatasetInfo(){const t=(0,v.h6)(this.appState.currentDataset);return m.dy`
      <div class='vertical-separator'></div>
      <lit-tooltip content="Select dataset">
        <button class='headline-button' slot="tooltip-anchor"
          @click=${()=>{this.jumpToSettingsTab("Dataset")}}>
          <span class='material-icon'>storage</span>
          &nbsp;
          <span class='headline-button-text'>${t}</span>
          &nbsp;
          <span class='material-icon'>arrow_drop_down</span>
        </button>
      </lit-tooltip>
    `}renderLayoutInfo(){const t=Object.keys(this.appState.layouts),n=this.appState.layoutName;if(2<=t.length&&t.length<=4){const r=t.map((t=>{const r=t===n,l={"headline-button":!0,unselected:!r,selected:r},d=r?"material-icon":"material-icon-outlined";return m.dy`
          <lit-tooltip content="Select ${t} layout">
            <button class=${(0,g.$)(l)} slot="tooltip-anchor"
              @click=${()=>{this.settingsService.updateSettings({layoutName:t}),this.requestUpdate()}}>
              <span class=${d}>view_compact</span>
              &nbsp;
              <span class='headline-button-text'>${t}</span>
            </button>
          </lit-tooltip>
        `}));return m.dy`${r}`}return m.dy`
        <lit-tooltip content="Select UI layout.">
          <button class='headline-button' slot="tooltip-anchor"
            @click=${()=>{this.jumpToSettingsTab("Layout")}}>
            <span class='material-icon'>view_compact</span>
            &nbsp;
            <span class='headline-button-text'>${n}</span>
            &nbsp;
            <span class='material-icon'>arrow_drop_down</span>
          </button>
        </lit-tooltip>
      `}renderConfigControls(){return m.dy`
      ${this.appState.initialized?this.renderModelInfo():null}
      ${this.appState.initialized?this.renderDatasetInfo():null}
      <div class='vertical-separator'></div>
      ${this.renderLayoutInfo()}
    `}onClickCopyLink(){const t=this.appState.getBestURL();navigator.clipboard.writeText(t),S.log("Copied URL to this instance: ",t)}renderRightCorner(){const t=m.dy`
      <lit-tooltip content="Configure models, datasets, and UI.">
        <button class='headline-button unbordered' id="config"
          slot="tooltip-anchor"
          @click=${this.toggleGlobalSettings}>
          <span class='material-icon'>settings</span>
          &nbsp;Configure
        </button>
      </lit-tooltip>`,n=null!=this.appState.metadata?m.dy`
        <lit-tooltip content="Go to documentation" tooltipPosition="left">
          <mwc-icon class="icon-button large-icon white-icon icon-margin"
            slot="tooltip-anchor"
            @click=${this.toggleDocumentation}>
            help_outline
          </mwc-icon>
        </lit-tooltip>`:null;return m.dy`
      ${t}
      <lit-tooltip content="Copy link to this page" tooltipPosition="left">
        <button class='headline-button unbordered' slot="tooltip-anchor"
          @click=${this.onClickCopyLink}>
          <span class='material-icon'>link</span>
          &nbsp;Copy Link
        </button>
      </lit-tooltip>
      ${n}
    `}render(){const t=this.appState.initialized&&!this.modulesService.getSetting("hideToolbar");return m.dy`
      ${this.appState.initialized?m.dy`<lit-global-settings></lit-global-settings>`:null}
      ${null!=this.appState.metadata?m.dy`<lit-documentation></lit-documentation>`:null}
      <div id="at-top">
        <div id="headline">
          <div class="headline-section">
            ${this.renderStatusAndTitle()}
          </div>
          <div class="headline-section">
            ${this.renderConfigControls()}
          </div>
          <div class="headline-section">
            ${this.renderRightCorner()}
          </div>
        </div>
        ${t?m.dy`<lit-main-toolbar></lit-main-toolbar>`:null}
      </div>
    `}};(0,l.gn)([(0,f.IO)("lit-documentation"),(0,l.w6)("design:type",d.s)],_.prototype,"docElement",void 0),(0,l.gn)([(0,f.IO)("lit-global-settings"),(0,l.w6)("design:type",h.l)],_.prototype,"globalSettingsElement",void 0),_=(0,l.gn)([(0,f.Mo)("lit-app-toolbar")],_)},2683:(t,n,r)=>{"use strict";r.d(n,{s:()=>w});var l=r(7582),d=(r(1732),r(5862)),h=r(8973),p=r(8810),f=r(2188),m=r(9537),g=r(5889),y=r(7098),v=r(9410),b=r(3506);const x=d.iv`#doc-holder {
  width: 0;
  height: 0;
  z-index: 4;
  position: fixed;
}

#overlay {
  background: rgba(4, 29, 51, .47);
  width: 100vw;
  height: 100vh;
  top: 0;
  left: 0;
  transition: opacity 250ms;
}

#overlay.hide {
  opacity: 0;
  visibility: hidden;
}

#doc {
  font-family: 'Google Sans';
  position: absolute;
  top: 10vh;
  left: 33vw;
  /*height: calc(60vh + 300px);*/
  max-height: 86vh;
  width: 33vw;
  padding-bottom: 8px;
  box-sizing: border-box;
  background-color: white;
  box-shadow: var(--lit-box-shadow);
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

#doc.hide {
  display: none;
}

a {
  text-decoration: none;
  color: var(--lit-neutral-700);
  padding: 0 7px;
}

#holder {
  padding: 0 12px 12px 12px;
}

.page-controls {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.prev-next-container {
  display: flex;
}

.dot {
  height: 12px;
  width: 12px;
  margin: 6px;
  background-color: var(--lit-neutral-500);
  border-radius: 50%;
  display: inline-block;
}

.clickable {
  cursor: pointer;
}

.filled {
  background-color: var(--lit-cyea-500);
}

.nav-button {
  width: 94px;
}

.dots-line {
  margin: auto;
  padding-bottom: 8px;
}

.dots-holder {
  display: flex;
  justify-content: center;
}

.checkbox {
  color: var(--lit-neutral-700);
}

.doc-open-icon {
  --mdc-icon-size: 14px;
  vertical-align: middle;
}

.nav-icon {
  margin: 0 4px;
}

.top-section {
  overflow: auto;
}

.close-button {
  position: absolute;
  top: 12px;
  right: 12px;
  background: #9AA0A6CC;
  border-radius: 8px;
}

.bottom-area {
  padding: 0 12px;
}

img {
  display: block;
  width: calc(100% + 24px);
  margin-left: -12px;
}

p {
  font-size: 14px;
  margin-block-start: 0;
  min-height: 100px;
}

h1 {
  font-size: 18px;
  font-weight: normal;
}
`;let w=class DocumentationComponent extends m.f{static get styles(){return[g.W,x]}constructor(t=b.l.getService(v.aB)){super(),this.appState=t,this.isOpen=!1,this.currentPage=0,this.markdownPages=["![](static/onboarding_1_welcome.gif)\n# Welcome to LIT!\nLIT is a visual, interactive tool to help ML researchers, engineers, product teams, and decision makers explore and compare models using out-of-the-box interpretability methods to improve performance and mitigate bias issues. We support a variety of models, data types, and interpretability methods.","![](static/onboarding_2_modules.gif)\n# Start interacting with flexible modules\nLIT uses modules that allow rich interactions using visualizations, tables, to perform lots of tasks. Modules interact with each other so you can seamlessly switch between various workflows – from datapoint explorations, to model predictions to counterfactuals – without getting lost.","![](static/onboarding_3_workspaces.gif)\n# Workspaces in LIT\nWhether you're evaluating model predictions, looking for explanations, or generating counterfactuals, you can find the modules you need in LIT's workflow-optimized workspaces.\n","![](static/onboarding_4_explore.gif)\n# Explore data and models\nExplore model performance across the entire dataset, a subset, or individual data points. Create subsets of your loaded data by filtering on criteria, curating by selection, or by generating “what-if” style counterfactuals.","![](static/onboarding_5_toolbars.gif)\n# Manage models, datasets, and selections\nLIT's toolbars present controls for selecting models and datasets and sharing findings. Advanced controls allow you to navigate individual data points systematically or switch into datapoint comparison mode.","![](static/onboarding_6_compare.gif)\n# Dynamically evaluate models side-by-side\nEasily switch between exploring a single model or comparing multiple models from within your workflow. Compare predictions, explanations, and metrics to see differences in behavior and performance.","![](static/onboarding_7_start.gif)\n# Start exploring!\nNeed more help? Visit our documentation page for more advanced help and support. Otherwise, click get started."]}firstUpdated(){this.react((()=>this.isOpen),(()=>{this.appState.documentationOpen=this.isOpen})),document.addEventListener("keydown",(t=>{"Escape"===t.key?this.close():"ArrowLeft"===t.key&&this.currentPage>0?this.currentPage-=1:"ArrowRight"===t.key&&(this.currentPage<this.totalPages-1?this.currentPage+=1:this.close())})),this.isOpen=this.appState.documentationOpen}open(){this.currentPage=0,this.isOpen=!0}close(){this.isOpen=!1}get pagesToRender(){const t=this.markdownPages;return null!=this.appState.metadata.onboardStartDoc&&t.unshift(this.appState.metadata.onboardStartDoc),null!=this.appState.metadata.onboardEndDoc&&t.splice(t.length-1,0,this.appState.metadata.onboardEndDoc),t.map((t=>(0,y.Xo)(t)))}get totalPages(){return this.pagesToRender.length}render(){const t=(0,p.$)({hide:!this.isOpen}),n=this.pagesToRender[this.currentPage];return d.dy`
      <div id="doc-holder">
        <div id="overlay" class=${t}
         @click=${()=>{this.close()}}></div>
        <div id="doc" class=${t}>
          <div class="top-section">
            <div id="holder">
               ${n}
            </div>
          </div>
          <div class="bottom-area">
            <div class="dots-line">
              <div class="dots-holder">
                ${this.pagesToRender.map(((t,n)=>this.renderDot(n)))}
              </div>
              <mwc-icon class="icon-button close-button" @click=${()=>{this.isOpen=!1}}>
                close
              </mwc-icon>
            </div>
            <div class="page-controls">
              <div class="doc-link-holder">
                ${this.renderDocLink()}
              </div>
              <div class="prev-next-container">
                ${this.renderNextPrevButton(!1)}
                ${this.renderNextPrevButton(!0)}
              </div>
            </div>
          </div>
        </div>
      </div>
    `}renderDocLink(){return d.dy`
      <div>
        <a href="${"https://github.com/PAIR-code/lit/wiki"}" target="_blank">
          Documentation
          <mwc-icon class="doc-open-icon">open_in_new</mwc-icon>
        </a>
      </div>
    `}renderDot(t){const n=(0,p.$)({dot:!0,filled:this.currentPage===t,clickable:this.currentPage!==t});return d.dy`<div class=${n} @click=${()=>{this.currentPage=t}}></div>`}renderNextPrevButton(t=!0){const n=t?"east":"west",r=this.currentPage===this.totalPages-1,l=t?r?"Get started":"Next":"Back",h=!t&&0===this.currentPage;return d.dy`
     <button class='hairline-button nav-button' @click=${()=>{r&&t?this.isOpen=!1:t?this.currentPage++:this.currentPage--}} ?disabled=${h}>
       ${t?null:d.dy`<mwc-icon class='nav-icon'>${n}</mwc-icon>`}
       ${l}
       ${t?r?null:d.dy`<mwc-icon class='nav-icon'>${n}</mwc-icon>`:null}
    </button>
    `}};(0,l.gn)([f.LO,(0,l.w6)("design:type",Object)],w.prototype,"isOpen",void 0),(0,l.gn)([f.LO,(0,l.w6)("design:type",Object)],w.prototype,"currentPage",void 0),(0,l.gn)([f.LO,(0,l.w6)("design:type",Object)],w.prototype,"markdownPages",void 0),(0,l.gn)([(0,h.IO)("#holder"),(0,l.w6)("design:type",HTMLDivElement)],w.prototype,"docElement",void 0),(0,l.gn)([f.Fl,(0,l.w6)("design:type",Object),(0,l.w6)("design:paramtypes",[])],w.prototype,"pagesToRender",null),(0,l.gn)([f.Fl,(0,l.w6)("design:type",Object),(0,l.w6)("design:paramtypes",[])],w.prototype,"totalPages",null),w=(0,l.gn)([(0,h.Mo)("lit-documentation"),(0,l.w6)("design:paramtypes",[Object])],w)},482:(t,n,r)=>{"use strict";var l=r(7582),d=(r(8684),r(5862)),h=r(8973),p=r(8810),f=r(2188),m=r(3506),g=r(9537),y=r(5889),v=r(7098),b=r(7190);const x=d.iv`:host {
  flex-grow: 1;
}

.faceting-info {
  display: flex;
  flex-direction: row;
  align-items: start;
  justify-content: space-between;
}

.faceting-info .hairline-button {
  margin-left: 0;
}

.active-facets {
  flex: 1;
  line-height: 22px;
  /* Revert a pointer style from <popup-container> */
  cursor: text;
}

.active-facets.disabled {
  color: var(--lit-neutral-400);
}

.config-panel {
  min-width: 250px;
  max-height: 150px;

  flex-direction: column;
  overflow-y: hidden;
}

.panel-header {
  flex: 0 0 auto;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
  padding: 8px;
}

.panel-label {
  color: var(--lit-cyea-600);
  font-size: 14px;
  font-weight: bold;
  margin-right: 12px;
  flex-grow: 1;
}

.choice-limit {
  color: var(--lit-neutral-600);
  margin-right: 8px;
}

.panel-options {
  flex: 1 1 auto;
  overflow-y: auto;
}

.feature-options-row {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
  padding-left: 2px;
  padding-right: 8px;
}

.feature-options-row.excess-bins {
  background-color: var(--google-red-50);
  color: var(--google-red-500);
}

.feature-options-row .aligner {
  flex-grow: 1;
}

.feature-options-row select.dropdown {
  max-width: 135px;
}

.feature-options-row input[type='number'] {
  width: 64px;
}

.feature-options-row .no-input {
  min-width: 72px;
}

popup-container {
  --popup-top: 4px;
}
`;let w=class FacetingControl extends g.f{static get styles(){return[y.W,x]}constructor(t=m.l.getService(b.l)){super(),this.groupService=t,this.featureConfigs=new Map,this.discreteCount=new Map,this.hasExcessBins=!1,this.features=[],this.bins={},this.disabled=!1,this.binLimit=100,this.initFeatureConfigs()}reset(){this.features=[],this.updateBins(),this.initFeatureConfigs()}initFeatureConfigs(){const t=this.groupService.numericalFeatureNames.map((t=>({featureName:t,method:b.J.EQUAL_INTERVAL}))),n=this.groupService.numericalFeatureBins(t),r=t.map((t=>Object.assign(Object.assign({},t),{method:b.J.DISCRETE}))),l=this.groupService.numericalFeatureBins(r);for(const r of t){const t=r.featureName;r.numBins=Object.keys(n[t]).length,this.featureConfigs.set(t,r),this.discreteCount.set(t,Object.keys(l[t]).length)}}updateBins(){const t=this.features.filter((t=>this.groupService.numericalFeatureNames.includes(t))).map((t=>this.featureConfigs.get(t)));this.bins=this.groupService.numericalFeatureBins(t);const n=this.features.reduce(((t,n)=>this.groupService.numericalFeatureNames.includes(n)?t*Object.keys(this.bins[n]).length:this.groupService.categoricalFeatureNames.includes(n)?t*this.groupService.categoricalFeatures[n].length:this.groupService.booleanFeatureNames.includes(n)?2*t:t),1);this.hasExcessBins=n>this.binLimit,this.hasExcessBins||this.dispatchEvent(new CustomEvent("facets-change",{detail:{features:this.features,bins:this.bins}}))}connectedCallback(){super.connectedCallback(),this.reactImmediately((()=>this.groupService.denseFeatureNames),(()=>{this.reset()}))}renderFeatureOption(t){const n=this.features.includes(t),r=null!=this.choiceLimit&&this.features.length>=this.choiceLimit&&!n,l=()=>{const n=[...this.features];-1!==n.indexOf(t)?n.splice(n.indexOf(t),1):n.push(t),this.features=n,this.updateBins(),this.requestUpdate()};if(this.groupService.numericalFeatureNames.includes(t))return this.renderNumericFeatureOption(t,n,r,l);const h=this.groupService.categoricalFeatureNames.includes(t)?this.groupService.categoricalFeatures[t].length:2,f=`${t} (${h})`,m=(0,p.$)({"feature-options-row":!0,"excess-bins":this.hasExcessBins&&n});return d.dy`
        <div class=${m}>
          <lit-checkbox ?checked=${n} ?disabled=${r}
                        @change=${l} label=${f}>
          </lit-checkbox>
        </div>`}renderNumericFeatureOption(t,n,r,l){const h=this.featureConfigs.get(t),f=t=>{const{value:n}=t.target;h&&(h.numBins=Math.round(Number(n))),this.updateBins()},m=t=>{const{value:n}=t.target;h&&(h.threshold=Number(n)),this.updateBins()};let g;if(h.method===b.J.EQUAL_INTERVAL||h.method===b.J.QUANTILE){const t=(h.numBins||4).toString();g=d.dy`
          <input type="number" step="1" min="1" max=${this.binLimit}
                 ?disabled=${r} .value=${t}
                 @input=${f}>`}else if(h.method===b.J.THRESHOLD){const[n,l]=this.groupService.numericalFeatureRanges[t],p=l-n,f=(0,v.Lt)(p),y=(h.threshold||p/2+n).toString();g=d.dy`
          <input type="number" step=${f} min=${n} max=${l}
                 ?disabled=${r} .value=${y}
                 @input=${m}>`}else g=d.dy`<div class="no-input"></div>`;const y=(0,p.$)({"feature-options-row":!0,"excess-bins":this.hasExcessBins&&n});return d.dy`
      <div class=${y}>
        <lit-checkbox ?checked=${n} ?disabled=${r}
                      @change=${l} label=${t}>
        </lit-checkbox>
        <div class="aligner"></div>
        <select class="dropdown" ?disabled=${r} @change=${n=>{const r=n.target.value;if(h&&h.method!==r){if(h.method=r,r===b.J.EQUAL_INTERVAL){h.numBins=0;const t=this.groupService.numericalFeatureBins([h]);h.numBins=Object.keys(t[h.featureName]).length}if(r===b.J.QUANTILE&&(h.numBins=4),r===b.J.THRESHOLD){const[n,r]=this.groupService.numericalFeatureRanges[t],l=r-n;h.threshold=l/2+n}}this.updateBins(),this.requestUpdate()}}>
          ${Object.values(b.J).map((n=>{const r=n.replace("-"," ").toUpperCase(),l=n===h.method,p=this.discreteCount.get(t),f=n===b.J.DISCRETE&&p>this.binLimit,m=`${r}${f?` (${p} bins > ${this.binLimit} max)`:""}`;return d.dy`<option value=${n} ?selected=${l}
                                ?disabled=${f}>${m}</option>`}))}
        </select>
        ${g}
      </div>`}renderFeatureOptions(){return this.groupService.denseFeatureNames.map((t=>this.renderFeatureOption(t)))}render(){const t=this.features.length?`${this.features.join(", ")} (${this.groupService.numIntersectionsLabel(this.bins,this.features)})`:"None",n=this.contextName?` for ${this.contextName}`:"",r=`Faceting configuration${n}`,l=(0,p.$)({"active-facets":!0,disabled:this.disabled});return d.dy`
      <popup-container>
        <div class="faceting-info" slot='toggle-anchor'>
          <lit-tooltip content=${r}>
            <button class="hairline-button" slot="tooltip-anchor"
                    ?disabled=${this.disabled}>
              <span class="material-icon">dashboard</span>
              Facets
            </button>
          </lit-tooltip>
          <div class=${l}
           @click=${t=>{t.stopPropagation()}}>
            : ${t}
          </div>
        </div>
        <div class='config-panel'>
          <div class="panel-header">
            <span class="panel-label">Faceting Config${n}</span>
            <span class="choice-limit">(Limit ${this.binLimit} bins ${null!=this.choiceLimit?`, ${this.choiceLimit} features`:""})</span>
          </div>
          <div class="panel-options">${this.renderFeatureOptions()}</div>
        </div>
      </popup-container>`}};(0,l.gn)([f.LO,(0,l.w6)("design:type",Object)],w.prototype,"hasExcessBins",void 0),(0,l.gn)([f.LO,(0,l.w6)("design:type",Array)],w.prototype,"features",void 0),(0,l.gn)([f.LO,(0,l.w6)("design:type",Object)],w.prototype,"bins",void 0),(0,l.gn)([(0,h.Cb)({type:Boolean,reflect:!0}),(0,l.w6)("design:type",Object)],w.prototype,"disabled",void 0),(0,l.gn)([(0,h.Cb)({type:String}),(0,l.w6)("design:type",String)],w.prototype,"contextName",void 0),(0,l.gn)([(0,h.Cb)({type:Number}),(0,l.w6)("design:type",Object)],w.prototype,"binLimit",void 0),(0,l.gn)([(0,h.Cb)({type:Number}),(0,l.w6)("design:type",Number)],w.prototype,"choiceLimit",void 0),w=(0,l.gn)([(0,h.Mo)("faceting-control"),(0,l.w6)("design:paramtypes",[Object])],w)},1907:(t,n,r)=>{"use strict";r.d(n,{l:()=>De});var l=r(7582),d=r(5713),h=r(9662),p=r(2669),f=(r(7935),r(43)),m=r(6308),g={ROOT:"mdc-form-field"},y={LABEL_SELECTOR:".mdc-form-field > label"};const v=function(t){function n(r){var d=t.call(this,(0,l.pi)((0,l.pi)({},n.defaultAdapter),r))||this;return d.click=function(){d.handleClick()},d}return(0,l.ZT)(n,t),Object.defineProperty(n,"cssClasses",{get:function(){return g},enumerable:!1,configurable:!0}),Object.defineProperty(n,"strings",{get:function(){return y},enumerable:!1,configurable:!0}),Object.defineProperty(n,"defaultAdapter",{get:function(){return{activateInputRipple:function(){},deactivateInputRipple:function(){},deregisterInteractionHandler:function(){},registerInteractionHandler:function(){}}},enumerable:!1,configurable:!0}),n.prototype.init=function(){this.adapter.registerInteractionHandler("click",this.click)},n.prototype.destroy=function(){this.adapter.deregisterInteractionHandler("click",this.click)},n.prototype.handleClick=function(){var t=this;this.adapter.activateInputRipple(),requestAnimationFrame((function(){t.adapter.deactivateInputRipple()}))},n}(m.K);var b=r(4021),x=r(6141),w=r(6551),S=(r(7898),r(3692)),_=r(3410),E=r(7499);class FormfieldBase extends b.H{constructor(){super(...arguments),this.alignEnd=!1,this.spaceBetween=!1,this.nowrap=!1,this.label="",this.mdcFoundationClass=v}createAdapter(){return{registerInteractionHandler:(t,n)=>{this.labelEl.addEventListener(t,n)},deregisterInteractionHandler:(t,n)=>{this.labelEl.removeEventListener(t,n)},activateInputRipple:async()=>{const t=this.input;if(t instanceof x.Wg){const n=await t.ripple;n&&n.startPress()}},deactivateInputRipple:async()=>{const t=this.input;if(t instanceof x.Wg){const n=await t.ripple;n&&n.endPress()}}}}get input(){var t,n;return null!==(n=null===(t=this.slottedInputs)||void 0===t?void 0:t[0])&&void 0!==n?n:null}render(){const t={"mdc-form-field--align-end":this.alignEnd,"mdc-form-field--space-between":this.spaceBetween,"mdc-form-field--nowrap":this.nowrap};return _.dy`
      <div class="mdc-form-field ${(0,E.$)(t)}">
        <slot></slot>
        <label class="mdc-label"
               @click="${this._labelClick}">${this.label}</label>
      </div>`}click(){this._labelClick()}_labelClick(){const t=this.input;t&&(t.focus(),t.click())}}(0,l.gn)([(0,h.C)({type:Boolean})],FormfieldBase.prototype,"alignEnd",void 0),(0,l.gn)([(0,h.C)({type:Boolean})],FormfieldBase.prototype,"spaceBetween",void 0),(0,l.gn)([(0,h.C)({type:Boolean})],FormfieldBase.prototype,"nowrap",void 0),(0,l.gn)([(0,h.C)({type:String}),(0,w.P)((async function(t){var n;null===(n=this.input)||void 0===n||n.setAttribute("aria-label",t)}))],FormfieldBase.prototype,"label",void 0),(0,l.gn)([(0,p.I)(".mdc-form-field")],FormfieldBase.prototype,"mdcRoot",void 0),(0,l.gn)([(0,f.v)("",!0,"*")],FormfieldBase.prototype,"slottedInputs",void 0),(0,l.gn)([(0,p.I)("label")],FormfieldBase.prototype,"labelEl",void 0);const T=_.iv`.mdc-form-field{-moz-osx-font-smoothing:grayscale;-webkit-font-smoothing:antialiased;font-family:Roboto, sans-serif;font-family:var(--mdc-typography-body2-font-family, var(--mdc-typography-font-family, Roboto, sans-serif));font-size:0.875rem;font-size:var(--mdc-typography-body2-font-size, 0.875rem);line-height:1.25rem;line-height:var(--mdc-typography-body2-line-height, 1.25rem);font-weight:400;font-weight:var(--mdc-typography-body2-font-weight, 400);letter-spacing:0.0178571429em;letter-spacing:var(--mdc-typography-body2-letter-spacing, 0.0178571429em);text-decoration:inherit;text-decoration:var(--mdc-typography-body2-text-decoration, inherit);text-transform:inherit;text-transform:var(--mdc-typography-body2-text-transform, inherit);color:rgba(0, 0, 0, 0.87);color:var(--mdc-theme-text-primary-on-background, rgba(0, 0, 0, 0.87));display:inline-flex;align-items:center;vertical-align:middle}.mdc-form-field>label{margin-left:0;margin-right:auto;padding-left:4px;padding-right:0;order:0}[dir=rtl] .mdc-form-field>label,.mdc-form-field>label[dir=rtl]{margin-left:auto;margin-right:0}[dir=rtl] .mdc-form-field>label,.mdc-form-field>label[dir=rtl]{padding-left:0;padding-right:4px}.mdc-form-field--nowrap>label{text-overflow:ellipsis;overflow:hidden;white-space:nowrap}.mdc-form-field--align-end>label{margin-left:auto;margin-right:0;padding-left:0;padding-right:4px;order:-1}[dir=rtl] .mdc-form-field--align-end>label,.mdc-form-field--align-end>label[dir=rtl]{margin-left:0;margin-right:auto}[dir=rtl] .mdc-form-field--align-end>label,.mdc-form-field--align-end>label[dir=rtl]{padding-left:4px;padding-right:0}.mdc-form-field--space-between{justify-content:space-between}.mdc-form-field--space-between>label{margin:0}[dir=rtl] .mdc-form-field--space-between>label,.mdc-form-field--space-between>label[dir=rtl]{margin:0}:host{display:inline-flex}.mdc-form-field{width:100%}::slotted(*){-moz-osx-font-smoothing:grayscale;-webkit-font-smoothing:antialiased;font-family:Roboto, sans-serif;font-family:var(--mdc-typography-body2-font-family, var(--mdc-typography-font-family, Roboto, sans-serif));font-size:0.875rem;font-size:var(--mdc-typography-body2-font-size, 0.875rem);line-height:1.25rem;line-height:var(--mdc-typography-body2-line-height, 1.25rem);font-weight:400;font-weight:var(--mdc-typography-body2-font-weight, 400);letter-spacing:0.0178571429em;letter-spacing:var(--mdc-typography-body2-letter-spacing, 0.0178571429em);text-decoration:inherit;text-decoration:var(--mdc-typography-body2-text-decoration, inherit);text-transform:inherit;text-transform:var(--mdc-typography-body2-text-transform, inherit);color:rgba(0, 0, 0, 0.87);color:var(--mdc-theme-text-primary-on-background, rgba(0, 0, 0, 0.87))}::slotted(mwc-switch){margin-right:10px}[dir=rtl] ::slotted(mwc-switch),::slotted(mwc-switch[dir=rtl]){margin-left:10px}`;let C=class Formfield extends FormfieldBase{};C.styles=[T],C=(0,l.gn)([(0,d.M)("mwc-formfield")],C);var A=r(7238),O=r(8829),I=r(8602),P=(r(5557),r(6036));const D=Symbol("selection controller");class SingleSelectionSet{constructor(){this.selected=null,this.ordered=null,this.set=new Set}}class SingleSelectionController{constructor(t){this.sets={},this.focusedSet=null,this.mouseIsDown=!1,this.updating=!1,t.addEventListener("keydown",(t=>{this.keyDownHandler(t)})),t.addEventListener("mousedown",(()=>{this.mousedownHandler()})),t.addEventListener("mouseup",(()=>{this.mouseupHandler()}))}static getController(t){const n=!("global"in t)||"global"in t&&t.global?document:t.getRootNode();let r=n[D];return void 0===r&&(r=new SingleSelectionController(n),n[D]=r),r}keyDownHandler(t){const n=t.target;"checked"in n&&this.has(n)&&("ArrowRight"==t.key||"ArrowDown"==t.key?this.selectNext(n):"ArrowLeft"!=t.key&&"ArrowUp"!=t.key||this.selectPrevious(n))}mousedownHandler(){this.mouseIsDown=!0}mouseupHandler(){this.mouseIsDown=!1}has(t){return this.getSet(t.name).set.has(t)}selectPrevious(t){const n=this.getOrdered(t),r=n.indexOf(t),l=n[r-1]||n[n.length-1];return this.select(l),l}selectNext(t){const n=this.getOrdered(t),r=n.indexOf(t),l=n[r+1]||n[0];return this.select(l),l}select(t){t.click()}focus(t){if(this.mouseIsDown)return;const n=this.getSet(t.name),r=this.focusedSet;this.focusedSet=n,r!=n&&n.selected&&n.selected!=t&&n.selected.focus()}isAnySelected(t){const n=this.getSet(t.name);for(const t of n.set)if(t.checked)return!0;return!1}getOrdered(t){const n=this.getSet(t.name);return n.ordered||(n.ordered=Array.from(n.set),n.ordered.sort(((t,n)=>t.compareDocumentPosition(n)==Node.DOCUMENT_POSITION_PRECEDING?1:0))),n.ordered}getSet(t){return this.sets[t]||(this.sets[t]=new SingleSelectionSet),this.sets[t]}register(t){const n=t.name||t.getAttribute("name")||"",r=this.getSet(n);r.set.add(t),r.ordered=null}unregister(t){const n=this.getSet(t.name);n.set.delete(t),n.ordered=null,n.selected==t&&(n.selected=null)}update(t){if(this.updating)return;this.updating=!0;const n=this.getSet(t.name);if(t.checked){for(const r of n.set)r!=t&&(r.checked=!1);n.selected=t}if(this.isAnySelected(t))for(const t of n.set){if(void 0===t.formElementTabIndex)break;t.formElementTabIndex=t.checked?0:-1}this.updating=!1}}var F=r(9263),B={NATIVE_CONTROL_SELECTOR:".mdc-radio__native-control"},$={DISABLED:"mdc-radio--disabled",ROOT:"mdc-radio"};const j=function(t){function n(r){return t.call(this,(0,l.pi)((0,l.pi)({},n.defaultAdapter),r))||this}return(0,l.ZT)(n,t),Object.defineProperty(n,"cssClasses",{get:function(){return $},enumerable:!1,configurable:!0}),Object.defineProperty(n,"strings",{get:function(){return B},enumerable:!1,configurable:!0}),Object.defineProperty(n,"defaultAdapter",{get:function(){return{addClass:function(){},removeClass:function(){},setNativeControlDisabled:function(){}}},enumerable:!1,configurable:!0}),n.prototype.setDisabled=function(t){var r=n.cssClasses.DISABLED;this.adapter.setNativeControlDisabled(t),t?this.adapter.addClass(r):this.adapter.removeClass(r)},n}(m.K);var V=r(577);class RadioBase extends x.Wg{constructor(){super(...arguments),this._checked=!1,this.useStateLayerCustomProperties=!1,this.global=!1,this.disabled=!1,this.value="on",this.name="",this.reducedTouchTarget=!1,this.mdcFoundationClass=j,this.formElementTabIndex=0,this.focused=!1,this.shouldRenderRipple=!1,this.rippleElement=null,this.rippleHandlers=new F.A((()=>(this.shouldRenderRipple=!0,this.ripple.then((t=>{this.rippleElement=t})),this.ripple)))}get checked(){return this._checked}set checked(t){var n,r;const l=this._checked;t!==l&&(this._checked=t,this.formElement&&(this.formElement.checked=t),null===(n=this._selectionController)||void 0===n||n.update(this),!1===t&&(null===(r=this.formElement)||void 0===r||r.blur()),this.requestUpdate("checked",l),this.dispatchEvent(new Event("checked",{bubbles:!0,composed:!0})))}_handleUpdatedValue(t){this.formElement.value=t}renderRipple(){return this.shouldRenderRipple?_.dy`<mwc-ripple unbounded accent
        .internalUseStateLayerCustomProperties="${this.useStateLayerCustomProperties}"
        .disabled="${this.disabled}"></mwc-ripple>`:""}get isRippleActive(){var t;return(null===(t=this.rippleElement)||void 0===t?void 0:t.isActive)||!1}connectedCallback(){super.connectedCallback(),this._selectionController=SingleSelectionController.getController(this),this._selectionController.register(this),this._selectionController.update(this)}disconnectedCallback(){this._selectionController.unregister(this),this._selectionController=void 0}focus(){this.formElement.focus()}createAdapter(){return Object.assign(Object.assign({},(0,x.qN)(this.mdcRoot)),{setNativeControlDisabled:t=>{this.formElement.disabled=t}})}handleFocus(){this.focused=!0,this.handleRippleFocus()}handleClick(){this.formElement.focus()}handleBlur(){this.focused=!1,this.formElement.blur(),this.rippleHandlers.endFocus()}setFormData(t){this.name&&this.checked&&t.append(this.name,this.value)}render(){const t={"mdc-radio--touch":!this.reducedTouchTarget,"mdc-ripple-upgraded--background-focused":this.focused,"mdc-radio--disabled":this.disabled};return _.dy`
      <div class="mdc-radio ${(0,E.$)(t)}">
        <input
          tabindex="${this.formElementTabIndex}"
          class="mdc-radio__native-control"
          type="radio"
          name="${this.name}"
          aria-label="${(0,V.o)(this.ariaLabel)}"
          aria-labelledby="${(0,V.o)(this.ariaLabelledBy)}"
          .checked="${this.checked}"
          .value="${this.value}"
          ?disabled="${this.disabled}"
          @change="${this.changeHandler}"
          @focus="${this.handleFocus}"
          @click="${this.handleClick}"
          @blur="${this.handleBlur}"
          @mousedown="${this.handleRippleMouseDown}"
          @mouseenter="${this.handleRippleMouseEnter}"
          @mouseleave="${this.handleRippleMouseLeave}"
          @touchstart="${this.handleRippleTouchStart}"
          @touchend="${this.handleRippleDeactivate}"
          @touchcancel="${this.handleRippleDeactivate}">
        <div class="mdc-radio__background">
          <div class="mdc-radio__outer-circle"></div>
          <div class="mdc-radio__inner-circle"></div>
        </div>
        ${this.renderRipple()}
      </div>`}handleRippleMouseDown(t){const n=()=>{window.removeEventListener("mouseup",n),this.handleRippleDeactivate()};window.addEventListener("mouseup",n),this.rippleHandlers.startPress(t)}handleRippleTouchStart(t){this.rippleHandlers.startPress(t)}handleRippleDeactivate(){this.rippleHandlers.endPress()}handleRippleMouseEnter(){this.rippleHandlers.startHover()}handleRippleMouseLeave(){this.rippleHandlers.endHover()}handleRippleFocus(){this.rippleHandlers.startFocus()}changeHandler(){this.checked=this.formElement.checked}}(0,l.gn)([(0,p.I)(".mdc-radio")],RadioBase.prototype,"mdcRoot",void 0),(0,l.gn)([(0,p.I)("input")],RadioBase.prototype,"formElement",void 0),(0,l.gn)([(0,A.S)()],RadioBase.prototype,"useStateLayerCustomProperties",void 0),(0,l.gn)([(0,h.C)({type:Boolean})],RadioBase.prototype,"global",void 0),(0,l.gn)([(0,h.C)({type:Boolean,reflect:!0})],RadioBase.prototype,"checked",null),(0,l.gn)([(0,h.C)({type:Boolean}),(0,w.P)((function(t){this.mdcFoundation.setDisabled(t)}))],RadioBase.prototype,"disabled",void 0),(0,l.gn)([(0,h.C)({type:String}),(0,w.P)((function(t){this._handleUpdatedValue(t)}))],RadioBase.prototype,"value",void 0),(0,l.gn)([(0,h.C)({type:String})],RadioBase.prototype,"name",void 0),(0,l.gn)([(0,h.C)({type:Boolean})],RadioBase.prototype,"reducedTouchTarget",void 0),(0,l.gn)([(0,h.C)({type:Number})],RadioBase.prototype,"formElementTabIndex",void 0),(0,l.gn)([(0,A.S)()],RadioBase.prototype,"focused",void 0),(0,l.gn)([(0,A.S)()],RadioBase.prototype,"shouldRenderRipple",void 0),(0,l.gn)([(0,I.G)("mwc-ripple")],RadioBase.prototype,"ripple",void 0),(0,l.gn)([P.L,(0,h.C)({attribute:"aria-label"})],RadioBase.prototype,"ariaLabel",void 0),(0,l.gn)([P.L,(0,h.C)({attribute:"aria-labelledby"})],RadioBase.prototype,"ariaLabelledBy",void 0),(0,l.gn)([(0,O.h)({passive:!0})],RadioBase.prototype,"handleRippleTouchStart",null);const U=_.iv`.mdc-touch-target-wrapper{display:inline}.mdc-radio{padding:calc((40px - 20px) / 2)}.mdc-radio .mdc-radio__native-control:enabled:not(:checked)+.mdc-radio__background .mdc-radio__outer-circle{border-color:rgba(0, 0, 0, 0.54)}.mdc-radio .mdc-radio__native-control:enabled:checked+.mdc-radio__background .mdc-radio__outer-circle{border-color:#018786;border-color:var(--mdc-theme-secondary, #018786)}.mdc-radio .mdc-radio__native-control:enabled+.mdc-radio__background .mdc-radio__inner-circle{border-color:#018786;border-color:var(--mdc-theme-secondary, #018786)}.mdc-radio [aria-disabled=true] .mdc-radio__native-control:not(:checked)+.mdc-radio__background .mdc-radio__outer-circle,.mdc-radio .mdc-radio__native-control:disabled:not(:checked)+.mdc-radio__background .mdc-radio__outer-circle{border-color:rgba(0, 0, 0, 0.38)}.mdc-radio [aria-disabled=true] .mdc-radio__native-control:checked+.mdc-radio__background .mdc-radio__outer-circle,.mdc-radio .mdc-radio__native-control:disabled:checked+.mdc-radio__background .mdc-radio__outer-circle{border-color:rgba(0, 0, 0, 0.38)}.mdc-radio [aria-disabled=true] .mdc-radio__native-control+.mdc-radio__background .mdc-radio__inner-circle,.mdc-radio .mdc-radio__native-control:disabled+.mdc-radio__background .mdc-radio__inner-circle{border-color:rgba(0, 0, 0, 0.38)}.mdc-radio .mdc-radio__background::before{background-color:#018786;background-color:var(--mdc-theme-secondary, #018786)}.mdc-radio .mdc-radio__background::before{top:calc(-1 * (40px - 20px) / 2);left:calc(-1 * (40px - 20px) / 2);width:40px;height:40px}.mdc-radio .mdc-radio__native-control{top:calc((40px - 40px) / 2);right:calc((40px - 40px) / 2);left:calc((40px - 40px) / 2);width:40px;height:40px}@media screen and (forced-colors: active),(-ms-high-contrast: active){.mdc-radio.mdc-radio--disabled [aria-disabled=true] .mdc-radio__native-control:not(:checked)+.mdc-radio__background .mdc-radio__outer-circle,.mdc-radio.mdc-radio--disabled .mdc-radio__native-control:disabled:not(:checked)+.mdc-radio__background .mdc-radio__outer-circle{border-color:GrayText}.mdc-radio.mdc-radio--disabled [aria-disabled=true] .mdc-radio__native-control:checked+.mdc-radio__background .mdc-radio__outer-circle,.mdc-radio.mdc-radio--disabled .mdc-radio__native-control:disabled:checked+.mdc-radio__background .mdc-radio__outer-circle{border-color:GrayText}.mdc-radio.mdc-radio--disabled [aria-disabled=true] .mdc-radio__native-control+.mdc-radio__background .mdc-radio__inner-circle,.mdc-radio.mdc-radio--disabled .mdc-radio__native-control:disabled+.mdc-radio__background .mdc-radio__inner-circle{border-color:GrayText}}.mdc-radio{display:inline-block;position:relative;flex:0 0 auto;box-sizing:content-box;width:20px;height:20px;cursor:pointer;will-change:opacity,transform,border-color,color}.mdc-radio__background{display:inline-block;position:relative;box-sizing:border-box;width:20px;height:20px}.mdc-radio__background::before{position:absolute;transform:scale(0, 0);border-radius:50%;opacity:0;pointer-events:none;content:"";transition:opacity 120ms 0ms cubic-bezier(0.4, 0, 0.6, 1),transform 120ms 0ms cubic-bezier(0.4, 0, 0.6, 1)}.mdc-radio__outer-circle{position:absolute;top:0;left:0;box-sizing:border-box;width:100%;height:100%;border-width:2px;border-style:solid;border-radius:50%;transition:border-color 120ms 0ms cubic-bezier(0.4, 0, 0.6, 1)}.mdc-radio__inner-circle{position:absolute;top:0;left:0;box-sizing:border-box;width:100%;height:100%;transform:scale(0, 0);border-width:10px;border-style:solid;border-radius:50%;transition:transform 120ms 0ms cubic-bezier(0.4, 0, 0.6, 1),border-color 120ms 0ms cubic-bezier(0.4, 0, 0.6, 1)}.mdc-radio__native-control{position:absolute;margin:0;padding:0;opacity:0;cursor:inherit;z-index:1}.mdc-radio--touch{margin-top:4px;margin-bottom:4px;margin-right:4px;margin-left:4px}.mdc-radio--touch .mdc-radio__native-control{top:calc((40px - 48px) / 2);right:calc((40px - 48px) / 2);left:calc((40px - 48px) / 2);width:48px;height:48px}.mdc-radio.mdc-ripple-upgraded--background-focused .mdc-radio__focus-ring,.mdc-radio:not(.mdc-ripple-upgraded):focus .mdc-radio__focus-ring{pointer-events:none;border:2px solid transparent;border-radius:6px;box-sizing:content-box;position:absolute;top:50%;left:50%;transform:translate(-50%, -50%);height:100%;width:100%}@media screen and (forced-colors: active){.mdc-radio.mdc-ripple-upgraded--background-focused .mdc-radio__focus-ring,.mdc-radio:not(.mdc-ripple-upgraded):focus .mdc-radio__focus-ring{border-color:CanvasText}}.mdc-radio.mdc-ripple-upgraded--background-focused .mdc-radio__focus-ring::after,.mdc-radio:not(.mdc-ripple-upgraded):focus .mdc-radio__focus-ring::after{content:"";border:2px solid transparent;border-radius:8px;display:block;position:absolute;top:50%;left:50%;transform:translate(-50%, -50%);height:calc(100% + 4px);width:calc(100% + 4px)}@media screen and (forced-colors: active){.mdc-radio.mdc-ripple-upgraded--background-focused .mdc-radio__focus-ring::after,.mdc-radio:not(.mdc-ripple-upgraded):focus .mdc-radio__focus-ring::after{border-color:CanvasText}}.mdc-radio__native-control:checked+.mdc-radio__background,.mdc-radio__native-control:disabled+.mdc-radio__background{transition:opacity 120ms 0ms cubic-bezier(0, 0, 0.2, 1),transform 120ms 0ms cubic-bezier(0, 0, 0.2, 1)}.mdc-radio__native-control:checked+.mdc-radio__background .mdc-radio__outer-circle,.mdc-radio__native-control:disabled+.mdc-radio__background .mdc-radio__outer-circle{transition:border-color 120ms 0ms cubic-bezier(0, 0, 0.2, 1)}.mdc-radio__native-control:checked+.mdc-radio__background .mdc-radio__inner-circle,.mdc-radio__native-control:disabled+.mdc-radio__background .mdc-radio__inner-circle{transition:transform 120ms 0ms cubic-bezier(0, 0, 0.2, 1),border-color 120ms 0ms cubic-bezier(0, 0, 0.2, 1)}.mdc-radio--disabled{cursor:default;pointer-events:none}.mdc-radio__native-control:checked+.mdc-radio__background .mdc-radio__inner-circle{transform:scale(0.5);transition:transform 120ms 0ms cubic-bezier(0, 0, 0.2, 1),border-color 120ms 0ms cubic-bezier(0, 0, 0.2, 1)}.mdc-radio__native-control:disabled+.mdc-radio__background,[aria-disabled=true] .mdc-radio__native-control+.mdc-radio__background{cursor:default}.mdc-radio__native-control:focus+.mdc-radio__background::before{transform:scale(1);opacity:.12;transition:opacity 120ms 0ms cubic-bezier(0, 0, 0.2, 1),transform 120ms 0ms cubic-bezier(0, 0, 0.2, 1)}:host{display:inline-block;outline:none}.mdc-radio{vertical-align:bottom}.mdc-radio .mdc-radio__native-control:enabled:not(:checked)+.mdc-radio__background .mdc-radio__outer-circle{border-color:var(--mdc-radio-unchecked-color, rgba(0, 0, 0, 0.54))}.mdc-radio [aria-disabled=true] .mdc-radio__native-control:not(:checked)+.mdc-radio__background .mdc-radio__outer-circle,.mdc-radio .mdc-radio__native-control:disabled:not(:checked)+.mdc-radio__background .mdc-radio__outer-circle{border-color:var(--mdc-radio-disabled-color, rgba(0, 0, 0, 0.38))}.mdc-radio [aria-disabled=true] .mdc-radio__native-control:checked+.mdc-radio__background .mdc-radio__outer-circle,.mdc-radio .mdc-radio__native-control:disabled:checked+.mdc-radio__background .mdc-radio__outer-circle{border-color:var(--mdc-radio-disabled-color, rgba(0, 0, 0, 0.38))}.mdc-radio [aria-disabled=true] .mdc-radio__native-control+.mdc-radio__background .mdc-radio__inner-circle,.mdc-radio .mdc-radio__native-control:disabled+.mdc-radio__background .mdc-radio__inner-circle{border-color:var(--mdc-radio-disabled-color, rgba(0, 0, 0, 0.38))}`;let G=class Radio extends RadioBase{};G.styles=[U],G=(0,l.gn)([(0,d.M)("mwc-radio")],G);var W={NOTCH_ELEMENT_SELECTOR:".mdc-notched-outline__notch"},q={NOTCH_ELEMENT_PADDING:8},X={NO_LABEL:"mdc-notched-outline--no-label",OUTLINE_NOTCHED:"mdc-notched-outline--notched",OUTLINE_UPGRADED:"mdc-notched-outline--upgraded"},Y=function(t){function n(r){return t.call(this,(0,l.pi)((0,l.pi)({},n.defaultAdapter),r))||this}return(0,l.ZT)(n,t),Object.defineProperty(n,"strings",{get:function(){return W},enumerable:!1,configurable:!0}),Object.defineProperty(n,"cssClasses",{get:function(){return X},enumerable:!1,configurable:!0}),Object.defineProperty(n,"numbers",{get:function(){return q},enumerable:!1,configurable:!0}),Object.defineProperty(n,"defaultAdapter",{get:function(){return{addClass:function(){},removeClass:function(){},setNotchWidthProperty:function(){},removeNotchWidthProperty:function(){}}},enumerable:!1,configurable:!0}),n.prototype.notch=function(t){var r=n.cssClasses.OUTLINE_NOTCHED;t>0&&(t+=q.NOTCH_ELEMENT_PADDING),this.adapter.setNotchWidthProperty(t),this.adapter.addClass(r)},n.prototype.closeNotch=function(){var t=n.cssClasses.OUTLINE_NOTCHED;this.adapter.removeClass(t),this.adapter.removeNotchWidthProperty()},n}(m.K);class NotchedOutlineBase extends b.H{constructor(){super(...arguments),this.mdcFoundationClass=Y,this.width=0,this.open=!1,this.lastOpen=this.open}createAdapter(){return{addClass:t=>this.mdcRoot.classList.add(t),removeClass:t=>this.mdcRoot.classList.remove(t),setNotchWidthProperty:t=>this.notchElement.style.setProperty("width",`${t}px`),removeNotchWidthProperty:()=>this.notchElement.style.removeProperty("width")}}openOrClose(t,n){this.mdcFoundation&&(t&&void 0!==n?this.mdcFoundation.notch(n):this.mdcFoundation.closeNotch())}render(){this.openOrClose(this.open,this.width);const t=(0,E.$)({"mdc-notched-outline--notched":this.open});return _.dy`
      <span class="mdc-notched-outline ${t}">
        <span class="mdc-notched-outline__leading"></span>
        <span class="mdc-notched-outline__notch">
          <slot></slot>
        </span>
        <span class="mdc-notched-outline__trailing"></span>
      </span>`}}(0,l.gn)([(0,p.I)(".mdc-notched-outline")],NotchedOutlineBase.prototype,"mdcRoot",void 0),(0,l.gn)([(0,h.C)({type:Number})],NotchedOutlineBase.prototype,"width",void 0),(0,l.gn)([(0,h.C)({type:Boolean,reflect:!0})],NotchedOutlineBase.prototype,"open",void 0),(0,l.gn)([(0,p.I)(".mdc-notched-outline__notch")],NotchedOutlineBase.prototype,"notchElement",void 0);const K=_.iv`.mdc-notched-outline{display:flex;position:absolute;top:0;right:0;left:0;box-sizing:border-box;width:100%;max-width:100%;height:100%;text-align:left;pointer-events:none}[dir=rtl] .mdc-notched-outline,.mdc-notched-outline[dir=rtl]{text-align:right}.mdc-notched-outline__leading,.mdc-notched-outline__notch,.mdc-notched-outline__trailing{box-sizing:border-box;height:100%;border-top:1px solid;border-bottom:1px solid;pointer-events:none}.mdc-notched-outline__leading{border-left:1px solid;border-right:none;width:12px}[dir=rtl] .mdc-notched-outline__leading,.mdc-notched-outline__leading[dir=rtl]{border-left:none;border-right:1px solid}.mdc-notched-outline__trailing{border-left:none;border-right:1px solid;flex-grow:1}[dir=rtl] .mdc-notched-outline__trailing,.mdc-notched-outline__trailing[dir=rtl]{border-left:1px solid;border-right:none}.mdc-notched-outline__notch{flex:0 0 auto;width:auto;max-width:calc(100% - 12px * 2)}.mdc-notched-outline .mdc-floating-label{display:inline-block;position:relative;max-width:100%}.mdc-notched-outline .mdc-floating-label--float-above{text-overflow:clip}.mdc-notched-outline--upgraded .mdc-floating-label--float-above{max-width:calc(100% / 0.75)}.mdc-notched-outline--notched .mdc-notched-outline__notch{padding-left:0;padding-right:8px;border-top:none}[dir=rtl] .mdc-notched-outline--notched .mdc-notched-outline__notch,.mdc-notched-outline--notched .mdc-notched-outline__notch[dir=rtl]{padding-left:8px;padding-right:0}.mdc-notched-outline--no-label .mdc-notched-outline__notch{display:none}:host{display:block;position:absolute;right:0;left:0;box-sizing:border-box;width:100%;max-width:100%;height:100%;text-align:left;pointer-events:none}[dir=rtl] :host,:host([dir=rtl]){text-align:right}::slotted(.mdc-floating-label){display:inline-block;position:relative;top:17px;bottom:auto;max-width:100%}::slotted(.mdc-floating-label--float-above){text-overflow:clip}.mdc-notched-outline--upgraded ::slotted(.mdc-floating-label--float-above){max-width:calc(100% / 0.75)}.mdc-notched-outline .mdc-notched-outline__leading{border-top-left-radius:4px;border-top-left-radius:var(--mdc-shape-small, 4px);border-top-right-radius:0;border-bottom-right-radius:0;border-bottom-left-radius:4px;border-bottom-left-radius:var(--mdc-shape-small, 4px)}[dir=rtl] .mdc-notched-outline .mdc-notched-outline__leading,.mdc-notched-outline .mdc-notched-outline__leading[dir=rtl]{border-top-left-radius:0;border-top-right-radius:4px;border-top-right-radius:var(--mdc-shape-small, 4px);border-bottom-right-radius:4px;border-bottom-right-radius:var(--mdc-shape-small, 4px);border-bottom-left-radius:0}@supports(top: max(0%)){.mdc-notched-outline .mdc-notched-outline__leading{width:max(12px, var(--mdc-shape-small, 4px))}}@supports(top: max(0%)){.mdc-notched-outline .mdc-notched-outline__notch{max-width:calc(100% - max(12px, var(--mdc-shape-small, 4px)) * 2)}}.mdc-notched-outline .mdc-notched-outline__trailing{border-top-left-radius:0;border-top-right-radius:4px;border-top-right-radius:var(--mdc-shape-small, 4px);border-bottom-right-radius:4px;border-bottom-right-radius:var(--mdc-shape-small, 4px);border-bottom-left-radius:0}[dir=rtl] .mdc-notched-outline .mdc-notched-outline__trailing,.mdc-notched-outline .mdc-notched-outline__trailing[dir=rtl]{border-top-left-radius:4px;border-top-left-radius:var(--mdc-shape-small, 4px);border-top-right-radius:0;border-bottom-right-radius:0;border-bottom-left-radius:4px;border-bottom-left-radius:var(--mdc-shape-small, 4px)}.mdc-notched-outline__leading,.mdc-notched-outline__notch,.mdc-notched-outline__trailing{border-color:var(--mdc-notched-outline-border-color, var(--mdc-theme-primary, #6200ee));border-width:1px;border-width:var(--mdc-notched-outline-stroke-width, 1px)}.mdc-notched-outline--notched .mdc-notched-outline__notch{padding-top:0;padding-top:var(--mdc-notched-outline-notch-offset, 0)}`;let J=class NotchedOutline extends NotchedOutlineBase{};J.styles=[K],J=(0,l.gn)([(0,d.M)("mwc-notched-outline")],J);var Q={LABEL_FLOAT_ABOVE:"mdc-floating-label--float-above",LABEL_REQUIRED:"mdc-floating-label--required",LABEL_SHAKE:"mdc-floating-label--shake",ROOT:"mdc-floating-label"},ee=function(t){function n(r){var d=t.call(this,(0,l.pi)((0,l.pi)({},n.defaultAdapter),r))||this;return d.shakeAnimationEndHandler=function(){d.handleShakeAnimationEnd()},d}return(0,l.ZT)(n,t),Object.defineProperty(n,"cssClasses",{get:function(){return Q},enumerable:!1,configurable:!0}),Object.defineProperty(n,"defaultAdapter",{get:function(){return{addClass:function(){},removeClass:function(){},getWidth:function(){return 0},registerInteractionHandler:function(){},deregisterInteractionHandler:function(){}}},enumerable:!1,configurable:!0}),n.prototype.init=function(){this.adapter.registerInteractionHandler("animationend",this.shakeAnimationEndHandler)},n.prototype.destroy=function(){this.adapter.deregisterInteractionHandler("animationend",this.shakeAnimationEndHandler)},n.prototype.getWidth=function(){return this.adapter.getWidth()},n.prototype.shake=function(t){var r=n.cssClasses.LABEL_SHAKE;t?this.adapter.addClass(r):this.adapter.removeClass(r)},n.prototype.float=function(t){var r=n.cssClasses,l=r.LABEL_FLOAT_ABOVE,d=r.LABEL_SHAKE;t?this.adapter.addClass(l):(this.adapter.removeClass(l),this.adapter.removeClass(d))},n.prototype.setRequired=function(t){var r=n.cssClasses.LABEL_REQUIRED;t?this.adapter.addClass(r):this.adapter.removeClass(r)},n.prototype.handleShakeAnimationEnd=function(){var t=n.cssClasses.LABEL_SHAKE;this.adapter.removeClass(t)},n}(m.K);var te=r(875);class FloatingLabelDirective extends te.Xe{constructor(t){switch(super(t),this.foundation=null,this.previousPart=null,t.type){case te.pX.ATTRIBUTE:case te.pX.PROPERTY:break;default:throw new Error("FloatingLabel directive only support attribute and property parts")}}update(t,[n]){if(t!==this.previousPart){this.foundation&&this.foundation.destroy(),this.previousPart=t;const n=t.element;n.classList.add("mdc-floating-label");const r=(t=>({addClass:n=>t.classList.add(n),removeClass:n=>t.classList.remove(n),getWidth:()=>t.scrollWidth,registerInteractionHandler:(n,r)=>{t.addEventListener(n,r)},deregisterInteractionHandler:(n,r)=>{t.removeEventListener(n,r)}}))(n);this.foundation=new ee(r),this.foundation.init()}return this.render(n)}render(t){return this.foundation}}const ie=(0,te.XM)(FloatingLabelDirective);var ne={LINE_RIPPLE_ACTIVE:"mdc-line-ripple--active",LINE_RIPPLE_DEACTIVATING:"mdc-line-ripple--deactivating"},re=function(t){function n(r){var d=t.call(this,(0,l.pi)((0,l.pi)({},n.defaultAdapter),r))||this;return d.transitionEndHandler=function(t){d.handleTransitionEnd(t)},d}return(0,l.ZT)(n,t),Object.defineProperty(n,"cssClasses",{get:function(){return ne},enumerable:!1,configurable:!0}),Object.defineProperty(n,"defaultAdapter",{get:function(){return{addClass:function(){},removeClass:function(){},hasClass:function(){return!1},setStyle:function(){},registerEventHandler:function(){},deregisterEventHandler:function(){}}},enumerable:!1,configurable:!0}),n.prototype.init=function(){this.adapter.registerEventHandler("transitionend",this.transitionEndHandler)},n.prototype.destroy=function(){this.adapter.deregisterEventHandler("transitionend",this.transitionEndHandler)},n.prototype.activate=function(){this.adapter.removeClass(ne.LINE_RIPPLE_DEACTIVATING),this.adapter.addClass(ne.LINE_RIPPLE_ACTIVE)},n.prototype.setRippleCenter=function(t){this.adapter.setStyle("transform-origin",t+"px center")},n.prototype.deactivate=function(){this.adapter.addClass(ne.LINE_RIPPLE_DEACTIVATING)},n.prototype.handleTransitionEnd=function(t){var n=this.adapter.hasClass(ne.LINE_RIPPLE_DEACTIVATING);"opacity"===t.propertyName&&n&&(this.adapter.removeClass(ne.LINE_RIPPLE_ACTIVE),this.adapter.removeClass(ne.LINE_RIPPLE_DEACTIVATING))},n}(m.K);class LineRippleDirective extends te.Xe{constructor(t){switch(super(t),this.previousPart=null,this.foundation=null,t.type){case te.pX.ATTRIBUTE:case te.pX.PROPERTY:return;default:throw new Error("LineRipple only support attribute and property parts.")}}update(t,n){if(this.previousPart!==t){this.foundation&&this.foundation.destroy(),this.previousPart=t;const n=t.element;n.classList.add("mdc-line-ripple");const r=(t=>({addClass:n=>t.classList.add(n),removeClass:n=>t.classList.remove(n),hasClass:n=>t.classList.contains(n),setStyle:(n,r)=>t.style.setProperty(n,r),registerEventHandler:(n,r)=>{t.addEventListener(n,r)},deregisterEventHandler:(n,r)=>{t.removeEventListener(n,r)}}))(n);this.foundation=new re(r),this.foundation.init()}return this.render()}render(){return this.foundation}}const oe=(0,te.XM)(LineRippleDirective);var ae={ARIA_CONTROLS:"aria-controls",ARIA_DESCRIBEDBY:"aria-describedby",INPUT_SELECTOR:".mdc-text-field__input",LABEL_SELECTOR:".mdc-floating-label",LEADING_ICON_SELECTOR:".mdc-text-field__icon--leading",LINE_RIPPLE_SELECTOR:".mdc-line-ripple",OUTLINE_SELECTOR:".mdc-notched-outline",PREFIX_SELECTOR:".mdc-text-field__affix--prefix",SUFFIX_SELECTOR:".mdc-text-field__affix--suffix",TRAILING_ICON_SELECTOR:".mdc-text-field__icon--trailing"},se={DISABLED:"mdc-text-field--disabled",FOCUSED:"mdc-text-field--focused",HELPER_LINE:"mdc-text-field-helper-line",INVALID:"mdc-text-field--invalid",LABEL_FLOATING:"mdc-text-field--label-floating",NO_LABEL:"mdc-text-field--no-label",OUTLINED:"mdc-text-field--outlined",ROOT:"mdc-text-field",TEXTAREA:"mdc-text-field--textarea",WITH_LEADING_ICON:"mdc-text-field--with-leading-icon",WITH_TRAILING_ICON:"mdc-text-field--with-trailing-icon",WITH_INTERNAL_COUNTER:"mdc-text-field--with-internal-counter"},le={LABEL_SCALE:.75},ce=["pattern","min","max","required","step","minlength","maxlength"],de=["color","date","datetime-local","month","range","time","week"],ue=["mousedown","touchstart"],he=["click","keydown"];const pe=function(t){function n(r,d){void 0===d&&(d={});var h=t.call(this,(0,l.pi)((0,l.pi)({},n.defaultAdapter),r))||this;return h.isFocused=!1,h.receivedUserInput=!1,h.valid=!0,h.useNativeValidation=!0,h.validateOnValueChange=!0,h.helperText=d.helperText,h.characterCounter=d.characterCounter,h.leadingIcon=d.leadingIcon,h.trailingIcon=d.trailingIcon,h.inputFocusHandler=function(){h.activateFocus()},h.inputBlurHandler=function(){h.deactivateFocus()},h.inputInputHandler=function(){h.handleInput()},h.setPointerXOffset=function(t){h.setTransformOrigin(t)},h.textFieldInteractionHandler=function(){h.handleTextFieldInteraction()},h.validationAttributeChangeHandler=function(t){h.handleValidationAttributeChange(t)},h}return(0,l.ZT)(n,t),Object.defineProperty(n,"cssClasses",{get:function(){return se},enumerable:!1,configurable:!0}),Object.defineProperty(n,"strings",{get:function(){return ae},enumerable:!1,configurable:!0}),Object.defineProperty(n,"numbers",{get:function(){return le},enumerable:!1,configurable:!0}),Object.defineProperty(n.prototype,"shouldAlwaysFloat",{get:function(){var t=this.getNativeInput().type;return de.indexOf(t)>=0},enumerable:!1,configurable:!0}),Object.defineProperty(n.prototype,"shouldFloat",{get:function(){return this.shouldAlwaysFloat||this.isFocused||!!this.getValue()||this.isBadInput()},enumerable:!1,configurable:!0}),Object.defineProperty(n.prototype,"shouldShake",{get:function(){return!this.isFocused&&!this.isValid()&&!!this.getValue()},enumerable:!1,configurable:!0}),Object.defineProperty(n,"defaultAdapter",{get:function(){return{addClass:function(){},removeClass:function(){},hasClass:function(){return!0},setInputAttr:function(){},removeInputAttr:function(){},registerTextFieldInteractionHandler:function(){},deregisterTextFieldInteractionHandler:function(){},registerInputInteractionHandler:function(){},deregisterInputInteractionHandler:function(){},registerValidationAttributeChangeHandler:function(){return new MutationObserver((function(){}))},deregisterValidationAttributeChangeHandler:function(){},getNativeInput:function(){return null},isFocused:function(){return!1},activateLineRipple:function(){},deactivateLineRipple:function(){},setLineRippleTransformOrigin:function(){},shakeLabel:function(){},floatLabel:function(){},setLabelRequired:function(){},hasLabel:function(){return!1},getLabelWidth:function(){return 0},hasOutline:function(){return!1},notchOutline:function(){},closeOutline:function(){}}},enumerable:!1,configurable:!0}),n.prototype.init=function(){var t,n,r,d;this.adapter.hasLabel()&&this.getNativeInput().required&&this.adapter.setLabelRequired(!0),this.adapter.isFocused()?this.inputFocusHandler():this.adapter.hasLabel()&&this.shouldFloat&&(this.notchOutline(!0),this.adapter.floatLabel(!0),this.styleFloating(!0)),this.adapter.registerInputInteractionHandler("focus",this.inputFocusHandler),this.adapter.registerInputInteractionHandler("blur",this.inputBlurHandler),this.adapter.registerInputInteractionHandler("input",this.inputInputHandler);try{for(var h=(0,l.XA)(ue),p=h.next();!p.done;p=h.next()){var f=p.value;this.adapter.registerInputInteractionHandler(f,this.setPointerXOffset)}}catch(n){t={error:n}}finally{try{p&&!p.done&&(n=h.return)&&n.call(h)}finally{if(t)throw t.error}}try{for(var m=(0,l.XA)(he),g=m.next();!g.done;g=m.next()){f=g.value;this.adapter.registerTextFieldInteractionHandler(f,this.textFieldInteractionHandler)}}catch(t){r={error:t}}finally{try{g&&!g.done&&(d=m.return)&&d.call(m)}finally{if(r)throw r.error}}this.validationObserver=this.adapter.registerValidationAttributeChangeHandler(this.validationAttributeChangeHandler),this.setcharacterCounter(this.getValue().length)},n.prototype.destroy=function(){var t,n,r,d;this.adapter.deregisterInputInteractionHandler("focus",this.inputFocusHandler),this.adapter.deregisterInputInteractionHandler("blur",this.inputBlurHandler),this.adapter.deregisterInputInteractionHandler("input",this.inputInputHandler);try{for(var h=(0,l.XA)(ue),p=h.next();!p.done;p=h.next()){var f=p.value;this.adapter.deregisterInputInteractionHandler(f,this.setPointerXOffset)}}catch(n){t={error:n}}finally{try{p&&!p.done&&(n=h.return)&&n.call(h)}finally{if(t)throw t.error}}try{for(var m=(0,l.XA)(he),g=m.next();!g.done;g=m.next()){f=g.value;this.adapter.deregisterTextFieldInteractionHandler(f,this.textFieldInteractionHandler)}}catch(t){r={error:t}}finally{try{g&&!g.done&&(d=m.return)&&d.call(m)}finally{if(r)throw r.error}}this.adapter.deregisterValidationAttributeChangeHandler(this.validationObserver)},n.prototype.handleTextFieldInteraction=function(){var t=this.adapter.getNativeInput();t&&t.disabled||(this.receivedUserInput=!0)},n.prototype.handleValidationAttributeChange=function(t){var n=this;t.some((function(t){return ce.indexOf(t)>-1&&(n.styleValidity(!0),n.adapter.setLabelRequired(n.getNativeInput().required),!0)})),t.indexOf("maxlength")>-1&&this.setcharacterCounter(this.getValue().length)},n.prototype.notchOutline=function(t){if(this.adapter.hasOutline()&&this.adapter.hasLabel())if(t){var n=this.adapter.getLabelWidth()*le.LABEL_SCALE;this.adapter.notchOutline(n)}else this.adapter.closeOutline()},n.prototype.activateFocus=function(){this.isFocused=!0,this.styleFocused(this.isFocused),this.adapter.activateLineRipple(),this.adapter.hasLabel()&&(this.notchOutline(this.shouldFloat),this.adapter.floatLabel(this.shouldFloat),this.styleFloating(this.shouldFloat),this.adapter.shakeLabel(this.shouldShake)),!this.helperText||!this.helperText.isPersistent()&&this.helperText.isValidation()&&this.valid||this.helperText.showToScreenReader()},n.prototype.setTransformOrigin=function(t){if(!this.isDisabled()&&!this.adapter.hasOutline()){var n=t.touches,r=n?n[0]:t,l=r.target.getBoundingClientRect(),d=r.clientX-l.left;this.adapter.setLineRippleTransformOrigin(d)}},n.prototype.handleInput=function(){this.autoCompleteFocus(),this.setcharacterCounter(this.getValue().length)},n.prototype.autoCompleteFocus=function(){this.receivedUserInput||this.activateFocus()},n.prototype.deactivateFocus=function(){this.isFocused=!1,this.adapter.deactivateLineRipple();var t=this.isValid();this.styleValidity(t),this.styleFocused(this.isFocused),this.adapter.hasLabel()&&(this.notchOutline(this.shouldFloat),this.adapter.floatLabel(this.shouldFloat),this.styleFloating(this.shouldFloat),this.adapter.shakeLabel(this.shouldShake)),this.shouldFloat||(this.receivedUserInput=!1)},n.prototype.getValue=function(){return this.getNativeInput().value},n.prototype.setValue=function(t){if(this.getValue()!==t&&(this.getNativeInput().value=t),this.setcharacterCounter(t.length),this.validateOnValueChange){var n=this.isValid();this.styleValidity(n)}this.adapter.hasLabel()&&(this.notchOutline(this.shouldFloat),this.adapter.floatLabel(this.shouldFloat),this.styleFloating(this.shouldFloat),this.validateOnValueChange&&this.adapter.shakeLabel(this.shouldShake))},n.prototype.isValid=function(){return this.useNativeValidation?this.isNativeInputValid():this.valid},n.prototype.setValid=function(t){this.valid=t,this.styleValidity(t);var n=!t&&!this.isFocused&&!!this.getValue();this.adapter.hasLabel()&&this.adapter.shakeLabel(n)},n.prototype.setValidateOnValueChange=function(t){this.validateOnValueChange=t},n.prototype.getValidateOnValueChange=function(){return this.validateOnValueChange},n.prototype.setUseNativeValidation=function(t){this.useNativeValidation=t},n.prototype.isDisabled=function(){return this.getNativeInput().disabled},n.prototype.setDisabled=function(t){this.getNativeInput().disabled=t,this.styleDisabled(t)},n.prototype.setHelperTextContent=function(t){this.helperText&&this.helperText.setContent(t)},n.prototype.setLeadingIconAriaLabel=function(t){this.leadingIcon&&this.leadingIcon.setAriaLabel(t)},n.prototype.setLeadingIconContent=function(t){this.leadingIcon&&this.leadingIcon.setContent(t)},n.prototype.setTrailingIconAriaLabel=function(t){this.trailingIcon&&this.trailingIcon.setAriaLabel(t)},n.prototype.setTrailingIconContent=function(t){this.trailingIcon&&this.trailingIcon.setContent(t)},n.prototype.setcharacterCounter=function(t){if(this.characterCounter){var n=this.getNativeInput().maxLength;if(-1===n)throw new Error("MDCTextFieldFoundation: Expected maxlength html property on text input or textarea.");this.characterCounter.setCounterValue(t,n)}},n.prototype.isBadInput=function(){return this.getNativeInput().validity.badInput||!1},n.prototype.isNativeInputValid=function(){return this.getNativeInput().validity.valid},n.prototype.styleValidity=function(t){var r=n.cssClasses.INVALID;if(t?this.adapter.removeClass(r):this.adapter.addClass(r),this.helperText){if(this.helperText.setValidity(t),!this.helperText.isValidation())return;var l=this.helperText.isVisible(),d=this.helperText.getId();l&&d?this.adapter.setInputAttr(ae.ARIA_DESCRIBEDBY,d):this.adapter.removeInputAttr(ae.ARIA_DESCRIBEDBY)}},n.prototype.styleFocused=function(t){var r=n.cssClasses.FOCUSED;t?this.adapter.addClass(r):this.adapter.removeClass(r)},n.prototype.styleDisabled=function(t){var r=n.cssClasses,l=r.DISABLED,d=r.INVALID;t?(this.adapter.addClass(l),this.adapter.removeClass(d)):this.adapter.removeClass(l),this.leadingIcon&&this.leadingIcon.setDisabled(t),this.trailingIcon&&this.trailingIcon.setDisabled(t)},n.prototype.styleFloating=function(t){var r=n.cssClasses.LABEL_FLOATING;t?this.adapter.addClass(r):this.adapter.removeClass(r)},n.prototype.getNativeInput=function(){return(this.adapter?this.adapter.getNativeInput():null)||{disabled:!1,maxLength:-1,required:!1,type:"input",validity:{badInput:!1,valid:!0},value:""}},n}(m.K);var fe=r(4232);const me=(0,te.XM)(class extends te.Xe{constructor(t){if(super(t),t.type!==te.pX.PROPERTY&&t.type!==te.pX.ATTRIBUTE&&t.type!==te.pX.BOOLEAN_ATTRIBUTE)throw Error("The `live` directive is not allowed on child or event bindings");if(!(0,fe.OR)(t))throw Error("`live` bindings can only contain a single expression")}render(t){return t}update(t,[n]){if(n===S.Jb||n===S.Ld)return n;const r=t.element,l=t.name;if(t.type===te.pX.PROPERTY){if(n===r[l])return S.Jb}else if(t.type===te.pX.BOOLEAN_ATTRIBUTE){if(!!n===r.hasAttribute(l))return S.Jb}else if(t.type===te.pX.ATTRIBUTE&&r.getAttribute(l)===n+"")return S.Jb;return(0,fe.hl)(t),n}}),ge=["touchstart","touchmove","scroll","mousewheel"],ye=(t={})=>{const n={};for(const r in t)n[r]=t[r];return Object.assign({badInput:!1,customError:!1,patternMismatch:!1,rangeOverflow:!1,rangeUnderflow:!1,stepMismatch:!1,tooLong:!1,tooShort:!1,typeMismatch:!1,valid:!0,valueMissing:!1},n)};class TextFieldBase extends x.Wg{constructor(){super(...arguments),this.mdcFoundationClass=pe,this.value="",this.type="text",this.placeholder="",this.label="",this.icon="",this.iconTrailing="",this.disabled=!1,this.required=!1,this.minLength=-1,this.maxLength=-1,this.outlined=!1,this.helper="",this.validateOnInitialRender=!1,this.validationMessage="",this.autoValidate=!1,this.pattern="",this.min="",this.max="",this.step=null,this.size=null,this.helperPersistent=!1,this.charCounter=!1,this.endAligned=!1,this.prefix="",this.suffix="",this.name="",this.readOnly=!1,this.autocapitalize="",this.outlineOpen=!1,this.outlineWidth=0,this.isUiValid=!0,this.focused=!1,this._validity=ye(),this.validityTransform=null}get validity(){return this._checkValidity(this.value),this._validity}get willValidate(){return this.formElement.willValidate}get selectionStart(){return this.formElement.selectionStart}get selectionEnd(){return this.formElement.selectionEnd}focus(){const t=new CustomEvent("focus");this.formElement.dispatchEvent(t),this.formElement.focus()}blur(){const t=new CustomEvent("blur");this.formElement.dispatchEvent(t),this.formElement.blur()}select(){this.formElement.select()}setSelectionRange(t,n,r){this.formElement.setSelectionRange(t,n,r)}update(t){t.has("autoValidate")&&this.mdcFoundation&&this.mdcFoundation.setValidateOnValueChange(this.autoValidate),t.has("value")&&"string"!=typeof this.value&&(this.value=`${this.value}`),super.update(t)}setFormData(t){this.name&&t.append(this.name,this.value)}render(){const t=this.charCounter&&-1!==this.maxLength,n=!!this.helper||!!this.validationMessage||t,r={"mdc-text-field--disabled":this.disabled,"mdc-text-field--no-label":!this.label,"mdc-text-field--filled":!this.outlined,"mdc-text-field--outlined":this.outlined,"mdc-text-field--with-leading-icon":this.icon,"mdc-text-field--with-trailing-icon":this.iconTrailing,"mdc-text-field--end-aligned":this.endAligned};return _.dy`
      <label class="mdc-text-field ${(0,E.$)(r)}">
        ${this.renderRipple()}
        ${this.outlined?this.renderOutline():this.renderLabel()}
        ${this.renderLeadingIcon()}
        ${this.renderPrefix()}
        ${this.renderInput(n)}
        ${this.renderSuffix()}
        ${this.renderTrailingIcon()}
        ${this.renderLineRipple()}
      </label>
      ${this.renderHelperText(n,t)}
    `}updated(t){t.has("value")&&void 0!==t.get("value")&&(this.mdcFoundation.setValue(this.value),this.autoValidate&&this.reportValidity())}renderRipple(){return this.outlined?"":_.dy`
      <span class="mdc-text-field__ripple"></span>
    `}renderOutline(){return this.outlined?_.dy`
      <mwc-notched-outline
          .width=${this.outlineWidth}
          .open=${this.outlineOpen}
          class="mdc-notched-outline">
        ${this.renderLabel()}
      </mwc-notched-outline>`:""}renderLabel(){return this.label?_.dy`
      <span
          .floatingLabelFoundation=${ie(this.label)}
          id="label">${this.label}</span>
    `:""}renderLeadingIcon(){return this.icon?this.renderIcon(this.icon):""}renderTrailingIcon(){return this.iconTrailing?this.renderIcon(this.iconTrailing,!0):""}renderIcon(t,n=!1){const r={"mdc-text-field__icon--leading":!n,"mdc-text-field__icon--trailing":n};return _.dy`<i class="material-icons mdc-text-field__icon ${(0,E.$)(r)}">${t}</i>`}renderPrefix(){return this.prefix?this.renderAffix(this.prefix):""}renderSuffix(){return this.suffix?this.renderAffix(this.suffix,!0):""}renderAffix(t,n=!1){const r={"mdc-text-field__affix--prefix":!n,"mdc-text-field__affix--suffix":n};return _.dy`<span class="mdc-text-field__affix ${(0,E.$)(r)}">
        ${t}</span>`}renderInput(t){const n=-1===this.minLength?void 0:this.minLength,r=-1===this.maxLength?void 0:this.maxLength,l=this.autocapitalize?this.autocapitalize:void 0,d=this.validationMessage&&!this.isUiValid,h=this.label?"label":void 0,p=t?"helper-text":void 0,f=this.focused||this.helperPersistent||d?"helper-text":void 0;return _.dy`
      <input
          aria-labelledby=${(0,V.o)(h)}
          aria-controls="${(0,V.o)(p)}"
          aria-describedby="${(0,V.o)(f)}"
          class="mdc-text-field__input"
          type="${this.type}"
          .value="${me(this.value)}"
          ?disabled="${this.disabled}"
          placeholder="${this.placeholder}"
          ?required="${this.required}"
          ?readonly="${this.readOnly}"
          minlength="${(0,V.o)(n)}"
          maxlength="${(0,V.o)(r)}"
          pattern="${(0,V.o)(this.pattern?this.pattern:void 0)}"
          min="${(0,V.o)(""===this.min?void 0:this.min)}"
          max="${(0,V.o)(""===this.max?void 0:this.max)}"
          step="${(0,V.o)(null===this.step?void 0:this.step)}"
          size="${(0,V.o)(null===this.size?void 0:this.size)}"
          name="${(0,V.o)(""===this.name?void 0:this.name)}"
          inputmode="${(0,V.o)(this.inputMode)}"
          autocapitalize="${(0,V.o)(l)}"
          @input="${this.handleInputChange}"
          @focus="${this.onInputFocus}"
          @blur="${this.onInputBlur}">`}renderLineRipple(){return this.outlined?"":_.dy`
      <span .lineRippleFoundation=${oe()}></span>
    `}renderHelperText(t,n){const r=this.validationMessage&&!this.isUiValid,l={"mdc-text-field-helper-text--persistent":this.helperPersistent,"mdc-text-field-helper-text--validation-msg":r},d=this.focused||this.helperPersistent||r?void 0:"true",h=r?this.validationMessage:this.helper;return t?_.dy`
      <div class="mdc-text-field-helper-line">
        <div id="helper-text"
             aria-hidden="${(0,V.o)(d)}"
             class="mdc-text-field-helper-text ${(0,E.$)(l)}"
             >${h}</div>
        ${this.renderCharCounter(n)}
      </div>`:""}renderCharCounter(t){const n=Math.min(this.value.length,this.maxLength);return t?_.dy`
      <span class="mdc-text-field-character-counter"
            >${n} / ${this.maxLength}</span>`:""}onInputFocus(){this.focused=!0}onInputBlur(){this.focused=!1,this.reportValidity()}checkValidity(){const t=this._checkValidity(this.value);if(!t){const t=new Event("invalid",{bubbles:!1,cancelable:!0});this.dispatchEvent(t)}return t}reportValidity(){const t=this.checkValidity();return this.mdcFoundation.setValid(t),this.isUiValid=t,t}_checkValidity(t){const n=this.formElement.validity;let r=ye(n);if(this.validityTransform){const n=this.validityTransform(t,r);r=Object.assign(Object.assign({},r),n),this.mdcFoundation.setUseNativeValidation(!1)}else this.mdcFoundation.setUseNativeValidation(!0);return this._validity=r,this._validity.valid}setCustomValidity(t){this.validationMessage=t,this.formElement.setCustomValidity(t)}handleInputChange(){this.value=this.formElement.value}createAdapter(){return Object.assign(Object.assign(Object.assign(Object.assign(Object.assign({},this.getRootAdapterMethods()),this.getInputAdapterMethods()),this.getLabelAdapterMethods()),this.getLineRippleAdapterMethods()),this.getOutlineAdapterMethods())}getRootAdapterMethods(){return Object.assign({registerTextFieldInteractionHandler:(t,n)=>this.addEventListener(t,n),deregisterTextFieldInteractionHandler:(t,n)=>this.removeEventListener(t,n),registerValidationAttributeChangeHandler:t=>{const n=new MutationObserver((n=>{t((t=>t.map((t=>t.attributeName)).filter((t=>t)))(n))}));return n.observe(this.formElement,{attributes:!0}),n},deregisterValidationAttributeChangeHandler:t=>t.disconnect()},(0,x.qN)(this.mdcRoot))}getInputAdapterMethods(){return{getNativeInput:()=>this.formElement,setInputAttr:()=>{},removeInputAttr:()=>{},isFocused:()=>!!this.shadowRoot&&this.shadowRoot.activeElement===this.formElement,registerInputInteractionHandler:(t,n)=>this.formElement.addEventListener(t,n,{passive:t in ge}),deregisterInputInteractionHandler:(t,n)=>this.formElement.removeEventListener(t,n)}}getLabelAdapterMethods(){return{floatLabel:t=>this.labelElement&&this.labelElement.floatingLabelFoundation.float(t),getLabelWidth:()=>this.labelElement?this.labelElement.floatingLabelFoundation.getWidth():0,hasLabel:()=>Boolean(this.labelElement),shakeLabel:t=>this.labelElement&&this.labelElement.floatingLabelFoundation.shake(t),setLabelRequired:t=>{this.labelElement&&this.labelElement.floatingLabelFoundation.setRequired(t)}}}getLineRippleAdapterMethods(){return{activateLineRipple:()=>{this.lineRippleElement&&this.lineRippleElement.lineRippleFoundation.activate()},deactivateLineRipple:()=>{this.lineRippleElement&&this.lineRippleElement.lineRippleFoundation.deactivate()},setLineRippleTransformOrigin:t=>{this.lineRippleElement&&this.lineRippleElement.lineRippleFoundation.setRippleCenter(t)}}}async getUpdateComplete(){var t;const n=await super.getUpdateComplete();return await(null===(t=this.outlineElement)||void 0===t?void 0:t.updateComplete),n}firstUpdated(){var t;super.firstUpdated(),this.mdcFoundation.setValidateOnValueChange(this.autoValidate),this.validateOnInitialRender&&this.reportValidity(),null===(t=this.outlineElement)||void 0===t||t.updateComplete.then((()=>{var t;this.outlineWidth=(null===(t=this.labelElement)||void 0===t?void 0:t.floatingLabelFoundation.getWidth())||0}))}getOutlineAdapterMethods(){return{closeOutline:()=>this.outlineElement&&(this.outlineOpen=!1),hasOutline:()=>Boolean(this.outlineElement),notchOutline:t=>{this.outlineElement&&!this.outlineOpen&&(this.outlineWidth=t,this.outlineOpen=!0)}}}async layout(){await this.updateComplete;const t=this.labelElement;if(!t)return void(this.outlineOpen=!1);const n=!!this.label&&!!this.value;if(t.floatingLabelFoundation.float(n),!this.outlined)return;this.outlineOpen=n,await this.updateComplete;const r=t.floatingLabelFoundation.getWidth();this.outlineOpen&&(this.outlineWidth=r,await this.updateComplete)}}(0,l.gn)([(0,p.I)(".mdc-text-field")],TextFieldBase.prototype,"mdcRoot",void 0),(0,l.gn)([(0,p.I)("input")],TextFieldBase.prototype,"formElement",void 0),(0,l.gn)([(0,p.I)(".mdc-floating-label")],TextFieldBase.prototype,"labelElement",void 0),(0,l.gn)([(0,p.I)(".mdc-line-ripple")],TextFieldBase.prototype,"lineRippleElement",void 0),(0,l.gn)([(0,p.I)("mwc-notched-outline")],TextFieldBase.prototype,"outlineElement",void 0),(0,l.gn)([(0,p.I)(".mdc-notched-outline__notch")],TextFieldBase.prototype,"notchElement",void 0),(0,l.gn)([(0,h.C)({type:String})],TextFieldBase.prototype,"value",void 0),(0,l.gn)([(0,h.C)({type:String})],TextFieldBase.prototype,"type",void 0),(0,l.gn)([(0,h.C)({type:String})],TextFieldBase.prototype,"placeholder",void 0),(0,l.gn)([(0,h.C)({type:String}),(0,w.P)((function(t,n){void 0!==n&&this.label!==n&&this.layout()}))],TextFieldBase.prototype,"label",void 0),(0,l.gn)([(0,h.C)({type:String})],TextFieldBase.prototype,"icon",void 0),(0,l.gn)([(0,h.C)({type:String})],TextFieldBase.prototype,"iconTrailing",void 0),(0,l.gn)([(0,h.C)({type:Boolean,reflect:!0})],TextFieldBase.prototype,"disabled",void 0),(0,l.gn)([(0,h.C)({type:Boolean})],TextFieldBase.prototype,"required",void 0),(0,l.gn)([(0,h.C)({type:Number})],TextFieldBase.prototype,"minLength",void 0),(0,l.gn)([(0,h.C)({type:Number})],TextFieldBase.prototype,"maxLength",void 0),(0,l.gn)([(0,h.C)({type:Boolean,reflect:!0}),(0,w.P)((function(t,n){void 0!==n&&this.outlined!==n&&this.layout()}))],TextFieldBase.prototype,"outlined",void 0),(0,l.gn)([(0,h.C)({type:String})],TextFieldBase.prototype,"helper",void 0),(0,l.gn)([(0,h.C)({type:Boolean})],TextFieldBase.prototype,"validateOnInitialRender",void 0),(0,l.gn)([(0,h.C)({type:String})],TextFieldBase.prototype,"validationMessage",void 0),(0,l.gn)([(0,h.C)({type:Boolean})],TextFieldBase.prototype,"autoValidate",void 0),(0,l.gn)([(0,h.C)({type:String})],TextFieldBase.prototype,"pattern",void 0),(0,l.gn)([(0,h.C)({type:String})],TextFieldBase.prototype,"min",void 0),(0,l.gn)([(0,h.C)({type:String})],TextFieldBase.prototype,"max",void 0),(0,l.gn)([(0,h.C)({type:String})],TextFieldBase.prototype,"step",void 0),(0,l.gn)([(0,h.C)({type:Number})],TextFieldBase.prototype,"size",void 0),(0,l.gn)([(0,h.C)({type:Boolean})],TextFieldBase.prototype,"helperPersistent",void 0),(0,l.gn)([(0,h.C)({type:Boolean})],TextFieldBase.prototype,"charCounter",void 0),(0,l.gn)([(0,h.C)({type:Boolean})],TextFieldBase.prototype,"endAligned",void 0),(0,l.gn)([(0,h.C)({type:String})],TextFieldBase.prototype,"prefix",void 0),(0,l.gn)([(0,h.C)({type:String})],TextFieldBase.prototype,"suffix",void 0),(0,l.gn)([(0,h.C)({type:String})],TextFieldBase.prototype,"name",void 0),(0,l.gn)([(0,h.C)({type:String})],TextFieldBase.prototype,"inputMode",void 0),(0,l.gn)([(0,h.C)({type:Boolean})],TextFieldBase.prototype,"readOnly",void 0),(0,l.gn)([(0,h.C)({type:String})],TextFieldBase.prototype,"autocapitalize",void 0),(0,l.gn)([(0,A.S)()],TextFieldBase.prototype,"outlineOpen",void 0),(0,l.gn)([(0,A.S)()],TextFieldBase.prototype,"outlineWidth",void 0),(0,l.gn)([(0,A.S)()],TextFieldBase.prototype,"isUiValid",void 0),(0,l.gn)([(0,A.S)()],TextFieldBase.prototype,"focused",void 0),(0,l.gn)([(0,O.h)({passive:!0})],TextFieldBase.prototype,"handleInputChange",null);const ve=_.iv`.mdc-floating-label{-moz-osx-font-smoothing:grayscale;-webkit-font-smoothing:antialiased;font-family:Roboto, sans-serif;font-family:var(--mdc-typography-subtitle1-font-family, var(--mdc-typography-font-family, Roboto, sans-serif));font-size:1rem;font-size:var(--mdc-typography-subtitle1-font-size, 1rem);font-weight:400;font-weight:var(--mdc-typography-subtitle1-font-weight, 400);letter-spacing:0.009375em;letter-spacing:var(--mdc-typography-subtitle1-letter-spacing, 0.009375em);text-decoration:inherit;text-decoration:var(--mdc-typography-subtitle1-text-decoration, inherit);text-transform:inherit;text-transform:var(--mdc-typography-subtitle1-text-transform, inherit);position:absolute;left:0;-webkit-transform-origin:left top;transform-origin:left top;line-height:1.15rem;text-align:left;text-overflow:ellipsis;white-space:nowrap;cursor:text;overflow:hidden;will-change:transform;transition:transform 150ms cubic-bezier(0.4, 0, 0.2, 1),color 150ms cubic-bezier(0.4, 0, 0.2, 1)}[dir=rtl] .mdc-floating-label,.mdc-floating-label[dir=rtl]{right:0;left:auto;-webkit-transform-origin:right top;transform-origin:right top;text-align:right}.mdc-floating-label--float-above{cursor:auto}.mdc-floating-label--required::after{margin-left:1px;margin-right:0px;content:"*"}[dir=rtl] .mdc-floating-label--required::after,.mdc-floating-label--required[dir=rtl]::after{margin-left:0;margin-right:1px}.mdc-floating-label--float-above{transform:translateY(-106%) scale(0.75)}.mdc-floating-label--shake{animation:mdc-floating-label-shake-float-above-standard 250ms 1}@keyframes mdc-floating-label-shake-float-above-standard{0%{transform:translateX(calc(0 - 0%)) translateY(-106%) scale(0.75)}33%{animation-timing-function:cubic-bezier(0.5, 0, 0.701732, 0.495819);transform:translateX(calc(4% - 0%)) translateY(-106%) scale(0.75)}66%{animation-timing-function:cubic-bezier(0.302435, 0.381352, 0.55, 0.956352);transform:translateX(calc(-4% - 0%)) translateY(-106%) scale(0.75)}100%{transform:translateX(calc(0 - 0%)) translateY(-106%) scale(0.75)}}.mdc-line-ripple::before,.mdc-line-ripple::after{position:absolute;bottom:0;left:0;width:100%;border-bottom-style:solid;content:""}.mdc-line-ripple::before{border-bottom-width:1px}.mdc-line-ripple::before{z-index:1}.mdc-line-ripple::after{transform:scaleX(0);border-bottom-width:2px;opacity:0;z-index:2}.mdc-line-ripple::after{transition:transform 180ms cubic-bezier(0.4, 0, 0.2, 1),opacity 180ms cubic-bezier(0.4, 0, 0.2, 1)}.mdc-line-ripple--active::after{transform:scaleX(1);opacity:1}.mdc-line-ripple--deactivating::after{opacity:0}.mdc-notched-outline{display:flex;position:absolute;top:0;right:0;left:0;box-sizing:border-box;width:100%;max-width:100%;height:100%;text-align:left;pointer-events:none}[dir=rtl] .mdc-notched-outline,.mdc-notched-outline[dir=rtl]{text-align:right}.mdc-notched-outline__leading,.mdc-notched-outline__notch,.mdc-notched-outline__trailing{box-sizing:border-box;height:100%;border-top:1px solid;border-bottom:1px solid;pointer-events:none}.mdc-notched-outline__leading{border-left:1px solid;border-right:none;width:12px}[dir=rtl] .mdc-notched-outline__leading,.mdc-notched-outline__leading[dir=rtl]{border-left:none;border-right:1px solid}.mdc-notched-outline__trailing{border-left:none;border-right:1px solid;flex-grow:1}[dir=rtl] .mdc-notched-outline__trailing,.mdc-notched-outline__trailing[dir=rtl]{border-left:1px solid;border-right:none}.mdc-notched-outline__notch{flex:0 0 auto;width:auto;max-width:calc(100% - 12px * 2)}.mdc-notched-outline .mdc-floating-label{display:inline-block;position:relative;max-width:100%}.mdc-notched-outline .mdc-floating-label--float-above{text-overflow:clip}.mdc-notched-outline--upgraded .mdc-floating-label--float-above{max-width:calc(100% / 0.75)}.mdc-notched-outline--notched .mdc-notched-outline__notch{padding-left:0;padding-right:8px;border-top:none}[dir=rtl] .mdc-notched-outline--notched .mdc-notched-outline__notch,.mdc-notched-outline--notched .mdc-notched-outline__notch[dir=rtl]{padding-left:8px;padding-right:0}.mdc-notched-outline--no-label .mdc-notched-outline__notch{display:none}@keyframes mdc-ripple-fg-radius-in{from{animation-timing-function:cubic-bezier(0.4, 0, 0.2, 1);transform:translate(var(--mdc-ripple-fg-translate-start, 0)) scale(1)}to{transform:translate(var(--mdc-ripple-fg-translate-end, 0)) scale(var(--mdc-ripple-fg-scale, 1))}}@keyframes mdc-ripple-fg-opacity-in{from{animation-timing-function:linear;opacity:0}to{opacity:var(--mdc-ripple-fg-opacity, 0)}}@keyframes mdc-ripple-fg-opacity-out{from{animation-timing-function:linear;opacity:var(--mdc-ripple-fg-opacity, 0)}to{opacity:0}}.mdc-text-field--filled{--mdc-ripple-fg-size: 0;--mdc-ripple-left: 0;--mdc-ripple-top: 0;--mdc-ripple-fg-scale: 1;--mdc-ripple-fg-translate-end: 0;--mdc-ripple-fg-translate-start: 0;-webkit-tap-highlight-color:rgba(0,0,0,0);will-change:transform,opacity}.mdc-text-field--filled .mdc-text-field__ripple::before,.mdc-text-field--filled .mdc-text-field__ripple::after{position:absolute;border-radius:50%;opacity:0;pointer-events:none;content:""}.mdc-text-field--filled .mdc-text-field__ripple::before{transition:opacity 15ms linear,background-color 15ms linear;z-index:1;z-index:var(--mdc-ripple-z-index, 1)}.mdc-text-field--filled .mdc-text-field__ripple::after{z-index:0;z-index:var(--mdc-ripple-z-index, 0)}.mdc-text-field--filled.mdc-ripple-upgraded .mdc-text-field__ripple::before{transform:scale(var(--mdc-ripple-fg-scale, 1))}.mdc-text-field--filled.mdc-ripple-upgraded .mdc-text-field__ripple::after{top:0;left:0;transform:scale(0);transform-origin:center center}.mdc-text-field--filled.mdc-ripple-upgraded--unbounded .mdc-text-field__ripple::after{top:var(--mdc-ripple-top, 0);left:var(--mdc-ripple-left, 0)}.mdc-text-field--filled.mdc-ripple-upgraded--foreground-activation .mdc-text-field__ripple::after{animation:mdc-ripple-fg-radius-in 225ms forwards,mdc-ripple-fg-opacity-in 75ms forwards}.mdc-text-field--filled.mdc-ripple-upgraded--foreground-deactivation .mdc-text-field__ripple::after{animation:mdc-ripple-fg-opacity-out 150ms;transform:translate(var(--mdc-ripple-fg-translate-end, 0)) scale(var(--mdc-ripple-fg-scale, 1))}.mdc-text-field--filled .mdc-text-field__ripple::before,.mdc-text-field--filled .mdc-text-field__ripple::after{top:calc(50% - 100%);left:calc(50% - 100%);width:200%;height:200%}.mdc-text-field--filled.mdc-ripple-upgraded .mdc-text-field__ripple::after{width:var(--mdc-ripple-fg-size, 100%);height:var(--mdc-ripple-fg-size, 100%)}.mdc-text-field__ripple{position:absolute;top:0;left:0;width:100%;height:100%;pointer-events:none}.mdc-text-field{border-top-left-radius:4px;border-top-left-radius:var(--mdc-shape-small, 4px);border-top-right-radius:4px;border-top-right-radius:var(--mdc-shape-small, 4px);border-bottom-right-radius:0;border-bottom-left-radius:0;display:inline-flex;align-items:baseline;padding:0 16px;position:relative;box-sizing:border-box;overflow:hidden;will-change:opacity,transform,color}.mdc-text-field:not(.mdc-text-field--disabled) .mdc-floating-label{color:rgba(0, 0, 0, 0.6)}.mdc-text-field:not(.mdc-text-field--disabled) .mdc-text-field__input{color:rgba(0, 0, 0, 0.87)}@media all{.mdc-text-field:not(.mdc-text-field--disabled) .mdc-text-field__input::placeholder{color:rgba(0, 0, 0, 0.54)}}@media all{.mdc-text-field:not(.mdc-text-field--disabled) .mdc-text-field__input:-ms-input-placeholder{color:rgba(0, 0, 0, 0.54)}}.mdc-text-field .mdc-text-field__input{caret-color:#6200ee;caret-color:var(--mdc-theme-primary, #6200ee)}.mdc-text-field:not(.mdc-text-field--disabled)+.mdc-text-field-helper-line .mdc-text-field-helper-text{color:rgba(0, 0, 0, 0.6)}.mdc-text-field:not(.mdc-text-field--disabled) .mdc-text-field-character-counter,.mdc-text-field:not(.mdc-text-field--disabled)+.mdc-text-field-helper-line .mdc-text-field-character-counter{color:rgba(0, 0, 0, 0.6)}.mdc-text-field:not(.mdc-text-field--disabled) .mdc-text-field__icon--leading{color:rgba(0, 0, 0, 0.54)}.mdc-text-field:not(.mdc-text-field--disabled) .mdc-text-field__icon--trailing{color:rgba(0, 0, 0, 0.54)}.mdc-text-field:not(.mdc-text-field--disabled) .mdc-text-field__affix--prefix{color:rgba(0, 0, 0, 0.6)}.mdc-text-field:not(.mdc-text-field--disabled) .mdc-text-field__affix--suffix{color:rgba(0, 0, 0, 0.6)}.mdc-text-field .mdc-floating-label{top:50%;transform:translateY(-50%);pointer-events:none}.mdc-text-field__input{-moz-osx-font-smoothing:grayscale;-webkit-font-smoothing:antialiased;font-family:Roboto, sans-serif;font-family:var(--mdc-typography-subtitle1-font-family, var(--mdc-typography-font-family, Roboto, sans-serif));font-size:1rem;font-size:var(--mdc-typography-subtitle1-font-size, 1rem);font-weight:400;font-weight:var(--mdc-typography-subtitle1-font-weight, 400);letter-spacing:0.009375em;letter-spacing:var(--mdc-typography-subtitle1-letter-spacing, 0.009375em);text-decoration:inherit;text-decoration:var(--mdc-typography-subtitle1-text-decoration, inherit);text-transform:inherit;text-transform:var(--mdc-typography-subtitle1-text-transform, inherit);height:28px;transition:opacity 150ms 0ms cubic-bezier(0.4, 0, 0.2, 1);width:100%;min-width:0;border:none;border-radius:0;background:none;appearance:none;padding:0}.mdc-text-field__input::-ms-clear{display:none}.mdc-text-field__input::-webkit-calendar-picker-indicator{display:none}.mdc-text-field__input:focus{outline:none}.mdc-text-field__input:invalid{box-shadow:none}@media all{.mdc-text-field__input::placeholder{transition:opacity 67ms 0ms cubic-bezier(0.4, 0, 0.2, 1);opacity:0}}@media all{.mdc-text-field__input:-ms-input-placeholder{transition:opacity 67ms 0ms cubic-bezier(0.4, 0, 0.2, 1);opacity:0}}@media all{.mdc-text-field--no-label .mdc-text-field__input::placeholder,.mdc-text-field--focused .mdc-text-field__input::placeholder{transition-delay:40ms;transition-duration:110ms;opacity:1}}@media all{.mdc-text-field--no-label .mdc-text-field__input:-ms-input-placeholder,.mdc-text-field--focused .mdc-text-field__input:-ms-input-placeholder{transition-delay:40ms;transition-duration:110ms;opacity:1}}.mdc-text-field__affix{-moz-osx-font-smoothing:grayscale;-webkit-font-smoothing:antialiased;font-family:Roboto, sans-serif;font-family:var(--mdc-typography-subtitle1-font-family, var(--mdc-typography-font-family, Roboto, sans-serif));font-size:1rem;font-size:var(--mdc-typography-subtitle1-font-size, 1rem);font-weight:400;font-weight:var(--mdc-typography-subtitle1-font-weight, 400);letter-spacing:0.009375em;letter-spacing:var(--mdc-typography-subtitle1-letter-spacing, 0.009375em);text-decoration:inherit;text-decoration:var(--mdc-typography-subtitle1-text-decoration, inherit);text-transform:inherit;text-transform:var(--mdc-typography-subtitle1-text-transform, inherit);height:28px;transition:opacity 150ms 0ms cubic-bezier(0.4, 0, 0.2, 1);opacity:0;white-space:nowrap}.mdc-text-field--label-floating .mdc-text-field__affix,.mdc-text-field--no-label .mdc-text-field__affix{opacity:1}@supports(-webkit-hyphens: none){.mdc-text-field--outlined .mdc-text-field__affix{align-items:center;align-self:center;display:inline-flex;height:100%}}.mdc-text-field__affix--prefix{padding-left:0;padding-right:2px}[dir=rtl] .mdc-text-field__affix--prefix,.mdc-text-field__affix--prefix[dir=rtl]{padding-left:2px;padding-right:0}.mdc-text-field--end-aligned .mdc-text-field__affix--prefix{padding-left:0;padding-right:12px}[dir=rtl] .mdc-text-field--end-aligned .mdc-text-field__affix--prefix,.mdc-text-field--end-aligned .mdc-text-field__affix--prefix[dir=rtl]{padding-left:12px;padding-right:0}.mdc-text-field__affix--suffix{padding-left:12px;padding-right:0}[dir=rtl] .mdc-text-field__affix--suffix,.mdc-text-field__affix--suffix[dir=rtl]{padding-left:0;padding-right:12px}.mdc-text-field--end-aligned .mdc-text-field__affix--suffix{padding-left:2px;padding-right:0}[dir=rtl] .mdc-text-field--end-aligned .mdc-text-field__affix--suffix,.mdc-text-field--end-aligned .mdc-text-field__affix--suffix[dir=rtl]{padding-left:0;padding-right:2px}.mdc-text-field--filled{height:56px}.mdc-text-field--filled .mdc-text-field__ripple::before,.mdc-text-field--filled .mdc-text-field__ripple::after{background-color:rgba(0, 0, 0, 0.87);background-color:var(--mdc-ripple-color, rgba(0, 0, 0, 0.87))}.mdc-text-field--filled:hover .mdc-text-field__ripple::before,.mdc-text-field--filled.mdc-ripple-surface--hover .mdc-text-field__ripple::before{opacity:0.04;opacity:var(--mdc-ripple-hover-opacity, 0.04)}.mdc-text-field--filled.mdc-ripple-upgraded--background-focused .mdc-text-field__ripple::before,.mdc-text-field--filled:not(.mdc-ripple-upgraded):focus .mdc-text-field__ripple::before{transition-duration:75ms;opacity:0.12;opacity:var(--mdc-ripple-focus-opacity, 0.12)}.mdc-text-field--filled::before{display:inline-block;width:0;height:40px;content:"";vertical-align:0}.mdc-text-field--filled:not(.mdc-text-field--disabled){background-color:whitesmoke}.mdc-text-field--filled:not(.mdc-text-field--disabled) .mdc-line-ripple::before{border-bottom-color:rgba(0, 0, 0, 0.42)}.mdc-text-field--filled:not(.mdc-text-field--disabled):hover .mdc-line-ripple::before{border-bottom-color:rgba(0, 0, 0, 0.87)}.mdc-text-field--filled .mdc-line-ripple::after{border-bottom-color:#6200ee;border-bottom-color:var(--mdc-theme-primary, #6200ee)}.mdc-text-field--filled .mdc-floating-label{left:16px;right:initial}[dir=rtl] .mdc-text-field--filled .mdc-floating-label,.mdc-text-field--filled .mdc-floating-label[dir=rtl]{left:initial;right:16px}.mdc-text-field--filled .mdc-floating-label--float-above{transform:translateY(-106%) scale(0.75)}.mdc-text-field--filled.mdc-text-field--no-label .mdc-text-field__input{height:100%}.mdc-text-field--filled.mdc-text-field--no-label .mdc-floating-label{display:none}.mdc-text-field--filled.mdc-text-field--no-label::before{display:none}@supports(-webkit-hyphens: none){.mdc-text-field--filled.mdc-text-field--no-label .mdc-text-field__affix{align-items:center;align-self:center;display:inline-flex;height:100%}}.mdc-text-field--outlined{height:56px;overflow:visible}.mdc-text-field--outlined .mdc-floating-label--float-above{transform:translateY(-37.25px) scale(1)}.mdc-text-field--outlined .mdc-floating-label--float-above{font-size:.75rem}.mdc-text-field--outlined.mdc-notched-outline--upgraded .mdc-floating-label--float-above,.mdc-text-field--outlined .mdc-notched-outline--upgraded .mdc-floating-label--float-above{transform:translateY(-34.75px) scale(0.75)}.mdc-text-field--outlined.mdc-notched-outline--upgraded .mdc-floating-label--float-above,.mdc-text-field--outlined .mdc-notched-outline--upgraded .mdc-floating-label--float-above{font-size:1rem}.mdc-text-field--outlined .mdc-floating-label--shake{animation:mdc-floating-label-shake-float-above-text-field-outlined 250ms 1}@keyframes mdc-floating-label-shake-float-above-text-field-outlined{0%{transform:translateX(calc(0 - 0%)) translateY(-34.75px) scale(0.75)}33%{animation-timing-function:cubic-bezier(0.5, 0, 0.701732, 0.495819);transform:translateX(calc(4% - 0%)) translateY(-34.75px) scale(0.75)}66%{animation-timing-function:cubic-bezier(0.302435, 0.381352, 0.55, 0.956352);transform:translateX(calc(-4% - 0%)) translateY(-34.75px) scale(0.75)}100%{transform:translateX(calc(0 - 0%)) translateY(-34.75px) scale(0.75)}}.mdc-text-field--outlined .mdc-text-field__input{height:100%}.mdc-text-field--outlined:not(.mdc-text-field--disabled) .mdc-notched-outline__leading,.mdc-text-field--outlined:not(.mdc-text-field--disabled) .mdc-notched-outline__notch,.mdc-text-field--outlined:not(.mdc-text-field--disabled) .mdc-notched-outline__trailing{border-color:rgba(0, 0, 0, 0.38)}.mdc-text-field--outlined:not(.mdc-text-field--disabled):not(.mdc-text-field--focused):hover .mdc-notched-outline .mdc-notched-outline__leading,.mdc-text-field--outlined:not(.mdc-text-field--disabled):not(.mdc-text-field--focused):hover .mdc-notched-outline .mdc-notched-outline__notch,.mdc-text-field--outlined:not(.mdc-text-field--disabled):not(.mdc-text-field--focused):hover .mdc-notched-outline .mdc-notched-outline__trailing{border-color:rgba(0, 0, 0, 0.87)}.mdc-text-field--outlined:not(.mdc-text-field--disabled).mdc-text-field--focused .mdc-notched-outline__leading,.mdc-text-field--outlined:not(.mdc-text-field--disabled).mdc-text-field--focused .mdc-notched-outline__notch,.mdc-text-field--outlined:not(.mdc-text-field--disabled).mdc-text-field--focused .mdc-notched-outline__trailing{border-color:#6200ee;border-color:var(--mdc-theme-primary, #6200ee)}.mdc-text-field--outlined .mdc-notched-outline .mdc-notched-outline__leading{border-top-left-radius:4px;border-top-left-radius:var(--mdc-shape-small, 4px);border-top-right-radius:0;border-bottom-right-radius:0;border-bottom-left-radius:4px;border-bottom-left-radius:var(--mdc-shape-small, 4px)}[dir=rtl] .mdc-text-field--outlined .mdc-notched-outline .mdc-notched-outline__leading,.mdc-text-field--outlined .mdc-notched-outline .mdc-notched-outline__leading[dir=rtl]{border-top-left-radius:0;border-top-right-radius:4px;border-top-right-radius:var(--mdc-shape-small, 4px);border-bottom-right-radius:4px;border-bottom-right-radius:var(--mdc-shape-small, 4px);border-bottom-left-radius:0}@supports(top: max(0%)){.mdc-text-field--outlined .mdc-notched-outline .mdc-notched-outline__leading{width:max(12px, var(--mdc-shape-small, 4px))}}@supports(top: max(0%)){.mdc-text-field--outlined .mdc-notched-outline .mdc-notched-outline__notch{max-width:calc(100% - max(12px, var(--mdc-shape-small, 4px)) * 2)}}.mdc-text-field--outlined .mdc-notched-outline .mdc-notched-outline__trailing{border-top-left-radius:0;border-top-right-radius:4px;border-top-right-radius:var(--mdc-shape-small, 4px);border-bottom-right-radius:4px;border-bottom-right-radius:var(--mdc-shape-small, 4px);border-bottom-left-radius:0}[dir=rtl] .mdc-text-field--outlined .mdc-notched-outline .mdc-notched-outline__trailing,.mdc-text-field--outlined .mdc-notched-outline .mdc-notched-outline__trailing[dir=rtl]{border-top-left-radius:4px;border-top-left-radius:var(--mdc-shape-small, 4px);border-top-right-radius:0;border-bottom-right-radius:0;border-bottom-left-radius:4px;border-bottom-left-radius:var(--mdc-shape-small, 4px)}@supports(top: max(0%)){.mdc-text-field--outlined{padding-left:max(16px, calc(var(--mdc-shape-small, 4px) + 4px))}}@supports(top: max(0%)){.mdc-text-field--outlined{padding-right:max(16px, var(--mdc-shape-small, 4px))}}@supports(top: max(0%)){.mdc-text-field--outlined+.mdc-text-field-helper-line{padding-left:max(16px, calc(var(--mdc-shape-small, 4px) + 4px))}}@supports(top: max(0%)){.mdc-text-field--outlined+.mdc-text-field-helper-line{padding-right:max(16px, var(--mdc-shape-small, 4px))}}.mdc-text-field--outlined.mdc-text-field--with-leading-icon{padding-left:0}@supports(top: max(0%)){.mdc-text-field--outlined.mdc-text-field--with-leading-icon{padding-right:max(16px, var(--mdc-shape-small, 4px))}}[dir=rtl] .mdc-text-field--outlined.mdc-text-field--with-leading-icon,.mdc-text-field--outlined.mdc-text-field--with-leading-icon[dir=rtl]{padding-right:0}@supports(top: max(0%)){[dir=rtl] .mdc-text-field--outlined.mdc-text-field--with-leading-icon,.mdc-text-field--outlined.mdc-text-field--with-leading-icon[dir=rtl]{padding-left:max(16px, var(--mdc-shape-small, 4px))}}.mdc-text-field--outlined.mdc-text-field--with-trailing-icon{padding-right:0}@supports(top: max(0%)){.mdc-text-field--outlined.mdc-text-field--with-trailing-icon{padding-left:max(16px, calc(var(--mdc-shape-small, 4px) + 4px))}}[dir=rtl] .mdc-text-field--outlined.mdc-text-field--with-trailing-icon,.mdc-text-field--outlined.mdc-text-field--with-trailing-icon[dir=rtl]{padding-left:0}@supports(top: max(0%)){[dir=rtl] .mdc-text-field--outlined.mdc-text-field--with-trailing-icon,.mdc-text-field--outlined.mdc-text-field--with-trailing-icon[dir=rtl]{padding-right:max(16px, calc(var(--mdc-shape-small, 4px) + 4px))}}.mdc-text-field--outlined.mdc-text-field--with-leading-icon.mdc-text-field--with-trailing-icon{padding-left:0;padding-right:0}.mdc-text-field--outlined .mdc-notched-outline--notched .mdc-notched-outline__notch{padding-top:1px}.mdc-text-field--outlined .mdc-text-field__ripple::before,.mdc-text-field--outlined .mdc-text-field__ripple::after{background-color:transparent;background-color:var(--mdc-ripple-color, transparent)}.mdc-text-field--outlined .mdc-floating-label{left:4px;right:initial}[dir=rtl] .mdc-text-field--outlined .mdc-floating-label,.mdc-text-field--outlined .mdc-floating-label[dir=rtl]{left:initial;right:4px}.mdc-text-field--outlined .mdc-text-field__input{display:flex;border:none !important;background-color:transparent}.mdc-text-field--outlined .mdc-notched-outline{z-index:1}.mdc-text-field--textarea{flex-direction:column;align-items:center;width:auto;height:auto;padding:0;transition:none}.mdc-text-field--textarea .mdc-floating-label{top:19px}.mdc-text-field--textarea .mdc-floating-label:not(.mdc-floating-label--float-above){transform:none}.mdc-text-field--textarea .mdc-text-field__input{flex-grow:1;height:auto;min-height:1.5rem;overflow-x:hidden;overflow-y:auto;box-sizing:border-box;resize:none;padding:0 16px;line-height:1.5rem}.mdc-text-field--textarea.mdc-text-field--filled::before{display:none}.mdc-text-field--textarea.mdc-text-field--filled .mdc-floating-label--float-above{transform:translateY(-10.25px) scale(0.75)}.mdc-text-field--textarea.mdc-text-field--filled .mdc-floating-label--shake{animation:mdc-floating-label-shake-float-above-textarea-filled 250ms 1}@keyframes mdc-floating-label-shake-float-above-textarea-filled{0%{transform:translateX(calc(0 - 0%)) translateY(-10.25px) scale(0.75)}33%{animation-timing-function:cubic-bezier(0.5, 0, 0.701732, 0.495819);transform:translateX(calc(4% - 0%)) translateY(-10.25px) scale(0.75)}66%{animation-timing-function:cubic-bezier(0.302435, 0.381352, 0.55, 0.956352);transform:translateX(calc(-4% - 0%)) translateY(-10.25px) scale(0.75)}100%{transform:translateX(calc(0 - 0%)) translateY(-10.25px) scale(0.75)}}.mdc-text-field--textarea.mdc-text-field--filled .mdc-text-field__input{margin-top:23px;margin-bottom:9px}.mdc-text-field--textarea.mdc-text-field--filled.mdc-text-field--no-label .mdc-text-field__input{margin-top:16px;margin-bottom:16px}.mdc-text-field--textarea.mdc-text-field--outlined .mdc-notched-outline--notched .mdc-notched-outline__notch{padding-top:0}.mdc-text-field--textarea.mdc-text-field--outlined .mdc-floating-label--float-above{transform:translateY(-27.25px) scale(1)}.mdc-text-field--textarea.mdc-text-field--outlined .mdc-floating-label--float-above{font-size:.75rem}.mdc-text-field--textarea.mdc-text-field--outlined.mdc-notched-outline--upgraded .mdc-floating-label--float-above,.mdc-text-field--textarea.mdc-text-field--outlined .mdc-notched-outline--upgraded .mdc-floating-label--float-above{transform:translateY(-24.75px) scale(0.75)}.mdc-text-field--textarea.mdc-text-field--outlined.mdc-notched-outline--upgraded .mdc-floating-label--float-above,.mdc-text-field--textarea.mdc-text-field--outlined .mdc-notched-outline--upgraded .mdc-floating-label--float-above{font-size:1rem}.mdc-text-field--textarea.mdc-text-field--outlined .mdc-floating-label--shake{animation:mdc-floating-label-shake-float-above-textarea-outlined 250ms 1}@keyframes mdc-floating-label-shake-float-above-textarea-outlined{0%{transform:translateX(calc(0 - 0%)) translateY(-24.75px) scale(0.75)}33%{animation-timing-function:cubic-bezier(0.5, 0, 0.701732, 0.495819);transform:translateX(calc(4% - 0%)) translateY(-24.75px) scale(0.75)}66%{animation-timing-function:cubic-bezier(0.302435, 0.381352, 0.55, 0.956352);transform:translateX(calc(-4% - 0%)) translateY(-24.75px) scale(0.75)}100%{transform:translateX(calc(0 - 0%)) translateY(-24.75px) scale(0.75)}}.mdc-text-field--textarea.mdc-text-field--outlined .mdc-text-field__input{margin-top:16px;margin-bottom:16px}.mdc-text-field--textarea.mdc-text-field--outlined .mdc-floating-label{top:18px}.mdc-text-field--textarea.mdc-text-field--with-internal-counter .mdc-text-field__input{margin-bottom:2px}.mdc-text-field--textarea.mdc-text-field--with-internal-counter .mdc-text-field-character-counter{align-self:flex-end;padding:0 16px}.mdc-text-field--textarea.mdc-text-field--with-internal-counter .mdc-text-field-character-counter::after{display:inline-block;width:0;height:16px;content:"";vertical-align:-16px}.mdc-text-field--textarea.mdc-text-field--with-internal-counter .mdc-text-field-character-counter::before{display:none}.mdc-text-field__resizer{align-self:stretch;display:inline-flex;flex-direction:column;flex-grow:1;max-height:100%;max-width:100%;min-height:56px;min-width:fit-content;min-width:-moz-available;min-width:-webkit-fill-available;overflow:hidden;resize:both}.mdc-text-field--filled .mdc-text-field__resizer{transform:translateY(-1px)}.mdc-text-field--filled .mdc-text-field__resizer .mdc-text-field__input,.mdc-text-field--filled .mdc-text-field__resizer .mdc-text-field-character-counter{transform:translateY(1px)}.mdc-text-field--outlined .mdc-text-field__resizer{transform:translateX(-1px) translateY(-1px)}[dir=rtl] .mdc-text-field--outlined .mdc-text-field__resizer,.mdc-text-field--outlined .mdc-text-field__resizer[dir=rtl]{transform:translateX(1px) translateY(-1px)}.mdc-text-field--outlined .mdc-text-field__resizer .mdc-text-field__input,.mdc-text-field--outlined .mdc-text-field__resizer .mdc-text-field-character-counter{transform:translateX(1px) translateY(1px)}[dir=rtl] .mdc-text-field--outlined .mdc-text-field__resizer .mdc-text-field__input,[dir=rtl] .mdc-text-field--outlined .mdc-text-field__resizer .mdc-text-field-character-counter,.mdc-text-field--outlined .mdc-text-field__resizer .mdc-text-field__input[dir=rtl],.mdc-text-field--outlined .mdc-text-field__resizer .mdc-text-field-character-counter[dir=rtl]{transform:translateX(-1px) translateY(1px)}.mdc-text-field--with-leading-icon{padding-left:0;padding-right:16px}[dir=rtl] .mdc-text-field--with-leading-icon,.mdc-text-field--with-leading-icon[dir=rtl]{padding-left:16px;padding-right:0}.mdc-text-field--with-leading-icon.mdc-text-field--filled .mdc-floating-label{max-width:calc(100% - 48px);left:48px;right:initial}[dir=rtl] .mdc-text-field--with-leading-icon.mdc-text-field--filled .mdc-floating-label,.mdc-text-field--with-leading-icon.mdc-text-field--filled .mdc-floating-label[dir=rtl]{left:initial;right:48px}.mdc-text-field--with-leading-icon.mdc-text-field--filled .mdc-floating-label--float-above{max-width:calc(100% / 0.75 - 64px / 0.75)}.mdc-text-field--with-leading-icon.mdc-text-field--outlined .mdc-floating-label{left:36px;right:initial}[dir=rtl] .mdc-text-field--with-leading-icon.mdc-text-field--outlined .mdc-floating-label,.mdc-text-field--with-leading-icon.mdc-text-field--outlined .mdc-floating-label[dir=rtl]{left:initial;right:36px}.mdc-text-field--with-leading-icon.mdc-text-field--outlined :not(.mdc-notched-outline--notched) .mdc-notched-outline__notch{max-width:calc(100% - 60px)}.mdc-text-field--with-leading-icon.mdc-text-field--outlined .mdc-floating-label--float-above{transform:translateY(-37.25px) translateX(-32px) scale(1)}[dir=rtl] .mdc-text-field--with-leading-icon.mdc-text-field--outlined .mdc-floating-label--float-above,.mdc-text-field--with-leading-icon.mdc-text-field--outlined .mdc-floating-label--float-above[dir=rtl]{transform:translateY(-37.25px) translateX(32px) scale(1)}.mdc-text-field--with-leading-icon.mdc-text-field--outlined .mdc-floating-label--float-above{font-size:.75rem}.mdc-text-field--with-leading-icon.mdc-text-field--outlined.mdc-notched-outline--upgraded .mdc-floating-label--float-above,.mdc-text-field--with-leading-icon.mdc-text-field--outlined .mdc-notched-outline--upgraded .mdc-floating-label--float-above{transform:translateY(-34.75px) translateX(-32px) scale(0.75)}[dir=rtl] .mdc-text-field--with-leading-icon.mdc-text-field--outlined.mdc-notched-outline--upgraded .mdc-floating-label--float-above,[dir=rtl] .mdc-text-field--with-leading-icon.mdc-text-field--outlined .mdc-notched-outline--upgraded .mdc-floating-label--float-above,.mdc-text-field--with-leading-icon.mdc-text-field--outlined.mdc-notched-outline--upgraded .mdc-floating-label--float-above[dir=rtl],.mdc-text-field--with-leading-icon.mdc-text-field--outlined .mdc-notched-outline--upgraded .mdc-floating-label--float-above[dir=rtl]{transform:translateY(-34.75px) translateX(32px) scale(0.75)}.mdc-text-field--with-leading-icon.mdc-text-field--outlined.mdc-notched-outline--upgraded .mdc-floating-label--float-above,.mdc-text-field--with-leading-icon.mdc-text-field--outlined .mdc-notched-outline--upgraded .mdc-floating-label--float-above{font-size:1rem}.mdc-text-field--with-leading-icon.mdc-text-field--outlined .mdc-floating-label--shake{animation:mdc-floating-label-shake-float-above-text-field-outlined-leading-icon 250ms 1}@keyframes mdc-floating-label-shake-float-above-text-field-outlined-leading-icon{0%{transform:translateX(calc(0 - 32px)) translateY(-34.75px) scale(0.75)}33%{animation-timing-function:cubic-bezier(0.5, 0, 0.701732, 0.495819);transform:translateX(calc(4% - 32px)) translateY(-34.75px) scale(0.75)}66%{animation-timing-function:cubic-bezier(0.302435, 0.381352, 0.55, 0.956352);transform:translateX(calc(-4% - 32px)) translateY(-34.75px) scale(0.75)}100%{transform:translateX(calc(0 - 32px)) translateY(-34.75px) scale(0.75)}}[dir=rtl] .mdc-text-field--with-leading-icon.mdc-text-field--outlined .mdc-floating-label--shake,.mdc-text-field--with-leading-icon.mdc-text-field--outlined[dir=rtl] .mdc-floating-label--shake{animation:mdc-floating-label-shake-float-above-text-field-outlined-leading-icon 250ms 1}@keyframes mdc-floating-label-shake-float-above-text-field-outlined-leading-icon-rtl{0%{transform:translateX(calc(0 - -32px)) translateY(-34.75px) scale(0.75)}33%{animation-timing-function:cubic-bezier(0.5, 0, 0.701732, 0.495819);transform:translateX(calc(4% - -32px)) translateY(-34.75px) scale(0.75)}66%{animation-timing-function:cubic-bezier(0.302435, 0.381352, 0.55, 0.956352);transform:translateX(calc(-4% - -32px)) translateY(-34.75px) scale(0.75)}100%{transform:translateX(calc(0 - -32px)) translateY(-34.75px) scale(0.75)}}.mdc-text-field--with-trailing-icon{padding-left:16px;padding-right:0}[dir=rtl] .mdc-text-field--with-trailing-icon,.mdc-text-field--with-trailing-icon[dir=rtl]{padding-left:0;padding-right:16px}.mdc-text-field--with-trailing-icon.mdc-text-field--filled .mdc-floating-label{max-width:calc(100% - 64px)}.mdc-text-field--with-trailing-icon.mdc-text-field--filled .mdc-floating-label--float-above{max-width:calc(100% / 0.75 - 64px / 0.75)}.mdc-text-field--with-trailing-icon.mdc-text-field--outlined :not(.mdc-notched-outline--notched) .mdc-notched-outline__notch{max-width:calc(100% - 60px)}.mdc-text-field--with-leading-icon.mdc-text-field--with-trailing-icon{padding-left:0;padding-right:0}.mdc-text-field--with-leading-icon.mdc-text-field--with-trailing-icon.mdc-text-field--filled .mdc-floating-label{max-width:calc(100% - 96px)}.mdc-text-field--with-leading-icon.mdc-text-field--with-trailing-icon.mdc-text-field--filled .mdc-floating-label--float-above{max-width:calc(100% / 0.75 - 96px / 0.75)}.mdc-text-field-helper-line{display:flex;justify-content:space-between;box-sizing:border-box}.mdc-text-field+.mdc-text-field-helper-line{padding-right:16px;padding-left:16px}.mdc-form-field>.mdc-text-field+label{align-self:flex-start}.mdc-text-field--focused:not(.mdc-text-field--disabled) .mdc-floating-label{color:rgba(98, 0, 238, 0.87)}.mdc-text-field--focused .mdc-notched-outline__leading,.mdc-text-field--focused .mdc-notched-outline__notch,.mdc-text-field--focused .mdc-notched-outline__trailing{border-width:2px}.mdc-text-field--focused+.mdc-text-field-helper-line .mdc-text-field-helper-text:not(.mdc-text-field-helper-text--validation-msg){opacity:1}.mdc-text-field--focused.mdc-text-field--outlined .mdc-notched-outline--notched .mdc-notched-outline__notch{padding-top:2px}.mdc-text-field--focused.mdc-text-field--outlined.mdc-text-field--textarea .mdc-notched-outline--notched .mdc-notched-outline__notch{padding-top:0}.mdc-text-field--invalid:not(.mdc-text-field--disabled):hover .mdc-line-ripple::before{border-bottom-color:#b00020;border-bottom-color:var(--mdc-theme-error, #b00020)}.mdc-text-field--invalid:not(.mdc-text-field--disabled) .mdc-line-ripple::after{border-bottom-color:#b00020;border-bottom-color:var(--mdc-theme-error, #b00020)}.mdc-text-field--invalid:not(.mdc-text-field--disabled) .mdc-floating-label{color:#b00020;color:var(--mdc-theme-error, #b00020)}.mdc-text-field--invalid:not(.mdc-text-field--disabled).mdc-text-field--invalid+.mdc-text-field-helper-line .mdc-text-field-helper-text--validation-msg{color:#b00020;color:var(--mdc-theme-error, #b00020)}.mdc-text-field--invalid .mdc-text-field__input{caret-color:#b00020;caret-color:var(--mdc-theme-error, #b00020)}.mdc-text-field--invalid:not(.mdc-text-field--disabled) .mdc-text-field__icon--trailing{color:#b00020;color:var(--mdc-theme-error, #b00020)}.mdc-text-field--invalid:not(.mdc-text-field--disabled) .mdc-line-ripple::before{border-bottom-color:#b00020;border-bottom-color:var(--mdc-theme-error, #b00020)}.mdc-text-field--invalid:not(.mdc-text-field--disabled) .mdc-notched-outline__leading,.mdc-text-field--invalid:not(.mdc-text-field--disabled) .mdc-notched-outline__notch,.mdc-text-field--invalid:not(.mdc-text-field--disabled) .mdc-notched-outline__trailing{border-color:#b00020;border-color:var(--mdc-theme-error, #b00020)}.mdc-text-field--invalid:not(.mdc-text-field--disabled):not(.mdc-text-field--focused):hover .mdc-notched-outline .mdc-notched-outline__leading,.mdc-text-field--invalid:not(.mdc-text-field--disabled):not(.mdc-text-field--focused):hover .mdc-notched-outline .mdc-notched-outline__notch,.mdc-text-field--invalid:not(.mdc-text-field--disabled):not(.mdc-text-field--focused):hover .mdc-notched-outline .mdc-notched-outline__trailing{border-color:#b00020;border-color:var(--mdc-theme-error, #b00020)}.mdc-text-field--invalid:not(.mdc-text-field--disabled).mdc-text-field--focused .mdc-notched-outline__leading,.mdc-text-field--invalid:not(.mdc-text-field--disabled).mdc-text-field--focused .mdc-notched-outline__notch,.mdc-text-field--invalid:not(.mdc-text-field--disabled).mdc-text-field--focused .mdc-notched-outline__trailing{border-color:#b00020;border-color:var(--mdc-theme-error, #b00020)}.mdc-text-field--invalid+.mdc-text-field-helper-line .mdc-text-field-helper-text--validation-msg{opacity:1}.mdc-text-field--disabled{pointer-events:none}.mdc-text-field--disabled .mdc-text-field__input{color:rgba(0, 0, 0, 0.38)}@media all{.mdc-text-field--disabled .mdc-text-field__input::placeholder{color:rgba(0, 0, 0, 0.38)}}@media all{.mdc-text-field--disabled .mdc-text-field__input:-ms-input-placeholder{color:rgba(0, 0, 0, 0.38)}}.mdc-text-field--disabled .mdc-floating-label{color:rgba(0, 0, 0, 0.38)}.mdc-text-field--disabled+.mdc-text-field-helper-line .mdc-text-field-helper-text{color:rgba(0, 0, 0, 0.38)}.mdc-text-field--disabled .mdc-text-field-character-counter,.mdc-text-field--disabled+.mdc-text-field-helper-line .mdc-text-field-character-counter{color:rgba(0, 0, 0, 0.38)}.mdc-text-field--disabled .mdc-text-field__icon--leading{color:rgba(0, 0, 0, 0.3)}.mdc-text-field--disabled .mdc-text-field__icon--trailing{color:rgba(0, 0, 0, 0.3)}.mdc-text-field--disabled .mdc-text-field__affix--prefix{color:rgba(0, 0, 0, 0.38)}.mdc-text-field--disabled .mdc-text-field__affix--suffix{color:rgba(0, 0, 0, 0.38)}.mdc-text-field--disabled .mdc-line-ripple::before{border-bottom-color:rgba(0, 0, 0, 0.06)}.mdc-text-field--disabled .mdc-notched-outline__leading,.mdc-text-field--disabled .mdc-notched-outline__notch,.mdc-text-field--disabled .mdc-notched-outline__trailing{border-color:rgba(0, 0, 0, 0.06)}@media screen and (forced-colors: active),(-ms-high-contrast: active){.mdc-text-field--disabled .mdc-text-field__input::placeholder{color:GrayText}}@media screen and (forced-colors: active),(-ms-high-contrast: active){.mdc-text-field--disabled .mdc-text-field__input:-ms-input-placeholder{color:GrayText}}@media screen and (forced-colors: active),(-ms-high-contrast: active){.mdc-text-field--disabled .mdc-floating-label{color:GrayText}}@media screen and (forced-colors: active),(-ms-high-contrast: active){.mdc-text-field--disabled+.mdc-text-field-helper-line .mdc-text-field-helper-text{color:GrayText}}@media screen and (forced-colors: active),(-ms-high-contrast: active){.mdc-text-field--disabled .mdc-text-field-character-counter,.mdc-text-field--disabled+.mdc-text-field-helper-line .mdc-text-field-character-counter{color:GrayText}}@media screen and (forced-colors: active),(-ms-high-contrast: active){.mdc-text-field--disabled .mdc-text-field__icon--leading{color:GrayText}}@media screen and (forced-colors: active),(-ms-high-contrast: active){.mdc-text-field--disabled .mdc-text-field__icon--trailing{color:GrayText}}@media screen and (forced-colors: active),(-ms-high-contrast: active){.mdc-text-field--disabled .mdc-text-field__affix--prefix{color:GrayText}}@media screen and (forced-colors: active),(-ms-high-contrast: active){.mdc-text-field--disabled .mdc-text-field__affix--suffix{color:GrayText}}@media screen and (forced-colors: active),(-ms-high-contrast: active){.mdc-text-field--disabled .mdc-line-ripple::before{border-bottom-color:GrayText}}@media screen and (forced-colors: active),(-ms-high-contrast: active){.mdc-text-field--disabled .mdc-notched-outline__leading,.mdc-text-field--disabled .mdc-notched-outline__notch,.mdc-text-field--disabled .mdc-notched-outline__trailing{border-color:GrayText}}@media screen and (forced-colors: active){.mdc-text-field--disabled .mdc-text-field__input{background-color:Window}.mdc-text-field--disabled .mdc-floating-label{z-index:1}}.mdc-text-field--disabled .mdc-floating-label{cursor:default}.mdc-text-field--disabled.mdc-text-field--filled{background-color:#fafafa}.mdc-text-field--disabled.mdc-text-field--filled .mdc-text-field__ripple{display:none}.mdc-text-field--disabled .mdc-text-field__input{pointer-events:auto}.mdc-text-field--end-aligned .mdc-text-field__input{text-align:right}[dir=rtl] .mdc-text-field--end-aligned .mdc-text-field__input,.mdc-text-field--end-aligned .mdc-text-field__input[dir=rtl]{text-align:left}[dir=rtl] .mdc-text-field--ltr-text .mdc-text-field__input,[dir=rtl] .mdc-text-field--ltr-text .mdc-text-field__affix,.mdc-text-field--ltr-text[dir=rtl] .mdc-text-field__input,.mdc-text-field--ltr-text[dir=rtl] .mdc-text-field__affix{direction:ltr}[dir=rtl] .mdc-text-field--ltr-text .mdc-text-field__affix--prefix,.mdc-text-field--ltr-text[dir=rtl] .mdc-text-field__affix--prefix{padding-left:0;padding-right:2px}[dir=rtl] .mdc-text-field--ltr-text .mdc-text-field__affix--suffix,.mdc-text-field--ltr-text[dir=rtl] .mdc-text-field__affix--suffix{padding-left:12px;padding-right:0}[dir=rtl] .mdc-text-field--ltr-text .mdc-text-field__icon--leading,.mdc-text-field--ltr-text[dir=rtl] .mdc-text-field__icon--leading{order:1}[dir=rtl] .mdc-text-field--ltr-text .mdc-text-field__affix--suffix,.mdc-text-field--ltr-text[dir=rtl] .mdc-text-field__affix--suffix{order:2}[dir=rtl] .mdc-text-field--ltr-text .mdc-text-field__input,.mdc-text-field--ltr-text[dir=rtl] .mdc-text-field__input{order:3}[dir=rtl] .mdc-text-field--ltr-text .mdc-text-field__affix--prefix,.mdc-text-field--ltr-text[dir=rtl] .mdc-text-field__affix--prefix{order:4}[dir=rtl] .mdc-text-field--ltr-text .mdc-text-field__icon--trailing,.mdc-text-field--ltr-text[dir=rtl] .mdc-text-field__icon--trailing{order:5}[dir=rtl] .mdc-text-field--ltr-text.mdc-text-field--end-aligned .mdc-text-field__input,.mdc-text-field--ltr-text.mdc-text-field--end-aligned[dir=rtl] .mdc-text-field__input{text-align:right}[dir=rtl] .mdc-text-field--ltr-text.mdc-text-field--end-aligned .mdc-text-field__affix--prefix,.mdc-text-field--ltr-text.mdc-text-field--end-aligned[dir=rtl] .mdc-text-field__affix--prefix{padding-right:12px}[dir=rtl] .mdc-text-field--ltr-text.mdc-text-field--end-aligned .mdc-text-field__affix--suffix,.mdc-text-field--ltr-text.mdc-text-field--end-aligned[dir=rtl] .mdc-text-field__affix--suffix{padding-left:2px}.mdc-text-field-helper-text{-moz-osx-font-smoothing:grayscale;-webkit-font-smoothing:antialiased;font-family:Roboto, sans-serif;font-family:var(--mdc-typography-caption-font-family, var(--mdc-typography-font-family, Roboto, sans-serif));font-size:0.75rem;font-size:var(--mdc-typography-caption-font-size, 0.75rem);line-height:1.25rem;line-height:var(--mdc-typography-caption-line-height, 1.25rem);font-weight:400;font-weight:var(--mdc-typography-caption-font-weight, 400);letter-spacing:0.0333333333em;letter-spacing:var(--mdc-typography-caption-letter-spacing, 0.0333333333em);text-decoration:inherit;text-decoration:var(--mdc-typography-caption-text-decoration, inherit);text-transform:inherit;text-transform:var(--mdc-typography-caption-text-transform, inherit);display:block;margin-top:0;line-height:normal;margin:0;opacity:0;will-change:opacity;transition:opacity 150ms 0ms cubic-bezier(0.4, 0, 0.2, 1)}.mdc-text-field-helper-text::before{display:inline-block;width:0;height:16px;content:"";vertical-align:0}.mdc-text-field-helper-text--persistent{transition:none;opacity:1;will-change:initial}.mdc-text-field-character-counter{-moz-osx-font-smoothing:grayscale;-webkit-font-smoothing:antialiased;font-family:Roboto, sans-serif;font-family:var(--mdc-typography-caption-font-family, var(--mdc-typography-font-family, Roboto, sans-serif));font-size:0.75rem;font-size:var(--mdc-typography-caption-font-size, 0.75rem);line-height:1.25rem;line-height:var(--mdc-typography-caption-line-height, 1.25rem);font-weight:400;font-weight:var(--mdc-typography-caption-font-weight, 400);letter-spacing:0.0333333333em;letter-spacing:var(--mdc-typography-caption-letter-spacing, 0.0333333333em);text-decoration:inherit;text-decoration:var(--mdc-typography-caption-text-decoration, inherit);text-transform:inherit;text-transform:var(--mdc-typography-caption-text-transform, inherit);display:block;margin-top:0;line-height:normal;margin-left:auto;margin-right:0;padding-left:16px;padding-right:0;white-space:nowrap}.mdc-text-field-character-counter::before{display:inline-block;width:0;height:16px;content:"";vertical-align:0}[dir=rtl] .mdc-text-field-character-counter,.mdc-text-field-character-counter[dir=rtl]{margin-left:0;margin-right:auto}[dir=rtl] .mdc-text-field-character-counter,.mdc-text-field-character-counter[dir=rtl]{padding-left:0;padding-right:16px}.mdc-text-field__icon{align-self:center;cursor:pointer}.mdc-text-field__icon:not([tabindex]),.mdc-text-field__icon[tabindex="-1"]{cursor:default;pointer-events:none}.mdc-text-field__icon svg{display:block}.mdc-text-field__icon--leading{margin-left:16px;margin-right:8px}[dir=rtl] .mdc-text-field__icon--leading,.mdc-text-field__icon--leading[dir=rtl]{margin-left:8px;margin-right:16px}.mdc-text-field__icon--trailing{padding:12px;margin-left:0px;margin-right:0px}[dir=rtl] .mdc-text-field__icon--trailing,.mdc-text-field__icon--trailing[dir=rtl]{margin-left:0px;margin-right:0px}.material-icons{font-family:var(--mdc-icon-font, "Material Icons");font-weight:normal;font-style:normal;font-size:var(--mdc-icon-size, 24px);line-height:1;letter-spacing:normal;text-transform:none;display:inline-block;white-space:nowrap;word-wrap:normal;direction:ltr;-webkit-font-smoothing:antialiased;text-rendering:optimizeLegibility;-moz-osx-font-smoothing:grayscale;font-feature-settings:"liga"}:host{display:inline-flex;flex-direction:column;outline:none}.mdc-text-field{width:100%}.mdc-text-field:not(.mdc-text-field--disabled) .mdc-line-ripple::before{border-bottom-color:rgba(0, 0, 0, 0.42);border-bottom-color:var(--mdc-text-field-idle-line-color, rgba(0, 0, 0, 0.42))}.mdc-text-field:not(.mdc-text-field--disabled):hover .mdc-line-ripple::before{border-bottom-color:rgba(0, 0, 0, 0.87);border-bottom-color:var(--mdc-text-field-hover-line-color, rgba(0, 0, 0, 0.87))}.mdc-text-field.mdc-text-field--disabled .mdc-line-ripple::before{border-bottom-color:rgba(0, 0, 0, 0.06);border-bottom-color:var(--mdc-text-field-disabled-line-color, rgba(0, 0, 0, 0.06))}.mdc-text-field.mdc-text-field--invalid:not(.mdc-text-field--disabled) .mdc-line-ripple::before{border-bottom-color:#b00020;border-bottom-color:var(--mdc-theme-error, #b00020)}.mdc-text-field__input{direction:inherit}mwc-notched-outline{--mdc-notched-outline-border-color: var( --mdc-text-field-outlined-idle-border-color, rgba(0, 0, 0, 0.38) )}:host(:not([disabled]):hover) :not(.mdc-text-field--invalid):not(.mdc-text-field--focused) mwc-notched-outline{--mdc-notched-outline-border-color: var( --mdc-text-field-outlined-hover-border-color, rgba(0, 0, 0, 0.87) )}:host(:not([disabled])) .mdc-text-field:not(.mdc-text-field--outlined){background-color:var(--mdc-text-field-fill-color, whitesmoke)}:host(:not([disabled])) .mdc-text-field.mdc-text-field--invalid mwc-notched-outline{--mdc-notched-outline-border-color: var( --mdc-text-field-error-color, var(--mdc-theme-error, #b00020) )}:host(:not([disabled])) .mdc-text-field.mdc-text-field--invalid+.mdc-text-field-helper-line .mdc-text-field-character-counter,:host(:not([disabled])) .mdc-text-field.mdc-text-field--invalid .mdc-text-field__icon{color:var(--mdc-text-field-error-color, var(--mdc-theme-error, #b00020))}:host(:not([disabled])) .mdc-text-field:not(.mdc-text-field--invalid):not(.mdc-text-field--focused) .mdc-floating-label,:host(:not([disabled])) .mdc-text-field:not(.mdc-text-field--invalid):not(.mdc-text-field--focused) .mdc-floating-label::after{color:var(--mdc-text-field-label-ink-color, rgba(0, 0, 0, 0.6))}:host(:not([disabled])) .mdc-text-field.mdc-text-field--focused mwc-notched-outline{--mdc-notched-outline-stroke-width: 2px}:host(:not([disabled])) .mdc-text-field.mdc-text-field--focused:not(.mdc-text-field--invalid) mwc-notched-outline{--mdc-notched-outline-border-color: var( --mdc-text-field-focused-label-color, var(--mdc-theme-primary, rgba(98, 0, 238, 0.87)) )}:host(:not([disabled])) .mdc-text-field.mdc-text-field--focused:not(.mdc-text-field--invalid) .mdc-floating-label{color:#6200ee;color:var(--mdc-theme-primary, #6200ee)}:host(:not([disabled])) .mdc-text-field .mdc-text-field__input{color:var(--mdc-text-field-ink-color, rgba(0, 0, 0, 0.87))}:host(:not([disabled])) .mdc-text-field .mdc-text-field__input::placeholder{color:var(--mdc-text-field-label-ink-color, rgba(0, 0, 0, 0.6))}:host(:not([disabled])) .mdc-text-field-helper-line .mdc-text-field-helper-text:not(.mdc-text-field-helper-text--validation-msg),:host(:not([disabled])) .mdc-text-field-helper-line:not(.mdc-text-field--invalid) .mdc-text-field-character-counter{color:var(--mdc-text-field-label-ink-color, rgba(0, 0, 0, 0.6))}:host([disabled]) .mdc-text-field:not(.mdc-text-field--outlined){background-color:var(--mdc-text-field-disabled-fill-color, #fafafa)}:host([disabled]) .mdc-text-field.mdc-text-field--outlined mwc-notched-outline{--mdc-notched-outline-border-color: var( --mdc-text-field-outlined-disabled-border-color, rgba(0, 0, 0, 0.06) )}:host([disabled]) .mdc-text-field:not(.mdc-text-field--invalid):not(.mdc-text-field--focused) .mdc-floating-label,:host([disabled]) .mdc-text-field:not(.mdc-text-field--invalid):not(.mdc-text-field--focused) .mdc-floating-label::after{color:var(--mdc-text-field-disabled-ink-color, rgba(0, 0, 0, 0.38))}:host([disabled]) .mdc-text-field .mdc-text-field__input,:host([disabled]) .mdc-text-field .mdc-text-field__input::placeholder{color:var(--mdc-text-field-disabled-ink-color, rgba(0, 0, 0, 0.38))}:host([disabled]) .mdc-text-field-helper-line .mdc-text-field-helper-text,:host([disabled]) .mdc-text-field-helper-line .mdc-text-field-character-counter{color:var(--mdc-text-field-disabled-ink-color, rgba(0, 0, 0, 0.38))}`;let be=class TextField extends TextFieldBase{};be.styles=[ve],be=(0,l.gn)([(0,d.M)("mwc-textfield")],be);r(1732);var xe=r(7924),we=r(5862),Se=r(8973),_e=r(8810),Ee=r(2188),Me=r(5889),Te=r(4262),Ce=r(4915),Ae=r(7098),ke=(r(4759),r(1165)),Oe=r(9410),Ie=r(3506);const Re=we.iv`#global-settings-holder {
  width: 0;
  height: 0;
  z-index: 4;
  position: fixed;
}

#overlay {
  background: rgba(4, 29, 51, .47);
  width: 100vw;
  height: 100vh;
  top: 0;
  left: 0;
  transition: opacity 250ms;
}

#overlay.hide {
  opacity: 0;
  visibility: hidden;
}

#global-settings {
  position: absolute;
  top: 12vh;
  left: 10vw;
  height: 80vh;
  width: 80vw;
  box-sizing: border-box;
  background-color: white;
  box-shadow: var(--lit-box-shadow);
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

#global-settings.hide {
  display: none;
}

#holder {
  display: flex;
  height: calc(100% - 64px);
}

#title-bar {
  font-family: 'Google Sans', sans;
  border-bottom: 1px solid #dadce0;
  font-size: 24px;
  line-height: 32px;
  padding: 16px;
  display:flex;
  align-items:center;
  column-gap: 4;
}

#sidebar {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  width: 293px;
  border-right: 1px solid #dadce0;
}

#links {
  font-family: 'Google Sans', sans;
  display: flex;
  justify-content: center;
  color: grey;
  border-top: 1px solid #dadce0;
  height: 60px;
  align-items: center;
}

a {
  color: var(--app-dark-text-color);
  text-decoration: none;
}

a.link-out {
  color: #888;
  padding: 0 7px;
}

a:hover {
  opacity: 0.5;
}

.tab{
  font-family: 'Google Sans', sans;
  padding: 16px;
  height: 16px;
  border-top-right-radius: 32px;
  border-bottom-right-radius: 32px;
  margin: 8px;
  margin-left: 0;
  cursor: pointer;
}
.tab:hover {
  background: #f4fcfe;
  color: #129eaf;
}
.tab.selected {
  background: #e4f7fb;
  color: #129eaf
}

#main-panel {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  width: 100%;
  min-width: 0;
}

#bottombar {
  display: flex;
  justify-content: space-between;
  border-top: 1px solid #dadce0;
  height: 60px;
  align-items: center;
  padding: 0 32px;
}

#state {
  font-size: 12px;
  color: #888;
}
.info {
  color: #098591;
}

#buttons-container,
#buttons {
  display: flex;
  align-items: center;
}

.checkbox {
  width: 48px;
  height: 48px;
  display: flex;
  justify-content: center;
  align-items: center;
}

#bottom-message {
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 7px;
}

#config {
  display: flex;
  flex-direction: column;
  height: 100%;
  flex: 1;
  min-height: 0;
}

.config-list {
  border: 1px solid #dadce0;
  flex: 1 1;
  margin: 16px;
  overflow-y: scroll;
}

.config-line {
  width: 100%;
  min-width: max-content;
  border-bottom: 1px solid #dadce0;
  display: flex;
  justify-content: space-between;
  gap: 4px;
  align-items: center;
  min-width: 0;
}

.config-line.selected {
  background: #e4f7fb;
}
.config-line.disabled mwc-formfield,
.config-line.disabled .description-preview,
.config-line.disabled .status{
  opacity: 0.5;
}
.config-line:hover {
  background: #f4fcfe;
}

.rows-title {
  display: flex;
}

.expander {
  cursor: pointer;
}

.left-offset {
  margin-left: 53px;
}

.model-dataset-loading {
  flex: 1 1;
  margin: 0 16px;
  width: calc(100% - 24pt);
}

.model-dataset-loading .controls {
  border: 1px solid var(--lit-neutral-300);
  display: flex;
  flex-grow: 1;
  flex-direction: row;
  padding: 16px;
}

.model-dataset-loading .controls .actions {
  align-items: end;
  row-gap: 4px;
}

.model-dataset-loading .controls .actions,
.model-dataset-loading .controls .selector {
  display: flex;
  flex-direction: column;
  flex-shrink: 0;
}

.model-dataset-loading .controls .options {
  display: flex;
  flex-direction: column;
  flex-grow: 1;
  height: 100%;
  max-height: 100%;
  overflow-y: scroll;
  padding: 0 16px;
  row-gap: 8px;
}

.model-dataset-loading .controls .options .option-entry {
  align-items: center;
  column-gap: 4px;
  display: flex;
  flex-direction: row;
}

/* The first child of .options is always the new_name field, which is special */
.model-dataset-loading .controls .options .option-entry:first-child {
  border-bottom: 1px solid var(--lit-neutral-300);
  padding-bottom: 8px;
}

.model-dataset-loading .controls .options .option-entry label {
  flex: 0 0 200px;
}

.model-dataset-loading .controls .options .option-entry lit-input-field {
  flex-grow: 1;
}

.model-dataset-loading .controls .options .option-entry.missing label {
  color: var(--google-red-500);
  font-weight: bold;
}

.model-dataset-loading .header {
  color: var(--lit-neutral-700);
  font-size: 16px;
  margin-bottom: 16px;
}

#bottombar .status-area {
  color: var(--google-red-500);
}

.expanded-info {
  display: flex;
  max-height: 0;
  background: #f8f9fa;
  overflow: hidden;
  font-size: 11px;
  color: #3c4043;
  box-sizing: border-box;
}

.datapoints-line {
  width: 100%;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
}

.datapoints-label-holder {
  flex: 1;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
  margin-left: 16px;
}

.datapoints-file-input {
  flex: 1;
  height: 22px;
  margin-left: 8px;
  margin-right: 4px;
}

.expanded-info.open {
  gap: 4px;
  padding: 6px 6px 6px 0;
  max-height: 25vh;
  border-bottom: 1px solid #dadce0;
}

.expanded-info > * {
  overflow-y: auto;
}

.expanded-info mwc-icon {
  font-size: 10pt !important;
}

.info-group-title {
  text-transform: uppercase;
  padding-top: 8px;
  padding-bottom: 4px;
}

.info-group-title:first-child {
  padding-top: 0px;
}

.info-group-subtitle {
  font-style: italic;
}

.info-line {
  text-overflow: ellipsis;
  overflow: hidden;
}

.indent-line {
  padding-left: 7px;
  border-left: 1px solid #dadce0;
}

.error {
  color: #c5221f !important;
}

.config-title {
  font-family: 'Google Sans', sans;
  font-size: 1.5rem;
  padding: 16px 16px 0 16px;
  margin-bottom: 4px;
}

.description {
  padding: 0 16px 0 16px;
  color: #888;
}

/**
 * Undo marked's handling of line breaks and restore normal whitespace handling.
 * This gives much better formatting of descriptions that were designed to be
 * readable in plaintext / code comments:
 * - Single newlines don't get <p> tags, but are preserved by pre-wrap.
 * - Double newlines get <p> tags from marked(), so we strip the extra margins
 *   and let pre-wrap handle the line break instead.
 */
.description-text {
  white-space: pre-wrap;
}
.description-text > p {
  margin-block: 0;
}

.status {
  padding: 0 16px;
  color: #888;
  display: flex;
  align-items: center;
}

.status.selected {
  color: #129eaf;
}
.status mwc-icon {
  padding-right: 5px;
}

.prev-next-buttons {
  margin: 16px 12px; /* 12px acounts for .hairline-button margin */
}

button mwc-icon {
  font-size: 16px;
}

button.next {
  float: right;
}

button.prev {
  float: left;
}

.one-col {
  width: 33%;
  flex: 1;
  white-space: nowrap;
  text-overflow: ellipsis;
}

.two-col {
  width: 66%;
  flex: 2;
  display: flex;
  flex-direction: column;
}

.fixed-third-col {
  width: 33%;
  min-width: 33%;
}

.flex-col {
  flex: 1;
}

.status-col {
  margin-left: 8px;
  margin-right: 8px;
  display: flex;
  flex-direction: row;
  justify-content: flex-end;
  align-items: center;
}

#configure-lit-icon {
  margin-left: 8px;
}
`,Pe="new_name";function Le(t){const n={};for(const[r,l]of Object.entries(t))null!=l.default&&(n[r]=l.default);return n}let De=class GlobalSettingsComponent extends xe.G{constructor(){super(...arguments),this.isOpen=!1,this.apiService=Ie.l.getService(Oe.sM),this.appState=Ie.l.getService(Oe.aB),this.settingsService=Ie.l.getService(Oe.gb),this.selectedDataset="",this.selectedLayout="",this.modelCheckboxValues=new Map,this.selectedTab="Models",this.openModelKeys=new Set,this.openDatasetKeys=new Set,this.openLayoutKeys=new Set,this.loadingCallConfig={},this.missingCallConfigFields=[]}static get styles(){return[Me.W,Re]}get loadableDatasets(){const{datasets:t}=this.appState.metadata.initSpecs;return Object.entries(t).filter((([t,n])=>null!=n)).map((([t,n])=>t))}get loadableModels(){const{models:t}=this.appState.metadata.initSpecs;return Object.entries(t).filter((([t,n])=>null!=n)).map((([t,n])=>t))}get selectedModels(){return[...this.modelCheckboxValues.entries()].filter((([,t])=>t)).map((([t])=>t))}open(){this.initializeLocalState(),this.requestUpdate(),this.isOpen=!0,this.resetLoadingCallConfig()}resetLoadingCallConfig(){let t;if("Dataset"===this.selectedTab){const n=this.datasetToLoad||this.loadableDatasets[0];t=this.appState.metadata.initSpecs.datasets[n]}else if("Models"===this.selectedTab){const n=this.modelToLoad||this.loadableModels[0];t=this.appState.metadata.initSpecs.models[n]}null!=t&&(this.loadingCallConfig=Le(t))}close(){this.isOpen=!1}initializeLocalState(){this.modelCheckboxValues.clear(),Object.keys(this.appState.metadata.models).filter((t=>!t.startsWith("_"))).forEach((t=>{this.modelCheckboxValues.set(t,!1)})),this.appState.currentModels.forEach((t=>{this.modelCheckboxValues.set(t,!0)})),this.selectedDataset=this.appState.currentDataset,this.selectedLayout=this.appState.layoutName}submitSettings(){const t=this.selectedModels,n=this.selectedDataset,r=this.selectedLayout;this.settingsService.updateSettings({models:t,dataset:n,layoutName:r})}render(){const t=(0,_e.$)({hide:!this.isOpen});return we.dy`
      <div id="global-settings-holder">
        <div id="overlay" class=${t}
         @click=${()=>{this.close()}}></div>
        <div id="global-settings" class=${t}>
        <div id="title-bar">
          Configure LIT

          <lit-tooltip content="Go to reference">
            <a slot="tooltip-anchor" target='_blank'
              href='https://pair-code.github.io/lit/documentation/ui_guide.md#global-settings'>
            <mwc-icon class="icon-button large-icon" id="configure-lit-icon">
              open_in_new
            </mwc-icon>
            </a>
          </lit-tooltip>
        </div>
        <div id="holder">
          <div id="sidebar">
            ${this.renderTabs()}
            ${this.renderLinks()}
          </div>
          <div id="main-panel">
            ${this.renderConfig()}
            ${this.renderBottomBar()}
          </div>
        </div>
        </div>
      </div>
    `}renderTabs(){const t=t=>{const n=(0,_e.$)({tab:!0,selected:this.selectedTab===t});return we.dy`<div class=${n} @click=${()=>{this.selectedTab=t,this.resetLoadingCallConfig()}}>${t}</div>`};return we.dy`
    <div id="tabs">
      ${["Models","Dataset","Layout"].map((n=>t(n)))}
    </div>
    `}renderLinks(){return we.dy`
    <div id="links">
      <a href=${"https://github.com/PAIR-code/lit"} class='link-out' target="_blank">
        Github
      </a>
      •
      <a href=${"https://pair-code.github.io/lit/tutorials"} class='link-out' target="_blank">
        Help & Tutorials
      </a>
    </div>
    `}renderBottomBar(){const t=0===this.selectedModels.length,n=this.settingsService.isDatasetValidForModels(this.selectedDataset,this.selectedModels),r=(0,_e.$)({info:!0,disabled:!this.selectedModels.length,error:t}),l=this.selectedModels.length?this.selectedModels.join(", "):"No models selected",d=(0,_e.$)({info:!0,error:!n});return we.dy`
    <div id="bottombar">
      <div id="state">
        <div> selected model(s):
          <span class=${r}> ${l} </span>
        </div>
        <div> selected dataset:
          <span class=${d}>
            ${(0,Ce.h6)(this.selectedDataset)}
          </span>
        </div>
      </div>
      <div class="status-area">
        ${this.status}
        ${null!=this.status?"See error in lower left corner.":""}
      </div>
      <div> ${this.renderButtons(t,n)} </div>
    </div>
  `}renderButtons(t,n){const r=()=>{this.selectedTab="Models",this.close()},l=t||!n;return we.dy`
      <div id="buttons-container">
        <div id="buttons">
          <button class="hairline-button" @click=${r}>Cancel</button>
          <button class="filled-button"
                  ?disabled=${l}
                  @click=${()=>{this.submitSettings(),r()}}>
            Submit
          </button>
        </div>
      </div>
    `}renderConfig(){const t=this.selectedTab,n="Models"===t?this.renderModelsConfig():"Dataset"===t?this.renderDatasetConfig():this.renderLayoutConfig();return we.dy`
    <div id="config">
      ${n}
    </div>
    `}renderModelsConfig(){const t=[...this.modelCheckboxValues.keys()],n=t=>{const n=!0===this.modelCheckboxValues.get(t),r=this.openModelKeys.has(t),l=we.dy`
          <mwc-formfield label=${t}>
            <lit-checkbox
              class='checkbox'
              ?checked=${n}
              @change=${n=>{if(this.modelCheckboxValues.set(t,n.target.checked),!this.settingsService.isDatasetValidForModels(this.selectedDataset,this.selectedModels)){this.selectedDataset=Ce._X;const t=Object.keys(this.appState.metadata.datasets);for(const n of t)if(this.settingsService.isDatasetValidForModels(n,this.selectedModels)){this.selectedDataset=n;break}}}}></lit-checkbox>
          </mwc-formfield>
      `,d=Object.keys(this.appState.metadata.datasets),h=this.appState.getModelSpec(t).output,p=we.dy`
        <div class='info-group-title'>
          Dataset Compatibility
        </div>
        ${d.map((n=>{const r=this.settingsService.isDatasetValidForModels(n,[t]),l=!r&&this.selectedDataset===n,d=(0,_e.$)({compatible:r,error:l,"info-line":!0}),h=r?"check":l?"warning_amber":"clear";return we.dy`
            <div class=${d}>
              <span class='material-icon'>${h}</span>
              ${(0,Ce.h6)(n)}
            </div>`}))}
        <div class='info-group-title'>
          Output Fields
        </div>
        ${Object.keys(h).map((t=>we.dy`
            <div class='info-line'>
              ${t} (${h[t].name})
            </div>`))}
      `,f=this.appState.metadata.models[t].description;return this.renderLine(t,l,n,!1,r,(()=>{this.toggleInSet(this.openModelKeys,t)}),!1,p,f)},r=t.map((t=>n(t))),d=we.dy`${this.nextPrevButton("Dataset",!0)}`,h=this.modelToLoad||this.loadableModels[0],p=this.appState.metadata.initSpecs.models[h],f=this.appState.metadata.demoMode||null==h||null==p?we.dy``:this.renderLoader("Model",this.loadableModels,h,p,(t=>{this.modelToLoad=t.target.value;const n=this.appState.metadata.initSpecs.models[this.modelToLoad];null!=n&&(this.loadingCallConfig=Le(n))}),(()=>(0,l.mG)(this,void 0,void 0,(function*(){if(this.missingCallConfigFields=(0,Ae.XH)(this.loadingCallConfig,p),this.status=this.missingCallConfigFields.length?"Missing required model initialization parameters.":void 0,this.missingCallConfigFields.length)return;let t;this.status=void 0;try{t=yield this.apiService.createModel(h,this.loadingCallConfig)}catch(t){this.status="Unable to load model."}if(null==t)return;const[n,r]=t;null!=p&&(this.loadingCallConfig=Le(p)),this.appState.metadata=n,this.appState.currentModels.push(r),this.initializeLocalState()}))));return this.renderConfigPage("Models","Select models to explore in LIT.",r,d,f)}renderDatasetConfig(){const t=Object.keys(this.appState.metadata.datasets),n=t=>{const n=(0,Ce.h6)(t),r=this.selectedDataset===t,l=!this.settingsService.isDatasetValidForModels(t,this.selectedModels),d=this.openDatasetKeys.has(t),h=we.dy`
            <mwc-formfield label=${n}>
              <mwc-radio
                name="dataset"
                class="select-dataset"
                data-dataset=${n}
                ?checked=${r}
                ?disabled=${l}
                @change=${()=>{this.selectedDataset=t}}>
              </mwc-radio>
            </mwc-formfield>
      `,p=this.appState.metadata.datasets[t],f=[...this.modelCheckboxValues.keys()],m=we.dy`
        <div class='info-group-title'>
          ${p.size} datapoint${1!==p.size?"s":""}
        </div>
        <div class='info-group-title'>
          Features
        </div>
        ${Object.keys(p.spec).map((t=>we.dy`
            <div class='info-line'>
              ${t} (${p.spec[t].name})
            </div>`))}
        <div class='info-group-title'>
          Model Compatibility
        </div>
        ${f.map((n=>{const r=this.settingsService.isDatasetValidForModels(t,[n]),l=!r&&this.selectedModels.includes(n),d=(0,_e.$)({compatible:r,error:l,"info-line":!0}),h=r?"check":l?"warning_amber":"clear";return we.dy`
        <div class=${d}>
          <span class='material-icon'>${h}</span>
          ${n}
        </div>`}))}
      `,g=this.appState.metadata.datasets[t].description;return this.renderLine(t,h,r,l,d,(()=>{this.toggleInSet(this.openDatasetKeys,t)}),!0,m,g)},r=t.map((t=>n(t))),d=we.dy`
      ${this.nextPrevButton("Models",!1)}
      ${this.nextPrevButton("Layout",!0)}
    `,h=this.datasetToLoad||this.loadableDatasets[0],p=this.appState.metadata.initSpecs.datasets[h],f=this.appState.metadata.demoMode||null==h||null==p?we.dy``:this.renderLoader("Dataset",this.loadableDatasets,h,p,(t=>{this.datasetToLoad=t.target.value;const n=this.appState.metadata.initSpecs.datasets[this.datasetToLoad];null!=n&&(this.loadingCallConfig=Le(n))}),(()=>(0,l.mG)(this,void 0,void 0,(function*(){if(this.missingCallConfigFields=(0,Ae.XH)(this.loadingCallConfig,p),this.status=this.missingCallConfigFields.length?"Missing required dataset initialization parameters.":void 0,this.missingCallConfigFields.length)return;let t;try{t=yield this.apiService.createDataset(h,this.loadingCallConfig)}catch(t){this.status="Unable to load dataset"}if(null==t)return;const[n,r]=t;null!=p&&(this.loadingCallConfig=Le(p)),this.appState.metadata=n,this.selectedDataset=r}))));return this.renderConfigPage("Dataset","Select a compatible dataset to use with the selected models.",r,d,f)}renderLoader(t,n,r,l,d,h){const p=Object.entries(this.loadingCallConfig).map((([t,n])=>{var r;return t===Pe?!n:(null===(r=l[t])||void 0===r?void 0:r.default)===n})).reduce(((t,n)=>t&&n),!0),f=!this.loadingCallConfig[Pe],m=Object.entries(l).length?Object.entries(Object.assign({[Pe]:new Te.Su},l)).map((([t,n])=>{const r=this.loadingCallConfig[t],l=(0,_e.$)({missing:this.missingCallConfigFields.includes(t),"option-entry":!0});return we.dy`<div class=${l}>
          <label>${t}:</label>
          <lit-input-field @change=${n=>{const{value:r}=n.target;this.loadingCallConfig[t]=r}} .type=${n}
            .value=${r} fill-container>
          </lit-input-field>
        </div>`})):`${t} '${r}' does not support configurable loading.`;return we.dy`<div class="model-dataset-loading">
      <div class="header">Load a new ${t.toLowerCase()}</div>
      <div class="controls">
        <div class="selector">
          <label for="model-dataset-select">
            Select a base ${t.toLowerCase()}
          </label>
          <select class="dropdown"
            id="model-dataset-select" name="model-dataset-select"
            @change=${t=>{d(t)}} value=${r}>
            ${n.map((t=>we.dy`<option value=${t} ?selected=${t===r}>
                ${t}
              </option>`))}
          </select>
        </div>
        <div class="options">${m}</div>
        <div class="actions">
          <lit-tooltip tooltipPosition="left"
                      content=${f?'Provide a value for "new_name" to load':""}>
            <button class="filled-button" slot="tooltip-anchor" @click=${h}
                    ?disabled=${f}>
              Load ${t}
            </button>
          </lit-tooltip>
          <button class="hairline-button" @click=${()=>{this.resetLoadingCallConfig()}}
                  ?disabled=${p}>
            Reset
          </button>
        </div>
      </div>
    </div>`}renderLayoutConfig(){const t=Object.keys(this.appState.layouts),n=t=>{const n=Object.entries(t);return 0===n.length?we.dy`<div class='info-group'>
          <div class="info-group-subtitle">Unused in this layout</div>
        </div>`:n.map((([t,n])=>we.dy`
          <div class='info-group'>
            <div class='info-group-subtitle'>
              ${t}
            </div>
            ${n.map((t=>we.dy`
              <div class='indent-line'>
                ${(0,ke.m)(t).title}
              </div>`))}
          </div>`))},r=t=>{const r=this.selectedLayout===t,l=we.dy`
            <mwc-formfield label=${t}>
              <mwc-radio
                name="layouts"
                ?checked=${r}
                @change=${()=>this.selectedLayout=t}>
              </mwc-radio>
            </mwc-formfield>
            `,d=this.openLayoutKeys.has(t),h=this.selectedLayout===t,{description:p,left:f,lower:m,upper:g}=this.appState.layouts[t],y=we.dy`
            <div class='info-group-title'>Left</div>
            ${n(f)}
            <div class='info-group-title'>Upper</div>
            ${n(g)}
            <div class='info-group-title'>Lower</div>
            ${n(m)}
          `;return this.renderLine(t,l,h,!1,d,(()=>{this.toggleInSet(this.openLayoutKeys,t)}),!1,y,p||"")},l=t.map((t=>r(t))),d=we.dy`${this.nextPrevButton("Dataset",!1)}`;return this.renderConfigPage("Layout","Use a preset layout to optimize your workflow",l,d)}renderStatus(t=!0,n=!1){const r=t?"check_circle":n?"warning_amber":"check_circle_outline",l=t?"Selected":n?"Incompatible":"Compatible",d=(0,_e.$)({status:!0,selected:t,error:n});return we.dy`
    <div class=${d}>
      <mwc-icon>
        ${r}
      </mwc-icon>
      ${l}
    </div>`}renderLine(t,n,r,l,d,h,p,f,m=""){const g=d?"expand_less":"expand_more",y=(0,_e.$)({"config-line":!0,selected:r,disabled:l}),v=m.split("\n")[0],b=(0,Ae.Xo)(v),x=(0,Ae.Xo)(m),w=(0,_e.$)({"expanded-info":!0,open:d}),S=p?this.renderStatus(r,l):"";return we.dy`
      <div class=${y}>
        <div class='fixed-third-col'>
          ${n}
        </div>
        <div class='flex-col description-preview'>
          ${b}
        </div>
        <div class='status-col'>
          ${S}
          <div class=expander>
            <mwc-icon @click=${h}>
              ${g}
            </mwc-icon>
          </div>
        </div>
      </div>
      <div class=${w}>
        <div class='one-col'>
          <div class='left-offset'>
            ${f}
          </div>
        </div>
        <div class='two-col'>
          <div class=info-group-title> Description </div>
          <div class='description-text'>${x}</div>
        </div>
      </div>
    `}toggleInSet(t,n){t.has(n)?t.delete(n):t.add(n)}nextPrevButton(t,n=!0){const r=n?"east":"west",l=(0,_e.$)({"hairline-button":!0,[n?"next":"prev"]:!0});return we.dy`
     <button class=${l} @click=${()=>{this.selectedTab=t,this.resetLoadingCallConfig()}}>
      <span class='material-icon'>${r}</span>
      ${t}
    </button>
    `}renderConfigPage(t,n,r,l,d){return we.dy`
      <div class="config-title">${t}</div>
      <div class="description"> ${n} </div>
      <div class="config-list">
        ${r}
      </div>
      ${d}
      <div class='prev-next-buttons'>${l} </div>
    `}firstUpdated(){document.addEventListener("keydown",(t=>{"Escape"===t.key&&this.close()}))}};(0,l.gn)([(0,Se.Cb)({type:Boolean}),(0,l.w6)("design:type",Object)],De.prototype,"isOpen",void 0),(0,l.gn)([Ee.LO,(0,l.w6)("design:type",Object)],De.prototype,"selectedDataset",void 0),(0,l.gn)([Ee.LO,(0,l.w6)("design:type",Object)],De.prototype,"selectedLayout",void 0),(0,l.gn)([Ee.LO,(0,l.w6)("design:type",Object)],De.prototype,"modelCheckboxValues",void 0),(0,l.gn)([Ee.LO,(0,l.w6)("design:type",String)],De.prototype,"selectedTab",void 0),(0,l.gn)([Ee.LO,(0,l.w6)("design:type",String)],De.prototype,"status",void 0),(0,l.gn)([Ee.LO,(0,l.w6)("design:type",Set)],De.prototype,"openModelKeys",void 0),(0,l.gn)([Ee.LO,(0,l.w6)("design:type",Set)],De.prototype,"openDatasetKeys",void 0),(0,l.gn)([Ee.LO,(0,l.w6)("design:type",Set)],De.prototype,"openLayoutKeys",void 0),(0,l.gn)([Ee.LO,(0,l.w6)("design:type",String)],De.prototype,"datasetToLoad",void 0),(0,l.gn)([Ee.LO,(0,l.w6)("design:type",String)],De.prototype,"modelToLoad",void 0),(0,l.gn)([Ee.LO,(0,l.w6)("design:type",Object)],De.prototype,"loadingCallConfig",void 0),(0,l.gn)([Ee.LO,(0,l.w6)("design:type",Array)],De.prototype,"missingCallConfigFields",void 0),(0,l.gn)([Ee.Fl,(0,l.w6)("design:type",Array),(0,l.w6)("design:paramtypes",[])],De.prototype,"loadableDatasets",null),(0,l.gn)([Ee.Fl,(0,l.w6)("design:type",Array),(0,l.w6)("design:paramtypes",[])],De.prototype,"loadableModels",null),(0,l.gn)([Ee.Fl,(0,l.w6)("design:type",Object),(0,l.w6)("design:paramtypes",[])],De.prototype,"selectedModels",null),(0,l.gn)([Ee.aD,(0,l.w6)("design:type",Function),(0,l.w6)("design:paramtypes",[]),(0,l.w6)("design:returntype",void 0)],De.prototype,"initializeLocalState",null),(0,l.gn)([Ee.aD,(0,l.w6)("design:type",Function),(0,l.w6)("design:paramtypes",[]),(0,l.w6)("design:returntype",void 0)],De.prototype,"submitSettings",null),De=(0,l.gn)([(0,Se.Mo)("lit-global-settings")],De)},2345:(t,n,r)=>{"use strict";var l=r(7582),d=(r(8596),r(8384),r(6265),r(7924)),h=r(8973),p=r(5862),f=r(9410),m=r(3506);const g=p.iv`:host {
  height: 100vh;
  overflow: hidden;
  display: flex;
  flex-direction: column;
  --app-drawer-width: 256px;
  --app-primary-color: rgb(171, 241, 248);
  --app-secondary-color: rgb(7, 163, 186);
  --app-dark-color: rgb(5, 30, 37);
  --app-dark-text-color: var(--app-secondary-color);
  --app-light-text-color: white;
  --app-section-even-color: #f7f7f7;
  --app-section-odd-color: white;
}

.page {
  display: none;
}

.page[active] {
  display: block;
}
`;let y=class AppComponent extends d.G{constructor(){super(...arguments),this.appState=m.l.getService(f.aB)}static get styles(){return[g]}render(){return p.dy`
      <lit-app-toolbar></lit-app-toolbar>
      <!-- Main content -->
      ${this.appState.initialized?p.dy`<lit-modules></lit-modules>`:null}
      <lit-app-statusbar></lit-app-statusbar>
    `}};y=(0,l.gn)([(0,h.Mo)("lit-app")],y)},9604:(t,n,r)=>{"use strict";r.d(n,{p:()=>LitModule});var l=r(7582),d=r(5862),h=r(8973),p=r(2188),f=r(9537),m=r(4915),g=r(9410),y=r(3506);class LitModule extends f.f{constructor(){super(...arguments),this.setIsLoading=t=>{},this.onSyncScroll=null,this.model="",this.selectionServiceIndex=0,this.latestLoadPromises=new Map,this.apiService=y.l.getService(g.sM),this.appState=y.l.getService(g.aB)}get selectionService(){return y.l.getServiceArray(g.z2)[this.selectionServiceIndex]}updated(){const t=this.shadowRoot.querySelectorAll(`.${m.SU}`);for(const n of t)n.onscroll=()=>{var t;null===(t=this.onSyncScroll)||void 0===t||t.call(this,n.scrollTop,n.scrollLeft)}}render(){if(0!==this.shouldReact)return this.renderImpl()}renderImpl(){return d.dy``}loadLatest(t,n){return(0,l.mG)(this,void 0,void 0,(function*(){this.latestLoadPromises.set(t,n),this.setIsLoading(!0);const r=yield n;return this.latestLoadPromises.get(t)===n?(this.setIsLoading(!1),this.latestLoadPromises.delete(t),r):null}))}static shouldDisplayModule(t,n){return!0}}LitModule.title="",LitModule.infoMarkdown="",LitModule.numCols=4,LitModule.collapseByDefault=!1,LitModule.duplicateForExampleComparison=!1,LitModule.duplicateForModelComparison=!0,LitModule.duplicateAsRow=!1,LitModule.template=()=>d.dy``,(0,l.gn)([(0,h.Cb)({type:Object}),(0,l.w6)("design:type",Function)],LitModule.prototype,"setIsLoading",void 0),(0,l.gn)([(0,h.Cb)({type:Object}),(0,l.w6)("design:type",Function)],LitModule.prototype,"onSyncScroll",void 0),(0,l.gn)([(0,h.Cb)({type:String}),(0,l.w6)("design:type",Object)],LitModule.prototype,"model",void 0),(0,l.gn)([p.LO,(0,h.Cb)({type:Number}),(0,l.w6)("design:type",Object)],LitModule.prototype,"selectionServiceIndex",void 0),(0,l.gn)([p.Fl,(0,l.w6)("design:type",Object),(0,l.w6)("design:paramtypes",[])],LitModule.prototype,"selectionService",null)},5450:(t,n,r)=>{"use strict";var l=r(7582),d=(r(8684),r(1764),r(7924)),h=r(5862),p=r(8973),f=r(8810),m=r(3196),g=r(2188),y=(r(2473),r(5889)),v=r(7098),b=r(9410),x=r(3506);const w=h.iv`/**
 * Padding and margins attempt to match the offsets of the left-
 * and right-most visual elements in the main app toolbar.
 */
.toolbar {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  align-items: center;
  justify-content: space-between;
  padding-left: 5px;
  padding-right: 5px;
}

.toolbar button {
  margin-top: 0;
  margin-bottom: 0;
}

.main-toolbar {
  box-shadow: var(--lit-box-shadow);
  background-color: white;
  border-bottom: 1px solid #dadce0;
  min-height: 36px;
}

.togglable-toolbar-holder {
  background-color: white;
  width: fit-content; /* set to 100% to span page */
  border: 1px solid;
  border-radius: 3px;
  border-color: rgb(218, 220, 224);
  position: absolute;
}

.slice-container {
  width: 300px;
  height: 300px;
}

#slice-toolbar-container {
  right: 0; /* remove to span page */
}

#left-container {
  display: flex;
  font-family: Roboto;
  font-size: 14px;
}

#right-container {
  display: flex;
  flex-direction: row;
  align-items: center;
  margin: 4px;
  max-height: 24px; /** To avoid page jumps when selections happen. **/
  font-family: Roboto;
  font-size: 14px;
}

#button-holder-right {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: flex-end;
  flex-grow: 2;
  margin: 4px;
}

.selection-status-group {
  display: flex;
  flex-direction: row;
  align-items: center;
  margin-left: 4px;
}

/* For in-line icons in a <span> */
[data-icon] {
  margin: 0;
}

[data-icon]:before {
  font-family: 'Material Icons';
  content: attr(data-icon);
  vertical-align: middle;
}

.toolbar-holder {
  position: relative;
}

.toggle-example-comparison {
  font-family: Roboto;
  font-size: 14px;
  color: #3C4043;
  cursor: pointer;
  padding: 3px 8px;
  user-select: none;
}

.text-disabled {
  color: rgba(60, 64, 67, 0.38);
}

.compare-container {
  display: flex;
  width: 200px;
  height:100%;
}

.compare-tooltip {
  position: absolute;
  left: 372px;
  width: 256px;
  top: 75px;
  font-family: Roboto;
  font-size: 12px;
  background: rgba(32, 33, 36, 0.9);
  border-radius: 4px;
  font-size: 12px;
  color: #FFFFFF;
  display: flex;
}

.tooltip-icon {
  --mdc-icon-size: 20px;
  margin-top: 6px;
  margin-left: 10px;
}

.tooltip-text {
  margin: 8px 12px;
}

#compare-switch {
  margin-top: 6px;
}

#primary-text {
  text-align: right;
}

#number-selected {
}

#select-random-icon {
  vertical-align: middle;
}

#select-random-text {
  vertical-align: middle;
}

#num-selected-text {
  min-width: 10px;
  text-align: right;
  display: inline-block;
}

.pin-button {
  width: 190px;
}

.pin-button-content {
  display: flex;
  width: 100%;
}

.pin-button-text {
  flex-grow: 1;
  text-align: center;
}
`;let S=class LitMainMenu extends d.G{constructor(){super(...arguments),this.appState=x.l.getService(b.aB),this.selectionService=x.l.getService(b.z2),this.sliceService=x.l.getService(b.qG),this.colorService=x.l.getService(b.x4)}static get styles(){return[y.W,w]}findAllParents(){return(0,v.xH)(this.selectionService.selectedIds.map((t=>this.appState.getAncestry(t))))}findAllChildren(){const t=new Set(this.selectionService.selectedIds);for(const n of this.appState.currentInputData)for(const r of this.appState.getAncestry(n.id))this.selectionService.isIdSelected(r)&&t.add(n.id);return[...t]}selectRelated(){this.selectionService.selectIds([...this.findAllParents(),...this.findAllChildren()])}getSelectItems(){const t=()=>{},n=this.findAllParents().length>1,r=this.findAllChildren().length>1,l=n||r,d=this.selectionService.selectedIds.length>0;return[{itemText:"Random",displayIcon:!1,menu:[],onClick:()=>{const t=(0,v.rO)(0,this.appState.currentInputData.length),n=this.appState.currentInputData[t].id;this.selectionService.selectIds([n])},disabled:!1},{itemText:"All related",displayIcon:!1,menu:[],onClick:l?()=>{this.selectRelated()}:t,disabled:!l},{itemText:"Parents",displayIcon:!1,menu:[],onClick:n?()=>{this.selectionService.selectIds([...this.findAllParents()])}:t,disabled:!n},{itemText:"Children",displayIcon:!1,menu:[],onClick:r?()=>{this.selectionService.selectIds([...this.findAllChildren()])}:t,disabled:!r},this.getSliceItem(),{itemText:"Clear selection",displayIcon:!1,menu:[],onClick:()=>{this.selectionService.selectIds([])},disabled:!d}]}getColorOptionItems(){return this.colorService.colorableOptions.map((t=>{const n=t.name===this.colorService.selectedColorOption.name;return{itemText:t.name,displayIcon:n,menu:[],onClick:()=>{this.colorService.selectedColorOptionName=t.name},disabled:!1}}))}getSliceItem(){return{itemText:"Slices",displayIcon:!1,menu:Array.from(this.sliceService.namedSlices.keys()).map((t=>{const n=this.sliceService.selectedSliceName===t;return{itemText:t,displayIcon:n,menu:[],onClick:()=>{this.sliceService.selectNamedSlice(t)},disabled:!1}})),onClick:()=>{},disabled:!1}}getMenuData(){const t=new Map;return t.set("Select datapoint",this.getSelectItems()),t.set("Color by",this.getColorOptionItems()),t}render(){return h.dy`<lit-menu-toolbar .menuData=${this.getMenuData()}></lit-menu-toolbar>`}};S=(0,l.gn)([(0,p.Mo)("lit-main-menu")],S);let _=class LitMainToolbar extends d.G{constructor(){super(...arguments),this.appState=x.l.getService(b.aB),this.pinnedSelectionService=x.l.getService(b.z2,"pinned"),this.selectionService=x.l.getService(b.z2)}static get styles(){return[y.W,w]}get selectedIdPairs(){return this.selectionService.selectedOrAllInputData.filter((t=>t.meta.parentId)).map((t=>[t.id,t.meta.parentId]))}renderLuckyButton(){return h.dy`
      <button id='select-random-button' class='hairline-button xl'
        @click=${()=>{const t=(0,v.rO)(0,this.appState.currentInputData.length),n=this.appState.currentInputData[t].id;this.selectionService.selectIds([n])}}>
        <span id='select-random-text'>Select random</span>
      </button>
    `}renderDatapointNavigation(){const t=this.appState.currentInputData.length,n=this.selectionService.primarySelectedId;let r=this.appState.currentInputData.findIndex((t=>t.id===n)),l="datapoints",d=l=>{const d=null==n?0:(r+l+t)%t,h=this.appState.currentInputData[d].id;this.selectionService.selectIds([h])};const p=this.selectionService.selectedIds.length;p>1&&null!==n&&(r=this.selectionService.selectedIds.findIndex((t=>t===n)),l="selected",d=t=>{const n=(r+t+p)%p,l=this.selectionService.selectedIds[n];this.selectionService.setPrimarySelection(l)});const m=(0,f.$)({"icon-button":!0});return h.dy`
      <mwc-icon class=${m} id='ds-select-prev'
        @click=${()=>{d(-1)}}>
        chevron_left
      </mwc-icon>
      <div id='number-selected'>
        <span id='num-selected-text'>${p}</span> of <span>${t}</span> ${l}
      </div>
      <mwc-icon class=${m} id='ds-select-next'
        @click=${()=>{d(1)}}>
        chevron_right
      </mwc-icon>
    `}renderSlices(){const t=(0,m.V)({"--popup-top":"4px"});return h.dy`
    <popup-container style=${t}>
      <button class='hairline-button xl' slot='toggle-anchor-closed'>
        <span class='material-icon-outlined'>dataset</span>
        &nbsp;Slices&nbsp;
        <span class='material-icon'>expand_more</span>
      </button>
      <button class='hairline-button xl' slot='toggle-anchor-open'>
          <span class='material-icon-outlined'>dataset</span>
          &nbsp;Slices&nbsp;
          <span class='material-icon'>expand_less</span>
        </button>
      <div class='slice-container'>
        <lit-slice-module model="unused" shouldReact=1 selectionServiceIndex=0>
        </lit-slice-module>
      </div>
    </popup-container>
    `}renderPairControls(){const t=this.selectedIdPairs;if(0===t.length)return null;const n=x.l.getService(b.z2,"pinned"),r=[this.selectionService.primarySelectedId,n.primarySelectedId],l=r.map((t=>null!=t?this.appState.indicesById.get(t):null)),d=r.includes(null)?-1:t.findIndex((t=>0===(0,v.Rt)(t,r))),p=-1!==d,f=t.length,m=r=>{this.appState.compareExamplesEnabled=!0;const l=t[((p?d:0)+r+f)%f];0===this.selectionService.selectedIds.length&&this.selectionService.selectIds((0,v.xH)(t)),this.selectionService.setPrimarySelection(l[0]),n.setPrimarySelection(l[1])};return h.dy`
      <div id='pair-controls' class='selection-status-group'>
        ${f} ${1===f?"pair":"pairs"} available
        <mwc-icon class='icon-button' id='select-prev'
          @click=${()=>{m(-1)}}>
          chevron_left
        </mwc-icon>
        <mwc-icon class='icon-button mdi-outlined' id='select-random'
          @click=${()=>{m((0,v.rO)(1,f))}}>
          casino
        </mwc-icon>
        <mwc-icon class='icon-button' id='select-next'
          @click=${()=>{m(1)}}>
          chevron_right
        </mwc-icon>
        ${p?h.dy`[${l[1]}, ${l[0]}] selected`:null}
      </div>
    `}render(){const t=this.selectionService.selectedIds.length,n=this.selectionService.primarySelectedId,r=null==n?-1:this.appState.indicesById.get(n);let l=-1;this.appState.compareExamplesEnabled&&this.pinnedSelectionService.primarySelectedId&&(l=this.appState.indicesById.get(this.pinnedSelectionService.primarySelectedId));const d=this.appState.compareExamplesEnabled?`Unpin datapoint ${l}`:null==n?"Pin selected datapoint":`Pin datapoint ${r}`,p=!this.appState.compareExamplesEnabled&&null==n,m=(0,f.$)({"material-icon":!0,"span-outlined":!this.appState.compareExamplesEnabled}),g=(0,f.$)({"hairline-button":!0,xl:!0,"pin-button":!0,active:this.appState.compareExamplesEnabled});return h.dy`
    <div class='toolbar main-toolbar'>
      <div id='left-container'>
        <lit-main-menu></lit-main-menu>
        ${this.renderSlices()}
        <button class="${g}"
                ?disabled=${p} @click=${()=>{this.pinnedSelectionService.primarySelectedId?(this.pinnedSelectionService.selectIds([]),this.appState.compareExamplesEnabled=!1):n&&(this.pinnedSelectionService.selectIds([n]),this.appState.compareExamplesEnabled=!0)}}>
          <div class="pin-button-content">
            <span class="${m}">push_pin</span>
            <div class="pin-button-text">${d}</div>
          </div>
        </button>
        ${this.renderPairControls()}
      </div>
      <div id='right-container'>
        ${this.renderDatapointNavigation()}
        <button id="select-all" class="hairline-button xl"
          @click=${()=>{const t=this.appState.currentInputData.map((t=>t.id));this.selectionService.selectIds(t)}}>
          Select all
        </button>
        ${this.renderLuckyButton()}
        <button id="clear-selection" class="hairline-button xl"
          @click=${()=>{this.selectionService.selectIds([])}}
          ?disabled="${0===t}">
          Clear selection
        </button>
      </div>
    </div>
    `}};(0,l.gn)([g.Fl,(0,l.w6)("design:type",Object),(0,l.w6)("design:paramtypes",[])],_.prototype,"selectedIdPairs",null),_=(0,l.gn)([(0,p.Mo)("lit-main-toolbar")],_)},6265:(t,n,r)=>{"use strict";var l=r(7582),d=(r(1764),r(5862)),h=r(8973),p=r(8810),f=r(3196),m=r(2188),g=r(9537),y=r(5889),v=(r(1165),r(9410)),b=r(3506),x=r(9604);const w=d.iv`:host {
  --left-column-width: calc(50% - 4px);
  --tab-bar-height: 32px;
  /* 5x LitWidget.header.height */
  --right-column-min-section-content-height: 180px;

  flex: 1;
  display: flex;
  flex-direction: column;
  background: #f5f9fa;
  max-height: calc(100hv - 77px);   /* lit-app-bar is 77px tall */
}

.outer-container {
  display: flex;
  flex-direction: row;
  height: 100%;
  max-height: 100%;
  /* full-width, overflow if window is < 1000px */
  min-width: 1000px;
  max-width: 100vw;
  padding: 0 16px;
  overflow: hidden;
}

.outer-container-centered {
  align-self: center;
  /* 1000px wide unless window is narrower */
  width: 100vw;
  min-width: unset;
  max-width: 1000px;
}

#left-column,
#right-column {
  position: relative;
  height: 100%;
  max-height: 100%;

  display: flex;
  flex-direction: column;
  overflow: hidden;
}

#left-column {
  flex-shrink: 0;
  min-width: 20%;
  width: var(--left-column-width);
  max-width: 80%;
}

#right-column {
  flex-grow: 1;
}

.group-area {
  position: relative;
  display: flex;
  flex-direction: column;
  background-color: var(--lit-mintonal-p-1);
}

#upper-right {
  --upper-tab-bar-height: calc(
    var(--upper-tab-bar-visible) * var(--tab-bar-height)
  );
  min-height: calc(
    var(--right-column-min-section-content-height) + var(--upper-tab-bar-height)
  );
  height: var(--upper-height);
  max-height: var(--upper-height);
}

#lower-right {
  flex-grow: 1;
  min-height: calc(
    var(--right-column-min-section-content-height) + var(--tab-bar-height)
  );
  max-height: calc(100% - var(--upper-height));
  margin-top: 8px;
}

.components-group-holder {
  --top-offset: var(--tab-bar-height);
  position: absolute;
  top: var(--top-offset);
  overflow: hidden; /* no scrollbars, for they are the path to the dark side */
  display: flex;
  flex-grow: 1;
  visibility: hidden;
  height: calc(100% - var(--top-offset));
  max-height: calc(100% - var(--top-offset));
  width: 100%;
  max-width: 100%;
  padding: 8px 0;
  box-sizing: border-box;
}

#left-column .components-group-holder {
  --top-offset: calc(var(--left-tab-bar-visible) * var(--tab-bar-height));
}

#upper-right .components-group-holder {
  --top-offset: var(--upper-tab-bar-height);
}

.components-group-holder.selected {
  visibility: visible;
}

lit-widget-group {
  padding: 0;
  box-sizing: border-box;
}

lit-widget-group[maximized] {
  padding: 0;
}

.expander {
  background: transparent;
  flex-shrink: 0;
  height: 100%;
  min-width: 8px;
  width: 8px;
}

.expander-drag-target{
  background: transparent;
  width: 100%;
  height:100%;
  opacity: 0;
}

.tab-bar {
  --bar-button-offset: 0;

  height: var(--tab-bar-height);
  padding: 0 8px;

  display: flex;
  flex-direction: row;
  align-items: center;

  color: var(--lit-neutral-700);
  background: white;
  border: 1px solid var(--lit-neutral-300);
}

.tab-bar .preset-buttons {
  height: 100%;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
}

.tab-bar .preset-buttons .icon-button[disabled] {
  color: var(--lit-neutral-500);
}

#drag-container{
  height: 100%;
  margin: 0 24px;

  display: flex;
  align-items: center;
}

#drag-handler {
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  cursor: ns-resize;
}

.tabs-container {
  height: 100%;
  max-width: 100%;
  padding: 2px 0;

  display: flex;
  flex-direction: row;
  flex-grow: 1;
  align-items: end; /* bottom */

  font-size: 12px;
}

#center-bar .tabs-container {
  /* 120 = 48 for preset buttons + 3 * 24 for the drag handle and its margin. */
  max-width: calc(100% - 120px);
}

.tab {
  font-family: 'Google Sans', sans;
  border-bottom: 2px solid #dadce0;
  box-sizing: border-box;
  cursor: pointer;
  padding: 4px 16px;
  text-align: center;
  white-space: nowrap;
}

.tab:hover{
  background: #eee;
}

.tab.selected {
  font-weight: bold;
  border-bottom: 2px solid rgb(47, 140, 155);
  color: rgb(47, 140, 155);
}

.drag-icon {
  pointer-events: none;
}
`;var S=r(5108);const _="calc(50% - 8px)",E="calc(50% - 4px)";let T=class LitModules extends g.f{constructor(){super(...arguments),this.appState=b.l.getService(v.aB),this.modulesService=b.l.getService(v.s7),this.upperHeight=E,this.leftColumnWidth=_,this.leftLayoutWidths={},this.lowerLayoutWidths={},this.upperLayoutWidths={},this.upperGroupHeightPresets=Object.seal({lower:"0",split:E,upper:"100%"}),this.resizeObserver=new ResizeObserver((()=>{const t=this.modulesService.getRenderLayout();this.calculateAllWidths(t);const n=this.shadowRoot.querySelector(".outer-container"),{top:r,height:l}=n.getBoundingClientRect();n.style.setProperty("--top-toolbar-offset",`${r}px`),n.style.setProperty("--modules-area-height",`${l}px`)}))}static get styles(){return[y.W,w]}connectedCallback(){super.connectedCallback(),this.modulesService.setRenderModulesCallback((()=>{this.requestUpdate()})),this.reactImmediately((()=>this.modulesService.getSetting("mainHeight")),(t=>{null!=t&&(this.upperHeight=`${t}%`)})),document.addEventListener("keydown",(t=>{if("Escape"===t.key)for(const t of this.shadowRoot.querySelectorAll("lit-widget-group[maximized]"))t.removeAttribute("maximized")}))}firstUpdated(){this.react((()=>this.modulesService.getRenderLayout()),(t=>{this.calculateAllWidths(t)}));const t=this.shadowRoot.querySelector("#upper-right");this.resizeObserver.observe(t)}calculateAllWidths(t){this.calculateWidths(t.upper,this.upperLayoutWidths),this.calculateWidths(t.lower,this.lowerLayoutWidths),this.calculateWidths(t.left,this.leftLayoutWidths,"left-column")}calculateWidths(t,n,r="right-column"){for(const l of Object.keys(t))n[l]=[],this.calculatePanelWidths(l,t[l],n,r)}numColsForConfig(t){const n=t.moduleType.numCols;return t.moduleType.duplicateAsRow&&t.moduleType.duplicateForModelComparison?Math.max(1,this.appState.currentModels.length)*n:n}calculatePanelWidths(t,n,r,l="right-column"){const d=this.shadowRoot.querySelector(`#${l}`);if(!d)return void S.error(`Container with id=${l} not in DOM`);const h=n.reduce(((t,n)=>t+(this.modulesService.isModuleGroupHidden(n[0])?1:0)),0),p=d.getBoundingClientRect().width-36*h-8*(n.length-1),f=n.reduce(((t,n)=>{if(this.modulesService.isModuleGroupHidden(n[0]))return t;const r=n.map((t=>this.numColsForConfig(t)));return t+Math.max(...r)}),0);let m=0;for(let l=0;l<n.length;l++){const d=n[l],h=d.map((t=>this.numColsForConfig(t))),g=Math.max(...h)/f;r[t][l]=Math.round(g*p),this.modulesService.isModuleGroupHidden(d[0])||(m+=r[t][l])}for(let l=n.length-1;l>=0;l--)if(!this.modulesService.isModuleGroupHidden(n[l][0])){r[t][l]+=p-m;break}}disconnectedCallback(){super.disconnectedCallback(),this.modulesService.setRenderModulesCallback((()=>{}))}updated(){this.shadowRoot.querySelectorAll("lit-widget").forEach((t=>{const n=t.children[0];n instanceof x.p&&(n.setIsLoading=n=>{t.isLoading=n})}))}render(){const t=(0,p.$)({"outer-container":!0,"outer-container-centered":Boolean(this.modulesService.getSetting("centerPage"))}),{upper:n,lower:r,left:l}=this.modulesService.getRenderLayout(),h=Object.keys(n),m=Object.keys(r),g=Object.keys(l),y=g.length>1||h.length>1,v=m.length>0,{upper:b,lower:x,left:w}=this.modulesService.selectedTabs,S=-1!==h.indexOf(b)?b:h[0],E=-1!==m.indexOf(x)?x:m[0],T=-1!==g.indexOf(w)?w:g[0],C=t=>{this.modulesService.selectedTabs.lower=t},A=v?this.upperHeight:this.upperGroupHeightPresets.upper,O=(0,f.V)({"--upper-height":A,"--upper-tab-bar-visible":`${Number(y)}`,"--left-tab-bar-visible":`${Number(y)}`}),I=(0,f.V)({"--left-column-width":this.leftColumnWidth});return d.dy`
      <div id="outer-container" class=${t} style=${O}>
        ${g.length>0?d.dy`<div id="left-column" class="group-area"
              style=${I}>
              ${y?this.renderTabBar(g,T,(t=>{this.modulesService.selectedTabs.left=t})):null}
              ${this.renderComponentGroups(l,T,this.leftLayoutWidths,"widget-group-left","left-column")}
            </div>
            <div class="expander" style="cursor: ew-resize; width: 16px;">
              <div class="expander-drag-target" draggable="true"
                @drag=${t=>{t.stopPropagation(),t.preventDefault();const{clientX:n}=t;null!=n&&n>0&&(this.leftColumnWidth=n-20+"px")}}
                @dblclick=${t=>{t.stopPropagation(),t.preventDefault(),this.leftColumnWidth=_}}></div>
            </div>`:null}
        <div id="right-column">
          <div id="upper-right" class="group-area">
            ${y?this.renderTabBar(h,S,(t=>{this.modulesService.selectedTabs.upper=t})):null}
            ${this.renderComponentGroups(n,S,this.upperLayoutWidths,"widget-group-upper")}
          </div>
          ${v?d.dy`<div id="lower-right" class="group-area">
                ${(()=>{const{lower:t,split:n,upper:r}=this.upperGroupHeightPresets;return d.dy`<div class='tab-bar' id='center-bar'>
        <div class='tabs-container'>
          ${this.renderTabs(m,E,C)}
        </div>
        <div id='drag-container'>
          <div id='drag-handler' draggable='true'
              @drag=${t=>{this.onBarDragged(t)}}>
              <mwc-icon class="drag-icon">drag_handle</mwc-icon>
          </div>
        </div>
        <div class="preset-buttons">
          <lit-tooltip content="Maximize lower area" tooltipPosition="left">
            <mwc-icon class="icon-button" slot="tooltip-anchor"
                      ?disabled=${t===this.upperHeight}
                      @click=${()=>{this.setUpperHeight("lower")}}>
              vertical_align_top
            </mwc-icon>
          </lit-tooltip>
          <lit-tooltip content="Split screen" tooltipPosition="left">
            <mwc-icon class="icon-button" slot="tooltip-anchor"
                      ?disabled=${n===this.upperHeight}
                      @click=${()=>{this.setUpperHeight("split")}}>
              vertical_align_center
            </mwc-icon>
          </lit-tooltip>
          <lit-tooltip content="Maximize upper area" tooltipPosition="left">
            <mwc-icon class="icon-button" slot="tooltip-anchor"
                      ?disabled=${r===this.upperHeight}
                      @click=${()=>{this.setUpperHeight("upper")}}>
              vertical_align_bottom
            </mwc-icon>
          </lit-tooltip>
        </div>
      </div>`})()}
                ${this.renderComponentGroups(r,E,this.lowerLayoutWidths,"widget-group-lower")}
              </div>`:null}
        </div>
      </div>`}setUpperHeight(t){this.upperHeight=this.upperGroupHeightPresets[t]}onBarDragged(t){t.stopPropagation(),t.preventDefault();const{clientY:n}=t;if(0===n)return;if(!this.shadowRoot.getElementById("outer-container"))return;const r=window.innerHeight-24-77-212-8,l=n-77-17-8,d=l>r?r:l<212?0:l;this.upperHeight=`${d}px`}renderComponentGroups(t,n,r,l,h="right-column"){return Object.keys(t).map(((f,m)=>{const g=n===f,y=(0,p.$)({"components-group-holder":!0,selected:g});return d.dy`<div class=${y}>
        ${this.renderWidgetGroups(t[f],f,r,`${l}-${m}`,g,h)}
      </div>`}))}renderTabs(t,n,r){return t.map((t=>{const l=(0,p.$)({selected:n===t,tab:!0});return d.dy`<div class=${l} @click=${n=>{n.preventDefault(),n.stopPropagation(),r(t),this.requestUpdate()}}>${t}</div>`}))}renderTabBar(t,n,r){return d.dy`<div class='tab-bar'>
      <div class='tabs-container'>
        ${this.renderTabs(t,n,r)}
      </div>
    </div>`}renderWidgetGroups(t,n,r,l,h,p="right-column"){const m=()=>{this.calculatePanelWidths(n,t,r,p)},g=t.length>1;return t.map(((p,y)=>{const v=r[n]?r[n][y]:0,b=y===t.length-1,x=`${l}-${y}`;let w=-1;for(let n=y+1;n<t.length;n++)if(!this.modulesService.isModuleGroupHidden(t[n][0])){w=n;break}const S=w>y&&!this.modulesService.isModuleGroupHidden(p[0]),_=(0,f.V)({cursor:S?"ew-resize":"default"}),E=t=>{if(b||!S||this.modulesService.isModuleGroupHidden(p[0]))return;const l=this.shadowRoot.querySelector(`#${x}`).getBoundingClientRect().left,d=Math.round(t.clientX-l-8),h=d-v,f=d<=100,m=Math.abs(h)>10;if(f||!m)return;const g=r[n][w],_=Math.round(g-h),E=Math.max(100,_),T=E-_;r[n][w]=E,r[n][y]=d-(E>_?T:0),this.requestUpdate()};return d.dy`
        <lit-widget-group id=${x} .configGroup=${p} .width=${v}
                          @widget-group-minimized-changed=${m}
                          ?allowMinimize=${g} ?visible=${h}>
        </lit-widget-group>
        ${b?d.dy``:d.dy`
            <div class="expander" style=${_}>
              <div class="expander-drag-target" draggable=${S}
                   @drag=${t=>{E(t)}}>
              </div>
            </div>`}`}))}};(0,l.gn)([(0,h.Cb)({type:String}),(0,l.w6)("design:type",Object)],T.prototype,"upperHeight",void 0),(0,l.gn)([m.LO,(0,l.w6)("design:type",Object)],T.prototype,"leftColumnWidth",void 0),(0,l.gn)([m.LO,(0,l.w6)("design:type",Object)],T.prototype,"leftLayoutWidths",void 0),(0,l.gn)([m.LO,(0,l.w6)("design:type",Object)],T.prototype,"lowerLayoutWidths",void 0),(0,l.gn)([m.LO,(0,l.w6)("design:type",Object)],T.prototype,"upperLayoutWidths",void 0),T=(0,l.gn)([(0,h.Mo)("lit-modules")],T)},2947:(t,n,r)=>{"use strict";var l=r(7582),d=(r(4600),r(8973)),h=r(5862),p=r(8810),f=r(2188),m=r(3506),g=r(9604),y=(r(6645),r(4915),r(7098)),v=r(7190),b=r(9410),x=r(437),w=(r(482),r(5889));const S=h.iv`:host {
  --slice-selector-right-col-width: 200px;
}

.module-container {
  padding: 6px;
  max-height: 100%;
  overflow-y: hidden;
}

.row-container {
  display: flex;
  flex-wrap: wrap;
  flex-direction: row;
  align-items: center;

  margin-bottom: 10px;
}

#select-container {
  display: flex;
  flex-direction: column;
  flex: 1;
  width: 100%;
  overflow-y: hidden;
}

#slice-selector {
  border: 1px solid rgb(218, 220, 224);
  flex: 1;
  max-height: calc(100% - 18px);
  overflow-x: hidden;
  overflow-y: auto;
}

.selector-item {
  padding: 8px;
}

.selector-item:hover {
  background: #f8f9fa;
}

.selector-item > * {
  vertical-align: middle;
}

.selected {
  background: rgb(197, 228, 232);
}

.selected:hover {
  background: rgb(197, 228, 232);
}

.checkbox-holder{
  display: flex;
  justify-content: space-between;
}

.checkbox-title{
  font-size: 12px;
}

#input-box {
  flex: 1;
}

.checkbox-holder {
  margin: 0 7px;
}

.slice-name {
  max-width: calc(100% - var(--slice-selector-right-col-width));
  display: inline-block;
  overflow: auto;
}

.right-action-menu {
  float: right;
  color: #5f6368;
  max-width: var(--slice-selector-right-col-width);
}

.number-label {
  padding-right: 8px;
}

.selector-item .icon-button {
  font-size: 18px;
  vertical-align: middle;
  margin-left: 3px;
  margin-bottom: 5px;
}

.hidden {
  visibility: hidden;
}
`;var _;let E=_=class SliceModule extends g.p{static get styles(){return[w.W,S]}constructor(){super(),this.sliceService=m.l.getService(b.qG),this.groupService=m.l.getService(v.l),this.facetingControl=document.createElement("faceting-control"),this.sliceByBins={},this.sliceByFeatures=[],this.sliceName=null;this.facetingControl.contextName=_.title,this.facetingControl.addEventListener("facets-change",(t=>{this.sliceByFeatures=t.detail.features,this.sliceByBins=t.detail.bins}))}get createButtonEnabled(){return 0===this.selectionService.selectedIds.length&&this.anyCheckboxChecked||this.sliceName&&this.selectionService.selectedIds.length>0}get anyCheckboxChecked(){return this.sliceByFeatures.length>0}lastCreatedSlice(){const t=this.sliceService.sliceNames;return t[t.length-1]}handleClickCreate(){if(this.anyCheckboxChecked)this.makeSlicesFromAllLabelCombos(),this.selectSlice(this.lastCreatedSlice());else{const t=this.selectionService.selectedIds,n=this.sliceName;null!=n&&this.sliceService.addNamedSlice(n,t),this.selectSlice(n)}this.sliceName=null,this.sliceByFeatures=[]}makeSlicesFromAllLabelCombos(){const t=this.selectionService.selectedOrAllInputData,n=this.groupService.groupExamplesByFeatures(this.sliceByBins,t,this.sliceByFeatures),r=null==this.sliceName?"":this.sliceName+" ";Object.keys(n).forEach((t=>{const l=`${r}${t}`,d=n[t].data.map((t=>t.id));this.sliceService.addNamedSlice(l,d)}))}selectSlice(t){this.sliceService.selectNamedSlice(t,this)}renderCreate(){const t=()=>{this.handleClickCreate()};return h.dy`
      <div class="row-container">
        <input type="text" id="input-box" .value=${this.sliceName}
          placeholder="Enter name" @input=${t=>{this.sliceName=t.target.value}}
          @keyup=${n=>{(n=>{(0,y.qx)(n,t)})(n)}}/>
        <button class='hairline-button'
          ?disabled="${!this.createButtonEnabled}"
          @click=${t}>${this.sliceByFeatures.length>0?"Create slices":"Create slice"}
        </button>
      </div>
    `}getArrayData(t){const n=this.appState.currentInputDataKeys,r=t=>[this.appState.getIndexById(t.id)].concat(n.map((n=>t.data[n])));return this.sliceService.getSliceDataByName(t).map((t=>r(t)))}renderSliceRow(t){var n,r;const l=this.sliceService.selectedSliceName,d=(0,p.$)({"selector-item":!0,selected:t===l}),f=()=>{const n=l===t?null:t;this.selectSlice(n)},m=null!==(r=null===(n=this.sliceService.getSliceByName(t))||void 0===n?void 0:n.length)&&void 0!==r?r:0,g=this.selectionService.selectedIds.filter((n=>!this.sliceService.isInSlice(t,n))).length>0,y=(0,p.$)({"icon-button":!0,disabled:!g}),v=m<=0,b=(0,p.$)({"icon-button":!0,"mdi-outlined":!0,disabled:v});return h.dy`
      <div class=${d}>
        <span class='slice-name' @click=${f}>${t}</span>
        <span class="right-action-menu">
          <span class="number-label" @click=${f}>
            ${m} ${1===m?"datapoint":"datapoints"}
          </span>

          <lit-tooltip content="Add selected to slice" tooltipPosition="left">
            <mwc-icon class=${y} @click=${n=>{n.stopPropagation(),this.sliceService.addIdsToSlice(t,this.selectionService.selectedIds)}}
             slot="tooltip-anchor">
             add_circle_outline
            </mwc-icon>
          </lit-tooltip>

          ${t===x.Z?h.dy`<lit-tooltip content="Reset this slice" tooltipPosition="left">
              <mwc-icon class=${b} @click=${n=>{var r;n.stopPropagation();const l=null!==(r=this.sliceService.getSliceByName(t))&&void 0!==r?r:[];this.sliceService.removeIdsFromSlice(t,l)}}
                slot="tooltip-anchor">
                clear
              </mwc-icon>
            </lit-tooltip>`:h.dy`<lit-tooltip content="Delete this slice"
              tooltipPosition="left">
              <mwc-icon class='icon-button selector-item-icon-button'
                @click=${n=>{n.stopPropagation(),this.sliceService.deleteNamedSlice(t)}} slot="tooltip-anchor">
                delete_outline
              </mwc-icon>
            </lit-tooltip>`}
          <export-controls ?disabled=${v}
              .data=${this.getArrayData(t)}
              .downloadFilename="${this.appState.currentDataset}-${t}.csv"
              .columnNames=${this.appState.currentInputDataKeys}>
          </export-controls>
        </span>
      </div>`}renderSliceSelector(){return h.dy`
      <div id="select-container">
        <label>Select slice</label>
        <div id="slice-selector">
          ${this.sliceService.sliceNames.map((t=>this.renderSliceRow(t)))}
        </div>
      </div>
    `}renderImpl(){return h.dy`
      <div class='module-container'>
        ${this.renderCreate()}
        <div class="row-container" >
          ${this.facetingControl}
        </div>
        ${this.renderSliceSelector()}
      </div>
    `}static shouldDisplayModule(t,n){return!0}};E.title="Slice Editor",E.numCols=2,E.collapseByDefault=!0,E.duplicateForModelComparison=!1,E.template=(t,n,r)=>h.dy`
  <lit-slice-module model=${t} .shouldReact=${r}
    selectionServiceIndex=${n}>
  </lit-slice-module>`,(0,l.gn)([f.LO,(0,l.w6)("design:type",Array)],E.prototype,"sliceByFeatures",void 0),(0,l.gn)([f.LO,(0,l.w6)("design:type",String)],E.prototype,"sliceName",void 0),(0,l.gn)([f.Fl,(0,l.w6)("design:type",Object),(0,l.w6)("design:paramtypes",[])],E.prototype,"createButtonEnabled",null),(0,l.gn)([f.Fl,(0,l.w6)("design:type",Object),(0,l.w6)("design:paramtypes",[])],E.prototype,"anyCheckboxChecked",null),E=_=(0,l.gn)([(0,d.Mo)("lit-slice-module"),(0,l.w6)("design:paramtypes",[])],E)},4498:(t,n,r)=>{"use strict";var l=r(7582),d=(r(3514),r(1732),r(5681),r(5713)),h=r(9662),p=r(7238),f=r(8829),m=r(2669),g=r(8602),y=(r(7935),r(43),r(7898),r(3692),r(3410));const v=y.iv`.material-icons{font-family:var(--mdc-icon-font, "Material Icons");font-weight:normal;font-style:normal;font-size:var(--mdc-icon-size, 24px);line-height:1;letter-spacing:normal;text-transform:none;display:inline-block;white-space:nowrap;word-wrap:normal;direction:ltr;-webkit-font-smoothing:antialiased;text-rendering:optimizeLegibility;-moz-osx-font-smoothing:grayscale;font-feature-settings:"liga"}.mdc-icon-button{font-size:24px;width:48px;height:48px;padding:12px}.mdc-icon-button .mdc-icon-button__focus-ring{display:none}.mdc-icon-button.mdc-ripple-upgraded--background-focused .mdc-icon-button__focus-ring,.mdc-icon-button:not(.mdc-ripple-upgraded):focus .mdc-icon-button__focus-ring{display:block;max-height:48px;max-width:48px}@media screen and (forced-colors: active){.mdc-icon-button.mdc-ripple-upgraded--background-focused .mdc-icon-button__focus-ring,.mdc-icon-button:not(.mdc-ripple-upgraded):focus .mdc-icon-button__focus-ring{pointer-events:none;border:2px solid transparent;border-radius:6px;box-sizing:content-box;position:absolute;top:50%;left:50%;transform:translate(-50%, -50%);height:100%;width:100%}}@media screen and (forced-colors: active)and (forced-colors: active){.mdc-icon-button.mdc-ripple-upgraded--background-focused .mdc-icon-button__focus-ring,.mdc-icon-button:not(.mdc-ripple-upgraded):focus .mdc-icon-button__focus-ring{border-color:CanvasText}}@media screen and (forced-colors: active){.mdc-icon-button.mdc-ripple-upgraded--background-focused .mdc-icon-button__focus-ring::after,.mdc-icon-button:not(.mdc-ripple-upgraded):focus .mdc-icon-button__focus-ring::after{content:"";border:2px solid transparent;border-radius:8px;display:block;position:absolute;top:50%;left:50%;transform:translate(-50%, -50%);height:calc(100% + 4px);width:calc(100% + 4px)}}@media screen and (forced-colors: active)and (forced-colors: active){.mdc-icon-button.mdc-ripple-upgraded--background-focused .mdc-icon-button__focus-ring::after,.mdc-icon-button:not(.mdc-ripple-upgraded):focus .mdc-icon-button__focus-ring::after{border-color:CanvasText}}.mdc-icon-button.mdc-icon-button--reduced-size .mdc-icon-button__ripple{width:40px;height:40px;margin-top:4px;margin-bottom:4px;margin-right:4px;margin-left:4px}.mdc-icon-button.mdc-icon-button--reduced-size.mdc-ripple-upgraded--background-focused .mdc-icon-button__focus-ring,.mdc-icon-button.mdc-icon-button--reduced-size:not(.mdc-ripple-upgraded):focus .mdc-icon-button__focus-ring{max-height:40px;max-width:40px}.mdc-icon-button .mdc-icon-button__touch{position:absolute;top:50%;height:48px;left:50%;width:48px;transform:translate(-50%, -50%)}.mdc-icon-button:disabled{color:rgba(0, 0, 0, 0.38);color:var(--mdc-theme-text-disabled-on-light, rgba(0, 0, 0, 0.38))}.mdc-icon-button svg,.mdc-icon-button img{width:24px;height:24px}.mdc-icon-button{display:inline-block;position:relative;box-sizing:border-box;border:none;outline:none;background-color:transparent;fill:currentColor;color:inherit;text-decoration:none;cursor:pointer;user-select:none;z-index:0;overflow:visible}.mdc-icon-button .mdc-icon-button__touch{position:absolute;top:50%;height:48px;left:50%;width:48px;transform:translate(-50%, -50%)}.mdc-icon-button:disabled{cursor:default;pointer-events:none}.mdc-icon-button--display-flex{align-items:center;display:inline-flex;justify-content:center}.mdc-icon-button__icon{display:inline-block}.mdc-icon-button__icon.mdc-icon-button__icon--on{display:none}.mdc-icon-button--on .mdc-icon-button__icon{display:none}.mdc-icon-button--on .mdc-icon-button__icon.mdc-icon-button__icon--on{display:inline-block}.mdc-icon-button__link{height:100%;left:0;outline:none;position:absolute;top:0;width:100%}.mdc-icon-button{display:inline-block;position:relative;box-sizing:border-box;border:none;outline:none;background-color:transparent;fill:currentColor;color:inherit;text-decoration:none;cursor:pointer;user-select:none;z-index:0;overflow:visible}.mdc-icon-button .mdc-icon-button__touch{position:absolute;top:50%;height:48px;left:50%;width:48px;transform:translate(-50%, -50%)}.mdc-icon-button:disabled{cursor:default;pointer-events:none}.mdc-icon-button--display-flex{align-items:center;display:inline-flex;justify-content:center}.mdc-icon-button__icon{display:inline-block}.mdc-icon-button__icon.mdc-icon-button__icon--on{display:none}.mdc-icon-button--on .mdc-icon-button__icon{display:none}.mdc-icon-button--on .mdc-icon-button__icon.mdc-icon-button__icon--on{display:inline-block}.mdc-icon-button__link{height:100%;left:0;outline:none;position:absolute;top:0;width:100%}:host{display:inline-block;outline:none}:host([disabled]){pointer-events:none}.mdc-icon-button i,.mdc-icon-button svg,.mdc-icon-button img,.mdc-icon-button ::slotted(*){display:block}:host{--mdc-ripple-color: currentcolor;-webkit-tap-highlight-color:transparent}:host,.mdc-icon-button{vertical-align:top}.mdc-icon-button{width:var(--mdc-icon-button-size, 48px);height:var(--mdc-icon-button-size, 48px);padding:calc( (var(--mdc-icon-button-size, 48px) - var(--mdc-icon-size, 24px)) / 2 )}.mdc-icon-button i,.mdc-icon-button svg,.mdc-icon-button img,.mdc-icon-button ::slotted(*){display:block;width:var(--mdc-icon-size, 24px);height:var(--mdc-icon-size, 24px)}`;r(5557);var b=r(6036),x=r(9263),w=r(7499),S=r(577);class IconButtonToggleBase extends y.oi{constructor(){super(...arguments),this.disabled=!1,this.onIcon="",this.offIcon="",this.on=!1,this.shouldRenderRipple=!1,this.rippleHandlers=new x.A((()=>(this.shouldRenderRipple=!0,this.ripple)))}handleClick(){this.on=!this.on,this.dispatchEvent(new CustomEvent("icon-button-toggle-change",{detail:{isOn:this.on},bubbles:!0}))}click(){this.mdcRoot.focus(),this.mdcRoot.click()}focus(){this.rippleHandlers.startFocus(),this.mdcRoot.focus()}blur(){this.rippleHandlers.endFocus(),this.mdcRoot.blur()}renderRipple(){return this.shouldRenderRipple?y.dy`
            <mwc-ripple
                .disabled="${this.disabled}"
                unbounded>
            </mwc-ripple>`:""}render(){const t={"mdc-icon-button--on":this.on},n=void 0!==this.ariaLabelOn&&void 0!==this.ariaLabelOff,r=n?void 0:this.on,l=n?this.on?this.ariaLabelOn:this.ariaLabelOff:this.ariaLabel;return y.dy`<button
          class="mdc-icon-button mdc-icon-button--display-flex ${(0,w.$)(t)}"
          aria-pressed="${(0,S.o)(r)}"
          aria-label="${(0,S.o)(l)}"
          @click="${this.handleClick}"
          ?disabled="${this.disabled}"
          @focus="${this.handleRippleFocus}"
          @blur="${this.handleRippleBlur}"
          @mousedown="${this.handleRippleMouseDown}"
          @mouseenter="${this.handleRippleMouseEnter}"
          @mouseleave="${this.handleRippleMouseLeave}"
          @touchstart="${this.handleRippleTouchStart}"
          @touchend="${this.handleRippleDeactivate}"
          @touchcancel="${this.handleRippleDeactivate}"
        >${this.renderRipple()}
        <span class="mdc-icon-button__icon"
          ><slot name="offIcon"
            ><i class="material-icons">${this.offIcon}</i
          ></slot
        ></span>
        <span class="mdc-icon-button__icon mdc-icon-button__icon--on"
          ><slot name="onIcon"
            ><i class="material-icons">${this.onIcon}</i
          ></slot
        ></span>
      </button>`}handleRippleMouseDown(t){const n=()=>{window.removeEventListener("mouseup",n),this.handleRippleDeactivate()};window.addEventListener("mouseup",n),this.rippleHandlers.startPress(t)}handleRippleTouchStart(t){this.rippleHandlers.startPress(t)}handleRippleDeactivate(){this.rippleHandlers.endPress()}handleRippleMouseEnter(){this.rippleHandlers.startHover()}handleRippleMouseLeave(){this.rippleHandlers.endHover()}handleRippleFocus(){this.rippleHandlers.startFocus()}handleRippleBlur(){this.rippleHandlers.endFocus()}}(0,l.gn)([(0,m.I)(".mdc-icon-button")],IconButtonToggleBase.prototype,"mdcRoot",void 0),(0,l.gn)([b.L,(0,h.C)({type:String,attribute:"aria-label"})],IconButtonToggleBase.prototype,"ariaLabel",void 0),(0,l.gn)([(0,h.C)({type:Boolean,reflect:!0})],IconButtonToggleBase.prototype,"disabled",void 0),(0,l.gn)([(0,h.C)({type:String})],IconButtonToggleBase.prototype,"onIcon",void 0),(0,l.gn)([(0,h.C)({type:String})],IconButtonToggleBase.prototype,"offIcon",void 0),(0,l.gn)([(0,h.C)({type:String})],IconButtonToggleBase.prototype,"ariaLabelOn",void 0),(0,l.gn)([(0,h.C)({type:String})],IconButtonToggleBase.prototype,"ariaLabelOff",void 0),(0,l.gn)([(0,h.C)({type:Boolean,reflect:!0})],IconButtonToggleBase.prototype,"on",void 0),(0,l.gn)([(0,g.G)("mwc-ripple")],IconButtonToggleBase.prototype,"ripple",void 0),(0,l.gn)([(0,p.S)()],IconButtonToggleBase.prototype,"shouldRenderRipple",void 0),(0,l.gn)([(0,f.h)({passive:!0})],IconButtonToggleBase.prototype,"handleRippleMouseDown",null),(0,l.gn)([(0,f.h)({passive:!0})],IconButtonToggleBase.prototype,"handleRippleTouchStart",null);let _=class IconButtonToggle extends IconButtonToggleBase{};_.styles=[v],_=(0,l.gn)([(0,d.M)("mwc-icon-button-toggle")],_);r(1764);var E=r(7924),T=r(5862),C=r(8973),A=r(8810),O=r(3196),I=r(9537),P=r(5889),D=r(4915),F=(r(1165),r(9410)),B=r(3506);r(9604);const $=T.iv`:host {
  display: flex;
  position: relative;
  box-sizing: border-box;
  height: 100%;
  background: white;
  --lit-widget-header-height: 24px;
}

.holder {
  display: flex;
  flex-direction: column;
  position: relative;
  border: 1px solid rgb(218, 220, 224);
  border-top: 0px;
  width: 100%;
  box-sizing: border-box;
}

.container {
  position: relative;
  display: flex;
  flex: 1;
  height: calc(100% - var(--lit-widget-header-height));
}

.content {
  overflow-y: auto;
  width: 100%;
}

.content.loading {
  opacity: 0.2;
  pointer-events: none;
}

.header {
  font-family: 'Google Sans', sans;
  min-height: var(--lit-widget-header-height);
  color: rgb(32, 33, 36);
  line-height: 21px;
  display: flex;
  flex-direction: row;
  align-items: center;
  padding: 0px 5px;
  border-bottom: 1px solid rgb(218, 220, 224);
  box-sizing: border-box;
}

.subtitle {
  font-size: 11px;
  color: gray;
}

.spinner-container {
  position: absolute;
  top: 0;
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
}

.pin-spacer {
  width: 16px;
  height: 14px;
}
`,j=T.iv`:host{
  flex: var(--flex);
  min-width: var(--width);
  width: var(--width);
  --lit-group-header-height: 36px;
}

.outside {
  position: relative;   /* Necessary so that the expander positions correctly */
  width: 100%;
  height: 100%;
}

.wrapper {
  height: 100%;
  box-sizing: border-box;
  background-color: white;
  background-clip: content-box;
  display: flex;
  flex-direction: column;
}

.header {
  height: var(--lit-group-header-height);
  display: flex;
  padding: 0 8px;
  line-height: 27px;
  align-items: center;
  justify-content: space-between;
  border: 1px solid rgb(218, 220, 224);
  box-sizing: border-box;
  gap: 8px;
}

.title {
  font-size: 14px;
  font-family: 'Google Sans', sans;
  white-space: nowrap;
  text-overflow: ellipsis;
  overflow: hidden;
  flex: 1 1 auto;
}

.min-button {
  text-align: right;
}

.direction-toggle {
  --mdc-icon-button-size: 24px;
  --mdc-icon-font: 'Material Icons Outlined';
}

.scroll-toggle {
  --mdc-icon-button-size: 24px;
}

.holder {
  height: calc(100% - var(--lit-group-header-height));
  display: flex;
  flex-direction: column;
  position: relative;
  flex: 1;
}

.component-row {
  display: flex;
  flex-direction: row;
  overflow-x: auto;
}

.component-column {
  display: flex;
  flex-direction: column;
}

lit-widget {
  min-height: 128px;
}

/**
 * Maximized state
 */
:host([maximized]) {
  margin: 0;
  padding: 0;
  --lit-maximized-vpad: 15px;
  --lit-maximized-hpad: 45px;
  /* Override whatever size this would have been in-line. */
  width: calc(100vw - 2*var(--lit-maximized-hpad)) !important;
  min-width: calc(100vw - 2*var(--lit-maximized-hpad)) !important;
  position: fixed;
  z-index: 2;
  /* Fix size to fill the main modules area, but not cover toolbars. */
  /* --top-toolbar-offset and --modules-area-height are set by modules.ts. */
  top: var(--top-toolbar-offset);
  height: calc(var(--modules-area-height) - 2*var(--lit-maximized-vpad));
  left: 0px;
}

:host([maximized]) .outside {
  padding: var(--lit-maximized-vpad) var(--lit-maximized-hpad);
  background: rgba(4, 29, 51, .47);
}

:host([maximized]) .wrapper {
  padding: 0;
}

/**
 * Minimized state
 */
:host([minimized]),
:host([minimized]) .header,
:host([minimized]) .outside,
:host([minimized]) .wrapper {
  min-width: var(--lit-group-header-height);
  width: var(--lit-group-header-height);
  max-width: var(--lit-group-header-height);
}

:host([minimized]) .header:not(.tooltip-text){
  padding-top: 8px;
  padding-bottom: 2px; /* top icon should align with horizontal toolbar */
  padding-left: 0;
  padding-right: 0;
  height: 100%;
  writing-mode: vertical-lr;
  transform: rotate(180deg);
}

:host([minimized]) .header > * {
  margin: 2px 0;
}

:host([minimized]) mwc-icon {
  /* Undo outer rotation, so these are oriented normally. */
  transform: rotate(90deg);
}

:host([minimized]) lit-tooltip {
  /* Undo outer rotation, so these are oriented normally. */
  transform: rotate(180deg);
  writing-mode: horizontal-tb;
}

:host([minimized]) .title {
  text-align: right;
  cursor: pointer;
}

:host([minimized]) .holder {
  height: 0;
}

:host([minimized]) lit-widget{
  display: none;
}
`;let V=class WidgetGroup extends I.f{constructor(){super(...arguments),this.modulesService=B.l.getService(F.s7),this.configGroup=[],this.allowMinimize=!1,this.duplicateAsRow=!1,this.minimized=!1,this.maximized=!1,this.visible=!1,this.width=0,this.widgetScrollTop=0,this.widgetScrollLeft=0,this.syncScrolling=!0}static get styles(){return[P.W,j]}connectedCallback(){super.connectedCallback(),this.minimized=this.initMinimized(),this.maximized=this.initMaximized(),this.reactImmediately((()=>this.configGroup),(t=>{this.duplicateAsRow=t[0].moduleType.duplicateAsRow}))}render(){return this.renderModules(this.configGroup)}renderHeader(t){const n=t[0].moduleType.title,r=t[0].moduleType.infoMarkdown,l=T.dy`<lit-tooltip .content=${r}></lit-tooltip>`;return T.dy`
      <div class=header>
        <div class="title" @click=${()=>{this.minimized&&(this.setMinimized(!1),this.maximized=!1)}}>
          ${n}
          ${this.minimized||""===r?null:l}
        </div>
        ${this.minimized||t.length<2?null:[(()=>T.dy`
        <lit-tooltip class="icon-button large-icon"
          tooltipPosition=${"left"}
          .content=${"Toggle layout direction"}>
          <mwc-icon
            class="icon-button large-icon direction-toggle"
            slot="tooltip-anchor"
            @click="${()=>{this.duplicateAsRow=!this.duplicateAsRow,this.requestUpdate()}}">
            ${this.duplicateAsRow?"view_week":"table_rows"}
          </mwc-icon>
        </lit-tooltip>`)(),(()=>T.dy`
        <lit-tooltip class="icon-button large-icon"
          tooltipPosition=${"left"}
          .content=${"Toggle scroll sync"}>
          <mwc-icon
            class="icon-button large-icon scroll-toggle"
            slot="tooltip-anchor"
            @click="${()=>{this.syncScrolling=!this.syncScrolling,this.requestUpdate()}}">
            ${this.syncScrolling?"sync":"sync_disabled"}
          </mwc-icon>
        </lit-tooltip>`)()]}
        ${this.allowMinimize?T.dy`<lit-tooltip class="icon-button large-icon"
                tooltipPosition=${"left"}
                .content=${this.minimized?"Expand":"Collapse"}>
                <mwc-icon class="icon-button large-icon min-button"
                  @click=${()=>{this.setMinimized(!this.minimized),this.setMaximized(!1)}}
                  slot="tooltip-anchor">
                  ${this.minimized?"call_made":"call_received"}
                </mwc-icon>
              </lit-tooltip>`:null}
        <lit-tooltip class="icon-button large-icon" tooltipPosition=${"left"}
          .content=${this.maximized?"Close fullscreen":"Open fullscreen"}>
          <mwc-icon class="icon-button large-icon" @click=${()=>{this.maximized=!this.maximized,this.setMaximized(this.maximized),this.setMinimized(!1)}}
            slot="tooltip-anchor">
            ${this.maximized?"fullscreen_exit":"fullscreen"}
          </mwc-icon>
        </lit-tooltip>
      </div>`}renderModules(t){const n=t.length>1,r=this.shadowRoot.host,l=`${this.width}px`;r.style.setProperty("--width",l),r.style.setProperty("--min-width",l);const d=(0,A.$)({"component-row":n&&this.duplicateAsRow,"component-column":n&&!this.duplicateAsRow,holder:!0}),h={width:"100%",height:"100%"};this.duplicateAsRow?h.width=100/t.length+"%":h.height=100/t.length+"%";const p=t.length>1;return T.dy`
      <div class='outside' @click=${()=>{this.maximized=!1}}>
        <div class='wrapper' @click=${t=>{t.stopPropagation()}} >
          ${this.renderHeader(t)}
          <div class=${d}>
            ${t.map((t=>this.renderModule(t,h,p)))}
          </div>
        </div>
       </div>
    `}renderModule(t,n,r){const l=t.moduleType,d=t.modelName||"",h=t.selectionServiceIndex||0,p=this.visible&&!this.minimized;let f=null!=d?d:"";l.duplicateForExampleComparison&&(f=f.concat(`${f?" - ":""} ${h?"Pinned":"Selected"}`));return T.dy`
      <lit-widget
        displayTitle=${l.title}
        subtitle=${r?f:""}
        ?highlight=${1===h}
        @widget-scroll="${t=>{this.syncScrolling&&(this.widgetScrollLeft=t.detail.scrollLeft,this.widgetScrollTop=t.detail.scrollTop,this.requestUpdate())}}"
        widgetScrollLeft=${this.widgetScrollLeft}
        widgetScrollTop=${this.widgetScrollTop}
        style=${(0,O.V)(n)}
      >
        ${l.template(d,h,p?1:0)}
      </lit-widget>
    `}initMinimized(){const t=this.configGroup[0];return this.modulesService.isModuleGroupHidden(t)}initMaximized(){const t=this.configGroup[0];return this.modulesService.isModuleGroupExpanded(t)}setMinimized(t){const n=this.configGroup[0];this.modulesService.toggleHiddenModule(n,t),this.minimized=t;const r=new CustomEvent("widget-group-minimized-changed",{detail:{isMinimized:t}});this.dispatchEvent(r)}setMaximized(t){const n=this.configGroup[0];this.modulesService.toggleExpandedModule(n,t),this.maximized=t}};(0,l.gn)([(0,C.Cb)({type:Array}),(0,l.w6)("design:type",Array)],V.prototype,"configGroup",void 0),(0,l.gn)([(0,C.Cb)({type:Boolean}),(0,l.w6)("design:type",Object)],V.prototype,"allowMinimize",void 0),(0,l.gn)([(0,C.Cb)({type:Boolean,reflect:!0}),(0,l.w6)("design:type",Object)],V.prototype,"duplicateAsRow",void 0),(0,l.gn)([(0,C.Cb)({type:Boolean,reflect:!0}),(0,l.w6)("design:type",Object)],V.prototype,"minimized",void 0),(0,l.gn)([(0,C.Cb)({type:Boolean,reflect:!0}),(0,l.w6)("design:type",Object)],V.prototype,"maximized",void 0),(0,l.gn)([(0,C.Cb)({type:Boolean,reflect:!0}),(0,l.w6)("design:type",Object)],V.prototype,"visible",void 0),(0,l.gn)([(0,C.Cb)({type:Number}),(0,l.w6)("design:type",Object)],V.prototype,"width",void 0),V=(0,l.gn)([(0,C.Mo)("lit-widget-group")],V);let U=class LitWidget extends E.G{constructor(){super(...arguments),this.displayTitle="",this.subtitle="",this.isLoading=!1,this.highlight=!1,this.widgetScrollTop=0,this.widgetScrollLeft=0}static get styles(){return[P.W,$]}updated(){return(0,l.mG)(this,void 0,void 0,(function*(){yield this.updateComplete;const t=this.children[0];t.onSyncScroll=(t,n)=>{const r=new CustomEvent("widget-scroll",{detail:{scrollTop:t,scrollLeft:n}});this.dispatchEvent(r)};const n=t.shadowRoot.querySelectorAll(`.${D.SU}`);if(n.length>0)for(const t of n)t.scrollTop=this.widgetScrollTop,t.scrollLeft=this.widgetScrollLeft;else{const t=this.shadowRoot.querySelector(".content");if(null==t)return;t.scrollTop=this.widgetScrollTop,t.scrollLeft=this.widgetScrollLeft}}))}render(){const t=(0,A.$)({content:!0,loading:this.isLoading});return T.dy`
      <div class="holder">
        ${this.subtitle?this.renderHeader():""}
        <div class="container">
          ${this.isLoading?this.renderSpinner():null}
          <div class=${t} @scroll=${()=>{const t=this.shadowRoot.querySelector(".content"),n=new CustomEvent("widget-scroll",{detail:{scrollTop:t.scrollTop,scrollLeft:t.scrollLeft}});this.dispatchEvent(n)}}>
            <slot></slot>
          </div>
        </div>
      </div>
    `}renderSpinner(){return T.dy`
      <div class="spinner-container">
        <lit-spinner size=${36} color="var(--app-secondary-color)">
        </lit-spinner>
      </div>
    `}renderHeader(){return T.dy`
    <div class=header>
      ${this.highlight?T.dy`<mwc-icon class='material-icon pin-icon'>push_pin</mwc-icon>`:T.dy`<div class="pin-spacer"></div>`}
      <span class="subtitle">${this.subtitle}</span>
    </div>
    `}};(0,l.gn)([(0,C.Cb)({type:String}),(0,l.w6)("design:type",Object)],U.prototype,"displayTitle",void 0),(0,l.gn)([(0,C.Cb)({type:String}),(0,l.w6)("design:type",Object)],U.prototype,"subtitle",void 0),(0,l.gn)([(0,C.Cb)({type:Boolean}),(0,l.w6)("design:type",Object)],U.prototype,"isLoading",void 0),(0,l.gn)([(0,C.Cb)({type:Boolean}),(0,l.w6)("design:type",Object)],U.prototype,"highlight",void 0),(0,l.gn)([(0,C.Cb)({type:Number}),(0,l.w6)("design:type",Object)],U.prototype,"widgetScrollTop",void 0),(0,l.gn)([(0,C.Cb)({type:Number}),(0,l.w6)("design:type",Object)],U.prototype,"widgetScrollLeft",void 0),U=(0,l.gn)([(0,C.Mo)("lit-widget")],U)},6299:(t,n,r)=>{"use strict";var l=r(7582),d=r(8973),h=r(5862),p=r(8810),f=r(3196),m=r(2188),g=r(6070),y=r(9537),v=r(4262),b=r(5889),x=r(4915);const w=h.iv`.main-container {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  padding: 5px;
}

.group {
  margin-bottom: 5px;
}

.group-title {
  font-weight: bold;
  margin-bottom: 3px;
}

.segments-column {
  margin-right: 20px;
}

.annotations-column {
  min-width: 20%;
}

.cluster-container {
  display: flex;
  flex-direction: row;
  margin-bottom: 2px;
  padding-left: 3px;
  padding-right: 3px;
  border-bottom: 1px solid white;
}

.cluster-label {
  min-width: 10%;
  max-width: 30%;
  margin-right: 10px;
}

.cluster-spans {
  padding-right: 5px;
}

.cluster-active {
  background: var(--group-color);
  border-bottom: 1px solid black; /* underline-like, but cleaner */
}

.span-active {
  border-bottom: 1px solid black; /* underline-like, but cleaner */
}

.no-data {
  color: #5f6368;
}
`;function S(t,n){return n.map(((r,l)=>{const d=100*(l+1)/n.length;return`linear-gradient(${t}, ${r} ${d}%, rgba(0,0,0,0) ${d}%)`})).join(", ")}const _="#e4f7fb";let E=class AnnotatedText extends h.oi{constructor(){super(...arguments),this.text="",this.spans=[],this.isURL=!1}static get styles(){return[b.W,w]}render(){var t,n;const r=new Set;for(const t of this.spans)r.add(t.start),r.add(t.end);let l=[0,...r,this.text.length];l=l.sort(((t,n)=>t-n));const d=l.map((()=>[]));for(let t=0;t<this.spans.length;t++){const n=l.indexOf(this.spans[t].start),r=l.indexOf(this.spans[t].end);for(let l=n;l<r;l++)d[l].push(t)}const m=[];for(let r=0;r<l.length-1;r++){const g=this.text.slice(l[r],l[r+1]),y=d[r].map((t=>this.spans[t])),v=(0,p.$)({"span-active":y.length>0}),b={};y.length>1?b.background=S("0deg",y.map((t=>{var n;return null!==(n=t.color)&&void 0!==n?n:_}))):y.length>0&&(b.background=null!==(n=null===(t=y[0])||void 0===t?void 0:t.color)&&void 0!==n?n:_),m.push(h.dy`<span class=${v} style=${(0,f.V)(b)}>${g}</span>`)}return this.isURL?h.dy`<a href=${this.text} target="_blank">${m}</a>`:h.dy`${m}`}};(0,l.gn)([(0,d.Cb)({type:String}),(0,l.w6)("design:type",Object)],E.prototype,"text",void 0),(0,l.gn)([(0,d.Cb)({type:Array}),(0,l.w6)("design:type",Array)],E.prototype,"spans",void 0),(0,l.gn)([(0,d.Cb)({type:Boolean}),(0,l.w6)("design:type",Object)],E.prototype,"isURL",void 0),E=(0,l.gn)([(0,d.Mo)("annotated-text")],E);let T=class AnnotatedTextVis extends y.f{constructor(){super(...arguments),this.annotations={},this.annotationSpec={},this.segments={},this.segmentSpec={},this.annotationVisibility={}}get groupColors(){const t={},n=Object.keys(this.annotationSpec);for(let r=0;r<n.length;r++){t[n[r]]=(0,g.If)("pastel",r).color}return t}get activeAnnotations(){const t={};for(const n of Object.keys(this.segments))t[n]=[];for(const n of Object.keys(this.annotations))this.annotations[n].forEach(((r,l)=>{if(this.annotationVisibility[n].has(l))for(const l of r.spans){const d=Object.assign({},l,{label:`${r.label}${l.label?":":""}${l.label}`,align:n,color:this.groupColors[n]});t[l.align].push(d)}}));return t}static get styles(){return[b.W,w]}connectedCallback(){super.connectedCallback(),this.reactImmediately((()=>this.annotations),(t=>{var n,r;this.annotationVisibility={};for(const l of Object.keys(t))if(this.annotationVisibility[l]=new Set,null===(n=this.annotationSpec[l])||void 0===n?void 0:n.background);else if(null===(r=this.annotationSpec[l])||void 0===r?void 0:r.exclusive)this.annotationVisibility[l].add(0);else for(let n=0;n<t[l].length;n++)this.annotationVisibility[l].add(n)}))}renderTextSegment(t){const n=this.segments[t],r=this.activeAnnotations[t],l=this.segmentSpec[t]instanceof v.Mj;return h.dy`
      <div class='group'>
        <div class='group-title'>${t}</div>
        <annotated-text .text=${n} .spans=${r} ?isURL=${l}>
        </annotated-text>
      </div>
    `}renderCluster(t,n){const r=this.annotations[t][n],l=this.annotationVisibility[t].has(n);return h.dy`
      <div class=${(0,p.$)({"cluster-container":!0,"cluster-active":l})}
           @click=${()=>{this.annotationVisibility[t].has(n)?this.annotationVisibility[t].delete(n):(this.annotationSpec[t].exclusive&&this.annotationVisibility[t].clear(),this.annotationVisibility[t].add(n))}}>
        <div class='cluster-label'>${r.label}</div>
        <div class='cluster-spans'>
          ${r.spans.map((t=>h.dy`<div class='span'>${(0,x.$A)(t)}</div>`))}
        </div>
      </div>
    `}renderAnnotationGroup(t){var n;const r=this.groupColors[t],l=null===(n=this.annotations)||void 0===n?void 0:n[t];return h.dy`
      <div class='group' style=${(0,f.V)({"--group-color":r})}>
        <div class='group-title'>${t}</div>
        ${l?l.map(((n,r)=>this.renderCluster(t,r))):h.dy`<span class='no-data'>(no data)</span>`}
      </div>
    `}render(){const t=Object.keys(this.segmentSpec).map((t=>this.renderTextSegment(t))),n=Object.keys(this.annotationSpec).map((t=>this.renderAnnotationGroup(t)));return h.dy`
      <div class='main-container'>
        <div class='segments-column'>${t}</div>
        <div class='annotations-column'>${n}</div>
      </div>
    `}};(0,l.gn)([m.LO,(0,d.Cb)({type:Object}),(0,l.w6)("design:type",Object)],T.prototype,"annotations",void 0),(0,l.gn)([m.LO,(0,d.Cb)({type:Object}),(0,l.w6)("design:type",Object)],T.prototype,"annotationSpec",void 0),(0,l.gn)([m.LO,(0,d.Cb)({type:Object}),(0,l.w6)("design:type",Object)],T.prototype,"segments",void 0),(0,l.gn)([(0,d.Cb)({type:Object}),(0,l.w6)("design:type",Object)],T.prototype,"segmentSpec",void 0),(0,l.gn)([m.LO,(0,l.w6)("design:type",Object)],T.prototype,"annotationVisibility",void 0),(0,l.gn)([m.Fl,(0,l.w6)("design:type",Object),(0,l.w6)("design:paramtypes",[])],T.prototype,"groupColors",null),(0,l.gn)([m.Fl,(0,l.w6)("design:type",Object),(0,l.w6)("design:paramtypes",[])],T.prototype,"activeAnnotations",null),T=(0,l.gn)([(0,d.Mo)("annotated-text-vis")],T)},2396:(t,n,r)=>{"use strict";var l=r(7582),d=(r(5681),r(3886)),h=r(5862),p=r(8973),f=r(9537),m=r(5889);const g=h.iv`#tooltip {
  position: fixed;
  padding: 5px;
  margin: auto;
  text-align: center;
  transform: translate(-50%, -22px);
  font-size: 12px;
  pointer-events: none;
  visibility: hidden;
  background: rgba(255, 255, 255, .5);
  border-radius: 10px;
}
`;let y=class BarChart extends f.f{constructor(){super(...arguments),this.scores=new Map,this.margin=30,this.width=0,this.height=0,this.yScale=[]}static get styles(){return[m.W,g]}firstUpdated(){this.initializeChart();this.reactImmediately((()=>this.scores),(t=>{this.initializeChart()}))}getXScale(){const t=Array.from(this.scores.keys());return d.tiA().domain(t).range([0,this.width]).padding(.1)}getYScale(){let t=this.yScale;if(null==t||t.length<2){const n=Array.from(this.scores.values());t=[d.VV$(n),d.Fp7(n)]}return d.BYU().domain(t).range([this.height,0])}initializeChart(){const t=this.shadowRoot.querySelector("#chart");if(null==t)return;const n=d.Ys(t).attr("width",this.width+2*this.margin).attr("height",this.height+2*this.margin);n.selectAll("*").remove(),n.append("g").attr("id","chart-group").attr("transform",`translate(${this.margin}, ${this.margin})`),this.renderChart()}renderChart(){const t=Array.from(this.scores.entries()).map(((t,n)=>({label:t[0],score:t[1]}))),n=this.getXScale(),r=this.getYScale(),l=this.shadowRoot.querySelector("#chart-group");if(null==l)return;const h=d.Ys(l);h.selectAll("*").remove();const p=d.LLu(n).ticks(1),f=d.y4O(r).ticks(5);h.append("g").attr("transform",`translate(0, ${this.height})`).attr("class","axis").call(p).selectAll("text").style("text-anchor","end").attr("transform","rotate(-45)").each((function(){const t=d.Ys(this);let n=t.node().getComputedTextLength(),r=t.text();for(;n>30&&r.length>0;)r=r.slice(0,-1),t.text(r+"..."),n=t.node().getComputedTextLength()})),h.append("g").attr("class","axis").call(f),h.selectAll("rect").data(t).enter().append("rect").attr("width",n.bandwidth()).style("fill","var(--lit-cyea-400)").attr("height",(t=>this.height-r(t.score))).attr("x",(t=>{const r=n(t.label);return null==r?0:r})).attr("y",(t=>r(t.score))).on("mouseover",((t,n,r)=>{const l=r[n],d=`${t.label}, value: ${t.score.toFixed(2)}`;this.displayTooltip(d,l)})).on("mouseout",((t,n,r)=>{this.hideTooltip()}))}displayTooltip(t,n){const r=this.shadowRoot.querySelector("#tooltip");r.innerText=t,r.style.visibility="visible";const l=n.getBoundingClientRect();r.style.left=(l.left+l.right)/2+"px",r.style.top=`${l.top}px`}hideTooltip(){this.shadowRoot.querySelector("#tooltip").style.visibility="hidden"}render(){return h.dy`
      <div id="holder">
          <svg id="chart"></svg>
          <div id='tooltip'>tooltip</div>
      </div>
    `}};(0,l.gn)([(0,p.Cb)({type:Object}),(0,l.w6)("design:type",Object)],y.prototype,"scores",void 0),(0,l.gn)([(0,p.Cb)({type:Number}),(0,l.w6)("design:type",Object)],y.prototype,"margin",void 0),(0,l.gn)([(0,p.Cb)({type:Number}),(0,l.w6)("design:type",Object)],y.prototype,"width",void 0),(0,l.gn)([(0,p.Cb)({type:Number}),(0,l.w6)("design:type",Object)],y.prototype,"height",void 0),(0,l.gn)([(0,p.Cb)({type:Array}),(0,l.w6)("design:type",Array)],y.prototype,"yScale",void 0),y=(0,l.gn)([(0,p.Mo)("bar-chart")],y)},1732:(t,n,r)=>{"use strict";var l=r(7582),d=r(5713),h=r(9662),p=r(7238),f=r(8829),m=r(2669),g=r(8602),y=(r(7935),r(43),r(5557),r(6036)),v=r(6141),b=r(9263),x=(r(7898),r(3692),r(3410)),w=r(7499),S=r(577);class CheckboxBase extends v.Wg{constructor(){super(...arguments),this.checked=!1,this.indeterminate=!1,this.disabled=!1,this.name="",this.value="on",this.reducedTouchTarget=!1,this.animationClass="",this.shouldRenderRipple=!1,this.focused=!1,this.mdcFoundationClass=void 0,this.mdcFoundation=void 0,this.rippleElement=null,this.rippleHandlers=new b.A((()=>(this.shouldRenderRipple=!0,this.ripple.then((t=>this.rippleElement=t)),this.ripple)))}createAdapter(){return{}}update(t){const n=t.get("indeterminate"),r=t.get("checked"),l=t.get("disabled");if(void 0!==n||void 0!==r||void 0!==l){const t=this.calculateAnimationStateName(!!r,!!n,!!l),d=this.calculateAnimationStateName(this.checked,this.indeterminate,this.disabled);this.animationClass=`${t}-${d}`}super.update(t)}calculateAnimationStateName(t,n,r){return r?"disabled":n?"indeterminate":t?"checked":"unchecked"}renderRipple(){return this.shouldRenderRipple?this.renderRippleTemplate():""}renderRippleTemplate(){return x.dy`<mwc-ripple
        .disabled="${this.disabled}"
        unbounded></mwc-ripple>`}render(){const t=this.indeterminate||this.checked,n={"mdc-checkbox--disabled":this.disabled,"mdc-checkbox--selected":t,"mdc-checkbox--touch":!this.reducedTouchTarget,"mdc-ripple-upgraded--background-focused":this.focused,"mdc-checkbox--anim-checked-indeterminate":"checked-indeterminate"==this.animationClass,"mdc-checkbox--anim-checked-unchecked":"checked-unchecked"==this.animationClass,"mdc-checkbox--anim-indeterminate-checked":"indeterminate-checked"==this.animationClass,"mdc-checkbox--anim-indeterminate-unchecked":"indeterminate-unchecked"==this.animationClass,"mdc-checkbox--anim-unchecked-checked":"unchecked-checked"==this.animationClass,"mdc-checkbox--anim-unchecked-indeterminate":"unchecked-indeterminate"==this.animationClass},r=this.indeterminate?"mixed":void 0;return x.dy`
      <div class="mdc-checkbox mdc-checkbox--upgraded ${(0,w.$)(n)}">
        <input type="checkbox"
              class="mdc-checkbox__native-control"
              name="${(0,S.o)(this.name)}"
              aria-checked="${(0,S.o)(r)}"
              aria-label="${(0,S.o)(this.ariaLabel)}"
              aria-labelledby="${(0,S.o)(this.ariaLabelledBy)}"
              aria-describedby="${(0,S.o)(this.ariaDescribedBy)}"
              data-indeterminate="${this.indeterminate?"true":"false"}"
              ?disabled="${this.disabled}"
              .indeterminate="${this.indeterminate}"
              .checked="${this.checked}"
              .value="${this.value}"
              @change="${this.handleChange}"
              @focus="${this.handleFocus}"
              @blur="${this.handleBlur}"
              @mousedown="${this.handleRippleMouseDown}"
              @mouseenter="${this.handleRippleMouseEnter}"
              @mouseleave="${this.handleRippleMouseLeave}"
              @touchstart="${this.handleRippleTouchStart}"
              @touchend="${this.handleRippleDeactivate}"
              @touchcancel="${this.handleRippleDeactivate}">
        <div class="mdc-checkbox__background"
          @animationend="${this.resetAnimationClass}">
          <svg class="mdc-checkbox__checkmark"
              viewBox="0 0 24 24">
            <path class="mdc-checkbox__checkmark-path"
                  fill="none"
                  d="M1.73,12.91 8.1,19.28 22.79,4.59"></path>
          </svg>
          <div class="mdc-checkbox__mixedmark"></div>
        </div>
        ${this.renderRipple()}
      </div>`}setFormData(t){this.name&&this.checked&&t.append(this.name,this.value)}handleFocus(){this.focused=!0,this.handleRippleFocus()}handleBlur(){this.focused=!1,this.handleRippleBlur()}handleRippleMouseDown(t){const n=()=>{window.removeEventListener("mouseup",n),this.handleRippleDeactivate()};window.addEventListener("mouseup",n),this.rippleHandlers.startPress(t)}handleRippleTouchStart(t){this.rippleHandlers.startPress(t)}handleRippleDeactivate(){this.rippleHandlers.endPress()}handleRippleMouseEnter(){this.rippleHandlers.startHover()}handleRippleMouseLeave(){this.rippleHandlers.endHover()}handleRippleFocus(){this.rippleHandlers.startFocus()}handleRippleBlur(){this.rippleHandlers.endFocus()}handleChange(){this.checked=this.formElement.checked,this.indeterminate=this.formElement.indeterminate}resetAnimationClass(){this.animationClass=""}get isRippleActive(){var t;return(null===(t=this.rippleElement)||void 0===t?void 0:t.isActive)||!1}}(0,l.gn)([(0,m.I)(".mdc-checkbox")],CheckboxBase.prototype,"mdcRoot",void 0),(0,l.gn)([(0,m.I)("input")],CheckboxBase.prototype,"formElement",void 0),(0,l.gn)([(0,h.C)({type:Boolean,reflect:!0})],CheckboxBase.prototype,"checked",void 0),(0,l.gn)([(0,h.C)({type:Boolean})],CheckboxBase.prototype,"indeterminate",void 0),(0,l.gn)([(0,h.C)({type:Boolean,reflect:!0})],CheckboxBase.prototype,"disabled",void 0),(0,l.gn)([(0,h.C)({type:String,reflect:!0})],CheckboxBase.prototype,"name",void 0),(0,l.gn)([(0,h.C)({type:String})],CheckboxBase.prototype,"value",void 0),(0,l.gn)([y.L,(0,h.C)({type:String,attribute:"aria-label"})],CheckboxBase.prototype,"ariaLabel",void 0),(0,l.gn)([y.L,(0,h.C)({type:String,attribute:"aria-labelledby"})],CheckboxBase.prototype,"ariaLabelledBy",void 0),(0,l.gn)([y.L,(0,h.C)({type:String,attribute:"aria-describedby"})],CheckboxBase.prototype,"ariaDescribedBy",void 0),(0,l.gn)([(0,h.C)({type:Boolean})],CheckboxBase.prototype,"reducedTouchTarget",void 0),(0,l.gn)([(0,p.S)()],CheckboxBase.prototype,"animationClass",void 0),(0,l.gn)([(0,p.S)()],CheckboxBase.prototype,"shouldRenderRipple",void 0),(0,l.gn)([(0,p.S)()],CheckboxBase.prototype,"focused",void 0),(0,l.gn)([(0,g.G)("mwc-ripple")],CheckboxBase.prototype,"ripple",void 0),(0,l.gn)([(0,f.h)({passive:!0})],CheckboxBase.prototype,"handleRippleTouchStart",null);const _=x.iv`.mdc-checkbox{padding:calc((40px - 18px) / 2);padding:calc((var(--mdc-checkbox-ripple-size, 40px) - 18px) / 2);margin:calc((40px - 40px) / 2);margin:calc((var(--mdc-checkbox-touch-target-size, 40px) - 40px) / 2)}.mdc-checkbox .mdc-checkbox__ripple::before,.mdc-checkbox .mdc-checkbox__ripple::after{background-color:#000;background-color:var(--mdc-ripple-color, #000)}.mdc-checkbox:hover .mdc-checkbox__ripple::before,.mdc-checkbox.mdc-ripple-surface--hover .mdc-checkbox__ripple::before{opacity:0.04;opacity:var(--mdc-ripple-hover-opacity, 0.04)}.mdc-checkbox.mdc-ripple-upgraded--background-focused .mdc-checkbox__ripple::before,.mdc-checkbox:not(.mdc-ripple-upgraded):focus .mdc-checkbox__ripple::before{transition-duration:75ms;opacity:0.12;opacity:var(--mdc-ripple-focus-opacity, 0.12)}.mdc-checkbox:not(.mdc-ripple-upgraded) .mdc-checkbox__ripple::after{transition:opacity 150ms linear}.mdc-checkbox:not(.mdc-ripple-upgraded):active .mdc-checkbox__ripple::after{transition-duration:75ms;opacity:0.12;opacity:var(--mdc-ripple-press-opacity, 0.12)}.mdc-checkbox.mdc-ripple-upgraded{--mdc-ripple-fg-opacity:var(--mdc-ripple-press-opacity, 0.12)}.mdc-checkbox.mdc-checkbox--selected .mdc-checkbox__ripple::before,.mdc-checkbox.mdc-checkbox--selected .mdc-checkbox__ripple::after{background-color:#018786;background-color:var(--mdc-ripple-color, var(--mdc-theme-secondary, #018786))}.mdc-checkbox.mdc-checkbox--selected:hover .mdc-checkbox__ripple::before,.mdc-checkbox.mdc-checkbox--selected.mdc-ripple-surface--hover .mdc-checkbox__ripple::before{opacity:0.04;opacity:var(--mdc-ripple-hover-opacity, 0.04)}.mdc-checkbox.mdc-checkbox--selected.mdc-ripple-upgraded--background-focused .mdc-checkbox__ripple::before,.mdc-checkbox.mdc-checkbox--selected:not(.mdc-ripple-upgraded):focus .mdc-checkbox__ripple::before{transition-duration:75ms;opacity:0.12;opacity:var(--mdc-ripple-focus-opacity, 0.12)}.mdc-checkbox.mdc-checkbox--selected:not(.mdc-ripple-upgraded) .mdc-checkbox__ripple::after{transition:opacity 150ms linear}.mdc-checkbox.mdc-checkbox--selected:not(.mdc-ripple-upgraded):active .mdc-checkbox__ripple::after{transition-duration:75ms;opacity:0.12;opacity:var(--mdc-ripple-press-opacity, 0.12)}.mdc-checkbox.mdc-checkbox--selected.mdc-ripple-upgraded{--mdc-ripple-fg-opacity:var(--mdc-ripple-press-opacity, 0.12)}.mdc-checkbox.mdc-ripple-upgraded--background-focused.mdc-checkbox--selected .mdc-checkbox__ripple::before,.mdc-checkbox.mdc-ripple-upgraded--background-focused.mdc-checkbox--selected .mdc-checkbox__ripple::after{background-color:#018786;background-color:var(--mdc-ripple-color, var(--mdc-theme-secondary, #018786))}.mdc-checkbox .mdc-checkbox__background{top:calc((40px - 18px) / 2);top:calc((var(--mdc-checkbox-ripple-size, 40px) - 18px) / 2);left:calc((40px - 18px) / 2);left:calc((var(--mdc-checkbox-ripple-size, 40px) - 18px) / 2)}.mdc-checkbox .mdc-checkbox__native-control{top:calc((40px - 40px) / 2);top:calc((40px - var(--mdc-checkbox-touch-target-size, 40px)) / 2);right:calc((40px - 40px) / 2);right:calc((40px - var(--mdc-checkbox-touch-target-size, 40px)) / 2);left:calc((40px - 40px) / 2);left:calc((40px - var(--mdc-checkbox-touch-target-size, 40px)) / 2);width:40px;width:var(--mdc-checkbox-touch-target-size, 40px);height:40px;height:var(--mdc-checkbox-touch-target-size, 40px)}.mdc-checkbox .mdc-checkbox__native-control:enabled:not(:checked):not(:indeterminate):not([data-indeterminate=true])~.mdc-checkbox__background{border-color:rgba(0, 0, 0, 0.54);border-color:var(--mdc-checkbox-unchecked-color, rgba(0, 0, 0, 0.54));background-color:transparent}.mdc-checkbox .mdc-checkbox__native-control:enabled:checked~.mdc-checkbox__background,.mdc-checkbox .mdc-checkbox__native-control:enabled:indeterminate~.mdc-checkbox__background,.mdc-checkbox .mdc-checkbox__native-control[data-indeterminate=true]:enabled~.mdc-checkbox__background{border-color:#018786;border-color:var(--mdc-checkbox-checked-color, var(--mdc-theme-secondary, #018786));background-color:#018786;background-color:var(--mdc-checkbox-checked-color, var(--mdc-theme-secondary, #018786))}@keyframes mdc-checkbox-fade-in-background-8A000000FF01878600000000FF018786{0%{border-color:rgba(0, 0, 0, 0.54);border-color:var(--mdc-checkbox-unchecked-color, rgba(0, 0, 0, 0.54));background-color:transparent}50%{border-color:#018786;border-color:var(--mdc-checkbox-checked-color, var(--mdc-theme-secondary, #018786));background-color:#018786;background-color:var(--mdc-checkbox-checked-color, var(--mdc-theme-secondary, #018786))}}@keyframes mdc-checkbox-fade-out-background-8A000000FF01878600000000FF018786{0%,80%{border-color:#018786;border-color:var(--mdc-checkbox-checked-color, var(--mdc-theme-secondary, #018786));background-color:#018786;background-color:var(--mdc-checkbox-checked-color, var(--mdc-theme-secondary, #018786))}100%{border-color:rgba(0, 0, 0, 0.54);border-color:var(--mdc-checkbox-unchecked-color, rgba(0, 0, 0, 0.54));background-color:transparent}}.mdc-checkbox.mdc-checkbox--anim-unchecked-checked .mdc-checkbox__native-control:enabled~.mdc-checkbox__background,.mdc-checkbox.mdc-checkbox--anim-unchecked-indeterminate .mdc-checkbox__native-control:enabled~.mdc-checkbox__background{animation-name:mdc-checkbox-fade-in-background-8A000000FF01878600000000FF018786}.mdc-checkbox.mdc-checkbox--anim-checked-unchecked .mdc-checkbox__native-control:enabled~.mdc-checkbox__background,.mdc-checkbox.mdc-checkbox--anim-indeterminate-unchecked .mdc-checkbox__native-control:enabled~.mdc-checkbox__background{animation-name:mdc-checkbox-fade-out-background-8A000000FF01878600000000FF018786}.mdc-checkbox .mdc-checkbox__native-control[disabled]:not(:checked):not(:indeterminate):not([data-indeterminate=true])~.mdc-checkbox__background{border-color:rgba(0, 0, 0, 0.38);border-color:var(--mdc-checkbox-disabled-color, rgba(0, 0, 0, 0.38));background-color:transparent}.mdc-checkbox .mdc-checkbox__native-control[disabled]:checked~.mdc-checkbox__background,.mdc-checkbox .mdc-checkbox__native-control[disabled]:indeterminate~.mdc-checkbox__background,.mdc-checkbox .mdc-checkbox__native-control[data-indeterminate=true][disabled]~.mdc-checkbox__background{border-color:transparent;background-color:rgba(0, 0, 0, 0.38);background-color:var(--mdc-checkbox-disabled-color, rgba(0, 0, 0, 0.38))}.mdc-checkbox .mdc-checkbox__native-control:enabled~.mdc-checkbox__background .mdc-checkbox__checkmark{color:#fff;color:var(--mdc-checkbox-ink-color, #fff)}.mdc-checkbox .mdc-checkbox__native-control:enabled~.mdc-checkbox__background .mdc-checkbox__mixedmark{border-color:#fff;border-color:var(--mdc-checkbox-ink-color, #fff)}.mdc-checkbox .mdc-checkbox__native-control:disabled~.mdc-checkbox__background .mdc-checkbox__checkmark{color:#fff;color:var(--mdc-checkbox-ink-color, #fff)}.mdc-checkbox .mdc-checkbox__native-control:disabled~.mdc-checkbox__background .mdc-checkbox__mixedmark{border-color:#fff;border-color:var(--mdc-checkbox-ink-color, #fff)}.mdc-touch-target-wrapper{display:inline}@keyframes mdc-checkbox-unchecked-checked-checkmark-path{0%,50%{stroke-dashoffset:29.7833385}50%{animation-timing-function:cubic-bezier(0, 0, 0.2, 1)}100%{stroke-dashoffset:0}}@keyframes mdc-checkbox-unchecked-indeterminate-mixedmark{0%,68.2%{transform:scaleX(0)}68.2%{animation-timing-function:cubic-bezier(0, 0, 0, 1)}100%{transform:scaleX(1)}}@keyframes mdc-checkbox-checked-unchecked-checkmark-path{from{animation-timing-function:cubic-bezier(0.4, 0, 1, 1);opacity:1;stroke-dashoffset:0}to{opacity:0;stroke-dashoffset:-29.7833385}}@keyframes mdc-checkbox-checked-indeterminate-checkmark{from{animation-timing-function:cubic-bezier(0, 0, 0.2, 1);transform:rotate(0deg);opacity:1}to{transform:rotate(45deg);opacity:0}}@keyframes mdc-checkbox-indeterminate-checked-checkmark{from{animation-timing-function:cubic-bezier(0.14, 0, 0, 1);transform:rotate(45deg);opacity:0}to{transform:rotate(360deg);opacity:1}}@keyframes mdc-checkbox-checked-indeterminate-mixedmark{from{animation-timing-function:mdc-animation-deceleration-curve-timing-function;transform:rotate(-45deg);opacity:0}to{transform:rotate(0deg);opacity:1}}@keyframes mdc-checkbox-indeterminate-checked-mixedmark{from{animation-timing-function:cubic-bezier(0.14, 0, 0, 1);transform:rotate(0deg);opacity:1}to{transform:rotate(315deg);opacity:0}}@keyframes mdc-checkbox-indeterminate-unchecked-mixedmark{0%{animation-timing-function:linear;transform:scaleX(1);opacity:1}32.8%,100%{transform:scaleX(0);opacity:0}}.mdc-checkbox{display:inline-block;position:relative;flex:0 0 18px;box-sizing:content-box;width:18px;height:18px;line-height:0;white-space:nowrap;cursor:pointer;vertical-align:bottom}.mdc-checkbox.mdc-ripple-upgraded--background-focused .mdc-checkbox__focus-ring,.mdc-checkbox:not(.mdc-ripple-upgraded):focus .mdc-checkbox__focus-ring{pointer-events:none;border:2px solid transparent;border-radius:6px;box-sizing:content-box;position:absolute;top:50%;left:50%;transform:translate(-50%, -50%);height:100%;width:100%}@media screen and (forced-colors: active){.mdc-checkbox.mdc-ripple-upgraded--background-focused .mdc-checkbox__focus-ring,.mdc-checkbox:not(.mdc-ripple-upgraded):focus .mdc-checkbox__focus-ring{border-color:CanvasText}}.mdc-checkbox.mdc-ripple-upgraded--background-focused .mdc-checkbox__focus-ring::after,.mdc-checkbox:not(.mdc-ripple-upgraded):focus .mdc-checkbox__focus-ring::after{content:"";border:2px solid transparent;border-radius:8px;display:block;position:absolute;top:50%;left:50%;transform:translate(-50%, -50%);height:calc(100% + 4px);width:calc(100% + 4px)}@media screen and (forced-colors: active){.mdc-checkbox.mdc-ripple-upgraded--background-focused .mdc-checkbox__focus-ring::after,.mdc-checkbox:not(.mdc-ripple-upgraded):focus .mdc-checkbox__focus-ring::after{border-color:CanvasText}}@media all and (-ms-high-contrast: none){.mdc-checkbox .mdc-checkbox__focus-ring{display:none}}@media screen and (forced-colors: active),(-ms-high-contrast: active){.mdc-checkbox__mixedmark{margin:0 1px}}.mdc-checkbox--disabled{cursor:default;pointer-events:none}.mdc-checkbox__background{display:inline-flex;position:absolute;align-items:center;justify-content:center;box-sizing:border-box;width:18px;height:18px;border:2px solid currentColor;border-radius:2px;background-color:transparent;pointer-events:none;will-change:background-color,border-color;transition:background-color 90ms 0ms cubic-bezier(0.4, 0, 0.6, 1),border-color 90ms 0ms cubic-bezier(0.4, 0, 0.6, 1)}.mdc-checkbox__checkmark{position:absolute;top:0;right:0;bottom:0;left:0;width:100%;opacity:0;transition:opacity 180ms 0ms cubic-bezier(0.4, 0, 0.6, 1)}.mdc-checkbox--upgraded .mdc-checkbox__checkmark{opacity:1}.mdc-checkbox__checkmark-path{transition:stroke-dashoffset 180ms 0ms cubic-bezier(0.4, 0, 0.6, 1);stroke:currentColor;stroke-width:3.12px;stroke-dashoffset:29.7833385;stroke-dasharray:29.7833385}.mdc-checkbox__mixedmark{width:100%;height:0;transform:scaleX(0) rotate(0deg);border-width:1px;border-style:solid;opacity:0;transition:opacity 90ms 0ms cubic-bezier(0.4, 0, 0.6, 1),transform 90ms 0ms cubic-bezier(0.4, 0, 0.6, 1)}.mdc-checkbox--anim-unchecked-checked .mdc-checkbox__background,.mdc-checkbox--anim-unchecked-indeterminate .mdc-checkbox__background,.mdc-checkbox--anim-checked-unchecked .mdc-checkbox__background,.mdc-checkbox--anim-indeterminate-unchecked .mdc-checkbox__background{animation-duration:180ms;animation-timing-function:linear}.mdc-checkbox--anim-unchecked-checked .mdc-checkbox__checkmark-path{animation:mdc-checkbox-unchecked-checked-checkmark-path 180ms linear 0s;transition:none}.mdc-checkbox--anim-unchecked-indeterminate .mdc-checkbox__mixedmark{animation:mdc-checkbox-unchecked-indeterminate-mixedmark 90ms linear 0s;transition:none}.mdc-checkbox--anim-checked-unchecked .mdc-checkbox__checkmark-path{animation:mdc-checkbox-checked-unchecked-checkmark-path 90ms linear 0s;transition:none}.mdc-checkbox--anim-checked-indeterminate .mdc-checkbox__checkmark{animation:mdc-checkbox-checked-indeterminate-checkmark 90ms linear 0s;transition:none}.mdc-checkbox--anim-checked-indeterminate .mdc-checkbox__mixedmark{animation:mdc-checkbox-checked-indeterminate-mixedmark 90ms linear 0s;transition:none}.mdc-checkbox--anim-indeterminate-checked .mdc-checkbox__checkmark{animation:mdc-checkbox-indeterminate-checked-checkmark 500ms linear 0s;transition:none}.mdc-checkbox--anim-indeterminate-checked .mdc-checkbox__mixedmark{animation:mdc-checkbox-indeterminate-checked-mixedmark 500ms linear 0s;transition:none}.mdc-checkbox--anim-indeterminate-unchecked .mdc-checkbox__mixedmark{animation:mdc-checkbox-indeterminate-unchecked-mixedmark 300ms linear 0s;transition:none}.mdc-checkbox__native-control:checked~.mdc-checkbox__background,.mdc-checkbox__native-control:indeterminate~.mdc-checkbox__background,.mdc-checkbox__native-control[data-indeterminate=true]~.mdc-checkbox__background{transition:border-color 90ms 0ms cubic-bezier(0, 0, 0.2, 1),background-color 90ms 0ms cubic-bezier(0, 0, 0.2, 1)}.mdc-checkbox__native-control:checked~.mdc-checkbox__background .mdc-checkbox__checkmark-path,.mdc-checkbox__native-control:indeterminate~.mdc-checkbox__background .mdc-checkbox__checkmark-path,.mdc-checkbox__native-control[data-indeterminate=true]~.mdc-checkbox__background .mdc-checkbox__checkmark-path{stroke-dashoffset:0}.mdc-checkbox__native-control{position:absolute;margin:0;padding:0;opacity:0;cursor:inherit}.mdc-checkbox__native-control:disabled{cursor:default;pointer-events:none}.mdc-checkbox--touch{margin:calc((48px - 40px) / 2);margin:calc((var(--mdc-checkbox-state-layer-size, 48px) - var(--mdc-checkbox-state-layer-size, 40px)) / 2)}.mdc-checkbox--touch .mdc-checkbox__native-control{top:calc((40px - 48px) / 2);top:calc((var(--mdc-checkbox-state-layer-size, 40px) - var(--mdc-checkbox-state-layer-size, 48px)) / 2);right:calc((40px - 48px) / 2);right:calc((var(--mdc-checkbox-state-layer-size, 40px) - var(--mdc-checkbox-state-layer-size, 48px)) / 2);left:calc((40px - 48px) / 2);left:calc((var(--mdc-checkbox-state-layer-size, 40px) - var(--mdc-checkbox-state-layer-size, 48px)) / 2);width:48px;width:var(--mdc-checkbox-state-layer-size, 48px);height:48px;height:var(--mdc-checkbox-state-layer-size, 48px)}.mdc-checkbox__native-control:checked~.mdc-checkbox__background .mdc-checkbox__checkmark{transition:opacity 180ms 0ms cubic-bezier(0, 0, 0.2, 1),transform 180ms 0ms cubic-bezier(0, 0, 0.2, 1);opacity:1}.mdc-checkbox__native-control:checked~.mdc-checkbox__background .mdc-checkbox__mixedmark{transform:scaleX(1) rotate(-45deg)}.mdc-checkbox__native-control:indeterminate~.mdc-checkbox__background .mdc-checkbox__checkmark,.mdc-checkbox__native-control[data-indeterminate=true]~.mdc-checkbox__background .mdc-checkbox__checkmark{transform:rotate(45deg);opacity:0;transition:opacity 90ms 0ms cubic-bezier(0.4, 0, 0.6, 1),transform 90ms 0ms cubic-bezier(0.4, 0, 0.6, 1)}.mdc-checkbox__native-control:indeterminate~.mdc-checkbox__background .mdc-checkbox__mixedmark,.mdc-checkbox__native-control[data-indeterminate=true]~.mdc-checkbox__background .mdc-checkbox__mixedmark{transform:scaleX(1) rotate(0deg);opacity:1}.mdc-checkbox.mdc-checkbox--upgraded .mdc-checkbox__background,.mdc-checkbox.mdc-checkbox--upgraded .mdc-checkbox__checkmark,.mdc-checkbox.mdc-checkbox--upgraded .mdc-checkbox__checkmark-path,.mdc-checkbox.mdc-checkbox--upgraded .mdc-checkbox__mixedmark{transition:none}:host{outline:none;display:inline-flex;-webkit-tap-highlight-color:transparent}:host([checked]),:host([indeterminate]){--mdc-ripple-color:var(--mdc-theme-secondary, #018786)}.mdc-checkbox .mdc-checkbox__background::before{content:none}`;let E=class Checkbox extends CheckboxBase{};E.styles=[_],E=(0,l.gn)([(0,d.M)("mwc-checkbox")],E);var T=r(8973),C=r(5862),A=r(8810);let O=class LitCheckbox extends C.oi{constructor(){super(...arguments),this.label="",this.checked=!1,this.indeterminate=!1,this.disabled=!1,this.value=""}static get styles(){return C.iv`
      :host {
        outline: none;
        --lit-checkbox-label-white-space: normal;
      }

      .wrapper {
        display: flex;
        align-items: center;
        font-size: 13px;
        height: 28px;
        margin-left: -12px;
        margin-right: 4px;
        line-height: 14px;
      }

      .wrapper.disabled {
        opacity: 0.2;
      }

      lit-mwc-checkbox-internal {
        transform: scale(0.7);
        margin-right: -8px;
      }

      .checkbox-label {
        cursor: pointer;
        white-space: var(--lit-checkbox-label-white-space);
      }
    `}render(){const t=()=>{this.checked=!this.checked;const t=new Event("change");this.dispatchEvent(t)},n=(0,A.$)({wrapper:!0,disabled:this.disabled});return C.dy`
      <div class=${n}>
        <lit-mwc-checkbox-internal
          ?checked=${this.checked}
          ?indeterminate=${this.indeterminate}
          ?disabled=${this.disabled}
          value=${this.value}
          @change=${t}
        >
        </lit-mwc-checkbox-internal>
        <span class="checkbox-label" @click=${t}>${this.label}</span>
      </div>
    `}};(0,l.gn)([(0,T.Cb)({type:String}),(0,l.w6)("design:type",Object)],O.prototype,"label",void 0),(0,l.gn)([(0,T.Cb)({type:Boolean}),(0,l.w6)("design:type",Object)],O.prototype,"checked",void 0),(0,l.gn)([(0,T.Cb)({type:Boolean}),(0,l.w6)("design:type",Object)],O.prototype,"indeterminate",void 0),(0,l.gn)([(0,T.Cb)({type:Boolean}),(0,l.w6)("design:type",Object)],O.prototype,"disabled",void 0),(0,l.gn)([(0,T.Cb)({type:String}),(0,l.w6)("design:type",Object)],O.prototype,"value",void 0),O=(0,l.gn)([(0,T.Mo)("lit-checkbox")],O);customElements.define("lit-mwc-checkbox-internal",class MwcCheckboxOverride extends E{constructor(){super(),this.__allowInstanceProperties=!0,Object.defineProperty(this,"shouldRenderRipple",{get:()=>!1,set:()=>{}})}})},7146:(t,n,r)=>{"use strict";r.d(n,{H:()=>S});var l=r(7582),d=r(3886),h=r(5862),p=r(8973),f=r(8810),m=r(3196),g=r(2188),y=r(6070),v=r(9537),b=r(5889),x=(r(4915),r(7098));const w=h.iv`.legend-container {
  display: flex;
  flex-direction: row;
  align-items: center;
  height: 30px;
  overflow-x: auto;
  overflow-y: hidden;
}

.legend-container.align-right {
  justify-content: flex-end;
}

.legend-container mwc-icon {
  vertical-align: -2px;
}

.legend-line {
  display: flex;
  flex-direction: row;
  align-items: center;
}

.legend-box {
  width: 13px;
  height: 13px;
  margin: 2px;
  border: 1px solid gray;
  border-radius: 1px;
  /* This helps to offset a rendering differential between
   * tooltip and color blocks. */
  transform: translateY(2px);
}

.legend-label {
  margin-left: 3px;
  margin-right: 2px;
  line-height: 13px;
  font-family: 'Roboto';
  font-style: 'normal';
  font-size: 13px;
  color: var(--lit-neutral-800);
}

.color-label {
  min-width: 20px;
  margin-left: 3px;
  margin-right: 3px;
  line-height: 13px;
  font-family: 'Roboto';
  font-style: 'normal';
  font-size: 13px;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
  color: var(--lit-neutral-800);
}`;var S;!function(t){t.SEQUENTIAL="sequential",t.CATEGORICAL="categorical"}(S||(S={}));function _(t,n){try{return Number(t.getPropertyValue(n).replace(/[^\d\.]/g,""))}catch(t){return 0}}let E=class ColorLegend extends v.f{constructor(){super(...arguments),this.scale=d.PKp([y.TP]).domain(["all"]),this.legendType=S.CATEGORICAL,this.label="",this.paletteTooltipText="",this.tooltipPosition="above",this.legendWidth=150,this.alignRight=!1,this.fontFamily="",this.fontStyle="",this.fontSize="",this.labelMarginLeft=3,this.labelMarginRight=2,this.boxWidth=13,this.boxMargin=2,this.selectedColorLabelWidth=46,this.iconWidth=16}static get styles(){return[b.W,w]}firstUpdated(){const{host:t}=this.shadowRoot;if(t){const n=window.getComputedStyle(t);this.legendWidth=_(n,"width")||this.legendWidth}const n=this.shadowRoot.querySelector(".legend-label");if(n){const t=window.getComputedStyle(n);this.fontFamily=t.getPropertyValue("font-family"),this.fontStyle=t.getPropertyValue("font-style"),this.fontSize=t.getPropertyValue("font-size"),this.labelMarginLeft=_(t,"margin-left")||this.labelMarginLeft,this.labelMarginRight=_(t,"margin-right")||this.labelMarginRight}const r=this.shadowRoot.querySelector(".legend-box");if(r){const t=window.getComputedStyle(r);this.boxWidth=_(t,"width")||this.boxWidth,this.boxMargin=_(t,"margin")||this.boxMargin}const l=this.shadowRoot.querySelector(".color-label");if(l){const t=window.getComputedStyle(l),n=_(t,"margin-left")||3,r=_(t,"margin-right")||3;this.selectedColorLabelWidth=n+r+_(t,"width")||this.selectedColorLabelWidth}const d=this.shadowRoot.querySelector(".palette-icon");if(d){const t=window.getComputedStyle(d);this.iconWidth=_(t,"width")||this.iconWidth}}renderLegendBlock(t,n){const r=(0,m.V)({background:this.scale(t)});return h.dy`
      <div class='legend-line'>
        <lit-tooltip content=${t} tooltipPosition=${this.tooltipPosition}>
          <div class='legend-box' slot="tooltip-anchor" style=${r}></div>
        </lit-tooltip>
        <div class='legend-label' ?hidden=${n}>${t}</div>
      </div>
    `}renderSequentialBlock(t,n,r,l=!1){const d=t===n?t:l?`[${t}, ${n}]`:`[${t}, ${n})`,p=(0,m.V)({background:this.scale(r)});return h.dy`
      <div class='legend-line'>
        <lit-tooltip content=${d} tooltipPosition=${this.tooltipPosition}>
          <div class='legend-box' slot="tooltip-anchor" style=${p}></div>
        </lit-tooltip>
      </div>
    `}renderCategoricalLegend(){const t=1===this.scale.domain().length||this.fullLegendWidth>this.legendWidth;return h.dy`
      <lit-tooltip .content=${this.paletteTooltipText}
        .tooltipPosition=${this.tooltipPosition}>
        <mwc-icon class="icon material-icon-outlined"
          slot="tooltip-anchor">palette</mwc-icon>
      </lit-tooltip>
      <div class="color-label" name="color-name">
        ${this.label}
      </div>
      ${this.scale.domain().map((n=>this.renderLegendBlock(n,t)))}
    `}renderSequentialLegend(){const[t,n]=this.scale.domain(),r=(0,x.Ou)(t,n,7);let l=t,d=(n-t)/7;return d=d>=5?Math.round(d):d,h.dy`
      <lit-tooltip .content=${this.paletteTooltipText}
        .tooltipPosition=${this.tooltipPosition}>
        <mwc-icon class="icon material-icon-outlined"
          slot="tooltip-anchor">palette</mwc-icon>
      </lit-tooltip>
      <div class="color-label" name="color-name">
        ${this.label}
      </div>
      <div class='legend-label'>${this.toStringValue(t)}</div>
      ${r.map((r=>(r!==t&&(l+=d),this.renderSequentialBlock(this.toStringValue(l),this.toStringValue(r===n?n:l+d),this.toStringValue(r),r===n))))}
      <div class='legend-label'>${this.toStringValue(n)}</div>
    `}toStringValue(t){return t%1==0?t.toString():t.toFixed(2)}get fullLegendWidth(){const t=this.scale.domain();let n=0;if(this.fontFamily&&this.fontSize&&this.fontStyle){const r=`"'${this.fontFamily}', ${this.fontStyle}"`,l=`${this.fontSize} ${r}`;n=(0,x.mY)(t.join(""),l,5.7)}else n=5.7*t.join("").length;const r=t.length*(this.boxWidth+2*this.boxMargin),l=this.selectedColorLabelWidth+n+t.length*(this.labelMarginLeft+this.labelMarginRight);return this.iconWidth+r+l}render(){const t=(0,f.$)({"legend-container":!0,"align-right":this.alignRight});return h.dy`
      <div class=${t}>
        ${this.legendType===S.CATEGORICAL?this.renderCategoricalLegend():this.renderSequentialLegend()}
      </div>
    `}};(0,l.gn)([g.LO,(0,p.Cb)({type:Object}),(0,l.w6)("design:type",Function)],E.prototype,"scale",void 0),(0,l.gn)([(0,p.Cb)({type:String}),(0,l.w6)("design:type",Object)],E.prototype,"legendType",void 0),(0,l.gn)([(0,p.Cb)({type:String}),(0,l.w6)("design:type",Object)],E.prototype,"label",void 0),(0,l.gn)([(0,p.Cb)({type:String}),(0,l.w6)("design:type",Object)],E.prototype,"paletteTooltipText",void 0),(0,l.gn)([(0,p.Cb)({type:String}),(0,l.w6)("design:type",Object)],E.prototype,"tooltipPosition",void 0),(0,l.gn)([(0,p.Cb)({type:Number}),(0,l.w6)("design:type",Object)],E.prototype,"legendWidth",void 0),(0,l.gn)([(0,p.Cb)({type:Boolean}),(0,l.w6)("design:type",Object)],E.prototype,"alignRight",void 0),(0,l.gn)([g.Fl,(0,l.w6)("design:type",Number),(0,l.w6)("design:paramtypes",[])],E.prototype,"fullLegendWidth",null),E=(0,l.gn)([(0,p.Mo)("color-legend")],E)},4494:(t,n,r)=>{"use strict";var l=r(7582),d=(r(1764),r(3886)),h=r(5862),p=r(8973),f=r(8810),m=r(3196),g=r(2188),y=r(6070),v=r(5889);const b=h.iv`.cell {
  font-family: 'Roboto Mono', monospace;
  cursor: pointer;
  padding: 2px 4px;
  border-radius: 2px;
  border: 2px solid transparent;
}

.cell-container {
  display: flex;
  min-width: 90px;
}

.percentage {
  width: 50%;
  min-width: 50%;
  max-width: 50%;
  text-align: end;
  padding-right: 6px;
}

.val {
  width: 50%;
  text-align: end;
}

.header-cell {
  cursor: pointer;
  font-weight: normal;
  padding: 2px 4px;
}

.align-bottom {
  vertical-align: bottom;
}

.align-right {
  text-align: end;
}

.total-title-cell {
  padding: 2px 4px;
  color: #5f6368;
}

.total-cell {
  padding: 2px 4px;
  font-family: 'Roboto Mono', monospace;
  color: #5f6368;
}

.axis-title {
  font-size: 11px;
  text-align: center;
}

/* Need to style the div inside a th/td to set width and height correctly. */
.label-vertical > div {
  transform: rotate(180deg);
  text-align: center;
  writing-mode: vertical-lr;
}

.delete-cell {
  display: flex;
  justify-content: flex-end
}
`,x=Math.floor(6/7*100),w=(0,y.eC)([...y.NM.primary.slice(0,8).map((t=>t.color))]);let S=class DataMatrix extends h.oi{constructor(){super(...arguments),this.verticalColumnLabels=!1,this.hideEmptyLabels=!1,this.matrixCells=[],this.colTitle="",this.rowTitle="",this.colLabels=[],this.rowLabels=[]}static get styles(){return[v.W,b]}get totalIds(){let t=0;for(const n of this.matrixCells)for(const r of n)t+=r.size;return t}get colorScale(){return d.cJy(w).domain([0,this.totalIds])}updateSelection(){const t=[];for(let n=0;n<this.matrixCells.length;n++)for(let r=0;r<this.matrixCells[n].length;r++){this.matrixCells[n][r].selected&&t.push([n,r])}const n=new CustomEvent("matrix-selection",{detail:{cells:t}});this.dispatchEvent(n)}renderColHeader(t,n,r){if(this.hideEmptyLabels&&!r.has(t))return null;const l=(0,f.$)({"header-cell":!0,"align-bottom":this.verticalColumnLabels,"label-vertical":this.verticalColumnLabels});return h.dy`
      <th class=${l} @click=${()=>{const t=this.matrixCells.map((t=>t[n])),r=t.every((t=>t.selected));for(const n of t)n.selected=!r;this.updateSelection(),this.requestUpdate()}}>
        <div>${t}</div>
      </th>
    `}renderCell(t,n,r){var l;if(null==(null===(l=this.matrixCells[t])||void 0===l?void 0:l[n]))return null;const d=this.matrixCells[t][n];if(this.hideEmptyLabels&&!r.has(this.colLabels[n]))return null;const p=this.colorScale(d.size),f=d.size/this.totalIds*100,g=f>x?"white":"black",y=d.selected?"var(--lit-cyea-400)":"transparent",v=(0,m.V)({background:`${p}`,color:`${g}`,border:"2px solid","border-color":y});return h.dy`
        <td class="cell" style=${v} @click=${()=>{d.selected=!d.selected,this.updateSelection(),this.requestUpdate()}}>
          <div class="cell-container">
            <div class="percentage">${f.toFixed(1)}%</div>
            <div class="val">(${d.size})</div>
          </div>
        </td>`}renderRow(t,n,r,l){if(this.hideEmptyLabels&&!r.has(t))return null;let d=0;for(const t of this.matrixCells[n])d+=t.size;return h.dy`
      <tr>
        <th class="header-cell align-right" @click=${()=>{const t=this.matrixCells[n],r=t.every((t=>t.selected));for(const n of t)n.selected=!r;this.updateSelection(),this.requestUpdate()}}>
          ${t}
        </th>
        ${this.colLabels.map(((t,r)=>this.renderCell(n,r,l)))}
        ${this.renderTotalCell(d)}
      </tr>`}renderTotalCell(t){const n=(t/this.totalIds*100).toFixed(1);return h.dy`
        <td class="total-cell">
          <div class="cell-container">
            <div class="percentage">${n}%</div>
            <div class="val">(${t})</div>
          </div>
        </td>`}renderColTotalCell(t){var n;let r=0;for(const l of this.matrixCells)r+=(null===(n=l[t])||void 0===n?void 0:n.size)||0;return this.renderTotalCell(r)}renderTotalRow(t){return h.dy`
      <tr>
        <th class="total-title-cell align-right">Total</th>
        ${this.colLabels.map(((n,r)=>this.hideEmptyLabels&&!t.has(this.colLabels[r])?null:this.renderColTotalCell(r)))}
        <td class="total-cell"></td>
      </tr>`}renderColumnRotateButton(){return h.dy`
      <lit-tooltip content="Rotate column labels">
        <mwc-icon class="icon-button" slot="tooltip-anchor"
          @click="${()=>{this.verticalColumnLabels=!this.verticalColumnLabels,this.requestUpdate()}}">
          ${this.verticalColumnLabels?"text_rotate_up":"text_rotation_none"}
        </mwc-icon>
      </lit-tooltip>
    `}render(){if(0===this.matrixCells.length)return null;const t=new Set,n=new Set;for(let r=0;r<this.matrixCells.length;r++){const l=this.matrixCells[r];for(let d=0;d<l.length;d++){l[d].size>0&&(t.add(this.rowLabels[r]),n.add(this.colLabels[d]))}}const r=(0,f.$)({"total-title-cell":!0,"align-bottom":this.verticalColumnLabels}),l=this.hideEmptyLabels?n.size:this.colLabels.length,d=(this.hideEmptyLabels?t.size:this.rowLabels.length)+2;return h.dy`
      <table>
        <tr>
          <th>${this.renderColumnRotateButton()}</th>
          <td></td>
          <td class='axis-title' colspan=${l}>
            ${this.colTitle}
          </td>
          <th></th>
        </tr>
        <tr>
          <td class='axis-title label-vertical' rowspan=${d}>
            <div>${this.rowTitle}</div>
          </td>
          <td></td>
          ${this.colLabels.map(((t,r)=>this.renderColHeader(t,r,n)))}
          <th class=${r}><div>Total</div></th>
        </tr>
        ${this.rowLabels.map(((r,l)=>this.renderRow(r,l,t,n)))}
        ${this.renderTotalRow(n)}
      </table>
    `}};(0,l.gn)([g.LO,(0,l.w6)("design:type",Object)],S.prototype,"verticalColumnLabels",void 0),(0,l.gn)([(0,p.Cb)({type:Boolean}),(0,l.w6)("design:type",Object)],S.prototype,"hideEmptyLabels",void 0),(0,l.gn)([(0,p.Cb)({type:Array}),(0,l.w6)("design:type",Array)],S.prototype,"matrixCells",void 0),(0,l.gn)([(0,p.Cb)({type:String}),(0,l.w6)("design:type",Object)],S.prototype,"colTitle",void 0),(0,l.gn)([(0,p.Cb)({type:String}),(0,l.w6)("design:type",Object)],S.prototype,"rowTitle",void 0),(0,l.gn)([(0,p.Cb)({type:Array}),(0,l.w6)("design:type",Array)],S.prototype,"colLabels",void 0),(0,l.gn)([(0,p.Cb)({type:Array}),(0,l.w6)("design:type",Array)],S.prototype,"rowLabels",void 0),(0,l.gn)([g.Fl,(0,l.w6)("design:type",Number),(0,l.w6)("design:paramtypes",[])],S.prototype,"totalIds",null),(0,l.gn)([g.Fl,(0,l.w6)("design:type",Object),(0,l.w6)("design:paramtypes",[])],S.prototype,"colorScale",null),S=(0,l.gn)([(0,p.Mo)("data-matrix")],S)},5197:(t,n,r)=>{"use strict";var l=r(7582),d=r(5862),h=r(8973),p=r(8810),f=r(3196),m=r(9537),g=r(5889);const y=d.iv`:host {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: start;
}

.expansion-header {
  width: calc(100% - 16px);
  height: 30px;
  padding: 2px 8px;
  border-bottom: 1px solid var(--lit-neutral-300);
  border-top: 1px solid var(--lit-neutral-100);
  column-gap: 4px;

  display: flex;
  flex-direction: row;
  cursor: pointer;
  align-items: center;
  justify-content: space-between;

  background-color: var(--lit-neutral-100);
}

.expansion-label {
  max-width: calc(100% - 32px);

  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;

  color: var(--lit-majtonal-nv-800);
  font-weight: bold;
}

.bar-spacer {
  flex: 1; /* use available space */
}

/* Revert a pointer style from .expansion-header */
.bar-content {
  cursor: initial;
}

.expansion-content {
  padding: 0;
  border-bottom: 1px solid var(--lit-neutral-300);
}

.expansion-content.pad-left {
  padding-left: 8px;
}

.expansion-content.pad-right {
  padding-right: 16px;
}
`;let v=class ExpansionPanel extends m.f{constructor(){super(...arguments),this.label="",this.description="",this.expanded=!1,this.padLeft=!1,this.padRight=!1}static get styles(){return[g.W,y]}render(){var t;const n=(this.padLeft?8:0)+(this.padRight?16:0),r=(0,f.V)({width:`calc(100% - ${n}px)`}),l=(0,p.$)({"expansion-content":!0,"pad-left":this.padLeft,"pad-right":this.padRight}),h=null!==(t=this.description)&&void 0!==t?t:this.label;return d.dy`
        <div class="expansion-header" @click=${()=>{this.expanded=!this.expanded;const t=new CustomEvent("expansion-toggle",{detail:{isExpanded:this.expanded}});this.dispatchEvent(t)}}>
          <div class="expansion-label" title=${h}>${this.label}</div>
          <div class='bar-spacer'></div>
          <div class='bar-content'
            @click=${t=>{t.stopPropagation()}}>
            <slot name="bar-content"></slot>
          </div>
          <mwc-icon class="icon-button min-button">
            ${this.expanded?"expand_less":"expand_more"}
          </mwc-icon>
        </div>
        ${this.expanded?d.dy`<div class=${l} style=${r}><slot></slot></div>`:null}`}};(0,l.gn)([(0,h.Cb)({type:String}),(0,l.w6)("design:type",Object)],v.prototype,"label",void 0),(0,l.gn)([(0,h.Cb)({type:String}),(0,l.w6)("design:type",Object)],v.prototype,"description",void 0),(0,l.gn)([(0,h.Cb)({type:Boolean}),(0,l.w6)("design:type",Object)],v.prototype,"expanded",void 0),(0,l.gn)([(0,h.Cb)({type:Boolean}),(0,l.w6)("design:type",Object)],v.prototype,"padLeft",void 0),(0,l.gn)([(0,h.Cb)({type:Boolean}),(0,l.w6)("design:type",Object)],v.prototype,"padRight",void 0),v=(0,l.gn)([(0,h.Mo)("expansion-panel")],v)},4600:(t,n,r)=>{"use strict";var l=r(7582),d=(r(8684),r(5862)),h=r(8810),p=r(8973),f=r(6610),m=r(9537),g=r(5889);const y=d.iv`#export-controls {
  display: inline-block;
}

.above {
  --popup-bottom: 28px;
}

.icon-button {
  font-size: 18px;
  vertical-align: middle;
  margin-left: 3px;
  margin-bottom: 5px;
}

.download-button {
  margin: 4px 0 0 0;
  width: 100%;
}

popup-container.download-popup {
  display: inline-block;
  --popup-right: 0;
}

.download-popup-controls {
  align-items: center;
}
`;r(6645);let v=class ExportControls extends m.f{constructor(){super(...arguments),this.downloadFilename="data.csv",this.data=[],this.columnNames=[],this.popupPosition="below",this.tooltipPosition="left",this.disabled=!1}static get styles(){return[g.W,y]}getCSVContent(){return f.unparse({fields:this.columnNames,data:this.data},{newline:"\r\n"})}getPopupClasses(){return(0,h.$)({hidden:this.disabled,"download-popup":!0,above:"above"===this.popupPosition})}render(){const t=()=>{const t=this.getCSVContent(),n=new Blob([t],{type:"text/csv"}),r=window.document.createElement("a");r.href=window.URL.createObjectURL(n),r.download=this.downloadFilename,document.body.appendChild(r),r.click(),document.body.removeChild(r);this.shadowRoot.querySelector("popup-container.download-popup").expanded=!1};const n=(0,h.$)({"icon-button":!0,"mdi-outlined":!0,disabled:this.disabled});return d.dy`
      <div id='export-controls'>
        <lit-tooltip content="Copy ${this.data.length} rows as CSV"
          tooltipPosition=${this.tooltipPosition}>
          <mwc-icon class=${n} slot="tooltip-anchor" @click=${()=>{const t=this.getCSVContent();navigator.clipboard.writeText(t)}}>
            file_copy
          </mwc-icon>
        </lit-tooltip>

        <popup-container class='${this.getPopupClasses()}'>
          <lit-tooltip content="Download ${this.data.length} rows as CSV"
            tooltipPosition="${this.tooltipPosition}" slot="toggle-anchor">
            <mwc-icon class=${n} slot="tooltip-anchor">
              file_download
            </mwc-icon>
          </lit-tooltip>
          <div class='download-popup-controls'>
            <label for="filename">Filename</label>
            <input type="text" name="filename" value=${this.downloadFilename}
              @input=${t=>{this.downloadFilename=t.target.value}} @keydown=${function(n){"Enter"===n.key&&t()}}>
            <button class='download-button filled-button nowrap'
              @click=${t}
              ?disabled=${!this.downloadFilename}>
              Download ${this.data.length} rows
            </button>
          </div>
        </popup-container>
      </div>`}};(0,l.gn)([(0,p.Cb)({type:String}),(0,l.w6)("design:type",Object)],v.prototype,"downloadFilename",void 0),(0,l.gn)([(0,p.Cb)({type:Object}),(0,l.w6)("design:type",Array)],v.prototype,"data",void 0),(0,l.gn)([(0,p.Cb)({type:Object}),(0,l.w6)("design:type",Array)],v.prototype,"columnNames",void 0),(0,l.gn)([(0,p.Cb)({type:String}),(0,l.w6)("design:type",Object)],v.prototype,"popupPosition",void 0),(0,l.gn)([(0,p.Cb)({type:String}),(0,l.w6)("design:type",Object)],v.prototype,"tooltipPosition",void 0),(0,l.gn)([(0,p.Cb)({type:Boolean}),(0,l.w6)("design:type",Object)],v.prototype,"disabled",void 0),v=(0,l.gn)([(0,p.Mo)("export-controls")],v)},5689:(t,n,r)=>{"use strict";var l=r(7582),d=(r(3514),r(5862)),h=r(8973),p=r(8810),f=r(5889);const m=d.iv`:host {
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 6px;
}

.button-bar-container {
  display: flex;
  flex-direction: row;
}

.button-bar-item {
  position: relative;
}

.button-bar-item button {
  margin: 0;
  border-radius: 0;
  padding: 0 6px;
  margin-left: -1px;  /* avoid double border */
  z-index: 0;
  position: relative;  /* enable z-index */
  white-space: nowrap;
}

.button-bar-item:first-child button {
  border-radius: 3px 0 0 3px;
}

.button-bar-item:last-child button {
  border-radius: 0 3px 3px 0;
}

.button-bar-item button.active {
  z-index: 2;  /* show active border above neighbors */
}`;let g=class FusedButtonBar extends d.oi{constructor(){super(...arguments),this.options=[],this.label="",this.disabled=!1}static get styles(){return[f.W,m]}renderOption(t){var n;const r=(0,p.$)({"hairline-button":!0,active:Boolean(t.selected)});return d.dy`
      <div class='button-bar-item'>
        <lit-tooltip content=${null!==(n=t.tooltipText)&&void 0!==n?n:""}>
          <button class=${r} slot="tooltip-anchor"
           ?disabled=${void 0===t.onClick}
           @click=${t.onClick}>
           ${t.text}
          </button>
        </lit-tooltip>
      </div>`}render(){return d.dy`
      ${this.label?d.dy`<div class='label'>${this.label}</div>`:null}
      <div class="button-bar-container" ?disabled=${this.disabled}>
        ${this.options.map((t=>this.renderOption(t)))}
      </div>`}};(0,l.gn)([(0,h.Cb)({type:Array}),(0,l.w6)("design:type",Array)],g.prototype,"options",void 0),(0,l.gn)([(0,h.Cb)({type:String}),(0,l.w6)("design:type",Object)],g.prototype,"label",void 0),(0,l.gn)([(0,h.Cb)({type:Boolean}),(0,l.w6)("design:type",Object)],g.prototype,"disabled",void 0),g=(0,l.gn)([(0,h.Mo)("lit-fused-button-bar")],g)},6196:(t,n,r)=>{"use strict";var l=r(7582),d=r(5862),h=r(8973),p=r(8810),f=r(2188),m=r(9537),g=r(5806),y=r(5889),v=r(1547);let b=class GeneratedTextVis extends m.f{constructor(){super(...arguments),this.candidates=[],this.referenceTexts=[],this.referenceModelScores=[],this.diffMode=g.T9.NONE,this.selectedIdx=0,this.selectedRefIdx=0,this.highlightMatch=!1}static get styles(){return[y.W,v.W]}get showModelScoreColumn(){return this.referenceModelScores.length>0||this.candidates.filter((t=>null!=t[1])).length>0}get showTargetScoreColumn(){return this.referenceTexts.filter((t=>null!=t[1])).length>0}get showHeader(){return this.showModelScoreColumn||this.showTargetScoreColumn}get textDiff(){if(void 0===this.referenceTexts)return;if(void 0===this.candidates[this.selectedIdx])return;if(this.diffMode===g.T9.NONE)return;const t=this.candidates[this.selectedIdx][0],n=this.diffMode===g.T9.WORD,r=this.referenceTexts[this.selectedRefIdx][0];return(0,g.UZ)(r,t,n)}renderDiffString(t,n){let r=t;if(this.diffMode===g.T9.WORD){const n=t.length-1;r=t.map(((t,r)=>r!==n?t.concat(" "):t))}return r.map(((t,r)=>{const l=(0,p.$)({"highlighted-diff":!this.highlightMatch&&!n[r],"highlighted-match":this.highlightMatch&&n[r]});return d.dy`<span class=${l}>${t}</span>`}))}renderHeader(){return d.dy`
      <thead>
      <tr class='output-row'>
        <th class='field-name'>Field name</th>
        <td>
          <div class="candidate-row">
            ${this.showModelScoreColumn?d.dy`
              <div class='model-score column-header'>Model score</div>
            `:null}
            ${this.showTargetScoreColumn?d.dy`
              <div class='reference-score column-header'>Target score</div>
            `:null}
            <div class='candidate-text column-header'>Text</div>
          </div>
        </td>
      </tr>
      </thead>
    `}renderReferences(){const t=this.referenceTexts.map(((t,n)=>{var r,l,h,f;const m=void 0!==this.textDiff&&n===this.selectedRefIdx?this.renderDiffString(this.textDiff.inputStrings,this.textDiff.equal):t[0],g=(0,p.$)({"token-chip-label":!0,"candidate-row":!0,"candidate-selected":this.selectedRefIdx===n});return d.dy`
        <div class=${g} @click=${()=>{this.selectedRefIdx=n}}>
          ${this.showModelScoreColumn?d.dy`
            <div class='model-score' title="Model score">
              ${null!==(l=null===(r=this.referenceModelScores[n])||void 0===r?void 0:r.toFixed(3))&&void 0!==l?l:null}
            </div>
          `:null}
          ${this.showTargetScoreColumn?d.dy`
            <div class='reference-score' title="Reference score">
              ${null!==(f=null===(h=t[1])||void 0===h?void 0:h.toFixed(3))&&void 0!==f?f:null}
            </div>
          `:null}
          <div class='candidate-text'>${m}</div>
        </div>
      `}));return d.dy`
      <tr class='output-row'>
        <th class='field-name'>${this.referenceFieldName}</th>
        <td><div class='candidates'>${t}</div></td>
      </tr>
    `}renderCandidates(){const t=this.candidates.map(((t,n)=>{var r,l;const h=void 0!==this.textDiff&&n===this.selectedIdx?this.renderDiffString(this.textDiff.outputStrings,this.textDiff.equal):t[0],f=(0,p.$)({"token-chip-label":!0,"candidate-row":!0,"candidate-selected":this.selectedIdx===n});return d.dy`
        <div class=${f} @click=${()=>{this.selectedIdx=n}}>
          ${this.showModelScoreColumn?d.dy`
            <div class='model-score'>
              ${null!==(l=null===(r=t[1])||void 0===r?void 0:r.toFixed(3))&&void 0!==l?l:null}
            </div>
          `:null}
          ${this.showTargetScoreColumn?d.dy`
            <div class='reference-score' title="Reference score">
            </div>
          `:null}
          <div class='candidate-text'>${h}</div>
        </div>
      `}));return d.dy`
      <tr class='output-row'>
        <th class='field-name'>${this.fieldName}</th>
        <td><div class='candidates'>${t}</div></td>
      </tr>
    `}render(){return d.dy`
      <div class='output'>
        <table class='output-table'>
          ${this.showHeader?this.renderHeader():null}
          <tbody>
            ${null!=this.referenceFieldName?this.renderReferences():null}
            ${null!=this.fieldName?this.renderCandidates():null}
          </tbody>
        </table>
      </div>
    `}};(0,l.gn)([f.LO,(0,h.Cb)({type:Array}),(0,l.w6)("design:type",Array)],b.prototype,"candidates",void 0),(0,l.gn)([f.LO,(0,h.Cb)({type:Array}),(0,l.w6)("design:type",Array)],b.prototype,"referenceTexts",void 0),(0,l.gn)([f.LO,(0,h.Cb)({type:Array}),(0,l.w6)("design:type",Array)],b.prototype,"referenceModelScores",void 0),(0,l.gn)([f.LO,(0,h.Cb)({type:String}),(0,l.w6)("design:type",String)],b.prototype,"diffMode",void 0),(0,l.gn)([f.LO,(0,h.Cb)({type:Number}),(0,l.w6)("design:type",Object)],b.prototype,"selectedIdx",void 0),(0,l.gn)([f.LO,(0,h.Cb)({type:Number}),(0,l.w6)("design:type",Object)],b.prototype,"selectedRefIdx",void 0),(0,l.gn)([(0,h.Cb)({type:String}),(0,l.w6)("design:type",String)],b.prototype,"fieldName",void 0),(0,l.gn)([(0,h.Cb)({type:String}),(0,l.w6)("design:type",String)],b.prototype,"referenceFieldName",void 0),(0,l.gn)([(0,h.Cb)({type:Boolean}),(0,l.w6)("design:type",Object)],b.prototype,"highlightMatch",void 0),(0,l.gn)([f.Fl,(0,l.w6)("design:type",Object),(0,l.w6)("design:paramtypes",[])],b.prototype,"showModelScoreColumn",null),(0,l.gn)([f.Fl,(0,l.w6)("design:type",Object),(0,l.w6)("design:paramtypes",[])],b.prototype,"showTargetScoreColumn",null),(0,l.gn)([f.Fl,(0,l.w6)("design:type",Object),(0,l.w6)("design:paramtypes",[])],b.prototype,"showHeader",null),(0,l.gn)([f.Fl,(0,l.w6)("design:type",Object),(0,l.w6)("design:paramtypes",[])],b.prototype,"textDiff",null),b=(0,l.gn)([(0,h.Mo)("generated-text-vis")],b)},3539:(t,n,r)=>{"use strict";var l=r(7582),d=(r(1732),r(6353),r(5862)),h=r(8973),p=r(2188),f=r(9537),m=r(4262),g=r(5889),y=(r(4915),r(7098));const v=d.iv`.description {
  font-size: 11px;
  color: rgb(60, 64, 67);
}

/* Reduce excess whitespace after markdown-formatted descriptions */
.description > p:last-child {
  margin-block-end: 0.25em;
}

.header {
  padding: 8px;
  width: 100%;
  text-align: left;
  outline: none;
  font-family: 'Google Sans', sans;
  font-size: 14px;
  display: flex;
  justify-content: space-between;
  box-sizing: border-box;
  align-items: center;
}

.header .title {
  color: var(--lit-majtonal-nv-800);
  font-family: Roboto;
  font-size: 13px;
  font-weight: 700;
  line-height: 18px;
}

.content {
  padding: 0 8px;
  overflow: hidden;
  transition: max-height 0.2s ease-out;
  box-sizing: border-box;
}

.content.minimized {
  max-height: 0;
  border-bottom: none;
}

.control-name {
  color: #80868B;
  width: 50%;
}

.control-holder {
  padding-top: 8px;
  display: flex;
  align-items: center;
}

.control {
  width: 50%;
}

.buttons-holder {
  padding: 8px 0;
  display: flex;
  flex-direction: row-reverse;
}

.checkbox-holder {
  max-width: 50%;
  display: flex;
  flex-wrap: wrap;
}

.checkbox-control {
  margin-right: 12px;
  min-width: 48px;
}

.slider-holder {
  display: flex;
  align-items: center;
  justify-content: flex-end;
  padding-right: 5px;
  width: 50%;
}

`;var b=r(5108);let x=class InterpreterControls extends f.f{constructor(){super(...arguments),this.spec={},this.name="",this.description="",this.applyButtonText="Apply",this.applyButtonDisabled=!1,this.noexpand=!1,this.opened=!1,this.settings={}}static get styles(){return[g.W,v]}get defaultSettings(){const t={};for(const[n,r]of Object.entries(this.spec))if(r instanceof m.j)t[n]=r.select_all?r.vocab||[]:r.default;else if(r instanceof m.q0||r instanceof m.MK){const{vocab:l}=r;if(null==l)t[n]="";else{const[r]=l;t[n]=r||""}}else r instanceof m.nY?t[n]=r.default||[]:t[n]=r.default;return t}connectedCallback(){super.connectedCallback(),this.settings=structuredClone(this.defaultSettings),this.react((()=>this.spec),(()=>{this.settings=structuredClone(this.defaultSettings)}))}render(){const t=!this.noexpand&&(Object.keys(this.spec).length>0||this.description.length>0),n=(0,y.Xo)(this.description),r=d.dy`
        <div class="content">
          <div class="description">${n}</div>
          ${this.renderControls()}
          <div class="buttons-holder">
            <button class="filled-button" @click=${()=>{const t=new CustomEvent("interpreter-click",{detail:{name:this.name,settings:this.settings}});this.dispatchEvent(t)}}
              ?disabled=${this.applyButtonDisabled}>
              ${this.applyButtonText}
            </button>
          </div>
        </div>`;return t?d.dy`<expansion-panel .label=${this.name} ?expanded=${this.opened}>
                ${r}
              </expansion-panel>`:d.dy`<div class="header">
                <div class="title">${this.name}</div>
              </div>
              ${this.opened?r:null}`}renderControls(){return Object.entries(this.spec).map((([t,n])=>d.dy`<div class="control-holder">
        <div class="control-name">
          ${(n.required?"*":"")+t}
        </div>
        ${this.renderControl(t,n)}
      </div>`))}renderControl(t,n){if(n instanceof m.nY||n instanceof m.j){const{vocab:r}=n;if(null==r)return b.error(`Cannot render checkboxes for field ${t} without a vocab.`),null;const l=()=>r.map((n=>{const r=-1!==this.settings[t].indexOf(n);return d.dy`<lit-checkbox ?checked=${r} @change=${r=>{r.target.checked?this.settings[t].push(n):this.settings[t]=this.settings[t].filter((t=>t!==n))}}
          label=${n} class='checkbox-control'>
        </lit-checkbox>`}));return d.dy`<div class='checkbox-holder'>${l()}</div>`}if(n instanceof m.q0||n instanceof m.MK){const{vocab:r}=n;if(null==r)return b.error(`Cannot render dropdown for field ${t} without a vocab.`),null;const l=n=>{const l=n.target.selectedIndex||0;this.settings[t]=r[l]},h=r[0]||"";return d.dy`<select class="dropdown control" @change=${l}
          .value=${h} ?disabled=${r.length<2}>${r.map(((t,n)=>d.dy`<option value=${n}>${t}</option>`))}</select>`}if(n instanceof m.Ru){const{step:r,min_val:l,max_val:h}=n,p=n=>{this.settings[t]=n.target.value};return d.dy`<lit-numeric-input class="slider-holder"
          min=${l} max=${h} step=${r} value=${this.settings[t]}
          @change=${p}></lit-numeric-input>`}if(n instanceof m.h5){const n=()=>{this.settings[t]=!this.settings[t]};return d.dy`<lit-checkbox ?checked=${!!this.settings[t]}
          @change=${n}></lit-checkbox>`}if(n instanceof m.nk){const n=this.settings[t]||"",r=n=>{const r=n.target;this.settings[t]=r.value.split(",").map((t=>t.trim()))};return d.dy`<input class="control" type="text" @input=${r}
          .value=${n} />`}{const n=this.settings[t]||"",r=n=>{this.settings[t]=n.target.value};return d.dy`<input class="control" type="text" @input=${r}
          .value=${n} />`}}};(0,l.gn)([p.LO.struct,(0,h.Cb)({type:Object}),(0,l.w6)("design:type",Object)],x.prototype,"spec",void 0),(0,l.gn)([(0,h.Cb)({type:String}),(0,l.w6)("design:type",Object)],x.prototype,"name",void 0),(0,l.gn)([(0,h.Cb)({type:String}),(0,l.w6)("design:type",Object)],x.prototype,"description",void 0),(0,l.gn)([(0,h.Cb)({type:String}),(0,l.w6)("design:type",Object)],x.prototype,"applyButtonText",void 0),(0,l.gn)([(0,h.Cb)({type:Boolean,reflect:!0}),(0,l.w6)("design:type",Object)],x.prototype,"applyButtonDisabled",void 0),(0,l.gn)([(0,h.Cb)({type:Boolean,reflect:!0}),(0,l.w6)("design:type",Object)],x.prototype,"noexpand",void 0),(0,l.gn)([(0,h.Cb)({type:Boolean,reflect:!0}),(0,l.w6)("design:type",Object)],x.prototype,"opened",void 0),(0,l.gn)([p.Fl,(0,l.w6)("design:type",Object),(0,l.w6)("design:paramtypes",[])],x.prototype,"defaultSettings",null),x=(0,l.gn)([(0,h.Mo)("lit-interpreter-controls")],x)},1800:(t,n,r)=>{"use strict";var l=r(7582),d=r(5862),h=r(8973),p=r(9537),f=r(5889);const m=d.iv`:host {
  height: 100%;
  width: 100%;
}

.interstitial {
  height: 100%;
  width: 100%;
  align-items: center;
  display: flex;
  flex-direction: column;
  justify-content: center;
  overflow: hidden;
  font-family: 'Google Sans', sans;
}

.interstitial > * {
  flex-grow: 0;
  flex-shrink: 0;
  max-width: 300px;
}

.interstitial > img {
  flex-shrink: 1;
  max-height: 130px;
}

.interstitial p {
  color: #5f6368;
}

.interstitial strong {
  display: block;
  font-size: 1.5em;
  margin-bottom: 4px;
}`;let g=class LitInterstitial extends p.f{constructor(){super(...arguments),this.headline="",this.imageSrc="static/interstitial-select.png"}static get styles(){return[f.W,m]}render(){return d.dy`
      <div class="interstitial">
        ${this.imageSrc?d.dy`<img src="${this.imageSrc}" />`:null}
        <p>
          ${this.headline?d.dy`<strong>${this.headline}</strong>`:null}
          <slot></slot>
        </p>
      </div>`}};(0,l.gn)([(0,h.Cb)({type:String}),(0,l.w6)("design:type",Object)],g.prototype,"headline",void 0),(0,l.gn)([(0,h.Cb)({type:String}),(0,l.w6)("design:type",Object)],g.prototype,"imageSrc",void 0),g=(0,l.gn)([(0,h.Mo)("lit-interstitial")],g)},940:(t,n,r)=>{"use strict";var l=r(7582),d=(r(5681),r(3886)),h=r(5862),p=r(8973),f=r(9537),m=r(5889);const g=h.iv`#tooltip {
  position: absolute;
  padding: 5px;
  margin: auto;
  text-align: center;
  font-size: 12px;
  pointer-events: none;
  visibility: hidden;
  background: rgba(255, 255, 255, .5);
  border-radius: 10px;
}

#holder {
  position: relative;
}
`;let y=class LineChart extends f.f{constructor(){super(...arguments),this.scores=new Map,this.margin=30,this.width=0,this.height=0,this.xScale=[],this.yScale=[]}static get styles(){return[m.W,g]}firstUpdated(){this.initializeChart();this.reactImmediately((()=>this.scores),(t=>{this.initializeChart()}))}getXScale(){let t=this.xScale;if(null==t||t.length<2){const n=Array.from(this.scores.keys());t=[d.VV$(n),d.Fp7(n)]}return d.BYU().domain(t).range([0,this.width])}getYScale(){let t=this.yScale;if(null==t||t.length<2){const n=Array.from(this.scores.values());t=[d.VV$(n),d.Fp7(n)]}return d.BYU().domain(t).range([this.height,0])}initializeChart(){const t=this.shadowRoot.querySelector("#chart");if(null==t)return;const n=d.Ys(t).attr("width",this.width+2*this.margin).attr("height",this.height+2*this.margin);n.selectAll("*").remove(),n.append("g").attr("id","chart-group").attr("transform",`translate(${this.margin}, ${this.margin})`),this.renderChart()}renderChart(){const t=Array.from(this.scores.entries()),n=this.getXScale(),r=this.getYScale(),l=this.shadowRoot.querySelector("#chart-group");if(null==l)return;const h=d.Ys(l);h.selectAll("*").remove();const p=d.LLu(n).ticks(5),f=d.y4O(r).ticks(5);h.append("g").attr("transform",`translate(0, ${this.height})`).attr("class","axis").call(p),h.append("g").attr("class","axis").call(f),h.append("path").datum(t).attr("fill","none").attr("stroke","var(--lit-cyea-400)").attr("stroke-width",1.5).attr("d",d.jvg().x((t=>n(t[0]))).y((t=>r(t[1]))));const m=h.append("g").attr("class","focus").style("display","none");m.append("circle").attr("r",4).attr("fill","var(--lit-cyea-400)").attr("stroke","var(--lit-cyea-400)");const g=()=>{const l=d.Jzs(this)[0]-this.margin,h=n.invert(l),p=d.b4o(t.map((t=>t[0])),h);let f=t[p];if(p>0){const n=p-1;h-t[n][0]<t[p][0]-h&&(f=t[n])}m.attr("transform",`translate(${n(f[0])},${r(f[1])})`);const g=`${f[0].toFixed(2)}, value: ${f[1].toFixed(2)}`,y=this.shadowRoot.querySelector("#tooltip");y.innerText=g,y.style.visibility="visible",y.style.left=`${n(f[0])}px`,y.style.top=`${r(f[1])}px`};h.append("rect").attr("class","overlay").attr("width",this.width).attr("height",this.height).attr("fill","none").attr("pointer-events","visible").on("mouseover",(()=>{m.style("display",null)})).on("mouseout",(()=>{m.style("display","none");this.shadowRoot.querySelector("#tooltip").style.visibility="hidden"})).on("mousemove",(()=>{g()}))}render(){return h.dy`
      <div id="holder">
          <svg id="chart"></svg>
          <div id='tooltip'>tooltip</div>
      </div>
    `}};(0,l.gn)([(0,p.Cb)({type:Object}),(0,l.w6)("design:type",Object)],y.prototype,"scores",void 0),(0,l.gn)([(0,p.Cb)({type:Number}),(0,l.w6)("design:type",Object)],y.prototype,"margin",void 0),(0,l.gn)([(0,p.Cb)({type:Number}),(0,l.w6)("design:type",Object)],y.prototype,"width",void 0),(0,l.gn)([(0,p.Cb)({type:Number}),(0,l.w6)("design:type",Object)],y.prototype,"height",void 0),(0,l.gn)([(0,p.Cb)({type:Array}),(0,l.w6)("design:type",Array)],y.prototype,"xScale",void 0),(0,l.gn)([(0,p.Cb)({type:Array}),(0,l.w6)("design:type",Array)],y.prototype,"yScale",void 0),y=(0,l.gn)([(0,p.Mo)("line-chart")],y)},4759:(t,n,r)=>{"use strict";var l=r(7582),d=r(5862),h=r(8973),p=r(9537),f=r(4262),m=r(5889),g=r(125),y=r(7098),v=r(5108);function b(t){return Array.isArray(t)&&2===t.length&&"string"==typeof t[0]&&(null==t[1]||"number"==typeof t[1])}let x=class LitInputField extends p.f{constructor(){super(...arguments),this.labelPlacement="left",this.type=new f.VM,this.readonly=!1,this.limitWords=!1}static get styles(){return[m.W,d.iv`
      :host,
      :host > label {
        align-items: center;
        column-gap: 4px;
        display: flex;
        flex-direction: row;
        flex-wrap: nowrap;
      }

      :host([fill-container]) > * {
        flex-grow: 1;
      }
    `]}render(){const t=this.renderContent();return this.label?"left"===this.labelPlacement?d.dy`<label>${this.label}${t}</label>`:d.dy`<label>${t}${this.label}</label>`:t}renderContent(){const t=this.type,n=t=>{this.value=t.target.checked,this.dispatchEvent(new Event("change"))},r=t=>{this.value=Number(t.target.value),this.dispatchEvent(new Event("change"))},l=t=>{this.value=t.target.value,this.dispatchEvent(new Event("change"))};if(t instanceof f.h5||"boolean"==typeof this.value)return this.readonly?(0,g.eb)(this.value):d.dy`<lit-checkbox ?checked=${this.value}
            @change=${n}></lit-checkbox>`;if(t instanceof f.q0)return this.readonly?this.formatAsString():null!=t.vocab?(0,g.qc)(t.vocab,l,this.value):(0,g.bN)(l,this.value);if(t instanceof f.k6){return this.value.map(g.re).join(", ")}if(t instanceof f.JK)return(0,g.L9)(this.value);if(t instanceof f.hS)return(0,g.hh)(this.value);if(this.type instanceof f.b_){return this.value.map(g.rn).join(", ")}if(t instanceof f.Ru||"number"==typeof this.value){const{min_val:n,max_val:l,step:h}=t;return this.readonly?(0,g.uf)(this.value):d.dy`<lit-numeric-input .min=${n} .max=${l} .step=${h}
            value=${this.value} @change=${r}>
          </lit-numeric-input>`}if(t instanceof f.hW){return this.value.map((t=>(0,g.$A)(t))).join(", ")}if(t instanceof f.Xs)return this.readonly?this.formatAsString():(0,g.l)(l,this.value);if(t instanceof f.Su||"string"==typeof this.value)return this.readonly?this.formatAsString():(0,g.bN)(l,this.value);if(Array.isArray(this.value)){if(b(this.value))return(0,g.X9)(this.value);if(Array.isArray(this.value[0])&&b(this.value[0]))return(0,g.$Q)(this.value);return this.value.map((t=>"number"==typeof t?(0,g.uf)(t):this.limitWords?(0,y.aN)(t):`${t}`)).join(", ")}return v.warn(`LitInputField does not support rendering '${t}' fields.`),""}formatAsString(){return this.limitWords?(0,y.aN)(this.value):this.value}};(0,l.gn)([(0,h.Cb)({type:String}),(0,l.w6)("design:type",String)],x.prototype,"label",void 0),(0,l.gn)([(0,h.Cb)({type:String}),(0,l.w6)("design:type",String)],x.prototype,"labelPlacement",void 0),(0,l.gn)([(0,h.Cb)({type:Object}),(0,l.w6)("design:type",Object)],x.prototype,"type",void 0),(0,l.gn)([(0,h.Cb)({type:Boolean}),(0,l.w6)("design:type",Object)],x.prototype,"readonly",void 0),(0,l.gn)([(0,h.Cb)(),(0,l.w6)("design:type",Object)],x.prototype,"value",void 0),(0,l.gn)([(0,h.Cb)({type:Boolean}),(0,l.w6)("design:type",Object)],x.prototype,"limitWords",void 0),x=(0,l.gn)([(0,h.Mo)("lit-input-field")],x)},2473:(t,n,r)=>{"use strict";var l=r(7582),d=r(5713),h=r(9662),p=r(7238),f=r(2669),m=r(8602),g=(r(7935),r(43)),y=(r(5557),r(6551)),v=r(9263),b=(r(7898),r(3692),r(3410)),x=r(7499);class ListItemBase extends b.oi{constructor(){super(...arguments),this.value="",this.group=null,this.tabindex=-1,this.disabled=!1,this.twoline=!1,this.activated=!1,this.graphic=null,this.multipleGraphics=!1,this.hasMeta=!1,this.noninteractive=!1,this.selected=!1,this.shouldRenderRipple=!1,this._managingList=null,this.boundOnClick=this.onClick.bind(this),this._firstChanged=!0,this._skipPropRequest=!1,this.rippleHandlers=new v.A((()=>(this.shouldRenderRipple=!0,this.ripple))),this.listeners=[{target:this,eventNames:["click"],cb:()=>{this.onClick()}},{target:this,eventNames:["mouseenter"],cb:this.rippleHandlers.startHover},{target:this,eventNames:["mouseleave"],cb:this.rippleHandlers.endHover},{target:this,eventNames:["focus"],cb:this.rippleHandlers.startFocus},{target:this,eventNames:["blur"],cb:this.rippleHandlers.endFocus},{target:this,eventNames:["mousedown","touchstart"],cb:t=>{const n=t.type;this.onDown("mousedown"===n?"mouseup":"touchend",t)}}]}get text(){const t=this.textContent;return t?t.trim():""}render(){const t=this.renderText(),n=this.graphic?this.renderGraphic():b.dy``,r=this.hasMeta?this.renderMeta():b.dy``;return b.dy`
      ${this.renderRipple()}
      ${n}
      ${t}
      ${r}`}renderRipple(){return this.shouldRenderRipple?b.dy`
      <mwc-ripple
        .activated=${this.activated}>
      </mwc-ripple>`:this.activated?b.dy`<div class="fake-activated-ripple"></div>`:""}renderGraphic(){const t={multi:this.multipleGraphics};return b.dy`
      <span class="mdc-deprecated-list-item__graphic material-icons ${(0,x.$)(t)}">
        <slot name="graphic"></slot>
      </span>`}renderMeta(){return b.dy`
      <span class="mdc-deprecated-list-item__meta material-icons">
        <slot name="meta"></slot>
      </span>`}renderText(){const t=this.twoline?this.renderTwoline():this.renderSingleLine();return b.dy`
      <span class="mdc-deprecated-list-item__text">
        ${t}
      </span>`}renderSingleLine(){return b.dy`<slot></slot>`}renderTwoline(){return b.dy`
      <span class="mdc-deprecated-list-item__primary-text">
        <slot></slot>
      </span>
      <span class="mdc-deprecated-list-item__secondary-text">
        <slot name="secondary"></slot>
      </span>
    `}onClick(){this.fireRequestSelected(!this.selected,"interaction")}onDown(t,n){const r=()=>{window.removeEventListener(t,r),this.rippleHandlers.endPress()};window.addEventListener(t,r),this.rippleHandlers.startPress(n)}fireRequestSelected(t,n){if(this.noninteractive)return;const r=new CustomEvent("request-selected",{bubbles:!0,composed:!0,detail:{source:n,selected:t}});this.dispatchEvent(r)}connectedCallback(){super.connectedCallback(),this.noninteractive||this.setAttribute("mwc-list-item","");for(const t of this.listeners)for(const n of t.eventNames)t.target.addEventListener(n,t.cb,{passive:!0})}disconnectedCallback(){super.disconnectedCallback();for(const t of this.listeners)for(const n of t.eventNames)t.target.removeEventListener(n,t.cb);this._managingList&&(this._managingList.debouncedLayout?this._managingList.debouncedLayout(!0):this._managingList.layout(!0))}firstUpdated(){const t=new Event("list-item-rendered",{bubbles:!0,composed:!0});this.dispatchEvent(t)}}(0,l.gn)([(0,f.I)("slot")],ListItemBase.prototype,"slotElement",void 0),(0,l.gn)([(0,m.G)("mwc-ripple")],ListItemBase.prototype,"ripple",void 0),(0,l.gn)([(0,h.C)({type:String})],ListItemBase.prototype,"value",void 0),(0,l.gn)([(0,h.C)({type:String,reflect:!0})],ListItemBase.prototype,"group",void 0),(0,l.gn)([(0,h.C)({type:Number,reflect:!0})],ListItemBase.prototype,"tabindex",void 0),(0,l.gn)([(0,h.C)({type:Boolean,reflect:!0}),(0,y.P)((function(t){t?this.setAttribute("aria-disabled","true"):this.setAttribute("aria-disabled","false")}))],ListItemBase.prototype,"disabled",void 0),(0,l.gn)([(0,h.C)({type:Boolean,reflect:!0})],ListItemBase.prototype,"twoline",void 0),(0,l.gn)([(0,h.C)({type:Boolean,reflect:!0})],ListItemBase.prototype,"activated",void 0),(0,l.gn)([(0,h.C)({type:String,reflect:!0})],ListItemBase.prototype,"graphic",void 0),(0,l.gn)([(0,h.C)({type:Boolean})],ListItemBase.prototype,"multipleGraphics",void 0),(0,l.gn)([(0,h.C)({type:Boolean})],ListItemBase.prototype,"hasMeta",void 0),(0,l.gn)([(0,h.C)({type:Boolean,reflect:!0}),(0,y.P)((function(t){t?(this.removeAttribute("aria-checked"),this.removeAttribute("mwc-list-item"),this.selected=!1,this.activated=!1,this.tabIndex=-1):this.setAttribute("mwc-list-item","")}))],ListItemBase.prototype,"noninteractive",void 0),(0,l.gn)([(0,h.C)({type:Boolean,reflect:!0}),(0,y.P)((function(t){const n=this.getAttribute("role"),r="gridcell"===n||"option"===n||"row"===n||"tab"===n;r&&t?this.setAttribute("aria-selected","true"):r&&this.setAttribute("aria-selected","false"),this._firstChanged?this._firstChanged=!1:this._skipPropRequest||this.fireRequestSelected(t,"property")}))],ListItemBase.prototype,"selected",void 0),(0,l.gn)([(0,p.S)()],ListItemBase.prototype,"shouldRenderRipple",void 0),(0,l.gn)([(0,p.S)()],ListItemBase.prototype,"_managingList",void 0);const w=b.iv`:host{cursor:pointer;user-select:none;-webkit-tap-highlight-color:transparent;height:48px;display:flex;position:relative;align-items:center;justify-content:flex-start;overflow:hidden;padding:0;padding-left:var(--mdc-list-side-padding, 16px);padding-right:var(--mdc-list-side-padding, 16px);outline:none;height:48px;color:rgba(0,0,0,.87);color:var(--mdc-theme-text-primary-on-background, rgba(0, 0, 0, 0.87))}:host:focus{outline:none}:host([activated]){color:#6200ee;color:var(--mdc-theme-primary, #6200ee);--mdc-ripple-color: var( --mdc-theme-primary, #6200ee )}:host([activated]) .mdc-deprecated-list-item__graphic{color:#6200ee;color:var(--mdc-theme-primary, #6200ee)}:host([activated]) .fake-activated-ripple::before{position:absolute;display:block;top:0;bottom:0;left:0;right:0;width:100%;height:100%;pointer-events:none;z-index:1;content:"";opacity:0.12;opacity:var(--mdc-ripple-activated-opacity, 0.12);background-color:#6200ee;background-color:var(--mdc-ripple-color, var(--mdc-theme-primary, #6200ee))}.mdc-deprecated-list-item__graphic{flex-shrink:0;align-items:center;justify-content:center;fill:currentColor;display:inline-flex}.mdc-deprecated-list-item__graphic ::slotted(*){flex-shrink:0;align-items:center;justify-content:center;fill:currentColor;width:100%;height:100%;text-align:center}.mdc-deprecated-list-item__meta{width:var(--mdc-list-item-meta-size, 24px);height:var(--mdc-list-item-meta-size, 24px);margin-left:auto;margin-right:0;color:rgba(0, 0, 0, 0.38);color:var(--mdc-theme-text-hint-on-background, rgba(0, 0, 0, 0.38))}.mdc-deprecated-list-item__meta.multi{width:auto}.mdc-deprecated-list-item__meta ::slotted(*){width:var(--mdc-list-item-meta-size, 24px);line-height:var(--mdc-list-item-meta-size, 24px)}.mdc-deprecated-list-item__meta ::slotted(.material-icons),.mdc-deprecated-list-item__meta ::slotted(mwc-icon){line-height:var(--mdc-list-item-meta-size, 24px) !important}.mdc-deprecated-list-item__meta ::slotted(:not(.material-icons):not(mwc-icon)){-moz-osx-font-smoothing:grayscale;-webkit-font-smoothing:antialiased;font-family:Roboto, sans-serif;font-family:var(--mdc-typography-caption-font-family, var(--mdc-typography-font-family, Roboto, sans-serif));font-size:0.75rem;font-size:var(--mdc-typography-caption-font-size, 0.75rem);line-height:1.25rem;line-height:var(--mdc-typography-caption-line-height, 1.25rem);font-weight:400;font-weight:var(--mdc-typography-caption-font-weight, 400);letter-spacing:0.0333333333em;letter-spacing:var(--mdc-typography-caption-letter-spacing, 0.0333333333em);text-decoration:inherit;text-decoration:var(--mdc-typography-caption-text-decoration, inherit);text-transform:inherit;text-transform:var(--mdc-typography-caption-text-transform, inherit)}[dir=rtl] .mdc-deprecated-list-item__meta,.mdc-deprecated-list-item__meta[dir=rtl]{margin-left:0;margin-right:auto}.mdc-deprecated-list-item__meta ::slotted(*){width:100%;height:100%}.mdc-deprecated-list-item__text{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}.mdc-deprecated-list-item__text ::slotted([for]),.mdc-deprecated-list-item__text[for]{pointer-events:none}.mdc-deprecated-list-item__primary-text{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;display:block;margin-top:0;line-height:normal;margin-bottom:-20px;display:block}.mdc-deprecated-list-item__primary-text::before{display:inline-block;width:0;height:32px;content:"";vertical-align:0}.mdc-deprecated-list-item__primary-text::after{display:inline-block;width:0;height:20px;content:"";vertical-align:-20px}.mdc-deprecated-list-item__secondary-text{-moz-osx-font-smoothing:grayscale;-webkit-font-smoothing:antialiased;font-family:Roboto, sans-serif;font-family:var(--mdc-typography-body2-font-family, var(--mdc-typography-font-family, Roboto, sans-serif));font-size:0.875rem;font-size:var(--mdc-typography-body2-font-size, 0.875rem);line-height:1.25rem;line-height:var(--mdc-typography-body2-line-height, 1.25rem);font-weight:400;font-weight:var(--mdc-typography-body2-font-weight, 400);letter-spacing:0.0178571429em;letter-spacing:var(--mdc-typography-body2-letter-spacing, 0.0178571429em);text-decoration:inherit;text-decoration:var(--mdc-typography-body2-text-decoration, inherit);text-transform:inherit;text-transform:var(--mdc-typography-body2-text-transform, inherit);text-overflow:ellipsis;white-space:nowrap;overflow:hidden;display:block;margin-top:0;line-height:normal;display:block}.mdc-deprecated-list-item__secondary-text::before{display:inline-block;width:0;height:20px;content:"";vertical-align:0}.mdc-deprecated-list--dense .mdc-deprecated-list-item__secondary-text{font-size:inherit}* ::slotted(a),a{color:inherit;text-decoration:none}:host([twoline]){height:72px}:host([twoline]) .mdc-deprecated-list-item__text{align-self:flex-start}:host([disabled]),:host([noninteractive]){cursor:default;pointer-events:none}:host([disabled]) .mdc-deprecated-list-item__text ::slotted(*){opacity:.38}:host([disabled]) .mdc-deprecated-list-item__text ::slotted(*),:host([disabled]) .mdc-deprecated-list-item__primary-text ::slotted(*),:host([disabled]) .mdc-deprecated-list-item__secondary-text ::slotted(*){color:#000;color:var(--mdc-theme-on-surface, #000)}.mdc-deprecated-list-item__secondary-text ::slotted(*){color:rgba(0, 0, 0, 0.54);color:var(--mdc-theme-text-secondary-on-background, rgba(0, 0, 0, 0.54))}.mdc-deprecated-list-item__graphic ::slotted(*){background-color:transparent;color:rgba(0, 0, 0, 0.38);color:var(--mdc-theme-text-icon-on-background, rgba(0, 0, 0, 0.38))}.mdc-deprecated-list-group__subheader ::slotted(*){color:rgba(0, 0, 0, 0.87);color:var(--mdc-theme-text-primary-on-background, rgba(0, 0, 0, 0.87))}:host([graphic=avatar]) .mdc-deprecated-list-item__graphic{width:var(--mdc-list-item-graphic-size, 40px);height:var(--mdc-list-item-graphic-size, 40px)}:host([graphic=avatar]) .mdc-deprecated-list-item__graphic.multi{width:auto}:host([graphic=avatar]) .mdc-deprecated-list-item__graphic ::slotted(*){width:var(--mdc-list-item-graphic-size, 40px);line-height:var(--mdc-list-item-graphic-size, 40px)}:host([graphic=avatar]) .mdc-deprecated-list-item__graphic ::slotted(.material-icons),:host([graphic=avatar]) .mdc-deprecated-list-item__graphic ::slotted(mwc-icon){line-height:var(--mdc-list-item-graphic-size, 40px) !important}:host([graphic=avatar]) .mdc-deprecated-list-item__graphic ::slotted(*){border-radius:50%}:host([graphic=avatar]) .mdc-deprecated-list-item__graphic,:host([graphic=medium]) .mdc-deprecated-list-item__graphic,:host([graphic=large]) .mdc-deprecated-list-item__graphic,:host([graphic=control]) .mdc-deprecated-list-item__graphic{margin-left:0;margin-right:var(--mdc-list-item-graphic-margin, 16px)}[dir=rtl] :host([graphic=avatar]) .mdc-deprecated-list-item__graphic,[dir=rtl] :host([graphic=medium]) .mdc-deprecated-list-item__graphic,[dir=rtl] :host([graphic=large]) .mdc-deprecated-list-item__graphic,[dir=rtl] :host([graphic=control]) .mdc-deprecated-list-item__graphic,:host([graphic=avatar]) .mdc-deprecated-list-item__graphic[dir=rtl],:host([graphic=medium]) .mdc-deprecated-list-item__graphic[dir=rtl],:host([graphic=large]) .mdc-deprecated-list-item__graphic[dir=rtl],:host([graphic=control]) .mdc-deprecated-list-item__graphic[dir=rtl]{margin-left:var(--mdc-list-item-graphic-margin, 16px);margin-right:0}:host([graphic=icon]) .mdc-deprecated-list-item__graphic{width:var(--mdc-list-item-graphic-size, 24px);height:var(--mdc-list-item-graphic-size, 24px);margin-left:0;margin-right:var(--mdc-list-item-graphic-margin, 32px)}:host([graphic=icon]) .mdc-deprecated-list-item__graphic.multi{width:auto}:host([graphic=icon]) .mdc-deprecated-list-item__graphic ::slotted(*){width:var(--mdc-list-item-graphic-size, 24px);line-height:var(--mdc-list-item-graphic-size, 24px)}:host([graphic=icon]) .mdc-deprecated-list-item__graphic ::slotted(.material-icons),:host([graphic=icon]) .mdc-deprecated-list-item__graphic ::slotted(mwc-icon){line-height:var(--mdc-list-item-graphic-size, 24px) !important}[dir=rtl] :host([graphic=icon]) .mdc-deprecated-list-item__graphic,:host([graphic=icon]) .mdc-deprecated-list-item__graphic[dir=rtl]{margin-left:var(--mdc-list-item-graphic-margin, 32px);margin-right:0}:host([graphic=avatar]:not([twoLine])),:host([graphic=icon]:not([twoLine])){height:56px}:host([graphic=medium]:not([twoLine])),:host([graphic=large]:not([twoLine])){height:72px}:host([graphic=medium]) .mdc-deprecated-list-item__graphic,:host([graphic=large]) .mdc-deprecated-list-item__graphic{width:var(--mdc-list-item-graphic-size, 56px);height:var(--mdc-list-item-graphic-size, 56px)}:host([graphic=medium]) .mdc-deprecated-list-item__graphic.multi,:host([graphic=large]) .mdc-deprecated-list-item__graphic.multi{width:auto}:host([graphic=medium]) .mdc-deprecated-list-item__graphic ::slotted(*),:host([graphic=large]) .mdc-deprecated-list-item__graphic ::slotted(*){width:var(--mdc-list-item-graphic-size, 56px);line-height:var(--mdc-list-item-graphic-size, 56px)}:host([graphic=medium]) .mdc-deprecated-list-item__graphic ::slotted(.material-icons),:host([graphic=medium]) .mdc-deprecated-list-item__graphic ::slotted(mwc-icon),:host([graphic=large]) .mdc-deprecated-list-item__graphic ::slotted(.material-icons),:host([graphic=large]) .mdc-deprecated-list-item__graphic ::slotted(mwc-icon){line-height:var(--mdc-list-item-graphic-size, 56px) !important}:host([graphic=large]){padding-left:0px}`;let S=class ListItem extends ListItemBase{};S.styles=[w],S=(0,l.gn)([(0,d.M)("mwc-list-item")],S);var _=r(7924),E=r(4021),T=r(5610),C=r(577),A=r(6308),O={UNKNOWN:"Unknown",BACKSPACE:"Backspace",ENTER:"Enter",SPACEBAR:"Spacebar",PAGE_UP:"PageUp",PAGE_DOWN:"PageDown",END:"End",HOME:"Home",ARROW_LEFT:"ArrowLeft",ARROW_UP:"ArrowUp",ARROW_RIGHT:"ArrowRight",ARROW_DOWN:"ArrowDown",DELETE:"Delete",ESCAPE:"Escape",TAB:"Tab"},I=new Set;I.add(O.BACKSPACE),I.add(O.ENTER),I.add(O.SPACEBAR),I.add(O.PAGE_UP),I.add(O.PAGE_DOWN),I.add(O.END),I.add(O.HOME),I.add(O.ARROW_LEFT),I.add(O.ARROW_UP),I.add(O.ARROW_RIGHT),I.add(O.ARROW_DOWN),I.add(O.DELETE),I.add(O.ESCAPE),I.add(O.TAB);var P=8,D=13,F=32,B=33,$=34,j=35,V=36,U=37,G=38,W=39,q=40,X=46,Y=27,K=9,J=new Map;J.set(P,O.BACKSPACE),J.set(D,O.ENTER),J.set(F,O.SPACEBAR),J.set(B,O.PAGE_UP),J.set($,O.PAGE_DOWN),J.set(j,O.END),J.set(V,O.HOME),J.set(U,O.ARROW_LEFT),J.set(G,O.ARROW_UP),J.set(W,O.ARROW_RIGHT),J.set(q,O.ARROW_DOWN),J.set(X,O.DELETE),J.set(Y,O.ESCAPE),J.set(K,O.TAB);var Q,ee,te=new Set;function ie(t){var n=t.key;if(I.has(n))return n;var r=J.get(t.keyCode);return r||O.UNKNOWN}te.add(O.PAGE_UP),te.add(O.PAGE_DOWN),te.add(O.END),te.add(O.HOME),te.add(O.ARROW_LEFT),te.add(O.ARROW_UP),te.add(O.ARROW_RIGHT),te.add(O.ARROW_DOWN);var ne="mdc-list-item--activated",re="mdc-list-item",oe="mdc-list-item--disabled",ae="mdc-list-item--selected",se="mdc-list-item__text",le="mdc-list-item__primary-text",ce="mdc-list",de=((Q={})[""+ne]="mdc-list-item--activated",Q[""+re]="mdc-list-item",Q[""+oe]="mdc-list-item--disabled",Q[""+ae]="mdc-list-item--selected",Q[""+le]="mdc-list-item__primary-text",Q[""+ce]="mdc-list",(ee={})[""+ne]="mdc-deprecated-list-item--activated",ee[""+re]="mdc-deprecated-list-item",ee[""+oe]="mdc-deprecated-list-item--disabled",ee[""+ae]="mdc-deprecated-list-item--selected",ee[""+se]="mdc-deprecated-list-item__text",ee[""+le]="mdc-deprecated-list-item__primary-text",ee[""+ce]="mdc-deprecated-list",ee),ue={ACTION_EVENT:"MDCList:action",SELECTION_CHANGE_EVENT:"MDCList:selectionChange",ARIA_CHECKED:"aria-checked",ARIA_CHECKED_CHECKBOX_SELECTOR:'[role="checkbox"][aria-checked="true"]',ARIA_CHECKED_RADIO_SELECTOR:'[role="radio"][aria-checked="true"]',ARIA_CURRENT:"aria-current",ARIA_DISABLED:"aria-disabled",ARIA_ORIENTATION:"aria-orientation",ARIA_ORIENTATION_HORIZONTAL:"horizontal",ARIA_ROLE_CHECKBOX_SELECTOR:'[role="checkbox"]',ARIA_SELECTED:"aria-selected",ARIA_INTERACTIVE_ROLES_SELECTOR:'[role="listbox"], [role="menu"]',ARIA_MULTI_SELECTABLE_SELECTOR:'[aria-multiselectable="true"]',CHECKBOX_RADIO_SELECTOR:'input[type="checkbox"], input[type="radio"]',CHECKBOX_SELECTOR:'input[type="checkbox"]',CHILD_ELEMENTS_TO_TOGGLE_TABINDEX:"\n    ."+re+" button:not(:disabled),\n    ."+re+" a,\n    ."+de[re]+" button:not(:disabled),\n    ."+de[re]+" a\n  ",DEPRECATED_SELECTOR:".mdc-deprecated-list",FOCUSABLE_CHILD_ELEMENTS:"\n    ."+re+" button:not(:disabled),\n    ."+re+" a,\n    ."+re+' input[type="radio"]:not(:disabled),\n    .'+re+' input[type="checkbox"]:not(:disabled),\n    .'+de[re]+" button:not(:disabled),\n    ."+de[re]+" a,\n    ."+de[re]+' input[type="radio"]:not(:disabled),\n    .'+de[re]+' input[type="checkbox"]:not(:disabled)\n  ',RADIO_SELECTOR:'input[type="radio"]',SELECTED_ITEM_SELECTOR:'[aria-selected="true"], [aria-current="true"]'},he={UNSET_INDEX:-1,TYPEAHEAD_BUFFER_CLEAR_TIMEOUT_MS:300};const pe=(t,n)=>t-n,fe=["input","button","textarea","select"];function me(t){return t instanceof Set}const ge=t=>{const n=t===he.UNSET_INDEX?new Set:t;return me(n)?new Set(n):new Set([n])};class MDCListFoundation extends A.K{constructor(t){super(Object.assign(Object.assign({},MDCListFoundation.defaultAdapter),t)),this.isMulti_=!1,this.wrapFocus_=!1,this.isVertical_=!0,this.selectedIndex_=he.UNSET_INDEX,this.focusedItemIndex_=he.UNSET_INDEX,this.useActivatedClass_=!1,this.ariaCurrentAttrValue_=null}static get strings(){return ue}static get numbers(){return he}static get defaultAdapter(){return{focusItemAtIndex:()=>{},getFocusedElementIndex:()=>0,getListItemCount:()=>0,isFocusInsideList:()=>!1,isRootFocused:()=>!1,notifyAction:()=>{},notifySelected:()=>{},getSelectedStateForElementIndex:()=>!1,setDisabledStateForElementIndex:()=>{},getDisabledStateForElementIndex:()=>!1,setSelectedStateForElementIndex:()=>{},setActivatedStateForElementIndex:()=>{},setTabIndexForElementIndex:()=>{},setAttributeForElementIndex:()=>{},getAttributeForElementIndex:()=>null}}setWrapFocus(t){this.wrapFocus_=t}setMulti(t){this.isMulti_=t;const n=this.selectedIndex_;if(t){if(!me(n)){const t=n===he.UNSET_INDEX;this.selectedIndex_=t?new Set:new Set([n])}}else if(me(n))if(n.size){const t=Array.from(n).sort(pe);this.selectedIndex_=t[0]}else this.selectedIndex_=he.UNSET_INDEX}setVerticalOrientation(t){this.isVertical_=t}setUseActivatedClass(t){this.useActivatedClass_=t}getSelectedIndex(){return this.selectedIndex_}setSelectedIndex(t){this.isIndexValid_(t)&&(this.isMulti_?this.setMultiSelectionAtIndex_(ge(t)):this.setSingleSelectionAtIndex_(t))}handleFocusIn(t,n){n>=0&&this.adapter.setTabIndexForElementIndex(n,0)}handleFocusOut(t,n){n>=0&&this.adapter.setTabIndexForElementIndex(n,-1),setTimeout((()=>{this.adapter.isFocusInsideList()||this.setTabindexToFirstSelectedItem_()}),0)}handleKeydown(t,n,r){const l="ArrowLeft"===ie(t),d="ArrowUp"===ie(t),h="ArrowRight"===ie(t),p="ArrowDown"===ie(t),f="Home"===ie(t),m="End"===ie(t),g="Enter"===ie(t),y="Spacebar"===ie(t);if(this.adapter.isRootFocused())return void(d||m?(t.preventDefault(),this.focusLastElement()):(p||f)&&(t.preventDefault(),this.focusFirstElement()));let v,b=this.adapter.getFocusedElementIndex();if(!(-1===b&&(b=r,b<0))){if(this.isVertical_&&p||!this.isVertical_&&h)this.preventDefaultEvent(t),v=this.focusNextElement(b);else if(this.isVertical_&&d||!this.isVertical_&&l)this.preventDefaultEvent(t),v=this.focusPrevElement(b);else if(f)this.preventDefaultEvent(t),v=this.focusFirstElement();else if(m)this.preventDefaultEvent(t),v=this.focusLastElement();else if((g||y)&&n){const n=t.target;if(n&&"A"===n.tagName&&g)return;this.preventDefaultEvent(t),this.setSelectedIndexOnAction_(b,!0)}this.focusedItemIndex_=b,void 0!==v&&(this.setTabindexAtIndex_(v),this.focusedItemIndex_=v)}}handleSingleSelection(t,n,r){t!==he.UNSET_INDEX&&(this.setSelectedIndexOnAction_(t,n,r),this.setTabindexAtIndex_(t),this.focusedItemIndex_=t)}focusNextElement(t){let n=t+1;if(n>=this.adapter.getListItemCount()){if(!this.wrapFocus_)return t;n=0}return this.adapter.focusItemAtIndex(n),n}focusPrevElement(t){let n=t-1;if(n<0){if(!this.wrapFocus_)return t;n=this.adapter.getListItemCount()-1}return this.adapter.focusItemAtIndex(n),n}focusFirstElement(){return this.adapter.focusItemAtIndex(0),0}focusLastElement(){const t=this.adapter.getListItemCount()-1;return this.adapter.focusItemAtIndex(t),t}setEnabled(t,n){this.isIndexValid_(t)&&this.adapter.setDisabledStateForElementIndex(t,!n)}preventDefaultEvent(t){const n=`${t.target.tagName}`.toLowerCase();-1===fe.indexOf(n)&&t.preventDefault()}setSingleSelectionAtIndex_(t,n=!0){this.selectedIndex_!==t&&(this.selectedIndex_!==he.UNSET_INDEX&&(this.adapter.setSelectedStateForElementIndex(this.selectedIndex_,!1),this.useActivatedClass_&&this.adapter.setActivatedStateForElementIndex(this.selectedIndex_,!1)),n&&this.adapter.setSelectedStateForElementIndex(t,!0),this.useActivatedClass_&&this.adapter.setActivatedStateForElementIndex(t,!0),this.setAriaForSingleSelectionAtIndex_(t),this.selectedIndex_=t,this.adapter.notifySelected(t))}setMultiSelectionAtIndex_(t,n=!0){const r=((t,n)=>{const r=Array.from(t),l=Array.from(n),d={added:[],removed:[]},h=r.sort(pe),p=l.sort(pe);let f=0,m=0;for(;f<h.length||m<p.length;){const t=h[f],n=p[m];t!==n?void 0!==t&&(void 0===n||t<n)?(d.removed.push(t),f++):void 0!==n&&(void 0===t||n<t)&&(d.added.push(n),m++):(f++,m++)}return d})(ge(this.selectedIndex_),t);if(r.removed.length||r.added.length){for(const t of r.removed)n&&this.adapter.setSelectedStateForElementIndex(t,!1),this.useActivatedClass_&&this.adapter.setActivatedStateForElementIndex(t,!1);for(const t of r.added)n&&this.adapter.setSelectedStateForElementIndex(t,!0),this.useActivatedClass_&&this.adapter.setActivatedStateForElementIndex(t,!0);this.selectedIndex_=t,this.adapter.notifySelected(t,r)}}setAriaForSingleSelectionAtIndex_(t){this.selectedIndex_===he.UNSET_INDEX&&(this.ariaCurrentAttrValue_=this.adapter.getAttributeForElementIndex(t,ue.ARIA_CURRENT));const n=null!==this.ariaCurrentAttrValue_,r=n?ue.ARIA_CURRENT:ue.ARIA_SELECTED;this.selectedIndex_!==he.UNSET_INDEX&&this.adapter.setAttributeForElementIndex(this.selectedIndex_,r,"false");const l=n?this.ariaCurrentAttrValue_:"true";this.adapter.setAttributeForElementIndex(t,r,l)}setTabindexAtIndex_(t){this.focusedItemIndex_===he.UNSET_INDEX&&0!==t?this.adapter.setTabIndexForElementIndex(0,-1):this.focusedItemIndex_>=0&&this.focusedItemIndex_!==t&&this.adapter.setTabIndexForElementIndex(this.focusedItemIndex_,-1),this.adapter.setTabIndexForElementIndex(t,0)}setTabindexToFirstSelectedItem_(){let t=0;"number"==typeof this.selectedIndex_&&this.selectedIndex_!==he.UNSET_INDEX?t=this.selectedIndex_:me(this.selectedIndex_)&&this.selectedIndex_.size>0&&(t=Math.min(...this.selectedIndex_)),this.setTabindexAtIndex_(t)}isIndexValid_(t){if(t instanceof Set){if(!this.isMulti_)throw new Error("MDCListFoundation: Array of index is only supported for checkbox based list");if(0===t.size)return!0;{let n=!1;for(const r of t)if(n=this.isIndexInRange_(r),n)break;return n}}if("number"==typeof t){if(this.isMulti_)throw new Error("MDCListFoundation: Expected array of index for checkbox based list but got number: "+t);return t===he.UNSET_INDEX||this.isIndexInRange_(t)}return!1}isIndexInRange_(t){const n=this.adapter.getListItemCount();return t>=0&&t<n}setSelectedIndexOnAction_(t,n,r){if(this.adapter.getDisabledStateForElementIndex(t))return;let l=t;if(this.isMulti_&&(l=new Set([t])),this.isIndexValid_(l)){if(this.isMulti_)this.toggleMultiAtIndex(t,r,n);else if(n||r)this.setSingleSelectionAtIndex_(t,n);else{this.selectedIndex_===t&&this.setSingleSelectionAtIndex_(he.UNSET_INDEX)}n&&this.adapter.notifyAction(t)}}toggleMultiAtIndex(t,n,r=!0){let l=!1;l=void 0===n?!this.adapter.getSelectedStateForElementIndex(t):n;const d=ge(this.selectedIndex_);l?d.add(t):d.delete(t),this.setMultiSelectionAtIndex_(d,r)}}const ye=MDCListFoundation;const ve=t=>t.hasAttribute("mwc-list-item");function be(){const t=this.itemsReadyResolver;this.itemsReady=new Promise((t=>this.itemsReadyResolver=t)),t()}class ListBase extends E.H{constructor(){super(),this.mdcAdapter=null,this.mdcFoundationClass=ye,this.activatable=!1,this.multi=!1,this.wrapFocus=!1,this.itemRoles=null,this.innerRole=null,this.innerAriaLabel=null,this.rootTabbable=!1,this.previousTabindex=null,this.noninteractive=!1,this.itemsReadyResolver=()=>{},this.itemsReady=Promise.resolve([]),this.items_=[];const t=function(t,n=50){let r;return function(l=!0){clearTimeout(r),r=setTimeout((()=>{t(l)}),n)}}(this.layout.bind(this));this.debouncedLayout=(n=!0)=>{be.call(this),t(n)}}async getUpdateComplete(){const t=await super.getUpdateComplete();return await this.itemsReady,t}get items(){return this.items_}updateItems(){var t;const n=null!==(t=this.assignedElements)&&void 0!==t?t:[],r=[];for(const t of n)ve(t)&&(r.push(t),t._managingList=this),t.hasAttribute("divider")&&!t.hasAttribute("role")&&t.setAttribute("role","separator");this.items_=r;const l=new Set;if(this.items_.forEach(((t,n)=>{this.itemRoles?t.setAttribute("role",this.itemRoles):t.removeAttribute("role"),t.selected&&l.add(n)})),this.multi)this.select(l);else{const t=l.size?l.entries().next().value[1]:-1;this.select(t)}const d=new Event("items-updated",{bubbles:!0,composed:!0});this.dispatchEvent(d)}get selected(){const t=this.index;if(!me(t))return-1===t?null:this.items[t];const n=[];for(const r of t)n.push(this.items[r]);return n}get index(){return this.mdcFoundation?this.mdcFoundation.getSelectedIndex():-1}render(){const t=null===this.innerRole?void 0:this.innerRole,n=null===this.innerAriaLabel?void 0:this.innerAriaLabel,r=this.rootTabbable?"0":"-1";return b.dy`
      <!-- @ts-ignore -->
      <ul
          tabindex=${r}
          role="${(0,C.o)(t)}"
          aria-label="${(0,C.o)(n)}"
          class="mdc-deprecated-list"
          @keydown=${this.onKeydown}
          @focusin=${this.onFocusIn}
          @focusout=${this.onFocusOut}
          @request-selected=${this.onRequestSelected}
          @list-item-rendered=${this.onListItemConnected}>
        <slot></slot>
        ${this.renderPlaceholder()}
      </ul>
    `}renderPlaceholder(){var t;const n=null!==(t=this.assignedElements)&&void 0!==t?t:[];return void 0!==this.emptyMessage&&0===n.length?b.dy`
        <mwc-list-item noninteractive>${this.emptyMessage}</mwc-list-item>
      `:null}firstUpdated(){super.firstUpdated(),this.items.length||(this.mdcFoundation.setMulti(this.multi),this.layout())}onFocusIn(t){if(this.mdcFoundation&&this.mdcRoot){const n=this.getIndexOfTarget(t);this.mdcFoundation.handleFocusIn(t,n)}}onFocusOut(t){if(this.mdcFoundation&&this.mdcRoot){const n=this.getIndexOfTarget(t);this.mdcFoundation.handleFocusOut(t,n)}}onKeydown(t){if(this.mdcFoundation&&this.mdcRoot){const n=this.getIndexOfTarget(t),r=t.target,l=ve(r);this.mdcFoundation.handleKeydown(t,l,n)}}onRequestSelected(t){if(this.mdcFoundation){let n=this.getIndexOfTarget(t);if(-1===n&&(this.layout(),n=this.getIndexOfTarget(t),-1===n))return;if(this.items[n].disabled)return;const r=t.detail.selected,l=t.detail.source;this.mdcFoundation.handleSingleSelection(n,"interaction"===l,r),t.stopPropagation()}}getIndexOfTarget(t){const n=this.items,r=t.composedPath();for(const t of r){let r=-1;if((0,T.OE)(t)&&ve(t)&&(r=n.indexOf(t)),-1!==r)return r}return-1}createAdapter(){return this.mdcAdapter={getListItemCount:()=>this.mdcRoot?this.items.length:0,getFocusedElementIndex:this.getFocusedItemIndex,getAttributeForElementIndex:(t,n)=>{if(!this.mdcRoot)return"";const r=this.items[t];return r?r.getAttribute(n):""},setAttributeForElementIndex:(t,n,r)=>{if(!this.mdcRoot)return;const l=this.items[t];l&&l.setAttribute(n,r)},focusItemAtIndex:t=>{const n=this.items[t];n&&n.focus()},setTabIndexForElementIndex:(t,n)=>{const r=this.items[t];r&&(r.tabindex=n)},notifyAction:t=>{const n={bubbles:!0,composed:!0};n.detail={index:t};const r=new CustomEvent("action",n);this.dispatchEvent(r)},notifySelected:(t,n)=>{const r={bubbles:!0,composed:!0};r.detail={index:t,diff:n};const l=new CustomEvent("selected",r);this.dispatchEvent(l)},isFocusInsideList:()=>(0,T.WU)(this),isRootFocused:()=>{const t=this.mdcRoot;return t.getRootNode().activeElement===t},setDisabledStateForElementIndex:(t,n)=>{const r=this.items[t];r&&(r.disabled=n)},getDisabledStateForElementIndex:t=>{const n=this.items[t];return!!n&&n.disabled},setSelectedStateForElementIndex:(t,n)=>{const r=this.items[t];r&&(r.selected=n)},getSelectedStateForElementIndex:t=>{const n=this.items[t];return!!n&&n.selected},setActivatedStateForElementIndex:(t,n)=>{const r=this.items[t];r&&(r.activated=n)}},this.mdcAdapter}selectUi(t,n=!1){const r=this.items[t];r&&(r.selected=!0,r.activated=n)}deselectUi(t){const n=this.items[t];n&&(n.selected=!1,n.activated=!1)}select(t){this.mdcFoundation&&this.mdcFoundation.setSelectedIndex(t)}toggle(t,n){this.multi&&this.mdcFoundation.toggleMultiAtIndex(t,n)}onListItemConnected(t){const n=t.target;this.layout(-1===this.items.indexOf(n))}layout(t=!0){t&&this.updateItems();const n=this.items[0];for(const t of this.items)t.tabindex=-1;n&&(this.noninteractive?this.previousTabindex||(this.previousTabindex=n):n.tabindex=0),this.itemsReadyResolver()}getFocusedItemIndex(){if(!this.mdcRoot)return-1;if(!this.items.length)return-1;const t=(0,T.Mh)();if(!t.length)return-1;for(let n=t.length-1;n>=0;n--){const r=t[n];if(ve(r))return this.items.indexOf(r)}return-1}focusItemAtIndex(t){for(const t of this.items)if(0===t.tabindex){t.tabindex=-1;break}this.items[t].tabindex=0,this.items[t].focus()}focus(){const t=this.mdcRoot;t&&t.focus()}blur(){const t=this.mdcRoot;t&&t.blur()}}(0,l.gn)([(0,h.C)({type:String})],ListBase.prototype,"emptyMessage",void 0),(0,l.gn)([(0,f.I)(".mdc-deprecated-list")],ListBase.prototype,"mdcRoot",void 0),(0,l.gn)([(0,g.v)("",!0,"*")],ListBase.prototype,"assignedElements",void 0),(0,l.gn)([(0,g.v)("",!0,'[tabindex="0"]')],ListBase.prototype,"tabbableElements",void 0),(0,l.gn)([(0,h.C)({type:Boolean}),(0,y.P)((function(t){this.mdcFoundation&&this.mdcFoundation.setUseActivatedClass(t)}))],ListBase.prototype,"activatable",void 0),(0,l.gn)([(0,h.C)({type:Boolean}),(0,y.P)((function(t,n){this.mdcFoundation&&this.mdcFoundation.setMulti(t),void 0!==n&&this.layout()}))],ListBase.prototype,"multi",void 0),(0,l.gn)([(0,h.C)({type:Boolean}),(0,y.P)((function(t){this.mdcFoundation&&this.mdcFoundation.setWrapFocus(t)}))],ListBase.prototype,"wrapFocus",void 0),(0,l.gn)([(0,h.C)({type:String}),(0,y.P)((function(t,n){void 0!==n&&this.updateItems()}))],ListBase.prototype,"itemRoles",void 0),(0,l.gn)([(0,h.C)({type:String})],ListBase.prototype,"innerRole",void 0),(0,l.gn)([(0,h.C)({type:String})],ListBase.prototype,"innerAriaLabel",void 0),(0,l.gn)([(0,h.C)({type:Boolean})],ListBase.prototype,"rootTabbable",void 0),(0,l.gn)([(0,h.C)({type:Boolean,reflect:!0}),(0,y.P)((function(t){var n,r;if(t){const t=null!==(r=null===(n=this.tabbableElements)||void 0===n?void 0:n[0])&&void 0!==r?r:null;this.previousTabindex=t,t&&t.setAttribute("tabindex","-1")}else!t&&this.previousTabindex&&(this.previousTabindex.setAttribute("tabindex","0"),this.previousTabindex=null)}))],ListBase.prototype,"noninteractive",void 0);const xe=b.iv`@keyframes mdc-ripple-fg-radius-in{from{animation-timing-function:cubic-bezier(0.4, 0, 0.2, 1);transform:translate(var(--mdc-ripple-fg-translate-start, 0)) scale(1)}to{transform:translate(var(--mdc-ripple-fg-translate-end, 0)) scale(var(--mdc-ripple-fg-scale, 1))}}@keyframes mdc-ripple-fg-opacity-in{from{animation-timing-function:linear;opacity:0}to{opacity:var(--mdc-ripple-fg-opacity, 0)}}@keyframes mdc-ripple-fg-opacity-out{from{animation-timing-function:linear;opacity:var(--mdc-ripple-fg-opacity, 0)}to{opacity:0}}:host{display:block}.mdc-deprecated-list{-moz-osx-font-smoothing:grayscale;-webkit-font-smoothing:antialiased;font-family:Roboto, sans-serif;font-family:var(--mdc-typography-subtitle1-font-family, var(--mdc-typography-font-family, Roboto, sans-serif));font-size:1rem;font-size:var(--mdc-typography-subtitle1-font-size, 1rem);line-height:1.75rem;line-height:var(--mdc-typography-subtitle1-line-height, 1.75rem);font-weight:400;font-weight:var(--mdc-typography-subtitle1-font-weight, 400);letter-spacing:0.009375em;letter-spacing:var(--mdc-typography-subtitle1-letter-spacing, 0.009375em);text-decoration:inherit;text-decoration:var(--mdc-typography-subtitle1-text-decoration, inherit);text-transform:inherit;text-transform:var(--mdc-typography-subtitle1-text-transform, inherit);line-height:1.5rem;margin:0;padding:8px 0;list-style-type:none;color:rgba(0, 0, 0, 0.87);color:var(--mdc-theme-text-primary-on-background, rgba(0, 0, 0, 0.87));padding:var(--mdc-list-vertical-padding, 8px) 0}.mdc-deprecated-list:focus{outline:none}.mdc-deprecated-list-item{height:48px}.mdc-deprecated-list--dense{padding-top:4px;padding-bottom:4px;font-size:.812rem}.mdc-deprecated-list ::slotted([divider]){height:0;margin:0;border:none;border-bottom-width:1px;border-bottom-style:solid;border-bottom-color:rgba(0, 0, 0, 0.12)}.mdc-deprecated-list ::slotted([divider][padded]){margin:0 var(--mdc-list-side-padding, 16px)}.mdc-deprecated-list ::slotted([divider][inset]){margin-left:var(--mdc-list-inset-margin, 72px);margin-right:0;width:calc( 100% - var(--mdc-list-inset-margin, 72px) )}[dir=rtl] .mdc-deprecated-list ::slotted([divider][inset]),.mdc-deprecated-list ::slotted([divider][inset][dir=rtl]){margin-left:0;margin-right:var(--mdc-list-inset-margin, 72px)}.mdc-deprecated-list ::slotted([divider][inset][padded]){width:calc( 100% - var(--mdc-list-inset-margin, 72px) - var(--mdc-list-side-padding, 16px) )}.mdc-deprecated-list--dense ::slotted([mwc-list-item]){height:40px}.mdc-deprecated-list--dense ::slotted([mwc-list]){--mdc-list-item-graphic-size: 20px}.mdc-deprecated-list--two-line.mdc-deprecated-list--dense ::slotted([mwc-list-item]),.mdc-deprecated-list--avatar-list.mdc-deprecated-list--dense ::slotted([mwc-list-item]){height:60px}.mdc-deprecated-list--avatar-list.mdc-deprecated-list--dense ::slotted([mwc-list]){--mdc-list-item-graphic-size: 36px}:host([noninteractive]){pointer-events:none;cursor:default}.mdc-deprecated-list--dense ::slotted(.mdc-deprecated-list-item__primary-text){display:block;margin-top:0;line-height:normal;margin-bottom:-20px}.mdc-deprecated-list--dense ::slotted(.mdc-deprecated-list-item__primary-text)::before{display:inline-block;width:0;height:24px;content:"";vertical-align:0}.mdc-deprecated-list--dense ::slotted(.mdc-deprecated-list-item__primary-text)::after{display:inline-block;width:0;height:20px;content:"";vertical-align:-20px}`;let we=class List extends ListBase{};we.styles=[xe],we=(0,l.gn)([(0,d.M)("mwc-list")],we);var Se,_e,Ee={ANCHOR:"mdc-menu-surface--anchor",ANIMATING_CLOSED:"mdc-menu-surface--animating-closed",ANIMATING_OPEN:"mdc-menu-surface--animating-open",FIXED:"mdc-menu-surface--fixed",IS_OPEN_BELOW:"mdc-menu-surface--is-open-below",OPEN:"mdc-menu-surface--open",ROOT:"mdc-menu-surface"},Me={CLOSED_EVENT:"MDCMenuSurface:closed",CLOSING_EVENT:"MDCMenuSurface:closing",OPENED_EVENT:"MDCMenuSurface:opened",OPENING_EVENT:"MDCMenuSurface:opening",FOCUSABLE_ELEMENTS:["button:not(:disabled)",'[href]:not([aria-disabled="true"])',"input:not(:disabled)","select:not(:disabled)","textarea:not(:disabled)",'[tabindex]:not([tabindex="-1"]):not([aria-disabled="true"])'].join(", ")},Te={TRANSITION_OPEN_DURATION:120,TRANSITION_CLOSE_DURATION:75,MARGIN_TO_EDGE:32,ANCHOR_TO_MENU_SURFACE_WIDTH_RATIO:.67,TOUCH_EVENT_WAIT_MS:30};!function(t){t[t.BOTTOM=1]="BOTTOM",t[t.CENTER=2]="CENTER",t[t.RIGHT=4]="RIGHT",t[t.FLIP_RTL=8]="FLIP_RTL"}(Se||(Se={})),function(t){t[t.TOP_LEFT=0]="TOP_LEFT",t[t.TOP_RIGHT=4]="TOP_RIGHT",t[t.BOTTOM_LEFT=1]="BOTTOM_LEFT",t[t.BOTTOM_RIGHT=5]="BOTTOM_RIGHT",t[t.TOP_START=8]="TOP_START",t[t.TOP_END=12]="TOP_END",t[t.BOTTOM_START=9]="BOTTOM_START",t[t.BOTTOM_END=13]="BOTTOM_END"}(_e||(_e={}));var Ce=function(t){function n(r){var d=t.call(this,(0,l.pi)((0,l.pi)({},n.defaultAdapter),r))||this;return d.isSurfaceOpen=!1,d.isQuickOpen=!1,d.isHoistedElement=!1,d.isFixedPosition=!1,d.isHorizontallyCenteredOnViewport=!1,d.maxHeight=0,d.openBottomBias=0,d.openAnimationEndTimerId=0,d.closeAnimationEndTimerId=0,d.animationRequestId=0,d.anchorCorner=_e.TOP_START,d.originCorner=_e.TOP_START,d.anchorMargin={top:0,right:0,bottom:0,left:0},d.position={x:0,y:0},d}return(0,l.ZT)(n,t),Object.defineProperty(n,"cssClasses",{get:function(){return Ee},enumerable:!1,configurable:!0}),Object.defineProperty(n,"strings",{get:function(){return Me},enumerable:!1,configurable:!0}),Object.defineProperty(n,"numbers",{get:function(){return Te},enumerable:!1,configurable:!0}),Object.defineProperty(n,"Corner",{get:function(){return _e},enumerable:!1,configurable:!0}),Object.defineProperty(n,"defaultAdapter",{get:function(){return{addClass:function(){},removeClass:function(){},hasClass:function(){return!1},hasAnchor:function(){return!1},isElementInContainer:function(){return!1},isFocused:function(){return!1},isRtl:function(){return!1},getInnerDimensions:function(){return{height:0,width:0}},getAnchorDimensions:function(){return null},getWindowDimensions:function(){return{height:0,width:0}},getBodyDimensions:function(){return{height:0,width:0}},getWindowScroll:function(){return{x:0,y:0}},setPosition:function(){},setMaxHeight:function(){},setTransformOrigin:function(){},saveFocus:function(){},restoreFocus:function(){},notifyClose:function(){},notifyClosing:function(){},notifyOpen:function(){},notifyOpening:function(){}}},enumerable:!1,configurable:!0}),n.prototype.init=function(){var t=n.cssClasses,r=t.ROOT,l=t.OPEN;if(!this.adapter.hasClass(r))throw new Error(r+" class required in root element.");this.adapter.hasClass(l)&&(this.isSurfaceOpen=!0)},n.prototype.destroy=function(){clearTimeout(this.openAnimationEndTimerId),clearTimeout(this.closeAnimationEndTimerId),cancelAnimationFrame(this.animationRequestId)},n.prototype.setAnchorCorner=function(t){this.anchorCorner=t},n.prototype.flipCornerHorizontally=function(){this.originCorner=this.originCorner^Se.RIGHT},n.prototype.setAnchorMargin=function(t){this.anchorMargin.top=t.top||0,this.anchorMargin.right=t.right||0,this.anchorMargin.bottom=t.bottom||0,this.anchorMargin.left=t.left||0},n.prototype.setIsHoisted=function(t){this.isHoistedElement=t},n.prototype.setFixedPosition=function(t){this.isFixedPosition=t},n.prototype.isFixed=function(){return this.isFixedPosition},n.prototype.setAbsolutePosition=function(t,n){this.position.x=this.isFinite(t)?t:0,this.position.y=this.isFinite(n)?n:0},n.prototype.setIsHorizontallyCenteredOnViewport=function(t){this.isHorizontallyCenteredOnViewport=t},n.prototype.setQuickOpen=function(t){this.isQuickOpen=t},n.prototype.setMaxHeight=function(t){this.maxHeight=t},n.prototype.setOpenBottomBias=function(t){this.openBottomBias=t},n.prototype.isOpen=function(){return this.isSurfaceOpen},n.prototype.open=function(){var t=this;this.isSurfaceOpen||(this.adapter.notifyOpening(),this.adapter.saveFocus(),this.isQuickOpen?(this.isSurfaceOpen=!0,this.adapter.addClass(n.cssClasses.OPEN),this.dimensions=this.adapter.getInnerDimensions(),this.autoposition(),this.adapter.notifyOpen()):(this.adapter.addClass(n.cssClasses.ANIMATING_OPEN),this.animationRequestId=requestAnimationFrame((function(){t.dimensions=t.adapter.getInnerDimensions(),t.autoposition(),t.adapter.addClass(n.cssClasses.OPEN),t.openAnimationEndTimerId=setTimeout((function(){t.openAnimationEndTimerId=0,t.adapter.removeClass(n.cssClasses.ANIMATING_OPEN),t.adapter.notifyOpen()}),Te.TRANSITION_OPEN_DURATION)})),this.isSurfaceOpen=!0))},n.prototype.close=function(t){var r=this;if(void 0===t&&(t=!1),this.isSurfaceOpen){if(this.adapter.notifyClosing(),this.isQuickOpen)return this.isSurfaceOpen=!1,t||this.maybeRestoreFocus(),this.adapter.removeClass(n.cssClasses.OPEN),this.adapter.removeClass(n.cssClasses.IS_OPEN_BELOW),void this.adapter.notifyClose();this.adapter.addClass(n.cssClasses.ANIMATING_CLOSED),requestAnimationFrame((function(){r.adapter.removeClass(n.cssClasses.OPEN),r.adapter.removeClass(n.cssClasses.IS_OPEN_BELOW),r.closeAnimationEndTimerId=setTimeout((function(){r.closeAnimationEndTimerId=0,r.adapter.removeClass(n.cssClasses.ANIMATING_CLOSED),r.adapter.notifyClose()}),Te.TRANSITION_CLOSE_DURATION)})),this.isSurfaceOpen=!1,t||this.maybeRestoreFocus()}},n.prototype.handleBodyClick=function(t){var n=t.target;this.adapter.isElementInContainer(n)||this.close()},n.prototype.handleKeydown=function(t){var n=t.keyCode;("Escape"===t.key||27===n)&&this.close()},n.prototype.autoposition=function(){var t;this.measurements=this.getAutoLayoutmeasurements();var r=this.getoriginCorner(),l=this.getMenuSurfaceMaxHeight(r),d=this.hasBit(r,Se.BOTTOM)?"bottom":"top",h=this.hasBit(r,Se.RIGHT)?"right":"left",p=this.getHorizontalOriginOffset(r),f=this.getVerticalOriginOffset(r),m=this.measurements,g=m.anchorSize,y=m.surfaceSize,v=((t={})[h]=p,t[d]=f,t);g.width/y.width>Te.ANCHOR_TO_MENU_SURFACE_WIDTH_RATIO&&(h="center"),(this.isHoistedElement||this.isFixedPosition)&&this.adjustPositionForHoistedElement(v),this.adapter.setTransformOrigin(h+" "+d),this.adapter.setPosition(v),this.adapter.setMaxHeight(l?l+"px":""),this.hasBit(r,Se.BOTTOM)||this.adapter.addClass(n.cssClasses.IS_OPEN_BELOW)},n.prototype.getAutoLayoutmeasurements=function(){var t=this.adapter.getAnchorDimensions(),n=this.adapter.getBodyDimensions(),r=this.adapter.getWindowDimensions(),l=this.adapter.getWindowScroll();return t||(t={top:this.position.y,right:this.position.x,bottom:this.position.y,left:this.position.x,width:0,height:0}),{anchorSize:t,bodySize:n,surfaceSize:this.dimensions,viewportDistance:{top:t.top,right:r.width-t.right,bottom:r.height-t.bottom,left:t.left},viewportSize:r,windowScroll:l}},n.prototype.getoriginCorner=function(){var t,r,l=this.originCorner,d=this.measurements,h=d.viewportDistance,p=d.anchorSize,f=d.surfaceSize,m=n.numbers.MARGIN_TO_EDGE;this.hasBit(this.anchorCorner,Se.BOTTOM)?(t=h.top-m+this.anchorMargin.bottom,r=h.bottom-m-this.anchorMargin.bottom):(t=h.top-m+this.anchorMargin.top,r=h.bottom-m+p.height-this.anchorMargin.top),!(r-f.height>0)&&t>r+this.openBottomBias&&(l=this.setBit(l,Se.BOTTOM));var g,y,v=this.adapter.isRtl(),b=this.hasBit(this.anchorCorner,Se.FLIP_RTL),x=this.hasBit(this.anchorCorner,Se.RIGHT)||this.hasBit(l,Se.RIGHT),w=!1;(w=v&&b?!x:x)?(g=h.left+p.width+this.anchorMargin.right,y=h.right-this.anchorMargin.right):(g=h.left+this.anchorMargin.left,y=h.right+p.width-this.anchorMargin.left);var S=g-f.width>0,_=y-f.width>0,E=this.hasBit(l,Se.FLIP_RTL)&&this.hasBit(l,Se.RIGHT);return _&&E&&v||!S&&E?l=this.unsetBit(l,Se.RIGHT):(S&&w&&v||S&&!w&&x||!_&&g>=y)&&(l=this.setBit(l,Se.RIGHT)),l},n.prototype.getMenuSurfaceMaxHeight=function(t){if(this.maxHeight>0)return this.maxHeight;var r=this.measurements.viewportDistance,l=0,d=this.hasBit(t,Se.BOTTOM),h=this.hasBit(this.anchorCorner,Se.BOTTOM),p=n.numbers.MARGIN_TO_EDGE;return d?(l=r.top+this.anchorMargin.top-p,h||(l+=this.measurements.anchorSize.height)):(l=r.bottom-this.anchorMargin.bottom+this.measurements.anchorSize.height-p,h&&(l-=this.measurements.anchorSize.height)),l},n.prototype.getHorizontalOriginOffset=function(t){var n=this.measurements.anchorSize,r=this.hasBit(t,Se.RIGHT),l=this.hasBit(this.anchorCorner,Se.RIGHT);if(r){var d=l?n.width-this.anchorMargin.left:this.anchorMargin.right;return this.isHoistedElement||this.isFixedPosition?d-(this.measurements.viewportSize.width-this.measurements.bodySize.width):d}return l?n.width-this.anchorMargin.right:this.anchorMargin.left},n.prototype.getVerticalOriginOffset=function(t){var n=this.measurements.anchorSize,r=this.hasBit(t,Se.BOTTOM),l=this.hasBit(this.anchorCorner,Se.BOTTOM);return r?l?n.height-this.anchorMargin.top:-this.anchorMargin.bottom:l?n.height+this.anchorMargin.bottom:this.anchorMargin.top},n.prototype.adjustPositionForHoistedElement=function(t){var n,r,d=this.measurements,h=d.windowScroll,p=d.viewportDistance,f=d.surfaceSize,m=d.viewportSize,g=Object.keys(t);try{for(var y=(0,l.XA)(g),v=y.next();!v.done;v=y.next()){var b=v.value,x=t[b]||0;!this.isHorizontallyCenteredOnViewport||"left"!==b&&"right"!==b?(x+=p[b],this.isFixedPosition||("top"===b?x+=h.y:"bottom"===b?x-=h.y:"left"===b?x+=h.x:x-=h.x),t[b]=x):t[b]=(m.width-f.width)/2}}catch(t){n={error:t}}finally{try{v&&!v.done&&(r=y.return)&&r.call(y)}finally{if(n)throw n.error}}},n.prototype.maybeRestoreFocus=function(){var t=this,n=this.adapter.isFocused(),r=this.adapter.getOwnerDocument?this.adapter.getOwnerDocument():document,l=r.activeElement&&this.adapter.isElementInContainer(r.activeElement);(n||l)&&setTimeout((function(){t.adapter.restoreFocus()}),Te.TOUCH_EVENT_WAIT_MS)},n.prototype.hasBit=function(t,n){return Boolean(t&n)},n.prototype.setBit=function(t,n){return t|n},n.prototype.unsetBit=function(t,n){return t^n},n.prototype.isFinite=function(t){return"number"==typeof t&&isFinite(t)},n}(A.K);const Ae=Ce;var ke=r(7151);const Oe={TOP_LEFT:_e.TOP_LEFT,TOP_RIGHT:_e.TOP_RIGHT,BOTTOM_LEFT:_e.BOTTOM_LEFT,BOTTOM_RIGHT:_e.BOTTOM_RIGHT,TOP_START:_e.TOP_START,TOP_END:_e.TOP_END,BOTTOM_START:_e.BOTTOM_START,BOTTOM_END:_e.BOTTOM_END};class MenuSurfaceBase extends E.H{constructor(){super(...arguments),this.mdcFoundationClass=Ae,this.absolute=!1,this.fullwidth=!1,this.fixed=!1,this.x=null,this.y=null,this.quick=!1,this.open=!1,this.stayOpenOnBodyClick=!1,this.bitwiseCorner=_e.TOP_START,this.previousMenuCorner=null,this.menuCorner="START",this.corner="TOP_START",this.styleTop="",this.styleLeft="",this.styleRight="",this.styleBottom="",this.styleMaxHeight="",this.styleTransformOrigin="",this.anchor=null,this.previouslyFocused=null,this.previousAnchor=null,this.onBodyClickBound=()=>{}}render(){return this.renderSurface()}renderSurface(){const t=this.getRootClasses(),n=this.getRootStyles();return b.dy`
      <div
          class=${(0,x.$)(t)}
          style="${(0,ke.V)(n)}"
          @keydown=${this.onKeydown}
          @opened=${this.registerBodyClick}
          @closed=${this.deregisterBodyClick}>
        ${this.renderContent()}
      </div>`}getRootClasses(){return{"mdc-menu-surface":!0,"mdc-menu-surface--fixed":this.fixed,"mdc-menu-surface--fullwidth":this.fullwidth}}getRootStyles(){return{top:this.styleTop,left:this.styleLeft,right:this.styleRight,bottom:this.styleBottom,"max-height":this.styleMaxHeight,"transform-origin":this.styleTransformOrigin}}renderContent(){return b.dy`<slot></slot>`}createAdapter(){return Object.assign(Object.assign({},(0,E.q)(this.mdcRoot)),{hasAnchor:()=>!!this.anchor,notifyClose:()=>{const t=new CustomEvent("closed",{bubbles:!0,composed:!0});this.open=!1,this.mdcRoot.dispatchEvent(t)},notifyClosing:()=>{const t=new CustomEvent("closing",{bubbles:!0,composed:!0});this.mdcRoot.dispatchEvent(t)},notifyOpen:()=>{const t=new CustomEvent("opened",{bubbles:!0,composed:!0});this.open=!0,this.mdcRoot.dispatchEvent(t)},notifyOpening:()=>{const t=new CustomEvent("opening",{bubbles:!0,composed:!0});this.mdcRoot.dispatchEvent(t)},isElementInContainer:()=>!1,isRtl:()=>!!this.mdcRoot&&"rtl"===getComputedStyle(this.mdcRoot).direction,setTransformOrigin:t=>{this.mdcRoot&&(this.styleTransformOrigin=t)},isFocused:()=>(0,T.WU)(this),saveFocus:()=>{const t=(0,T.Mh)(),n=t.length;n||(this.previouslyFocused=null),this.previouslyFocused=t[n-1]},restoreFocus:()=>{this.previouslyFocused&&"focus"in this.previouslyFocused&&this.previouslyFocused.focus()},getInnerDimensions:()=>{const t=this.mdcRoot;return t?{width:t.offsetWidth,height:t.offsetHeight}:{width:0,height:0}},getAnchorDimensions:()=>{const t=this.anchor;return t?t.getBoundingClientRect():null},getBodyDimensions:()=>({width:document.body.clientWidth,height:document.body.clientHeight}),getWindowDimensions:()=>({width:window.innerWidth,height:window.innerHeight}),getWindowScroll:()=>({x:window.pageXOffset,y:window.pageYOffset}),setPosition:t=>{this.mdcRoot&&(this.styleLeft="left"in t?`${t.left}px`:"",this.styleRight="right"in t?`${t.right}px`:"",this.styleTop="top"in t?`${t.top}px`:"",this.styleBottom="bottom"in t?`${t.bottom}px`:"")},setMaxHeight:async t=>{this.mdcRoot&&(this.styleMaxHeight=t,await this.updateComplete,this.styleMaxHeight=`var(--mdc-menu-max-height, ${t})`)}})}onKeydown(t){this.mdcFoundation&&this.mdcFoundation.handleKeydown(t)}onBodyClick(t){if(this.stayOpenOnBodyClick)return;-1===t.composedPath().indexOf(this)&&this.close()}registerBodyClick(){this.onBodyClickBound=this.onBodyClick.bind(this),document.body.addEventListener("click",this.onBodyClickBound,{passive:!0,capture:!0})}deregisterBodyClick(){document.body.removeEventListener("click",this.onBodyClickBound,{capture:!0})}onOpenChanged(t,n){this.mdcFoundation&&(t?this.mdcFoundation.open():void 0!==n&&this.mdcFoundation.close())}close(){this.open=!1}show(){this.open=!0}}(0,l.gn)([(0,f.I)(".mdc-menu-surface")],MenuSurfaceBase.prototype,"mdcRoot",void 0),(0,l.gn)([(0,f.I)("slot")],MenuSurfaceBase.prototype,"slotElement",void 0),(0,l.gn)([(0,h.C)({type:Boolean}),(0,y.P)((function(t){this.mdcFoundation&&!this.fixed&&this.mdcFoundation.setIsHoisted(t)}))],MenuSurfaceBase.prototype,"absolute",void 0),(0,l.gn)([(0,h.C)({type:Boolean})],MenuSurfaceBase.prototype,"fullwidth",void 0),(0,l.gn)([(0,h.C)({type:Boolean}),(0,y.P)((function(t){this.mdcFoundation&&!this.absolute&&this.mdcFoundation.setFixedPosition(t)}))],MenuSurfaceBase.prototype,"fixed",void 0),(0,l.gn)([(0,h.C)({type:Number}),(0,y.P)((function(t){this.mdcFoundation&&null!==this.y&&null!==t&&(this.mdcFoundation.setAbsolutePosition(t,this.y),this.mdcFoundation.setAnchorMargin({left:t,top:this.y,right:-t,bottom:this.y}))}))],MenuSurfaceBase.prototype,"x",void 0),(0,l.gn)([(0,h.C)({type:Number}),(0,y.P)((function(t){this.mdcFoundation&&null!==this.x&&null!==t&&(this.mdcFoundation.setAbsolutePosition(this.x,t),this.mdcFoundation.setAnchorMargin({left:this.x,top:t,right:-this.x,bottom:t}))}))],MenuSurfaceBase.prototype,"y",void 0),(0,l.gn)([(0,h.C)({type:Boolean}),(0,y.P)((function(t){this.mdcFoundation&&this.mdcFoundation.setQuickOpen(t)}))],MenuSurfaceBase.prototype,"quick",void 0),(0,l.gn)([(0,h.C)({type:Boolean,reflect:!0}),(0,y.P)((function(t,n){this.onOpenChanged(t,n)}))],MenuSurfaceBase.prototype,"open",void 0),(0,l.gn)([(0,h.C)({type:Boolean})],MenuSurfaceBase.prototype,"stayOpenOnBodyClick",void 0),(0,l.gn)([(0,p.S)(),(0,y.P)((function(t){this.mdcFoundation&&this.mdcFoundation.setAnchorCorner(t)}))],MenuSurfaceBase.prototype,"bitwiseCorner",void 0),(0,l.gn)([(0,h.C)({type:String}),(0,y.P)((function(t){if(this.mdcFoundation){const n="START"===t||"END"===t,r=null===this.previousMenuCorner,l=!r&&t!==this.previousMenuCorner;n&&(l||r&&"END"===t)&&(this.bitwiseCorner=this.bitwiseCorner^Se.RIGHT,this.mdcFoundation.flipCornerHorizontally(),this.previousMenuCorner=t)}}))],MenuSurfaceBase.prototype,"menuCorner",void 0),(0,l.gn)([(0,h.C)({type:String}),(0,y.P)((function(t){if(this.mdcFoundation&&t){let n=Oe[t];"END"===this.menuCorner&&(n^=Se.RIGHT),this.bitwiseCorner=n}}))],MenuSurfaceBase.prototype,"corner",void 0),(0,l.gn)([(0,p.S)()],MenuSurfaceBase.prototype,"styleTop",void 0),(0,l.gn)([(0,p.S)()],MenuSurfaceBase.prototype,"styleLeft",void 0),(0,l.gn)([(0,p.S)()],MenuSurfaceBase.prototype,"styleRight",void 0),(0,l.gn)([(0,p.S)()],MenuSurfaceBase.prototype,"styleBottom",void 0),(0,l.gn)([(0,p.S)()],MenuSurfaceBase.prototype,"styleMaxHeight",void 0),(0,l.gn)([(0,p.S)()],MenuSurfaceBase.prototype,"styleTransformOrigin",void 0);const Ie=b.iv`.mdc-menu-surface{display:none;position:absolute;box-sizing:border-box;max-width:calc(100vw - 32px);max-width:var(--mdc-menu-max-width, calc(100vw - 32px));max-height:calc(100vh - 32px);max-height:var(--mdc-menu-max-height, calc(100vh - 32px));margin:0;padding:0;transform:scale(1);transform-origin:top left;opacity:0;overflow:auto;will-change:transform,opacity;z-index:8;transition:opacity .03s linear,transform .12s cubic-bezier(0, 0, 0.2, 1),height 250ms cubic-bezier(0, 0, 0.2, 1);box-shadow:0px 5px 5px -3px rgba(0, 0, 0, 0.2),0px 8px 10px 1px rgba(0, 0, 0, 0.14),0px 3px 14px 2px rgba(0,0,0,.12);background-color:#fff;background-color:var(--mdc-theme-surface, #fff);color:#000;color:var(--mdc-theme-on-surface, #000);border-radius:4px;border-radius:var(--mdc-shape-medium, 4px);transform-origin-left:top left;transform-origin-right:top right}.mdc-menu-surface:focus{outline:none}.mdc-menu-surface--animating-open{display:inline-block;transform:scale(0.8);opacity:0}.mdc-menu-surface--open{display:inline-block;transform:scale(1);opacity:1}.mdc-menu-surface--animating-closed{display:inline-block;opacity:0;transition:opacity .075s linear}[dir=rtl] .mdc-menu-surface,.mdc-menu-surface[dir=rtl]{transform-origin-left:top right;transform-origin-right:top left}.mdc-menu-surface--anchor{position:relative;overflow:visible}.mdc-menu-surface--fixed{position:fixed}.mdc-menu-surface--fullwidth{width:100%}:host(:not([open])){display:none}.mdc-menu-surface{z-index:8;z-index:var(--mdc-menu-z-index, 8);min-width:112px;min-width:var(--mdc-menu-min-width, 112px)}`;let Re=class MenuSurface extends MenuSurfaceBase{};Re.styles=[Ie],Re=(0,l.gn)([(0,d.M)("mwc-menu-surface")],Re);var Pe,Le={MENU_SELECTED_LIST_ITEM:"mdc-menu-item--selected",MENU_SELECTION_GROUP:"mdc-menu__selection-group",ROOT:"mdc-menu"},De={ARIA_CHECKED_ATTR:"aria-checked",ARIA_DISABLED_ATTR:"aria-disabled",CHECKBOX_SELECTOR:'input[type="checkbox"]',LIST_SELECTOR:".mdc-list,.mdc-deprecated-list",SELECTED_EVENT:"MDCMenu:selected",SKIP_RESTORE_FOCUS:"data-menu-item-skip-restore-focus"},Fe={FOCUS_ROOT_INDEX:-1};!function(t){t[t.NONE=0]="NONE",t[t.LIST_ROOT=1]="LIST_ROOT",t[t.FIRST_ITEM=2]="FIRST_ITEM",t[t.LAST_ITEM=3]="LAST_ITEM"}(Pe||(Pe={}));const Ne=function(t){function n(r){var d=t.call(this,(0,l.pi)((0,l.pi)({},n.defaultAdapter),r))||this;return d.closeAnimationEndTimerId=0,d.defaultFocusState=Pe.LIST_ROOT,d.selectedIndex=-1,d}return(0,l.ZT)(n,t),Object.defineProperty(n,"cssClasses",{get:function(){return Le},enumerable:!1,configurable:!0}),Object.defineProperty(n,"strings",{get:function(){return De},enumerable:!1,configurable:!0}),Object.defineProperty(n,"numbers",{get:function(){return Fe},enumerable:!1,configurable:!0}),Object.defineProperty(n,"defaultAdapter",{get:function(){return{addClassToElementAtIndex:function(){},removeClassFromElementAtIndex:function(){},addAttributeToElementAtIndex:function(){},removeAttributeFromElementAtIndex:function(){},getAttributeFromElementAtIndex:function(){return null},elementContainsClass:function(){return!1},closeSurface:function(){},getElementIndex:function(){return-1},notifySelected:function(){},getMenuItemCount:function(){return 0},focusItemAtIndex:function(){},focusListRoot:function(){},getSelectedSiblingOfItemAtIndex:function(){return-1},isSelectableItemAtIndex:function(){return!1}}},enumerable:!1,configurable:!0}),n.prototype.destroy=function(){this.closeAnimationEndTimerId&&clearTimeout(this.closeAnimationEndTimerId),this.adapter.closeSurface()},n.prototype.handleKeydown=function(t){var n=t.key,r=t.keyCode;("Tab"===n||9===r)&&this.adapter.closeSurface(!0)},n.prototype.handleItemAction=function(t){var n=this,r=this.adapter.getElementIndex(t);if(!(r<0)){this.adapter.notifySelected({index:r});var l="true"===this.adapter.getAttributeFromElementAtIndex(r,De.SKIP_RESTORE_FOCUS);this.adapter.closeSurface(l),this.closeAnimationEndTimerId=setTimeout((function(){var r=n.adapter.getElementIndex(t);r>=0&&n.adapter.isSelectableItemAtIndex(r)&&n.setSelectedIndex(r)}),Ce.numbers.TRANSITION_CLOSE_DURATION)}},n.prototype.handleMenuSurfaceOpened=function(){switch(this.defaultFocusState){case Pe.FIRST_ITEM:this.adapter.focusItemAtIndex(0);break;case Pe.LAST_ITEM:this.adapter.focusItemAtIndex(this.adapter.getMenuItemCount()-1);break;case Pe.NONE:break;default:this.adapter.focusListRoot()}},n.prototype.setDefaultFocusState=function(t){this.defaultFocusState=t},n.prototype.getSelectedIndex=function(){return this.selectedIndex},n.prototype.setSelectedIndex=function(t){if(this.validatedIndex(t),!this.adapter.isSelectableItemAtIndex(t))throw new Error("MDCMenuFoundation: No selection group at specified index.");var n=this.adapter.getSelectedSiblingOfItemAtIndex(t);n>=0&&(this.adapter.removeAttributeFromElementAtIndex(n,De.ARIA_CHECKED_ATTR),this.adapter.removeClassFromElementAtIndex(n,Le.MENU_SELECTED_LIST_ITEM)),this.adapter.addClassToElementAtIndex(t,Le.MENU_SELECTED_LIST_ITEM),this.adapter.addAttributeToElementAtIndex(t,De.ARIA_CHECKED_ATTR,"true"),this.selectedIndex=t},n.prototype.setEnabled=function(t,n){this.validatedIndex(t),n?(this.adapter.removeClassFromElementAtIndex(t,oe),this.adapter.addAttributeToElementAtIndex(t,De.ARIA_DISABLED_ATTR,"false")):(this.adapter.addClassToElementAtIndex(t,oe),this.adapter.addAttributeToElementAtIndex(t,De.ARIA_DISABLED_ATTR,"true"))},n.prototype.validatedIndex=function(t){var n=this.adapter.getMenuItemCount();if(!(t>=0&&t<n))throw new Error("MDCMenuFoundation: No list item at specified index.")},n}(A.K);class MenuBase extends E.H{constructor(){super(...arguments),this.mdcFoundationClass=Ne,this.listElement_=null,this.anchor=null,this.open=!1,this.quick=!1,this.wrapFocus=!1,this.innerRole="menu",this.innerAriaLabel=null,this.corner="TOP_START",this.x=null,this.y=null,this.absolute=!1,this.multi=!1,this.activatable=!1,this.fixed=!1,this.forceGroupSelection=!1,this.fullwidth=!1,this.menuCorner="START",this.stayOpenOnBodyClick=!1,this.defaultFocus="LIST_ROOT",this._listUpdateComplete=null}get listElement(){return this.listElement_||(this.listElement_=this.renderRoot.querySelector("mwc-list")),this.listElement_}get items(){const t=this.listElement;return t?t.items:[]}get index(){const t=this.listElement;return t?t.index:-1}get selected(){const t=this.listElement;return t?t.selected:null}render(){return this.renderSurface()}renderSurface(){const t=this.getSurfaceClasses();return b.dy`
      <mwc-menu-surface
        ?hidden=${!this.open}
        .anchor=${this.anchor}
        .open=${this.open}
        .quick=${this.quick}
        .corner=${this.corner}
        .x=${this.x}
        .y=${this.y}
        .absolute=${this.absolute}
        .fixed=${this.fixed}
        .fullwidth=${this.fullwidth}
        .menuCorner=${this.menuCorner}
        ?stayOpenOnBodyClick=${this.stayOpenOnBodyClick}
        class=${(0,x.$)(t)}
        @closed=${this.onClosed}
        @opened=${this.onOpened}
        @keydown=${this.onKeydown}>
      ${this.renderList()}
    </mwc-menu-surface>`}getSurfaceClasses(){return{"mdc-menu":!0,"mdc-menu-surface":!0}}renderList(){const t="menu"===this.innerRole?"menuitem":"option",n=this.renderListClasses();return b.dy`
      <mwc-list
          rootTabbable
          .innerAriaLabel=${this.innerAriaLabel}
          .innerRole=${this.innerRole}
          .multi=${this.multi}
          class=${(0,x.$)(n)}
          .itemRoles=${t}
          .wrapFocus=${this.wrapFocus}
          .activatable=${this.activatable}
          @action=${this.onAction}>
        <slot></slot>
      </mwc-list>`}renderListClasses(){return{"mdc-deprecated-list":!0}}createAdapter(){return{addClassToElementAtIndex:(t,n)=>{const r=this.listElement;if(!r)return;const l=r.items[t];l&&("mdc-menu-item--selected"===n?this.forceGroupSelection&&!l.selected&&r.toggle(t,!0):l.classList.add(n))},removeClassFromElementAtIndex:(t,n)=>{const r=this.listElement;if(!r)return;const l=r.items[t];l&&("mdc-menu-item--selected"===n?l.selected&&r.toggle(t,!1):l.classList.remove(n))},addAttributeToElementAtIndex:(t,n,r)=>{const l=this.listElement;if(!l)return;const d=l.items[t];d&&d.setAttribute(n,r)},removeAttributeFromElementAtIndex:(t,n)=>{const r=this.listElement;if(!r)return;const l=r.items[t];l&&l.removeAttribute(n)},getAttributeFromElementAtIndex:(t,n)=>{const r=this.listElement;if(!r)return null;const l=r.items[t];return l?l.getAttribute(n):null},elementContainsClass:(t,n)=>t.classList.contains(n),closeSurface:()=>{this.open=!1},getElementIndex:t=>{const n=this.listElement;return n?n.items.indexOf(t):-1},notifySelected:()=>{},getMenuItemCount:()=>{const t=this.listElement;return t?t.items.length:0},focusItemAtIndex:t=>{const n=this.listElement;if(!n)return;const r=n.items[t];r&&r.focus()},focusListRoot:()=>{this.listElement&&this.listElement.focus()},getSelectedSiblingOfItemAtIndex:t=>{const n=this.listElement;if(!n)return-1;const r=n.items[t];if(!r||!r.group)return-1;for(let l=0;l<n.items.length;l++){if(l===t)continue;const d=n.items[l];if(d.selected&&d.group===r.group)return l}return-1},isSelectableItemAtIndex:t=>{const n=this.listElement;if(!n)return!1;const r=n.items[t];return!!r&&r.hasAttribute("group")}}}onKeydown(t){this.mdcFoundation&&this.mdcFoundation.handleKeydown(t)}onAction(t){const n=this.listElement;if(this.mdcFoundation&&n){const r=t.detail.index,l=n.items[r];l&&this.mdcFoundation.handleItemAction(l)}}onOpened(){this.open=!0,this.mdcFoundation&&this.mdcFoundation.handleMenuSurfaceOpened()}onClosed(){this.open=!1}async getUpdateComplete(){await this._listUpdateComplete;return await super.getUpdateComplete()}async firstUpdated(){super.firstUpdated();const t=this.listElement;t&&(this._listUpdateComplete=t.updateComplete,await this._listUpdateComplete)}select(t){const n=this.listElement;n&&n.select(t)}close(){this.open=!1}show(){this.open=!0}getFocusedItemIndex(){const t=this.listElement;return t?t.getFocusedItemIndex():-1}focusItemAtIndex(t){const n=this.listElement;n&&n.focusItemAtIndex(t)}layout(t=!0){const n=this.listElement;n&&n.layout(t)}}(0,l.gn)([(0,f.I)(".mdc-menu")],MenuBase.prototype,"mdcRoot",void 0),(0,l.gn)([(0,f.I)("slot")],MenuBase.prototype,"slotElement",void 0),(0,l.gn)([(0,h.C)({type:Object})],MenuBase.prototype,"anchor",void 0),(0,l.gn)([(0,h.C)({type:Boolean,reflect:!0})],MenuBase.prototype,"open",void 0),(0,l.gn)([(0,h.C)({type:Boolean})],MenuBase.prototype,"quick",void 0),(0,l.gn)([(0,h.C)({type:Boolean})],MenuBase.prototype,"wrapFocus",void 0),(0,l.gn)([(0,h.C)({type:String})],MenuBase.prototype,"innerRole",void 0),(0,l.gn)([(0,h.C)({type:String})],MenuBase.prototype,"innerAriaLabel",void 0),(0,l.gn)([(0,h.C)({type:String})],MenuBase.prototype,"corner",void 0),(0,l.gn)([(0,h.C)({type:Number})],MenuBase.prototype,"x",void 0),(0,l.gn)([(0,h.C)({type:Number})],MenuBase.prototype,"y",void 0),(0,l.gn)([(0,h.C)({type:Boolean})],MenuBase.prototype,"absolute",void 0),(0,l.gn)([(0,h.C)({type:Boolean})],MenuBase.prototype,"multi",void 0),(0,l.gn)([(0,h.C)({type:Boolean})],MenuBase.prototype,"activatable",void 0),(0,l.gn)([(0,h.C)({type:Boolean})],MenuBase.prototype,"fixed",void 0),(0,l.gn)([(0,h.C)({type:Boolean})],MenuBase.prototype,"forceGroupSelection",void 0),(0,l.gn)([(0,h.C)({type:Boolean})],MenuBase.prototype,"fullwidth",void 0),(0,l.gn)([(0,h.C)({type:String})],MenuBase.prototype,"menuCorner",void 0),(0,l.gn)([(0,h.C)({type:Boolean})],MenuBase.prototype,"stayOpenOnBodyClick",void 0),(0,l.gn)([(0,h.C)({type:String}),(0,y.P)((function(t){this.mdcFoundation&&this.mdcFoundation.setDefaultFocusState(Pe[t])}))],MenuBase.prototype,"defaultFocus",void 0);const Be=b.iv`mwc-list ::slotted([mwc-list-item]:not([twoline])),mwc-list ::slotted([noninteractive]:not([twoline])){height:var(--mdc-menu-item-height, 48px)}`;let $e=class Menu extends MenuBase{};$e.styles=[Be],$e=(0,l.gn)([(0,d.M)("mwc-menu")],$e);var ze=r(8973),je=r(5862),Ve=r(8810),Ue=r(3196),He=r(2188);const Ge=je.iv`:host {
  --item-top-padding: 5px;
  --item-bottom-padding: 0px;
  --item-height: 32px;
  --item-vertical-offset:
      calc(var(--item-top-padding) +
        var(--item-bottom-padding) +
        var(--item-height));
}

#menu-toolbar {
  display: flex;
}

.item {
  background: white;
  height: var(--item-height);
  width: 260px;
  padding:var(--item-top-padding) 5px var(--item-bottom-padding) 7px;
  font-size: 14px;
  overflow: hidden;
  cursor: default;
  user-select: none;
}

.item-text{
  font-family: Roboto;
  font-style: normal;
  font-weight: normal;
  font-size: 14px;
}

.check{
  vertical-align: middle;
  padding: 0 6px;
  color: #5F6368;
}

.item:hover{
  background: #E4F7FB;
}

.disabled:hover{
  background: white;
}

.text-disabled{
  color: #aaa;
}


button {
  background: white;
  border: white;
  border-radius: 3px;
  padding: 2px 5px;
  margin-right: 4.5px;
  font-family: Roboto;
  font-style: normal;
  font-weight: normal;
  font-size: 14px;
  line-height: 20px;
  color: #3C4043;

}

button:focus {
  outline: none;
  background: #F1F3F4;
  color: #098591;
}

.button-focus{
  outline: none;
  background: #F1F3F4;
  color: #098591;
}

button:hover {
  background: #F1F3F4;
}

/* For in-line icons in a <span> */
[data-icon] {
  margin: 0;
}

[data-icon]:before {
  font-family: 'Material Icons';
  content: attr(data-icon);
  vertical-align: middle;
}

.dropdown-icon {
  font-size: 18px;
  color: #5F6368;
}

.icon-focus {
  color: #098591;
}

#menu-holder {
  position: absolute;
}

.menu-container {
  position: relative;
}

.menu {
  position: absolute;
  top: calc(var(--submenu-index) * var(--item-vertical-offset));
}

/* Only displays icons (e.g. checkmark) where the element is selected. */
[mwc-list-item][group]:not([selected]) [slot="graphic"] {
  display: none;
}

ul.mdc-list {
  padding: 4px 0;
}
`;let We=class MenuToolbar extends _.G{constructor(){super(...arguments),this.menuData=new Map}static get styles(){return[Ge]}get menuNames(){return Array.from(this.menuData.keys())}render(){return je.dy`
      <div class="toolbar" id="menu-toolbar">
        ${this.menuNames.map((t=>{const n=this.menuData.get(t);if(null!=n)return je.dy`
              <lit-menu .items=${n} .name=${t}>
              </lit-menu>
              `}))}
      </div>
    `}};(0,l.gn)([(0,ze.Cb)({type:Object}),(0,l.w6)("design:type",Object)],We.prototype,"menuData",void 0),(0,l.gn)([He.Fl,(0,l.w6)("design:type",Array),(0,l.w6)("design:paramtypes",[])],We.prototype,"menuNames",null),We=(0,l.gn)([(0,ze.Mo)("lit-menu-toolbar")],We);let qe=class LitMenu extends je.oi{constructor(){super(...arguments),this.items=[],this.name="",this.menuId="menu",this.buttonId="menu_button",this.openSubmenus=new Set,this.menuOpen=!1}static get styles(){return[Ge]}getItemId(t,n){return`${t}_item_${n}`}getSubmenuId(t){return`${t}_menu`}parseId(t){return t.split("_").filter((t=>"menu"!==t&&"item"!==t))}isSubmenu(t,n){const r=this.parseId(t),l=this.parseId(n);return l.length===r.length+1&&l.join("_").startsWith(r.join("_"))}anchorSubmenus(t,n){t.forEach(((t,r)=>{const l=this.getItemId(n,r),d=this.getSubmenuId(l),h=this.shadowRoot.querySelector(`#${l}`),p=this.shadowRoot.querySelector(`#${d}`);null!=p&&null!=h&&(p.anchor=h,t.menu.length>0&&this.anchorSubmenus(t.menu,d))}))}updated(){null!=this.menu&&null!=this.button&&(this.menu.anchor=this.button,this.anchorSubmenus(this.items,this.menuId))}renderItem(t,n,r){const l=t.menu.length>0,d=(0,Ue.V)({visibility:t.displayIcon||l?"visible":"hidden"}),h=(0,Ve.$)({item:!0,disabled:t.disabled}),p=(0,Ve.$)({"item-text":!0,"text-disabled":t.disabled});return je.dy`
      <div class=${h} graphic='icon' id=${r} @click=${l?null:t.onClick}
        @mouseover=${()=>{for(const t of Array.from(this.openSubmenus.keys())){const n=this.shadowRoot.querySelector(`#${t}`);if(null==n)return;this.isSubmenu(t,r)||(n.close(),this.openSubmenus.delete(t))}if(!l)return;const t=this.shadowRoot.querySelector(`#${n}`);null!=t&&(t.show(),this.openSubmenus.add(n))}}>
          <mwc-icon slot='graphic' class='check' style=${d}>
            ${l?"arrow_right":"check"}
          </mwc-icon>
          <span class=${p}>
            ${t.itemText.slice(0,25)+(t.itemText.length>25?"...":"")}
          </span>
      </div>
    `}renderMenu(t,n,r){const l=null==r?(0,Ue.V)({}):(0,Ue.V)({"--submenu-index":`${r}`});return je.dy`
      <mwc-menu class='menu' style=${l} id=${n}
        corner=${null==r?"TOP_START":"TOP_END"}
        @click=${()=>{this.shadowRoot.querySelector(`#${n}`).close()}} @opened=${null==r?()=>{window.requestAnimationFrame((()=>{this.menuOpen=!0,this.requestUpdate()}))}:null}
        @closed=${null==r?()=>{window.requestAnimationFrame((()=>{this.menuOpen=!1,this.requestUpdate()}))}:null} quick>
        ${t.map(((t,r)=>{const l=this.getItemId(n,r),d=this.getSubmenuId(l);return this.renderItem(t,d,l)}))}
      </mwc-menu>
      ${t.map(((t,r)=>{const l=this.getItemId(n,r),d=this.getSubmenuId(l);return t.menu.length>0?this.renderMenu(t.menu,d,r):""}))}
    `}render(){const t=(0,Ve.$)({"button-focus":this.menuOpen}),n=(0,Ve.$)({"icon-focus":this.menuOpen,"dropdown-icon":!0});return je.dy`
        <div class='menu-container'>
          <button id=${this.buttonId} class=${t} @click=${()=>{var t,n;null!=this.menu&&(this.menuOpen?null===(n=this.button)||void 0===n||n.blur():(this.menu.show(),null===(t=this.button)||void 0===t||t.focus()))}}>
            ${this.name}
            <span class=${n} data-icon=${this.menuOpen?"arrow_drop_up":"arrow_drop_down"}></span>
          </button>
          <div id='menu-holder'>
            ${this.renderMenu(this.items,this.menuId)}
          </div>
        </div>
    `}};(0,l.gn)([(0,ze.Cb)({type:Array}),(0,l.w6)("design:type",Array)],qe.prototype,"items",void 0),(0,l.gn)([(0,ze.Cb)({type:String}),(0,l.w6)("design:type",Object)],qe.prototype,"name",void 0),(0,l.gn)([(0,ze.IO)("#menu"),(0,l.w6)("design:type",$e)],qe.prototype,"menu",void 0),(0,l.gn)([(0,ze.IO)("#menu_button"),(0,l.w6)("design:type",HTMLElement)],qe.prototype,"button",void 0),qe=(0,l.gn)([(0,ze.Mo)("lit-menu")],qe)},6353:(t,n,r)=>{"use strict";var l=r(7582),d=r(5862),h=r(8973),p=r(3196);const f=d.iv`/** Slider styles for Chrome */
:host {
  display: flex;
  flex-direction: row;
  align-items: center;
}

input[type='range'].slider {
  -webkit-appearance: none;
  max-width: calc(100% - 4px);
  min-width: 50px;
  background: var(--lit-neutral-400);
  border-radius: 4px;
  background-image: linear-gradient(var(--lit-cyea-400), var(--lit-cyea-400));
  background-repeat: no-repeat;
}

input[type='range'].slider::-webkit-slider-runnable-track {
  -webkit-appearance: none;
  height: 10px;
  color: var(--lit-cyea-400);
}

input[type='range'].slider::-webkit-slider-thumb {
  -webkit-appearance: none;
  width: 16px;
  height: 16px;
  margin-top: -3px;
  border-radius: 50%;
  cursor: grab;
  background: var(--lit-cyea-600);
  box-shadow: 0 0 2px 0 var(--lit-neutral-900);
}

/** Slider styles for FF*/
input[type="range"].slider::-moz-range-progress {
  background-color: var(--lit-cyea-400);
}

input[type="range"].slider::-moz-range-thumb {
  background-color: var(--lit-cyea-600);
}

input[type="range"].slider::-moz-range-track {
  background-color: var(--lit-neutral-400);
}

/** Slider styles for IE */
input[type="range"].slider::-ms-fill-lower {
  background-color: var(--lit-cyea-400);
}

input[type="range"].slider::-ms-fill-upper {
  background-color: var(--lit-neutral-400);
}

input[type="range"].slider::-ms-thumb {
  background-color: var(--lit-cyea-600);
}

input[type=number]::-webkit-inner-spin-button,
input[type=number]::-webkit-outer-spin-button {
  opacity: 1;
}

.slider {
  min-width: 60px;
  flex: 1;
}

.slider-label {
  color: var(--lit-neutral-600);
  font-size: 11px;
  min-width: 2em;
}

.slider-label.start {
  text-align: end;
  min-width: 1em;
  margin-left: 3px;
}

.slider-value {
  color: var(--lit-neutral-900);
  min-width: 2em;
  text-align: right;
  width: 6ch;
}

.slider-value.error {
  color: var(--google-red-600);
  background-color: var(--google-red-50);
  border-color: var(--google-red-600);
  border-style: solid;
  border-radius: 2px;
}`;var m=r(5889);let g=class NumericInput extends d.oi{constructor(){super(...arguments),this.min=0,this.max=1,this.step=.1,this.value=.5,this.ROUNDING_TIMEOUT_MS=3e3,this.roundingTimeoutId=null}get precision(){var t;return(null===(t=this.step.toString().split(".")[1])||void 0===t?void 0:t.length)||0}static get styles(){return[m.W,f]}render(){const t={"background-size":100*((this.value-this.min)/(this.max-this.min))+"% 100%"},n=()=>{this.roundingTimeoutId&&clearTimeout(this.roundingTimeoutId);const t=Math.round(this.value/this.step)*this.step;this.value=Number(t.toFixed(this.precision)),this.dispatchEvent(new Event("change"))},r=t=>{const{value:n}=t.target;"."!==n&&(this.value=Number(n))},l=t=>{r(t),n()},h=this.value<this.min||this.value>this.max,f=h?`Please choose a value between\n      ${this.min.toString()} and ${this.max.toString()}.`:"",m=d.dy`
      <lit-tooltip content=${f}>
        <input slot="tooltip-anchor" type="number"
          class="slider-value ${h?"error":""}"
          .step=${this.step.toString()}
          .min=${this.min.toString()}
          .max=${this.max.toString()}
          .value=${this.value.toString()}
          @input=${r}
          @change=${l}
          @keypress=${t=>{"Enter"===t.key?n():(this.roundingTimeoutId&&clearTimeout(this.roundingTimeoutId),this.roundingTimeoutId=window.setTimeout(n,this.ROUNDING_TIMEOUT_MS))}}
          @blur=${n}>
      </lit-tooltip>`;return d.dy`
      <div class='slider-label start'>${this.min}</div>
      <input
        type="range"
        class="slider"
        style=${(0,p.V)(t)}
        .min=${this.min.toString()}
        .max=${this.max.toString()}
        .step=${this.step.toString()}
        .value=${this.value.toString()}
        @change=${l}>
      <div class='slider-label'>${this.max}</div>
      ${m}`}};(0,l.gn)([(0,h.Cb)({type:Number}),(0,l.w6)("design:type",Object)],g.prototype,"min",void 0),(0,l.gn)([(0,h.Cb)({type:Number}),(0,l.w6)("design:type",Object)],g.prototype,"max",void 0),(0,l.gn)([(0,h.Cb)({type:Number}),(0,l.w6)("design:type",Object)],g.prototype,"step",void 0),(0,l.gn)([(0,h.Cb)({type:Number}),(0,l.w6)("design:type",Object)],g.prototype,"value",void 0),g=(0,l.gn)([(0,h.Mo)("lit-numeric-input")],g)},8684:(t,n,r)=>{"use strict";var l=r(7582),d=r(5862),h=r(8973),p=r(9537),f=r(5889);const m=d.iv`:host {
  --popup-left: unset;
  --popup-right: unset;
  --popup-top: unset;
  --popup-bottom: unset;
}

.popup-toggle-anchor {
  cursor: pointer;
}

.popup-outer-holder {
  position: relative;
}

.popup-container {
  padding: 4px;
  background: white;
  border: 1px solid var(--lit-neutral-300);
  border-radius: 4px;
  box-shadow: var(--lit-box-shadow);

  position: absolute;
  z-index: 9001;  /* over 9000! */

  left: var(--popup-left);
  right: var(--popup-right);
  top: var(--popup-top);
  bottom: var(--popup-bottom);
}
`;let g=class PopupContainer extends p.f{constructor(){super(...arguments),this.expanded=!1}static get styles(){return[f.W,m]}toggle(){this.expanded=!this.expanded}renderPopup(){return d.dy`
      <div class='popup-outer-holder'>
        <div class='popup-container'>
           <slot></slot>
        </div>
      </div>
    `}render(){const t=this.expanded?"toggle-anchor-open":"toggle-anchor-closed";return d.dy`
        <div class='popup-toggle-anchor' @click=${()=>{this.toggle()}}>
          <slot name="toggle-anchor"></slot>
          <slot name=${t}></slot>
        </div>
        ${this.expanded?this.renderPopup():null}
    `}clickToClose(t){t.composedPath().some((t=>t===this))||(this.expanded=!1)}updated(){const t=t=>{this.clickToClose(t)};this.expanded?document.body.addEventListener("click",t,{passive:!0,capture:!0}):document.body.removeEventListener("click",t,{capture:!0})}};(0,l.gn)([(0,h.Cb)({type:Boolean}),(0,l.w6)("design:type",Object)],g.prototype,"expanded",void 0),g=(0,l.gn)([(0,h.Mo)("popup-container")],g)},2637:(t,n,r)=>{"use strict";var l=r(7582),d=r(8973),h=r(5862),p=r(3196);const f="The predicted label",m="The ground truth label";let g=class ScoreBar extends h.oi{constructor(){super(...arguments),this.score=0,this.maxScore=1,this.scorePrecision=3}static get styles(){return h.iv`
        .holder {
          width: 100px;
          height: 20px;
          display: flex;
          position: relative;
        }

        .bar {
          padding-left: .75%;
          padding-right: .75%;
          margin-left: .35%;
          margin-right: .35%;
          background-color: var(--lit-cyea-300);
        }

        .text {
          position: absolute;
          padding-left: 4px;
          padding-right: 2px;
          color: var(--lit-neutral-800);
        }
    `}render(){const t={width:90*(this.score/this.maxScore)+"%"};return this.barColor&&(t["background-color"]=this.barColor),h.dy`
        <div class='holder'>
          <div class='bar' style='${(0,p.V)(t)}'></div>
          <div class='text'>${this.score.toFixed(this.scorePrecision)}</div>
        </div>`}};(0,l.gn)([(0,d.Cb)({type:Number}),(0,l.w6)("design:type",Object)],g.prototype,"score",void 0),(0,l.gn)([(0,d.Cb)({type:Number}),(0,l.w6)("design:type",Object)],g.prototype,"maxScore",void 0),(0,l.gn)([(0,d.Cb)({type:Number}),(0,l.w6)("design:type",Object)],g.prototype,"scorePrecision",void 0),(0,l.gn)([(0,d.Cb)({type:String}),(0,l.w6)("design:type",String)],g.prototype,"barColor",void 0),g=(0,l.gn)([(0,d.Mo)("score-bar")],g);let y=class AnnotatedScoreBar extends h.oi{constructor(){super(...arguments),this.hasTruth=!1,this.isPredicted=!1,this.isTruth=!1,this.value=0}static get styles(){return h.iv`
        .annotated-cell{
          display: flex;
          flex-direction: row;
          align-items: center;
          justify-content: space-between;
        }

        .indicator {
          min-width: 16px;
          text-align: center;
        }`}render(){return h.dy`<div class="annotated-cell">
      <score-bar score=${this.value} maxScore=${1}
        .barColor=${this.barColor}></score-bar>
      <lit-tooltip content="${f}">
        <div class="indicator" slot="tooltip-anchor">
          ${this.isPredicted?"P":null}
        </div>
      </lit-tooltip>
      ${this.hasTruth?h.dy`<lit-tooltip content=${m}>
          <div class="indicator" slot="tooltip-anchor">
            ${this.isTruth?"T":null}
          </div></lit-tooltip>`:null}
    </div>`}};(0,l.gn)([(0,d.Cb)({type:Boolean}),(0,l.w6)("design:type",Object)],y.prototype,"hasTruth",void 0),(0,l.gn)([(0,d.Cb)({type:Boolean}),(0,l.w6)("design:type",Object)],y.prototype,"isPredicted",void 0),(0,l.gn)([(0,d.Cb)({type:Boolean}),(0,l.w6)("design:type",Object)],y.prototype,"isTruth",void 0),(0,l.gn)([(0,d.Cb)({type:Number}),(0,l.w6)("design:type",Object)],y.prototype,"value",void 0),(0,l.gn)([(0,d.Cb)({type:String}),(0,l.w6)("design:type",String)],y.prototype,"barColor",void 0),y=(0,l.gn)([(0,d.Mo)("annotated-score-bar")],y);let v=class AnnotatedScoreBarLegend extends h.oi{constructor(){super(...arguments),this.hasTruth=!1}render(){return h.dy`<span>
      P = ${f}
      ${this.hasTruth?`, T = ${m}`:""}
    </span>`}};(0,l.gn)([(0,d.Cb)({type:Boolean}),(0,l.w6)("design:type",Object)],v.prototype,"hasTruth",void 0),v=(0,l.gn)([(0,d.Mo)("annotated-score-bar-legend")],v)},277:(t,n,r)=>{"use strict";var l=r(7582),d=r(5862),h=r(8973),p=r(9537),f=r(5889);const m=d.iv`
/* Show More */
:host {
  --show-more-max-width: 20px;
}

.lit-showmore {
    background-color: var(--lit-cyea-400);
    display: inline;
    width: var(--show-more-max-width);
    border-radius: 10px;
    vertical-align: top;
}

/* TODO(lit-dev): Make this behavior keyed on host attribute selector once
show more functionality is expanded. */
.lit-showmore:hover {
  background-color: var(--lit-mage-400);
}

.icon-button {
  color: white;
  font-size: 24px;
  vertical-align: top;
}

.icon-button:hover {
  color: white;
}`;let g=class LitShowMore extends p.f{constructor(){super(...arguments),this.visible=!0,this.hiddenTextLength=0}static get styles(){return[f.W,m]}render(){const t=d.dy`<span slot="tooltip-anchor"
        class="material-icon-outlined icon-button"
        @click=${t=>{const n=new CustomEvent("showmore");this.dispatchEvent(n),t.stopPropagation(),t.preventDefault(),this.visible=!1}}>more_horiz</span>`,n=d.dy`<lit-tooltip
          content="Show ${this.hiddenTextLength} more characters">
          ${t}
        </lit-tooltip>`;return d.dy`<span class='lit-showmore'>${n}</span>`}};(0,l.gn)([(0,h.Cb)({type:Boolean}),(0,l.w6)("design:type",Object)],g.prototype,"visible",void 0),(0,l.gn)([(0,h.Cb)({type:Number}),(0,l.w6)("design:type",Object)],g.prototype,"hiddenTextLength",void 0),g=(0,l.gn)([(0,h.Mo)("lit-showmore")],g)},2302:(t,n,r)=>{"use strict";var l=r(7582),d=r(3886),h=r(5862),p=r(8973),f=r(8810),m=r(3196),g=r(6070);const y=h.iv`text.token-text {
  alignment-baseline: middle;
  dominant-baseline: central;
}

polyline.span-bracket {
  fill: none;
  stroke-width: 1.2px;
  stroke: var(--group-color);
}

.selected polyline.span-bracket {
  stroke-width: 1.8px;
}

path.arc-path {
  stroke-width: 1.2px;
  stroke: var(--group-color);
  fill: none;
}

path.arc-path.arc-neg {
  stroke-dasharray: 3,1;
  stroke: gray;
}

.selected path.arc-path {
  stroke-width: 1.8px;
}

path.arc-arrow {
  stroke-width: 1.2px;
  stroke: var(--group-color);
  fill: var(--group-color);
}

path.arc-arrow.arc-neg {
  stroke: gray;
  fill: gray;
}


.layer-label text {
  font-family: 'Share Tech Mono', monospace;
  dominant-baseline: middle;
  text-anchor: end;
}

foreignObject.span-label {
  overflow: visible;
}

.span-label div {
  background-color: white;
  font-family: 'Share Tech Mono', monospace;
  line-height: 1.0;
  padding: 1px;
  padding-right: 3px; /* for occluding labels on mouseover */
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  color: var(--group-color);
}

g.selected .span-label div {
  background-color: white;
  overflow-x: visible;
  width: fit-content;  /* needed to include background when expanding */
}

.mousebox {
  fill: white;
  fill-opacity: 0.0;
}
`;function v(t,n,r){return[[0,0],[r,n],[t-r,n],[t,0]]}function b(t,n,r,l,d){const h=Math.min(n,r),p=Math.max(n,r);let f=`M ${h} ${t} `;if(p-h>2*d*l){const n=d*l;f+=`A ${n} ${l} 0 0 1 ${h+n} ${t-l} `,f+=`L ${p-n} ${t-l} `,f+=`A ${n} ${l} 0 0 1 ${p} ${t} `}else f+=`A ${(p-h)/2} ${l=(p-h)/(2*d)} 0 0 1 ${p} ${t} `;return f}function x(t,n,r){let l=`M ${n-r} ${t-1.5*r} `;return l+=`L ${n+r} ${t-1.5*r} `,l+=`L ${n} ${t} Z`,l}let w=class SpanGraphVis extends h.oi{constructor(){super(...arguments),this.data={tokens:[],layers:[]},this.showLayerLabel=!0,this.lineHeight=18,this.bracketHeight=5.5,this.yPad=5,this.arcBaseHeight=20,this.arcMaxHeight=40,this.arcAspect=1.2,this.arcArrowSize=4,this.viewPad=5,this.svgScaling=1.2,this.tokenXBounds=[]}static get styles(){return y}renderTokens(t){return h.YP`
      <g id='token-group'>
        <text class='token-text' height=${this.lineHeight}>
          ${t.map((t=>h.YP`<tspan>${h.YP`${t+" "}`}</tspan>`))}
        </text>
      </g>`}getTokenGroup(){return this.shadowRoot.querySelector("g#token-group")}renderEdge(t,n){const r=this.lineHeight,l=-(this.bracketHeight+this.lineHeight);let d=t.label,p=!1;"number"==typeof t.label&&(d=t.label.toFixed(3),p=t.label<.5);const g=(0,f.$)({"arc-path":!0,"arc-neg":p}),y=(0,f.$)({"arc-arrow":!0,"arc-neg":p});return n=p?"gray":n,h.YP`
      <g class='edge-group' style=${(0,m.V)({"--group-color":n})}
        data-color=${n}>
        ${t.span2?h.YP`
          <path class=${g}></path>
          <path class=${y}></path>
          `:""}
        <g class='at-span1'>
          <polyline class='span-bracket'></polyline>
          <foreignObject class='span-label' height=${r} y=${l}>
            ${h.dy`<div>${d}</div>`}
          </foreignObject>
          <rect class='mousebox'></rect>
        </g>
        ${t.span2?h.YP`<g class='at-span2'>
            <polyline class='span-bracket'></polyline>
          </g>`:""}
      </g>
    `}renderLayer(t,n){const r=(0,g.If)("deep",n).color,l=-(this.bracketHeight+.5*this.lineHeight),d=this.sortEdges(t.edges);return h.YP`
      <g id='layer-group-${t.name}' data-color=${r}>
        ${this.showLayerLabel?h.YP`
          <g class='layer-label'>
            <text x=${-10} y=${l} fill=${r}>
              ${h.YP`${t.name}`}
            </text>
          </g>`:null}
        ${d.map((t=>this.renderEdge(t,r)))}
      </g>
    `}getLayerGroup(t){return this.shadowRoot.querySelector(`g#layer-group-${t}`)}render(){return h.YP`
      <svg id='svg' xmlns='http://www.w3.org/2000/svg'><g id='all'>
        ${this.data?this.renderTokens(this.data.tokens):""}
        ${this.data?this.data.layers.map(this.renderLayer.bind(this)):""}
      </g></svg>`}findTokenBounds(){const t=this.getTokenGroup().querySelectorAll("tspan"),n=[];return t.forEach((t=>{const r=t.getBBox();n.push([r.x,r.x+r.width])})),n}sortEdges(t){return t.slice().sort(((t,n)=>d.$1i(t.span1[1],n.span1[1])))}getStartX(t){return this.tokenXBounds[t[0]][0]}getEndX(t){return this.tokenXBounds[t[1]-1][1]}findAvailableWidths(t,n){const r=n.map((()=>0));for(let t=1;t<n.length;t++){const l=n[t],d=n[t-1];r[t]=this.getStartX(d.span1)-this.getStartX(l.span1)}const l=t.querySelector("g.edge-group foreignObject div");return null!==l&&(l.style.width="fit-content",r[0]=l.getBoundingClientRect().width),r}setMouseovers(t,n){const r=t.dataset.color,l=(0,g.If)("deep","other").color,h=d.Ys(t).selectAll("g.edge-group").data(n),p=d.Ys(this.getTokenGroup()).selectAll("tspan");h.each((function(t,n){const f=(t,d)=>n===d?r:l,m=(n,l)=>{const d=t.span1[0]<=l&&l<t.span1[1],h=!!t.span2&&(t.span2[0]<=l&&l<t.span2[1]);return d||h?r:"black"},g=d.Ys(this).select("rect.mousebox");g.on("mouseover",(()=>{h.style("--group-color",f),p.attr("fill",m),d.Ys(this).classed("selected",!0)})),g.on("mouseout",(()=>{h.style("--group-color",(function(t){return this.dataset.color})),p.attr("fill","black"),d.Ys(this).classed("selected",!1)}))}))}positionLayers(){let t=this.getTokenGroup().getBBox().y-this.yPad/2;for(let n=0;n<this.data.layers.length;n++){const r=this.getLayerGroup(this.data.layers[n].name);r.setAttribute("transform",`translate(0, ${t})`),t-=r.getBBox().height+this.yPad}}setSVGViewport(){const t=this.shadowRoot.querySelector("g#all").getBBox(),n=this.shadowRoot.getElementById("svg"),r=[t.x-this.viewPad,t.y-this.viewPad,t.width+2*this.viewPad,t.height+2*this.viewPad];n.setAttribute("viewBox",`${r}`),n.setAttribute("height",""+this.svgScaling*(t.height+2*this.viewPad))}updated(){if(null!=this.data){this.tokenXBounds=this.findTokenBounds();for(const t of this.data.layers){const n=this.sortEdges(t.edges),r=this.getLayerGroup(t.name),l=this.findAvailableWidths(r,n);r.querySelectorAll("g.edge-group").forEach(((t,r)=>{const d=n[r],h=t.querySelector("g.at-span1");h.setAttribute("transform",`translate(${this.getStartX(d.span1)}, 0)`);const p=this.getEndX(d.span1)-this.getStartX(d.span1),f=v(p,-1*(this.bracketHeight-1),1);h.querySelector("polyline").setAttribute("points",`${f}`);const m=Math.max(p,l[r]-5);if(t.querySelector("foreignObject").setAttribute("width",`${m}`),d.span2){const n=t.querySelector("g.at-span2");n.setAttribute("transform",`translate(${this.getStartX(d.span2)}, 0)`);const r=v(this.getEndX(d.span2)-this.getStartX(d.span2),-1*(this.bracketHeight-1),1);n.querySelector("polyline").setAttribute("points",`${r}`);const l=-1*(this.bracketHeight+this.lineHeight+1),h=(this.getEndX(d.span1)+this.getStartX(d.span1))/2;let p=(this.getEndX(d.span2)+this.getStartX(d.span2))/2;p>h?p-=this.arcArrowSize+2:p+=this.arcArrowSize+2;const f=(d.span1[1]+d.span1[0])/2,m=(d.span2[1]+d.span2[0])/2,g=Math.min(30,Math.abs(m-f)),y=Math.min(this.arcBaseHeight+Math.round((10-g/6)*g),this.arcMaxHeight);t.querySelector("path.arc-path").setAttribute("d",`${b(l,h,p,y,this.arcAspect)}`),t.querySelector("path.arc-arrow").setAttribute("d",`${x(l,h,this.arcArrowSize)}`)}})),this.setMouseovers(r,n)}this.shadowRoot.querySelectorAll("g.edge-group").forEach((t=>{!function(t,n){const r=t.getBBox();n.setAttribute("x",`${r.x}`),n.setAttribute("y",`${r.y}`),n.setAttribute("width",`${r.width}`),n.setAttribute("height",`${r.height}`)}(t.querySelector("foreignObject"),t.querySelector("rect.mousebox"))})),this.positionLayers(),this.setSVGViewport()}else this.tokenXBounds=[]}};(0,l.gn)([(0,p.Cb)({type:Object}),(0,l.w6)("design:type",Object)],w.prototype,"data",void 0),(0,l.gn)([(0,p.Cb)({type:Boolean}),(0,l.w6)("design:type",Boolean)],w.prototype,"showLayerLabel",void 0),(0,l.gn)([(0,p.Cb)({type:Number}),(0,l.w6)("design:type",Number)],w.prototype,"lineHeight",void 0),(0,l.gn)([(0,p.Cb)({type:Number}),(0,l.w6)("design:type",Number)],w.prototype,"bracketHeight",void 0),(0,l.gn)([(0,p.Cb)({type:Number}),(0,l.w6)("design:type",Number)],w.prototype,"yPad",void 0),(0,l.gn)([(0,p.Cb)({type:Number}),(0,l.w6)("design:type",Number)],w.prototype,"arcBaseHeight",void 0),(0,l.gn)([(0,p.Cb)({type:Number}),(0,l.w6)("design:type",Number)],w.prototype,"arcMaxHeight",void 0),(0,l.gn)([(0,p.Cb)({type:Number}),(0,l.w6)("design:type",Number)],w.prototype,"arcAspect",void 0),(0,l.gn)([(0,p.Cb)({type:Number}),(0,l.w6)("design:type",Number)],w.prototype,"arcArrowSize",void 0),(0,l.gn)([(0,p.Cb)({type:Number}),(0,l.w6)("design:type",Number)],w.prototype,"viewPad",void 0),(0,l.gn)([(0,p.Cb)({type:Number}),(0,l.w6)("design:type",Number)],w.prototype,"svgScaling",void 0),w=(0,l.gn)([(0,p.Mo)("span-graph-vis")],w)},6852:(t,n,r)=>{"use strict";var l=r(7582),d=r(8973),h=r(5862),p=r(8810),f=r(3196),m=r(2188),g=r(6070),y=r(9537);const v=h.iv`.holder {
  display: flex;
  font-family: 'Share Tech Mono', monospace;
  position: relative;
  color: #555;
}
.layer {
  cursor: pointer;
  color: var(--group-color);
}
.layer-label-vert {
  top: calc(0px - var(--line-height));
  position: absolute;
  padding-left: 7px;
  display: flex;
  transform: rotate(0deg);
  transition: .25s transform;
  transform-origin: 10px 10px;
  color: var(--group-color);
}
.layer-label-vert.hidden {
  transform: rotate(-90deg);
}
.column {
  position: relative;
  height: 100%;
  transition: .25s width;
}
.column.hidden {
  width: 13px !important;
  opacity: 0;
}
.tokens {
  z-index: 1;
}
.line {
  height: var(--line-height);
  box-sizing: border-box;
  padding: 0 7px;
  text-align: right;
  white-space: nowrap;
}
.token.selected{
  color: black;
}
.child {
  font-weight: bold;
  filter: hue-rotate(-40deg);
  border-width: 3px;
}
.parent {
  font-weight: bold;
  filter: hue-rotate(40deg);
  border-width: 3px;
}
.selected {
  font-weight: bold;
  border-width: 3px;
}

.gray {
  border-color: #ddd !important;
  color: #ddd
}

.edge {
  position: absolute;
}
.edge-line {
  border: 1px solid var(--group-color);
  border-left: 0;
  width: 3px;
  left: -3px;
}
.arrow-head {
  border: 5px solid transparent;
  border-right: 5px solid var(--group-color);
  width: 0;
  height: 0;
  top: -5px;
  left: -5px;
  position: absolute;
}
.gray .arrow-head{
  border-right-color: #ddd;
}
.arrow-head.bottom{
  bottom: -5px;
  top: unset;
}
.background-lines{
  position: absolute;
  width: 100%;
  top: -3px;
}
.background-line {
  height: var(--line-height);
  width: 100%;
  padding: 0 7px;
}
.background-line:nth-child(odd){
  background: #f5f5f5;
}
`;function b(t){return"number"==typeof t?Number.isInteger(t)?t.toString():t.toFixed(3).toString():`${t}`}let x=class SpanGraphVis extends y.f{constructor(){super(...arguments),this.data={tokens:[],layers:[]},this.showLayerLabel=!0,this.columnVisibility={},this.lineHeight=18,this.approxFontSize=this.lineHeight/3,this.viewPad=5}static get styles(){return v}render(){if(!this.data)return"";this.shadowRoot.host.style.setProperty("--line-height",`${this.lineHeight}pt`);const t=this.data.tokens,n=t=>(0,p.$)({line:!0,token:!0,selected:t===this.selectedTokIdx});return h.dy`
    <div class='holder' >
      <div class='background-lines'>
        ${t.map((t=>h.dy`<div class=background-line></div>`))}
      </div>
      <div class='tokens'>
          ${t.map(((t,r)=>h.dy`
          <div class=${n(r)}
            @mouseenter=${()=>this.selectedTokIdx=r}
            @mouseleave=${()=>this.selectedTokIdx=void 0}>
            ${t}
          </div>
          `))}
      </div>
      ${this.data.layers.map(((t,n)=>this.renderLayer(t,n)))}
    </div>`}renderLayer(t,n){if(!t.edges.length)return h.dy``;const r=(0,f.V)({"--group-color":(0,g.If)("dark",n).color}),l=Math.max(t.name.length,...t.edges.map((t=>b(t.label).length)))*this.approxFontSize+2*this.viewPad,d=(0,f.V)({width:`${l}pt`}),m=this.columnVisibility[t.name],y=(0,p.$)({column:!0,hidden:m}),v=(0,p.$)({"layer-label-vert":!0,hidden:m});return h.dy`
    <div class=layer style=${r} @click=${()=>this.columnVisibility[t.name]=!this.columnVisibility[t.name]}>
      ${this.showLayerLabel?h.dy`
      <div class=${v}>
        ${t.name}
      </div>`:null}
      <div style=${d} class=${y}>
        ${t.edges.map((n=>this.renderEdge(n,t,l)))}
      </div>
    </div>
    `}renderEdge(t,n,r){const l="span2"in t,d=t.span1[0],m=t.span2?t.span2[0]:t.span1[1],g=Math.min(d,m),y=Math.max(d,m),v=(t,n)=>t>=n[0]&&t<n[1],x=void 0!==this.selectedTokIdx,w=v(this.selectedTokIdx,t.span1)||l&&v(this.selectedTokIdx,t.span2),S=l&&this.selectedTokIdx===m,_=l&&this.isChildOfSelected(n,d),E=x&&!(w||S),T=E&&!_,C=b(t.label),A=C.length*this.approxFontSize,O=(0,f.V)({top:d*this.lineHeight+"pt",left:l?r-A-this.viewPad+"pt":""}),I=(0,p.$)({child:S,parent:_,selected:w,gray:T,line:!0,edge:!0}),P=this.lineHeight/8,D=l?(g+.3)*this.lineHeight+(g===d?0:this.viewPad):g*this.lineHeight-P,F=(l?(y+.3)*this.lineHeight+(y===d?0:-this.viewPad):y*this.lineHeight-2*P)-D,B=l?`${Math.max(F/2,this.lineHeight/2)}pt`:"",$=l?F/2:3,j=(0,f.V)({top:`${D}pt`,height:`${F}pt`,width:B,"border-radius":`0pt ${$}pt ${$}pt 0pt`,left:l?`${r+10}pt`:"",visibility:n.hideBracket?"hidden":"visble"}),V=(0,p.$)({"arrow-head":!0,bottom:g===m}),U=(0,p.$)({child:S,parent:w,gray:E,edge:!0,"edge-line":!0});return h.dy`
    <div style=${j} class='${U}'>
      ${l?h.dy`<div class=${V}></div>`:""}
    </div>
    <div class=${I}
      style=${O}>
      ${C}
    </div>
    `}isChildOfSelected(t,n){for(let r=0;r<t.edges.length;r++){const l=t.edges[r];if(l.span2&&this.selectedTokIdx===l.span1[0]&&n===l.span2[0])return!0}return!1}};(0,l.gn)([(0,d.Cb)({type:Object}),(0,l.w6)("design:type",Object)],x.prototype,"data",void 0),(0,l.gn)([(0,d.Cb)({type:Boolean}),(0,l.w6)("design:type",Boolean)],x.prototype,"showLayerLabel",void 0),(0,l.gn)([m.LO,(0,l.w6)("design:type",Number)],x.prototype,"selectedTokIdx",void 0),(0,l.gn)([m.LO,(0,l.w6)("design:type",Object)],x.prototype,"columnVisibility",void 0),(0,l.gn)([(0,d.Cb)({type:Number}),(0,l.w6)("design:type",Number)],x.prototype,"lineHeight",void 0),(0,l.gn)([(0,d.Cb)({type:Number}),(0,l.w6)("design:type",Object)],x.prototype,"approxFontSize",void 0),(0,l.gn)([(0,d.Cb)({type:Number}),(0,l.w6)("design:type",Number)],x.prototype,"viewPad",void 0),x=(0,l.gn)([(0,d.Mo)("span-graph-vis-vertical")],x)},5681:(t,n,r)=>{"use strict";var l=r(7582),d=r(8973),h=r(5862),p=r(3196);const f=(t,n)=>`solid ${t}px ${n}`;let m=class SpinnerComponent extends h.oi{constructor(){super(...arguments),this.size=16,this.color=""}static get styles(){return[h.iv`
        #spinner {
          margin-left: 10px;
          border-radius: 50%;
          width: 16px;
          height: 16px;
          animation: spin 2s linear infinite;
        }

        @keyframes spin {
          0% { transform: rotate(0deg); }
          100% { transform: rotate(360deg); }
        }
      `]}render(){const t=`${this.size}px`,n=this.size/8,r=""===this.color?"var(--app-primary-color)":this.color,l=f(n,r),d=f(n,"rgba(0,0,0,0)"),m=(0,p.V)({height:t,width:t,border:l,borderTop:d});return h.dy`
      <div id="spinner" style=${m}></div>
    `}};(0,l.gn)([(0,d.Cb)({type:Number}),(0,l.w6)("design:type",Object)],m.prototype,"size",void 0),(0,l.gn)([(0,d.Cb)({type:String}),(0,l.w6)("design:type",Object)],m.prototype,"color",void 0),m=(0,l.gn)([(0,d.Mo)("lit-spinner")],m)},1290:(t,n,r)=>{"use strict";r.d(n,{j:()=>V});var l=r(7582),d=r(5713),h=r(9662),p=r(7238),f=r(8829),m=r(2669),g=r(8602),y=(r(7935),r(43),r(5557),r(6036)),v=r(6141),b=r(9263),x=r(6308);function w(t,n,r){var d=function(t,n){var r=new Map;S.has(t)||S.set(t,{isEnabled:!0,getObservers:function(t){var n=r.get(t)||[];return r.has(t)||r.set(t,n),n},installedProperties:new Set});var d=S.get(t);if(d.installedProperties.has(n))return d;var h=function(t,n){var r,l=t;for(;l&&!(r=Object.getOwnPropertyDescriptor(l,n));)l=Object.getPrototypeOf(l);return r}(t,n)||{configurable:!0,enumerable:!0,value:t[n],writable:!0},p=(0,l.pi)({},h),f=h.get,m=h.set;if("value"in h){delete p.value,delete p.writable;var g=h.value;f=function(){return g},h.writable&&(m=function(t){g=t})}f&&(p.get=function(){return f.call(this)});m&&(p.set=function(t){var r,h,p=f?f.call(this):t;if(m.call(this,t),d.isEnabled&&(!f||t!==p))try{for(var g=(0,l.XA)(d.getObservers(n)),y=g.next();!y.done;y=g.next()){(0,y.value)(t,p)}}catch(t){r={error:t}}finally{try{y&&!y.done&&(h=g.return)&&h.call(g)}finally{if(r)throw r.error}}});return d.installedProperties.add(n),Object.defineProperty(t,n,p),d}(t,n),h=d.getObservers(n);return h.push(r),function(){h.splice(h.indexOf(r),1)}}var S=new WeakMap;function _(t,n){var r=S.get(t);r&&(r.isEnabled=n)}var E,T,C=function(t){function n(n){var r=t.call(this,n)||this;return r.unobserves=new Set,r}return(0,l.ZT)(n,t),n.prototype.destroy=function(){t.prototype.destroy.call(this),this.unobserve()},n.prototype.observe=function(t,n){var r,d,h=this,p=[];try{for(var f=(0,l.XA)(Object.keys(n)),m=f.next();!m.done;m=f.next()){var g=m.value,y=n[g].bind(this);p.push(this.observeProperty(t,g,y))}}catch(t){r={error:t}}finally{try{m&&!m.done&&(d=f.return)&&d.call(f)}finally{if(r)throw r.error}}var v=function(){var t,n;try{for(var r=(0,l.XA)(p),d=r.next();!d.done;d=r.next()){(0,d.value)()}}catch(n){t={error:n}}finally{try{d&&!d.done&&(n=r.return)&&n.call(r)}finally{if(t)throw t.error}}h.unobserves.delete(v)};return this.unobserves.add(v),v},n.prototype.observeProperty=function(t,n,r){return w(t,n,r)},n.prototype.setObserversEnabled=function(t,n){_(t,n)},n.prototype.unobserve=function(){var t,n;try{for(var r=(0,l.XA)((0,l.ev)([],(0,l.CR)(this.unobserves))),d=r.next();!d.done;d=r.next()){(0,d.value)()}}catch(n){t={error:n}}finally{try{d&&!d.done&&(n=r.return)&&n.call(r)}finally{if(t)throw t.error}}},n}(x.K);!function(t){t.PROCESSING="mdc-switch--processing",t.SELECTED="mdc-switch--selected",t.UNSELECTED="mdc-switch--unselected"}(E||(E={})),function(t){t.RIPPLE=".mdc-switch__ripple"}(T||(T={}));var A=function(t){function n(n){var r=t.call(this,n)||this;return r.handleClick=r.handleClick.bind(r),r}return(0,l.ZT)(n,t),n.prototype.init=function(){this.observe(this.adapter.state,{disabled:this.stopProcessingIfDisabled,processing:this.stopProcessingIfDisabled})},n.prototype.handleClick=function(){this.adapter.state.disabled||(this.adapter.state.selected=!this.adapter.state.selected)},n.prototype.stopProcessingIfDisabled=function(){this.adapter.state.disabled&&(this.adapter.state.processing=!1)},n}(C),O=(function(t){function n(){return null!==t&&t.apply(this,arguments)||this}(0,l.ZT)(n,t),n.prototype.init=function(){t.prototype.init.call(this),this.observe(this.adapter.state,{disabled:this.onDisabledChange,processing:this.onProcessingChange,selected:this.onSelectedChange})},n.prototype.initFromDOM=function(){this.setObserversEnabled(this.adapter.state,!1),this.adapter.state.selected=this.adapter.hasClass(E.SELECTED),this.onSelectedChange(),this.adapter.state.disabled=this.adapter.isDisabled(),this.adapter.state.processing=this.adapter.hasClass(E.PROCESSING),this.setObserversEnabled(this.adapter.state,!0),this.stopProcessingIfDisabled()},n.prototype.onDisabledChange=function(){this.adapter.setDisabled(this.adapter.state.disabled)},n.prototype.onProcessingChange=function(){this.toggleClass(this.adapter.state.processing,E.PROCESSING)},n.prototype.onSelectedChange=function(){this.adapter.setAriaChecked(String(this.adapter.state.selected)),this.toggleClass(this.adapter.state.selected,E.SELECTED),this.toggleClass(!this.adapter.state.selected,E.UNSELECTED)},n.prototype.toggleClass=function(t,n){t?this.adapter.addClass(n):this.adapter.removeClass(n)}}(A),r(7898),r(3692),r(3410)),I=r(7499),P=r(577);class SwitchBase extends v.Wg{constructor(){super(...arguments),this.processing=!1,this.selected=!1,this.ariaLabel="",this.ariaLabelledBy="",this.shouldRenderRipple=!1,this.rippleHandlers=new b.A((()=>(this.shouldRenderRipple=!0,this.ripple))),this.name="",this.value="on",this.mdcFoundationClass=A}setFormData(t){this.name&&this.selected&&t.append(this.name,this.value)}click(){var t,n;this.disabled||(null===(t=this.mdcRoot)||void 0===t||t.focus(),null===(n=this.mdcRoot)||void 0===n||n.click())}render(){return O.dy`
      <button
        type="button"
        class="mdc-switch ${(0,I.$)(this.getRenderClasses())}"
        role="switch"
        aria-checked="${this.selected}"
        aria-label="${(0,P.o)(this.ariaLabel||void 0)}"
        aria-labelledby="${(0,P.o)(this.ariaLabelledBy||void 0)}"
        .disabled=${this.disabled}
        @click=${this.handleClick}
        @focus="${this.handleFocus}"
        @blur="${this.handleBlur}"
        @pointerdown="${this.handlePointerDown}"
        @pointerup="${this.handlePointerUp}"
        @pointerenter="${this.handlePointerEnter}"
        @pointerleave="${this.handlePointerLeave}"
      >
        <div class="mdc-switch__track"></div>
        <div class="mdc-switch__handle-track">
          ${this.renderHandle()}
        </div>
      </button>

      <input
        type="checkbox"
        aria-hidden="true"
        name="${this.name}"
        .checked=${this.selected}
        .value=${this.value}
      >
    `}getRenderClasses(){return{"mdc-switch--processing":this.processing,"mdc-switch--selected":this.selected,"mdc-switch--unselected":!this.selected}}renderHandle(){return O.dy`
      <div class="mdc-switch__handle">
        ${this.renderShadow()}
        ${this.renderRipple()}
        <div class="mdc-switch__icons">
          ${this.renderOnIcon()}
          ${this.renderOffIcon()}
        </div>
      </div>
    `}renderShadow(){return O.dy`
      <div class="mdc-switch__shadow">
        <div class="mdc-elevation-overlay"></div>
      </div>
    `}renderRipple(){return this.shouldRenderRipple?O.dy`
        <div class="mdc-switch__ripple">
          <mwc-ripple
            internalUseStateLayerCustomProperties
            .disabled="${this.disabled}"
            unbounded>
          </mwc-ripple>
        </div>
      `:O.dy``}renderOnIcon(){return O.dy`
      <svg class="mdc-switch__icon mdc-switch__icon--on" viewBox="0 0 24 24">
        <path d="M19.69,5.23L8.96,15.96l-4.23-4.23L2.96,13.5l6,6L21.46,7L19.69,5.23z" />
      </svg>
    `}renderOffIcon(){return O.dy`
      <svg class="mdc-switch__icon mdc-switch__icon--off" viewBox="0 0 24 24">
        <path d="M20 13H4v-2h16v2z" />
      </svg>
    `}handleClick(){var t;null===(t=this.mdcFoundation)||void 0===t||t.handleClick()}handleFocus(){this.rippleHandlers.startFocus()}handleBlur(){this.rippleHandlers.endFocus()}handlePointerDown(t){t.target.setPointerCapture(t.pointerId),this.rippleHandlers.startPress(t)}handlePointerUp(){this.rippleHandlers.endPress()}handlePointerEnter(){this.rippleHandlers.startHover()}handlePointerLeave(){this.rippleHandlers.endHover()}createAdapter(){return{state:this}}}(0,l.gn)([(0,h.C)({type:Boolean})],SwitchBase.prototype,"processing",void 0),(0,l.gn)([(0,h.C)({type:Boolean})],SwitchBase.prototype,"selected",void 0),(0,l.gn)([y.L,(0,h.C)({type:String,attribute:"aria-label"})],SwitchBase.prototype,"ariaLabel",void 0),(0,l.gn)([y.L,(0,h.C)({type:String,attribute:"aria-labelledby"})],SwitchBase.prototype,"ariaLabelledBy",void 0),(0,l.gn)([(0,g.G)("mwc-ripple")],SwitchBase.prototype,"ripple",void 0),(0,l.gn)([(0,p.S)()],SwitchBase.prototype,"shouldRenderRipple",void 0),(0,l.gn)([(0,h.C)({type:String,reflect:!0})],SwitchBase.prototype,"name",void 0),(0,l.gn)([(0,h.C)({type:String})],SwitchBase.prototype,"value",void 0),(0,l.gn)([(0,m.I)("input")],SwitchBase.prototype,"formElement",void 0),(0,l.gn)([(0,m.I)(".mdc-switch")],SwitchBase.prototype,"mdcRoot",void 0),(0,l.gn)([(0,f.h)({passive:!0})],SwitchBase.prototype,"handlePointerDown",null);const D=O.iv`.mdc-elevation-overlay{position:absolute;border-radius:inherit;pointer-events:none;opacity:0;opacity:var(--mdc-elevation-overlay-opacity, 0);transition:opacity 280ms cubic-bezier(0.4, 0, 0.2, 1);background-color:#fff;background-color:var(--mdc-elevation-overlay-color, #fff)}.mdc-switch{align-items:center;background:none;border:none;cursor:pointer;display:inline-flex;flex-shrink:0;margin:0;outline:none;overflow:visible;padding:0;position:relative}.mdc-switch:disabled{cursor:default;pointer-events:none}.mdc-switch__track{overflow:hidden;position:relative;width:100%}.mdc-switch__track::before,.mdc-switch__track::after{border:1px solid transparent;border-radius:inherit;box-sizing:border-box;content:"";height:100%;left:0;position:absolute;width:100%}@media screen and (forced-colors: active){.mdc-switch__track::before,.mdc-switch__track::after{border-color:currentColor}}.mdc-switch__track::before{transition:transform 75ms 0ms cubic-bezier(0, 0, 0.2, 1);transform:translateX(0)}.mdc-switch__track::after{transition:transform 75ms 0ms cubic-bezier(0.4, 0, 0.6, 1);transform:translateX(-100%)}[dir=rtl] .mdc-switch__track::after,.mdc-switch__track[dir=rtl]::after{transform:translateX(100%)}.mdc-switch--selected .mdc-switch__track::before{transition:transform 75ms 0ms cubic-bezier(0.4, 0, 0.6, 1);transform:translateX(100%)}[dir=rtl] .mdc-switch--selected .mdc-switch__track::before,.mdc-switch--selected .mdc-switch__track[dir=rtl]::before{transform:translateX(-100%)}.mdc-switch--selected .mdc-switch__track::after{transition:transform 75ms 0ms cubic-bezier(0, 0, 0.2, 1);transform:translateX(0)}.mdc-switch__handle-track{height:100%;pointer-events:none;position:absolute;top:0;transition:transform 75ms 0ms cubic-bezier(0.4, 0, 0.2, 1);left:0;right:auto;transform:translateX(0)}[dir=rtl] .mdc-switch__handle-track,.mdc-switch__handle-track[dir=rtl]{left:auto;right:0}.mdc-switch--selected .mdc-switch__handle-track{transform:translateX(100%)}[dir=rtl] .mdc-switch--selected .mdc-switch__handle-track,.mdc-switch--selected .mdc-switch__handle-track[dir=rtl]{transform:translateX(-100%)}.mdc-switch__handle{display:flex;pointer-events:auto;position:absolute;top:50%;transform:translateY(-50%);left:0;right:auto}[dir=rtl] .mdc-switch__handle,.mdc-switch__handle[dir=rtl]{left:auto;right:0}.mdc-switch__handle::before,.mdc-switch__handle::after{border:1px solid transparent;border-radius:inherit;box-sizing:border-box;content:"";width:100%;height:100%;left:0;position:absolute;top:0;transition:background-color 75ms 0ms cubic-bezier(0.4, 0, 0.2, 1),border-color 75ms 0ms cubic-bezier(0.4, 0, 0.2, 1);z-index:-1}@media screen and (forced-colors: active){.mdc-switch__handle::before,.mdc-switch__handle::after{border-color:currentColor}}.mdc-switch__shadow{border-radius:inherit;bottom:0;left:0;position:absolute;right:0;top:0}.mdc-elevation-overlay{bottom:0;left:0;right:0;top:0}.mdc-switch__ripple{left:50%;position:absolute;top:50%;transform:translate(-50%, -50%);z-index:-1}.mdc-switch:disabled .mdc-switch__ripple{display:none}.mdc-switch__icons{height:100%;position:relative;width:100%;z-index:1}.mdc-switch__icon{bottom:0;left:0;margin:auto;position:absolute;right:0;top:0;opacity:0;transition:opacity 30ms 0ms cubic-bezier(0.4, 0, 1, 1)}.mdc-switch--selected .mdc-switch__icon--on,.mdc-switch--unselected .mdc-switch__icon--off{opacity:1;transition:opacity 45ms 30ms cubic-bezier(0, 0, 0.2, 1)}:host{display:inline-flex;outline:none}input{display:none}.mdc-switch{width:36px;width:var(--mdc-switch-track-width, 36px)}.mdc-switch.mdc-switch--selected:enabled .mdc-switch__handle::after{background:#6200ee;background:var(--mdc-switch-selected-handle-color, var(--mdc-theme-primary, #6200ee))}.mdc-switch.mdc-switch--selected:enabled:hover:not(:focus):not(:active) .mdc-switch__handle::after{background:#310077;background:var(--mdc-switch-selected-hover-handle-color, #310077)}.mdc-switch.mdc-switch--selected:enabled:focus:not(:active) .mdc-switch__handle::after{background:#310077;background:var(--mdc-switch-selected-focus-handle-color, #310077)}.mdc-switch.mdc-switch--selected:enabled:active .mdc-switch__handle::after{background:#310077;background:var(--mdc-switch-selected-pressed-handle-color, #310077)}.mdc-switch.mdc-switch--selected:disabled .mdc-switch__handle::after{background:#424242;background:var(--mdc-switch-disabled-selected-handle-color, #424242)}.mdc-switch.mdc-switch--unselected:enabled .mdc-switch__handle::after{background:#616161;background:var(--mdc-switch-unselected-handle-color, #616161)}.mdc-switch.mdc-switch--unselected:enabled:hover:not(:focus):not(:active) .mdc-switch__handle::after{background:#212121;background:var(--mdc-switch-unselected-hover-handle-color, #212121)}.mdc-switch.mdc-switch--unselected:enabled:focus:not(:active) .mdc-switch__handle::after{background:#212121;background:var(--mdc-switch-unselected-focus-handle-color, #212121)}.mdc-switch.mdc-switch--unselected:enabled:active .mdc-switch__handle::after{background:#212121;background:var(--mdc-switch-unselected-pressed-handle-color, #212121)}.mdc-switch.mdc-switch--unselected:disabled .mdc-switch__handle::after{background:#424242;background:var(--mdc-switch-disabled-unselected-handle-color, #424242)}.mdc-switch .mdc-switch__handle::before{background:#fff;background:var(--mdc-switch-handle-surface-color, var(--mdc-theme-surface, #fff))}.mdc-switch:enabled .mdc-switch__shadow{--mdc-elevation-box-shadow-for-gss:0px 2px 1px -1px rgba(0, 0, 0, 0.2), 0px 1px 1px 0px rgba(0, 0, 0, 0.14), 0px 1px 3px 0px rgba(0, 0, 0, 0.12);box-shadow:0px 2px 1px -1px rgba(0, 0, 0, 0.2), 0px 1px 1px 0px rgba(0, 0, 0, 0.14), 0px 1px 3px 0px rgba(0, 0, 0, 0.12);box-shadow:var(--mdc-switch-handle-elevation, var(--mdc-elevation-box-shadow-for-gss))}.mdc-switch:disabled .mdc-switch__shadow{--mdc-elevation-box-shadow-for-gss:0px 0px 0px 0px rgba(0, 0, 0, 0.2), 0px 0px 0px 0px rgba(0, 0, 0, 0.14), 0px 0px 0px 0px rgba(0, 0, 0, 0.12);box-shadow:0px 0px 0px 0px rgba(0, 0, 0, 0.2), 0px 0px 0px 0px rgba(0, 0, 0, 0.14), 0px 0px 0px 0px rgba(0, 0, 0, 0.12);box-shadow:var(--mdc-switch-disabled-handle-elevation, var(--mdc-elevation-box-shadow-for-gss))}.mdc-switch .mdc-switch__focus-ring-wrapper,.mdc-switch .mdc-switch__handle{height:20px;height:var(--mdc-switch-handle-height, 20px)}.mdc-switch:disabled .mdc-switch__handle::after{opacity:0.38;opacity:var(--mdc-switch-disabled-handle-opacity, 0.38)}.mdc-switch .mdc-switch__handle{border-radius:10px;border-radius:var(--mdc-switch-handle-shape, 10px)}.mdc-switch .mdc-switch__handle{width:20px;width:var(--mdc-switch-handle-width, 20px)}.mdc-switch .mdc-switch__handle-track{width:calc(100% - 20px);width:calc(100% - var(--mdc-switch-handle-width, 20px))}.mdc-switch.mdc-switch--selected:enabled .mdc-switch__icon{fill:#fff;fill:var(--mdc-switch-selected-icon-color, var(--mdc-theme-on-primary, #fff))}.mdc-switch.mdc-switch--selected:disabled .mdc-switch__icon{fill:#fff;fill:var(--mdc-switch-disabled-selected-icon-color, var(--mdc-theme-on-primary, #fff))}.mdc-switch.mdc-switch--unselected:enabled .mdc-switch__icon{fill:#fff;fill:var(--mdc-switch-unselected-icon-color, var(--mdc-theme-on-primary, #fff))}.mdc-switch.mdc-switch--unselected:disabled .mdc-switch__icon{fill:#fff;fill:var(--mdc-switch-disabled-unselected-icon-color, var(--mdc-theme-on-primary, #fff))}.mdc-switch.mdc-switch--selected:disabled .mdc-switch__icons{opacity:0.38;opacity:var(--mdc-switch-disabled-selected-icon-opacity, 0.38)}.mdc-switch.mdc-switch--unselected:disabled .mdc-switch__icons{opacity:0.38;opacity:var(--mdc-switch-disabled-unselected-icon-opacity, 0.38)}.mdc-switch.mdc-switch--selected .mdc-switch__icon{width:18px;width:var(--mdc-switch-selected-icon-size, 18px);height:18px;height:var(--mdc-switch-selected-icon-size, 18px)}.mdc-switch.mdc-switch--unselected .mdc-switch__icon{width:18px;width:var(--mdc-switch-unselected-icon-size, 18px);height:18px;height:var(--mdc-switch-unselected-icon-size, 18px)}.mdc-switch .mdc-switch__ripple{height:48px;height:var(--mdc-switch-state-layer-size, 48px);width:48px;width:var(--mdc-switch-state-layer-size, 48px)}.mdc-switch .mdc-switch__track{height:14px;height:var(--mdc-switch-track-height, 14px)}.mdc-switch:disabled .mdc-switch__track{opacity:0.12;opacity:var(--mdc-switch-disabled-track-opacity, 0.12)}.mdc-switch:enabled .mdc-switch__track::after{background:#d7bbff;background:var(--mdc-switch-selected-track-color, #d7bbff)}.mdc-switch:enabled:hover:not(:focus):not(:active) .mdc-switch__track::after{background:#d7bbff;background:var(--mdc-switch-selected-hover-track-color, #d7bbff)}.mdc-switch:enabled:focus:not(:active) .mdc-switch__track::after{background:#d7bbff;background:var(--mdc-switch-selected-focus-track-color, #d7bbff)}.mdc-switch:enabled:active .mdc-switch__track::after{background:#d7bbff;background:var(--mdc-switch-selected-pressed-track-color, #d7bbff)}.mdc-switch:disabled .mdc-switch__track::after{background:#424242;background:var(--mdc-switch-disabled-selected-track-color, #424242)}.mdc-switch:enabled .mdc-switch__track::before{background:#e0e0e0;background:var(--mdc-switch-unselected-track-color, #e0e0e0)}.mdc-switch:enabled:hover:not(:focus):not(:active) .mdc-switch__track::before{background:#e0e0e0;background:var(--mdc-switch-unselected-hover-track-color, #e0e0e0)}.mdc-switch:enabled:focus:not(:active) .mdc-switch__track::before{background:#e0e0e0;background:var(--mdc-switch-unselected-focus-track-color, #e0e0e0)}.mdc-switch:enabled:active .mdc-switch__track::before{background:#e0e0e0;background:var(--mdc-switch-unselected-pressed-track-color, #e0e0e0)}.mdc-switch:disabled .mdc-switch__track::before{background:#424242;background:var(--mdc-switch-disabled-unselected-track-color, #424242)}.mdc-switch .mdc-switch__track{border-radius:7px;border-radius:var(--mdc-switch-track-shape, 7px)}.mdc-switch.mdc-switch--selected{--mdc-ripple-focus-state-layer-color:var(--mdc-switch-selected-focus-state-layer-color, var(--mdc-theme-primary, #6200ee));--mdc-ripple-focus-state-layer-opacity:var(--mdc-switch-selected-focus-state-layer-opacity, 0.12);--mdc-ripple-hover-state-layer-color:var(--mdc-switch-selected-hover-state-layer-color, var(--mdc-theme-primary, #6200ee));--mdc-ripple-hover-state-layer-opacity:var(--mdc-switch-selected-hover-state-layer-opacity, 0.04);--mdc-ripple-pressed-state-layer-color:var(--mdc-switch-selected-pressed-state-layer-color, var(--mdc-theme-primary, #6200ee));--mdc-ripple-pressed-state-layer-opacity:var(--mdc-switch-selected-pressed-state-layer-opacity, 0.1)}.mdc-switch.mdc-switch--selected:enabled:focus:not(:active){--mdc-ripple-hover-state-layer-color:var(--mdc-switch-selected-focus-state-layer-color, var(--mdc-theme-primary, #6200ee))}.mdc-switch.mdc-switch--selected:enabled:active{--mdc-ripple-hover-state-layer-color:var(--mdc-switch-selected-pressed-state-layer-color, var(--mdc-theme-primary, #6200ee))}.mdc-switch.mdc-switch--unselected{--mdc-ripple-focus-state-layer-color:var(--mdc-switch-unselected-focus-state-layer-color, #424242);--mdc-ripple-focus-state-layer-opacity:var(--mdc-switch-unselected-focus-state-layer-opacity, 0.12);--mdc-ripple-hover-state-layer-color:var(--mdc-switch-unselected-hover-state-layer-color, #424242);--mdc-ripple-hover-state-layer-opacity:var(--mdc-switch-unselected-hover-state-layer-opacity, 0.04);--mdc-ripple-pressed-state-layer-color:var(--mdc-switch-unselected-pressed-state-layer-color, #424242);--mdc-ripple-pressed-state-layer-opacity:var(--mdc-switch-unselected-pressed-state-layer-opacity, 0.1)}.mdc-switch.mdc-switch--unselected:enabled:focus:not(:active){--mdc-ripple-hover-state-layer-color:var(--mdc-switch-unselected-focus-state-layer-color, #424242)}.mdc-switch.mdc-switch--unselected:enabled:active{--mdc-ripple-hover-state-layer-color:var(--mdc-switch-unselected-pressed-state-layer-color, #424242)}@media screen and (forced-colors: active),(-ms-high-contrast: active){.mdc-switch:disabled .mdc-switch__handle::after{opacity:1;opacity:var(--mdc-switch-disabled-handle-opacity, 1)}.mdc-switch.mdc-switch--selected:enabled .mdc-switch__icon{fill:ButtonText;fill:var(--mdc-switch-selected-icon-color, ButtonText)}.mdc-switch.mdc-switch--selected:disabled .mdc-switch__icon{fill:GrayText;fill:var(--mdc-switch-disabled-selected-icon-color, GrayText)}.mdc-switch.mdc-switch--unselected:enabled .mdc-switch__icon{fill:ButtonText;fill:var(--mdc-switch-unselected-icon-color, ButtonText)}.mdc-switch.mdc-switch--unselected:disabled .mdc-switch__icon{fill:GrayText;fill:var(--mdc-switch-disabled-unselected-icon-color, GrayText)}.mdc-switch.mdc-switch--selected:disabled .mdc-switch__icons{opacity:1;opacity:var(--mdc-switch-disabled-selected-icon-opacity, 1)}.mdc-switch.mdc-switch--unselected:disabled .mdc-switch__icons{opacity:1;opacity:var(--mdc-switch-disabled-unselected-icon-opacity, 1)}.mdc-switch:disabled .mdc-switch__track{opacity:1;opacity:var(--mdc-switch-disabled-track-opacity, 1)}}`;let F=class Switch extends SwitchBase{};F.styles=[D],F=(0,l.gn)([(0,d.M)("mwc-switch")],F);var B=r(5862),$=r(8973),j=r(8810);let V=class LitSwitch extends B.oi{constructor(){super(...arguments),this.labelLeft="",this.labelRight="",this.selected=!1,this.disabled=!1}static get styles(){return[B.iv`
      /* Disable Material ripple */
      .switch-container {
        display: flex;
        flex-direction: row;
        align-items: center;
        min-height: 32px; /* make the actual switch visible */
        overflow-y: clip; /* keep mwc-switch overdraw from messing up layout */
      }

      .switch-container > mwc-switch {
        margin-left: 4px;
        margin-right: 4px;
      }

      .switch-container.disabled {
        color: rgba(60, 64, 67, 0.38);
      }

      mwc-switch {
        /* Revert to old teal color, the new purple is ugly. */
        --mdc-switch-selected-hover-handle-color: teal;
        --mdc-switch-selected-hover-track-color: lightseagreen;
        --mdc-switch-selected-focus-handle-color: teal;
        --mdc-switch-selected-focus-track-color: lightseagreen;
        --mdc-switch-selected-pressed-handle-color: teal;
        --mdc-switch-selected-pressed-track-color: lightseagreen;
        --mdc-switch-selected-handle-color: teal;
        --mdc-switch-selected-track-color: lightseagreen;
        /* Hide the ripple effect. */
        --mdc-switch-selected-focus-state-layer-opacity: 0;
        --mdc-switch-selected-hover-state-layer-opacity: 0;
        --mdc-switch-selected-pressed-state-layer-opacity: 0;
        --mdc-switch-unselected-focus-state-layer-opacity: 0;
        --mdc-switch-unselected-hover-state-layer-opacity: 0;
        --mdc-switch-unselected-pressed-state-layer-opacity: 0;
      }
    `]}render(){const t=(0,j.$)({"switch-container":!0,disabled:this.disabled,selected:this.selected});return B.dy`
      <div class=${t} @click=${()=>{this.selected=!this.selected;const t=new Event("change");this.dispatchEvent(t)}}>
        <div class='switch-label label-left'>${this.labelLeft}</div>
        <mwc-switch ?selected=${this.selected} ?disabled=${this.disabled}>
        </mwc-switch>
        <div class='switch-label label-right'>${this.labelRight}</div>
      </div>
    `}};(0,l.gn)([(0,$.Cb)({type:String}),(0,l.w6)("design:type",Object)],V.prototype,"labelLeft",void 0),(0,l.gn)([(0,$.Cb)({type:String}),(0,l.w6)("design:type",Object)],V.prototype,"labelRight",void 0),(0,l.gn)([(0,$.Cb)({type:Boolean}),(0,l.w6)("design:type",Object)],V.prototype,"selected",void 0),(0,l.gn)([(0,$.Cb)({type:Boolean}),(0,l.w6)("design:type",Object)],V.prototype,"disabled",void 0),V=(0,l.gn)([(0,$.Mo)("lit-switch")],V)},6645:(t,n,r)=>{"use strict";r.d(n,{w:()=>C});var l=r(7582),d=(r(1764),r(1732),r(4600),r(8684),r(3886)),h=r(5862),p=r(8973),f=r(4772),m=r(8810),g=r(3196),y=r(2188),v=r(6610),b=r(9537),x=r(5889),w=r(4915),S=r(7098),_=(r(2613),r(4869),r(1774));const E=h.iv`:host {
  --table-header-height: 24px;
  --table-footer-height: 20px;
  --table-cell-padding: 2px 8px;
  --header-text-max-width: none;
}

.holder {
  height: 100%;
  padding: 0px 1px; /* avoid spurious horizontal scrollbar */
}

.holder table {
  width: 100%;
  min-width: 100%;
  border-spacing: 0;
  color: var(--lit-gray-800);
  position: relative;
  z-index: 0;
}

.holder table.has-footer {
  height: 100%;
  min-height: 100%;
}

/**
 * Header styles
 */
.holder table > thead {
  position: sticky;
  top: 0;
  height: var(--table-header-height);
  z-index: 1;
  background: #f5fcfc;
}

.holder table > thead > th {
  font-weight: 500;
  color: #04394b;
  border-bottom: solid 1px #dadce0;
  position: relative;
}

.column-header {
  cursor: pointer;
  display: flex;
  flex-grow: 1;
  flex-direction: row;
  align-items: center;
  position: relative;
  box-sizing: border-box;
}

.column-header.right-align {
  justify-content: flex-end;
}

.header-holder {
  display: flex;
  flex-direction: row;
  align-items: center;
  padding: var(--table-cell-padding);
}

.header-holder lit-tooltip {
  display: flex;
  align-items: center;
}

.header-text {
  flex: 1;
  text-align: center;
  text-overflow: ellipsis;
  overflow: hidden;
  max-height: 100%;
  direction: rtl;
  max-width: calc(var(--header-text-max-width) - 16px);   /* 16px for arrows */
  white-space: nowrap;
}

:host([searchenabled]) .header-text {
  /* Adjust max-width down by 40px to account for search (24) + arrows (16). */
  max-width: calc(var(--header-text-max-width) - 40px);
}

.column-header.right-align .header-text {
  text-align: right;
}

.arrow-container {
  width: 16px;
  height: 20px;
  position: relative;
  user-select: none;
  overflow: hidden;
}

.arrow {
  display: none;
  position: absolute;
  --mdc-icon-size: 24px;
  color: var(--lit-neutral-300);
  left: -4px;
}

.arrow.up {
  top: -6px;
}

.arrow.down {
  top: 2px;
}

.arrow.active {
  color: var(--lit-neutral-800);
}

.arrow.inactive {
  color: var(--lit-neutral-300);
}

.menu-button-container {
  width: 20px;
  height: 20px;
  user-select: none;
  padding-left: 4px;
}

.column-header:hover {
  padding-right: 0;
}

.column-header:hover .arrow-container > .arrow,
.column-header:hover .menu-button-container > .menu-button {
  display: block;
}

.menu-button {
  display: none;
  --mdc-icon-size: 16px;
  margin-top: 2px;
  outline: 'none';
}

.menu-button:hover {
  opacity: .7;
}

.togglable-menu-holder {
  background-color: #eff6f8; /* light gray-blue */
  border: 1px solid;
  border-radius: 3px;
  border-color: rgb(218, 220, 224);
  position: absolute;
}

.search-input {
  width:100%;
}

/**
 * Body styles
 */
tbody tr {
  height: 20px;
}

tbody tr:hover {
  background: var(--lit-mage-200);
}

:host([selectionenabled]) tbody tr:hover {
  cursor: pointer;
}

tbody tr.filler:hover {
  background: none;
  cursor: default;
}

tbody tr.selected {
  background: var(--lit-cyea-100);
  color: var(--lit-gray-800);
  transition-duration: 0.2s;
  transition-property: background-color;
}

tbody tr.primary-selected {
  background: var(--lit-cyea-300);
  color: black;
  transition-duration: 0.2s;
  transition-property: background-color;
}

tbody tr.focused {
  background: var(--lit-mage-200);
  transition-duration: 0.2s;
  transition-property: background-color;
}

tbody td {
  vertical-align: top;
  box-sizing: border-box;
}

.n-rows {
  margin-left: 20px;
}

.cell-holder {
  display: flex;
  flex-direction: row;
  align-items: center;
  padding: var(--table-cell-padding);
}

.cell-holder.right-align {
  justify-content: flex-end;
  padding-right: 24px;
}

:host([searchenabled]) .cell-holder.right-align {
  padding-right: 46px;
}

.text-cell {
  max-height: 150px;
  overflow: auto;
  white-space: pre-wrap;
  display: inline;
}

/* TODO(lit-dev): Make the table image width configurable. */
.table-img {
  width: 100px;
}


/**
 * Footer styles
 */
.holder table > tfoot {
  position: sticky;
  bottom: 0;
  height: var(--table-footer-height);

  background: #f5fcfc;
}

.footer {
  color: #04394b;
  font-weight: 400;
  padding: 3px 0;

  display: flex;
  flex-direction: row;
}

.footer .pagination-controls-group {
  position: sticky;
  left: 4px;

  display: flex;
  align-items: center;
}

.icon-button-fix-offset {
  vertical-align: -3px;
}

.footer .export-controls-group {
  position: sticky;
  right: 4px;

  display: flex;
  align-items: center;
}

.footer-spacer {
  flex: 1;
}

.current-page-num {
  display: inline-block;
  text-align: center;
  min-width: 16px;
}

.checkbox-holder{
  padding: 4px;
}

.right-aligned-search {
  right: 20px;
}
`;var T;!function(t){t[t.START=0]="START",t[t.END=1]="END"}(T||(T={}));let C=class DataTable extends b.f{constructor(){super(...arguments),this.columnNames=[],this.data=[],this.selectedIndices=[],this.starredIndices=[],this.primarySelectedIndex=-1,this.referenceSelectedIndex=-1,this.focusedIndex=-1,this.globalSearchText="",this.selectionEnabled=!1,this.searchEnabled=!1,this.paginationEnabled=!1,this.exportEnabled=!1,this.showMoreEnabled=!1,this.shiftSelectionStartIndex=0,this.shiftSelectionEndIndex=0,this.verticalAlignMiddle=!1,this.headerTextMaxWidth=null,this.hasExpandedCells=!1,this.onSelect=()=>{},this.onPrimarySelect=()=>{},this.sortAscending=!0,this.showColumnMenu=!1,this.columnMenuName="",this.columnFilterInfo=new Map,this.pageNum=0,this.entriesPerPage=10,this.downloadFilename="data.csv",this.resizeObserver=new ResizeObserver((()=>{this.adjustEntriesIfHeightChanged()})),this.needsEntriesPerPageRecompute=!0,this.lastContainerHeight=0,this.selectedIndicesSetForRender=new Set,this.shiftSpanAnchor=T.START,this.hoveredIndex=null,this.HOVER_TIMEOUT_MS=3,this.hoverTimeoutId=null}static get styles(){return[x.W,E]}connectedCallback(){super.connectedCallback(),this.reactImmediately((()=>[this.data,this.rowFilteredData]),(()=>{this.needsEntriesPerPageRecompute=!0,this.requestUpdate()})),this.reactImmediately((()=>this.totalPages),(()=>{this.pageNum>=this.totalPages&&(this.pageNum=0);const t=this.entriesPerPage*(this.pageNum+1);null!=this.hoveredIndex&&this.hoveredIndex>t&&(this.hoveredIndex=null)}))}firstUpdated(){const t=this.shadowRoot.querySelector(".holder");this.resizeObserver.observe(t)}shouldUpdate(t){return t.get("data")&&(this.shiftSelectionStartIndex=0,this.shiftSelectionEndIndex=0),!0}updated(){this.needsEntriesPerPageRecompute&&this.computeEntriesPerPage()}getContainerHeight(){return this.shadowRoot.querySelector(".holder").getBoundingClientRect().height}adjustEntriesIfHeightChanged(){const t=this.getContainerHeight();Math.abs(t-this.lastContainerHeight)>20&&(this.lastContainerHeight=t,this.computeEntriesPerPage())}computeEntriesPerPage(){if(this.needsEntriesPerPageRecompute=!1,!this.paginationEnabled)return void(this.entriesPerPage=this.rowFilteredData.length+1);const t=this.getContainerHeight(),n=this.shadowRoot.querySelector("thead").getBoundingClientRect().height,r=this.shadowRoot.querySelector("tfoot").getBoundingClientRect().height,l=Math.max(0,t-n-r);let d=0,h=0;const p=this.shadowRoot.querySelectorAll("tbody > tr.lit-data-table-row");if(p.length<this.entriesPerPage)return;for(;d<l&&h<p.length;)d+=p[h].getBoundingClientRect().height,h+=1;let f;if(0===d||0===h)f=Math.ceil(l/28);else{if(this.shadowRoot.querySelectorAll("tbody > tr.filler").length>0||d===l){const t="tbody > tr > td > div.cell-holder",n=[...this.shadowRoot.querySelectorAll(t).values()].map((t=>t.getBoundingClientRect().height)),r=(0,S.C2)(n);f=Math.ceil(l/r)}else if(d<l){const t=d/h;f=Math.ceil(l/t)}else f=h}this.entriesPerPage=10*Math.ceil(f/10)}get sortIndex(){return null!=this.sortName?this.columnStrings.indexOf(this.sortName):void 0}shouldRightAlignColumn(t){const n=this.pageData.map((n=>n.rowData[t]));return n.filter((t=>(0,S.hj)(t))).length/n.length>.5}get columnStrings(){return this.columnNames.map((t=>"string"==typeof t?t:t.name))}get columnHeaders(){return this.columnNames.map(((t,n)=>{var r,l,d,p,f,m;const y="string"==typeof t?{name:t}:Object.assign({},t);let v=!1;if(null==y.html){const t=null!==(r=y.maxWidth)&&void 0!==r?r:0,n=null!==(l=this.headerTextMaxWidth)&&void 0!==l?l:0,p=0===t&&0===n?0:0===t&&0!==n?n:0!==t&&0===n?t:Math.min(t,n),f=p-(this.searchEnabled?40:16),m=(0,S.RE)(y.name);v=0!==p&&m>f;const b=(0,g.V)({"--header-text-max-width":p>0?`${p}px`:"none"});null!==(d=y.html)&&void 0!==d||(y.html=h.dy`<div slot="tooltip-anchor" class="header-text"
          style=${b}>
          ${y.name}
        </div>`)}null!==(p=y.rightAlign)&&void 0!==p||(y.rightAlign=this.shouldRightAlignColumn(n));if(null!=y.tooltip||v){const t=y.rightAlign||n===this.columnNames.length-1?"left":"",r=(0,g.V)({"--tooltip-max-width":`${null!==(f=y.tooltipMaxWidth)&&void 0!==f?f:500}px`,"--tooltip-width":null!=y.tooltipWidth?`${y.tooltipWidth}px`:"auto"});y.html=h.dy`<lit-tooltip content=${null!==(m=y.tooltip)&&void 0!==m?m:y.name}
          style=${r} tooltipPosition=${t}>
          ${y.html}
        </lit-tooltip>`}return y}))}get indexedData(){return this.data.map((t=>t instanceof Array?t:this.columnStrings.map((n=>t[n])))).map(((t,n)=>({inputIndex:n,rowData:t})))}get globalSearchFilteredData(){const t=(0,_.Bf)(this.globalSearchText,this.columnStrings);return(0,_.V$)(this.indexedData,this.columnStrings,t)}get rowFilteredData(){return this.globalSearchFilteredData.filter((t=>{let n=!0;for(const[r,l]of this.columnFilterInfo){const d=this.columnStrings.indexOf(r);if(-1===d)return;const h=(0,_.du)(t.rowData[d]);n=n&&l.fn(h)}return n}))}getSortedData(t){if(null!=this.sortName){const n=this.sortAscending?d.j2p:d.$1i;return t.slice().sort(((t,r)=>n((0,_.du)(t.rowData[this.sortIndex]),(0,_.du)(r.rowData[this.sortIndex]))))}return t}get displayData(){return this.getSortedData(this.rowFilteredData)}getArrayData(){return this.displayData.map((t=>t.rowData.map(_.du)))}getCSVContent(){return v.unparse({fields:this.columnStrings,data:this.getArrayData()},{newline:"\r\n"})}get totalPages(){return Math.ceil(this.displayData.length/this.entriesPerPage)}get pageData(){const t=this.pageNum*this.entriesPerPage,n=t+this.entriesPerPage;return this.displayData.slice(t,n)}get fillerRows(){const t=[];for(let n=0;n<this.entriesPerPage-this.pageData.length;n++)t.push(h.dy`<tr class="filler">
        <td colspan=${this.columnNames.length}>&nbsp;</td>
      </tr>`);return t}get isPaginated(){return this.paginationEnabled&&this.displayData.length>this.entriesPerPage}get hasFooter(){return this.isPaginated||this.exportEnabled}setShiftSelectionSpan(t,n){this.shiftSelectionStartIndex=t,this.shiftSelectionEndIndex=n}isRowWithinShiftSelectionSpan(t){return t>=this.shiftSelectionStartIndex&&t<=this.shiftSelectionEndIndex}getInputIndexFromRowIndex(t){return this.displayData[t].inputIndex}selectFromRange(t,n,r,l=!0){for(let d=n;d<=r;d++){const n=this.getInputIndexFromRowIndex(d);if(null==n)return;l?t.add(n):(t.delete(n),n===this.primarySelectedIndex&&this.setPrimarySelectedIndex(-1))}}handleRowClick(t,n,r){let l=new Set(this.selectedIndices),d=!0;if(null==this.onClick){if(t.metaKey||t.ctrlKey)l.has(n)?(l.delete(n),n===this.primarySelectedIndex&&this.setPrimarySelectedIndex(-1)):l.add(n),this.setShiftSelectionSpan(r,r),this.setPrimarySelectedIndex(r);else if(t.shiftKey){const t=this.isRowWithinShiftSelectionSpan(r),n=this.shiftSelectionStartIndex,d=this.shiftSelectionEndIndex;t?this.shiftSpanAnchor===T.START?(this.selectFromRange(l,r+1,d,!1),this.shiftSelectionEndIndex=r):(this.selectFromRange(l,n,r-1,!1),this.shiftSelectionStartIndex=r):r>=d?(this.selectFromRange(l,d,r),this.setShiftSelectionSpan(n,r),this.shiftSpanAnchor=T.START):r<=n&&(this.selectFromRange(l,r,n),this.setShiftSelectionSpan(r,d),this.shiftSpanAnchor=T.END),this.setPrimarySelectedIndex(r)}else l.has(n)&&1===l.size?(l=new Set,this.setPrimarySelectedIndex(-1)):l.has(n)&&n!==this.primarySelectedIndex?(this.setPrimarySelectedIndex(r),d=!1):(l=new Set([n]),this.setPrimarySelectedIndex(r)),this.setShiftSelectionSpan(r,r);d&&(this.selectedIndices=Array.from(l),this.onSelect([...this.selectedIndices]))}else this.onClick(n)}handleRowMouseEnter(t,n){null!=this.hoverTimeoutId&&window.clearTimeout(this.hoverTimeoutId),this.hoverTimeoutId=window.setTimeout((()=>{this.hoveredIndex=n,null!=this.onHover&&this.onHover(this.hoveredIndex)}),this.HOVER_TIMEOUT_MS)}handleRowMouseLeave(t,n){null!=this.hoverTimeoutId&&window.clearTimeout(this.hoverTimeoutId),this.hoverTimeoutId=window.setTimeout((()=>{n===this.hoveredIndex&&(this.hoveredIndex=null),null!=this.onHover&&this.onHover(this.hoveredIndex)}),this.HOVER_TIMEOUT_MS)}setPrimarySelectedIndex(t){let n=-1;if(-1!==t){const r=this.getInputIndexFromRowIndex(t);if(null==r)return;n=r}this.primarySelectedIndex=n,this.onPrimarySelect(n)}get isDefaultView(){return void 0===this.sortName&&0===this.columnFilterInfo.size&&""===this.globalSearchText&&!this.hasExpandedCells}get isFiltered(){return 0!==this.columnFilterInfo.size||""!==this.globalSearchText}resetView(){var t;this.columnFilterInfo.clear(),this.sortName=void 0,this.showColumnMenu=!1,this.requestUpdate(),this.hasExpandedCells=!1,null===(t=this.tableTextCells)||void 0===t||t.forEach((t=>{t.expanded=!1}))}getVisibleDataIdxs(){return this.displayData.map((t=>t.inputIndex))}render(){this.selectedIndicesSetForRender=new Set(this.selectedIndices);const t=this.columnHeaders.map((t=>{const n=(0,g.V)({"max-width":null!=t.maxWidth?`${t.maxWidth}px`:"unset","min-width":null!=t.minWidth?`${t.minWidth}px`:"unset",width:null!=t.width?`${t.width}px`:"unset"});return h.dy`<col id=${`${t.name}-col`} span="1" style=${n}>`}));return h.dy`<div class="holder">
      <table class=${(0,m.$)({"has-footer":this.hasFooter})}>
        <colgroup>${t}</colgroup>
        <thead>
          ${this.columnHeaders.map(((t,n)=>{var r;return this.renderColumnHeader(t,null!==(r=t.rightAlign)&&void 0!==r&&r)}))}
        </thead>
        <tbody>
          ${this.pageData.map(((t,n)=>this.renderRow(t,n)))}
          ${this.hasFooter?this.fillerRows:null}
        </tbody>
        <tfoot>
          ${this.renderFooter()}
        </tfoot>
      </table>
    </div>`}renderPaginationControls(){const t=t=>(t%this.totalPages+this.totalPages)%this.totalPages,n=n=>{var r;this.pageNum=t(this.pageNum+n),null===(r=this.tableTextCells)||void 0===r||r.forEach((t=>{t.expanded=!1})),this.hasExpandedCells=!1},r={"icon-button":!0,disabled:0===this.pageNum},l={"icon-button":!0,disabled:this.pageNum===this.totalPages-1};return h.dy`
      <div class='pagination-controls-group'>
        <mwc-icon class=${(0,m.$)(r)}
          @click=${()=>{this.pageNum=0}}>
          first_page
        </mwc-icon>
        <mwc-icon class='icon-button'
          @click=${()=>{n(-1)}}>
          chevron_left
        </mwc-icon>
        <div>
        Page
        <span class="current-page-num">${this.pageNum+1}</span>
        of ${this.totalPages}
        </div>
        <mwc-icon class='icon-button'
          @click=${()=>{n(1)}}>
          chevron_right
        </mwc-icon>
        <mwc-icon class=${(0,m.$)(l)}
          @click=${()=>{this.pageNum=this.totalPages-1}}>
          last_page
        </mwc-icon>
        <lit-tooltip .content=${"Go to a random page"}
          .tooltipPosition=${"above"}>
          <mwc-icon class='icon-button mdi-outlined icon-button-fix-offset'
            @click=${()=>{this.pageNum=(0,S.rO)(0,this.totalPages)}} slot="tooltip-anchor">
            casino
          </mwc-icon>
        </lit-tooltip>
      </div>`}renderFooter(){return this.hasFooter?h.dy`
      <tr>
        <td colspan=${this.columnNames.length}>
          <div class="footer">
            ${this.isPaginated?this.renderPaginationControls():null}
            <div class='footer-spacer'></div>
            ${this.exportEnabled?h.dy`
              <div class='export-controls-group'>
                <export-controls .data=${this.getArrayData()}
                    .columnNames=${this.columnStrings}
                    .popupPosition=${"above"}
                    .tooltipPosition=${"above left"}>
                </export-controls>
              </div>`:null}
          </div>
        </td>
      </tr>`:null}columnNameToId(t){return t.replace(/\s+/g,"")}renderColumnHeader(t,n){const r=t.name,l=this.columnNameToId(r),d=t=>{t.stopPropagation(),this.sortName!==r?(this.sortName=r,this.sortAscending=!0):this.sortAscending?this.sortAscending=!1:this.sortName=void 0},p=this.sortName===r&&this.sortAscending,f=this.sortName===r&&!this.sortAscending,y=this.sortName===r&&!this.sortAscending,v=this.sortName===r&&this.sortAscending,b=(0,g.V)(y||p?{display:"block"}:{}),x=(0,g.V)((()=>{var t;const n=null===(t=this.columnFilterInfo.get(r))||void 0===t?void 0:t.values,l=n&&n.length>0&&n[0].length>0,{showColumnMenu:d,columnMenuName:h}=this;return l||d&&h===r})()?{display:"block",outline:"auto"}:{}),w=(0,m.$)({arrow:!0,up:!0,active:p,inactive:f}),S=(0,m.$)({arrow:!0,down:!0,active:y,inactive:v}),_=(0,m.$)({"column-header":!0,"right-align":t.rightAlign});return h.dy`
        <th id=${l} scope="col">
          <div class=${_}>
            <div class="header-holder">
              <div @click=${d}>${t.html}</div>
              ${this.searchEnabled?h.dy`
                <div class="menu-button-container">
                  <mwc-icon class="menu-button" style=${x}
                   title="Filter" @click=${t=>{t.stopPropagation(),this.columnMenuName===r?this.showColumnMenu=!this.showColumnMenu:(this.columnMenuName=r,this.showColumnMenu=!0),this.showColumnMenu&&window.requestAnimationFrame((()=>{const t=this.shadowRoot.querySelector(`th#${l} .togglable-menu-holder input`);null!=t&&t.focus()}))}}>
                   filter_alt
                  </mwc-icon>
                </div>`:null}
              <div class="arrow-container" @click=${d}
               title="Sort (${p?"ascending":y?"descending":"default"})">
                <mwc-icon class=${w} style=${b}>
                  arrow_drop_up
                </mwc-icon>
                <mwc-icon class=${S} style=${b}>
                  arrow_drop_down
                </mwc-icon>
              </div>
            </div>
          </div>
          ${this.searchEnabled?this.renderSearch(t,n):null}
        </th>
      `}renderSearch(t,n){const r=(0,g.V)({display:this.showColumnMenu&&this.columnMenuName===t.name?"block":"none"}),l=(0,m.$)({"togglable-menu-holder":!0,"checkbox-holder":null!=t.vocab,"right-aligned-search":n});if(null==t.vocab){const n=n=>{var r;const l=(null===(r=n.target)||void 0===r?void 0:r.value)||"";this.columnFilterInfo.set(t.name,{fn:function(t){return(0,_.Ut)(t,l)},values:[l]})},d=this.columnFilterInfo.has(t.name)?this.columnFilterInfo.get(t.name).values[0]:"";return h.dy`
        <div class=${l} style=${r}>
            <input type="search" class='search-input'
            .value=${d}
            placeholder="Filter" @input=${n}/>
        </div>`}return h.dy`
        <div class=${l} style=${r}>
          ${t.vocab.map((n=>{var r;const l=(null===(r=this.columnFilterInfo.get(t.name))||void 0===r?void 0:r.values.includes(n))||!1;return h.dy`<lit-checkbox label=${n} ?checked=${l}
                @change=${r=>{var l;let d=(null===(l=this.columnFilterInfo.get(t.name))||void 0===l?void 0:l.values)||[];r.target.checked?d.push(n):d=d.filter((t=>t!==n));this.columnFilterInfo.set(t.name,{fn:n=>{var r;const l=(null===(r=this.columnFilterInfo.get(t.name))||void 0===r?void 0:r.values)||[];return 0===l.length||l.includes(n.toString())},values:d})}}></lit-checkbox>`}))}
        </div>`}renderRow(t,n){const r=t.inputIndex,l=n+this.pageNum*this.entriesPerPage,d=this.selectedIndicesSetForRender.has(r),p=this.primarySelectedIndex===r,y=this.referenceSelectedIndex===r,v=this.focusedIndex===r,b=-1!==this.starredIndices.indexOf(r),x=(0,m.$)({"lit-data-table-row":!0,selected:d,"primary-selected":p,"reference-selected":y,focused:v}),S=t=>{this.hasExpandedCells=!0},_=(t,n)=>{if(null==t)return null;if("string"==typeof t&&t.startsWith("data:image"))return h.dy`<img class='table-img' src=${t.toString()}>`;if((0,f.hN)(t))return t;if(t.constructor===Object){let n=null;const r=t.template;return n="function"==typeof r?r(d,p,y,v,b):r,h.dy`${n}`}return"string"==typeof t&&this.showMoreEnabled?h.dy`
        <lit-table-text-cell
          @showmore=${S}
          .content=${t}
          .maxWidth=${n}>
        </lit-table-text-cell>`:h.dy`
          <div class="text-cell">${(0,w.E9)(t,void 0,!0)}</div>`},E=this.columnHeaders.map((t=>(0,m.$)({"cell-holder":!0,"right-align":t.rightAlign}))),T=this.columnHeaders.map((t=>t.maxWidth)),C=(0,g.V)({"vertical-align":this.verticalAlignMiddle?"middle":"top"});return h.dy`
      <tr class="${x}" @click=${t=>{this.selectionEnabled&&this.handleRowClick(t,r,l)}} @mouseenter=${t=>{this.handleRowMouseEnter(t,r)}}
        @mouseleave=${t=>{this.handleRowMouseLeave(t,r)}} @mousedown=${t=>{t.shiftKey&&this.selectionEnabled&&t.preventDefault()}}>
        ${t.rowData.map(((t,n)=>h.dy`<td style=${C}><div class=${E[n]}>${_(t,T[n])}</div></td>`))}
      </tr>
    `}};(0,l.gn)([y.LO.struct,(0,p.Cb)({type:Array}),(0,l.w6)("design:type",Array)],C.prototype,"columnNames",void 0),(0,l.gn)([y.LO.struct,(0,p.Cb)({type:Array}),(0,l.w6)("design:type",Array)],C.prototype,"data",void 0),(0,l.gn)([(0,p.Cb)({type:Array}),(0,l.w6)("design:type",Array)],C.prototype,"selectedIndices",void 0),(0,l.gn)([(0,p.Cb)({type:Array}),(0,l.w6)("design:type",Array)],C.prototype,"starredIndices",void 0),(0,l.gn)([(0,p.Cb)({type:Number}),(0,l.w6)("design:type",Number)],C.prototype,"primarySelectedIndex",void 0),(0,l.gn)([(0,p.Cb)({type:Number}),(0,l.w6)("design:type",Number)],C.prototype,"referenceSelectedIndex",void 0),(0,l.gn)([(0,p.Cb)({type:Number}),(0,l.w6)("design:type",Number)],C.prototype,"focusedIndex",void 0),(0,l.gn)([y.LO,(0,p.Cb)({type:String}),(0,l.w6)("design:type",Object)],C.prototype,"globalSearchText",void 0),(0,l.gn)([(0,p.Cb)({type:Boolean}),(0,l.w6)("design:type",Object)],C.prototype,"selectionEnabled",void 0),(0,l.gn)([(0,p.Cb)({type:Boolean}),(0,l.w6)("design:type",Object)],C.prototype,"searchEnabled",void 0),(0,l.gn)([(0,p.Cb)({type:Boolean}),(0,l.w6)("design:type",Object)],C.prototype,"paginationEnabled",void 0),(0,l.gn)([(0,p.Cb)({type:Boolean}),(0,l.w6)("design:type",Object)],C.prototype,"exportEnabled",void 0),(0,l.gn)([(0,p.Cb)({type:Boolean}),(0,l.w6)("design:type",Object)],C.prototype,"showMoreEnabled",void 0),(0,l.gn)([(0,p.Cb)({type:Number}),(0,l.w6)("design:type",Object)],C.prototype,"shiftSelectionStartIndex",void 0),(0,l.gn)([(0,p.Cb)({type:Number}),(0,l.w6)("design:type",Object)],C.prototype,"shiftSelectionEndIndex",void 0),(0,l.gn)([(0,p.Cb)({type:Boolean}),(0,l.w6)("design:type",Object)],C.prototype,"verticalAlignMiddle",void 0),(0,l.gn)([(0,p.Cb)({type:Number}),(0,l.w6)("design:type",Number)],C.prototype,"headerTextMaxWidth",void 0),(0,l.gn)([y.LO,(0,l.w6)("design:type",Object)],C.prototype,"hasExpandedCells",void 0),(0,l.gn)([(0,p.Cb)({type:Object}),(0,l.w6)("design:type",Function)],C.prototype,"onClick",void 0),(0,l.gn)([(0,p.Cb)({type:Object}),(0,l.w6)("design:type",Function)],C.prototype,"onHover",void 0),(0,l.gn)([(0,p.Cb)({type:Object}),(0,l.w6)("design:type",Function)],C.prototype,"onSelect",void 0),(0,l.gn)([(0,p.Cb)({type:Object}),(0,l.w6)("design:type",Function)],C.prototype,"onPrimarySelect",void 0),(0,l.gn)([y.LO,(0,l.w6)("design:type",String)],C.prototype,"sortName",void 0),(0,l.gn)([y.LO,(0,l.w6)("design:type",Object)],C.prototype,"sortAscending",void 0),(0,l.gn)([y.LO,(0,l.w6)("design:type",Object)],C.prototype,"showColumnMenu",void 0),(0,l.gn)([y.LO,(0,l.w6)("design:type",Object)],C.prototype,"columnMenuName",void 0),(0,l.gn)([y.LO,(0,l.w6)("design:type",Object)],C.prototype,"columnFilterInfo",void 0),(0,l.gn)([y.LO,(0,l.w6)("design:type",Object)],C.prototype,"pageNum",void 0),(0,l.gn)([y.LO,(0,l.w6)("design:type",Object)],C.prototype,"entriesPerPage",void 0),(0,l.gn)([(0,p.Cb)({type:String}),(0,l.w6)("design:type",Object)],C.prototype,"downloadFilename",void 0),(0,l.gn)([y.Fl,(0,l.w6)("design:type",Number),(0,l.w6)("design:paramtypes",[])],C.prototype,"sortIndex",null),(0,l.gn)([y.Fl,(0,l.w6)("design:type",Array),(0,l.w6)("design:paramtypes",[])],C.prototype,"columnStrings",null),(0,l.gn)([y.Fl,(0,l.w6)("design:type",Array),(0,l.w6)("design:paramtypes",[])],C.prototype,"columnHeaders",null),(0,l.gn)([y.Fl,(0,l.w6)("design:type",Array),(0,l.w6)("design:paramtypes",[])],C.prototype,"indexedData",null),(0,l.gn)([y.Fl,(0,l.w6)("design:type",Array),(0,l.w6)("design:paramtypes",[])],C.prototype,"globalSearchFilteredData",null),(0,l.gn)([y.Fl,(0,l.w6)("design:type",Array),(0,l.w6)("design:paramtypes",[])],C.prototype,"rowFilteredData",null),(0,l.gn)([y.Fl,(0,l.w6)("design:type",Array),(0,l.w6)("design:paramtypes",[])],C.prototype,"displayData",null),(0,l.gn)([y.Fl,(0,l.w6)("design:type",Number),(0,l.w6)("design:paramtypes",[])],C.prototype,"totalPages",null),(0,l.gn)([y.Fl,(0,l.w6)("design:type",Array),(0,l.w6)("design:paramtypes",[])],C.prototype,"pageData",null),(0,l.gn)([y.Fl,(0,l.w6)("design:type",Array),(0,l.w6)("design:paramtypes",[])],C.prototype,"fillerRows",null),(0,l.gn)([y.Fl,(0,l.w6)("design:type",Boolean),(0,l.w6)("design:paramtypes",[])],C.prototype,"isPaginated",null),(0,l.gn)([y.Fl,(0,l.w6)("design:type",Boolean),(0,l.w6)("design:paramtypes",[])],C.prototype,"hasFooter",null),(0,l.gn)([y.aD,(0,l.w6)("design:type",Function),(0,l.w6)("design:paramtypes",[MouseEvent,Number,Number]),(0,l.w6)("design:returntype",void 0)],C.prototype,"handleRowClick",null),(0,l.gn)([y.aD,(0,l.w6)("design:type",Function),(0,l.w6)("design:paramtypes",[Number]),(0,l.w6)("design:returntype",void 0)],C.prototype,"setPrimarySelectedIndex",null),(0,l.gn)([(0,p.Kt)("lit-table-text-cell"),(0,l.w6)("design:type",Array)],C.prototype,"tableTextCells",void 0),(0,l.gn)([y.Fl,(0,l.w6)("design:type",Object),(0,l.w6)("design:paramtypes",[])],C.prototype,"isDefaultView",null),(0,l.gn)([y.Fl,(0,l.w6)("design:type",Object),(0,l.w6)("design:paramtypes",[])],C.prototype,"isFiltered",null),C=(0,l.gn)([(0,p.Mo)("lit-data-table")],C)},2613:(t,n,r)=>{"use strict";var l=r(7582),d=r(5862),h=r(8973),p=r(3196),f=r(9537),m=r(5889),g=r(4915);let y=class LitTableTextCell extends f.f{constructor(){super(...arguments),this.content="",this.expanded=!1}static get styles(){return[m.W,d.iv`
        .lit-table-text-cell {
          max-height: 150px;
          overflow: auto;
          white-space: pre-wrap;
          display: inline;
        }

        lit-showmore {
          white-space: normal;
        }
      `]}render(){var t;const n=null!==(t=this.maxWidth)&&void 0!==t?t:200,r=(0,p.V)({"--show-more-max-width":`${n}px`,"--show-more-icon-width":"20px"}),l=3*n-25,h=Math.floor(.139*l),f=this.content.split("\n\n",3).join("\n\n").length,m=Math.min(h,f),y=this.expanded||this.content.length<=m,v=this.content.length-m,b=y?this.content:this.content.substring(0,m),x=(0,g.E9)(b,void 0,!0),w=y?"":d.dy`<lit-showmore .hiddenTextLength=${v}
              @showmore=${t=>{this.expanded=!0;const n=new CustomEvent("showmore");this.dispatchEvent(n),t.stopPropagation(),t.preventDefault()}}></lit-showmore>`;return d.dy`
       <div style=${r}
        class='lit-table-text-cell'>${x} ${w}</div>`}};(0,l.gn)([(0,h.Cb)({type:String}),(0,l.w6)("design:type",Object)],y.prototype,"content",void 0),(0,l.gn)([(0,h.Cb)({type:Number}),(0,l.w6)("design:type",Number)],y.prototype,"maxWidth",void 0),(0,l.gn)([(0,h.Cb)({type:Boolean}),(0,l.w6)("design:type",Object)],y.prototype,"expanded",void 0),y=(0,l.gn)([(0,h.Mo)("lit-table-text-cell")],y)},4869:(t,n,r)=>{"use strict";r(5862)},1774:(t,n,r)=>{"use strict";r.d(n,{Bf:()=>m,Ut:()=>g,V$:()=>v,du:()=>p});var l,d=r(4772),h=r(7098);r(4869);function p(t){return"string"==typeof t||(0,h.hj)(t)?t:(0,d.hN)(t)?0:t.value}function f(t,n=[]){if(t.includes(":")&&t.indexOf(":")!==t.length-1){const[r,...l]=t.split(":");if(-1!==n.indexOf(r))return{columnName:r,matcher:l.join(":")}}return{matcher:t}}function m(t,n){if(!t)return null;const r=" AND ",d=" OR ";if(-1!==t.indexOf(r)){const d=t.split(r).map((t=>m(t,n))).filter(Boolean);return 1===d.length?d[0]:d.length>1?{type:l.AND,children:d}:null}if(-1!==t.indexOf(d)){const r=t.split(d).filter(Boolean).map((t=>f(t,n)));return 1===r.length?{type:l.EXPR,children:r[0]}:r.length>1?{type:l.OR,children:r.map((t=>({type:l.EXPR,children:t})))}:null}return{type:l.EXPR,children:f(t,n)}}function g(t,n){const r=Number(t);if((0,h.Ak)(n)&&!isNaN(r)){return(0,h.rl)(n)(r)}if((t=String(t)).startsWith("data:image/png"))return!0;try{return null!==t.match(new RegExp(n))}catch(r){return t.includes(n)}}function y(t,n,r){if(r.type===l.EXPR)return function(t,n,r){if(void 0!==r.columnName)return g(p(t.rowData[n.indexOf(r.columnName)]),r.matcher);return t.rowData.some((t=>g(p(t),r.matcher)))}(t,n,r.children);{const d=r.children;return r.type===l.AND?d.every((r=>y(t,n,r))):d.some((r=>y(t,n,r)))}}function v(t,n,r){return r?t.filter((t=>y(t,n,r))):t}!function(t){t[t.AND=0]="AND",t[t.OR=1]="OR",t[t.EXPR=2]="EXPR"}(l||(l={}))},4567:(t,n,r)=>{"use strict";var l=r(7582),d=r(8973),h=r(5862),p=r(3196);let f=class TcavScoreBar extends h.oi{constructor(){super(...arguments),this.score=0,this.meanVal=0,this.clampVal=0}static get styles(){return h.iv`
        .cell {
          position: relative;
          display: flex;
          min-width: 100px;
          min-height: 20px;
          background-color: var(--lit-neutral-200);
        }

        .separator {
          width: 2px;
          background-color: black;
          min-height: 20px;
          position: absolute;
        }

        .pos-bar {
          min-height: 20px;
          position: absolute;
          background-color: var(--lit-cyea-300);
        }
    `}render(){const{score:t,clampVal:n,meanVal:r}=this,l=Math.min(Math.max(t,0),n)/n,d=Math.min(Math.max(r,0),n)/n,f={width:100*Math.abs(l-d)+"%",left:l>d?100*d+"%":100*l+"%"},m={left:100*d+"%"};return h.dy`<td><div class='cell'>
        <div class='pos-bar' style='${(0,p.V)(f)}'></div>
        <div class='separator' style='${(0,p.V)(m)}'></div>
      </div></td>`}};(0,l.gn)([(0,d.Cb)({type:Number}),(0,l.w6)("design:type",Object)],f.prototype,"score",void 0),(0,l.gn)([(0,d.Cb)({type:Number}),(0,l.w6)("design:type",Object)],f.prototype,"meanVal",void 0),(0,l.gn)([(0,d.Cb)({type:Number}),(0,l.w6)("design:type",Object)],f.prototype,"clampVal",void 0),f=(0,l.gn)([(0,d.Mo)("tcav-score-bar")],f)},6278:(t,n,r)=>{"use strict";var l=r(7582),d=r(8973),h=r(5862),p=r(8810),f=r(5889),m=r(7098);let g=class ThresholdSlider extends h.oi{constructor(){super(...arguments),this.margin=0,this.label="",this.isThreshold=!0,this.showControls=!1}static get styles(){return[f.W,h.iv`
        .slider-row {
          display: flex;
          flex-direction: row;
          align-items: center;
          justify-content: center;
        }

        .text-with-controls {
          padding-top: 0;
        }

        .text-no-controls {
          padding-top: 2px;
        }
    `]}renderThresholdSlider(t,n){return this.renderSlider(t,n,0,1,.01,(t=>{const r=t.target.value,l=(0,m.DO)(Number(r)),d=new CustomEvent("threshold-changed",{detail:{label:n,margin:l}});this.dispatchEvent(d)}),(function(t){const n=(0,m.xt)(+t);return Math.round(100*n)/100}),"Threshold")}renderMarginSlider(t,n){return this.renderSlider(t,n,-5,5,.05,(t=>{const r=t.target.value,l=new CustomEvent("threshold-changed",{detail:{label:n,margin:Number(r)}});this.dispatchEvent(l)}),(function(t){return t}),"margin")}renderSlider(t,n,r,l,d,f,m,g){const y=m(t),v=0===t,b={"text-with-controls":this.showControls,"text-no-controls":!this.showControls};return h.dy`
        <div class="slider-row">
          ${(()=>this.showControls?h.dy`
          <div class=${(0,p.$)(b)}>${n} ${g}:</div>`:null)()}
          <lit-numeric-input min="${r}" max="${l}" step="${d}"
            value="${y}" @change=${f}></lit-numeric-input>
          ${this.showControls?h.dy`<button class='hairline-button reset-button' @click=${()=>{const t=new CustomEvent("threshold-changed",{detail:{label:n,margin:0}});this.dispatchEvent(t)}}
                   ?disabled="${v}">Reset</button>`:null}
        </div>`}render(){return h.dy`${this.isThreshold?this.renderThresholdSlider(this.margin,this.label):this.renderMarginSlider(this.margin,this.label)}`}};(0,l.gn)([(0,d.Cb)({type:Number}),(0,l.w6)("design:type",Object)],g.prototype,"margin",void 0),(0,l.gn)([(0,d.Cb)({type:String}),(0,l.w6)("design:type",Object)],g.prototype,"label",void 0),(0,l.gn)([(0,d.Cb)({type:Boolean}),(0,l.w6)("design:type",Object)],g.prototype,"isThreshold",void 0),(0,l.gn)([(0,d.Cb)({type:Boolean}),(0,l.w6)("design:type",Object)],g.prototype,"showControls",void 0),g=(0,l.gn)([(0,d.Mo)("threshold-slider")],g)},4424:(t,n,r)=>{"use strict";var l=r(7582),d=(r(3514),r(5862)),h=r(8973),p=r(8810),f=r(3196),m=r(6070),g=r(5889);const y=d.iv`.tokens-group {
  position: relative;
}

.tokens-holder {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
}

.salient-token {
  --token-outline-color: transparent;
  /* color and background set individually vis styleMap */
  font-family: 'Roboto';
  border-radius: 2px;
  border: 1px solid var(--token-outline-color); /* for spacing */
  padding: 2px 4px; /* wider horizontally */
  margin: 3px;
  width: fit-content;
  position: relative;
}

.salient-token.clickable {
  cursor: pointer;
}

.salient-token.pinned:after {
  position: absolute;
  font-family: 'Material Icons';
  content: 'push_pin';
  /* upper right corner of token */
  right: -4px;
  top: -12px;
  bottom: 60%;
  z-index: 1; /* draw over adjacent tokens in dense mode */
}

.salient-token.hover-enabled:hover {
  --token-outline-color: var(--lit-neutral-500);
}

.salient-token.selected {
  --token-outline-color: var(--lit-neutral-900);
}

.tokens-holder-dense .salient-token {
  padding: 0;
  margin: 0;
  border: 0;
  outline: 1px solid var(--token-outline-color);
}

.pre-wrap {
  white-space: pre-wrap;
}`;let v=class TokenChips extends d.oi{constructor(){super(...arguments),this.tokensWithWeights=[],this.cmap=new m.zT,this.dense=!1}static get styles(){return[g.W,y]}renderToken(t,n){const r=(0,p.$)({"salient-token":!0,selected:Boolean(t.selected),pinned:Boolean(t.pinned),clickable:void 0!==t.onClick,"hover-enabled":!Boolean(t.disableHover)}),l=(0,f.V)({"background-color":this.cmap.bgCmap(t.weight),color:this.cmap.textCmap(t.weight)});return d.dy`
      <div class=${r} style=${l} @click=${t.onClick}
        @mouseover=${t.onMouseover} @mouseout=${t.onMouseout}>
        <lit-tooltip content=${t.weight.toPrecision(3)}
          ?forceShow=${Boolean(t.forceShowTooltip)}
          ?disabled=${Boolean(t.disableHover)}>
          <span class='pre-wrap' slot="tooltip-anchor">${t.token}</span>
        </lit-tooltip>
      </div>`}render(){const t=this.tokensWithWeights.map(((t,n)=>this.renderToken(t,n))),n=(0,p.$)({"tokens-holder":!0,"tokens-holder-dense":this.dense});return d.dy`
      <div class="tokens-group">
        ${this.tokenGroupTitle?this.tokenGroupTitle:""}
        <div class=${n}>
          ${t}
        </div>
      </div>`}};(0,l.gn)([(0,h.Cb)({type:Array}),(0,l.w6)("design:type",Array)],v.prototype,"tokensWithWeights",void 0),(0,l.gn)([(0,h.Cb)({type:Object}),(0,l.w6)("design:type",m.LB)],v.prototype,"cmap",void 0),(0,l.gn)([(0,h.Cb)({type:String}),(0,l.w6)("design:type",String)],v.prototype,"tokenGroupTitle",void 0),(0,l.gn)([(0,h.Cb)({type:Boolean}),(0,l.w6)("design:type",Object)],v.prototype,"dense",void 0),v=(0,l.gn)([(0,h.Mo)("lit-token-chips")],v)},3514:(t,n,r)=>{"use strict";var l=r(7582),d=r(5862),h=r(8973),p=r(8810),f=r(9537),m=r(5889),g=r(7098);const y=d.iv`:host {
  --tooltip-max-width: 232px;
  --tooltip-width: auto;
  /**
   * Set this to inline if the wrapped content should also be rendered as
   * inline, such as when applying a tooltip to a sentence span as part of
   * a larger paragraph.
   *
   * TODO(lit-dev): see if we can use inline for this always? May cause issues
   * with tooltip positioning.
   */
  --anchor-display-mode: inline-block;
}

/* Tooltip */
.lit-tooltip {
  display: var(--anchor-display-mode);
}

/* Tooltip text */
.lit-tooltip .tooltip-text {
  max-width: var(--tooltip-max-width);
  width: var(--tooltip-width);

  background-color: #202124;
  opacity: 0.9;
  border-radius: 4px;
  color: #fff;
  padding: 0px 8px;

  position: absolute;
  z-index: 9999;
  white-space: normal;
  font-size: 12px;
  font-weight: normal;
  line-height: 16px;

  display: -webkit-box;
  -webkit-line-clamp: 6;
  -webkit-box-orient: vertical;
  overflow: hidden;
}

.above {
  bottom: 28px;
}

.left {
  right: 12px;
}

.lit-tooltip .tooltip-text a {
  color: #7bcccc;
}

/* Show the tooltip text when you mouse over the tooltip container */
.lit-tooltip:hover .tooltip-text:not(.disabled) {
  visibility: visible;
}

.lit-tooltip .tooltip-text:not(.force-show) {
  visibility: hidden;
}

/* Show the tooltip when forceShow is set. */
.lit-tooltip .tooltip-text.force-show {
  visibility: visible;
}`;let v=class LitTooltip extends f.f{constructor(){super(...arguments),this.content="",this.tooltipPosition="",this.shouldRenderAriaLabel=!0,this.disabled=!1,this.forceShow=!1}static get styles(){return[m.W,y]}renderAriaLabel(){return this.shouldRenderAriaLabel?d.dy`aria-label=${this.content}`:""}render(){const t=(0,p.$)({"tooltip-text":!0,above:-1!==this.tooltipPosition.indexOf("above"),left:-1!==this.tooltipPosition.indexOf("left"),"force-show":this.forceShow,disabled:this.disabled});return d.dy`<div class='lit-tooltip'>
        <slot name="tooltip-anchor">
          ${""===this.content?"":d.dy`
            <span class="help-icon material-icon-outlined icon-button">
              help_outline
            </span>`}
        </slot>
        ${""===this.content?"":d.dy`
          <span class=${t} ${this.renderAriaLabel()}>
              ${(0,g.Xo)(this.content)}
          </span>`}
      </div>
    `}};(0,l.gn)([(0,h.Cb)({type:String}),(0,l.w6)("design:type",Object)],v.prototype,"content",void 0),(0,l.gn)([(0,h.Cb)({type:String}),(0,l.w6)("design:type",Object)],v.prototype,"tooltipPosition",void 0),(0,l.gn)([(0,h.Cb)({type:Boolean}),(0,l.w6)("design:type",Object)],v.prototype,"shouldRenderAriaLabel",void 0),(0,l.gn)([(0,h.Cb)({type:Boolean}),(0,l.w6)("design:type",Object)],v.prototype,"disabled",void 0),(0,l.gn)([(0,h.Cb)({type:Boolean}),(0,l.w6)("design:type",Object)],v.prototype,"forceShow",void 0),v=(0,l.gn)([(0,h.Mo)("lit-tooltip")],v)},8286:(t,n,r)=>{"use strict";r.d(n,{p:()=>BatchRequestCache});var l=r(7582);class BatchRequestCache{constructor(t,n){this.requestFn=t,this.keyFn=n,this.resultCache=new Map}call(t){return(0,l.mG)(this,void 0,void 0,(function*(){const n=t.map((t=>this.resultCache.get(this.keyFn(t)))),r=[];for(let t=0;t<n.length;++t)void 0===n[t]&&r.push(t);if(0===r.length)return n;const l=r.map((n=>t[n])),d=yield this.requestFn(l);return null===d?null:(r.forEach(((r,l)=>{const h=this.keyFn(t[r]),p=d[l];this.resultCache.set(h,p),n[r]=p})),n)}))}}},6070:(t,n,r)=>{"use strict";r.d(n,{Do:()=>O,If:()=>x,LB:()=>SalienceCmap,NM:()=>v,TP:()=>w,eC:()=>f,kh:()=>SignedSalienceCmap,lf:()=>y,nA:()=>m,qL:()=>S,rD:()=>_,zT:()=>UnsignedSalienceCmap});var l=r(3886);r(4915);const d=["50","100","200","300","400","500","600","700","800","900"],h=["orange","blue","yellow","purple","coral","teal","magenta","other"];function p(t,n){return n=Math.trunc(n),(n%=t.length)<0&&(n+=t.length),t[n]}function f(t){return l.u1K(t)}function m(t,n){const r=l.$_Y(t);if(null==r)throw new RangeError(`Invalid CSS color '${t}'`);return null!=n&&(r.opacity=n),r.rgb()}const g={cyea:[{color:"#EDFFFA",textColor:"black"},{color:"#CDF2FA",textColor:"black"},{color:"#AFE6DE",textColor:"black"},{color:"#7BCCCC",textColor:"black"},{color:"#52A6B3",textColor:"black"},{color:"#348199",textColor:"white"},{color:"#1F6180",textColor:"white"},{color:"#114566",textColor:"white"},{color:"#092F4D",textColor:"white"},{color:"#041D33",textColor:"white"}],mage:[{color:"#FFF5F7",textColor:"black"},{color:"#FEEAEF",textColor:"black"},{color:"#FED5E0",textColor:"black"},{color:"#F9A9C0",textColor:"black"},{color:"#EF7CA1",textColor:"black"},{color:"#E25287",textColor:"white"},{color:"#CE2F75",textColor:"white"},{color:"#B7166A",textColor:"white"},{color:"#800060",textColor:"white"},{color:"#470046",textColor:"white"}],bric:[{color:"#FDF8EA",textColor:"black"},{color:"#F9F1DC",textColor:"black"},{color:"#EFD9AB",textColor:"black"},{color:"#E4BC78",textColor:"black"},{color:"#D59441",textColor:"black"},{color:"#C26412",textColor:"white"},{color:"#A93D00",textColor:"white"},{color:"#8B2100",textColor:"white"},{color:"#6A0C00",textColor:"white"},{color:"#470000",textColor:"white"}],neutral:[{color:"#F8F9FA",textColor:"black"},{color:"#F1F3F4",textColor:"black"},{color:"#E8EAED",textColor:"black"},{color:"#DADCE0",textColor:"black"},{color:"#BDC1C6",textColor:"black"},{color:"#9AA0A6",textColor:"white"},{color:"#80868B",textColor:"white"},{color:"#5F6368",textColor:"white"},{color:"#3C4043",textColor:"white"},{color:"#202124",textColor:"white"}]};function y(t,n){return p(g[t],"number"==typeof n?n:d.indexOf(n))}const v={primary:[{color:"#EEFBF8",textColor:"black"},{color:"#D8F2ED",textColor:"black"},{color:"#C0E7E3",textColor:"black"},{color:"#A1D2D4",textColor:"black"},{color:"#72AEB9",textColor:"black"},{color:"#48879C",textColor:"white"},{color:"#326882",textColor:"white"},{color:"#284E67",textColor:"white"},{color:"#1D3649",textColor:"white"},{color:"#142838",textColor:"white"}],secondary:[{color:"#FFF5F7",textColor:"black"},{color:"#FAEDF0",textColor:"black"},{color:"#F7DBE4",textColor:"black"},{color:"#EDBDCD",textColor:"black"},{color:"#E091AC",textColor:"black"},{color:"#CC6990",textColor:"white"},{color:"#BE4079",textColor:"white"},{color:"#9D2D69",textColor:"white"},{color:"#651A54",textColor:"white"},{color:"#3B0A3C",textColor:"white"}],tertiary:[{color:"#FCF8EF",textColor:"black"},{color:"#F9F7ED",textColor:"black"},{color:"#EDDEBF",textColor:"black"},{color:"#E0C9A2",textColor:"black"},{color:"#CEA269",textColor:"black"},{color:"#B6763E",textColor:"white"},{color:"#A14C1C",textColor:"white"},{color:"#7E351F",textColor:"white"},{color:"#58211B",textColor:"white"},{color:"#3B0A0B",textColor:"white"}],"neutral-variant":[{color:"#F0F7F7",textColor:"black"},{color:"#EBF3F2",textColor:"black"},{color:"#E3ECED",textColor:"black"},{color:"#CCD9DD",textColor:"black"},{color:"#B5C6CA",textColor:"black"},{color:"#9CAFB4",textColor:"white"},{color:"#72868F",textColor:"white"},{color:"#596C75",textColor:"white"},{color:"#3F5259",textColor:"white"},{color:"#222C35",textColor:"white"}]};const b={pastel:[{color:"#ffd8c3",textColor:"black"},{color:"#87cdf9",textColor:"black"},{color:"#faf49f",textColor:"black"},{color:"#cdc5ff",textColor:"black"},{color:"#f6aea9",textColor:"black"},{color:"#bdf4e7",textColor:"black"},{color:"#edc4e6",textColor:"black"},{color:"#dadce0",textColor:"black"}],bright:[{color:"#f0bd80",textColor:"black"},{color:"#61aff7",textColor:"black"},{color:"#ffe839",textColor:"black"},{color:"#9b86ef",textColor:"black"},{color:"#ff777b",textColor:"black"},{color:"#7ddad3",textColor:"black"},{color:"#ef96cd",textColor:"black"},{color:"#b5bcc3",textColor:"black"}],deep:[{color:"#ff9230",textColor:"black"},{color:"#3c7dbf",textColor:"white"},{color:"#ffc700",textColor:"black"},{color:"#7647ea",textColor:"white"},{color:"#fc4f61",textColor:"white"},{color:"#1f978a",textColor:"white"},{color:"#b22a72",textColor:"white"},{color:"#879695",textColor:"white"}],dark:[{color:"#ba4a0d",textColor:"white"},{color:"#184889",textColor:"white"},{color:"#b48014",textColor:"white"},{color:"#270086",textColor:"white"},{color:"#b12d33",textColor:"white"},{color:"#006067",textColor:"white"},{color:"#632440",textColor:"white"},{color:"#515050",textColor:"white"}]};function x(t,n){const r=b[t];if("number"==typeof n&&n>-1)return r[Math.trunc(n)%(r.length-1)];return p(r,h.indexOf(n))}const w=g.cyea[4].color,S=(b.deep[b.deep.length-1].color,g.mage[4].color,g.neutral[5].color,b.deep.slice(0,-1).map((t=>t.color))),_=[b.deep[4].color,b.deep[1].color];f([b.dark[4].color,b.deep[4].color,b.bright[4].color,b.pastel[7].color,b.bright[5].color,b.deep[5].color,b.dark[5].color]);function E(t){return l.BYU().domain(t.map(((n,r)=>r/(t.length-1)))).range(t).interpolate(((t,n)=>l.uUj(t.toString(),n.toString())))}function T(t,n){const r=h.indexOf(t),d=["#ffffff",...Object.values(b).map((t=>t[r].color))];if(n){const t=h.indexOf(n),r=Object.values(b).map((n=>n[t].color));d.unshift(...r.reverse())}const p=E(d);return l.w6H(256).map((t=>p(t/256)))}const C=f(function(t,n){const r=["#ffffff",...g[t].slice(1).map((t=>t.color))];if(n){const t=g[n].slice(1).map((t=>t.color));r.unshift(...t.reverse())}const d=E(r);return l.w6H(256).map((t=>d(t/256)))}("cyea","mage")),A=f(T("purple")),O=(f(T("blue")),f([b.pastel[3].color,b.bright[3].color,b.deep[3].color,b.dark[3].color]),g.cyea[2].color,g.cyea[4].color,g.cyea[6].color,f(g.cyea.slice(2,9).map((t=>t.color))),g.mage[2].color,g.mage[4].color,g.mage[6].color,f(g.mage.slice(2,9).map((t=>t.color))),g.bric[5].color,g.bric[3].color,g.cyea[3].color,g.cyea[5].color,f([b.deep[3].color,b.deep[1].color,b.deep[5].color,b.deep[2].color]));g.bric[5].color,g.bric[3].color,g.neutral[2].color,g.cyea[3].color,g.cyea[5].color,g.bric[5].color,g.bric[3].color,g.bric[1].color,g.cyea[1].color,g.cyea[3].color,g.cyea[5].color;class SalienceCmap{get colorScale(){return this.myColorScale}constructor(t=1,n=[0,1],r=A){this.gamma=t,this.domain=n,this.cRamp=r,this.myColorScale=l.cJy(r).domain(n)}asScale(){const t=t=>this.bgCmap(t);return t.domain=()=>this.myColorScale.domain(),t}textCmap(t){return this.lightness(t)<.5?"black":"white"}clamp(t){const[n,r]=this.myColorScale.domain();return Math.max(n,Math.min(r,t))}scale(t){const[n,r]=this.myColorScale.domain();return this.clamp(t)<0?n:r}lightness(t){return t=this.clamp(t)/this.scale(t),1-(t=Math.pow(1-t,this.gamma))}bgCmap(t){return this.myColorScale(this.lightness(t)*this.scale(t))}}class UnsignedSalienceCmap extends SalienceCmap{}class SignedSalienceCmap extends SalienceCmap{constructor(t=1,n=[-1,1],r=C){super(t,n,r)}}},9845:()=>{},9537:(t,n,r)=>{"use strict";r.d(n,{f:()=>ReactiveElement});var l=r(7582),d=r(7924),h=r(8973),p=r(2188);class ReactiveElement extends d.G{constructor(){super(),this.__allowInstanceProperties=!0,this.shouldReact=1,this.reactionDisposers=[],this.pendingReactions=new Map,(0,p.U5)((()=>this.shouldReact),(t=>{0!==t&&this.performPendingReactions()}))}disconnectedCallback(){super.disconnectedCallback(),this.reactionDisposers.forEach((t=>{t()}))}performPendingReactions(){this.pendingReactions.forEach(((t,n)=>{n.apply(window,[t.arg,t.r])})),this.pendingReactions.clear()}react(t,n,r={}){const l=(0,p.U5)(t,((t,r)=>{0!==this.shouldReact?n.apply(window,[t,r]):this.pendingReactions.set(n,{arg:t,r})}),r);this.reactionDisposers.push(l)}reactImmediately(t,n,r={}){this.react(t,n,Object.assign(Object.assign({},r),{fireImmediately:!0}))}}(0,l.gn)([p.LO,(0,h.Cb)({type:Number}),(0,l.w6)("design:type",Object)],ReactiveElement.prototype,"shouldReact",void 0)},5806:(t,n,r)=>{"use strict";r.d(n,{C5:()=>y,No:()=>f,T9:()=>b,UZ:()=>w,YR:()=>g,ii:()=>m,sQ:()=>x});var l=r(2070),d=r.n(l),h=r(4262),p=(r(4915),r(7098));const f=[h.CP,h.hS];function m(t,n){const r={};for(const l of Object.keys(t))n[l]instanceof h.CP&&(r[l]=[[t[l],null]]),n[l]instanceof h.hS&&(r[l]=t[l]);return r}function g(t,n){if(null==n)return[];const r=[];for(const l of t){const t=n[l];if(t instanceof Array)for(const n of t)r.push(n[0]);else r.push(t)}return r}function y(t,n){return g((0,p.Fe)(t,f),n)}var v,b;function x(t,n,r,l){const d=[];for(const l of function(t,n,r){if(null==r)return[];const l=new Set;for(const r of(0,p.Fe)(n,[h.pl,...f])){const{parent:d}=n[r];d&&t[d]&&l.add(d)}return g([...l],r.data)}(t,n,r))d.push({text:l,source:v.REFERENCE});for(const t of y(n,l))d.push({text:t,source:v.MODEL_OUTPUT});return d}function w(t,n,r){const l=t.split(" "),h=n.split(" "),p=(r?new(d().SequenceMatcher)((()=>!1),l,h):new(d().SequenceMatcher)((()=>!1),t,n)).getOpcodes(),f=[],m=[],g=[];for(const d of p){const p=d[0],y=Number(d[1]),v=Number(d[2]),b=Number(d[3]),x=Number(d[4]);g.push("equal"===p),r?(f.push(l.slice(y,v).join(" ")),m.push(h.slice(b,x).join(" "))):(f.push(t.slice(y,v)),m.push(n.slice(b,x)))}return{inputStrings:f,outputStrings:m,equal:g}}!function(t){t.REFERENCE="Reference",t.MODEL_OUTPUT="Output"}(v||(v={})),function(t){t.NONE="None",t.WORD="Word",t.CHAR="Character"}(b||(b={}))},4262:(t,n,r)=>{"use strict";r.d(n,{$K:()=>ae,C4:()=>ye,CP:()=>b,FG:()=>ce,H1:()=>P,JK:()=>K,Jb:()=>A,Kx:()=>ee,MK:()=>se,Mj:()=>T,NO:()=>de,OS:()=>G,RR:()=>te,Ri:()=>C,Rj:()=>J,Ru:()=>D,Su:()=>f,UW:()=>ge,VM:()=>p,Xs:()=>m,YH:()=>x,Z2:()=>he,aK:()=>B,b_:()=>Y,fv:()=>ve,h5:()=>fe,hS:()=>w,hW:()=>q,j:()=>le,k6:()=>X,lM:()=>be,my:()=>S,nY:()=>re,nk:()=>I,oB:()=>ue,pl:()=>V,q0:()=>U,qQ:()=>E,rQ:()=>oe,sO:()=>g,sm:()=>W,ue:()=>d,xk:()=>ie});var l=r(7582);const d={};function h(t){d[t.name]=t}Object.keys(d);let p=class LitType{constructor(){this.required=!0,this.default=void 0,this.annotated=!1,this.show_in_data_table=!1}get name(){return this.constructor.name}};p=(0,l.gn)([h],p);let f=class StringLitType extends p{constructor(){super(...arguments),this.default=""}};f=(0,l.gn)([h],f);let m=class TextSegment extends f{};m=(0,l.gn)([h],m);let g=class ImageBytes extends p{};g=(0,l.gn)([h],g);let y=class JPEGBytes extends g{};y=(0,l.gn)([h],y);let v=class PNGBytes extends g{};v=(0,l.gn)([h],v);let b=class GeneratedText extends m{constructor(){super(...arguments),this.parent=void 0}};b=(0,l.gn)([h],b);let x=class ListLitType extends p{constructor(){super(...arguments),this.default=[]}};x=(0,l.gn)([h],x);class _StringCandidateList extends x{constructor(){super(...arguments),this.default=[]}}let w=class GeneratedTextCandidates extends _StringCandidateList{constructor(){super(...arguments),this.parent=void 0}};w=(0,l.gn)([h],w);let S=class ReferenceTexts extends _StringCandidateList{};S=(0,l.gn)([h],S);let _=class TopTokens extends _StringCandidateList{};_=(0,l.gn)([h],_);let E=class ImageBytesList extends x{};E=(0,l.gn)([h],E);let T=class URLLitType extends m{};T=(0,l.gn)([h],T);let C=class GeneratedURL extends m{constructor(){super(...arguments),this.align=void 0}};C=(0,l.gn)([h],C);let A=class SearchQuery extends m{};A=(0,l.gn)([h],A);let O=class StringList extends x{constructor(){super(...arguments),this.default=[]}};O=(0,l.gn)([h],O);let I=class Tokens extends O{constructor(){super(...arguments),this.parent=void 0,this.mask_token=void 0,this.token_prefix="##"}};I=(0,l.gn)([h],I);let P=class TokenTopKPreds extends x{constructor(){super(...arguments),this.default=[],this.align=void 0,this.parent=void 0}};P=(0,l.gn)([h],P);let D=class Scalar extends p{constructor(){super(...arguments),this.default=0,this.min_val=0,this.max_val=1,this.step=.01}};D=(0,l.gn)([h],D);let F=class Integer extends D{constructor(){super(...arguments),this.step=1}};F=(0,l.gn)([h],F);let B=class RegressionScore extends D{constructor(){super(...arguments),this.parent=void 0}};B=(0,l.gn)([h],B);let $=class FloatList extends x{constructor(){super(...arguments),this.default=[]}};$=(0,l.gn)([h],$);let j=class TokenScores extends ${constructor(){super(...arguments),this.align=void 0}};j=(0,l.gn)([h],j);let V=class ReferenceScores extends x{constructor(){super(...arguments),this.default=[],this.parent=void 0}};V=(0,l.gn)([h],V);let U=class CategoryLabel extends f{constructor(){super(...arguments),this.vocab=void 0}};U=(0,l.gn)([h],U);class _Tensor extends p{constructor(){super(...arguments),this.default=[]}}let G=class MulticlassPreds extends _Tensor{constructor(){super(...arguments),this.vocab=[],this.null_idx=void 0,this.parent=void 0,this.autosort=!1,this.threshold=void 0}get num_labels(){return this.vocab.length}};G=(0,l.gn)([h],G);let W=class SequenceTags extends O{constructor(){super(...arguments),this.align=void 0}};W=(0,l.gn)([h],W);let q=class SpanLabels extends x{constructor(){super(...arguments),this.default=[],this.align="",this.parent=void 0}};q=(0,l.gn)([h],q);let X=class EdgeLabels extends x{constructor(){super(...arguments),this.default=[],this.align=""}};X=(0,l.gn)([h],X);let Y=class MultiSegmentAnnotations extends x{constructor(){super(...arguments),this.default=[],this.exclusive=!1,this.background=!1}};Y=(0,l.gn)([h],Y);let K=class Embeddings extends _Tensor{};K=(0,l.gn)([h],K);class _GradientsBase extends _Tensor{constructor(){super(...arguments),this.align=void 0,this.grad_for=void 0,this.grad_target_field_key=void 0}}let J=class Gradients extends _GradientsBase{};J=(0,l.gn)([h],J);let Q=class TokenEmbeddings extends _Tensor{constructor(){super(...arguments),this.align=void 0}};Q=(0,l.gn)([h],Q);let ee=class TokenGradients extends _GradientsBase{};ee=(0,l.gn)([h],ee);let te=class ImageGradients extends _GradientsBase{};te=(0,l.gn)([h],te);let ie=class AttentionHeads extends _Tensor{constructor(){super(...arguments),this.align_in="",this.align_out=""}};ie=(0,l.gn)([h],ie);let ne=class SubwordOffsets extends x{constructor(){super(...arguments),this.default=[],this.align_in="",this.align_out=""}};ne=(0,l.gn)([h],ne);let re=class SparseMultilabel extends O{constructor(){super(...arguments),this.vocab=void 0,this.separator=","}};re=(0,l.gn)([h],re);let oe=class SparseMultilabelPreds extends _StringCandidateList{constructor(){super(...arguments),this.default=[],this.vocab=void 0,this.parent=void 0}};oe=(0,l.gn)([h],oe);let ae=class FieldMatcher extends p{constructor(){super(...arguments),this.spec="dataset",this.types="",this.vocab=void 0}};ae=(0,l.gn)([h],ae);let se=class SingleFieldMatcher extends ae{constructor(){super(...arguments),this.default=""}};se=(0,l.gn)([h],se);let le=class MultiFieldMatcher extends ae{constructor(){super(...arguments),this.default=[],this.select_all=!1}};le=(0,l.gn)([h],le);let ce=class Salience extends p{constructor(){super(...arguments),this.autorun=!1,this.signed=!1}};ce=(0,l.gn)([h],ce);let de=class TokenSalience extends ce{constructor(){super(...arguments),this.default=void 0}};de=(0,l.gn)([h],de);let ue=class FeatureSalience extends ce{constructor(){super(...arguments),this.default=void 0}};ue=(0,l.gn)([h],ue);let he=class ImageSalience extends ce{};he=(0,l.gn)([h],he);let pe=class SequenceSalience extends ce{constructor(){super(...arguments),this.default=void 0}};pe=(0,l.gn)([h],pe);let fe=class BooleanLitType extends p{constructor(){super(...arguments),this.default=!1}};fe=(0,l.gn)([h],fe);let me=class CurveDataPoints extends p{};me=(0,l.gn)([h],me);let ge=class InfluentialExamples extends p{};var ye;ge=(0,l.gn)([h],ge),function(t){t.HIGHEST="highest",t.LOWEST="lowest",t.NONE="none",t.ZERO="zero"}(ye||(ye={}));let ve=class MetricResult extends p{constructor(){super(...arguments),this.default=0,this.description="",this.best_value=ye.NONE}};ve=(0,l.gn)([h],ve);let be=class SalienceTargetInfo extends p{constructor(){super(...arguments),this.default=null}};be=(0,l.gn)([h],be)},125:(t,n,r)=>{"use strict";r.d(n,{$A:()=>x,$Q:()=>v,L9:()=>m,X9:()=>y,bN:()=>_,eb:()=>p,hh:()=>b,l:()=>S,qc:()=>w,re:()=>f,rn:()=>h,uf:()=>g});var l=r(5862),d=r(3196);function h(t){return`${t.label}${null!=t.score?` (${t.score})`:""}`}function p(t){return t?"✔":" "}function f(t){function n(t){return`[${t[0]}, ${t[1]})`}return`${n(t.span1)}${t.span2?` ← ${n(t.span2)}`:""}⁠: ${t.label}`.replace(/\ /g," ")}function m(t){return Array.isArray(t)?`<float>[${t.length}]`:""}function g(t){return Number.isInteger(t)?t:Number(t.toFixed(3))}function y([t,n]){return`${t}${"number"==typeof n?` (${g(n)})`:""}`}function v(t){return t.map(y).join("\n\n")}function b(t){return t.map(v).join("\n\n")}function x(t,n=!1){let r=`[${t.start}, ${t.end})`;return t.align&&(r=`${t.align} ${r}`),t.label&&(r=`${r}⁠: ${t.label}`),r=r.replace(/\ /g," "),n?l.dy`<div class="monospace-label">${r}</div>`:r}function w(t,n,r=""){return l.dy`<select class="dropdown" @change=${n} .value=${r}>
    ${t.map((t=>l.dy`<option value=${t} ?selected=${r===t}>${t}</option>`))}
    <option value="" ?selected=${""===r}></option>
  </select>`}function S(t,n="",r={}){return l.dy`<textarea class="input-box" style="${(0,d.V)(r)}"
      @input=${t} .value=${n}></textarea>`}function _(t,n=""){return l.dy`<input type="text" class="input-short" @input=${t}
      .value=${n}>`}},4915:(t,n,r)=>{"use strict";r.d(n,{$A:()=>m,E9:()=>T,SU:()=>E,_X:()=>S,eb:()=>C,h6:()=>_,ql:()=>x,re:()=>g,rn:()=>y});r(3886),r(5862);var l=r(4262),d=r(7098),h=r(5108);function p(t){return Array.isArray(t)&&2===t.length&&"string"==typeof t[0]&&(null==t[1]||"number"==typeof t[1])}function f(t){return Number.isInteger(t)?t:Number(t.toFixed(3))}function m(t){let n=`[${t.start}, ${t.end})`;return t.align&&(n=`${t.align} ${n}`),t.label&&(n=`${n}⁠: ${t.label}`),n.replace(/\ /g," ")}function g(t){function n(t){return`[${t[0]}, ${t[1]})`}return`${n(t.span1)}${t.span2?" ← "+n(t.span2):""}⁠: ${t.label}`.replace(/\ /g," ")}function y(t){return`${t.label}${null!=t.score?` (${t.score})`:""}`}function v([t,n]){return`${t}${"number"==typeof n?` (${f(n)})`:""}`}function b(t){return t.map(v).join("\n\n")}function x(t,n){const r=n[t];if(void 0!==r.default)return r instanceof l.q0&&r.vocab&&!r.vocab.includes(r.default)?r.vocab[0]:r.default;if(r instanceof l.Ru)return 0;if(r instanceof l.YH)return[];if(r instanceof l.sO)return"";const p=[l.Xs,l.q0];return(0,d.kL)(r,p)||h.log("Warning: default value requested for unrecognized input field type",t,r),""}const w="none",S="_union_empty";function _(t){return t===S?w:t}const E="scroll-sync";function T(t,n,r){if(null==t)return"";if(n instanceof l.hW){return t.map(m).join(", ")}if(n instanceof l.k6){return t.map(g).join(", ")}if(n instanceof l.b_){return t.map(y).join(", ")}if(n instanceof l.JK)return Array.isArray(t)?`<float>[${t.length}]`:"";if(n instanceof l.hS)return b(t);if(Array.isArray(t)){if(p(t))return v(t);if(Array.isArray(t[0])&&p(t[0]))return b(t);return`${t.map((t=>"number"==typeof t?f(t):r?(0,d.aN)(t):`${t}`)).join(", ")}`}return"boolean"==typeof t?C(t):"number"==typeof t?f(t):r?(0,d.aN)(t):`${t}`}function C(t){return t?"✔":" "}},7098:(t,n,r)=>{"use strict";r.d(n,{Eb:()=>te,VV:()=>ae,Ak:()=>$e,aN:()=>ke,o8:()=>ue,Rt:()=>Se,Tp:()=>de,F:()=>Ee,Rf:()=>_e,Mg:()=>Ce,tf:()=>me,W0:()=>Le,Fe:()=>fe,xH:()=>ge,DO:()=>be,Lt:()=>Fe,Xo:()=>Ne,mY:()=>Ie,xt:()=>ve,ip:()=>Re,IK:()=>le,yu:()=>ce,qx:()=>ye,p5:()=>Te,un:()=>Pe,S7:()=>Me,kL:()=>pe,hj:()=>xe,Ou:()=>je,sV:()=>Ge,q1:()=>se,J6:()=>ie,RE:()=>Ue,C2:()=>ne,rl:()=>ze,rO:()=>re,nE:()=>De,T7:()=>Ae,vP:()=>oe,P0:()=>we,XH:()=>He});var l=r(3886),d=r(3692),h=r(875);class e extends h.Xe{constructor(t){if(super(t),this.et=d.Ld,t.type!==h.pX.CHILD)throw Error(this.constructor.directiveName+"() can only be used in child bindings")}render(t){if(t===d.Ld||null==t)return this.ft=void 0,this.et=t;if(t===d.Jb)return t;if("string"!=typeof t)throw Error(this.constructor.directiveName+"() called with a non-string value");if(t===this.et)return this.ft;this.et=t;const n=[t];return n.raw=n,this.ft={_$litType$:this.constructor.resultType,strings:n,values:[]}}}e.directiveName="unsafeHTML",e.resultType=1;const p=(0,h.XM)(e);var f=r(5108);function m(){return{async:!1,baseUrl:null,breaks:!1,extensions:null,gfm:!0,headerIds:!0,headerPrefix:"",highlight:null,hooks:null,langPrefix:"language-",mangle:!0,pedantic:!1,renderer:null,sanitize:!1,sanitizer:null,silent:!1,smartypants:!1,tokenizer:null,walkTokens:null,xhtml:!1}}let g={async:!1,baseUrl:null,breaks:!1,extensions:null,gfm:!0,headerIds:!0,headerPrefix:"",highlight:null,hooks:null,langPrefix:"language-",mangle:!0,pedantic:!1,renderer:null,sanitize:!1,sanitizer:null,silent:!1,smartypants:!1,tokenizer:null,walkTokens:null,xhtml:!1};function y(t){g=t}const v=/[&<>"']/,b=new RegExp(v.source,"g"),x=/[<>"']|&(?!(#\d{1,7}|#[Xx][a-fA-F0-9]{1,6}|\w+);)/,w=new RegExp(x.source,"g"),S={"&":"&amp;","<":"&lt;",">":"&gt;",'"':"&quot;","'":"&#39;"},_=t=>S[t];function E(t,n){if(n){if(v.test(t))return t.replace(b,_)}else if(x.test(t))return t.replace(w,_);return t}const T=/&(#(?:\d+)|(?:#x[0-9A-Fa-f]+)|(?:\w+));?/gi;function C(t){return t.replace(T,((t,n)=>"colon"===(n=n.toLowerCase())?":":"#"===n.charAt(0)?"x"===n.charAt(1)?String.fromCharCode(parseInt(n.substring(2),16)):String.fromCharCode(+n.substring(1)):""))}const A=/(^|[^\[])\^/g;function O(t,n){t="string"==typeof t?t:t.source,n=n||"";const r={replace:(n,l)=>(l=(l=l.source||l).replace(A,"$1"),t=t.replace(n,l),r),getRegex:()=>new RegExp(t,n)};return r}const I=/[^\w:]/g,P=/^$|^[a-z][a-z0-9+.-]*:|^[?#]/i;function D(t,n,r){if(t){let t;try{t=decodeURIComponent(C(r)).replace(I,"").toLowerCase()}catch(t){return null}if(0===t.indexOf("javascript:")||0===t.indexOf("vbscript:")||0===t.indexOf("data:"))return null}n&&!P.test(r)&&(r=function(t,n){F[" "+t]||(B.test(t)?F[" "+t]=t+"/":F[" "+t]=G(t,"/",!0));t=F[" "+t];const r=-1===t.indexOf(":");return"//"===n.substring(0,2)?r?n:t.replace($,"$1")+n:"/"===n.charAt(0)?r?n:t.replace(j,"$1")+n:t+n}(n,r));try{r=encodeURI(r).replace(/%25/g,"%")}catch(t){return null}return r}const F={},B=/^[^:]+:\/*[^/]*$/,$=/^([^:]+:)[\s\S]*$/,j=/^([^:]+:\/*[^/]*)[\s\S]*$/;const V={exec:function(){}};function U(t,n){const r=t.replace(/\|/g,((t,n,r)=>{let l=!1,d=n;for(;--d>=0&&"\\"===r[d];)l=!l;return l?"|":" |"})).split(/ \|/);let l=0;if(r[0].trim()||r.shift(),r.length>0&&!r[r.length-1].trim()&&r.pop(),r.length>n)r.splice(n);else for(;r.length<n;)r.push("");for(;l<r.length;l++)r[l]=r[l].trim().replace(/\\\|/g,"|");return r}function G(t,n,r){const l=t.length;if(0===l)return"";let d=0;for(;d<l;){const h=t.charAt(l-d-1);if(h!==n||r){if(h===n||!r)break;d++}else d++}return t.slice(0,l-d)}function W(t,n,r,l){const d=n.href,h=n.title?E(n.title):null,p=t[1].replace(/\\([\[\]])/g,"$1");if("!"!==t[0].charAt(0)){l.state.inLink=!0;const t={type:"link",raw:r,href:d,title:h,text:p,tokens:l.inlineTokens(p)};return l.state.inLink=!1,t}return{type:"image",raw:r,href:d,title:h,text:E(p)}}class Tokenizer{constructor(t){this.options=t||g}space(t){const n=this.rules.block.newline.exec(t);if(n&&n[0].length>0)return{type:"space",raw:n[0]}}code(t){const n=this.rules.block.code.exec(t);if(n){const t=n[0].replace(/^ {1,4}/gm,"");return{type:"code",raw:n[0],codeBlockStyle:"indented",text:this.options.pedantic?t:G(t,"\n")}}}fences(t){const n=this.rules.block.fences.exec(t);if(n){const t=n[0],r=function(t,n){const r=t.match(/^(\s+)(?:```)/);if(null===r)return n;const l=r[1];return n.split("\n").map((t=>{const n=t.match(/^\s+/);if(null===n)return t;const[r]=n;return r.length>=l.length?t.slice(l.length):t})).join("\n")}(t,n[3]||"");return{type:"code",raw:t,lang:n[2]?n[2].trim().replace(this.rules.inline._escapes,"$1"):n[2],text:r}}}heading(t){const n=this.rules.block.heading.exec(t);if(n){let t=n[2].trim();if(/#$/.test(t)){const n=G(t,"#");this.options.pedantic?t=n.trim():n&&!/ $/.test(n)||(t=n.trim())}return{type:"heading",raw:n[0],depth:n[1].length,text:t,tokens:this.lexer.inline(t)}}}hr(t){const n=this.rules.block.hr.exec(t);if(n)return{type:"hr",raw:n[0]}}blockquote(t){const n=this.rules.block.blockquote.exec(t);if(n){const t=n[0].replace(/^ *>[ \t]?/gm,""),r=this.lexer.state.top;this.lexer.state.top=!0;const l=this.lexer.blockTokens(t);return this.lexer.state.top=r,{type:"blockquote",raw:n[0],tokens:l,text:t}}}list(t){let n=this.rules.block.list.exec(t);if(n){let r,l,d,h,p,f,m,g,y,v,b,x,w=n[1].trim();const S=w.length>1,_={type:"list",raw:"",ordered:S,start:S?+w.slice(0,-1):"",loose:!1,items:[]};w=S?`\\d{1,9}\\${w.slice(-1)}`:`\\${w}`,this.options.pedantic&&(w=S?w:"[*+-]");const E=new RegExp(`^( {0,3}${w})((?:[\t ][^\\n]*)?(?:\\n|$))`);for(;t&&(x=!1,n=E.exec(t))&&!this.rules.block.hr.test(t);){if(r=n[0],t=t.substring(r.length),g=n[2].split("\n",1)[0].replace(/^\t+/,(t=>" ".repeat(3*t.length))),y=t.split("\n",1)[0],this.options.pedantic?(h=2,b=g.trimLeft()):(h=n[2].search(/[^ ]/),h=h>4?1:h,b=g.slice(h),h+=n[1].length),f=!1,!g&&/^ *$/.test(y)&&(r+=y+"\n",t=t.substring(y.length+1),x=!0),!x){const n=new RegExp(`^ {0,${Math.min(3,h-1)}}(?:[*+-]|\\d{1,9}[.)])((?:[ \t][^\\n]*)?(?:\\n|$))`),l=new RegExp(`^ {0,${Math.min(3,h-1)}}((?:- *){3,}|(?:_ *){3,}|(?:\\* *){3,})(?:\\n+|$)`),d=new RegExp(`^ {0,${Math.min(3,h-1)}}(?:\`\`\`|~~~)`),p=new RegExp(`^ {0,${Math.min(3,h-1)}}#`);for(;t&&(v=t.split("\n",1)[0],y=v,this.options.pedantic&&(y=y.replace(/^ {1,4}(?=( {4})*[^ ])/g,"  ")),!d.test(y))&&!p.test(y)&&!n.test(y)&&!l.test(t);){if(y.search(/[^ ]/)>=h||!y.trim())b+="\n"+y.slice(h);else{if(f)break;if(g.search(/[^ ]/)>=4)break;if(d.test(g))break;if(p.test(g))break;if(l.test(g))break;b+="\n"+y}f||y.trim()||(f=!0),r+=v+"\n",t=t.substring(v.length+1),g=y.slice(h)}}_.loose||(m?_.loose=!0:/\n *\n *$/.test(r)&&(m=!0)),this.options.gfm&&(l=/^\[[ xX]\] /.exec(b),l&&(d="[ ] "!==l[0],b=b.replace(/^\[[ xX]\] +/,""))),_.items.push({type:"list_item",raw:r,task:!!l,checked:d,loose:!1,text:b}),_.raw+=r}_.items[_.items.length-1].raw=r.trimRight(),_.items[_.items.length-1].text=b.trimRight(),_.raw=_.raw.trimRight();const T=_.items.length;for(p=0;p<T;p++)if(this.lexer.state.top=!1,_.items[p].tokens=this.lexer.blockTokens(_.items[p].text,[]),!_.loose){const t=_.items[p].tokens.filter((t=>"space"===t.type)),n=t.length>0&&t.some((t=>/\n.*\n/.test(t.raw)));_.loose=n}if(_.loose)for(p=0;p<T;p++)_.items[p].loose=!0;return _}}html(t){const n=this.rules.block.html.exec(t);if(n){const t={type:"html",block:!0,raw:n[0],pre:!this.options.sanitizer&&("pre"===n[1]||"script"===n[1]||"style"===n[1]),text:n[0]};if(this.options.sanitize){const r=this.options.sanitizer?this.options.sanitizer(n[0]):E(n[0]);t.type="paragraph",t.text=r,t.tokens=this.lexer.inline(r)}return t}}def(t){const n=this.rules.block.def.exec(t);if(n){const t=n[1].toLowerCase().replace(/\s+/g," "),r=n[2]?n[2].replace(/^<(.*)>$/,"$1").replace(this.rules.inline._escapes,"$1"):"",l=n[3]?n[3].substring(1,n[3].length-1).replace(this.rules.inline._escapes,"$1"):n[3];return{type:"def",tag:t,raw:n[0],href:r,title:l}}}table(t){const n=this.rules.block.table.exec(t);if(n){const t={type:"table",header:U(n[1]).map((t=>({text:t}))),align:n[2].replace(/^ *|\| *$/g,"").split(/ *\| */),rows:n[3]&&n[3].trim()?n[3].replace(/\n[ \t]*$/,"").split("\n"):[]};if(t.header.length===t.align.length){t.raw=n[0];let r,l,d,h,p=t.align.length;for(r=0;r<p;r++)/^ *-+: *$/.test(t.align[r])?t.align[r]="right":/^ *:-+: *$/.test(t.align[r])?t.align[r]="center":/^ *:-+ *$/.test(t.align[r])?t.align[r]="left":t.align[r]=null;for(p=t.rows.length,r=0;r<p;r++)t.rows[r]=U(t.rows[r],t.header.length).map((t=>({text:t})));for(p=t.header.length,l=0;l<p;l++)t.header[l].tokens=this.lexer.inline(t.header[l].text);for(p=t.rows.length,l=0;l<p;l++)for(h=t.rows[l],d=0;d<h.length;d++)h[d].tokens=this.lexer.inline(h[d].text);return t}}}lheading(t){const n=this.rules.block.lheading.exec(t);if(n)return{type:"heading",raw:n[0],depth:"="===n[2].charAt(0)?1:2,text:n[1],tokens:this.lexer.inline(n[1])}}paragraph(t){const n=this.rules.block.paragraph.exec(t);if(n){const t="\n"===n[1].charAt(n[1].length-1)?n[1].slice(0,-1):n[1];return{type:"paragraph",raw:n[0],text:t,tokens:this.lexer.inline(t)}}}text(t){const n=this.rules.block.text.exec(t);if(n)return{type:"text",raw:n[0],text:n[0],tokens:this.lexer.inline(n[0])}}escape(t){const n=this.rules.inline.escape.exec(t);if(n)return{type:"escape",raw:n[0],text:E(n[1])}}tag(t){const n=this.rules.inline.tag.exec(t);if(n)return!this.lexer.state.inLink&&/^<a /i.test(n[0])?this.lexer.state.inLink=!0:this.lexer.state.inLink&&/^<\/a>/i.test(n[0])&&(this.lexer.state.inLink=!1),!this.lexer.state.inRawBlock&&/^<(pre|code|kbd|script)(\s|>)/i.test(n[0])?this.lexer.state.inRawBlock=!0:this.lexer.state.inRawBlock&&/^<\/(pre|code|kbd|script)(\s|>)/i.test(n[0])&&(this.lexer.state.inRawBlock=!1),{type:this.options.sanitize?"text":"html",raw:n[0],inLink:this.lexer.state.inLink,inRawBlock:this.lexer.state.inRawBlock,block:!1,text:this.options.sanitize?this.options.sanitizer?this.options.sanitizer(n[0]):E(n[0]):n[0]}}link(t){const n=this.rules.inline.link.exec(t);if(n){const t=n[2].trim();if(!this.options.pedantic&&/^</.test(t)){if(!/>$/.test(t))return;const n=G(t.slice(0,-1),"\\");if((t.length-n.length)%2==0)return}else{const t=function(t,n){if(-1===t.indexOf(n[1]))return-1;const r=t.length;let l=0,d=0;for(;d<r;d++)if("\\"===t[d])d++;else if(t[d]===n[0])l++;else if(t[d]===n[1]&&(l--,l<0))return d;return-1}(n[2],"()");if(t>-1){const r=(0===n[0].indexOf("!")?5:4)+n[1].length+t;n[2]=n[2].substring(0,t),n[0]=n[0].substring(0,r).trim(),n[3]=""}}let r=n[2],l="";if(this.options.pedantic){const t=/^([^'"]*[^\s])\s+(['"])(.*)\2/.exec(r);t&&(r=t[1],l=t[3])}else l=n[3]?n[3].slice(1,-1):"";return r=r.trim(),/^</.test(r)&&(r=this.options.pedantic&&!/>$/.test(t)?r.slice(1):r.slice(1,-1)),W(n,{href:r?r.replace(this.rules.inline._escapes,"$1"):r,title:l?l.replace(this.rules.inline._escapes,"$1"):l},n[0],this.lexer)}}reflink(t,n){let r;if((r=this.rules.inline.reflink.exec(t))||(r=this.rules.inline.nolink.exec(t))){let t=(r[2]||r[1]).replace(/\s+/g," ");if(t=n[t.toLowerCase()],!t){const t=r[0].charAt(0);return{type:"text",raw:t,text:t}}return W(r,t,r[0],this.lexer)}}emStrong(t,n,r=""){let l=this.rules.inline.emStrong.lDelim.exec(t);if(!l)return;if(l[3]&&r.match(/[\p{L}\p{N}]/u))return;if(!(l[1]||l[2]||"")||!r||this.rules.inline.punctuation.exec(r)){const r=l[0].length-1;let d,h,p=r,f=0;const m="*"===l[0][0]?this.rules.inline.emStrong.rDelimAst:this.rules.inline.emStrong.rDelimUnd;for(m.lastIndex=0,n=n.slice(-1*t.length+r);null!=(l=m.exec(n));){if(d=l[1]||l[2]||l[3]||l[4]||l[5]||l[6],!d)continue;if(h=d.length,l[3]||l[4]){p+=h;continue}if((l[5]||l[6])&&r%3&&!((r+h)%3)){f+=h;continue}if(p-=h,p>0)continue;h=Math.min(h,h+p+f);const n=t.slice(0,r+l.index+h+1);if(Math.min(r,h)%2){const t=n.slice(1,-1);return{type:"em",raw:n,text:t,tokens:this.lexer.inlineTokens(t)}}const m=n.slice(2,-2);return{type:"strong",raw:n,text:m,tokens:this.lexer.inlineTokens(m)}}}}codespan(t){const n=this.rules.inline.code.exec(t);if(n){let t=n[2].replace(/\n/g," ");const r=/[^ ]/.test(t),l=/^ /.test(t)&&/ $/.test(t);return r&&l&&(t=t.substring(1,t.length-1)),t=E(t,!0),{type:"codespan",raw:n[0],text:t}}}br(t){const n=this.rules.inline.br.exec(t);if(n)return{type:"br",raw:n[0]}}del(t){const n=this.rules.inline.del.exec(t);if(n)return{type:"del",raw:n[0],text:n[2],tokens:this.lexer.inlineTokens(n[2])}}autolink(t,n){const r=this.rules.inline.autolink.exec(t);if(r){let t,l;return"@"===r[2]?(t=E(this.options.mangle?n(r[1]):r[1]),l="mailto:"+t):(t=E(r[1]),l=t),{type:"link",raw:r[0],text:t,href:l,tokens:[{type:"text",raw:t,text:t}]}}}url(t,n){let r;if(r=this.rules.inline.url.exec(t)){let t,l;if("@"===r[2])t=E(this.options.mangle?n(r[0]):r[0]),l="mailto:"+t;else{let n;do{n=r[0],r[0]=this.rules.inline._backpedal.exec(r[0])[0]}while(n!==r[0]);t=E(r[0]),l="www."===r[1]?"http://"+r[0]:r[0]}return{type:"link",raw:r[0],text:t,href:l,tokens:[{type:"text",raw:t,text:t}]}}}inlineText(t,n){const r=this.rules.inline.text.exec(t);if(r){let t;return t=this.lexer.state.inRawBlock?this.options.sanitize?this.options.sanitizer?this.options.sanitizer(r[0]):E(r[0]):r[0]:E(this.options.smartypants?n(r[0]):r[0]),{type:"text",raw:r[0],text:t}}}}const q={newline:/^(?: *(?:\n|$))+/,code:/^( {4}[^\n]+(?:\n(?: *(?:\n|$))*)?)+/,fences:/^ {0,3}(`{3,}(?=[^`\n]*(?:\n|$))|~{3,})([^\n]*)(?:\n|$)(?:|([\s\S]*?)(?:\n|$))(?: {0,3}\1[~`]* *(?=\n|$)|$)/,hr:/^ {0,3}((?:-[\t ]*){3,}|(?:_[ \t]*){3,}|(?:\*[ \t]*){3,})(?:\n+|$)/,heading:/^ {0,3}(#{1,6})(?=\s|$)(.*)(?:\n+|$)/,blockquote:/^( {0,3}> ?(paragraph|[^\n]*)(?:\n|$))+/,list:/^( {0,3}bull)([ \t][^\n]+?)?(?:\n|$)/,html:"^ {0,3}(?:<(script|pre|style|textarea)[\\s>][\\s\\S]*?(?:</\\1>[^\\n]*\\n+|$)|comment[^\\n]*(\\n+|$)|<\\?[\\s\\S]*?(?:\\?>\\n*|$)|<![A-Z][\\s\\S]*?(?:>\\n*|$)|<!\\[CDATA\\[[\\s\\S]*?(?:\\]\\]>\\n*|$)|</?(tag)(?: +|\\n|/?>)[\\s\\S]*?(?:(?:\\n *)+\\n|$)|<(?!script|pre|style|textarea)([a-z][\\w-]*)(?:attribute)*? */?>(?=[ \\t]*(?:\\n|$))[\\s\\S]*?(?:(?:\\n *)+\\n|$)|</(?!script|pre|style|textarea)[a-z][\\w-]*\\s*>(?=[ \\t]*(?:\\n|$))[\\s\\S]*?(?:(?:\\n *)+\\n|$))",def:/^ {0,3}\[(label)\]: *(?:\n *)?([^<\s][^\s]*|<.*?>)(?:(?: +(?:\n *)?| *\n *)(title))? *(?:\n+|$)/,table:V,lheading:/^((?:(?!^bull ).|\n(?!\n|bull ))+?)\n {0,3}(=+|-+) *(?:\n+|$)/,_paragraph:/^([^\n]+(?:\n(?!hr|heading|lheading|blockquote|fences|list|html|table| +\n)[^\n]+)*)/,text:/^[^\n]+/,_label:/(?!\s*\])(?:\\.|[^\[\]\\])+/,_title:/(?:"(?:\\"?|[^"\\])*"|'[^'\n]*(?:\n[^'\n]+)*\n?'|\([^()]*\))/};q.def=O(q.def).replace("label",q._label).replace("title",q._title).getRegex(),q.bullet=/(?:[*+-]|\d{1,9}[.)])/,q.listItemStart=O(/^( *)(bull) */).replace("bull",q.bullet).getRegex(),q.list=O(q.list).replace(/bull/g,q.bullet).replace("hr","\\n+(?=\\1?(?:(?:- *){3,}|(?:_ *){3,}|(?:\\* *){3,})(?:\\n+|$))").replace("def","\\n+(?="+q.def.source+")").getRegex(),q._tag="address|article|aside|base|basefont|blockquote|body|caption|center|col|colgroup|dd|details|dialog|dir|div|dl|dt|fieldset|figcaption|figure|footer|form|frame|frameset|h[1-6]|head|header|hr|html|iframe|legend|li|link|main|menu|menuitem|meta|nav|noframes|ol|optgroup|option|p|param|section|source|summary|table|tbody|td|tfoot|th|thead|title|tr|track|ul",q._comment=/<!--(?!-?>)[\s\S]*?(?:-->|$)/,q.html=O(q.html,"i").replace("comment",q._comment).replace("tag",q._tag).replace("attribute",/ +[a-zA-Z:_][\w.:-]*(?: *= *"[^"\n]*"| *= *'[^'\n]*'| *= *[^\s"'=<>`]+)?/).getRegex(),q.lheading=O(q.lheading).replace(/bull/g,q.bullet).getRegex(),q.paragraph=O(q._paragraph).replace("hr",q.hr).replace("heading"," {0,3}#{1,6} ").replace("|lheading","").replace("|table","").replace("blockquote"," {0,3}>").replace("fences"," {0,3}(?:`{3,}(?=[^`\\n]*\\n)|~{3,})[^\\n]*\\n").replace("list"," {0,3}(?:[*+-]|1[.)]) ").replace("html","</?(?:tag)(?: +|\\n|/?>)|<(?:script|pre|style|textarea|!--)").replace("tag",q._tag).getRegex(),q.blockquote=O(q.blockquote).replace("paragraph",q.paragraph).getRegex(),q.normal={...q},q.gfm={...q.normal,table:"^ *([^\\n ].*\\|.*)\\n {0,3}(?:\\| *)?(:?-+:? *(?:\\| *:?-+:? *)*)(?:\\| *)?(?:\\n((?:(?! *\\n|hr|heading|blockquote|code|fences|list|html).*(?:\\n|$))*)\\n*|$)"},q.gfm.table=O(q.gfm.table).replace("hr",q.hr).replace("heading"," {0,3}#{1,6} ").replace("blockquote"," {0,3}>").replace("code"," {4}[^\\n]").replace("fences"," {0,3}(?:`{3,}(?=[^`\\n]*\\n)|~{3,})[^\\n]*\\n").replace("list"," {0,3}(?:[*+-]|1[.)]) ").replace("html","</?(?:tag)(?: +|\\n|/?>)|<(?:script|pre|style|textarea|!--)").replace("tag",q._tag).getRegex(),q.gfm.paragraph=O(q._paragraph).replace("hr",q.hr).replace("heading"," {0,3}#{1,6} ").replace("|lheading","").replace("table",q.gfm.table).replace("blockquote"," {0,3}>").replace("fences"," {0,3}(?:`{3,}(?=[^`\\n]*\\n)|~{3,})[^\\n]*\\n").replace("list"," {0,3}(?:[*+-]|1[.)]) ").replace("html","</?(?:tag)(?: +|\\n|/?>)|<(?:script|pre|style|textarea|!--)").replace("tag",q._tag).getRegex(),q.pedantic={...q.normal,html:O("^ *(?:comment *(?:\\n|\\s*$)|<(tag)[\\s\\S]+?</\\1> *(?:\\n{2,}|\\s*$)|<tag(?:\"[^\"]*\"|'[^']*'|\\s[^'\"/>\\s]*)*?/?> *(?:\\n{2,}|\\s*$))").replace("comment",q._comment).replace(/tag/g,"(?!(?:a|em|strong|small|s|cite|q|dfn|abbr|data|time|code|var|samp|kbd|sub|sup|i|b|u|mark|ruby|rt|rp|bdi|bdo|span|br|wbr|ins|del|img)\\b)\\w+(?!:|[^\\w\\s@]*@)\\b").getRegex(),def:/^ *\[([^\]]+)\]: *<?([^\s>]+)>?(?: +(["(][^\n]+[")]))? *(?:\n+|$)/,heading:/^(#{1,6})(.*)(?:\n+|$)/,fences:V,lheading:/^(.+?)\n {0,3}(=+|-+) *(?:\n+|$)/,paragraph:O(q.normal._paragraph).replace("hr",q.hr).replace("heading"," *#{1,6} *[^\n]").replace("lheading",q.lheading).replace("blockquote"," {0,3}>").replace("|fences","").replace("|list","").replace("|html","").getRegex()};const X={escape:/^\\([!"#$%&'()*+,\-./:;<=>?@\[\]\\^_`{|}~])/,autolink:/^<(scheme:[^\s\x00-\x1f<>]*|email)>/,url:V,tag:"^comment|^</[a-zA-Z][\\w:-]*\\s*>|^<[a-zA-Z][\\w-]*(?:attribute)*?\\s*/?>|^<\\?[\\s\\S]*?\\?>|^<![a-zA-Z]+\\s[\\s\\S]*?>|^<!\\[CDATA\\[[\\s\\S]*?\\]\\]>",link:/^!?\[(label)\]\(\s*(href)(?:\s+(title))?\s*\)/,reflink:/^!?\[(label)\]\[(ref)\]/,nolink:/^!?\[(ref)\](?:\[\])?/,reflinkSearch:"reflink|nolink(?!\\()",emStrong:{lDelim:/^(?:\*+(?:((?!\*)[punct])|[^\s*]))|^_+(?:((?!_)[punct])|([^\s_]))/,rDelimAst:/^[^_*]*?__[^_*]*?\*[^_*]*?(?=__)|[^*]+(?=[^*])|(?!\*)[punct](\*+)(?=[\s]|$)|[^punct\s](\*+)(?!\*)(?=[punct\s]|$)|(?!\*)[punct\s](\*+)(?=[^punct\s])|[\s](\*+)(?!\*)(?=[punct])|(?!\*)[punct](\*+)(?!\*)(?=[punct])|[^punct\s](\*+)(?=[^punct\s])/,rDelimUnd:/^[^_*]*?\*\*[^_*]*?_[^_*]*?(?=\*\*)|[^_]+(?=[^_])|(?!_)[punct](_+)(?=[\s]|$)|[^punct\s](_+)(?!_)(?=[punct\s]|$)|(?!_)[punct\s](_+)(?=[^punct\s])|[\s](_+)(?!_)(?=[punct])|(?!_)[punct](_+)(?!_)(?=[punct])/},code:/^(`+)([^`]|[^`][\s\S]*?[^`])\1(?!`)/,br:/^( {2,}|\\)\n(?!\s*$)/,del:V,text:/^(`+|[^`])(?:(?= {2,}\n)|[\s\S]*?(?:(?=[\\<!\[`*_]|\b_|$)|[^ ](?= {2,}\n)))/,punctuation:/^((?![*_])[\spunctuation])/};function Y(t){return t.replace(/---/g,"—").replace(/--/g,"–").replace(/(^|[-\u2014/(\[{"\s])'/g,"$1‘").replace(/'/g,"’").replace(/(^|[-\u2014/(\[{\u2018\s])"/g,"$1“").replace(/"/g,"”").replace(/\.{3}/g,"…")}function K(t){let n,r,l="";const d=t.length;for(n=0;n<d;n++)r=t.charCodeAt(n),Math.random()>.5&&(r="x"+r.toString(16)),l+="&#"+r+";";return l}X._punctuation="\\p{P}$+<=>`^|~",X.punctuation=O(X.punctuation,"u").replace(/punctuation/g,X._punctuation).getRegex(),X.blockSkip=/\[[^[\]]*?\]\([^\(\)]*?\)|`[^`]*?`|<[^<>]*?>/g,X.anyPunctuation=/\\[punct]/g,X._escapes=/\\([punct])/g,X._comment=O(q._comment).replace("(?:--\x3e|$)","--\x3e").getRegex(),X.emStrong.lDelim=O(X.emStrong.lDelim,"u").replace(/punct/g,X._punctuation).getRegex(),X.emStrong.rDelimAst=O(X.emStrong.rDelimAst,"gu").replace(/punct/g,X._punctuation).getRegex(),X.emStrong.rDelimUnd=O(X.emStrong.rDelimUnd,"gu").replace(/punct/g,X._punctuation).getRegex(),X.anyPunctuation=O(X.anyPunctuation,"gu").replace(/punct/g,X._punctuation).getRegex(),X._escapes=O(X._escapes,"gu").replace(/punct/g,X._punctuation).getRegex(),X._scheme=/[a-zA-Z][a-zA-Z0-9+.-]{1,31}/,X._email=/[a-zA-Z0-9.!#$%&'*+/=?^_`{|}~-]+(@)[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?(?:\.[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?)+(?![-_])/,X.autolink=O(X.autolink).replace("scheme",X._scheme).replace("email",X._email).getRegex(),X._attribute=/\s+[a-zA-Z:_][\w.:-]*(?:\s*=\s*"[^"]*"|\s*=\s*'[^']*'|\s*=\s*[^\s"'=<>`]+)?/,X.tag=O(X.tag).replace("comment",X._comment).replace("attribute",X._attribute).getRegex(),X._label=/(?:\[(?:\\.|[^\[\]\\])*\]|\\.|`[^`]*`|[^\[\]\\`])*?/,X._href=/<(?:\\.|[^\n<>\\])+>|[^\s\x00-\x1f]*/,X._title=/"(?:\\"?|[^"\\])*"|'(?:\\'?|[^'\\])*'|\((?:\\\)?|[^)\\])*\)/,X.link=O(X.link).replace("label",X._label).replace("href",X._href).replace("title",X._title).getRegex(),X.reflink=O(X.reflink).replace("label",X._label).replace("ref",q._label).getRegex(),X.nolink=O(X.nolink).replace("ref",q._label).getRegex(),X.reflinkSearch=O(X.reflinkSearch,"g").replace("reflink",X.reflink).replace("nolink",X.nolink).getRegex(),X.normal={...X},X.pedantic={...X.normal,strong:{start:/^__|\*\*/,middle:/^__(?=\S)([\s\S]*?\S)__(?!_)|^\*\*(?=\S)([\s\S]*?\S)\*\*(?!\*)/,endAst:/\*\*(?!\*)/g,endUnd:/__(?!_)/g},em:{start:/^_|\*/,middle:/^()\*(?=\S)([\s\S]*?\S)\*(?!\*)|^_(?=\S)([\s\S]*?\S)_(?!_)/,endAst:/\*(?!\*)/g,endUnd:/_(?!_)/g},link:O(/^!?\[(label)\]\((.*?)\)/).replace("label",X._label).getRegex(),reflink:O(/^!?\[(label)\]\s*\[([^\]]*)\]/).replace("label",X._label).getRegex()},X.gfm={...X.normal,escape:O(X.escape).replace("])","~|])").getRegex(),_extended_email:/[A-Za-z0-9._+-]+(@)[a-zA-Z0-9-_]+(?:\.[a-zA-Z0-9-_]*[a-zA-Z0-9])+(?![-_])/,url:/^((?:ftp|https?):\/\/|www\.)(?:[a-zA-Z0-9\-]+\.?)+[^\s<]*|^email/,_backpedal:/(?:[^?!.,:;*_'"~()&]+|\([^)]*\)|&(?![a-zA-Z0-9]+;$)|[?!.,:;*_'"~)]+(?!$))+/,del:/^(~~?)(?=[^\s~])([\s\S]*?[^\s~])\1(?=[^~]|$)/,text:/^([`~]+|[^`~])(?:(?= {2,}\n)|(?=[a-zA-Z0-9.!#$%&'*+\/=?_`{\|}~-]+@)|[\s\S]*?(?:(?=[\\<!\[`*~_]|\b_|https?:\/\/|ftp:\/\/|www\.|$)|[^ ](?= {2,}\n)|[^a-zA-Z0-9.!#$%&'*+\/=?_`{\|}~-](?=[a-zA-Z0-9.!#$%&'*+\/=?_`{\|}~-]+@)))/},X.gfm.url=O(X.gfm.url,"i").replace("email",X.gfm._extended_email).getRegex(),X.breaks={...X.gfm,br:O(X.br).replace("{2,}","*").getRegex(),text:O(X.gfm.text).replace("\\b_","\\b_| {2,}\\n").replace(/\{2,\}/g,"*").getRegex()};class Lexer{constructor(t){this.tokens=[],this.tokens.links=Object.create(null),this.options=t||g,this.options.tokenizer=this.options.tokenizer||new Tokenizer,this.tokenizer=this.options.tokenizer,this.tokenizer.options=this.options,this.tokenizer.lexer=this,this.inlineQueue=[],this.state={inLink:!1,inRawBlock:!1,top:!0};const n={block:q.normal,inline:X.normal};this.options.pedantic?(n.block=q.pedantic,n.inline=X.pedantic):this.options.gfm&&(n.block=q.gfm,this.options.breaks?n.inline=X.breaks:n.inline=X.gfm),this.tokenizer.rules=n}static get rules(){return{block:q,inline:X}}static lex(t,n){return new Lexer(n).lex(t)}static lexInline(t,n){return new Lexer(n).inlineTokens(t)}lex(t){let n;for(t=t.replace(/\r\n|\r/g,"\n"),this.blockTokens(t,this.tokens);n=this.inlineQueue.shift();)this.inlineTokens(n.src,n.tokens);return this.tokens}blockTokens(t,n=[]){let r,l,d,h;for(t=this.options.pedantic?t.replace(/\t/g,"    ").replace(/^ +$/gm,""):t.replace(/^( *)(\t+)/gm,((t,n,r)=>n+"    ".repeat(r.length)));t;)if(!(this.options.extensions&&this.options.extensions.block&&this.options.extensions.block.some((l=>!!(r=l.call({lexer:this},t,n))&&(t=t.substring(r.raw.length),n.push(r),!0)))))if(r=this.tokenizer.space(t))t=t.substring(r.raw.length),1===r.raw.length&&n.length>0?n[n.length-1].raw+="\n":n.push(r);else if(r=this.tokenizer.code(t))t=t.substring(r.raw.length),l=n[n.length-1],!l||"paragraph"!==l.type&&"text"!==l.type?n.push(r):(l.raw+="\n"+r.raw,l.text+="\n"+r.text,this.inlineQueue[this.inlineQueue.length-1].src=l.text);else if(r=this.tokenizer.fences(t))t=t.substring(r.raw.length),n.push(r);else if(r=this.tokenizer.heading(t))t=t.substring(r.raw.length),n.push(r);else if(r=this.tokenizer.hr(t))t=t.substring(r.raw.length),n.push(r);else if(r=this.tokenizer.blockquote(t))t=t.substring(r.raw.length),n.push(r);else if(r=this.tokenizer.list(t))t=t.substring(r.raw.length),n.push(r);else if(r=this.tokenizer.html(t))t=t.substring(r.raw.length),n.push(r);else if(r=this.tokenizer.def(t))t=t.substring(r.raw.length),l=n[n.length-1],!l||"paragraph"!==l.type&&"text"!==l.type?this.tokens.links[r.tag]||(this.tokens.links[r.tag]={href:r.href,title:r.title}):(l.raw+="\n"+r.raw,l.text+="\n"+r.raw,this.inlineQueue[this.inlineQueue.length-1].src=l.text);else if(r=this.tokenizer.table(t))t=t.substring(r.raw.length),n.push(r);else if(r=this.tokenizer.lheading(t))t=t.substring(r.raw.length),n.push(r);else{if(d=t,this.options.extensions&&this.options.extensions.startBlock){let n=1/0;const r=t.slice(1);let l;this.options.extensions.startBlock.forEach((function(t){l=t.call({lexer:this},r),"number"==typeof l&&l>=0&&(n=Math.min(n,l))})),n<1/0&&n>=0&&(d=t.substring(0,n+1))}if(this.state.top&&(r=this.tokenizer.paragraph(d)))l=n[n.length-1],h&&"paragraph"===l.type?(l.raw+="\n"+r.raw,l.text+="\n"+r.text,this.inlineQueue.pop(),this.inlineQueue[this.inlineQueue.length-1].src=l.text):n.push(r),h=d.length!==t.length,t=t.substring(r.raw.length);else if(r=this.tokenizer.text(t))t=t.substring(r.raw.length),l=n[n.length-1],l&&"text"===l.type?(l.raw+="\n"+r.raw,l.text+="\n"+r.text,this.inlineQueue.pop(),this.inlineQueue[this.inlineQueue.length-1].src=l.text):n.push(r);else if(t){const n="Infinite loop on byte: "+t.charCodeAt(0);if(this.options.silent){f.error(n);break}throw new Error(n)}}return this.state.top=!0,n}inline(t,n=[]){return this.inlineQueue.push({src:t,tokens:n}),n}inlineTokens(t,n=[]){let r,l,d,h,p,m,g=t;if(this.tokens.links){const t=Object.keys(this.tokens.links);if(t.length>0)for(;null!=(h=this.tokenizer.rules.inline.reflinkSearch.exec(g));)t.includes(h[0].slice(h[0].lastIndexOf("[")+1,-1))&&(g=g.slice(0,h.index)+"["+"a".repeat(h[0].length-2)+"]"+g.slice(this.tokenizer.rules.inline.reflinkSearch.lastIndex))}for(;null!=(h=this.tokenizer.rules.inline.blockSkip.exec(g));)g=g.slice(0,h.index)+"["+"a".repeat(h[0].length-2)+"]"+g.slice(this.tokenizer.rules.inline.blockSkip.lastIndex);for(;null!=(h=this.tokenizer.rules.inline.anyPunctuation.exec(g));)g=g.slice(0,h.index)+"++"+g.slice(this.tokenizer.rules.inline.anyPunctuation.lastIndex);for(;t;)if(p||(m=""),p=!1,!(this.options.extensions&&this.options.extensions.inline&&this.options.extensions.inline.some((l=>!!(r=l.call({lexer:this},t,n))&&(t=t.substring(r.raw.length),n.push(r),!0)))))if(r=this.tokenizer.escape(t))t=t.substring(r.raw.length),n.push(r);else if(r=this.tokenizer.tag(t))t=t.substring(r.raw.length),l=n[n.length-1],l&&"text"===r.type&&"text"===l.type?(l.raw+=r.raw,l.text+=r.text):n.push(r);else if(r=this.tokenizer.link(t))t=t.substring(r.raw.length),n.push(r);else if(r=this.tokenizer.reflink(t,this.tokens.links))t=t.substring(r.raw.length),l=n[n.length-1],l&&"text"===r.type&&"text"===l.type?(l.raw+=r.raw,l.text+=r.text):n.push(r);else if(r=this.tokenizer.emStrong(t,g,m))t=t.substring(r.raw.length),n.push(r);else if(r=this.tokenizer.codespan(t))t=t.substring(r.raw.length),n.push(r);else if(r=this.tokenizer.br(t))t=t.substring(r.raw.length),n.push(r);else if(r=this.tokenizer.del(t))t=t.substring(r.raw.length),n.push(r);else if(r=this.tokenizer.autolink(t,K))t=t.substring(r.raw.length),n.push(r);else if(this.state.inLink||!(r=this.tokenizer.url(t,K))){if(d=t,this.options.extensions&&this.options.extensions.startInline){let n=1/0;const r=t.slice(1);let l;this.options.extensions.startInline.forEach((function(t){l=t.call({lexer:this},r),"number"==typeof l&&l>=0&&(n=Math.min(n,l))})),n<1/0&&n>=0&&(d=t.substring(0,n+1))}if(r=this.tokenizer.inlineText(d,Y))t=t.substring(r.raw.length),"_"!==r.raw.slice(-1)&&(m=r.raw.slice(-1)),p=!0,l=n[n.length-1],l&&"text"===l.type?(l.raw+=r.raw,l.text+=r.text):n.push(r);else if(t){const n="Infinite loop on byte: "+t.charCodeAt(0);if(this.options.silent){f.error(n);break}throw new Error(n)}}else t=t.substring(r.raw.length),n.push(r);return n}}class Renderer{constructor(t){this.options=t||g}code(t,n,r){const l=(n||"").match(/\S*/)[0];if(this.options.highlight){const n=this.options.highlight(t,l);null!=n&&n!==t&&(r=!0,t=n)}return t=t.replace(/\n$/,"")+"\n",l?'<pre><code class="'+this.options.langPrefix+E(l)+'">'+(r?t:E(t,!0))+"</code></pre>\n":"<pre><code>"+(r?t:E(t,!0))+"</code></pre>\n"}blockquote(t){return`<blockquote>\n${t}</blockquote>\n`}html(t,n){return t}heading(t,n,r,l){if(this.options.headerIds){return`<h${n} id="${this.options.headerPrefix+l.slug(r)}">${t}</h${n}>\n`}return`<h${n}>${t}</h${n}>\n`}hr(){return this.options.xhtml?"<hr/>\n":"<hr>\n"}list(t,n,r){const l=n?"ol":"ul";return"<"+l+(n&&1!==r?' start="'+r+'"':"")+">\n"+t+"</"+l+">\n"}listitem(t){return`<li>${t}</li>\n`}checkbox(t){return"<input "+(t?'checked="" ':"")+'disabled="" type="checkbox"'+(this.options.xhtml?" /":"")+"> "}paragraph(t){return`<p>${t}</p>\n`}table(t,n){return n&&(n=`<tbody>${n}</tbody>`),"<table>\n<thead>\n"+t+"</thead>\n"+n+"</table>\n"}tablerow(t){return`<tr>\n${t}</tr>\n`}tablecell(t,n){const r=n.header?"th":"td";return(n.align?`<${r} align="${n.align}">`:`<${r}>`)+t+`</${r}>\n`}strong(t){return`<strong>${t}</strong>`}em(t){return`<em>${t}</em>`}codespan(t){return`<code>${t}</code>`}br(){return this.options.xhtml?"<br/>":"<br>"}del(t){return`<del>${t}</del>`}link(t,n,r){if(null===(t=D(this.options.sanitize,this.options.baseUrl,t)))return r;let l='<a href="'+t+'"';return n&&(l+=' title="'+n+'"'),l+=">"+r+"</a>",l}image(t,n,r){if(null===(t=D(this.options.sanitize,this.options.baseUrl,t)))return r;let l=`<img src="${t}" alt="${r}"`;return n&&(l+=` title="${n}"`),l+=this.options.xhtml?"/>":">",l}text(t){return t}}class TextRenderer{strong(t){return t}em(t){return t}codespan(t){return t}del(t){return t}html(t){return t}text(t){return t}link(t,n,r){return""+r}image(t,n,r){return""+r}br(){return""}}class Slugger{constructor(){this.seen={}}serialize(t){return t.toLowerCase().trim().replace(/<[!\/a-z].*?>/gi,"").replace(/[\u2000-\u206F\u2E00-\u2E7F\\'!"#$%&()*+,./:;<=>?@[\]^`{|}~]/g,"").replace(/\s/g,"-")}getNextSafeSlug(t,n){let r=t,l=0;if(this.seen.hasOwnProperty(r)){l=this.seen[t];do{l++,r=t+"-"+l}while(this.seen.hasOwnProperty(r))}return n||(this.seen[t]=l,this.seen[r]=0),r}slug(t,n={}){const r=this.serialize(t);return this.getNextSafeSlug(r,n.dryrun)}}class Parser{constructor(t){this.options=t||g,this.options.renderer=this.options.renderer||new Renderer,this.renderer=this.options.renderer,this.renderer.options=this.options,this.textRenderer=new TextRenderer,this.slugger=new Slugger}static parse(t,n){return new Parser(n).parse(t)}static parseInline(t,n){return new Parser(n).parseInline(t)}parse(t,n=!0){let r,l,d,h,p,m,g,y,v,b,x,w,S,_,E,T,A,O,I,P="";const D=t.length;for(r=0;r<D;r++)if(b=t[r],this.options.extensions&&this.options.extensions.renderers&&this.options.extensions.renderers[b.type]&&(I=this.options.extensions.renderers[b.type].call({parser:this},b),!1!==I||!["space","hr","heading","code","table","blockquote","list","html","paragraph","text"].includes(b.type)))P+=I||"";else switch(b.type){case"space":continue;case"hr":P+=this.renderer.hr();continue;case"heading":P+=this.renderer.heading(this.parseInline(b.tokens),b.depth,C(this.parseInline(b.tokens,this.textRenderer)),this.slugger);continue;case"code":P+=this.renderer.code(b.text,b.lang,b.escaped);continue;case"table":for(y="",g="",h=b.header.length,l=0;l<h;l++)g+=this.renderer.tablecell(this.parseInline(b.header[l].tokens),{header:!0,align:b.align[l]});for(y+=this.renderer.tablerow(g),v="",h=b.rows.length,l=0;l<h;l++){for(m=b.rows[l],g="",p=m.length,d=0;d<p;d++)g+=this.renderer.tablecell(this.parseInline(m[d].tokens),{header:!1,align:b.align[d]});v+=this.renderer.tablerow(g)}P+=this.renderer.table(y,v);continue;case"blockquote":v=this.parse(b.tokens),P+=this.renderer.blockquote(v);continue;case"list":for(x=b.ordered,w=b.start,S=b.loose,h=b.items.length,v="",l=0;l<h;l++)E=b.items[l],T=E.checked,A=E.task,_="",E.task&&(O=this.renderer.checkbox(T),S?E.tokens.length>0&&"paragraph"===E.tokens[0].type?(E.tokens[0].text=O+" "+E.tokens[0].text,E.tokens[0].tokens&&E.tokens[0].tokens.length>0&&"text"===E.tokens[0].tokens[0].type&&(E.tokens[0].tokens[0].text=O+" "+E.tokens[0].tokens[0].text)):E.tokens.unshift({type:"text",text:O}):_+=O),_+=this.parse(E.tokens,S),v+=this.renderer.listitem(_,A,T);P+=this.renderer.list(v,x,w);continue;case"html":P+=this.renderer.html(b.text,b.block);continue;case"paragraph":P+=this.renderer.paragraph(this.parseInline(b.tokens));continue;case"text":for(v=b.tokens?this.parseInline(b.tokens):b.text;r+1<D&&"text"===t[r+1].type;)b=t[++r],v+="\n"+(b.tokens?this.parseInline(b.tokens):b.text);P+=n?this.renderer.paragraph(v):v;continue;default:{const t='Token with "'+b.type+'" type was not found.';if(this.options.silent)return void f.error(t);throw new Error(t)}}return P}parseInline(t,n){n=n||this.renderer;let r,l,d,h="";const p=t.length;for(r=0;r<p;r++)if(l=t[r],this.options.extensions&&this.options.extensions.renderers&&this.options.extensions.renderers[l.type]&&(d=this.options.extensions.renderers[l.type].call({parser:this},l),!1!==d||!["escape","html","link","image","strong","em","codespan","br","del","text"].includes(l.type)))h+=d||"";else switch(l.type){case"escape":case"text":h+=n.text(l.text);break;case"html":h+=n.html(l.text);break;case"link":h+=n.link(l.href,l.title,this.parseInline(l.tokens,n));break;case"image":h+=n.image(l.href,l.title,l.text);break;case"strong":h+=n.strong(this.parseInline(l.tokens,n));break;case"em":h+=n.em(this.parseInline(l.tokens,n));break;case"codespan":h+=n.codespan(l.text);break;case"br":h+=n.br();break;case"del":h+=n.del(this.parseInline(l.tokens,n));break;default:{const t='Token with "'+l.type+'" type was not found.';if(this.options.silent)return void f.error(t);throw new Error(t)}}return h}}class Hooks{constructor(t){this.options=t||g}static passThroughHooks=new Set(["preprocess","postprocess"]);preprocess(t){return t}postprocess(t){return t}}const J=new class Marked{defaults={async:!1,baseUrl:null,breaks:!1,extensions:null,gfm:!0,headerIds:!0,headerPrefix:"",highlight:null,hooks:null,langPrefix:"language-",mangle:!0,pedantic:!1,renderer:null,sanitize:!1,sanitizer:null,silent:!1,smartypants:!1,tokenizer:null,walkTokens:null,xhtml:!1};options=this.setOptions;parse=this.#e(Lexer.lex,Parser.parse);parseInline=this.#e(Lexer.lexInline,Parser.parseInline);Parser=Parser;parser=Parser.parse;Renderer=Renderer;TextRenderer=TextRenderer;Lexer=Lexer;lexer=Lexer.lex;Tokenizer=Tokenizer;Slugger=Slugger;Hooks=Hooks;constructor(...t){this.use(...t)}walkTokens(t,n){let r=[];for(const l of t)switch(r=r.concat(n.call(this,l)),l.type){case"table":for(const t of l.header)r=r.concat(this.walkTokens(t.tokens,n));for(const t of l.rows)for(const l of t)r=r.concat(this.walkTokens(l.tokens,n));break;case"list":r=r.concat(this.walkTokens(l.items,n));break;default:this.defaults.extensions&&this.defaults.extensions.childTokens&&this.defaults.extensions.childTokens[l.type]?this.defaults.extensions.childTokens[l.type].forEach((t=>{r=r.concat(this.walkTokens(l[t],n))})):l.tokens&&(r=r.concat(this.walkTokens(l.tokens,n)))}return r}use(...t){const n=this.defaults.extensions||{renderers:{},childTokens:{}};return t.forEach((t=>{const r={...t};if(r.async=this.defaults.async||r.async||!1,t.extensions&&(t.extensions.forEach((t=>{if(!t.name)throw new Error("extension name required");if(t.renderer){const r=n.renderers[t.name];n.renderers[t.name]=r?function(...n){let l=t.renderer.apply(this,n);return!1===l&&(l=r.apply(this,n)),l}:t.renderer}if(t.tokenizer){if(!t.level||"block"!==t.level&&"inline"!==t.level)throw new Error("extension level must be 'block' or 'inline'");n[t.level]?n[t.level].unshift(t.tokenizer):n[t.level]=[t.tokenizer],t.start&&("block"===t.level?n.startBlock?n.startBlock.push(t.start):n.startBlock=[t.start]:"inline"===t.level&&(n.startInline?n.startInline.push(t.start):n.startInline=[t.start]))}t.childTokens&&(n.childTokens[t.name]=t.childTokens)})),r.extensions=n),t.renderer){const n=this.defaults.renderer||new Renderer(this.defaults);for(const r in t.renderer){const l=n[r];n[r]=(...d)=>{let h=t.renderer[r].apply(n,d);return!1===h&&(h=l.apply(n,d)),h}}r.renderer=n}if(t.tokenizer){const n=this.defaults.tokenizer||new Tokenizer(this.defaults);for(const r in t.tokenizer){const l=n[r];n[r]=(...d)=>{let h=t.tokenizer[r].apply(n,d);return!1===h&&(h=l.apply(n,d)),h}}r.tokenizer=n}if(t.hooks){const n=this.defaults.hooks||new Hooks;for(const r in t.hooks){const l=n[r];Hooks.passThroughHooks.has(r)?n[r]=d=>{if(this.defaults.async)return Promise.resolve(t.hooks[r].call(n,d)).then((t=>l.call(n,t)));const h=t.hooks[r].call(n,d);return l.call(n,h)}:n[r]=(...d)=>{let h=t.hooks[r].apply(n,d);return!1===h&&(h=l.apply(n,d)),h}}r.hooks=n}if(t.walkTokens){const n=this.defaults.walkTokens;r.walkTokens=function(r){let l=[];return l.push(t.walkTokens.call(this,r)),n&&(l=l.concat(n.call(this,r))),l}}this.defaults={...this.defaults,...r}})),this}setOptions(t){return this.defaults={...this.defaults,...t},this}#e(t,n){return(r,l,d)=>{"function"==typeof l&&(d=l,l=null);const h={...l};l={...this.defaults,...h};const p=this.#t(l.silent,l.async,d);if(null==r)return p(new Error("marked(): input parameter is undefined or null"));if("string"!=typeof r)return p(new Error("marked(): input parameter is of type "+Object.prototype.toString.call(r)+", string expected"));if(function(t,n){t&&!t.silent&&(n&&f.warn("marked(): callback is deprecated since version 5.0.0, should not be used and will be removed in the future. Read more here: https://marked.js.org/using_pro#async"),(t.sanitize||t.sanitizer)&&f.warn("marked(): sanitize and sanitizer parameters are deprecated since version 0.7.0, should not be used and will be removed in the future. Read more here: https://marked.js.org/#/USING_ADVANCED.md#options"),(t.highlight||"language-"!==t.langPrefix)&&f.warn("marked(): highlight and langPrefix parameters are deprecated since version 5.0.0, should not be used and will be removed in the future. Instead use https://www.npmjs.com/package/marked-highlight."),t.mangle&&f.warn("marked(): mangle parameter is enabled by default, but is deprecated since version 5.0.0, and will be removed in the future. To clear this warning, install https://www.npmjs.com/package/marked-mangle, or disable by setting `{mangle: false}`."),t.baseUrl&&f.warn("marked(): baseUrl parameter is deprecated since version 5.0.0, should not be used and will be removed in the future. Instead use https://www.npmjs.com/package/marked-base-url."),t.smartypants&&f.warn("marked(): smartypants parameter is deprecated since version 5.0.0, should not be used and will be removed in the future. Instead use https://www.npmjs.com/package/marked-smartypants."),t.xhtml&&f.warn("marked(): xhtml parameter is deprecated since version 5.0.0, should not be used and will be removed in the future. Instead use https://www.npmjs.com/package/marked-xhtml."),(t.headerIds||t.headerPrefix)&&f.warn("marked(): headerIds and headerPrefix parameters enabled by default, but are deprecated since version 5.0.0, and will be removed in the future. To clear this warning, install  https://www.npmjs.com/package/marked-gfm-heading-id, or disable by setting `{headerIds: false}`."))}(l,d),l.hooks&&(l.hooks.options=l),d){const h=l.highlight;let f;try{l.hooks&&(r=l.hooks.preprocess(r)),f=t(r,l)}catch(t){return p(t)}const m=t=>{let r;if(!t)try{l.walkTokens&&this.walkTokens(f,l.walkTokens),r=n(f,l),l.hooks&&(r=l.hooks.postprocess(r))}catch(n){t=n}return l.highlight=h,t?p(t):d(null,r)};if(!h||h.length<3)return m();if(delete l.highlight,!f.length)return m();let g=0;return this.walkTokens(f,(t=>{"code"===t.type&&(g++,setTimeout((()=>{h(t.text,t.lang,((n,r)=>{if(n)return m(n);null!=r&&r!==t.text&&(t.text=r,t.escaped=!0),g--,0===g&&m()}))}),0))})),void(0===g&&m())}if(l.async)return Promise.resolve(l.hooks?l.hooks.preprocess(r):r).then((n=>t(n,l))).then((t=>l.walkTokens?Promise.all(this.walkTokens(t,l.walkTokens)).then((()=>t)):t)).then((t=>n(t,l))).then((t=>l.hooks?l.hooks.postprocess(t):t)).catch(p);try{l.hooks&&(r=l.hooks.preprocess(r));const d=t(r,l);l.walkTokens&&this.walkTokens(d,l.walkTokens);let h=n(d,l);return l.hooks&&(h=l.hooks.postprocess(h)),h}catch(t){return p(t)}}}#t(t,n,r){return l=>{if(l.message+="\nPlease report this to https://github.com/markedjs/marked.",t){const t="<p>An error occurred:</p><pre>"+E(l.message+"",!0)+"</pre>";return n?Promise.resolve(t):r?void r(null,t):t}if(n)return Promise.reject(l);if(!r)throw l;r(l)}}}(g);function Q(t,n,r){return J.parse(t,n,r)}Q.options=Q.setOptions=function(t){return J.setOptions(t),Q.defaults=J.defaults,y(Q.defaults),Q},Q.getDefaults=m,Q.defaults=g,Q.use=function(...t){return J.use(...t),Q.defaults=J.defaults,y(Q.defaults),Q},Q.walkTokens=function(t,n){return J.walkTokens(t,n)},Q.parseInline=J.parseInline,Q.Parser=Parser,Q.parser=Parser.parse,Q.Renderer=Renderer,Q.TextRenderer=TextRenderer,Q.Lexer=Lexer,Q.lexer=Lexer.lex,Q.Tokenizer=Tokenizer,Q.Slugger=Slugger,Q.Hooks=Hooks,Q.parse=Q;Q.options,Q.setOptions,Q.use,Q.walkTokens,Q.parseInline;var ee=r(4262);r(4915);function te(t){let n=0;for(let r=0;r<t.length;r++)t[r]>t[n]&&(n=r);return n}function ie(t){return t.reduce(((t,n)=>t+n))/t.length}function ne(t){const n=[...t].sort(),r=Math.floor(n.length/2);let l;if(n.length%2==0){l=(n[r]+n[r-1])/2}else l=n[r];return l}function re(t,n){return Math.floor(t+Math.random()*(n-t))}function oe(t,n){if(t.size!==n.size)return!1;for(const r of t)if(!n.has(r))return!1;return!0}function ae(t,n){return oe(new Set(t),new Set(n))}function se(t,n){const r=Array.from(t.keys());if(!ae(r,Array.from(n.keys())))return!1;for(const l of r)if(t.get(l)!==n.get(l))return!1;return!0}function le(t){return t.map((t=>t.name))}function ce(t){return"string"==typeof t&&(t=[t]),t.map((t=>ee.ue[t]))}function de(t,n={}){const r=new t;for(const t in n)if(t in r)r[t]=n[t];else if(-1===["__class__","__name__"].indexOf(t))throw new Error(`Attempted to set unrecognized property ${t} on ${r.name}.`);return r}function ue(t){const n={};for(const[r,l]of Object.entries(t))n[r]=de(ee.ue[l.name],l);return n}function he(t){return Array.isArray(t)||(t=[t]),t}function pe(t,n){if(null==t)return!1;const r=he(n);for(const n of r)if(t instanceof n)return!0;return!1}function fe(t,n){const r=he(n);return Object.keys(t).filter((n=>pe(t[n],r)))}function me(t,n){const r={};for(const l of n)r[l]=t[l];return r}function ge(t){return l.TSy(t)}function ye(t,n){"Enter"===t.key&&n()}function ve(t){return t?1/(1+Math.exp(-t)):.5}function be(t){return 1===t?5:0===t?-5:Math.log(t/(1-t))}function xe(t){return"number"==typeof t?t-t==0:"string"==typeof t&&""!==t.trim()&&Number.isFinite(+t)}function we(t){return t.reduce(((t,n)=>t+n),0)}function Se(t,n){if(0===t.length||0===n.length)return l.j2p(t.length,n.length);const r=l.j2p(t[0],n[0]);return 0!==r?r:Se(t.slice(1),n.slice(1))}function _e(t,n,r){const l=Object.keys(t);for(let d=0;d<l.length;d++){const h=t[l[d]].spec.output,p=fe(h,n);if(p.length){if(null==r)return!0;for(const t of p)if(r(h[t]))return!0}}return!1}function Ee(t,n,r){const l=Object.keys(t);for(let d=0;d<l.length;d++){const h=t[l[d]].spec.input;let p=fe(h,n);if(r&&(p=p.filter((t=>h[t].required))),p.length)return!0}return!1}function Me(t){if(t instanceof ee.OS){const{vocab:n,null_idx:r}=t;return 2===n.length&&null!=r}return!1}function Te(t,n){const r=t.parent;return null!=r&&null!=n[r]}function Ce(t){return Object.keys(t).sort().map((n=>`${n}:${t[n].displayVal}`)).join(" ")}function Ae(t,n){if(n<0)return t;const r=Math.pow(10,n);return Math.round((t+Number.EPSILON)*r)/r}function ke(t){return t.split(" ").map((t=>function(t){const n=[];for(let r=0;r<t.length;r+=15)n.push(t.slice(r,r+15));return n.join("​")}(t))).join(" ")}const Oe=document.createElement("canvas");function Ie(t,n,r){const l=null==Oe.getContext?null:Oe.getContext("2d");if(null==l)return t.length*r;l.font=n;return l.measureText(t).width}function Re(t,n){const r=[];let l=0;for(let d=0;d<t.length;d++)r.push(l),l+=t[d]+n;return r}function Pe(t){let n=0;for(let r=0;r<t.length;r++){n=(n<<5)-n+t.charCodeAt(r),n|=0}return n}function Le(t,n){const r=[];for(let l=0;l<t.length;l++)t[l]===n&&r.push(l);return r}function De(t,n,r,l){const d=n.replace(/[-[\]{}()*+?.,\\^$|#\s]/g,"\\$&");return t.replace(RegExp("^(?:.*?"+d+"){"+l.toString()+"}"),(t=>t.replace(RegExp(d+"$"),r)))}function Fe(t){return Math.pow(10,Math.floor(Math.log10(t))-1)}function Ne(t){const n=new Q.Renderer;n.link=(t,r,l)=>Q.Renderer.prototype.link.call(n,t,r,l).replace("<a","<a target='_blank' ");const r=Q(t,{renderer:n});return p(r)}const Be=/(-?\d*(?:\.\d+)?)(?:-(-?\d*(?:\.\d+)?))?/g;function $e(t){if(!/^[0-9\s,-]+$/.test(t))return!1;const n=t.match(Be);return null!==n&&n.filter((t=>t)).length>0}function ze(t){const n=[];for(const[,r,l]of t.matchAll(Be))0!==r.length&&n.push([r,l||r].map(Number));return t=>{if(0===n.length)return!0;for(const r of n)if(t>=r[0]&&t<=r[1])return!0;return!1}}function je(t,n,r){if(t>n)return[];const l=[],d=(n-t)/(r-1);for(let n=0;n<r;n++)l.push(t+n*d);return l}const Ve=document.createElement("canvas").getContext("2d");function Ue(t,n="13px Roboto"){Ve.font=n;return Ve.measureText(t).width}function He(t,n){return null==n?[]:Object.entries(n).filter((([n,r])=>!!r.required&&null==t[n])).map((([t,n])=>t))}function Ge(t,n,r){for(const l of Object.keys(n))if(t.data[l]!==n[l]){const l={added:!0,source:r,parentId:t.id};return{data:Object.assign({},t.data,n,{_id:"",_meta:l}),id:"",meta:l}}return t}},4064:(t,n,r)=>{"use strict";var l=r(3506);window.addEventListener("load",(()=>{l.l.initialize()}))},7095:(t,n,r)=>{"use strict";var l=r(7582),d=(r(6299),r(8973)),h=r(5862),p=r(2188),f=r(9604),m=r(4262),g=(r(4915),r(7098)),y=r(5889);let v=class AnnotatedTextGoldModule extends f.p{static get styles(){return y.W}renderImpl(){const t=this.selectionService.primarySelectedInputData;if(!t)return null;const n=this.appState.currentDatasetSpec,r=(0,g.Fe)(n,m.Xs),l=(0,g.tf)(t.data,r),d=(0,g.tf)(n,r),p=(0,g.Fe)(n,m.b_),f=(0,g.tf)(t.data,p),y=(0,g.tf)(n,p),v=!this.appState.compareExamplesEnabled&&this.appState.currentModels.length>1;return h.dy`
      ${v?h.dy`<div class='offset-for-module-header'></div>`:null}
      <annotated-text-vis .segments=${l}
                          .segmentSpec=${d}
                          .annotations=${f}
                          .annotationSpec=${y}>
      </annotated-text-vis>`}static shouldDisplayModule(t,n){return(0,g.Fe)(n,m.b_).length>0}};v.title="Annotated Text (gold)",v.duplicateForExampleComparison=!0,v.duplicateForModelComparison=!1,v.numCols=4,v.template=(t,n,r)=>h.dy`
      <annotated-text-gold-module model=${t} .shouldReact=${r}
        selectionServiceIndex=${n}>
      </annotated-text-gold-module>`,v=(0,l.gn)([(0,d.Mo)("annotated-text-gold-module")],v);let b=class AnnotatedTextModule extends f.p{constructor(){super(...arguments),this.currentPreds={}}static get styles(){return y.W}firstUpdated(){this.reactImmediately((()=>this.selectionService.primarySelectedInputData),(t=>{this.updateToSelection(t)}))}updateToSelection(t){return(0,l.mG)(this,void 0,void 0,(function*(){if(null==t)return this.currentData=void 0,void(this.currentPreds={});this.currentData=t,this.currentPreds={};const n=this.apiService.getPreds([t],this.model,this.appState.currentDataset,[m.b_],[],"Retrieving annotations"),r=yield this.loadLatest("answers",n);null!==r&&(this.currentData=t,this.currentPreds=r[0])}))}renderImpl(){if(!this.currentData)return null;const t=(0,g.Fe)(this.appState.currentDatasetSpec,m.Xs),n=(0,g.tf)(this.currentData.data,t),r=(0,g.tf)(this.appState.currentDatasetSpec,t),l=this.appState.getModelSpec(this.model).output,d=(0,g.tf)(l,(0,g.Fe)(l,m.b_));return h.dy`
      <annotated-text-vis .segments=${n}
                          .segmentSpec=${r}
                          .annotations=${this.currentPreds}
                          .annotationSpec=${d}>
      </annotated-text-vis>`}static shouldDisplayModule(t,n){return(0,g.Rf)(t,m.b_)}};b.title="Annotated Text (predicted)",b.duplicateForExampleComparison=!0,b.duplicateForModelComparison=!0,b.numCols=4,b.template=(t,n,r)=>h.dy`
      <annotated-text-module model=${t} .shouldReact=${r}
        selectionServiceIndex=${n}>
      </annotated-text-module>`,(0,l.gn)([p.LO,(0,l.w6)("design:type",Object)],b.prototype,"currentData",void 0),(0,l.gn)([p.LO,(0,l.w6)("design:type",Object)],b.prototype,"currentPreds",void 0),b=(0,l.gn)([(0,d.Mo)("annotated-text-module")],b)},2756:(t,n,r)=>{"use strict";var l=r(7582),d=r(5862),h=r(8973),p=r(8810),f=r(2188),m=r(3506),g=r(9604),y=r(6070),v=r(4262),b=r(5889),x=r(4915),w=r(7098),S=r(9410);let _=class AttentionModule extends g.p{constructor(){super(...arguments),this.focusService=m.l.getService(S.io),this.selectedHeadIndex=0}static get styles(){const t=d.iv`
        .head-selector-chip {
          margin: 0px 1px;
          width: 1rem;
          text-align: center;
        }

        .head-selector-chip.selected {
          color: var(--lit-cyea-600);
          border-color: var(--lit-cyea-600);
        }

        .head-selector-chip:hover {
          background: var(--lit-cyea-100);
          cursor: pointer;
        }

        .padded-container {
          padding: 4px 8px;
        }
    `;return[b.W,t]}firstUpdated(){this.reactImmediately((()=>[this.selectionService.primarySelectedInputData,this.selectedLayer]),((t,n)=>{this.updateSelection(this.selectionService.primarySelectedInputData,this.selectedLayer)}))}updateSelection(t,n){return(0,l.mG)(this,void 0,void 0,(function*(){if(this.preds=void 0,null===t)return;const r=this.appState.currentDataset,l=this.apiService.getPreds([t],this.model,r,[v.nk],[n],"Fetching attention"),d=yield this.loadLatest("attentionAndTokens",l);if(null===d)return;this.preds=d[0];const h=null!=this.preds[n]?this.preds[n].length:0;this.selectedHeadIndex>=h&&(this.selectedHeadIndex=0)}))}renderImpl(){return d.dy`
      <div class='module-container'>
        <div class='module-toolbar'>
          ${this.renderLayerSelector()}
          ${this.renderHeadSelector()}
        </div>
        <div class='module-results-area padded-container ${x.SU}'>
          ${null!=this.preds?this.renderAttnHead():null}
        </div>
      </div>
    `}renderAttnHead(){const{output:t}=this.appState.getModelSpec(this.model),n=t[this.selectedLayer],r=this.preds[n.align_in],l=this.preds[n.align_out],h="'Share Tech Mono', monospace",p=`12px ${h}`,f=r.map((t=>(0,w.mY)(t,p,6.5))),m=l.map((t=>(0,w.mY)(t,p,6.5))),g=(0,w.mY)(" ",p,6.5),y=(0,w.P0)(f)+(r.length-1)*g,v=(0,w.P0)(m)+(l.length-1)*g,b=Math.max(y,v),x=(0,w.ip)(f,g),S=(0,w.ip)(m,g),_=this.focusService.focusData;let E=null,T=null;const C=null!=_&&_.datapointId===this.selectionService.primarySelectedInputData.id;!C||_.fieldName!==n.align_out&&_.fieldName!==n.align_in||(E=_.fieldName===n.align_in?_.subField:-1,T=_.fieldName===n.align_out?_.subField:-1);const A=()=>{null!=this.clearFocusTimer&&clearTimeout(this.clearFocusTimer),this.clearFocusTimer=window.setTimeout((()=>{this.focusService.clearFocus()}),500)},O=(t,r,l)=>{const h=l?n.align_in:n.align_out,p=l?x[r]:S[r],f=d.YP`${t}`;let m=1;C&&_.fieldName===h&&_.subField!==r&&(m=.2);const g=l?140:20;return d.YP`<text y=${g} x=${p} opacity=${m}
          @mouseover=${()=>{clearTimeout(this.clearFocusTimer),this.focusService.setFocusedField(this.selectionService.primarySelectedInputData.id,"input",h,r)}} @mouseout=${()=>{A()}}> ${f}</text>`};return d.YP`
    <svg width=${b} height=${164}
      font-family="${h}"
      font-size="${12}px">
      ${l.map(((t,n)=>O(t,n,!1)))}
      ${this.renderAttnLines(100,g,25,f,m,E,T)}
      ${r.map(((t,n)=>O(t,n,!0)))}
    </svg>
    `}renderAttnLines(t,n,r,l,h,p,f){const m=(0,w.ip)(l,n),g=(0,w.ip)(h,n),v=r,b=r+t;return this.preds[this.selectedLayer][this.selectedHeadIndex].map(((t,n)=>d.YP`
            ${t.map(((t,r)=>null!=p&&null!=f&&n!==p&&r!==f?null:d.YP`
                  <line
                    x1=${(t=>g[t]+h[t]/2)(n)}
                    y1=${v}
                    x2=${(t=>m[t]+l[t]/2)(r)}
                    y2=${b}
                    stroke="${(0,y.lf)("cyea","600").color}"
                    stroke-opacity="${t}"
                    stroke-width=2>
                  </line>`))}`))}renderLayerSelector(){const{output:t}=this.appState.getModelSpec(this.model),n=(0,w.Fe)(t,v.xk);if(void 0===this.selectedLayer&&(this.selectedLayer=n[0]),null==this.preds)return;return d.dy`
      <select class="dropdown" @change=${t=>{this.selectedLayer=t.target.value}}>
        ${n.map((t=>d.dy`<option value=${t} ?selected=${t===this.selectedLayer}>
                 ${t}
               </option>`))}
      </select>
    `}renderHeadSelector(){if(null==this.preds||null==this.preds[this.selectedLayer])return;const t=this.preds[this.selectedLayer].length,n=Array.from({length:t},((t,n)=>n));return d.dy`
        <label class="head-selector-label">Head:</label>
        ${n.map((t=>{const n=(0,p.$)({"head-selector-chip":!0,"token-chip-function":!0,selected:t===this.selectedHeadIndex});return d.dy`<div class=${n} @click=${()=>{this.selectedHeadIndex=t}}>${t}</div>`}))}
    `}static shouldDisplayModule(t,n){return(0,w.Rf)(t,v.xk)}};_.title="Attention",_.infoMarkdown="Visualize `AttentionHeads`-type fields from your model.<br>\n      [Learn more.](https://pair-code.github.io/lit/documentation/components.md#attention)",_.numCols=3,_.collapseByDefault=!0,_.duplicateForExampleComparison=!0,_.template=(t,n,r)=>d.dy`
      <attention-module model=${t} .shouldReact=${r}
        selectionServiceIndex=${n}>
      </attention-module>`,(0,l.gn)([f.LO,(0,l.w6)("design:type",String)],_.prototype,"selectedLayer",void 0),(0,l.gn)([f.LO,(0,l.w6)("design:type",Object)],_.prototype,"selectedHeadIndex",void 0),(0,l.gn)([f.LO,(0,l.w6)("design:type",Object)],_.prototype,"preds",void 0),_=(0,l.gn)([(0,h.Mo)("attention-module")],_)},2133:(t,n,r)=>{"use strict";var l=r(7582),d=(r(2637),r(1290),r(5862)),h=r(8973),p=r(2188),f=r(3506),m=r(9604),g=(r(6645),r(4262)),y=r(5889),v=(r(4915),r(7098)),b=r(7965),x=r(9410);const w=d.iv`.field-name {
  font-weight: bold;
  color: var(--lit-bold-label-color);
}

.row-title {
  padding: 4px 8px;
}

.classification-row-holder {
  padding-bottom: 10px;
}

.module-footer {
  /* Avoid spurious scrollbar from mwc-switch */
  overflow-x: clip;
}
`;let S=class ClassificationModule extends m.p{constructor(){super(...arguments),this.colorService=f.l.getService(x.x4),this.dataService=f.l.getService(x.Do),this.pinnedSelectionService=f.l.getService(x.z2,"pinned"),this.sparseMode=!1,this.labeledPredictions={}}static get styles(){return[y.W,w]}static shouldDisplayModule(t,n){return(0,v.Rf)(t,g.OS)}connectedCallback(){super.connectedCallback();this.reactImmediately((()=>[this.appState.compareExamplesEnabled,this.appState.currentModels,this.colorService.selectedColorOption,this.pinnedSelectionService.primarySelectedInputData,this.sparseMode,this.selectionService.primarySelectedInputData,this.dataService.dataVals]),(()=>{this.updateSelection()}))}updateSelection(){return(0,l.mG)(this,void 0,void 0,(function*(){const t=[];if(this.appState.compareExamplesEnabled&&this.pinnedSelectionService.primarySelectedInputData&&t.push(this.pinnedSelectionService.primarySelectedInputData),this.selectionService.primarySelectedInputData&&t.push(this.selectionService.primarySelectedInputData),0!==t.length)for(const n of this.appState.currentModels){const r=this.parseResult(n,t);Object.assign(this.labeledPredictions,r)}else this.labeledPredictions={}}))}parseResult(t,n){const{output:r}=this.appState.getModelSpec(t),l=(0,v.Fe)(r,g.OS),d={},h=this.colorService.selectedColorOption,p=h.scale.range();for(const f of l){const l=this.dataService.getColumnName(t,f),m=this.dataService.getColumnName(t,f,b.g_.PREDICTED_CLASS),g=this.dataService.getColumnName(t,f,b.g_.CORRECT);d[l]={};const{parent:y,vocab:v}=r[f],x=n.map((t=>this.dataService.getVal(t.id,l))),w=n.map((t=>this.dataService.getVal(t.id,m))),S=v||Array.from({length:x[0].length},((t,n)=>`${n}`)),_=[m,g,y].includes(h.name);for(let t=0;t<S.length;t++){const r=S[t],h=_?p[t]:void 0,f=[];for(let l=0;l<x.length;l++){const d=x[l];if(null==d){this.sparseMode||f.push({value:0,isPredicted:!1,isTruth:!1});continue}const p=d[t],m=r===w[l],{data:g}=n[l],v=null!=y&&g[y]===S[t];(!this.sparseMode||p>=.01)&&f.push({value:p,isPredicted:m,isTruth:v,color:h})}f.length&&(d[l][r]=f)}}return d}renderImpl(){const{currentModels:t,currentDatasetSpec:n}=this.appState,r=t.flatMap((t=>Object.values(this.appState.getModelSpec(t).output).filter((t=>t instanceof g.OS)))),l=r.some((t=>null!=t.parent&&t.parent in n)),h=r.some((t=>t.vocab.length>10)),p=Object.entries(this.labeledPredictions).filter((([n])=>t.some((t=>n.startsWith(t)))));return d.dy`<div class='module-container'>
      <div class="module-results-area">${p.map((([t,n],r,h)=>{const p=this.renderFeatureTable(n,l);return 1===h.length?p:d.dy`
              <expansion-panel .label=${t} expanded>
                ${p}
              </expansion-panel>`}))}</div>
      <div class="module-footer">
        <annotated-score-bar-legend ?hasTruth=${l}>
        </annotated-score-bar-legend>
        ${h?d.dy`
            <lit-switch
              labelLeft="Only show classes above ${.01}"
              ?selected=${this.sparseMode}
              @change=${()=>{this.sparseMode=!this.sparseMode}}>
            </lit-switch>`:null}
      </div>
    </div>`}renderFeatureTable(t,n){function r(t){return{template:d.dy`<annotated-score-bar
          .value=${t.value}
          .barColor=${t.color}
          ?isPredicted=${t.isPredicted}
          ?isTruth=${t.isTruth}
          ?hasTruth=${n}>
        </annotated-score-bar>`,value:t.value}}const l=Object.entries(t).map((([t,n])=>{const l=[t,...n.map(r)];if(2===n.length){const t=n[0].value,r=n[1].value;l.push(Math.abs(t-r))}return l})),h=l[0].length>2?[{name:"Class",rightAlign:!1},"Score - Pinned","Score - Selected","Δ(Pinned, Selected)"]:this.appState.compareExamplesEnabled?[{name:"Class",rightAlign:!1},"Score - Pinned"]:[{name:"Class",rightAlign:!1},"Score"];return d.dy`<lit-data-table .columnNames=${h} .data=${l}>
                </lit-data-table>`}};S.title="Classification Results",S.infoMarkdown="Classification results are displayed for labels of `MulticlassPreds`\n      and `SparseMultilabelPreds` type.<br>\n      [Learn more.](https://pair-code.github.io/lit/documentation/components.md#classification)",S.duplicateForExampleComparison=!1,S.duplicateForModelComparison=!1,S.numCols=3,S.template=(t,n,r)=>d.dy`
      <classification-module model=${t} .shouldReact=${r}
        selectionServiceIndex=${n}>
      </classification-module>`,(0,l.gn)([p.LO,(0,l.w6)("design:type",Object)],S.prototype,"sparseMode",void 0),(0,l.gn)([p.LO,(0,l.w6)("design:type",Object)],S.prototype,"labeledPredictions",void 0),S=(0,l.gn)([(0,h.Mo)("classification-module")],S)},6554:(t,n,r)=>{"use strict";var l=r(7582),d=r(5862),h=r(8973),p=r(2188),f=r(3506),m=(r(482),r(9604)),g=(r(4494),r(9537)),y=r(4262),v=r(5889),b=(r(4915),r(7098)),x=r(7190),w=r(9410);const S=d.iv`.module-results-area {
  display: flex;
  flex-direction: column;
}

.non-faceted-matrix {
  width: calc(100% - 16px);
  padding: 8px;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  align-content: start;
}

.faceted-matrices {
  flex: 1 1 0;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  align-content: start;
  padding: 8px;
}

.matrix {
  margin-right: 16px;
  margin-bottom: 16px;
}

.matrix-update-checkboxes {
  display: flex;
  flex-direction: row;
}

.module-toolbar {
  border-bottom: 1px solid var(--lit-neutral-300);
}

.matrix-options {
  width: 100%;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  align-items: center;
  justify-content: start;
  padding: 4px 0;
  column-gap: 4px;
}

#create-button {
  margin-top: 28px;
  pointer-events: auto;
}

.dropdown-holder {
  display: flex;
  flex-direction: row;
  align-items: center;
}

/* Make the "Rows" and "Columns" labels the same width */
.dropdown-label {
  display: inline-block;
  margin: 0 4px;
}

.spacer {
  width: 16px;
}

.confusion-matrix {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 4px;
  padding-bottom: 0;
  margin-bottom: 4px;
  max-width: max-content;
}

.matrix-label {
  margin-bottom: 4px;
}
`;var _;let E=_=class ConfusionMatrixModule extends m.p{static get styles(){return[v.W,S]}constructor(){super(),this.dataService=f.l.getService(w.Do),this.groupService=f.l.getService(x.l),this.facetingControl=document.createElement("faceting-control"),this.verticalColumnLabels=!1,this.hideEmptyLabels=!1,this.showSelection=!1,this.selectedRowOption=0,this.selectedColOption=1,this.facetFeatures=[],this.facetBins={},this.MAX_ENTRIES=50,this.matrices={},this.setInitialOptions();this.facetingControl.contextName=_.title,this.facetingControl.addEventListener("facets-change",(t=>{this.facetFeatures=t.detail.features,this.facetBins=t.detail.bins}))}setInitialOptions(){for(let t=0;t<this.options.length;t++){const n=this.options[t].parent;if(void 0!==n){for(let t=0;t<this.options.length;t++)if(this.options[t].name===n){this.selectedRowOption=t;break}this.selectedColOption=t;break}}}get shouldDisplaySelectionMatrix(){return this.showSelection&&this.selectionService.selectedInputData.length>0}get subsets(){const t=new Map,n=this.appState.currentInputData;if(t.set(`Dataset (${n.length})`,n),this.shouldDisplaySelectionMatrix){const n=this.selectionService.selectedInputData;t.set(`Selection (${n.length})`,n)}if(this.facetFeatures.length>0){const r=this.groupService.groupExamplesByFeatures(this.facetBins,n,this.facetFeatures),l=Object.keys(r).sort();for(const n of l){const{data:l}=r[n],d=`Dataset faceted by ${n} (${l.length})`;t.set(d,l)}}return t}get options(){const t=[],{categoricalFeatures:n}=(this.dataService.dataVals,this.groupService);for(const[r,d]of Object.entries(n)){if(d.length>this.MAX_ENTRIES)continue;const n=this.groupService.numericalFeatureBins([{featureName:r,method:x.J.DISCRETE}]),h=(t,l)=>this.groupService.getFeatureValForInput(n,t,r),p={name:r,labelList:d,runner:t=>(0,l.mG)(this,void 0,void 0,(function*(){return t.map(h)}))};for(const t of this.appState.currentModels)if(r.startsWith(`${t}:`)){const{output:n}=this.appState.getModelSpec(t),l=n[r.split(":")[1]];l instanceof y.OS&&(p.parent=l.parent)}t.push(p)}return t}firstUpdated(){this.reactImmediately((()=>this.options),(()=>{this.setInitialOptions()}))}renderImpl(){const t=this.options[this.selectedRowOption],n=this.options[this.selectedColOption],r=[...this.subsets.entries()].map((([r,l])=>d.dy` <confusion-matrix ?hideEmptyLabels=${this.hideEmptyLabels}
                                .row=${t} .col=${n}
                                .data=${l} .label=${r}>
              </confusion-matrix>`));return d.dy`<div class="module-container">
                  <div class="module-toolbar">${this.renderControls()}</div>
                  <div class="module-results-area">
                    <div class="non-faceted-matrix">
                      ${r.shift()}
                      ${this.shouldDisplaySelectionMatrix?r.shift():null}
                    </div>
                    <div class="faceted-matrices">${r}</div>
                  </div>
                </div>`}renderControls(){return d.dy`<div class="matrix-options">
                  <lit-checkbox label="Show matrix for selection"
                                ?checked=${this.showSelection}
                                @change=${()=>{this.showSelection=!this.showSelection}}>
                  </lit-checkbox>
                  <lit-checkbox label="Hide empty labels"
                                ?checked=${this.hideEmptyLabels}
                                @change=${()=>{this.hideEmptyLabels=!this.hideEmptyLabels}}>
                  </lit-checkbox>
                  <div class="spacer"></div>
                  <div class="dropdown-holder">
                    <label class="dropdown-label">Rows:</label>
                    <select class="dropdown" @change=${t=>{this.selectedRowOption=Number(t.target.value)}}>
                      ${this.options.map(((t,n)=>d.dy`
                        <option value=${n}
                                ?selected=${this.selectedRowOption===n}
                                ?disabled=${n===this.selectedColOption}>
                          ${t.name}
                        </option>`))}
                    </select>
                  </div>
                  <div class="dropdown-holder">
                    <label class="dropdown-label">Columns:</label>
                    <select class="dropdown" @change=${t=>{this.selectedColOption=Number(t.target.value)}}>
                      ${this.options.map(((t,n)=>d.dy`
                        <option value=${n}
                                ?selected=${this.selectedColOption===n}
                                ?disabled=${n===this.selectedRowOption}>
                          ${t.name}
                          </option>`))}
                    </select>
                  </div>
                  <div class="spacer"></div>
                  ${this.facetingControl}
                </div>`}static shouldDisplayModule(t){return(0,b.Rf)(t,y.OS)}};E.title="Confusion Matrix",E.infoMarkdown="Compare predictions to gold labels, between two different models,\n      or relative to other categorical fields. Click on cells or rows/column\n      headers to select the associated examples.<br>\n      [Learn more.](https://pair-code.github.io/lit/documentation/components.md#confusion-matrix)",E.template=(t,n,r)=>d.dy`<confusion-matrix-module
            model=${t} .shouldReact=${r}
            selectionServiceIndex=${n}>
        </confusion-matrix-module>`,E.numCols=4,E.duplicateForModelComparison=!1,(0,l.gn)([p.LO,(0,l.w6)("design:type",Object)],E.prototype,"verticalColumnLabels",void 0),(0,l.gn)([p.LO,(0,l.w6)("design:type",Object)],E.prototype,"hideEmptyLabels",void 0),(0,l.gn)([p.LO,(0,l.w6)("design:type",Object)],E.prototype,"showSelection",void 0),(0,l.gn)([p.LO,(0,l.w6)("design:type",Object)],E.prototype,"selectedRowOption",void 0),(0,l.gn)([p.LO,(0,l.w6)("design:type",Object)],E.prototype,"selectedColOption",void 0),(0,l.gn)([p.LO,(0,l.w6)("design:type",Array)],E.prototype,"facetFeatures",void 0),(0,l.gn)([p.LO,(0,l.w6)("design:type",Object)],E.prototype,"facetBins",void 0),(0,l.gn)([p.LO,(0,l.w6)("design:type",Object)],E.prototype,"matrices",void 0),(0,l.gn)([p.Fl,(0,l.w6)("design:type",Boolean),(0,l.w6)("design:paramtypes",[])],E.prototype,"shouldDisplaySelectionMatrix",null),(0,l.gn)([p.Fl,(0,l.w6)("design:type",Map),(0,l.w6)("design:paramtypes",[])],E.prototype,"subsets",null),(0,l.gn)([p.Fl,(0,l.w6)("design:type",Array),(0,l.w6)("design:paramtypes",[])],E.prototype,"options",null),E=_=(0,l.gn)([(0,h.Mo)("confusion-matrix-module"),(0,l.w6)("design:paramtypes",[])],E);let T=class ConfusionMatrix extends g.f{constructor(){super(...arguments),this.hideEmptyLabels=!1,this.label="Confusion Matrix",this.cells=[],this.latestLoadPromises=new Map,this.groups={},this.groupService=f.l.getService(x.l),this.selectionService=f.l.getService(w.z2)}static get styles(){return[v.W,S]}loadLatest(t,n){return(0,l.mG)(this,void 0,void 0,(function*(){this.latestLoadPromises.set(t,n);const r=yield n;return this.latestLoadPromises.get(t)===n?(this.latestLoadPromises.delete(t),r):null}))}calculateMatrix(){return(0,l.mG)(this,void 0,void 0,(function*(){if(null==this.row||null==this.col||null==this.data||0===this.data.length)return;const t=Promise.all([this.row.runner(this.data),this.col.runner(this.data)]),n=yield this.loadLatest("rowColIdxs",t);if(null==n)return;(0,b.VV)(this.row.labelList,this.col.labelList)&&(this.col.labelList=this.row.labelList);const{labelList:r,name:l}=this.row,{labelList:d,name:h}=this.col,p={[l]:n[0],[h]:n[1]},f=this.groupService.numericalFeatureBins([{featureName:l,method:x.J.DISCRETE},{featureName:h,method:x.J.DISCRETE}]);this.groups=this.groupService.groupExamplesByFeatures(f,this.data,[l,h],((t,n,r,l)=>p[l][r])),this.cells=r.map((t=>d.map((n=>{if(h===l&&n!==t)return{size:0,selected:!1};const r={[h]:{val:n,displayVal:n},[l]:{val:t,displayVal:t}},d=this.groups[(0,b.Mg)(r)];return{size:d?d.data.length:0,selected:!1}}))))}))}firstUpdated(){this.reactImmediately((()=>[this.row,this.col,this.data]),(()=>{this.calculateMatrix()}))}render(){if(null==this.row||null==this.col||null==this.data||0===this.data.length)return d.dy``;return d.dy`
        <div class='confusion-matrix'>
          <div class="matrix-label">${this.label}</div>
          <data-matrix class='matrix'
                      ?hideEmptyLabels=${this.hideEmptyLabels}
                      .matrixCells=${this.cells}
                      .rowTitle=${this.row.name}
                      .rowLabels=${this.row.labelList}
                      .colTitle=${this.col.name}
                      .colLabels=${this.col.labelList}
                      @matrix-selection=${t=>{t.stopPropagation(),t.preventDefault();let n=[];for(const[r,l]of t.detail.cells){const t=this.row.labelList[r],d=this.col.labelList[l],h={[this.col.name]:{val:d,displayVal:d},[this.row.name]:{val:t,displayVal:t}},p=this.groups[(0,b.Mg)(h)];n=n.concat(p.data.map((t=>t.id)))}this.selectionService.selectIds(n,this)}}></data-matrix>
        </div>`}};(0,l.gn)([p.LO,(0,h.Cb)({type:Object}),(0,l.w6)("design:type",Object)],T.prototype,"row",void 0),(0,l.gn)([p.LO,(0,h.Cb)({type:Object}),(0,l.w6)("design:type",Object)],T.prototype,"col",void 0),(0,l.gn)([p.LO,(0,h.Cb)({type:Array}),(0,l.w6)("design:type",Array)],T.prototype,"data",void 0),(0,l.gn)([(0,h.Cb)({type:Boolean}),(0,l.w6)("design:type",Object)],T.prototype,"hideEmptyLabels",void 0),(0,l.gn)([(0,h.Cb)({type:String}),(0,l.w6)("design:type",Object)],T.prototype,"label",void 0),(0,l.gn)([p.LO,(0,l.w6)("design:type",Array)],T.prototype,"cells",void 0),T=(0,l.gn)([(0,h.Mo)("confusion-matrix")],T)},2570:(t,n,r)=>{"use strict";var l=r(7582),d=(r(5197),r(940),r(5862)),h=r(8973),p=r(2188),f=r(3506),m=(r(482),r(9604)),g=r(4262),y=r(5889),v=r(4915),b=r(7098),x=(r(7190),r(9410));const w=d.iv`.charts-holder {
  display: flex;
  flex-flow: wrap;
  padding-top: 4px;
}

.module-toolbar {
  border-bottom: 1px solid var(--lit-neutral-300);
}

.chart-holder {
  padding-bottom: 12px;
}
`;var S;let _=S=class CurvesModule extends m.p{static get styles(){return[y.W,w]}constructor(){super(),this.isPanelCollapsed=new Map,this.groupedCurves={},this.selectedPredKeyIndex=0,this.selectedPositiveLabelIndex=0,this.positiveLabelOptions=[],this.selectedFacetBins={},this.selectedFacets=[],this.groupService=f.l.getService(x.lT),this.facetingControl=document.createElement("faceting-control");this.facetingControl.contextName=S.title,this.facetingControl.addEventListener("facets-change",(t=>{this.setFacetInfo(t)})),this.updateLabels()}connectedCallback(){super.connectedCallback(),this.reactImmediately((()=>[this.appState.currentInputData,this.predKey,this.positiveLabel]),(()=>(0,l.mG)(this,void 0,void 0,(function*(){this.datasetCurves=yield this.getCurveData(this.appState.currentInputData,this.predKey,this.positiveLabel)})))),this.reactImmediately((()=>[this.groupedExamples,this.predKey,this.positiveLabel]),(()=>(0,l.mG)(this,void 0,void 0,(function*(){yield this.getGroupedCurveData(this.groupedExamples,this.predKey,this.positiveLabel)})))),this.reactImmediately((()=>[this.appState.currentModels]),(()=>(0,l.mG)(this,void 0,void 0,(function*(){this.updateLabels(),this.datasetCurves=yield this.getCurveData(this.appState.currentInputData,this.predKey,this.positiveLabel)}))))}getGroupedCurveData(t,n,r){return(0,l.mG)(this,void 0,void 0,(function*(){this.groupedCurves={};for(const l of Object.keys(t))""!==l&&(this.groupedCurves[l]=yield this.getCurveData(t[l].data,n,r))}))}updateLabels(){let t=[];for(const n of this.appState.currentModels){const r=this.appState.getModelSpec(n);if(this.predKey in r.output){const n=r.output[this.predKey];n instanceof g.OS&&(this.selectedPositiveLabelIndex=n.vocab.findIndex(((t,r)=>r!==n.null_idx)),t=n.vocab)}}this.positiveLabelOptions=t}getCurveData(t,n,r){return(0,l.mG)(this,void 0,void 0,(function*(){const d=this.appState.currentModels;return Promise.all(d.map((d=>(0,l.mG)(this,void 0,void 0,(function*(){return this.makeBackendCall(t,d,n,r)})))))}))}makeBackendCall(t,n,r,d){return(0,l.mG)(this,void 0,void 0,(function*(){if(null==this.appState.getModelSpec(n).output[r]||!this.positiveLabel)return{prCurve:new Map,rocCurve:new Map};const l={Label:d,"Prediction field":r},h=yield this.apiService.getInterpretations(t,n,this.appState.currentDataset,"curves",l);return this.convertCurveResponse(h)}))}convertCurveResponse(t){const n={prCurve:new Map,rocCurve:new Map};for(const r of t.pr_data)0===n.prCurve.size&&0!==r[0]&&n.prCurve.set(0,1),n.prCurve.set(r[0],r[1]);for(const r of t.roc_data)0===n.prCurve.size&&0!==r[0]&&n.prCurve.set(0,0),n.rocCurve.set(r[0],r[1]);return n}get predKeyOptions(){return this.appState.currentModels.flatMap((t=>{const n=this.appState.metadata.models[t].spec;return(0,b.Fe)(n.output,g.OS)}))}get predKey(){return this.predKeyOptions[this.selectedPredKeyIndex]}get positiveLabel(){return this.positiveLabelOptions[this.selectedPositiveLabelIndex]||""}get groupedExamples(){return this.groupService.groupExamplesByFeatures(this.selectedFacetBins,this.appState.currentInputData,this.selectedFacets)}renderPredKeySelect(){const t=this.predKeyOptions,n=t.map((t=>d.dy`
        <option value=${t}>${t}</option>
      `));return this.renderSelect("Prediction key",n,(t=>{const n=t.target;this.selectedPredKeyIndex=(null==n?void 0:n.selectedIndex)||0}),t[0])}renderPositiveLabelSelect(){const t=this.positiveLabelOptions,n=t.map(((t,n)=>((t,n)=>d.dy`<option value=${t} ?selected=${n}>${t}</option>`)(t,n===this.selectedPositiveLabelIndex))),r=this.positiveLabelOptions[this.selectedPositiveLabelIndex];return this.renderSelect("Positive label",n,(t=>{const n=t.target;this.selectedPositiveLabelIndex=(null==n?void 0:n.selectedIndex)||0}),r)}renderSelect(t,n,r,l){return d.dy`
      <div class="dropdown-container">
        <label class="dropdown-label">${t}:</label>
        <select class="dropdown" @change=${r} .value=${l}>
          ${n}
        </select>
      </div>
    `}renderChart(t,n,r,l){return d.dy`
        <div class="chart-holder">
          <div class="chart-title">${n}</div>
          <line-chart height=150 width=250
                      .scores=${t} .xScale=${r} .yScale=${l}>
          </line-chart>
        </div>`}renderCharts(t,n,r){const l=null==this.isPanelCollapsed.get(n)?!r:this.isPanelCollapsed.get(n),h=[0,1],p=[0,1];return d.dy`
      <expansion-panel .label=${n} padLeft padRight
          @expansion-toggle=${()=>{const t=null==this.isPanelCollapsed.get(n)?!r:this.isPanelCollapsed.get(n);this.isPanelCollapsed.set(n,!t)}} ?expanded=${!l}>
        <div class="charts-holder">
          ${t.map(((n,r)=>{let l="Precision / Recall";return t.length>1&&(l+=` - ${this.appState.currentModels[r]}`),this.renderChart(n.prCurve,l,h,p)}))}
          ${t.map(((n,r)=>{let l="ROC (TPR / FPR)";return t.length>1&&(l+=` - ${this.appState.currentModels[r]}`),this.renderChart(n.rocCurve,l,h,p)}))}
        </div>
      </expansion-panel>`}setFacetInfo(t){this.selectedFacets.length=0,this.selectedFacets.push(...t.detail.features),this.selectedFacetBins=t.detail.bins}renderHeader(){return d.dy`
        ${this.renderPredKeySelect()}
        ${this.renderPositiveLabelSelect()}
        ${this.facetingControl}
    `}renderImpl(){const t=Object.keys(this.groupedCurves);return d.dy`
        <div class='module-container'>
          <div class='module-toolbar'>
            ${this.renderHeader()}
          </div>
          <div class='module-results-area ${v.SU}'>
            ${this.datasetCurves?this.renderCharts(this.datasetCurves,"Dataset",!0):null}
            ${t.map((t=>this.renderCharts(this.groupedCurves[t],t,!1)))}
          </div>
        </div>
        `}static shouldDisplayModule(t,n){for(const r of Object.values(t)){const t=r.spec.output;for(const r of(0,b.Fe)(t,g.OS))if((0,b.p5)(t[r],n))return!0}return!1}};_.title="PR/ROC Curves",_.numCols=3,_.duplicateForModelComparison=!1,_.template=(t,n,r)=>d.dy`
  <curves-module model=${t} .shouldReact=${r}
    selectionServiceIndex=${n}>
  </curves-module>`,(0,l.gn)([p.LO,(0,l.w6)("design:type",Object)],_.prototype,"isPanelCollapsed",void 0),(0,l.gn)([p.LO,(0,l.w6)("design:type",Array)],_.prototype,"datasetCurves",void 0),(0,l.gn)([p.LO,(0,l.w6)("design:type",Object)],_.prototype,"groupedCurves",void 0),(0,l.gn)([p.LO,(0,l.w6)("design:type",Object)],_.prototype,"selectedPredKeyIndex",void 0),(0,l.gn)([p.LO,(0,l.w6)("design:type",Object)],_.prototype,"selectedPositiveLabelIndex",void 0),(0,l.gn)([p.LO,(0,l.w6)("design:type",Array)],_.prototype,"positiveLabelOptions",void 0),(0,l.gn)([p.LO,(0,l.w6)("design:type",Array)],_.prototype,"selectedFacets",void 0),(0,l.gn)([p.aD,(0,l.w6)("design:type",Function),(0,l.w6)("design:paramtypes",[Object,String,String]),(0,l.w6)("design:returntype",Promise)],_.prototype,"getGroupedCurveData",null),(0,l.gn)([p.Fl,(0,l.w6)("design:type",Object),(0,l.w6)("design:paramtypes",[])],_.prototype,"predKeyOptions",null),(0,l.gn)([p.Fl,(0,l.w6)("design:type",Object),(0,l.w6)("design:paramtypes",[])],_.prototype,"predKey",null),(0,l.gn)([p.Fl,(0,l.w6)("design:type",Object),(0,l.w6)("design:paramtypes",[])],_.prototype,"positiveLabel",null),(0,l.gn)([p.Fl,(0,l.w6)("design:type",Object),(0,l.w6)("design:paramtypes",[])],_.prototype,"groupedExamples",null),(0,l.gn)([p.aD,(0,l.w6)("design:type",Function),(0,l.w6)("design:paramtypes",[CustomEvent]),(0,l.w6)("design:returntype",void 0)],_.prototype,"setFacetInfo",null),_=S=(0,l.gn)([(0,h.Mo)("curves-module"),(0,l.w6)("design:paramtypes",[])],_)},6326:(t,n,r)=>{"use strict";var l=r(7582),d=(r(1732),r(8684),r(5862)),h=r(8973),p=r(8810),f=r(3196),m=r(2188),g=r(3506),y=r(9604),v=r(6645),b=r(4262),x=r(5889),w=r(4915),S=r(7098),_=r(9410),E=r(437);const T=d.iv`.module-toolbar {
  justify-content: space-between;
}

#toolbar-buttons {
  display: flex;
  flex-direction: row;
  margin-left: 0;
  margin-right: 0;
}

.search-container {
  display: flex;
  flex-direction: row;
  flex-grow: 1;
  align-items: center;
  min-height: 32px;
  max-width: 60%;
  margin-left: 0;
  margin-right: 0;
  overflow-y: clip;
}

.search-input-container {
  width: calc(100% - 24px);
  padding: 4px;
  border-radius: 4px;
}

.search-input-container input {
  width: 100%;
  background-color: unset; /* transparent */
  border-width: 1px;
  border-radius: 3px;
}

.search-container-edited .search-input-container {
  background: var(--lit-bric-50);
}

.checkbox-row {
  display: flex;
  flex-direction: row;
  column-gap: 4px;
}

popup-container.column-dropdown-container {
  --popup-top: 4px;
}

.column-dropdown-container > .hairline-button {
  margin-left: 0;
  margin-right: 0;
}

lit-checkbox.column-select {
  --lit-checkbox-label-white-space: nowrap;
}
`,C={TextSegment:[220,600],CategoryLabel:[60,100],BooleanLitType:[60,100],MulticlassPreds:[60,200],Scalar:[60,100],RegressionScore:[60,100],ImageBytes:[60,void 0],SearchQuery:[100,300],Tokens:[220,600],SequenceTags:[100,600],SpanLabels:[150,200],EdgeLabels:[150,200],MultiSegmentAnnotations:[60,200],GeneratedTextCandidates:[150,400]};let A=class DataTableModule extends y.p{constructor(){super(...arguments),this.showControls=!0,this.focusService=g.l.getService(_.io),this.dataService=g.l.getService(_.Do),this.sliceService=g.l.getService(_.qG),this.referenceSelectionService=g.l.getService(_.z2,"pinned"),this.columnVisibility=new Map,this.globalSearchText="",this.globalSearchEdited=!1,this.onlyShowGenerated=!1,this.onlyShowSelected=!1}static get styles(){return[x.W,T]}get dataSpec(){return this.appState.currentDatasetSpec}get keys(){function t(t,n){const[r,l]=n.name in C?C[n.name]:[],d={name:t,maxWidth:l,minWidth:r,width:l,vocab:n.vocab};return n instanceof b.h5&&(d.vocab=["✔"," "]),d}const n=this.appState.currentInputDataKeys.map((n=>t(n,this.dataSpec[n]))),r=this.dataService.cols.map((n=>t(n.name,n.dataType)));return n.concat(r)}get defaultKeys(){return this.keys.filter((t=>{const n=this.dataService.getColumnInfo(t.name);return null==n||n.dataType.show_in_data_table}))}get defaultColumns(){return[{name:"index",minWidth:75,maxWidth:105,width:75},...this.keys]}get pinnedInputData(){return this.appState.currentInputData.filter((t=>this.referenceSelectionService.primarySelectedId===t.id))}get filteredData(){const t=this.onlyShowSelected?this.selectionService.selectedInputData:this.appState.currentInputData;return this.onlyShowGenerated?t.filter((t=>t.meta.added)):t}get sortedData(){return this.filteredData.slice().sort(((t,n)=>(0,S.Rt)(this.reversedAncestorIndices(t),this.reversedAncestorIndices(n))))}get dataEntries(){return this.sortedData.map((t=>{if(null==this.appState.indicesById.get(t.id))return[];return this.keys.filter((t=>this.columnVisibility.get(t.name))).map((n=>function(t,n,r){if(n instanceof b.Mj){const n=t=>{t.stopPropagation()};return{template:d.dy`
      <a href=${t} target="_blank"
       @click=${n}>${t}</a>`,value:t}}return(0,w.E9)(t,n,r)}(this.dataService.getVal(t.id,n.name),this.dataSpec[n.name])))}))}get selectedRowIndices(){return this.sortedData.map(((t,n)=>this.selectionService.isIdSelected(t.id)?n:-1)).filter((t=>-1!==t))}get tableDataIds(){return this.sortedData.map((t=>t.id))}indexOfId(t){return null!=t?this.tableDataIds.indexOf(t):-1}get primarySelectedIndex(){return this.indexOfId(this.selectionService.primarySelectedId)}get referenceSelectedIndex(){return this.appState.compareExamplesEnabled?this.indexOfId(this.referenceSelectionService.primarySelectedId):-1}get starredIndices(){const t=this.sliceService.getSliceByName(E.Z);return t?t.map((t=>this.indexOfId(t))):[]}get focusedIndex(){const t=this.focusService.focusData;return null==t||null!=t.io?-1:this.indexOfId(t.datapointId)}reversedAncestorIndices(t){return this.appState.getAncestry(t.id).map((t=>this.appState.indicesById.get(t))).reverse()}isStarred(t){return null!==t&&this.sliceService.isInSlice(E.Z,t)}toggleStarred(t){null!=t&&(this.isStarred(t)?this.sliceService.removeIdsFromSlice(E.Z,[t]):this.sliceService.addIdsToSlice(E.Z,[t]))}get tableData(){return this.dataEntries.map(((t,n)=>{const r=this.sortedData[n],l=this.appState.indicesById.get(r.id);if(null==l)return[];const h=t=>{(this.appState.compareExamplesEnabled?this.referenceSelectionService.primarySelectedId:null)===r.id?(this.appState.compareExamplesEnabled=!1,this.referenceSelectionService.selectIds([])):(this.appState.compareExamplesEnabled=!0,this.referenceSelectionService.selectIds([r.id])),t.stopPropagation()},m=t=>{this.toggleStarred(r.id),t.stopPropagation(),t.preventDefault()};return[{template:function(t,n,r,g,y){const v=(0,f.V)({display:"flex","justify-content":"space-between",width:"100%"}),b=(0,f.V)({display:"flex","flex-direction":"row","column-gap":"8px"}),x=(0,f.V)({"text-align":"right",flex:"1"});return d.dy`
            <div style="${v}">
              <div style=${b}>
               ${function(){function t(t){return(0,f.V)({visibility:n||g||t?"default":"hidden"})}function l(t){return(0,p.$)({"icon-button":!0,cyea:!0,"mdi-outlined":!t})}return n||g||r||y?d.dy`
              <mwc-icon style="${t(r)}"
                class="${l(r)}"
                @click=${h}
                title=${(r?"Pin":"Unpin")+" datapoint"}>
                push_pin
              </mwc-icon>
              <mwc-icon style="${t(y)}" @click=${m}
                class="${l(y)}"
                title=${y?"Remove from starred slice":"Add to starred slice"}>
                ${y?"star":"star_border"}
              </mwc-icon>`:null}()}
              </div>
              <div style="${x}">${l}</div>
            </div>`},value:l},...t]}))}connectedCallback(){super.connectedCallback();this.reactImmediately((()=>[this.appState.currentModels,this.appState.currentDataset,this.keys]),(()=>{this.updateColumns()}))}updateColumns(){const t=new Map;for(const n of this.defaultColumns)t.set(n.name,this.defaultKeys.includes(n)||"index"===n.name);this.columnVisibility=t}datasetIndexToRowIndex(t){const n=this.appState.currentInputData[t];return null==n?-1:this.sortedData.findIndex((t=>t.id===n.id))}getIdFromTableIndex(t){var n;return null===(n=this.sortedData[t])||void 0===n?void 0:n.id}onSelect(t){const n=t.map((t=>this.getIdFromTableIndex(t))).filter((t=>null!=t));this.selectionService.selectIds(n,this)}onPrimarySelect(t){const n=this.getIdFromTableIndex(t);this.selectionService.setPrimarySelection(n,this)}onHover(t){if(null==t)this.focusService.clearFocus();else{const n=this.getIdFromTableIndex(t);this.focusService.setFocusedDatapoint(n)}}renderDropdownItem(t){const n=this.columnVisibility.get(t);if(null==n)return;return d.dy`
      <div>
        <lit-checkbox class='column-select'
         label=${t} ?checked=${n}
                      @change=${()=>{this.columnVisibility.set(t,!n)}}>
        </lit-checkbox>
      </div>
    `}renderColumnDropdown(){const t=[...this.columnVisibility.keys()].filter((t=>"index"!==t));return d.dy`
      <popup-container class='column-dropdown-container'>
        <button class='hairline-button' slot='toggle-anchor-closed'>
          &nbsp;Columns&nbsp;
          <span class='material-icon'>expand_more</span>
        </button>
        <button class='hairline-button' slot='toggle-anchor-open'>
          &nbsp;Columns&nbsp;
          <span class='material-icon'>expand_less</span>
        </button>
        <div class='column-dropdown'>
          ${t.map((t=>this.renderDropdownItem(t)))}
        </div>
      </popup-container>
    `}renderControls(){var t,n,r,l;return d.dy`
      ${this.renderColumnDropdown()}
      <div class="checkbox-row">
        <lit-checkbox label="Show selected"
                  ?checked=${this.onlyShowSelected}
                  @change=${()=>{this.onlyShowSelected=!this.onlyShowSelected}}>
        </lit-checkbox>
        <lit-checkbox label="Show generated"
              ?checked=${this.onlyShowGenerated}
              @change=${()=>{this.onlyShowGenerated=!this.onlyShowGenerated}}>
        </lit-checkbox>
      </div>
      <div id="toolbar-buttons">
        <button class='hairline-button' @click=${()=>{var t;null===(t=this.table)||void 0===t||t.resetView(),this.globalSearchText=""}}
          ?disabled="${null===(n=null===(t=this.table)||void 0===t?void 0:t.isDefaultView)||void 0===n||n}">
          Reset view
        </button>
        <button class='hairline-button' @click=${()=>{this.onSelect(this.table.getVisibleDataIdxs())}}
          ?disabled="${null===(l=!(null===(r=this.table)||void 0===r?void 0:r.isFiltered))||void 0===l||l}">
          Select filtered
        </button>
      </div>
    `}renderSearch(){const t=(0,p.$)({"search-container":!0,"search-container-edited":this.globalSearchEdited});return d.dy`
      <div class=${t}>
        <mwc-icon class='icon material-icon-outlined'>search</mwc-icon>
        <div class='search-input-container'>
          <input type="search" id="search-input" .value=${this.globalSearchText}
            @input=${t=>{var n;const r=(null===(n=t.target)||void 0===n?void 0:n.value)||"";this.globalSearchEdited=r!==this.globalSearchText}}
            @keydown=${t=>{var n;if("Enter"===t.key){const r=(null===(n=t.target)||void 0===n?void 0:n.value)||"";this.globalSearchText=r,this.globalSearchEdited=!1}}} placeholder="Search"/>
        </div>
        <lit-tooltip content=${"Search using text, regex, numerical ranges,\n      and column-name prefixes. Use AND and OR for joint queries. For example,\n      'query AND ^query2 OR columnName:1-10.'"}></lit-tooltip>
      </div>`}renderTable(){const t=this.defaultColumns.filter((t=>this.columnVisibility.get(t.name))),n=this.datasetIndexToRowIndex(this.selectionService.shiftSelectionStartIndex),r=this.datasetIndexToRowIndex(this.selectionService.shiftSelectionEndIndex);return d.dy`
      <lit-data-table
        .data=${this.tableData}
        .columnNames=${t}
        .selectedIndices=${this.selectedRowIndices}
        .primarySelectedIndex=${this.primarySelectedIndex}
        .referenceSelectedIndex=${this.referenceSelectedIndex}
        .starredIndices=${this.starredIndices}
        .focusedIndex=${this.focusedIndex}
        .headerTextMaxWidth=${150}
        .globalSearchText=${this.globalSearchText}
        .onSelect=${t=>{this.onSelect(t)}}
        .onPrimarySelect=${t=>{this.onPrimarySelect(t)}}
        .onHover=${t=>{this.onHover(t)}}
        searchEnabled
        selectionEnabled
        paginationEnabled
        exportEnabled
        showMoreEnabled
        shiftSelectionStartIndex=${n}
        shiftSelectionEndIndex=${r}
      ></lit-data-table>
    `}renderImpl(){return d.dy`
      <div class='module-container'>
        ${this.showControls?d.dy`
          <div class='module-toolbar'>
            ${this.renderControls()}
          </div>
          <div class='module-toolbar'>
            ${this.renderSearch()}
          </div>`:null}
        <div class='module-results-area'>
          ${this.renderTable()}
        </div>
      </div>
    `}static shouldDisplayModule(t,n){return!0}};A.title="Data Table",A.template=(t,n,r)=>d.dy`
      <data-table-module model=${t} .shouldReact=${r}
        selectionServiceIndex=${n}>
      </data-table-module>`,A.numCols=4,A.duplicateForModelComparison=!1,(0,l.gn)([m.LO,(0,l.w6)("design:type",Object)],A.prototype,"columnVisibility",void 0),(0,l.gn)([m.LO,(0,l.w6)("design:type",Object)],A.prototype,"globalSearchText",void 0),(0,l.gn)([m.LO,(0,l.w6)("design:type",Object)],A.prototype,"globalSearchEdited",void 0),(0,l.gn)([m.LO,(0,l.w6)("design:type",Object)],A.prototype,"onlyShowGenerated",void 0),(0,l.gn)([m.LO,(0,l.w6)("design:type",Object)],A.prototype,"onlyShowSelected",void 0),(0,l.gn)([(0,h.IO)("lit-data-table"),(0,l.w6)("design:type",v.w)],A.prototype,"table",void 0),(0,l.gn)([m.Fl,(0,l.w6)("design:type",Object),(0,l.w6)("design:paramtypes",[])],A.prototype,"dataSpec",null),(0,l.gn)([m.Fl,(0,l.w6)("design:type",Array),(0,l.w6)("design:paramtypes",[])],A.prototype,"keys",null),(0,l.gn)([m.Fl,(0,l.w6)("design:type",Array),(0,l.w6)("design:paramtypes",[])],A.prototype,"defaultKeys",null),(0,l.gn)([m.Fl,(0,l.w6)("design:type",Array),(0,l.w6)("design:paramtypes",[])],A.prototype,"defaultColumns",null),(0,l.gn)([m.Fl,(0,l.w6)("design:type",Array),(0,l.w6)("design:paramtypes",[])],A.prototype,"pinnedInputData",null),(0,l.gn)([m.Fl,(0,l.w6)("design:type",Array),(0,l.w6)("design:paramtypes",[])],A.prototype,"filteredData",null),(0,l.gn)([m.Fl,(0,l.w6)("design:type",Array),(0,l.w6)("design:paramtypes",[])],A.prototype,"sortedData",null),(0,l.gn)([m.Fl,(0,l.w6)("design:type",Array),(0,l.w6)("design:paramtypes",[])],A.prototype,"dataEntries",null),(0,l.gn)([m.Fl,(0,l.w6)("design:type",Array),(0,l.w6)("design:paramtypes",[])],A.prototype,"selectedRowIndices",null),(0,l.gn)([m.Fl,(0,l.w6)("design:type",Array),(0,l.w6)("design:paramtypes",[])],A.prototype,"tableDataIds",null),(0,l.gn)([m.Fl,(0,l.w6)("design:type",Number),(0,l.w6)("design:paramtypes",[])],A.prototype,"primarySelectedIndex",null),(0,l.gn)([m.Fl,(0,l.w6)("design:type",Number),(0,l.w6)("design:paramtypes",[])],A.prototype,"referenceSelectedIndex",null),(0,l.gn)([m.Fl,(0,l.w6)("design:type",Array),(0,l.w6)("design:paramtypes",[])],A.prototype,"starredIndices",null),(0,l.gn)([m.Fl,(0,l.w6)("design:type",Number),(0,l.w6)("design:paramtypes",[])],A.prototype,"focusedIndex",null),(0,l.gn)([m.Fl,(0,l.w6)("design:type",Array),(0,l.w6)("design:paramtypes",[])],A.prototype,"tableData",null),A=(0,l.gn)([(0,h.Mo)("data-table-module")],A);let O=class SimpleDataTableModule extends A{constructor(){super(...arguments),this.showControls=!1}};O.template=()=>d.dy`<simple-data-table-module></simple-data-table-module>`,O=(0,l.gn)([(0,h.Mo)("simple-data-table-module")],O)},3072:(t,n,r)=>{"use strict";var l=r(7582),d=(r(1732),r(3886)),h=r(5862),p=r(8973),f=r(8810),m=r(3196),g=r(2188),y=r(3506),v=r(9604),b=r(4262),x=r(5889),w=r(4915),S=r(7098),_=r(7190),E=r(9929);const T=h.iv`.staged-text {
  margin-bottom: 10px;
}

.module-footer {
  justify-content: flex-end;
}

.module-footer button {
  margin: 4px;
}

.field-header {
  align-items: center;
  display: flex;
  flex-flow: row wrap;
  gap: .5em;
  justify-content: space-between;
}

.field-name a {
  /* don't apply standard link style, it's distracting */
  text-decoration: unset;
  color: unset;
}

.field-type {
  color: var(--lit-light-label-color);
  font-size: 10px;
}

.field-header mwc-icon {
  vertical-align: middle;
  padding-right: 10px; /* for a larger click target */
}

.input-box {
  width: 95%;
  /* Fill available up to outer margin, if supported. */
  width: -moz-available;
  width: -webkit-fill-available;
  border-radius: 3px;
}

.token-box {
  height: 26px;
  padding-right: 16px;
  box-sizing: border-box;
  border: 2px solid var(--lit-neutral-400);
  border-radius: 4px;
  resize: none;
  min-width: 48px;
  max-width: 250px;
  padding-left: 4px;
  max-width: 250px;
  overflow: auto;
}

.token-div {
  height: 26px;
  min-width: 16px;
  max-width: 226px;
  padding-right: 4px;
  padding-top: 2px;
  padding-left: 4px;
  box-sizing: border-box;
  border: 2px solid var(--lit-neutral-400);
  border-radius: 4px;
  overflow: auto;
}

.token-div:hover {
  cursor: text;
}

.tokens-holder {
  display: flex;
  flex-wrap: wrap;
  margin-right: 6px;
}

.icon-button.token-button {
  width: 18px;
  height: 18px;
  padding-top: 4px;
  padding-left: 2px;
  border: 2px solid var(--lit-neutral-400);
  border-radius: 4px;
  margin-bottom: 2px;
  overflow: hidden;
}

.token-holder {
  margin-right: 2px;
  position: relative;
  height: 26px;
}

.delete-button {
  position: absolute;
  right: 2px;
  top: 4px;
}

.token-outer {
  display: flex;
  margin-bottom: 2px;
}

.insert-token-div {
  width: 6px;
  background: white;
  margin-right: 2px;
  margin-bottom: 2px;
  margin-top: 2px;
  border-radius: 2px;
  cursor: pointer;
}

.insert-token-div:hover {
  background: var(--lit-neutral-400);
}

.input-short {
  width: 95%;
  /* Fill available up to outer margin, if supported. */
  width: -moz-available;
  width: -webkit-fill-available;
}

select.dropdown {
  margin-right: 4px;
  min-width: 50px;
}

.entry {
  align-items: center;
  box-sizing: border-box;
  display: flex;
  flex-flow: row wrap;
  justify-content: space-between;
  margin: 4px;
  padding: 4px;
  border-radius: 4px;
}

.entry-edited {
  background: var(--lit-bric-50);
}

/* right-align content, particularly dropdowns */
.entry-content {
  display: flex;
  justify-content: flex-end;
}

.entry-content-long {
  flex-grow: 1;
  flex-basis: 100%;
}

.entry-content.left-align {
  justify-content: flex-start;
}

input {
  font-family: 'Roboto', sans;
  color: var(--lit-gray-800);
}

textarea {
  resize: vertical;
  height: 100px;
  font-family: 'Roboto', sans;
  line-height: 18px;
  color: var(--lit-gray-800);
  background-color: unset;
}

.monospace-label {
  font-family: Monospace;
}

.annotation-cluster,
.multi-segment-annotation {
  display: flex;
  flex-direction: column;
  margin-bottom: 8px;
  width: 100%;
  width: -moz-available;
  width: -webkit-fill-available;
}

.annotation-cluster:last-child {
  margin-bottom: 0;
}

.annotation-cluster ul {
  margin-block-start: 0;
  margin-block-end: 0;
  padding-inline-start: 16px;
}

.image-holder {
  position: relative;
}

.image-min {
  max-width: 200px;
  max-height: 200px;
}

.image-toggle {
  position: absolute;
  top: 0;
  left: 0;
  margin: 5px;
  cursor: pointer;
  background: rgb(211,211,211, 0.5);
  border-radius: 4px;
  height: 20px;
  width: 20px;
  min-width: 20px;
  --mdc-icon-size: 20px;
  color: rgb(95, 99, 104);
}

.image-toggle:hover {
  opacity: .8;
  background: rgb(211,211,211, 0.8);
}

mwc-icon.google-icon {
  height: 12px;
  width: 12px;
  min-width: 12px;
  --mdc-icon-font: "Google Material Icons";
  --mdc-icon-size: 12px;
  margin-bottom: 1px;
  margin-left: 4px;
}

.hidden {
  display: none;
}

.image-button {
  margin-left: 0;
}

.error-icon {
  height: 12px;
  width: 12px;
  min-width: 12px;
  --mdc-icon-font: "Google Material Icons";
  --mdc-icon-size: 12px;
  margin-bottom: 1px;
  margin-left: 1px;
  color: var(--google-red-600);
}

.error-input {
  border-color: var(--google-red-600);
  border-style: solid;
  border-radius: 3px;
  border-width: 2px;
  padding-top: 1px;
  padding-bottom: 1px;
}

input::placeholder {
  opacity: 50%;
}


`;let C=class DatapointEditorModule extends v.p{constructor(){super(...arguments),this.groupService=y.l.getService(_.l),this.resizeObserver=new ResizeObserver((()=>{this.resize()})),this.isShiftPressed=!1,this.addButtonText="Add",this.showAddAndCompare=!0,this.dataEdits={},this.inputHeights={},this.maximizedImageFields=new Set,this.editingTokenIndex=-1,this.editingTokenWidth=0}static get styles(){return[x.W,T]}get baseData(){const t=this.selectionService.primarySelectedInputData;if(t)return t;const n=this.appState.makeEmptyDatapoint("manual"),r={};for(const t of this.appState.currentInputDataKeys)if(this.groupService.numericalFeatureNames.includes(t)){const l=n.data[t],d=this.appState.currentDatasetSpec[t],[h,p]=[d.min_val,d.max_val];(l<h||l>p)&&(r[t]="")}return(0,S.sV)(n,r,"manual")}get missingFields(){return this.appState.currentModelRequiredInputSpecKeys.filter((t=>!this.editedData.data[t]))}get invalidNumericFields(){return Object.keys(this.numericFieldRanges).filter((t=>{const n=this.editedData.data[t];if(void 0===n)return!0;const[r,l]=this.numericFieldRanges[t];return n<r||n>l}))}get numericFieldRanges(){const t={};for(const n of this.appState.currentInputDataKeys)if(this.groupService.numericalFeatureNames.includes(n)){const r=this.appState.currentDatasetSpec[n];t[n]=[r.min_val,r.max_val]}return t}get editedData(){return(0,S.sV)(this.baseData,this.dataEdits,"manual")}get datapointEdited(){return Object.keys(this.dataEdits).length>0}get dataTextKeys(){const t=[];for(const n of this.appState.currentInputDataKeys){if(this.groupService.categoricalFeatureNames.includes(n))continue;if(this.groupService.numericalFeatureNames.includes(n))continue;const r=this.appState.currentDatasetSpec[n];r instanceof b.YH||(r instanceof b.JK||r instanceof b.sO||r instanceof b.h5||t.push(n))}return t}get sparseMultilabelInputKeys(){const t=this.appState.currentDatasetSpec;return(0,S.Fe)(t,b.nY)}calculateQuantileLengthsForFields(t,n=.8){var r;const l={};for(const h of t){const t=this.appState.currentDatasetSpec[h];let p;if(t instanceof b.Su)p=t=>t.length;else{if(!(t instanceof b.nY))throw new Error(`Attempted to convert field ${h} of unrecognized type to string.`);{const n=t.separator;p=t=>Object.values(t).join(n).length}}const f=this.appState.currentInputData.map((t=>p(t.data[h])));l[h]=null!==(r=d.VRg(f,n))&&void 0!==r?r:1;const m=Math.max(...f);n*m<=l[h]&&(l[h]=m)}return l}get dataTextLengths(){return this.calculateQuantileLengthsForFields(this.dataTextKeys)}get sparseMultilabelInputLengths(){return this.calculateQuantileLengthsForFields(this.sparseMultilabelInputKeys)}connectedCallback(){super.connectedCallback(),this.reactImmediately((()=>this.appState.currentDataset),(()=>{(0,g.gx)((()=>this.appState.currentInputDataIsLoaded),(()=>{this.resize()}))})),this.react((()=>this.selectionService.primarySelectedInputData),(()=>{this.resetEditedData()}))}updated(){super.updated();const t=this.shadowRoot.querySelector(".module-container");null!=t?this.resizeObserver.observe(t):this.resizeObserver.disconnect();const n=Array.from(this.shadowRoot.querySelectorAll("textarea"));for(const t of n)t.value=t.textContent}convertNumLinesToHeight(t){return 2.4*t+.2}getHeightForInputBox(t,n,r=!0){const l=Math.ceil(8.3*t/n),d=this.convertNumLinesToHeight(Math.max(1,l));return r?`${d}ex`:d}resize(){const t=this.shadowRoot.querySelectorAll(".input-box")[0];if(null!=t){for(const[n,r]of Object.entries(this.dataTextLengths))r!==-1/0&&(this.inputHeights[n]=this.getHeightForInputBox(r,t.clientWidth));for(const[n,r]of Object.entries(this.sparseMultilabelInputLengths)){const l=this.convertNumLinesToHeight(4),d=this.getHeightForInputBox(r,t.clientWidth,!1),h=Math.min(d,l);this.inputHeights[n]=`${h}ex`}}}resetEditedData(){this.editingTokenIndex=-1,this.editingTokenField=void 0,this.dataEdits={}}renderImpl(){return h.dy`
      <div class='module-container'>
        <div class="${w.SU} module-results-area">
          ${this.renderEditableFields()}
        </div>
        <div class="module-footer">
          ${this.renderButtons()}
        </div>
      </div>
    `}renderButtons(){const t=0===this.missingFields.length,n=0===this.invalidNumericFields.length,r=this.datapointEdited&&t&&n,d=r&&!this.appState.compareExamplesEnabled,p=this.datapointEdited,f=null!=this.selectionService.primarySelectedInputData,m=()=>(0,l.mG)(this,void 0,void 0,(function*(){const t=yield this.appState.annotateNewData([this.editedData]);this.appState.commitNewDatapoints(t);const n=t.map((t=>t.id));return this.selectionService.selectIds(n),n})),g=h.dy`
      <button id="make" class='hairline-button'
        @click=${m}
        ?disabled="${!r}">
        ${this.addButtonText}
      </button>
    `,v=h.dy`
      <button id="compare" class='hairline-button'
        @click=${()=>(0,l.mG)(this,void 0,void 0,(function*(){const t=this.selectionService.primarySelectedId,n=yield m();this.appState.compareExamplesEnabled=!0,y.l.getService(E.z,"pinned").selectIds([t]),y.l.getService(E.z).selectIds(n)}))} ?disabled="${!d}">
        Add and compare
      </button>
    `,b=h.dy`
      <button id="reset" class='hairline-button'
        @click=${()=>{this.resetEditedData()}}  ?disabled="${!p}">
        Reset
      </button>
    `,x=h.dy`
      <button id="clear" class='hairline-button'
        @click=${()=>{this.selectionService.selectIds([])}}  ?disabled="${!f}">
        Clear
      </button>
    `;return h.dy`
      ${g}
      ${this.showAddAndCompare?v:null}
      ${b}
      ${x}
    `}renderEditableFields(){const t=Object.keys(this.appState.currentDatasetSpec);return h.dy`
      <div id="edit-table">
       ${t.map((t=>this.renderEntry(t,this.editedData.data[t])))}
      </div>
    `}renderEntry(t,n){const r=(n,r=(t=>t))=>{const l=r(n.target.value);l===this.baseData.data[t]?delete this.dataEdits[t]:this.dataEdits[t]=l},l=()=>{const r=this.maximizedImageFields.has(t),l=null==n?"":n.toString(),d=""===l,p=(0,f.$)({"image-min":!r,hidden:d}),m=(0,f.$)({"image-toggle":!0,hidden:d}),g=d?"Upload image":"Replace image";return h.dy`
        <div class="image-holder">
          <img class=${p} src=${l}>
          <mwc-icon class="${m}" @click=${()=>{this.maximizedImageFields.has(t)?this.maximizedImageFields.delete(t):this.maximizedImageFields.add(t)}}
                    title="Toggle full size">
            ${r?"photo_size_select_small":"photo_size_select_large"}
          </mwc-icon>
          <div>
            <input type='file' id='uploadimage' accept="image/*"
                   @change=${n=>{const r=n.target,l=null==r.files||0===r.files.length?null:r.files[0];if(null==l)return;const d=new FileReader;d.addEventListener("load",(()=>{const n=d.result;n===this.baseData.data[t]?delete this.dataEdits[t]:this.dataEdits[t]=n})),d.readAsDataURL(l),r.value=""}} class="hidden">
            <button class="hairline-button image-button"
                   @click=${()=>{this.shadowRoot.querySelector("#uploadimage").click()}}>
              <span class="material-icon">publish</span>
              ${g}
            </button>
          </div>
        </div>
      `},d=this.appState.currentModelRequiredInputSpecKeys.includes(t),p=this.missingFields.includes(t),g=this.invalidNumericFields.includes(t),y=(p&&d||g)&&this.datapointEdited,v=y?"error-input":"",x=y?"error-icon":"",_={height:this.inputHeights[t]},E=()=>h.dy`<input type="text" class="input-short ${v}"
          @input=${r} .value=${n} />`,T=()=>{const[l,d]=this.numericFieldRanges[t];return h.dy`
      <input type="number" class="input-short ${v}"
        @input=${t=>{r(t,(t=>{if(""!==t)return Number(t)}))}}
        .placeholder="${l} — ${d}"
        .value=${n} />`},C=t=>h.dy`<div class="monospace-label">${(0,w.$A)(t)}</div>`,A=()=>h.dy`<div>${n?n.map(C):null}</div>`,O=()=>h.dy`<div>${n?n.map((t=>h.dy`<div class="monospace-label">${(0,w.re)(t)}</div>`)):null}</div>`,I=()=>h.dy`<div class="multi-segment-annotation">${n?n.map((t=>h.dy`<div class="annotation-cluster">
          <div>${(0,w.rn)(t)}</div>
          <ul>${t.spans.map((t=>h.dy`<li>${C(t)}</li>`))}</ul>
        </div>`)):""}</div>`;const P=()=>h.dy`
      <lit-checkbox
        ?checked=${n}
        @change=${t=>{r(t,(()=>!!t.target.checked))}}
      ></lit-checkbox>`,D=()=>this.renderTokensInput(t,n,r,!($ instanceof b.JK));let F=()=>h.dy`
      <textarea
        class="input-box ${v}"
        style="${(0,m.V)(_)}"
        @input=${r}>${n}</textarea>`;const B={"entry-content":!0,"entry-content-long":!1,"left-align":!1},$=this.appState.currentDatasetSpec[t],{vocab:j}=$;null==j||$ instanceof b.nY?this.groupService.categoricalFeatureNames.includes(t)?F=E:this.groupService.numericalFeatureNames.includes(t)?F=T:(0,S.kL)($,[b.nk,b.sm,b.nY])?(F=D,B["entry-content-long"]=!0,B["left-align"]=!0):$ instanceof b.JK?F=function(){return h.dy`<div class="monospace-label">
        ${n?h.dy`&lt;float&gt;[${n.length}]`:null}
      </div>`}:$ instanceof b.hW?F=A:$ instanceof b.k6?F=O:$ instanceof b.b_?F=I:$ instanceof b.sO?F=l:$ instanceof b.h5?F=P:B["entry-content-long"]=!0:F=()=>{return t=j,h.dy`
        <select class="dropdown"
          @change=${r} .value=${n}>
          ${t.map((t=>h.dy`
            <option value="${t}" ?selected=${t===n}>${t}</option>
          `))}
        </select>
      `;var t};const V=t=>{"Shift"===t.key&&(this.isShiftPressed=!1)},U=t=>{"Shift"===t.key&&(this.isShiftPressed=!0),"Enter"===t.key&&(this.isShiftPressed||(t.preventDefault(),this.shadowRoot.getElementById("make").click()))};let G="";if(g){const[n,r]=this.numericFieldRanges[t];G=`Please choose a value between ${n} and\n          ${r}.`}else y&&(G=`Please enter a valid value for the ${t} field.`);let W=h.dy`${d?"*":""}${t}`;if($ instanceof b.Mj)W=h.dy`
        <a href=${n} target="_blank">
          ${W}
          <mwc-icon class="icon-button">open_in_new</mwc-icon>
        </a>`;else if($ instanceof b.Jb){const t=new URLSearchParams;t.set("q",n),W=h.dy`
        <a href="https://www.google.com/search?${t.toString()}" target="_blank">
          ${W}
          <mwc-icon class="icon-button google-icon">google</mwc-icon>
        </a>`}const q=(0,f.$)({entry:!0,"entry-edited":void 0!==this.dataEdits[t]});return h.dy`
      <div class=${q}
        @keyup=${t=>{V(t)}}
        @keydown=${t=>{U(t)}}
        >
        <div class='field-header'>
          <div class='field-name'>${W}</div>
          <div class='field-type'>${$.name}</div>
          <lit-tooltip content=${G}>
            <mwc-icon slot="tooltip-anchor" class="${x}">
              ${y?"error":null}
            </mwc-icon>
          </lit-tooltip>
        </div>
        <div class=${(0,f.$)(B)}>
          ${F()}
        </div>
      </div>
    `}renderTokensInput(t,n,r,l=!0){const d=null==n?[]:[...n],p=[];for(let n=0;n<d.length;n++){const g=d[n],y=t=>{r(t,(t=>(d[n]=t,d)))},v=this.editingTokenIndex===n&&this.editingTokenField===t,b=t=>{r(t,(()=>(d.splice(n,1),d)))},x=l=>{r(l,(()=>(d.splice(n+1,0,""),d))),this.editingTokenIndex=n+1,this.editingTokenField=t},w=()=>v?h.dy`<mwc-icon class="icon-button delete-button"
                           title="delete token"
                           @click=${b}>delete</mwc-icon>`:null,S=(0,f.$)({"insert-token-div":!0}),_=r=>{this.editingTokenIndex=n,this.editingTokenField=t,this.editingTokenWidth=r.target.clientWidth},E=t=>{window.setTimeout((()=>{this.editingTokenIndex===n&&(this.editingTokenIndex=-1)}),200)},T=()=>{requestAnimationFrame((()=>{const t=this.renderRoot.querySelector(".token-box");null!=t&&t.focus()}));const t=this.editingTokenWidth+60,n=(0,m.V)({width:`${t}px`});return h.dy`
            <textarea class="token-box"
                      style=${n}
                      @input=${y} rows=1
                      @focusout=${E}
            >${g}</textarea>`},C=()=>h.dy`
        <div class="token-div"
             @click=${_}>${g}</div>`,A=()=>h.dy`
        <div class="${S}" @click=${x}
            title="insert token">
        </div>`;p.push(h.dy`<div class="token-outer">
                 <div class="token-holder">
                   ${v?T():C()}
                   ${l?w():null}
                 </div>
                 ${l?A():null}
              </div>`)}const g=n=>{r(n,(()=>(d.push(""),d))),this.editingTokenIndex=d.length-1,this.editingTokenField=t};return h.dy`<div class="tokens-holder">
        ${p.map((t=>t))}
        ${l?h.dy`<mwc-icon class="icon-button token-button" @click=${g}
                  title="insert token">add
           </mwc-icon>`:null}
        </div>`}static shouldDisplayModule(t,n){return!0}};C.title="Datapoint Editor",C.numCols=2,C.template=(t,n,r)=>h.dy`
      <datapoint-editor-module model=${t} .shouldReact=${r}
        selectionServiceIndex=${n}>
      </datapoint-editor-module>`,C.duplicateForExampleComparison=!0,C.duplicateForModelComparison=!1,(0,l.gn)([g.Fl,(0,l.w6)("design:type",Object),(0,l.w6)("design:paramtypes",[])],C.prototype,"baseData",null),(0,l.gn)([g.LO,(0,l.w6)("design:type",Object)],C.prototype,"dataEdits",void 0),(0,l.gn)([g.Fl,(0,l.w6)("design:type",Array),(0,l.w6)("design:paramtypes",[])],C.prototype,"missingFields",null),(0,l.gn)([g.Fl,(0,l.w6)("design:type",Array),(0,l.w6)("design:paramtypes",[])],C.prototype,"invalidNumericFields",null),(0,l.gn)([g.Fl,(0,l.w6)("design:type",Object),(0,l.w6)("design:paramtypes",[])],C.prototype,"numericFieldRanges",null),(0,l.gn)([g.Fl,(0,l.w6)("design:type",Object),(0,l.w6)("design:paramtypes",[])],C.prototype,"editedData",null),(0,l.gn)([g.Fl,(0,l.w6)("design:type",Boolean),(0,l.w6)("design:paramtypes",[])],C.prototype,"datapointEdited",null),(0,l.gn)([g.LO,(0,l.w6)("design:type",Object)],C.prototype,"inputHeights",void 0),(0,l.gn)([g.LO,(0,l.w6)("design:type",Object)],C.prototype,"maximizedImageFields",void 0),(0,l.gn)([g.LO,(0,l.w6)("design:type",Object)],C.prototype,"editingTokenIndex",void 0),(0,l.gn)([g.LO,(0,l.w6)("design:type",String)],C.prototype,"editingTokenField",void 0),(0,l.gn)([g.LO,(0,l.w6)("design:type",Object)],C.prototype,"editingTokenWidth",void 0),(0,l.gn)([g.Fl,(0,l.w6)("design:type",Array),(0,l.w6)("design:paramtypes",[])],C.prototype,"dataTextKeys",null),(0,l.gn)([g.Fl,(0,l.w6)("design:type",Array),(0,l.w6)("design:paramtypes",[])],C.prototype,"sparseMultilabelInputKeys",null),(0,l.gn)([g.Fl,(0,l.w6)("design:type",Object),(0,l.w6)("design:paramtypes",[])],C.prototype,"dataTextLengths",null),(0,l.gn)([g.Fl,(0,l.w6)("design:type",Object),(0,l.w6)("design:paramtypes",[])],C.prototype,"sparseMultilabelInputLengths",null),C=(0,l.gn)([(0,p.Mo)("datapoint-editor-module")],C);let A=class SimpleDatapointEditorModule extends C{constructor(){super(...arguments),this.addButtonText="Analyze",this.showAddAndCompare=!1}};A.template=(t="",n=0)=>h.dy`<simple-datapoint-editor-module selectionServiceIndex=${n}></simple-datapoint-editor-module>`,A=(0,l.gn)([(0,p.Mo)("simple-datapoint-editor-module")],A)},9791:(t,n,r)=>{"use strict";var l,d=r(7582),h=r(5862),p=r(8973),f=r(355),m=r(2188),g=r(3506),y=r(9604),v=r(7146),b=r(6070),x=r(4262),w=r(5889),S=(r(4915),r(7098)),_=r(7190),E=r(9410),T=r(5108);const C=(0,b.nA)("black"),A=(0,b.nA)((0,b.lf)("cyea","700").color),O=(0,b.nA)((0,b.lf)("mage","400").color),I=(0,b.nA)((0,b.lf)("mage","700").color),P=[0,0,0,0];function D(t,n){t.FillColor=C,t.SizePixel=14,t.PositionWorld=n.world,t.PositionPixel=n.pixel}function F(t,n){return t.localeCompare(n)}function B(t){t.FillColor=P,t.SizePixel=0}let $=l=class DiveModule extends y.p{constructor(){super(...arguments),this.colorService=g.l.getService(E.x4),this.dataService=g.l.getService(E.Do),this.focusService=g.l.getService(E.io),this.groupService=g.l.getService(E.lT),this.pinnedSelectionService=g.l.getService(E.z2,"pinned"),this.colsFeatureIdx=1,this.rowsFeatureIdx=0,this.points=new Map,this.dots=[],this.columns=[],this.rows=[],this.colorValueMap=new Map,this.resizeObserver=new ResizeObserver((()=>{this.resize()})),this.selections=Object.seal({columnLabels:void 0,rowLabels:void 0,points:void 0})}static get styles(){const t=h.iv`
      .scene {
        height: 100%;
        width: 100%;
        cursor: crosshair;
      }

      select.limit-width {
        width: 150px;
        max-width: 150px;
      }

      .dive-controls {
        width: 100%;
        height: 100%;
        display: flex;
        flex-direction: row;
        align-items: center;
        justify-content: space-between;
      }

      .dive-controls .feature-selectors {
        display: flex;
        flex-direction: row;
      }

      .dive-controls .icon-button {
        font-size: 16px;
      }
    `;return[w.W,t]}configure(){var t;const n=this.groupService.denseFeatureNames[this.colsFeatureIdx],r=this.groupService.denseFeatureNames[this.rowsFeatureIdx];if(null==n||null==r)return;const l=(t,n)=>{var r;const l=(null===(r=this.focusService.focusData)||void 0===r?void 0:r.datapointId)===n.id,d=this.pinnedSelectionService.primarySelectedId===n.id,h=this.selectionService.primarySelectedId===n.id,p=this.selectionService.selectedIds.includes(n.id)&&!(l||d||h),f=l||d||h||p,m=0===this.selectionService.selectedIds.length,g=this.appState.getCurrentInputDataById(n.id),y=this.colorService.getDatapointColor(g),x=(0,b.nA)(y);t.BorderColor=d?I:h?A:x,t.BorderColorOpacity=f?1:.25,t.BorderRadiusPixel=d||h?2:0,t.BorderPlacement=1,t.FillColor=l||d?O:x,t.FillColorOpacity=m||f?1:.25,t.PositionWorld=n.world,t.PositionPixel=n.pixel,t.Sides=2,t.SizeWorld=.9*v,t.SizePixel=0},d=(t,n)=>{const r=this.colorValueMap.get(t.id),l=this.colorValueMap.get(n.id);return r>l?1:r<l?-1:0},h=this.groupExamples([r,n]),p=this.matrixSizes(h,n,r),f=p.columns,m=Object.keys(f).sort(F),g=p.rows,y=Object.keys(g).sort(F),v=1/Object.values(f).reduce(((t,n)=>t+n.size),0);this.columns=m.map(((t,n)=>{const r=f[t],l=(r.sumTo+r.size/2)*v-.5;return{text:t,pixel:{x:8*m.indexOf(t),y:0},world:{x:l,y:.5}}})),this.rows=y.map(((t,n)=>{const r=g[t],l=r.sumTo,d=r.size/2,h=-(.5+v),p=.5-(l+d)*v;return{text:t,pixel:{x:0,y:8*y.indexOf(t)},world:{x:h,y:p}}}));for(const[t,l]of Object.entries(h)){if(!(n in l.facets)||!(r in l.facets)){T.warn(`Skipping "${t}". Missing ${n} or ${r}. Has ${Object.keys(l.facets).join(" ")}. Contains ${l.data.length} element(s).`,l);continue}const h=Math.ceil(Math.sqrt(l.data.length)),p=h*v,b=Math.floor(l.data.length/h)*v,x=l.facets[n].displayVal,w=8*m.indexOf(x),S=f[x].sumTo,_=l.facets[r].displayVal,E=8*y.indexOf(_),C=g[_].sumTo,A=(g[_].size*v-b)/2,O=(f[x].size*v-p)/2;("None"===this.colorService.selectedColorOption.name?l.data:l.data.sort(d)).forEach((({id:t},n)=>{this.points.has(t)||this.points.set(t,{id:t,pixel:{x:0,y:0},world:{x:0,y:0}});const r=this.points.get(t),l=(Math.floor(n%h)+S)*v,d=(Math.floor(n/h)+C)*v;r.world.x=l+O-.5,r.world.y=.5-(d+A),r.pixel.x=w,r.pixel.y=E}))}this.dots=[...this.points.values()],null===(t=this.selections.points)||void 0===t||t.onInit(l).onUpdate(l),this.resetScale()}groupExamples(t){const n=t.filter((t=>this.groupService.numericalFeatureNames.includes(t))).map((t=>({featureName:t,method:_.J.EQUAL_INTERVAL}))),r=this.groupService.numericalFeatureBins(n);return this.groupService.groupExamplesByFeatures(r,this.appState.currentInputData,t)}matrixSizes(t,n,r){const l={columns:{},rows:{}},d=Object.keys(t).sort(F);for(const h of d){const d=t[h],p=Math.ceil(Math.sqrt(d.data.length)),f=Math.ceil(d.data.length/p);for(const[t,{displayVal:h}]of Object.entries(d.facets))if(n===r)null==l.columns[h]?l.columns[h]={size:p,sumTo:0}:p>l.columns[h].size&&(l.columns[h].size=p),null==l.rows[h]?l.rows[h]={size:f,sumTo:0}:f>l.rows[h].size&&(l.rows[h].size=f);else{const r=n===t?p:f,d=n===t?l.columns:l.rows;null==d[h]?d[h]={size:r,sumTo:0}:r>d[h].size&&(d[h].size=r)}}let h=0;for(const t of Object.values(l.columns))t.sumTo=h,h+=t.size;let p=0;for(const t of Object.values(l.rows))t.sumTo=p,p+=t.size;return l}draw(){var t,n,r;null===(t=this.selections.columnLabels)||void 0===t||t.bind(this.columns),null===(n=this.selections.rowLabels)||void 0===n||n.bind(this.rows),null===(r=this.selections.points)||void 0===r||r.bind(this.dots)}resetScale(){if(null==this.container||null==this.scene)return;const{width:t,height:n}=this.container.getBoundingClientRect();if(0===t||0===n)return;const r=n<t?n:t;this.scene.scale.x=.7*r,this.scene.scale.y=.7*r,this.scene.offset.x=Math.ceil(t/2),this.scene.offset.y=Math.floor(n/2)-8-14}resize(){var t;null===(t=this.scene)||void 0===t||t.resize(),this.resetScale()}updateZoom(t,n){if(null!=this.scene){const{x:r,y:l}=this.scene.offset;this.scene.scale.x=t,this.scene.scale.y=n,this.scene.offset.x=r,this.scene.offset.y=l}}renderControls(){const t=t=>{if(null!=this.scene){const{x:n,y:r}=this.scene.scale;this.updateZoom(n*t,r*t)}},n=[["Rows:",this.rowsFeatureIdx,t=>{this.rowsFeatureIdx=Number(t.target.value)}],["Columns:",this.colsFeatureIdx,t=>{this.colsFeatureIdx=Number(t.target.value)}]];return h.dy`<div class="dive-controls">
      <div class="feature-selectors">
        ${n.map((([t,n,r])=>h.dy`
        <div class="dropdown-holder">
          <label class="dropdown-label">${t}</label>
          <select class="dropdown limit-width" @change=${r}
                  aria-label=${this.groupService.denseFeatureNames[n]}>
            ${this.groupService.denseFeatureNames.map(((t,r)=>h.dy`
              <option value=${r} ?selected=${n===r}>
                ${t}
              </option>`))}
          </select>
        </div>`))}
      </div>
      <div class="view-controls">
        <lit-tooltip content="Zoom in" tooltipPosition="left">
          <span class="material-icon-outlined icon-button" slot="tooltip-anchor"
                @click=${()=>{t(1.1)}}>
            zoom_in
          </span>
        </lit-tooltip>
        <lit-tooltip content="Zoom out" tooltipPosition="left">
          <span class="material-icon-outlined icon-button" slot="tooltip-anchor"
                @click=${()=>{t(.9)}}>
            zoom_out
          </span>
        </lit-tooltip>
        <lit-tooltip content="Reset view" tooltipPosition="left">
          <span class="material-icon-outlined icon-button" slot="tooltip-anchor"
                @click=${()=>{this.resetScale()}}>
            view_in_ar
          </span>
        </lit-tooltip>
      </div>
    </div>`}renderFooter(){const[t]=this.colorService.selectedColorOption.scale.domain(),n="number"==typeof t?v.H.SEQUENTIAL:v.H.CATEGORICAL;return h.dy`<color-legend legendType=${n}
      label=${this.colorService.selectedColorOption.name}
      .scale=${this.colorService.selectedColorOption.scale}>
    </color-legend>`}render(){return h.dy`<div class="module-container">
      <div class='module-toolbar'>${this.renderControls()}</div>
      <div class="module-results-area">
        <div class="scene" @click=${t=>{var n;const{mouseDown:r,mouseMoved:l}=this;if(r===l){const{offsetX:r,offsetY:l}=t,d=null===(n=this.selections.points)||void 0===n?void 0:n.hitTest({x:r,y:l});if(null==d?void 0:d.length){const n=d[0].id,r=d.map((t=>t.id));if(t.altKey)return this.pinnedSelectionService.selectIds([]),void this.pinnedSelectionService.setPrimarySelection(n);(t.metaKey||t.ctrlKey)&&r.unshift(...this.selectionService.selectedIds),this.selectionService.selectIds(r),this.selectionService.setPrimarySelection(n)}else this.selectionService.selectIds([])}this.mouseDown=void 0,this.mouseMoved=void 0}} @mousedown=${t=>{this.mouseDown={x:t.offsetX,y:t.offsetY},this.mouseMoved=this.mouseDown}}
             @mousemove=${t=>{var n;t.stopPropagation(),t.preventDefault();const{offsetX:r,offsetY:l}=t;if(null!=this.mouseMoved){if(null==this.scene)return;this.focusService.clearFocus(),this.scene.offset.x-=this.mouseMoved.x-r,this.scene.offset.y-=this.mouseMoved.y-l,this.mouseMoved={x:r,y:l}}else{const t=null===(n=this.selections.points)||void 0===n?void 0:n.hitTest({x:r,y:l});(null==t?void 0:t.length)?this.focusService.setFocusedDatapoint(t[0].id):this.focusService.clearFocus()}}} @mouseout=${()=>{this.mouseDown=void 0,this.mouseMoved=void 0}}
             @wheel=${t=>{if(t.preventDefault(),t.stopPropagation(),null!=this.scene){const{x:n,y:r}=this.scene.scale,l=-.05*t.deltaY;this.updateZoom(n+l,r+l)}}}></div>
      </div>
      <div class="module-footer">${this.renderFooter()}</div>
    </div>`}firstUpdated(){if(null==this.container)return;this.scene=new f.Scene({container:this.container,defaultTransitionTimeMs:300}),this.selections.columnLabels=this.scene.createTextSelection(),this.selections.columnLabels.align((()=>"center")).verticalAlign((()=>"bottom")).text((t=>t.text)).onInit(D).onUpdate(D).onExit(B),this.selections.rowLabels=this.scene.createTextSelection(),this.selections.rowLabels.align((()=>"right")).verticalAlign((()=>"middle")).text((t=>t.text)).onInit(D).onUpdate(D).onExit(B),this.selections.points=this.scene.createSelection(),this.selections.points.onExit(B),this.resizeObserver.observe(this.container),this.reactImmediately((()=>this.appState.currentDataset),(()=>{var t,n,r;null===(t=this.selections.columnLabels)||void 0===t||t.clear(),null===(n=this.selections.rowLabels)||void 0===n||n.clear(),null===(r=this.selections.points)||void 0===r||r.clear(),this.points=new Map}));this.reactImmediately((()=>[this.colsFeatureIdx,this.rowsFeatureIdx,this.dataService.dataVals,this.colorService.selectedColorOption]),(()=>{const t=this.colorService.selectedColorOption.name;if("None"!==t)for(const{id:n}of this.appState.currentInputData)this.colorValueMap.set(n,this.dataService.getVal(n,t));this.configure(),this.draw()}));this.reactImmediately((()=>{var t;return[this.selectionService.selectedIds,this.selectionService.primarySelectedId,this.pinnedSelectionService.primarySelectedId,null===(t=this.focusService.focusData)||void 0===t?void 0:t.datapointId]}),(()=>{this.draw()}))}};$.compatibleTypes=[x.h5,x.q0,x.Ru],$.title="Dive",$.numCols=3,$.shouldDisplayModule=(t,n)=>{const r=[];r.push(...(0,S.Fe)(n,l.compatibleTypes));for(const{spec:n}of Object.values(t)){const{input:t,output:d}=n;r.push(...(0,S.Fe)(t,l.compatibleTypes)),r.push(...(0,S.Fe)(d,l.compatibleTypes))}return new Set(r).size>1},$.template=(t,n,r)=>h.dy`<dive-module model=${t} .shouldReact=${r}
                selectionServiceIndex=${n}>
              </dive-module>`,(0,d.gn)([m.LO,(0,d.w6)("design:type",Object)],$.prototype,"colsFeatureIdx",void 0),(0,d.gn)([m.LO,(0,d.w6)("design:type",Object)],$.prototype,"rowsFeatureIdx",void 0),(0,d.gn)([(0,p.IO)("div.scene"),(0,d.w6)("design:type",HTMLDivElement)],$.prototype,"container",void 0),$=l=(0,d.gn)([(0,p.Mo)("dive-module")],$)},552:(t,n,r)=>{"use strict";var l=r(7582),d=r(8973),h=r(5862),p=r(2188),f=r(3506),m=r(9604),g=(r(4915),r(7098)),y=r(9410),v=r(5889);let b=class DocumentationModule extends m.p{static get styles(){const t=h.iv`
      .wrapper {
        margin: 8px;
      }
    `;return[v.W,t]}get markdownString(){return(0,g.Xo)(this.appState.metadata.inlineDoc)}renderImpl(){return h.dy`<div class="wrapper">${this.markdownString}</div>`}static shouldDisplayModule(t,n){var r;return null!=(null===(r=f.l.getService(y.aB).metadata)||void 0===r?void 0:r.inlineDoc)}};b.title="Documentation",b.numCols=3,b.duplicateForModelComparison=!1,b.template=(t,n,r)=>h.dy`
      <documentation-module model=${t} .shouldReact=${r}
        selectionServiceIndex=${n}>
      </documentation-module>`,(0,l.gn)([p.Fl,(0,l.w6)("design:type",Object),(0,l.w6)("design:paramtypes",[])],b.prototype,"markdownString",null),b=(0,l.gn)([(0,d.Mo)("documentation-module")],b)},2186:(t,n,r)=>{"use strict";var l=r(7582),d=(r(3514),r(1764),r(3886)),h=r(2688),p=r(5862),f=r(8973),m=r(2188),g=r(3506),y=r(9604),v=r(7146),b=r(8286),x=r(6070),w=r(4262),S=r(5889),_=(r(4915),r(7098)),E=r(9410);const T=p.iv`#scatter-gl-container {
  height: 100%;
  user-select: none;
}

#scatter-gl-container>canvas {
  outline: none;
}

.hidden-container {
  display: none;
}

.container {
  position: relative;
  height: 100%;
  overflow: hidden;
}

/* *
 * TODO(https://github.com/PAIR-code/scatter-gl/issues/113): Remove when fixed.
 */
.module-results-area {overflow: hidden}

.module-footer > * { min-width: 0; }

.selected-nearest-button:disabled {
  pointer-events: auto;
}

#select-button-container {
  bottom: 4px;
  right: 4px;
}
`,C="nearest neighbors",A={pca:{displayName:"PCA",interpreterName:"pca"},umap:{displayName:"UMAP",interpreterName:"umap"}};let O=class EmbeddingsModule extends y.p{static get styles(){return[S.W,T]}get projector(){return this.projectorChoices[this.projectorName]}get currentInputIndicesById(){const t=new Map;return this.appState.currentInputData.forEach(((n,r)=>{t.set(n.id,r)})),t}get embeddingOptions(){const t=this.appState.currentModels.flatMap((t=>{const n=this.appState.metadata.models[t].spec;return(0,_.Fe)(n.output,w.JK).map((n=>({modelName:t,fieldName:n})))}));return(0,_.Fe)(this.appState.currentDatasetSpec,w.JK).map((t=>({modelName:"",fieldName:t}))).concat(t)}get embeddingOptionNames(){return this.embeddingOptions.map((t=>""===t.modelName?`${t.fieldName}`:`${t.modelName}:${t.fieldName}`))}get displayLabels(){const t=this.getLabelByFields();return this.appState.currentInputData.map((n=>{let r="";if(this.selectedLabelIndex<t.length){const l=t[this.selectedLabelIndex];r=n.data[l]}return{label:r,added:n.meta.added?1:0}}))}get scatterGLDataset(){if(0===this.projectedPoints.length)return null;const t=this.displayLabels.slice(0,this.projectedPoints.length),n=new h.qz(this.projectedPoints,t);return this.spriteImage&&n.setSpriteMetadata({spriteImage:this.spriteImage,singleSpriteSize:[48,48]}),n}getEmbeddingCache(t,n,r,d){const h=`${t}:${n}:${r}:${JSON.stringify(d)}`;if(!this.embeddingCache.has(h)){const p=h=>(0,l.mG)(this,void 0,void 0,(function*(){return this.apiService.getInterpretations(h,n,t,r,d,"Fetching projections")})),f=new b.p(p,(t=>t.id));this.embeddingCache.set(h,f)}return this.embeddingCache.get(h)}getNearestNeighbors(t,n=10){return(0,l.mG)(this,void 0,void 0,(function*(){const{modelName:r,fieldName:l}=this.embeddingOptions[this.selectedEmbeddingsIndex],d={embedding_name:l,num_neighbors:n,use_input:""===r},h=yield this.apiService.getInterpretations([t],r,this.appState.currentDataset,C,d,`Running ${C}`);if(null===h)return;const p=h[0].nearest_neighbors.map((t=>t.id));this.selectionService.selectIds(p)}))}constructor(){super(),this.projectorChoices={},this.isLoading=!1,this.projectedPoints=[],this.colorService=g.l.getService(E.x4),this.focusService=g.l.getService(E.io),this.dataService=g.l.getService(E.Do),this.pinnedSelectionService=g.l.getService(E.z2,"pinned"),this.resizeObserver=new ResizeObserver((()=>{var t;const n=this.shadowRoot.querySelector(".module-results-area"),r=this.shadowRoot.getElementById("scatter-gl-container");if(null==n||null==r)return;const l=n.getBoundingClientRect(),d=r.getBoundingClientRect();d.width&&d.height&&d.width===l.width&&d.height===l.height&&(null===(t=this.scatterGL)||void 0===t||t.resize())})),this.embeddingCache=new Map,this.selectedEmbeddingsIndex=0,this.selectedLabelIndex=0,this.selectedSpriteIndex=0;const t=this.appState.metadata.interpreters;for(const[n,r]of Object.entries(A))t.hasOwnProperty(r.interpreterName)&&(this.projectorChoices[n]=r);if(Object.keys(this.projectorChoices).length<=0)throw new Error("Embeddings module: no projection methods available.");this.appState.currentInputData.length>1e3&&this.projectorChoices.hasOwnProperty("pca")?this.projectorName="pca":this.projectorChoices.hasOwnProperty("umap")?this.projectorName="umap":this.projectorName=Object.keys(this.projectorChoices)[0]}firstUpdated(){const t=this.shadowRoot.getElementById("scatter-gl-container");this.scatterGL=new h.cq(t,{pointColorer:(t,n,r)=>this.pointColorer(t,n,r),onSelect:this.onSelect.bind(this),onHover:this.onHover.bind(this),styles:{fog:{threshold:4}},rotateOnStart:!1}),this.resizeObserver.observe(t)}connectedCallback(){super.connectedCallback(),this.setupReactions()}setupReactions(){this.reactImmediately((()=>[this.appState.currentInputData,this.selectedEmbeddingsIndex,this.projectorName]),(()=>{this.computeProjectedEmbeddings()}),{delay:.2});this.reactImmediately((()=>[this.dataService.dataVals,this.scatterGLDataset,this.colorService.selectedColorOption]),(()=>{this.updateScatterGL()})),this.reactImmediately((()=>this.selectionService.selectedIds),(t=>{var n;const r=this.uniqueIdsToIndices(t);null===(n=this.scatterGL)||void 0===n||n.select(r)})),this.react((()=>this.selectedSpriteIndex),(()=>{this.computeSpriteMap()})),this.reactImmediately((()=>this.focusService.focusData),(()=>{const{isLoading:t,scatterGL:n}=this,{focusData:r}=this.focusService;if(t||!n||!r||r.fieldName)return;const l=this.currentInputIndicesById.get(r.datapointId);null==l?n.setHoverPointIndex(null):n.setHoverPointIndex(l)}))}updateScatterGL(){const{scatterGL:t,scatterGLDataset:n,spriteImage:r}=this;n&&t&&(t.render(n),r?t.setSpriteRenderMode():t.setPointRenderMode())}uniqueIdsToIndices(t){return t.map((t=>this.currentInputIndicesById.get(t))).filter((t=>void 0!==t))}computeProjectedEmbeddings(){return(0,l.mG)(this,void 0,void 0,(function*(){if(!this.appState.currentInputData.length)return void(this.projectedPoints=[]);const t=this.embeddingOptions[this.selectedEmbeddingsIndex];if(!t)return;this.isLoading=!0;const{modelName:n,fieldName:r}=t,l=this.appState.currentDataset,d={model_name:n,field_name:r,use_input:""===n,proj_kw:{n_components:3}},h=this.getEmbeddingCache(l,n,this.projector.interpreterName,d).call(this.appState.currentInputData),p=yield this.loadLatest(`proj-${JSON.stringify(d)}`,h);null!==p?(this.appState.datasetHasImages?this.computeSpriteMap():this.spriteImage=void 0,this.projectedPoints=p.map((t=>t.z)),window.setTimeout((()=>this.isLoading=!1),400)):this.isLoading=!1}))}getLabelByFields(){return(0,_.Fe)(this.appState.currentDatasetSpec,[w.Xs,w.Ru,w.Su,w.q0])}getImageFields(){return(0,_.Fe)(this.appState.currentDatasetSpec,w.sO)}computeSpriteMap(){if(this.selectedSpriteIndex>=this.getImageFields().length)return void(this.spriteImage=void 0);const t=this.getImageFields()[this.selectedSpriteIndex],n=document.createElement("canvas"),r=Math.ceil(Math.sqrt(this.appState.currentInputData.length)),l=48;n.width=r*l,n.height=r*l;const d=n.getContext("2d");let h=0;const p=this.appState.currentInputData.length;for(let f=0;f<p;f++){const m=this.appState.currentInputData[f],g=f%r,y=Math.floor(f/r),v=new Image;v.onload=()=>{if(d.drawImage(v,g*l,y*l,l,l),h++,h===p){const t=document.createElement("img");t.src=n.toDataURL("image/jpeg"),this.spriteImage=t}};const b=m.data[t];null!=b&&(v.src=b)}}pointColorer(t,n,r){const l=this.appState.currentInputData[t];let h=this.colorService.getDatapointColor(l);const p=null!=l&&this.selectionService.isIdSelected(l.id),f=null!=l&&this.selectionService.primarySelectedId===l.id,m=null!=this.focusService.focusData&&this.focusService.focusData.datapointId===l.id&&null==this.focusService.focusData.io,g=null!=l&&this.pinnedSelectionService.primarySelectedId===l.id;if((m||g)&&(h=(0,x.lf)("mage","400").color),this.spriteImage&&!m&&!p)return"";const y=d.$_Y(h);return m||f?y.opacity=1:p&&!f?y.opacity=.8:this.selectionService.selectedInputData.length?y.opacity=.25:y.opacity=.8,y.toString()}onSelect(t){const n=this.appState.currentInputData.filter(((n,r)=>t.includes(r))).map((t=>t.id));this.selectionService.selectIds(n)}onHover(t){null==t?this.focusService.clearFocus():this.focusService.setFocusedDatapoint(this.appState.currentInputData[t].id)}render(){const t="number"==typeof this.colorService.selectedColorOption.scale.domain()[0]?v.H.SEQUENTIAL:v.H.CATEGORICAL,n=1!==this.selectionService.selectedIds.length;return p.dy`
      <div class="module-container">
        <div class="module-toolbar">
          ${this.renderProjectorSelect()}
          ${this.renderEmbeddingsSelect()}
          ${this.renderLabelBySelect()}
          ${this.renderSpriteBySelect()}
          <div>
            <lit-tooltip .content=${"Reset view"}>
              <mwc-icon class="icon-button mdi-outlined" slot="tooltip-anchor"
                @click=${()=>{var t;null===(t=this.scatterGL)||void 0===t||t.resetZoom()}}>
                view_in_ar
              </mwc-icon>
            </lit-tooltip>
          </div>
        </div>
        <div class="module-results-area">
          ${this.renderResultsArea()}
        </div>
        <div class="module-footer">
          <color-legend legendType=${t}
            label=${this.colorService.selectedColorOption.name}
            .scale=${this.colorService.selectedColorOption.scale}>
          </color-legend>
          <lit-tooltip content=${n?"Select nearest neighbors for the current datapoint. To enable, select a single datapoint.":""}
            tooltipPosition="above">
            <button class="hairline-button selected-nearest-button"
              ?disabled=${n}
              @click=${()=>{null!=this.selectionService.primarySelectedInputData&&this.getNearestNeighbors(this.selectionService.primarySelectedInputData)}}
              slot="tooltip-anchor"
            >Select ${10} nearest neighbors</button>
          </lit-tooltip>
        </div>
      </div>
    `}renderResultsArea(){return p.dy`
     ${this.isLoading?this.renderSpinner():null}
     <div class=${this.isLoading?"hidden-container":""}
      id="scatter-gl-container"></div>
    `}renderSpinner(){return p.dy`
      <div class="spinner-container">
        <lit-spinner size=${20} color="var(--app-secondary-color)"></lit-spinner>
      </div>`}renderProjectorSelect(){const t=this.projectorChoices,n=Object.keys(t).map((n=>p.dy`
        <option value=${n} ?selected=${n===this.projectorName}>
          ${t[n].displayName}
        </option>
      `));return this.renderSelect("Projector",n,(n=>{const r=n.target,l=(null==r?void 0:r.selectedIndex)||0;this.projectorName=Object.keys(t)[l]}),this.projectorName)}renderEmbeddingsSelect(){const t=this.embeddingOptionNames,n=t.map(((t,n)=>p.dy`
        <option value=${n}>${t}</option>
      `));return this.renderSelect("Embedding",n,(t=>{const n=t.target;this.selectedEmbeddingsIndex=(null==n?void 0:n.selectedIndex)||0}),t[0])}renderLabelBySelect(){var t;const n=this.getLabelByFields(),r=n.map(((t,n)=>p.dy`<option value=${n}>${t}</option>`));return this.renderSelect("Label by",r,(t=>{const n=t.target;this.selectedLabelIndex=(null==n?void 0:n.selectedIndex)||0}),null!==(t=n[0])&&void 0!==t?t:"")}renderSpriteBySelect(){var t;const n=this.getImageFields();if(0===n.length)return null;n.push("none");const r=n.map(((t,n)=>p.dy`<option value=${n}>${t}</option>`));return this.renderSelect("Thumbnail by",r,(t=>{const n=t.target;this.selectedSpriteIndex=(null==n?void 0:n.selectedIndex)||0}),null!==(t=n[0])&&void 0!==t?t:"")}renderSelect(t,n,r,l){return p.dy`
      <div class="dropdown-container">
        <label class="dropdown-label">${t}:</label>
        <select class="dropdown" @change=${r} .value=${l}>
          ${n}
        </select>
      </div>
    `}static shouldDisplayModule(t,n){if((0,_.Fe)(n,w.JK).length>0)return!0;if(!(0,_.Rf)(t,w.JK))return!1;for(const n of Object.values(t))for(const t of Object.keys(A))if(-1!==n.interpreters.indexOf(t))return!0;return!1}};O.title="Embeddings",O.infoMarkdown="Pan, zoom, rotate, and click to visualize datapoints in the latent space\n      of your model, in order to find clusters or patterns in the data.<br>\n      [Learn more.](https://pair-code.github.io/lit/documentation/components.md#embedding-projector)",O.template=(t,n,r)=>p.dy`
      <embeddings-module model=${t} .shouldReact=${r}
        selectionServiceIndex=${n}>
      </embeddings-module>`,O.duplicateForModelComparison=!1,O.numCols=3,(0,l.gn)([m.LO,(0,l.w6)("design:type",Object)],O.prototype,"isLoading",void 0),(0,l.gn)([m.LO,(0,l.w6)("design:type",String)],O.prototype,"projectorName",void 0),(0,l.gn)([m.Fl,(0,l.w6)("design:type",Object),(0,l.w6)("design:paramtypes",[])],O.prototype,"projector",null),(0,l.gn)([m.LO,(0,l.w6)("design:type",Array)],O.prototype,"projectedPoints",void 0),(0,l.gn)([m.LO,(0,l.w6)("design:type",Object)],O.prototype,"spriteImage",void 0),(0,l.gn)([m.LO,(0,l.w6)("design:type",Object)],O.prototype,"selectedEmbeddingsIndex",void 0),(0,l.gn)([m.LO,(0,l.w6)("design:type",Object)],O.prototype,"selectedLabelIndex",void 0),(0,l.gn)([m.LO,(0,l.w6)("design:type",Object)],O.prototype,"selectedSpriteIndex",void 0),(0,l.gn)([m.Fl,(0,l.w6)("design:type",Map),(0,l.w6)("design:paramtypes",[])],O.prototype,"currentInputIndicesById",null),(0,l.gn)([m.Fl,(0,l.w6)("design:type",Array),(0,l.w6)("design:paramtypes",[])],O.prototype,"embeddingOptions",null),(0,l.gn)([m.Fl,(0,l.w6)("design:type",Object),(0,l.w6)("design:paramtypes",[])],O.prototype,"embeddingOptionNames",null),(0,l.gn)([m.Fl,(0,l.w6)("design:type",Object),(0,l.w6)("design:paramtypes",[])],O.prototype,"displayLabels",null),(0,l.gn)([m.Fl,(0,l.w6)("design:type",h.qz),(0,l.w6)("design:paramtypes",[])],O.prototype,"scatterGLDataset",null),O=(0,l.gn)([(0,f.Mo)("embeddings-module"),(0,l.w6)("design:paramtypes",[])],O)},6284:(t,n,r)=>{"use strict";var l=r(7582),d=r(5862),h=r(8973),p=r(3196),f=r(2188),m=r(3506),g=(r(482),r(9604)),y=r(7146),v=(r(3539),r(6645),r(4262)),b=(r(4915),r(7098)),x=r(7376),w=(r(7190),r(9410)),S=r(5889);const _=d.iv`.module-container {
  display: flex;
  flex-direction: column;
}

.module-toolbar {
  border-bottom: 1px solid var(--lit-neutral-300);
}

.module-results-area {
  display: flex;
  flex: 1 0 auto;
  flex-direction: row;
}

.side-navigation {
  border-right: 1px solid var(--lit-neutral-300);
  max-width: 300px;
  min-width: 300px;
  overflow-y: auto;
}

.main-content {
  max-width: calc(100% - 300px);
  display: flex;
  flex: 1 0 auto;
  flex-direction: column;
}

.module-results {
  flex: 1 0 auto;
  overflow-y: scroll;
}`;var E;const T="Entire Dataset",C="Selection";let A=E=class FeatureAttributionModule extends g.p{static get styles(){return[S.W,_]}static shouldDisplayModule(t){const n=m.l.getService(w.aB);return null!=n.metadata&&Object.values(t).some((t=>{const r=(0,b.Fe)(t.spec.output,v.oB).length>0,l=t.interpreters.some((t=>{const{metaSpec:r}=n.metadata.interpreters[t];return(0,b.Fe)(r,v.oB).length>0}));return r||l}))}constructor(){super(),this.groupService=m.l.getService(w.lT),this.colorMap=new x.kh,this.facetingControl=document.createElement("faceting-control"),this.isColored=!1,this.features=[],this.bins={},this.settings=new Map,this.summaries={},this.enabled={model:this.hasIntrinsicSalience,[C]:!1};this.facetingControl.contextName=E.title,this.facetingControl.addEventListener("facets-change",(t=>{this.features=t.detail.features,this.bins=t.detail.bins}))}get facets(){return this.groupService.groupExamplesByFeatures(this.bins,this.appState.currentInputData,this.features)}get hasIntrinsicSalience(){var t,n;return!!(null===(n=null===(t=this.appState.metadata.models[this.model])||void 0===t?void 0:t.spec)||void 0===n?void 0:n.output)&&(0,b.Fe)(this.appState.metadata.models[this.model].spec.output,v.oB).length>0}get salienceInterpreters(){const{interpreters:t}=this.appState.metadata.models[this.model];return Object.entries(m.l.getService(w.aB).metadata.interpreters).filter((([n,r])=>t.includes(n)&&(0,b.Fe)(r.metaSpec,v.oB).length>0)).map((([t])=>t))}predict(t,n){return(0,l.mG)(this,void 0,void 0,(function*(){const r=this.apiService.getPreds(n,this.model,this.appState.currentDataset,[v.oB]),l=yield this.loadLatest("predictionScores",r);if(null==l)return;const d=this.appState.metadata.models[this.model].spec.output,h=(0,b.Fe)(d,v.oB);for(const n of h){const r=`Feature: ${n} | Facet: ${t}`,d=l.map((t=>t[n])),h=this.summarize(d);h&&(this.summaries[r]=h,1===Object.keys(this.summaries).length&&(this.startsOpen=r))}}))}updateModelAttributions(){return(0,l.mG)(this,void 0,void 0,(function*(){if(this.enabled.model&&(yield this.predict(T,this.appState.currentInputData),this.enabled[C]&&(yield this.predict(C,this.selectionService.selectedInputData)),this.features.length))for(const[t,n]of Object.entries(this.facets))yield this.predict(t,n.data)}))}interpret(t,n,r){var d;return(0,l.mG)(this,void 0,void 0,(function*(){const l=`interpretations-${t}`,{configSpec:h}=this.appState.metadata.interpreters[t],p={};for(const[t,n]of Object.entries(h))if(n.default)p[t]=n.default;else{const r=n;(null===(d=r.vocab)||void 0===d?void 0:d.length)&&(p[t]=r.vocab[0])}const f=Object.assign({},p,this.settings.get(t)),m=this.apiService.getInterpretations(r,this.model,this.appState.currentDataset,t,f,`Running ${t}`),g=yield this.loadLatest(l,m);if(null==g||0===g.length)return;const{metaSpec:y}=this.appState.metadata.interpreters[t],{output:x}=this.appState.getModelSpec(this.model),w=Object.assign(Object.assign({},y),x),S=(0,b.Fe)(w,v.oB);for(const r of S)if(null!=g[0][r]){const l=g.map((t=>t[r])),d=`Interpreter: ${t} | Key: ${r} | Facet: ${n}`;this.summaries[d]=this.summarize(l),1===Object.keys(this.summaries).length&&(this.startsOpen=d)}}))}updateInterpreterAttributions(){return(0,l.mG)(this,void 0,void 0,(function*(){const t=this.salienceInterpreters.filter((t=>this.enabled[t]));for(const n of t)if(yield this.interpret(n,T,this.appState.currentInputData),this.enabled[C]&&(yield this.interpret(n,C,this.selectionService.selectedInputData)),this.features.length)for(const[t,r]of Object.entries(this.facets))yield this.interpret(n,t,r.data)}))}updateSummaries(){this.summaries={},this.updateModelAttributions(),this.updateInterpreterAttributions()}summarize(t){const n={},r=Object.keys(t[0].salience);for(const l of r){const r=t.map((t=>t.salience[l])),d=Math.min(...r),h=Math.max(...r),p=b.J6(r),f=b.C2(r);n[l]={min:d,median:f,max:h,mean:p}}return n}renderSecondaryControls(){const t=()=>{this.isColored=!this.isColored};return d.dy`
        ${this.facetingControl}
        <span style="felx: 1 1 auto;"></span>
        <lit-checkbox label="Heatmap" ?checked=${this.isColored}
                      @change=${()=>{t()}}>
        </lit-checkbox>`}renderPrimaryControls(){const t=t=>{this.enabled[t]=!this.enabled[t]},n=0===this.selectionService.selectedIds.length,r="Attribution is calculated for the entire dataset by default."+(n?" Make a selection to enable this checkbox.":"");return d.dy`
      <lit-checkbox label="Show attributions for selection"
                    title=${r} ?disabled=${n}
                    ?checked=${this.enabled[C]}
                    @change=${()=>{t(C)}}>
      </lit-checkbox>
      <span style="width: 16px;"></span>
      <span>Show attributions from:</span>
      ${this.salienceInterpreters.map((n=>d.dy`<lit-checkbox label=${n} ?checked=${this.enabled[n]}
                             @change=${()=>{t(n)}}>
               </lit-checkbox>`))}`}renderInterpreterControls(t){const{configSpec:n,description:r}=this.appState.metadata.interpreters[t],l=Object.assign({},n);for(const t of Object.values(l))t instanceof v.MK&&(t.vocab=this.appState.getSpecKeysFromFieldMatcher(t,this.model));return d.dy`
      <lit-interpreter-controls @interpreter-click=${n=>{this.settings.set(t,n.detail.settings),this.enabled[t]||(this.enabled[t]=!0)}}
                                .spec=${n} .name=${t}
                                .description=${r||""}
                                .opened=${this.enabled[t]}>
      </lit-interpreter-controls>`}renderColoredCell(t){const n=this.colorMap.textCmap(t),r=this.colorMap.bgCmap(t),l=(0,p.V)({width:"100%",height:"100%",position:"relative","text-align":"right",color:n,"background-color":r}),h=d.dy`<div style=${l}>${t.toFixed(4)}</div>`;return{value:t,template:h}}renderTable(t){const n=Object.entries(t).map((([t,n])=>{const{min:r,median:l,max:d,mean:h}=n;let p=[r,l,d,h];return this.isColored&&(p=p.map((t=>this.renderColoredCell(t)))),[t,...p]}));return d.dy`<lit-data-table .data=${n} .columnNames=${[{name:"field",rightAlign:!1},{name:"min",rightAlign:!0},{name:"median",rightAlign:!0},{name:"max",rightAlign:!0},{name:"mean",rightAlign:!0}]}
                                searchEnabled></lit-data-table>`}firstUpdated(){this.react((()=>[this.appState.currentInputData,this.features,this.model,Object.values(this.enabled)]),(()=>{this.updateSummaries()})),this.enabled.model=this.hasIntrinsicSalience,this.updateSummaries()}renderImpl(){const t=t=>this.colorMap.bgCmap(t);return t.domain=()=>this.colorMap.colorScale.domain(),d.dy`
      <div class='module-container'>
        <div class='module-toolbar'>${this.renderPrimaryControls()}</div>
        <div class='module-results-area'>
          <div class='side-navigation'>
            ${this.salienceInterpreters.map((t=>this.renderInterpreterControls(t)))}
          </div>
          <div class='main-content'>
            <div class='module-toolbar'>${this.renderSecondaryControls()}</div>
            <div class='module-results'>
              ${Object.keys(this.summaries).length||this.latestLoadPromises.size?null:d.dy`<div style="padding: 8px;">
                          Select a model or interpreter to show attributions.
                          Attributions are calculated from the entire dataset by
                          default, but can also be calculated for the selection
                          or any facets of the entire dataset. Faceting of
                          selections is not supported.
                        </div>`}
              ${Object.entries(this.summaries).sort().map((([t,n])=>d.dy`
                  <div class="attribution-container">
                    <expansion-panel .label=${t}
                                     ?expanded=${t===this.startsOpen}>
                      ${this.renderTable(n)}
                    </expansion-panel>
                  </div>`))}
              ${this.latestLoadPromises.size?d.dy`<lit-spinner size=${24} color="var(--lit-cyea-400)">
                       </lit-spinner>`:null}
            </div>
          </div>
        </div>
        <div class="module-footer">
          <color-legend label="Salience" .scale=${t}
              .paletteTooltipText=${"Salience is relative to the model's prediction of a class. A positive score (more green) for a token means that token influenced the model to predict that class, whereas a negaitve score (more pink) means the token influenced the model to not predict that class."}
              legendType=${y.H.SEQUENTIAL} numBlocks=${7}>
          </color-legend>
        </div>
      </div>`}};A.title="Tabular Feature Attribution",A.duplicateForExampleComparison=!1,A.duplicateAsRow=!0,A.template=(t,n,r)=>d.dy`
      <feature-attribution-module model=${t} .shouldReact=${r}
        selectionServiceIndex=${n}>
      </feature-attribution-module>`,(0,l.gn)([f.LO,(0,l.w6)("design:type",String)],A.prototype,"startsOpen",void 0),(0,l.gn)([f.LO,(0,l.w6)("design:type",Object)],A.prototype,"isColored",void 0),(0,l.gn)([f.LO,(0,l.w6)("design:type",Array)],A.prototype,"features",void 0),(0,l.gn)([f.LO,(0,l.w6)("design:type",Object)],A.prototype,"bins",void 0),(0,l.gn)([f.LO,(0,l.w6)("design:type",Object)],A.prototype,"settings",void 0),(0,l.gn)([f.LO,(0,l.w6)("design:type",Object)],A.prototype,"summaries",void 0),(0,l.gn)([f.LO,(0,l.w6)("design:type",Object)],A.prototype,"enabled",void 0),(0,l.gn)([f.Fl,(0,l.w6)("design:type",Object),(0,l.w6)("design:paramtypes",[])],A.prototype,"facets",null),(0,l.gn)([f.Fl,(0,l.w6)("design:type",Object),(0,l.w6)("design:paramtypes",[])],A.prototype,"hasIntrinsicSalience",null),(0,l.gn)([f.Fl,(0,l.w6)("design:type",Object),(0,l.w6)("design:paramtypes",[])],A.prototype,"salienceInterpreters",null),A=E=(0,l.gn)([(0,h.Mo)("feature-attribution-module"),(0,l.w6)("design:paramtypes",[])],A)},2981:(t,n,r)=>{"use strict";var l,d=r(7582),h=r(8973),p=r(5862),f=r(2188),m=r(9604),g=r(4262),y=r(5889),v=(r(4915),r(7098));let b=l=class GeneratedImageModule extends m.p{constructor(){super(...arguments),this.generatedImages={}}static get styles(){const t=p.iv`
      .field-group {
        padding: 8px;
      }

      .field-title {
        color: var(--lit-bold-label-color);
      }

      .field-group a {
        display: flex;
        flex-direction: row;
        align-items: center;
        justify-content: left;
      }`;return[y.W,t]}firstUpdated(){this.reactImmediately((()=>this.selectionService.primarySelectedInputData),(t=>{this.updateSelection(t)}))}updateSelection(t){return(0,d.mG)(this,void 0,void 0,(function*(){if(this.generatedImages={},null==t)return;const n=this.appState.currentDataset,r=this.apiService.getPreds([t],this.model,n,[...l.supportedTypes,g.Ri],[],"Generating images"),d=yield this.loadLatest("generatedImages",r);null!==d&&(this.generatedImages=d[0])}))}renderImage(t,n){return p.dy`
      <div class='field-group'>
        <div class="field-title">${t}</div>
        ${Array.isArray(n)?n.map((t=>p.dy`<img src=${t}>`)):p.dy`<img src=${n}>`}
      </div>
    `}renderLink(t,n){return p.dy`
      <div class='field-group'>
        <div class="field-title">${t}</div>
        <a href=${n} target="_blank">${n}</a>
      </div>`}renderImpl(){const{output:t}=this.appState.getModelSpec(this.model);return p.dy`
      <div class='module-container'>
        <div class="module-results-area">
          ${Object.entries(this.generatedImages).map((([n,r])=>{const d=t[n];if((0,v.kL)(d,l.supportedTypes))return this.renderImage(n,r);if(d instanceof g.Ri){const{align:t}=d;if(null!=t&&t in this.generatedImages)return this.renderLink(n,r)}return null}))}
        </div>
      </div>
    `}static shouldDisplayModule(t,n){return(0,v.Rf)(t,l.supportedTypes)}};b.title="Generated Images",b.duplicateForExampleComparison=!0,b.duplicateAsRow=!0,b.template=(t,n,r)=>p.dy`
  <generated-image-module model=${t} .shouldReact=${r}
    selectionServiceIndex=${n}>
  </generated-image-module>`,b.supportedTypes=[g.sO,g.qQ],(0,d.gn)([f.LO,(0,d.w6)("design:type",Object)],b.prototype,"generatedImages",void 0),b=l=(0,d.gn)([(0,h.Mo)("generated-image-module")],b)},8233:(t,n,r)=>{"use strict";var l=r(7582),d=(r(6196),r(1290)),h=r(5862),p=r(8973),f=r(2188),m=r(9604),g=r(1547),y=r(5806),v=r(4262),b=r(5889),x=(r(4915),r(7098));const w=h.iv`.module-toolbar {
  justify-content: space-between;
}

.diff-selector > * {
  cursor: pointer;
}

.switch-container-disabled {
  color: rgba(60, 64, 67, 0.38);
}
`;var S=r(5108);let _=class DiffSwitch extends d.j{static get styles(){return[...d.j.styles,h.iv`
      :not(.selected):not(.disabled) .label-left {
        color: #a93d00;
        font-weight: bold;
      }

      .selected:not(.disabled) .label-right {
        color: #129eaf;
        font-weight: bold;
      }
    `]}};_=(0,l.gn)([(0,p.Mo)("lit-diff-switch")],_);let E=class GeneratedTextModule extends m.p{constructor(){super(...arguments),this.inputData=null,this.generatedText={},this.referenceScores={},this.diffMode=y.T9.NONE,this.invertDiffs=!1}static get styles(){return[b.W,g.W,w]}get referenceFields(){const t=this.appState.currentDatasetSpec,n=this.appState.getModelSpec(this.model).output,r=new Map,l=(0,x.Fe)(n,y.No);for(const d of l){const{parent:l}=n[d];l&&t[l]&&r.set(d,l)}return r}get referenceScoreFields(){const t=this.appState.currentDatasetSpec,n=this.appState.getModelSpec(this.model).output,r=new Map,l=(0,x.Fe)(n,v.pl);for(const d of l){const l=n[d].parent;l&&t[l]&&r.set(d,l)}return r}firstUpdated(){this.reactImmediately((()=>this.selectionService.primarySelectedInputData),(t=>{this.updateSelection(t)}))}updateSelection(t){return(0,l.mG)(this,void 0,void 0,(function*(){if(this.inputData=null,this.generatedText={},this.referenceScores={},null==t)return;const n=this.appState.currentDataset,r=this.apiService.getPreds([t],this.model,n,[...y.No,v.pl],[],"Generating text"),l=yield this.loadLatest("generatedText",r);if(null===l)return;this.inputData=t.data;const d=this.appState.getModelSpec(this.model).output,h=l[0];for(const t of Object.keys(h))if(d[t]instanceof v.CP&&(this.generatedText[t]=[[h[t],null]]),d[t]instanceof v.hS&&(this.generatedText[t]=h[t]),d[t]instanceof v.pl){const n=this.referenceScoreFields.get(t);null!=n?this.referenceScores[n]=h[t]:S.log(`Ignoring ReferenceScores field '${t}' found with no parent in the dataset.`)}}))}renderToolbar(){if(!this.referenceFields.size)return null;const t=this.diffMode!==y.T9.NONE,n=t=>{this.diffMode=t.target.value};return h.dy`
      <div class='module-toolbar'>
        <div class="diff-selector">
          Highlight comparison:
          ${Object.values(y.T9).map((t=>h.dy`
            <input type="radio" name="diffSelect" value="${t}" id='diff${t}'
             ?checked=${t===this.diffMode} @change=${n}>
            <label for='diff${t}'>${t}</label>
          `))}
        </div>
        <lit-diff-switch labelLeft="Diffs" labelRight="Matches"
          ?selected=${this.invertDiffs}
          ?disabled=${!t}
          @change=${t?()=>{this.invertDiffs=!this.invertDiffs}:null}>
        </lit-diff-switch>
      </div>
    `}renderOutputGroup(t){var n;const r=null!=t.generated?this.generatedText[t.generated]:[],l=t.reference;let d=null!=l?null===(n=this.inputData)||void 0===n?void 0:n[l]:[];if(void 0!==l){this.appState.getModelSpec(this.model).input[l]instanceof v.my||(d=[[d,null]])}const p=null!=t.referenceModelScores?this.referenceScores[t.referenceModelScores]:[];return h.dy`
      <generated-text-vis .fieldName=${t.generated}
                          .candidates=${r}
                          .referenceFieldName=${l}
                          .referenceTexts=${d}
                          .referenceModelScores=${p}
                          .diffMode=${this.diffMode}
                          ?highlightMatch=${this.invertDiffs}>
      </generated-text-vis>
    `}renderImpl(){const t=new Set(Object.keys(this.referenceScores)),n=[];for(const r of Object.keys(this.generatedText)){const l={generated:r,reference:this.referenceFields.get(r)};null!=l.reference&&null!=this.referenceScores[l.reference]&&(l.referenceModelScores=l.reference,t.delete(l.reference)),n.push(l)}for(const r of t)n.push({reference:r,referenceModelScores:r});return h.dy`
      <div class='module-container'>
        ${this.renderToolbar()}
        <div class="module-results-area">
          ${n.map((t=>this.renderOutputGroup(t)))}
        </div>
      </div>
    `}static shouldDisplayModule(t,n){return(0,x.Rf)(t,y.No)}};E.title="Generated Text",E.duplicateForExampleComparison=!0,E.duplicateAsRow=!1,E.template=(t,n,r)=>h.dy`
  <generated-text-module model=${t} .shouldReact=${r}
    selectionServiceIndex=${n}>
  </generated-text-module>`,(0,l.gn)([f.LO,(0,l.w6)("design:type",Object)],E.prototype,"inputData",void 0),(0,l.gn)([f.LO,(0,l.w6)("design:type",Object)],E.prototype,"generatedText",void 0),(0,l.gn)([f.LO,(0,l.w6)("design:type",Object)],E.prototype,"referenceScores",void 0),(0,l.gn)([f.LO,(0,l.w6)("design:type",String)],E.prototype,"diffMode",void 0),(0,l.gn)([f.LO,(0,l.w6)("design:type",Boolean)],E.prototype,"invertDiffs",void 0),(0,l.gn)([f.Fl,(0,l.w6)("design:type",Map),(0,l.w6)("design:paramtypes",[])],E.prototype,"referenceFields",null),(0,l.gn)([f.Fl,(0,l.w6)("design:type",Map),(0,l.w6)("design:paramtypes",[])],E.prototype,"referenceScoreFields",null),E=(0,l.gn)([(0,p.Mo)("generated-text-module")],E)},4208:(t,n,r)=>{"use strict";var l=r(7582),d=(r(3539),r(1800),r(1764),r(7924)),h=r(5862),p=r(8973),f=r(2188),m=r(3506),g=r(9604),y=(r(6645),r(4262)),v=r(5889),b=r(4915),x=r(7098),w=r(7190),S=r(9410);const _=h.iv`.generator-module-content {
  display: flex;
  flex-direction: row;
  overflow: hidden;
}

.generators-panel {
  border-right: 1px solid var(--lit-neutral-300);
  box-sizing: border-box;
  flex-grow: 0;
  flex-shrink: 0;
  overflow-y: auto;
  width: 400px;
}

.results-holder {
  display: flex;
  flex-direction: column;
  flex-grow: 1;
  flex-shrink: 1;
  overflow-y: auto;
  margin-left: 4px;
}

.generators-panel .label {
  font-size: 16px;
  font-weight: bold;
  margin-bottom: 10px;
}

.generators-panel.visible {
  display: block;
}

.generator-control {
  display: flex;
  flex-direction: row;
}

.input-label {
  margin-right: 4px;
  padding: 10px;
}

.input-box {
  width: 95%;
}

.overall-controls {
  align-items: center;
  display: flex;
  flex-direction: row;
  justify-content: flex-end;
}

.slice-name-input {
  margin-left: 4px;
  width: 250px;
}

.select-all {
  color: #1a73e8;
  text-decoration: underline;
  cursor: pointer;
}
`;let E=class GeneratedRowControls extends d.G{static get styles(){return[v.W,_,h.iv`
            :host {
              display: flex;
              flex-direction: row;
              color: #1a73e8;
            }
            :host > * {
              margin-right: 4px;
            }
            `]}render(){return h.dy`
      <mwc-icon class="icon-button outlined" @click=${()=>{const t=new CustomEvent("add-point");this.dispatchEvent(t)}}>
        add_box
      </mwc-icon>
      <mwc-icon class="icon-button outlined" @click=${()=>{const t=new CustomEvent("remove-point");this.dispatchEvent(t)}}>
        delete
      </mwc-icon>
    `}};E=(0,l.gn)([(0,p.Mo)("generated-row-controls")],E);let T=class GeneratorModule extends g.p{constructor(){super(...arguments),this.groupService=m.l.getService(w.l),this.sliceService=m.l.getService(S.qG),this.editedData={},this.isGenerating=!1,this.generated=[],this.appliedGenerator=null,this.sliceName=""}static get styles(){return[v.W,_]}get datasetName(){return this.appState.currentDataset}get modelName(){return this.appState.currentModels[0]}get globalParams(){return{model_name:this.modelName,dataset_name:this.datasetName}}get totalNumGenerated(){return this.generated.reduce(((t,n)=>t+n.length),0)}firstUpdated(){this.reactImmediately((()=>this.selectionService.primarySelectedInputData),(t=>{this.selectionService.lastUser!==this&&this.resetEditedData()})),this.react((()=>this.totalNumGenerated),(t=>{t<=0&&this.resetEditedData()}))}resetEditedData(){this.generated=[],this.appliedGenerator=null,this.sliceName=""}handleGeneratorClick(t,n){this.isGenerating||(this.resetEditedData(),this.generate(t,this.modelName,n))}makeAutoSliceName(t,n){const r=[t];if(null!=n)for(const t of Object.keys(n))this.globalParams.hasOwnProperty(t)||r.push(`${t}=${n[t]}`);return r.join(":")}generate(t,n,r){return(0,l.mG)(this,void 0,void 0,(function*(){this.isGenerating=!0,this.appliedGenerator=t;const l=this.selectionService.selectedInputData;try{const d=yield this.apiService.getGenerated(l,n,this.appState.currentDataset,t,r);for(const t of d)for(const n of t)Object.assign(n.meta,{added:1});this.generated=d,this.isGenerating=!1,this.sliceName=this.makeAutoSliceName(t,r)}catch(t){this.isGenerating=!1}}))}createNewDatapoints(t){return(0,l.mG)(this,void 0,void 0,(function*(){const n=(0,x.xH)(t);this.appState.commitNewDatapoints(n);const r=n.map((t=>t.id));if(0===r.length)return;""!==this.sliceName&&this.sliceService.addOrAppendToSlice(this.sliceName,r);const l=new Set(n.map((t=>t.meta.parentId)));if(this.selectionService.selectIds([...l,...r],this),this.selectionService.setPrimarySelection(r[0],this),this.appState.compareExamplesEnabled){const t=m.l.getService(S.z2,"pinned");t.selectIds([...l,...r],this);const d=n[0].meta.parentId;t.setPrimarySelection(d,this)}}))}renderImpl(){return h.dy`
      <div class="module-container">
        <div class="module-content generator-module-content">
          ${this.renderGeneratorButtons()}
          ${this.renderGenerated()}
        </div>
        <div class="module-footer">
          <p class="module-status">${this.getStatus()}</p>
          <p class="module-status">${this.getSliceStatus()}</p>
          ${this.renderOverallControls()}
        </div>
      </div>
    `}getSliceStatus(){if(!this.sliceService.namedSlices.has(this.sliceName))return null;const t=this.sliceService.getSliceByName(this.sliceName).length,n=1===t?"":"s";return h.dy`
       Slice exists (${t} point${n});
       will append ${this.totalNumGenerated} more.
    `}getStatus(){if(this.isGenerating)return"Generating...";if(this.appliedGenerator){const t=1===this.totalNumGenerated?"":"s";return`\n        ${this.appliedGenerator}: generated ${this.totalNumGenerated}\n        counterfactual${t} from ${this.generated.length} inputs.\n      `}const t=this.appState.metadata.generators;if(!Object.keys(t).length)return"No generator components available.";const n=this.selectionService.selectedInputData,r=()=>{this.selectionService.selectAll()};if(n.length<=0)return h.dy`
          No examples selected.
          <span class='select-all' @click=${r}>
            Select entire dataset?
          </span>`;const l=1===n.length?"":"s";return`\n      Generate counterfactuals from current selection\n      (${n.length} datapoint${l}).\n    `}renderInterstitial(){return h.dy`
      <lit-interstitial headline="Counterfactual Generators">
        Create new datapoints derived from the current selection.
      </lit-interstitial>`}renderEmptyNotice(){return h.dy`
      <lit-interstitial>
        No examples generated.
      </lit-interstitial>`}renderGenerated(){const t=this.createEntries();return this.appliedGenerator?t.length<=0?this.isGenerating?null:this.renderEmptyNotice():h.dy`
      <div class="results-holder">
        <lit-data-table class="table"
            .columnNames=${Object.keys(t[0])}
            .data=${t}
            exportEnabled
        ></lit-data-table>
      </div>
    `:this.renderInterstitial()}createEntries(){const t=[];for(let n=0;n<this.generated.length;n++){const r=this.generated[n];for(let d=0;d<r.length;d++){const p=r[d],f=()=>(0,l.mG)(this,void 0,void 0,(function*(){this.generated[n].splice(d,1),yield this.createNewDatapoints([[p]])})),m=()=>{this.generated[n].splice(d,1)},g=Object.keys(p.data).filter((t=>"_id"!==t&&"_meta"!==t)),y={};for(const t of g){const n=!this.appState.currentModelRequiredInputSpecKeys.includes(t);y[t]=n?this.renderEntry(p.data,t):p.data[t]}y["Add/Remove"]=h.dy`<generated-row-controls
                                @add-point=${f}
                                @remove-point=${m} />`,t.push(y)}}return t}renderOverallControls(){const t=()=>(0,l.mG)(this,void 0,void 0,(function*(){yield this.createNewDatapoints(this.generated),this.resetEditedData()})),n=this.totalNumGenerated<=0;return h.dy`
      <div class="overall-controls">
        <label for="slice-name">Slice name:</label>
        <input type="text" class="slice-name-input" name="slice-name"
         .value=${this.sliceName} @input=${t=>{this.sliceName=t.target.value}}
         placeholder="Name for generated set">
        <button class="hairline-button" ?disabled=${n}
           @click=${t}>
           Add all
        </button>
        <button class='hairline-button'
          @click=${()=>(0,l.mG)(this,void 0,void 0,(function*(){this.appState.compareExamplesEnabled=!0,yield t()}))} ?disabled=${n}>
          Add and compare
        </button>
        <button class="hairline-button" ?disabled=${n}
           @click=${this.resetEditedData}>
           Clear
        </button>
      </div>`}renderGeneratorButtons(){const t=this.appState.metadata.generators,n=Object.keys(t),r=t=>{const n=t.detail.settings,r=t.detail.name,l=Object.assign({},this.globalParams,n);this.handleGeneratorClick(r,l)};return h.dy`
        <div class="generators-panel">
          ${n.map((n=>{const l=t[n].configSpec,d=(0,x.o8)(l),p=t[n].description;for(const t of Object.values(d))t instanceof y.$K&&(t.vocab=this.appState.getSpecKeysFromFieldMatcher(t,this.modelName));return h.dy`
                <lit-interpreter-controls
                  .spec=${d}
                  .name=${n}
                  .description=${p||""}
                  @interpreter-click=${r}>
                </lit-interpreter-controls>`}))}
        </div>
    `}renderEntry(t,n){const r=t[n],l=this.groupService.categoricalFeatureNames.includes(n),d=r=>{t[n]=r.target.value};return l?(()=>{const t=this.groupService.categoricalFeatures[n];return{template:h.dy`
          <select class="dropdown" @change=${d}>
            ${t.map((t=>h.dy`
                <option value="${t}" ?selected=${t===r}>
                  ${t}
                </option>`))}
          </select>`,value:r}})():(()=>{const t=this.appState.currentDatasetSpec[n],l=[y.k6,y.hW],p=(0,b.E9)(r,t).toString();return(0,x.kL)(t,l)?p:{template:h.dy`<input type="text" class="input-box"
            @input=${d}
            .value="${p}" />`,value:p}})()}static shouldDisplayModule(t,n){return!0}};T.title="Datapoint Generator",T.infoMarkdown="Automatically generate counterfactuals using various techniques.<br>\n      [Learn more.](https://pair-code.github.io/lit/documentation/components.md#generators)",T.numCols=10,T.template=(t,n,r)=>h.dy`
  <generator-module model=${t} .shouldReact=${r}
    selectionServiceIndex=${n}>
  </generator-module>`,T.duplicateForModelComparison=!1,(0,l.gn)([f.LO,(0,l.w6)("design:type",Object)],T.prototype,"editedData",void 0),(0,l.gn)([f.LO,(0,l.w6)("design:type",Object)],T.prototype,"isGenerating",void 0),(0,l.gn)([f.LO,(0,l.w6)("design:type",Array)],T.prototype,"generated",void 0),(0,l.gn)([f.LO,(0,l.w6)("design:type",String)],T.prototype,"appliedGenerator",void 0),(0,l.gn)([f.LO,(0,l.w6)("design:type",String)],T.prototype,"sliceName",void 0),(0,l.gn)([f.Fl,(0,l.w6)("design:type",Object),(0,l.w6)("design:paramtypes",[])],T.prototype,"datasetName",null),(0,l.gn)([f.Fl,(0,l.w6)("design:type",Object),(0,l.w6)("design:paramtypes",[])],T.prototype,"modelName",null),(0,l.gn)([f.Fl,(0,l.w6)("design:type",Object),(0,l.w6)("design:paramtypes",[])],T.prototype,"globalParams",null),(0,l.gn)([f.Fl,(0,l.w6)("design:type",Object),(0,l.w6)("design:paramtypes",[])],T.prototype,"totalNumGenerated",null),T=(0,l.gn)([(0,p.Mo)("generator-module")],T)},9835:(t,n,r)=>{"use strict";var l=r(7582),d=(r(1732),r(5862)),h=r(8973),p=r(8810),f=r(2188),m=r(9604),g=r(4262),y=r(5889),v=(r(4915),r(7098));const b=d.iv`#main-area {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
}

.module-toolbar {
  justify-content: space-between;
  border-bottom: 1px solid rgb(218, 220, 224);
}

.mode-info {
  color: gray;
}

.input-group {
  padding: 4px;
}

.input-group-title {
  margin-bottom: 3px;
}

.input-words {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  align-content: flex-start;
}

.token:hover {
  cursor: pointer;
}

.token.masked {
  text-decoration: line-through;
}

.sidebar {
  min-width: 15%;
  padding: 4px;
  overflow-y: auto; /* Scroll this before the rest of the module */
}

.sidebar-shaded {
  background: #f8f9fa;
  border-left: 1px solid #bdc1c6;
  border-radius: 2px;
}

#output-table {
  border-spacing: 0px;
}

#output-words {
  min-width: 190px;
  width: 20%;
}

.output-row {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
}

.output-token {
  padding: 1px;
  border-width: 2px;
  margin: 2px;
  font-family: 'Roboto Mono', monospace;
}

.output-percent {
  margin: 2px;
}

.flex-holder {
  display: flex;
}

.add-icon-button {
  margin-top: 6px;
  margin-right: 4px;
}
`;var x;let w=x=class LanguageModelPredictionModule extends m.p{constructor(){super(...arguments),this.clickToMask=!1,this.selectedInput=null,this.tokens=[],this.maskedInput=null,this.originalResults=[],this.selectedTokenIndex=null,this.mlmResults=[]}static get styles(){return[y.W,b]}get modelSpec(){return this.appState.getModelSpec(this.model)}get predKey(){return(0,v.Fe)(this.modelSpec.output,g.H1)[0]}get outputTokensKey(){return this.modelSpec.output[this.predKey].align}get outputTokensPrefix(){return this.modelSpec.output[this.outputTokensKey].token_prefix}get inputTokensKey(){return this.modelSpec.input.hasOwnProperty(this.outputTokensKey)&&this.modelSpec.input[this.outputTokensKey]instanceof g.nk?this.outputTokensKey:null}get maskToken(){return this.inputTokensKey?this.modelSpec.input[this.inputTokensKey].mask_token:void 0}firstUpdated(){this.reactImmediately((()=>this.selectionService.primarySelectedInputData),(t=>{this.updateSelection(t)})),this.react((()=>this.selectedTokenIndex),(t=>{this.updateMLMResults()})),this.react((()=>this.clickToMask),(t=>{this.updateMLMResults()})),this.reactImmediately((()=>this.model),(t=>{null!=this.maskToken&&(this.clickToMask=!0)}))}updateSelection(t){return(0,l.mG)(this,void 0,void 0,(function*(){if(this.selectedInput=null,this.tokens=[],this.maskedInput=null,this.originalResults=[],this.selectedTokenIndex=null,this.mlmResults=[],null==t)return;const n=this.appState.currentDataset,r=this.apiService.getPreds([t],this.model,n,[g.nk,g.H1],[],"Loading tokens"),l=yield this.loadLatest("modelPreds",r);if(null===l)return;const d=l[0];if(this.tokens=d[this.outputTokensKey],this.originalResults=d[this.predKey],this.mlmResults=this.originalResults,this.selectedInput=t,null!=this.maskToken){const t=this.tokens.indexOf(this.maskToken);-1!==t&&(this.selectedTokenIndex=t)}}))}createChildDatapoint(t,n){return(0,v.sV)(t,{[this.inputTokensKey]:n},"masked")}updateMLMResults(){return(0,l.mG)(this,void 0,void 0,(function*(){if(null==this.selectedTokenIndex||!this.clickToMask)return this.mlmResults=this.originalResults,void(this.maskedInput=null);if(null==this.selectedInput||null==this.maskToken)return;const t=[...this.tokens];if(t[this.selectedTokenIndex]===this.maskToken)return void(this.mlmResults=this.originalResults);t[this.selectedTokenIndex]=this.maskToken,this.maskedInput=this.createChildDatapoint(this.selectedInput,t),this.updateTextSegment(this.maskedInput,this.maskToken,this.selectedTokenIndex),this.mlmResults=[];const n=this.appState.currentDataset,r=this.apiService.getPreds([this.maskedInput],this.model,n,[g.H1]),l=yield this.loadLatest("mlmResults",r);null!==l&&(this.mlmResults=l[0][this.predKey])}))}updateTextSegment(t,n,r){const l=(0,v.Fe)(this.modelSpec.input,g.Xs)[0];let d=this.tokens[r];const h=(0,v.W0)(this.tokens,d).indexOf(r);null!=this.outputTokensPrefix&&d.startsWith(this.outputTokensPrefix)&&(d=d.slice(this.outputTokensPrefix.length));const p=(0,v.nE)(t.data[l],d,n,h+1);t.data[l]=p}renderImpl(){return d.dy`
      <div class='module-container'>
        ${this.renderControls()}
        <div id='main-area' class='module-results-area'>
          ${this.renderInputWords()}
          ${this.renderOutputWords()}
        </div>
      </div>
    `}renderModeInfo(){return null===this.selectedTokenIndex?null:d.dy`
      <span class='mode-info'>
        ${this.clickToMask?"Masked predictions":"Unmasked predictions"}
      </span>
    `}renderAddInputButton(){return d.dy`
      <button class='hairline-button'
        @click=${()=>(0,l.mG)(this,void 0,void 0,(function*(){const t=yield this.appState.annotateNewData([this.maskedInput]);this.appState.commitNewDatapoints(t)}))} ?disabled="${null==this.maskedInput}">
        Add masked datapoint
      </button>`}renderControls(){return d.dy`
      <div class='module-toolbar'>
        ${this.maskToken?d.dy`
          <lit-checkbox label="Mask selected token"
            ?checked=${this.clickToMask}
            @change=${()=>{this.clickToMask=!this.clickToMask}}
          ></lit-checkbox>`:null}
        ${this.renderAddInputButton()}
      </div>
    `}renderInputWords(){return d.dy`
      <div class='input-group'>
        <div class='field-title input-group-title' title='Field from model'>
          ${this.tokens.length>0?this.outputTokensKey:null}
        </div>
        <div class="input-words">${this.tokens.map(((t,n)=>{const r=(0,p.$)({token:!0,"token-chip-label":!0,selected:n===this.selectedTokenIndex,masked:n===this.selectedTokenIndex&&null!=this.maskToken&&this.clickToMask});return d.dy`<div class=${r} @click=${()=>{n===this.selectedTokenIndex?this.selectedTokenIndex=null:this.selectedTokenIndex=n}}>${t}</div>`}))}</div>
      </div>
    `}renderOutputWords(){const t=t=>{const n=this.tokens[this.selectedTokenIndex],r=t[0],h=(100*t[1]).toFixed(1),f=r===n,m=(0,p.$)({"output-token":!0,"token-chip-generated":!0,selected:f});return d.dy`
        <div class='output-row'>
          <div class='flex-holder'>
            <mwc-icon class="icon-button outlined add-icon-button"
                      @click=${()=>(0,l.mG)(this,void 0,void 0,(function*(){const t=[...this.tokens],n=this.createChildDatapoint(this.selectedInput,t);n.data[this.inputTokensKey][this.selectedTokenIndex]=r,this.updateTextSegment(n,r,this.selectedTokenIndex);const l=yield this.appState.annotateNewData([n]);this.appState.commitNewDatapoints(l)}))} ?disabled="${f}"
                      title="Add to dataset">
              add_box
            </mwc-icon>
            <div class=${m}>${r}</div>
          </div>
          <div class='token-chip-label output-percent'>${h}%</div>
        </div>
      `};return d.dy`
      <div id="output-words" class='sidebar sidebar-shaded'>
        ${(()=>null===this.selectedTokenIndex||0===this.mlmResults.length?d.dy`
            <span class='mode-info'>
              Click a token to see predictions
            </span>`:d.dy`
            ${this.maskToken?d.dy`${this.renderModeInfo()}`:null}
            ${this.mlmResults[this.selectedTokenIndex].map(t)}`)()}
      </div>
    `}static findTargetFields(t){return(0,v.Fe)(t,g.H1).filter((n=>{const r=t[n].align;return null!=r&&t[r]instanceof g.nk}))}static shouldDisplayModule(t,n){for(const n of Object.values(t))if(x.findTargetFields(n.spec.output).length>0)return!0;return!1}};w.title="LM Predictions",w.duplicateForExampleComparison=!0,w.duplicateAsRow=!0,w.numCols=4,w.template=(t,n,r)=>d.dy`
  <lm-prediction-module model=${t} .shouldReact=${r}
    selectionServiceIndex=${n}>
  </lm-prediction-module>`,(0,l.gn)([f.LO,(0,l.w6)("design:type",Boolean)],w.prototype,"clickToMask",void 0),(0,l.gn)([f.LO,(0,l.w6)("design:type",Object)],w.prototype,"selectedInput",void 0),(0,l.gn)([f.LO,(0,l.w6)("design:type",Array)],w.prototype,"tokens",void 0),(0,l.gn)([f.LO,(0,l.w6)("design:type",Object)],w.prototype,"maskedInput",void 0),(0,l.gn)([f.LO,(0,l.w6)("design:type",Array)],w.prototype,"originalResults",void 0),(0,l.gn)([f.LO,(0,l.w6)("design:type",Number)],w.prototype,"selectedTokenIndex",void 0),(0,l.gn)([f.LO,(0,l.w6)("design:type",Array)],w.prototype,"mlmResults",void 0),(0,l.gn)([f.Fl,(0,l.w6)("design:type",Object),(0,l.w6)("design:paramtypes",[])],w.prototype,"modelSpec",null),(0,l.gn)([f.Fl,(0,l.w6)("design:type",String),(0,l.w6)("design:paramtypes",[])],w.prototype,"predKey",null),(0,l.gn)([f.Fl,(0,l.w6)("design:type",String),(0,l.w6)("design:paramtypes",[])],w.prototype,"outputTokensKey",null),(0,l.gn)([f.Fl,(0,l.w6)("design:type",String),(0,l.w6)("design:paramtypes",[])],w.prototype,"outputTokensPrefix",null),(0,l.gn)([f.Fl,(0,l.w6)("design:type",String),(0,l.w6)("design:paramtypes",[])],w.prototype,"inputTokensKey",null),(0,l.gn)([f.Fl,(0,l.w6)("design:type",Object),(0,l.w6)("design:paramtypes",[])],w.prototype,"maskToken",null),w=x=(0,l.gn)([(0,h.Mo)("lm-prediction-module")],w)},593:(t,n,r)=>{"use strict";var l,d,h=r(7582),p=r(5862),f=r(8973),m=r(3196),g=r(2188),y=r(3506),v=(r(482),r(9604)),b=r(6645),x=r(4262),w=r(5889),S=(r(4915),r(696),r(7190)),_=r(9410);!function(t){t.DATASET="dataset",t.SELECTION="selection",t.SLICE="slice"}(d||(d={}));let E=l=class MetricsModule extends v.p{static get styles(){return[w.W]}constructor(){super(),this.sliceService=y.l.getService(_.qG),this.groupService=y.l.getService(S.l),this.classificationService=y.l.getService(_.c1),this.facetingControl=document.createElement("faceting-control"),this.selectedFacetBins={},this.metricsMap={},this.facetBySlice=!1,this.selectedFacets=[],this.pendingCalls=0;this.facetingControl.contextName=l.title,this.facetingControl.addEventListener("facets-change",(t=>{this.selectedFacets=t.detail.features,this.selectedFacetBins=t.detail.bins,this.updateAllFacetedMetrics()}))}connectedCallback(){super.connectedCallback(),this.react((()=>this.appState.currentInputData),(()=>{this.metricsMap={},this.addMetrics(this.appState.currentInputData,d.DATASET),this.updateAllFacetedMetrics()})),this.react((()=>this.classificationService.allMarginSettings),(()=>{this.addMetrics(this.appState.currentInputData,d.DATASET),this.addMetrics(this.selectionService.selectedInputData,d.SELECTION),this.updateAllFacetedMetrics()})),this.react((()=>this.sliceService.sliceNames),(()=>{this.facetBySlice=!0,this.updateSliceMetrics()})),this.react((()=>this.selectionService.selectedInputData),(()=>{Object.keys(this.metricsMap).forEach((t=>{this.metricsMap[t].source===d.SELECTION&&delete this.metricsMap[t]})),this.selectionService.lastUser!==this&&(null!=this.table&&(this.table.primarySelectedIndex=-1,this.table.selectedIndices=[]),this.selectionService.selectedInputData.length>0&&this.addMetrics(this.selectionService.selectedInputData,d.SELECTION))})),this.addMetrics(this.appState.currentInputData,d.DATASET),this.addMetrics(this.selectionService.selectedInputData,d.SELECTION),this.updateAllFacetedMetrics()}addMetrics(t,n,r,l){return(0,h.mG)(this,void 0,void 0,(function*(){const{currentModels:d}=this.appState,p=yield Promise.all(d.map((n=>(0,h.mG)(this,void 0,void 0,(function*(){return this.getMetrics(t,n)})))));let f=null!=l?l:n.toString();null!=r&&(f+=" (faceted)"),p.forEach(((l,h)=>{Object.entries(l).forEach((([l,p])=>{p.forEach((p=>{const m=this.getRowKey(d[h],f,p.pred_key,r);null==this.metricsMap[m]&&(this.metricsMap[m]={model:d[h],selection:f,exampleIds:t.map((t=>t.id)),predKey:p.pred_key,headMetrics:{},facets:r,source:n}),this.metricsMap[m].exampleIds=t.map((t=>t.id)),this.metricsMap[m].headMetrics[l]=p.metrics}))}))}))}))}getRowKey(t,n,r,l){let d="";if(null!=l)for(const t of Object.values(l))d+=`${t.displayVal}-`;return`${t}-${n}-${r}-${d}`}updateFacetedMetrics(t,n){if(this.selectedFacets.length>0){const r=this.groupService.groupExamplesByFeatures(this.selectedFacetBins,t,this.selectedFacets),l=n?d.SELECTION:d.DATASET;Object.keys(r).forEach((t=>{this.addMetrics(r[t].data,l,r[t].facets)}))}}updateAllFacetedMetrics(){Object.keys(this.metricsMap).forEach((t=>{null!=this.metricsMap[t].facets&&delete this.metricsMap[t]})),this.selectedFacets.length>0&&this.updateFacetedMetrics(this.appState.currentInputData,!1)}updateSliceMetrics(){Object.keys(this.metricsMap).forEach((t=>{this.metricsMap[t].source===d.SLICE&&delete this.metricsMap[t]})),this.facetBySlice&&this.sliceService.sliceNames.forEach((t=>{const n=this.sliceService.getSliceDataByName(t);n.length>0&&this.addMetrics(n,d.SLICE,void 0,t)}))}getMetrics(t,n){return(0,h.mG)(this,void 0,void 0,(function*(){const{currentDataset:r}=this.appState,{metrics:l,datasets:d}=this.appState.metadata.models[n];if(!d.includes(r))return Promise.resolve({});this.pendingCalls+=1;const h=l.length?l.join(","):"",p=this.classificationService.marginSettings[n]||{};let f;if(t.length)try{f=yield this.apiService.getMetrics(t,n,r,h,p)}catch(t){f={}}else f={};return this.pendingCalls-=1,f}))}get tableData(){const{currentModels:t}=this.appState,n=this.appState.metadata.metrics;if(0===Object.keys(n).length)return{header:[],data:[]};const r=[],l=new Map;Object.values(this.metricsMap).forEach((t=>{Object.entries(t.headMetrics).forEach((([t,r])=>{const{metaSpec:d}=n[t];Object.entries(r).forEach((([n,r])=>{const h=function(t,n){return`${t}: ${n}`}(t,n),p=l.get(h),f=d[n];if(!(f instanceof x.fv))return;const m=f.best_value,g=!l.has(h),y=m===x.C4.HIGHEST&&p<r,v=m===x.C4.LOWEST&&p>r,b=m===x.C4.ZERO&&Math.abs(p)>Math.abs(r);null!=m&&(g||y||v||b)&&l.set(h,m===x.C4.NONE?1/0:r)}))}))}));const d=[...l.keys()],h=Object.values(this.metricsMap).filter((n=>t.some((t=>t===n.model))));for(const t of h){const n=d.map((n=>{const[r,d]=n.split(": ");if(null==t.headMetrics[r])return"-";const h=t.headMetrics[r][d];if(null==h)return"-";const f=h===l.get(n),g="number"!=typeof h||Number.isInteger(h)?h:h.toFixed(3),y=(0,m.V)({"font-weight":f?"bold":"normal"});return p.dy`<span style=${y}>${g}</span>`})),h=this.selectedFacets.map((n=>t.facets&&t.facets[n]?t.facets[n].displayVal:"-")),f=[t.model,t.selection,...h,t.predKey,t.exampleIds.length,...n];r.push(f)}const f=d.map((t=>{const[r,l]=t.split(": "),d=n[r].metaSpec[l],[h,f]=t.split(": ");return{name:t,html:p.dy`<div slot="tooltip-anchor" class="header-text">
          ${h}<br>${f}
        </div>`,rightAlign:!0,tooltip:d.description,tooltipWidth:200,width:100}}));return{header:["Model","From",...this.selectedFacets,"Field","N",...f],data:r}}renderImpl(){return p.dy`
      <div class="module-container">
        <div class='module-toolbar'>
          ${this.renderFacetSelector()}
        </div>
        <div class='module-results-area'>
          ${this.renderTable()}
        </div>
      </div>
    `}renderTable(){const t=t=>{if(null==this.table)return;const n=this.table.primarySelectedIndex;if(n<0)return this.selectionService.selectIds([],this),void(this.table.selectedIndices=[]);const r=Object.values(this.metricsMap)[n],l=r.exampleIds;r.source!==d.SELECTION?(this.selectionService.selectIds(l,this),this.table.selectedIndices=[n]):(this.table.primarySelectedIndex=-1,this.table.selectedIndices=[])};return p.dy`
      <lit-data-table id="metrics-table"
        .columnNames=${this.tableData.header}
        .data=${this.tableData.data}
        selectionEnabled
        .onSelect=${n=>{t()}}
      ></lit-data-table>
    `}renderFacetSelector(){const t=this.sliceService.areAllSlicesEmpty();return p.dy`
      <lit-checkbox label="Show slices"
        ?checked=${this.facetBySlice}
        @change=${t=>{this.facetBySlice=!this.facetBySlice,this.updateSliceMetrics()}}
        ?disabled=${t}>
      </lit-checkbox>
      ${this.facetingControl}
      ${this.pendingCalls>0?this.renderSpinner():null}
    `}renderSpinner(){return p.dy`
      <lit-spinner size=${24} color="var(--app-secondary-color)">
      </lit-spinner>
    `}static shouldDisplayModule(t,n){return Object.values(t).some((t=>t.metrics.length))}};E.title="Metrics",E.numCols=6,E.template=(t,n,r)=>p.dy`
  <metrics-module model=${t} .shouldReact=${r}
    selectionServiceIndex=${n}>
  </metrics-module>`,E.duplicateForModelComparison=!1,(0,h.gn)([g.LO,(0,h.w6)("design:type",Object)],E.prototype,"selectedFacetBins",void 0),(0,h.gn)([g.LO,(0,h.w6)("design:type",Object)],E.prototype,"metricsMap",void 0),(0,h.gn)([g.LO,(0,h.w6)("design:type",Object)],E.prototype,"facetBySlice",void 0),(0,h.gn)([g.LO,(0,h.w6)("design:type",Array)],E.prototype,"selectedFacets",void 0),(0,h.gn)([g.LO,(0,h.w6)("design:type",Object)],E.prototype,"pendingCalls",void 0),(0,h.gn)([(0,f.IO)("#metrics-table"),(0,h.w6)("design:type",b.w)],E.prototype,"table",void 0),(0,h.gn)([g.Fl,(0,h.w6)("design:type",Object),(0,h.w6)("design:paramtypes",[])],E.prototype,"tableData",null),E=l=(0,h.gn)([(0,f.Mo)("metrics-module"),(0,h.w6)("design:paramtypes",[])],E)},3732:(t,n,r)=>{"use strict";var l=r(7582),d=(r(2637),r(8973)),h=r(5862),p=r(2188),f=r(3506),m=r(9604),g=(r(6645),r(4262)),y=r(4915),v=r(7098),b=r(9410);const x=h.iv`.top-holder {
  display: flex;
  flex-direction: column;
  height: 100%;
}

.table-holder {
  flex: 1 1 0%;
  overflow-y: auto;
}
`;var w=r(5889);let S=class MultilabelModule extends m.p{constructor(){super(...arguments),this.resultsInfo={},this.datapoints=[],this.groundTruthLabels=new Set,this.maxValues={}}static get styles(){return[w.W,x]}firstUpdated(){this.react((()=>this.selectionService.primarySelectedInputData),(t=>{this.updateSelection()})),this.react((()=>this.appState.compareExamplesEnabled),(t=>{this.updateSelection()})),this.updateSelection()}updateSelection(){return(0,l.mG)(this,void 0,void 0,(function*(){if(null===this.selectionService.primarySelectedInputData)return void(this.resultsInfo={});const t=f.l.getServiceArray(b.z2),n=[];for(const r of t){const t=r.primarySelectedInputData;if(null!=t&&n.push(t),!this.appState.compareExamplesEnabled)break}this.datapoints=n;const r=this.appState.currentModels,d=yield Promise.all(r.map((t=>(0,l.mG)(this,void 0,void 0,(function*(){return this.apiService.getPreds(n,t,this.appState.currentDataset,[g.rQ])})))));if(null===d)return void(this.resultsInfo={});this.groundTruthLabels.clear();for(const t of r){const{output:n}=this.appState.getModelSpec(t),r=(0,v.Fe)(n,g.rQ);for(const t of r){const r=n[t].parent;null!=r&&this.groundTruthLabels.add(r)}}this.maxValues={};const h={};for(let t=0;t<d.length;t++)for(let n=0;n<d[t].length;n++)for(const l of Object.keys(d[t][n])){null==h[l]&&(h[l]={});const p=d[t][n][l];for(const f of p){const p=f[0],m=f[1];null==h[l][p]&&(h[l][p]={});let g=`${r[t]}`;d[t].length>1&&(g+=0===n?" selected":" pinned"),h[l][p][g]=m,null==this.maxValues[l]&&(this.maxValues[l]=0),m>this.maxValues[l]&&(this.maxValues[l]=m)}}this.resultsInfo=h}))}renderImpl(){const t=Object.keys(this.resultsInfo);return h.dy`
        <div class="top-holder">
          ${t.map((t=>this.renderTable(t,this.resultsInfo[t])))}
        </div>
    `}renderBar(t,n){return{template:h.dy`
          <score-bar score=${t} maxScore=${n}></score-bar>`,value:t}}renderTable(t,n){const r=[`${t} class`];for(let t=0;t<this.datapoints.length;t++)for(const n of this.groundTruthLabels){let l=n;this.datapoints.length>1&&(l+=0===t?" selected":" pinned"),r.push(l)}const l=new Set;for(const t of Object.values(n))for(const n of Object.keys(t))l.add(n);const d=Array.from(l.values());for(let t=0;t<d.length;t++){const n=d[t];r.push(n),t>0&&r.push(n+" Δ")}const p=Math.ceil(this.maxValues[t]),f=Object.keys(n).map((t=>{const r=[t];for(let n=0;n<this.datapoints.length;n++){const l=this.datapoints[n];for(const n of this.groundTruthLabels.keys())r.push((0,y.eb)(l.data[n].includes(t)))}let l=0;for(let h=0;h<d.length;h++){const f=d[h],m=null==n[t][f]?0:n[t][f];if(r.push(this.renderBar(m,p)),0===h)l=m;else{const t=m-l;r.push(t.toFixed(3))}}return r}));return h.dy`
        <div class="table-holder">
          <lit-data-table
            .columnNames=${r}
            .data=${f}
            searchEnabled
          ></lit-data-table>
        </div>`}static shouldDisplayModule(t,n){return(0,v.Rf)(t,g.rQ)}};S.title="Multilabel Results",S.duplicateForModelComparison=!1,S.numCols=3,S.template=(t,n,r)=>h.dy`
  <multilabel-module model=${t} .shouldReact=${r}
    selectionServiceIndex=${n}>
  </multilabel-module>`,(0,l.gn)([p.LO,(0,l.w6)("design:type",Object)],S.prototype,"resultsInfo",void 0),S=(0,l.gn)([(0,d.Mo)("multilabel-module")],S)},6402:(t,n,r)=>{"use strict";var l=r(7582),d=(r(940),r(2396),r(8973)),h=r(5862),p=r(3692),f=r(4232),m=r(875);const g=(t,n)=>{var r,l;const d=t._$AN;if(void 0===d)return!1;for(const t of d)null===(l=(r=t)._$AO)||void 0===l||l.call(r,n,!1),g(t,n);return!0},y=t=>{let n,r;do{if(void 0===(n=t._$AM))break;r=n._$AN,r.delete(t),t=n}while(0===(null==r?void 0:r.size))},v=t=>{for(let n;n=t._$AM;t=n){let r=n._$AN;if(void 0===r)n._$AN=r=new Set;else if(r.has(t))break;r.add(t),w(n)}};function b(t){void 0!==this._$AN?(y(this),this._$AM=t,v(this)):this._$AM=t}function x(t,n=!1,r=0){const l=this._$AH,d=this._$AN;if(void 0!==d&&0!==d.size)if(n)if(Array.isArray(l))for(let t=r;t<l.length;t++)g(l[t],!1),y(l[t]);else null!=l&&(g(l,!1),y(l));else g(this,t)}const w=t=>{var n,r,l,d;t.type==m.pX.CHILD&&(null!==(n=(l=t)._$AP)&&void 0!==n||(l._$AP=x),null!==(r=(d=t)._$AQ)&&void 0!==r||(d._$AQ=b))};class async_directive_c extends m.Xe{constructor(){super(...arguments),this._$AN=void 0}_$AT(t,n,r){super._$AT(t,n,r),v(this),this.isConnected=t._$AU}_$AO(t,n=!0){var r,l;t!==this.isConnected&&(this.isConnected=t,t?null===(r=this.reconnected)||void 0===r||r.call(this):null===(l=this.disconnected)||void 0===l||l.call(this)),n&&(g(this,t),y(this))}setValue(t){if((0,f.OR)(this._$Ct))this._$Ct._$AI(t,this);else{const n=[...this._$Ct._$AH];n[this._$Ci]=t,this._$Ct._$AI(n,this,0)}}disconnected(){}reconnected(){}}class private_async_helpers_s{constructor(t){this.G=t}disconnect(){this.G=void 0}reconnect(t){this.G=t}deref(){return this.G}}class i{constructor(){this.Y=void 0,this.Z=void 0}get(){return this.Y}pause(){var t;null!==(t=this.Y)&&void 0!==t||(this.Y=new Promise((t=>this.Z=t)))}resume(){var t;null===(t=this.Z)||void 0===t||t.call(this),this.Y=this.Z=void 0}}const S=t=>!(0,f.pt)(t)&&"function"==typeof t.then,_=1073741823;const E=(0,m.XM)(class c extends async_directive_c{constructor(){super(...arguments),this._$C_t=_,this._$Cwt=[],this._$Cq=new private_async_helpers_s(this),this._$CK=new i}render(...t){var n;return null!==(n=t.find((t=>!S(t))))&&void 0!==n?n:p.Jb}update(t,n){const r=this._$Cwt;let l=r.length;this._$Cwt=n;const d=this._$Cq,h=this._$CK;this.isConnected||this.disconnected();for(let t=0;t<n.length&&!(t>this._$C_t);t++){const p=n[t];if(!S(p))return this._$C_t=t,p;t<l&&p===r[t]||(this._$C_t=_,l=0,Promise.resolve(p).then((async t=>{for(;h.get();)await h.get();const n=d.deref();if(void 0!==n){const r=n._$Cwt.indexOf(p);r>-1&&r<n._$C_t&&(n._$C_t=r,n.setValue(t))}})))}return p.Jb}disconnected(){this._$Cq.disconnect(),this._$CK.pause()}reconnected(){this._$Cq.reconnect(this),this._$CK.resume()}});var T=r(2188),C=r(9604),A=(r(5197),r(4262)),O=(r(4915),r(7098));const I=h.iv`.pdp-background {
  padding: 5px;
}

.charts-holder {
  display: flex;
  flex-wrap: wrap;
}

.chart-label {
  width: 100%;
  text-align: center;
}
`;var P=r(5889);let D=class PdpModule extends C.p{constructor(){super(...arguments),this.plotVisibility=new Map,this.plotInfo=new Map,this.selectionSet=new Set}static get styles(){return[P.W,I]}firstUpdated(){this.reactImmediately((()=>this.appState.getModelSpec(this.model).input),(t=>{this.resetPlots(t)})),this.react((()=>this.selectionService.selectedInputData),(()=>{this.selectionSet=new Set(this.selectionService.selectedInputData.map((t=>t.id))),this.plotInfo.clear();for(const t of this.plotVisibility.keys())this.plotVisibility.set(t,!1)}))}resetPlots(t){return(0,l.mG)(this,void 0,void 0,(function*(){this.plotVisibility.clear(),this.plotInfo.clear();const n=(0,O.Fe)(t,[A.Ru,A.q0]);for(const r of n)t[r].required&&this.plotVisibility.set(r,!1)}))}calculatePlotInfo(t){return(0,l.mG)(this,void 0,void 0,(function*(){const n={feature:t},r=this.selectionService.selectedInputData;return yield this.apiService.getInterpretations(r,this.model,this.appState.currentDataset,"pdp",n)}))}renderPlot(t){if(!this.plotVisibility.get(t))return h.dy``;const n=this.appState.getModelSpec(this.model),r=n.input[t]instanceof A.Ru,d=(t,l)=>{const d=new Array;d.push(new Map);for(const n of Object.keys(t)){const l=t[n],h=r?+n:n;if(Array.isArray(l))for(let t=0;t<l.length;t++)d.length<=t&&d.push(new Map),d[t].set(h,l[t]);else d[0].set(h,l)}const{vocab:p}=n.output[l],{null_idx:f}=n.output[l],m=n.output[l]instanceof A.OS?[0,1]:[];return h.dy`
          <div class="charts-holder">
            ${d.map(((t,n)=>{const l=null!=p&&p.length>n?p[n]:"";return null==f||f!==n?h.dy`
                    <div class="chart">
                      <div class="chart-label">${l}</div>
                      ${(t=>r?h.dy`
              <line-chart height=150 width=300
                  .scores=${t} .yScale=${m}>
              </line-chart>`:h.dy`
              <bar-chart height=150 width=300
                  .scores=${t} .yScale=${m}>
              </bar-chart>`)(t)}
                    </div>`:null}))}
          </div>`};return h.dy`${E((t=>{const n=new Set(this.selectionSet);return new Promise(((r,d)=>(0,l.mG)(this,void 0,void 0,(function*(){if(null==this.plotInfo.get(t)){const r=yield this.calculatePlotInfo(t);(0,O.vP)(n,this.selectionSet)&&this.plotInfo.set(t,r)}r(this.plotInfo.get(t))}))))})(t).then((t=>(t=>h.dy`
          <div class='pdp-background'>
            ${Object.keys(t).map((n=>d(t[n],n)))}
          </div>`)(t))),h.dy`
          <div class='pdp-background'>
            <lit-spinner size=${24} color="var(--app-secondary-color)">
            </lit-spinner>
          </div>`)}`}renderPlotHolder(t){return h.dy`
        <div class='plot-holder'>
          <expansion-panel .label=${t}
                           @expansion-toggle=${n=>{const{isExpanded:r}=n.detail;this.plotVisibility.set(t,r),this.requestUpdate()}}>
            ${this.renderPlot(t)}
          </expansion-panel>
        </div>
      `}renderImpl(){return h.dy`${Array.from(this.plotVisibility.keys()).map((t=>this.renderPlotHolder(t)))}`}static shouldDisplayModule(t,n){return(0,O.Rf)(t,[A.aK,A.OS])&&(0,O.F)(t,[A.Ru,A.q0],!0)}};D.title="Partial Dependence Plots",D.duplicateForExampleComparison=!0,D.numCols=4,D.template=(t,n,r)=>h.dy`
  <pdp-module model=${t} .shouldReact=${r}
    selectionServiceIndex=${n}>
  </pdp-module>`,(0,l.gn)([T.LO,(0,l.w6)("design:type",Object)],D.prototype,"plotVisibility",void 0),(0,l.gn)([T.LO,(0,l.w6)("design:type",Object)],D.prototype,"plotInfo",void 0),D=(0,l.gn)([(0,d.Mo)("pdp-module")],D)},3241:(t,n,r)=>{"use strict";var l=r(7582),d=r(5862),h=r(8973),p=r(2188),f=r(3506),m=r(9604),g=(r(6645),r(5889)),y=r(4262),v=(r(4915),r(7098)),b=r(7965),x=r(9410);const w=d.iv`td {
  padding-right: 4px;
  text-align: left;
}

th {
  text-align: left;
}
`;let S=class RegressionModule extends m.p{constructor(){super(...arguments),this.dataService=f.l.getService(x.Do),this.result=null}static get styles(){return[g.W,w]}firstUpdated(){this.reactImmediately((()=>[this.selectionService.primarySelectedInputData,this.dataService.dataVals]),(()=>{this.updateSelection(this.selectionService.primarySelectedInputData)}))}updateSelection(t){return(0,l.mG)(this,void 0,void 0,(function*(){if(null==t)return void(this.result=null);const n={},{output:r}=this.appState.getModelSpec(this.model),l=(0,v.Fe)(r,y.aK);for(const r of l){const l=this.dataService.getColumnName(this.model,r),d=this.dataService.getColumnName(this.model,r,b.g_.ERROR);n[r]={score:this.dataService.getVal(t.id,l),error:this.dataService.getVal(t.id,d)}}this.result=n}))}renderImpl(){var t,n,r;if(null==this.result)return null;const l=this.result,h=this.selectionService.primarySelectedInputData,p=this.appState.getModelSpec(this.model),f=(0,v.Fe)(p.output,y.aK),m=[];let g=!1;for(const d of f){const f=(null===(n=null===(t=l[d])||void 0===t?void 0:t.score)||void 0===n?void 0:n.toFixed(4))||"",y=p.output[d].parent||"",v=(null===(r=h.data[y])||void 0===r?void 0:r.toFixed(4))||"";let b="";if(y&&v){const t=l[d].error;null!=t&&(g=!0,b=t.toFixed(4))}m.push({Field:d,"Ground truth":v,Score:f,Error:b})}const b=g?["Field","Ground truth","Score","Error"]:["Field","Score"];return d.dy`
      <lit-data-table
        .columnNames=${b}
        .data=${m}
      ></lit-data-table>`}static shouldDisplayModule(t,n){return(0,v.Rf)(t,y.aK)}};S.title="Regression Results",S.duplicateForExampleComparison=!0,S.numCols=3,S.template=(t,n,r)=>d.dy`
  <regression-module model=${t} .shouldReact=${r}
    selectionServiceIndex=${n}>
  </regression-module>`,(0,l.gn)([p.LO,(0,l.w6)("design:type",Object)],S.prototype,"result",void 0),S=(0,l.gn)([(0,h.Mo)("regression-module")],S)},4016:(t,n,r)=>{"use strict";var l=r(7582),d=r(5862),h=r(8973),p=r(2188),f=r(3506),m=r(9604),g=r(7146),y=(r(3539),r(6645),r(4424),r(4262)),v=r(5889),b=(r(4915),r(7098)),x=r(7376),w=(r(7965),r(9410));const S=d.iv`.clustering-salience-mapper {
  padding: 8px;
}

.grad-key-label {
  padding: 4px;
  text-align: start;
  vertical-align: baseline;
  width: 150px;
}

.grad-key-row {
  padding: 8px;
}

.selection-warning {
  color: var(--google-red-500);
}

.module-toolbar.footer {
  width: 100%;
  padding: 0;
}

.clustering-controls-container {
  max-height: 100%;
  width: 400px;
  max-width: 400px;
  overflow-y: auto;
  border-right: 1px solid var(--lit-neutral-300);
  box-sizing: border-box;
  display: flex;
  flex-direction: column;
  align-items: stretch;
  justify-content: start;
}

.clustering-results-container {
  flex: 1 1 auto;
  max-height: 100%;
  overflow-y: auto;
}

.controls-and-results-container {
  max-height: 100%;
  height: 100%;
  display: flex;
}`,_="Salience Mapper",E="Number of clusters",T="Salience Clustering";let C=class SalienceClusteringModule extends m.p{constructor(){super(...arguments),this.dataService=f.l.getService(w.Do),this.runCount=0,this.statusMessage="",this.cmapGamma=2,this.signedCmap=new x.kh(this.cmapGamma),this.unsignedCmap=new x.zT(this.cmapGamma),this.state={dataColumns:[],clusteringConfig:{},salienceConfigs:{},clusteringState:{clusterInfosByField:{},isLoading:!1,colorMap:{},clusteringConfig:{}}}}static get styles(){return[v.W,S]}firstUpdated(){this.state={dataColumns:[],clusteringConfig:{},salienceConfigs:{},clusteringState:{clusterInfosByField:{},isLoading:!1,colorMap:{},clusteringConfig:{}}}}runInterpreter(){return(0,l.mG)(this,void 0,void 0,(function*(){const t=this.state.clusteringConfig[_],n=this.selectionService.selectedOrAllInputData;if(!this.canRunClustering)return;this.state.clusteringState.isLoading=!0;const r=yield this.apiService.getInterpretations(n,this.model,this.appState.currentDataset,T,Object.assign(Object.assign({},this.state.clusteringConfig),this.state.salienceConfigs[t]),`Running ${t}`);this.state.clusteringState.isLoading=!1,this.state.dataColumns=Object.keys(n[0].data);const d=(0,b.Tp)(y.q0);d.vocab=Array.from({length:this.state.clusteringConfig[E]},((t,n)=>n.toString()));const h=(n,r)=>(0,l.mG)(this,void 0,void 0,(function*(){const l=Object.assign(Object.assign(Object.assign({},this.state.clusteringConfig),this.state.salienceConfigs[t]),{reuse_clustering:!0});return(yield this.apiService.getInterpretations([r],this.model,this.appState.currentDataset,T,l,`Running ${t}`)).cluster_ids[n][0].toString()}));for(const l of Object.keys(r.cluster_ids)){this.state.clusteringState.clusterInfosByField[l]={};const p=Math.max(...r.cluster_ids[l])+1;for(let t=0;t<p;t++){const n={exampleIds:[],topTokens:[]};this.state.clusteringState.clusterInfosByField[l][t]=n}const f=r.cluster_ids[l],m=f.length,g=`saliency cluster index (${this.state.clusteringConfig[_]}, ${l}, ${this.state.clusteringConfig[E]}, ${this.state.clusteringConfig["Number of top salient tokens to consider per data point"]}, ${this.runCount})`,y=new Map;this.state.clusteringState.clusteringConfig[l]=Object.assign({},this.state.clusteringConfig);for(let t=0;t<m;t++){const r=n[t].id,d=f[t];this.state.clusteringState.clusterInfosByField[l][d].exampleIds.push(r),y.set(n[t].id,d.toString())}const v=t=>h(l,t);this.dataService.addColumn(y,T,g,d,"Interpreter",v),this.statusMessage=`Clustered ${m} datapoints (Generated column name: ${g}).`;const b=r.top_tokens[l],x=b.length;for(let t=0;t<x;t++)for(const n of b[t])this.state.clusteringState.clusterInfosByField[l][t].topTokens.push({token:n[0],weight:n[1]});const w=this.appState.metadata.interpreters[t].metaSpec.saliency;this.state.clusteringState.colorMap[l]=w.signed?this.signedCmap:this.unsignedCmap}this.runCount++}))}renderSpinner(){return d.dy`
      <div class="spinner-container">
        <lit-spinner size=${24} color="var(--app-secondary-color)">
        </lit-spinner>
      </div>`}renderSingleGradKeyTopTokenInfos(t,n,r){const l=Object.entries(n).map((([t,n])=>[Number(t),n.exampleIds.length,d.dy`
          <lit-token-chips
            .tokensWithWeights=${n.topTokens}
            .cmap=${r}>
          </lit-token-chips>`])),h=this.state.clusteringState.clusteringConfig[t]["Number of tokens to display per cluster"];return d.dy`
      <div class="grad-key-row">
        <div class="grad-key-label">${t}</div>
        <lit-data-table
          .columnNames=${[{name:"Cluster index",width:125},{name:"N",width:75},`Tokens with high average saliency (up to ${h})`]}
          .data=${l}
          selectionEnabled
          .onSelect=${t=>{const r=Object.entries(n).flatMap((([n,r])=>t.includes(Number(n))?r.exampleIds:[]));this.selectionService.selectIds(r,this)}}
        ></lit-data-table>
      </div>`}renderTopTokens(){const{clusterInfosByField:t,colorMap:n}=this.state.clusteringState;return d.dy`
      ${Object.entries(t).map((([t,r])=>this.renderSingleGradKeyTopTokenInfos(t,r,n[t])))}
      ${this.state.clusteringState.isLoading?this.renderSpinner():null}`}getSalienceInterpreterNames(){const t=[],{interpreters:n}=this.appState.metadata,r=this.appState.metadata.models[this.model].interpreters;for(const l of r){0!==(0,b.Fe)(n[l].metaSpec,y.NO).length&&t.push(l)}return t}renderControlsAndResults(){if(null==this.state.clusteringState||null==this.state.clusteringState.clusterInfosByField)return d.dy`<div>Nothing to show.</div>`;const t=t=>{this.state.clusteringConfig=t.detail.settings,this.runInterpreter()},n=t=>{const{name:n,settings:r}=t.detail;this.state.salienceConfigs[n]=r},r=[T,...this.getSalienceInterpreterNames()];return d.dy`
      <div class="controls-and-results-container">
        <div class="clustering-controls-container">
          ${r.map((r=>{const l=this.appState.metadata.interpreters[r].configSpec,h=(0,b.o8)(l);for(const t of Object.values(h))t instanceof y.$K&&(t.vocab=this.appState.getSpecKeysFromFieldMatcher(t,this.model));if(0!==Object.keys(h).length)return d.dy`
        <lit-interpreter-controls
          .spec=${h}
          .name=${r}
          .opened=${r===T}
          @interpreter-click=${r===T?t:n}>
        </lit-interpreter-controls>`}))}
        </div>
        <div class="clustering-results-container">
          ${this.renderTopTokens()}
        </div>
      </div>`}get canRunClustering(){const t=this.selectionService.selectedOrAllInputData;return null!=t&&t.length>=2}renderSelectionWarning(){return d.dy`
      <span class="selection-warning">
        Please select no datapoint (for entire dataset) or >= 2 datapoints to
        compute clusters.
      </span>`}renderColorLegend(t,n,r){return d.dy`
      <color-legend legendType=${g.H.SEQUENTIAL}
        label=${t}
        .scale=${n.asScale()}
        numBlocks=${r}>
      </color-legend>`}renderColorLegends(){const t={};for(const n of Object.keys(this.state.clusteringState.colorMap))this.state.clusteringState.colorMap[n]===this.signedCmap&&(t.Signed=this.renderColorLegend("Signed",this.signedCmap,7)),this.state.clusteringState.colorMap[n]===this.unsignedCmap&&(t.Unsigned=this.renderColorLegend("Unsigned",this.unsignedCmap,5));return Object.values(t)}renderImpl(){return d.dy`
      <div class="module-container">
        <div class="module-results-area">
          ${this.renderControlsAndResults()}
        </div>
        <div class="module-footer">
          <p class="module-status">
            ${this.canRunClustering?"":this.renderSelectionWarning()}
            ${this.statusMessage}
          </p>
          ${this.renderColorLegends()}
        </div>
      </div>`}static shouldDisplayModule(t){return Object.values(t).some((t=>-1!==t.interpreters.indexOf(T)))}};C.title="Salience Clustering Results",C.numCols=1,C.template=(t,n,r)=>d.dy`
  <salience-clustering-module model=${t} .shouldReact=${r}
    selectionServiceIndex=${n}>
  </salience-clustering-module>`,(0,l.gn)([p.LO,(0,l.w6)("design:type",Object)],C.prototype,"state",void 0),C=(0,l.gn)([(0,h.Mo)("salience-clustering-module")],C)},8e3:(t,n,r)=>{"use strict";var l=r(7582),d=(r(5681),r(6353),r(8684),r(4424),r(5862)),h=r(8973),p=r(3196),f=r(2188),m=r(3506),g=r(9604),y=r(7146),v=(r(3539),r(4262)),b=r(5889),x=r(4915),w=r(7098),S=r(7376),_=r(5587),E=r(9410);const T=d.iv`.group-label {
  text-align: start;
  vertical-align: baseline;
  width: 295px;
}

.group-container {
  padding: 4px;
  position: relative; /* to allow overlay div */
  vertical-align: top;
}

.module-toolbar > * {
  margin: 0px 4px;
}

.salience-target-dropdown {
  min-width: 60px;
  margin-left: 4px;
}

.module-footer > * { min-width: 0; }

.module-footer {
  justify-content: space-between;
}

.slider-controls {
  display: flex;
  flex-direction: row;
}

.tokens-holder {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
}

.method-row-contents {
  display: flex;
  flex-direction: row;
}

.controls-toggle {
  display: flex;
  flex-direction: row;
  align-items: center;
}

.controls-toggle mwc-icon {
  --mdc-icon-size: 16px;
}

.controls-panel {
  width: 295px;
}

color-legend {
  margin-right: 16px;
}

.method-results {
  padding: 4px;
}

.salience-placeholder {
  color: var(--lit-neutral-800);
}

.loading {
  opacity: 0.2;
  pointer-events: none;
}

.spinner-container {
  opacity: 1.0;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
}
`;var C,A=r(5108);const O=[v.NO,v.oB,v.Z2],I=[v.OS,v.aK];let P=C=class SalienceMapModule extends g.p{constructor(){super(...arguments),this.focusService=m.l.getService(_.i),this.isRenderImage=!1,this.hasSignedSalience=!1,this.hasUnsignedSalience=!1,this.cmapGamma=2,this.state={}}static get styles(){return[b.W,T]}get signedCmap(){return new S.kh(this.cmapGamma)}get unsignedCmap(){return new S.zT(this.cmapGamma)}get compatibleWithTargetSelector(){const{input:t,output:n}=this.appState.getModelSpec(this.model),r=(0,w.Fe)(n,v.Kx),l=this.targetFields.map((t=>n[t].parent)).filter((t=>null!=t));for(const d of r){const r=n[d].grad_target_field_key;if(null!=r){if(null==t[r])return!1;if(-1===l.indexOf(r))return!1}}return!0}get targetFields(){const t=this.appState.getModelSpec(this.model).output;return(0,w.Fe)(t,I)}get targetFieldSpec(){return null==this.targetField?null:this.appState.getModelSpec(this.model).output[this.targetField]}get inputLabelField(){var t;return null==this.targetFieldSpec?null:null!==(t=this.targetFieldSpec.parent)&&void 0!==t?t:null}get labelVocab(){return null==this.targetFieldSpec?[]:this.targetFieldSpec instanceof v.OS?this.targetFieldSpec.vocab:[]}get modifiedInput(){const t=this.currentData;if(null==t)return null;if(null==this.inputLabelField||void 0===this.salienceTarget)return t;const n=this.labelVocab[this.salienceTarget];return(0,w.sV)(t,{[this.inputLabelField]:n},"SalienceMapModule")}shouldRunInterpreter(t){return this.state[t].autorun}clearSalience(){for(const t of Object.keys(this.state))this.state[t].salience={}}firstUpdated(){const t=this.appState.metadata.interpreters,n=this.appState.metadata.models[this.model].interpreters,r={};for(const l of n){const n=(0,w.Fe)(t[l].metaSpec,O);if(0===n.length)continue;const d=t[l].metaSpec[n[0]];d instanceof v.Z2&&(this.isRenderImage=!0),this.hasSignedSalience=this.hasSignedSalience||!!d.signed,this.hasUnsignedSalience=this.hasUnsignedSalience||!d.signed,r[l]={autorun:!!d.autorun,isLoading:!1,salience:{},cmap:d.signed?this.signedCmap:this.unsignedCmap}}this.state=r,this.reactImmediately((()=>this.targetFields),(t=>{t.length<=0&&(A.warn(`Salience Map module: model "${this.model}" has no compatible output fields. Salience methods may still work, but you will not be able to change the target from the UI.`),this.targetField=void 0),this.targetField=t[0]})),this.reactImmediately((()=>this.selectionService.primarySelectedInputData),(t=>{this.updateToSelection(t);for(const t of Object.keys(this.state))this.shouldRunInterpreter(t)&&this.runInterpreter(t)}));for(const t of Object.keys(this.state)){this.react((()=>this.salienceTarget),(()=>{this.shouldRunInterpreter(t)?this.runInterpreter(t):this.state[t].salience={}}));const n=()=>this.state[t].autorun;this.react(n,(()=>{this.shouldRunInterpreter(t)&&this.runInterpreter(t)}))}}updateToSelection(t){return(0,l.mG)(this,void 0,void 0,(function*(){if(this.currentData=void 0,this.currentPreds=void 0,this.salienceTarget=void 0,this.clearSalience(),null==t)return;this.currentData=t;const n=this.apiService.getPreds([t],this.model,this.appState.currentDataset,I,[],"Getting targets from model prediction"),r=yield this.loadLatest("modelPreds",n);if(null!==r)if(this.currentData=t,this.currentPreds=r[0],this.targetFieldSpec instanceof v.OS){const t=this.currentPreds[this.targetField];this.salienceTarget=(0,w.Eb)(t)}else this.salienceTarget=void 0}))}runInterpreter(t){return(0,l.mG)(this,void 0,void 0,(function*(){const n=this.modifiedInput;if(null==n)return void(this.state[t].salience={});let r=this.state[t].config;const l=this.appState.metadata.interpreters[t].configSpec;for(const t of(0,w.Fe)(l,[v.lM]))r=Object.assign({},r,{[t]:{field:this.targetField,index:this.salienceTarget}});this.state[t].isLoading=!0;const d=this.apiService.getInterpretations([n],this.model,this.appState.currentDataset,t,r,`Running ${t}`),h=yield this.loadLatest(`interpretations-${t}`,d);this.state[t].isLoading=!1,null!==h&&(this.state[t].salience=h[0])}))}renderImageSalience(t,n){const r=t[n];return d.dy`<img src='${r}'></img>`}renderHeaderControls(){if(!this.compatibleWithTargetSelector)return null;if(this.targetFields.length<=0)return null;const t=t=>{this.salienceTarget=t.target.selectedIndex};return d.dy`
      <div class="module-toolbar">
        <div class="controls-group">
          <label class="dropdown-label">Target field:</label>
          <select class="dropdown salience-target-dropdown"
            @change=${t=>{this.targetField=t.target.value}}>
            ${this.targetFields.map((t=>d.dy`<option value=${t}
                     ?selected=${t===this.targetField}>
                    ${t}
                   </option>`))}
          </select>
          ${this.labelVocab.length>0?(()=>d.dy`
        <label class="dropdown-label">Class to explain:</label>
        <select class="dropdown salience-target-dropdown"
          @change=${t}
          .value=${this.labelVocab[this.salienceTarget]}>
          ${this.labelVocab.map(((t,n)=>d.dy`<option value=${t}
                    ?selected=${n===this.salienceTarget}>
                  ${t}
                  </option>`))}
        </select>
      `)():null}
        </div>
        <div class="controls-group">
        </div>
      </div>`}renderColorLegend(t,n,r){const l="Signed"===t?"Salience is relative to the model's prediction of a class. A positive score (more green) for a token means that token influenced the model to predict that class.":"Salience is relative to the model's prediction of a class. A larger score (more purple) for a token means that token was more influential on the model's prediction of that class.";return d.dy`
      <color-legend legendType=${y.H.SEQUENTIAL}
        label=${t}
        .paletteTooltipText=${l}
        .scale=${n.asScale()}
        numBlocks=${r}>
      </color-legend>`}renderSlider(){return d.dy`
      <div class='slider-controls'>
        <lit-tooltip .tooltipPosition=${"above"}
          .content=${C.sliderTooltipText}>
          <label for="gamma-slider" slot="tooltip-anchor">Gamma:</label>
        </lit-tooltip>
        <lit-numeric-input min="0.25" max="6" step="0.25"
          value="${this.cmapGamma}" @change=${t=>{this.cmapGamma=Number(t.target.value);const n=this.appState.metadata.interpreters,r=this.appState.metadata.models[this.model].interpreters;for(const t of r){const r=(0,w.Fe)(n[t].metaSpec,v.FG);if(0===r.length)continue;const l=n[t].metaSpec[r[0]];this.state[t].cmap=l.signed?this.signedCmap:this.unsignedCmap}}}>
        </lit-numeric-input>
      </div>`}renderFooter(){return d.dy`
      <div class="module-footer">
        ${this.hasSignedSalience?this.renderColorLegend("Signed",this.signedCmap,7):null}
        ${this.hasUnsignedSalience?this.renderColorLegend("Unsigned",this.unsignedCmap,5):null}
        ${this.hasSignedSalience||this.hasUnsignedSalience?this.renderSlider():null}
      </div>`}renderTokenSalience(t,n,r,l,h){const p=[];for(let l=0;l<t.length;l++){const d=()=>{this.focusService.setFocusedField(this.selectionService.primarySelectedInputData.id,"input",r,l)},h=()=>{this.focusService.clearFocus()},f=this.focusService.focusData,m=(null==f?void 0:f.fieldName)===r&&(null==f?void 0:f.datapointId)===this.selectionService.primarySelectedId&&(null==f?void 0:f.subField)===l;p.push({token:t[l],weight:n[l],onMouseover:d,onMouseout:h,forceShowTooltip:m})}return d.dy`
      <div class="tokens-group">
        ${h?d.dy`<div class="tokens-group-title">${h}</div>`:null}
        <lit-token-chips
          .tokensWithWeights=${p}
          .cmap=${l}>
        </lit-token-chips>
      </div>`}renderFeatureSalience(t,n,r,l){const d=t[n].salience,h=Object.keys(d).sort(((t,n)=>d[n]-d[t])),p=this.selectionService.primarySelectedInputData.data,f=h.map((t=>`${t}: ${p[t]}`)),m=h.map((t=>d[t]));return this.renderTokenSalience(f,m,n,r,l)}renderGroup(t,n,r,l,d){return n[r]instanceof v.RR?this.renderImageSalience(t,r):n[r]instanceof v.oB?this.renderFeatureSalience(t,r,l,d):this.renderTokenSalience(t[r].tokens,t[r].salience,r,l,d)}renderSpinner(){return d.dy`
      <div class="spinner-container">
        <lit-spinner size=${24} color="var(--app-secondary-color)">
        </lit-spinner>
      </div>
    `}controlsApplyCallback(t){const n=t.detail.name;this.state[n].config=t.detail.settings,this.runInterpreter(n)}renderMethodControls(t){var n;const r=this.appState.metadata.interpreters[t].configSpec;if(0===Object.keys(r).length)return null;const l=(0,w.o8)(r);for(const[t,n]of Object.entries(l))n instanceof v.lM?delete l[t]:n instanceof v.$K&&(n.vocab=this.appState.getSpecKeysFromFieldMatcher(n,this.model));const h=(null!==(n=this.appState.metadata.interpreters[t].description)&&void 0!==n?n:t).split("\n")[0],f=(0,p.V)({"--popup-right":"0"});return d.dy`
      <popup-container style=${f}>
        <div class="controls-toggle" slot="toggle-anchor">
          <mwc-icon class='icon-button'>settings</mwc-icon>
        </div>
        <div class="controls-panel">
          <lit-interpreter-controls .spec=${l} .name=${t}
                      .description=${h}
                      noexpand opened
                      @interpreter-click=${this.controlsApplyCallback}>
          </lit-interpreter-controls>
        </div>
      </popup-container>`}renderMethodRow(t){var n;const{output:r}=this.appState.getModelSpec(this.model),{metaSpec:l}=this.appState.metadata.interpreters[t],h=Object.assign(Object.assign({},l),r),p=this.state[t].salience,f=null!==(n=this.appState.metadata.interpreters[t].description)&&void 0!==n?n:t,m=1===Object.keys(p).length,g=Object.keys(p).map((n=>this.renderGroup(p,h,n,this.state[t].cmap,m?void 0:n)));return d.dy`
      <div class='method-row'>
        <expansion-panel .label=${t} ?expanded=${this.state[t].autorun}
                         .description=${f}
                          @expansion-toggle=${()=>{this.state[t].autorun=!this.state[t].autorun}}>
          <div slot="bar-content">
            ${this.renderMethodControls(t)}
          </div>
          <div class='method-row-contents'>
            <div class='method-results'>
              ${null!=this.selectionService.primarySelectedInputData?g:d.dy`
                <span class='salience-placeholder'>
                  Select a datapoint to see ${t} attributions.
                </span>`}
              ${this.state[t].isLoading?this.renderSpinner():null}
            </div>
          </div>
        </expansion-panel>
      </div>`}renderImpl(){return d.dy`
      <div class='module-container'>
        ${this.renderHeaderControls()}
        <div class='module-results-area ${x.SU}'>
          ${Object.keys(this.state).map((t=>this.renderMethodRow(t)))}
        </div>
        ${this.isRenderImage?null:this.renderFooter()}
      </div>
    `}static shouldDisplayModule(t,n){const r=m.l.getService(E.aB);return null!=r.metadata&&Object.values(t).some((t=>t.interpreters.some((t=>{const n=r.metadata.interpreters[t];return(0,w.Fe)(n.metaSpec,O).length>0}))))}};P.title="Salience Maps",P.infoMarkdown="Input salience methods try to explain model predictions as a heatmap\n      over input features, such as tokens.<br>\n      [Learn more.](https://pair-code.github.io/lit/documentation/components.md#token-based-salience)",P.numCols=6,P.duplicateForExampleComparison=!0,P.template=(t,n,r)=>d.dy`<salience-map-module model=${t} selectionServiceIndex=${n} .shouldReact=${r}></salience-map-module>`,P.sliderTooltipText="A larger gamma value makes lower salience tokens more visible.",(0,l.gn)([f.LO,(0,l.w6)("design:type",Object)],P.prototype,"cmapGamma",void 0),(0,l.gn)([f.Fl,(0,l.w6)("design:type",Object),(0,l.w6)("design:paramtypes",[])],P.prototype,"signedCmap",null),(0,l.gn)([f.Fl,(0,l.w6)("design:type",Object),(0,l.w6)("design:paramtypes",[])],P.prototype,"unsignedCmap",null),(0,l.gn)([f.LO,(0,l.w6)("design:type",Object)],P.prototype,"state",void 0),(0,l.gn)([f.LO,(0,l.w6)("design:type",Object)],P.prototype,"currentData",void 0),(0,l.gn)([f.LO,(0,l.w6)("design:type",Object)],P.prototype,"currentPreds",void 0),(0,l.gn)([f.LO,(0,l.w6)("design:type",String)],P.prototype,"targetField",void 0),(0,l.gn)([f.LO,(0,l.w6)("design:type",Number)],P.prototype,"salienceTarget",void 0),(0,l.gn)([f.Fl,(0,l.w6)("design:type",Boolean),(0,l.w6)("design:paramtypes",[])],P.prototype,"compatibleWithTargetSelector",null),(0,l.gn)([f.Fl,(0,l.w6)("design:type",Array),(0,l.w6)("design:paramtypes",[])],P.prototype,"targetFields",null),(0,l.gn)([f.Fl,(0,l.w6)("design:type",Object),(0,l.w6)("design:paramtypes",[])],P.prototype,"targetFieldSpec",null),(0,l.gn)([f.Fl,(0,l.w6)("design:type",String),(0,l.w6)("design:paramtypes",[])],P.prototype,"inputLabelField",null),(0,l.gn)([f.Fl,(0,l.w6)("design:type",Array),(0,l.w6)("design:paramtypes",[])],P.prototype,"labelVocab",null),(0,l.gn)([f.Fl,(0,l.w6)("design:type",Object),(0,l.w6)("design:paramtypes",[])],P.prototype,"modifiedInput",null),P=C=(0,l.gn)([(0,h.Mo)("salience-map-module")],P)},407:(t,n,r)=>{"use strict";var l=r(7582),d=(r(5197),r(3886)),h=r(5862),p=r(8973),f=r(355),m=r(2188),g=r(3506),y=r(9604),v=r(7146),b=(r(6278),r(6070)),x=r(4262),w=r(5889),S=r(4915),_=r(7098),E=r(7965),T=r(9410);const C=h.iv`.scatterplot {
  position: relative;
  margin: 8px;
  min-height: 112px;
}

.scatterplot .axes {
  position: absolute;
  top: 0;
  left: 0;
  max-width: 100%;
}

.scatterplot .scene {
  min-height: 100px;
  height: 100px;
  max-height: 100px;
  max-width: calc(100% - 40px);
  margin-left: 32px;
  cursor: crosshair;
}

#regression-line,
#threshold-line {
  stroke-width: 2px;
}

.confusion-zone {
  fill: url(#diagonalHatch);
  fill-opacity: .30;
}

#diagonalHatch path{
  stroke: var(--lit-neutral-700);
  stroke-width: 1;
}
`,A=r(6377),O=(0,b.lf)("neutral","600").color,I={defaultTransitionTimeMs:0},P=(0,b.nA)((0,b.lf)("cyea","700").color),D=(0,b.nA)((0,b.lf)("mage","400").color),F=(0,b.nA)((0,b.lf)("mage","700").color),B=(0,b.nA)("white");let $=class ScalarModule extends y.p{constructor(){super(...arguments),this.colorService=g.l.getService(T.x4),this.classificationService=g.l.getService(T.c1),this.focusService=g.l.getService(T.io),this.dataService=g.l.getService(T.Do),this.pinnedSelectionService=g.l.getService(T.z2,"pinned"),this.plots=new Map,this.resizeObserver=new ResizeObserver((()=>{this.resizePlots()})),this.numPlotsRendered=0,this.preds=[]}static get styles(){return[w.W,C]}static shouldDisplayModule(t,n){const r=[x.Ru,x.OS],l=(0,_.Fe)(n,r).length>0,d=(0,_.Rf)(t,r);return l||d}get datasetScalarKeys(){return(0,_.Fe)(this.appState.currentDatasetSpec,x.Ru)}get datasetSize(){return this.appState.metadata.datasets[this.appState.currentDataset].size}containerSelector(t){return`div.scatterplot[data-id="${t}"]`}connectedCallback(){super.connectedCallback();this.reactImmediately((()=>[this.appState.currentInputData,this.dataService.dataVals]),(()=>{var t;for(const n of this.plots.values())null===(t=n.points)||void 0===t||t.clear(),delete n.points,delete n.scene;this.updatePredictions(this.appState.currentInputData)}));this.react((()=>{var t;return[this.colorService.selectedColorOption,this.preds,this.selectionService.selectedIds,this.selectionService.primarySelectedId,this.pinnedSelectionService.primarySelectedId,null===(t=this.focusService.focusData)||void 0===t?void 0:t.datapointId]}),(()=>{this.updatePlots()}))}firstUpdated(){this.reactImmediately((()=>this.classificationService.allMarginSettings),(()=>{for(const[t,{model:n,key:r,xScale:l}]of this.plots.entries()){if(null==n||null==l)continue;if(!(this.appState.getModelSpec(n).output[r]instanceof x.OS))continue;const h=this.containerSelector(t),p=this.renderRoot.querySelector(h);if(null==p)continue;const f=d.Ys(p).select("#threshold-line");if(f.empty())continue;const m=this.classificationService.getMargin(n,r),g=l((0,_.xt)(m));f.attr("x1",g).attr("x2",g)}}));const t=this.shadowRoot.getElementById("container");this.resizeObserver.observe(t)}updated(){this.updatePlots()}updatePredictions(t){return(0,l.mG)(this,void 0,void 0,(function*(){if(null==t)return;const n=A("lit");this.preds=t.map((({id:t})=>({id:t,rngY:n()})))}))}getXScale(t,n){let r;if(null==n){const n=this.dataService.getColumn(t);r=[Math.min(...n),Math.max(...n)]}else{const{output:l}=this.appState.getModelSpec(n),d=this.dataService.getColumnName(n,t),h=this.dataService.getColumn(d);r=l[t]instanceof x.OS?[0,1]:[Math.min(...h),Math.max(...h)]}return d.BYU().domain(r).range([0,1])}getYScale(t,n){const r=d.BYU().domain([0,1]).range([0,1]);if(t){const t=this.dataService.getColumn(n),l=d.Wem(t);if(null!=l&&!l.some(isNaN)){const t=Math.max(...l.map(Math.abs));r.domain([-t,t])}}return r}getValue(t,n,r,l){if(null==r)return n in this.appState.currentDatasetSpec?this.dataService.getVal(t,n):void 0;const d=this.appState.getModelSpec(r),h=this.dataService.getColumnName(r,n),p=d.output[n];if(p instanceof x.OS){if(!l)return;const{vocab:n}=p,r=n.indexOf(l),d=this.dataService.getVal(t,h);return Array.isArray(d)?d[r]:void 0}return this.dataService.getVal(t,h)}setupPlot(t,n){const{model:r,key:l,label:h}=t,p=n.querySelector(".axes"),m=n.querySelector(".scene"),{width:g,height:y}=m.getBoundingClientRect();p.textContent="",m.textContent="";const v=this.dataService.getColumnName(r||"",l,E.g_.ERROR),w=this.dataService.getColumnInfo(v),S=null!=w&&w.source.includes(E.Yz),T=this.getXScale(l,r),C=this.getYScale(S,v);t.xScale=this.getXScale(l,r).range([0,g-16]),t.yScale=d.BYU().domain([C.domain()[1],C.domain()[0]]).range([8,y-8]),d.Ys(p).style("width",g).style("height",y);const A=d.Ys(p).append("svg").style("width",g+40).style("height",y+12);A.append("defs").append("pattern").attr("id","diagonalHatch").attr("patternUnits","userSpaceOnUse").attr("width",8).attr("height",8).append("path").style("stroke-width",2).attr("d","M-2,2 l4,-4 M0,8 l8,-8 M6,10 l4,-4");const $=A.append("g").attr("id","lines").attr("transform","translate(40, 0)");A.append("g").attr("id","xAxis").attr("transform",`translate(40, ${y-8})`).call(d.LLu(t.xScale)),A.append("g").attr("id","yAxis").attr("transform","translate(40, 0)").call(d.y4O(t.yScale).ticks(S?5:0));const[j,V]=t.xScale.range(),[U,G]=t.yScale.range(),W=t.brush=S?d.DmU():d.Yud(),q=A.append("g").attr("id","brushGroup").attr("transform","translate(40, 0)").on("mouseenter",(()=>{this.focusService.clearFocus()}));if(W.extent([[j,0],[V,G+12]]).on("start end",(()=>{var n;const r=d.Ba6.selection;if(!d.Ba6.sourceEvent||!(null==r?void 0:r.length))return;const l=Array.isArray(r[0]),[h,p]=l?[r[0][0],r[1][0]]:r,[f,m]=l?[r[0][1],r[1][1]]:[U,G];if(p-h<window.devicePixelRatio||m-f<window.devicePixelRatio)this.selectionService.selectIds([]);else{const r=null===(n=t.points)||void 0===n?void 0:n.hitTest({x:h,y:f,width:p-h,height:m-f}).map((t=>t.id));null!=r&&this.selectionService.selectIds(r)}q.call(W.move,null)})),q.call(W),null!=r){if(S){const t=(G-U)/2+U;$.append("line").attr("id","regression-line").attr("x1",j).attr("y1",t).attr("x2",V).attr("y2",t).style("stroke",O)}const n=this.appState.getModelSpec(r).output[l];if(n instanceof x.OS)if(null!=n.null_idx){const n=this.classificationService.getMargin(r,l),d=t.xScale((0,_.xt)(n));$.append("line").attr("id","threshold-line").attr("x1",d).attr("y1",U).attr("x2",d).attr("y2",G).style("stroke",O)}else if(n.vocab.length>2){const r=t.xScale(1/n.vocab.length),l=t.xScale(.5);$.append("line").attr("id","lowerbound-line").attr("x1",r).attr("y1",U).attr("x2",r).attr("y2",U+(y-8)).style("stroke",O),$.append("line").attr("id","upperbound-line").attr("x1",l).attr("y1",U).attr("x2",l).attr("y2",U+(y-8)).style("stroke",O),$.append("rect").attr("x",r).attr("y",U).attr("width",l-r).attr("height",y-8).classed("confusion-zone",!0)}}t.scene=new f.Scene(Object.assign({container:m,desiredSpriteCapacity:this.datasetSize},I)),t.scene.scale.x=g-16,t.scene.scale.y=y-16,t.scene.offset.x=8,t.scene.offset.y=y-8;const X=(t,n)=>{var d;const p=this.getValue(n.id,l,r,h),f=null!=p?T(p):NaN;t.PositionWorldX=isNaN(f)?0:f;const m=S?this.dataService.getVal(n.id,v):n.rngY,g=null!=m?C(m):NaN;t.PositionWorldY=isNaN(g)?G:g;const y=(null===(d=this.focusService.focusData)||void 0===d?void 0:d.datapointId)===n.id,x=this.pinnedSelectionService.primarySelectedId===n.id,w=this.selectionService.primarySelectedId===n.id,_=this.selectionService.selectedIds.includes(n.id)&&!(y||x||w),E=y||x||w||_,A=this.appState.getCurrentInputDataById(n.id),O=this.colorService.getDatapointColor(A),I=(0,b.nA)(O);t.BorderRadiusPixel=2,t.BorderColor=y?D:x?F:w?P:_?B:I,t.BorderColorOpacity=E?1:.25,t.FillColor=y||x?D:I,t.FillColorOpacity=E?1:.25,t.OrderZ=E?y?1:_?.5:.8:0,t.Sides=1,t.SizePixel=E?_?12:14:10};t.points=t.scene.createSelection().onExit((t=>{t.SizePixel=0})).onInit(X).onEnter(X).onUpdate(X)}updatePlots(){for(const[t,n]of this.plots.entries()){const r=this.renderRoot.querySelector(this.containerSelector(t)),{hidden:l,scene:d}=n;if(l||null==r)continue;const{width:h,height:p}=r.getBoundingClientRect();if(0===h||0===p)continue;null==d&&this.setupPlot(n,r);const{points:f}=n;null!=f&&f.bind(this.preds)}}resizePlots(){for(const[t,n]of this.plots.entries()){const r=this.renderRoot.querySelector(this.containerSelector(t));if(null==r||n.hidden)continue;const{brush:l,scene:h,key:p,points:f,xScale:m,yScale:g}=n;if(null==l||null==h||null==p||null==f||null==m||null==g)continue;const y=r.querySelector(".scene"),{width:v}=y.getBoundingClientRect();m.range([0,v-16]);const[b,x]=m.range(),w=g.range()[1],S=r.querySelector(".axes"),E=d.Ys(S).select("svg");E.style("width",v+40),E.select("g#xAxis").call(d.LLu(m));const T=E.select("g#lines"),C=T.select("#regression-line");C.empty()||C.attr("x1",b).attr("x2",x);const A=T.select("#threshold-line");if(!A.empty()){const t=this.classificationService.getMargin(this.model,p),n=m((0,_.xt)(t));A.attr("x1",n).attr("x2",n)}l.extent([[b,0],[x,w+12]]);const{x:O,y:I}=h.offset;h.resize(h.offset),h.scale.x=x,h.offset.x=O,h.offset.y=I}}render(){this.numPlotsRendered=0;const t=this.colorService.selectedColorOption,n="number"==typeof t.scale.domain()[0]?v.H.SEQUENTIAL:v.H.CATEGORICAL,r=this.datasetScalarKeys.map((t=>this.renderPlot(t))),l=[];for(const t of this.appState.currentModels){const{output:n}=this.appState.getModelSpec(t);for(const[r,d]of Object.entries(n))if(d instanceof x.OS){const n=this.renderClassificationGroup(r,t);Array.isArray(n)?l.push(...n):null!=n&&l.push(n)}else if(d instanceof x.aK){l.push(this.renderPlot(r,t));const n=`${r}:${E.g_.ERROR}`;l.push(this.renderPlot(n,t));const d=`${r}:${E.g_.SQUARED_ERROR}`;l.push(this.renderPlot(d,t))}else d instanceof x.Ru&&l.push(this.renderPlot(r,t))}return h.dy`<div class="module-container">
      <div class="module-results-area">
        <div id='container'>
          ${r}
          ${l}
        </div>
      </div>
      <div class="module-footer">
        <color-legend legendType=${n} .scale=${t.scale}
          label=${t.name}>
        </color-legend>
      </div>
    </div>`}renderClassificationGroup(t,n){const r=this.appState.getModelSpec(n).output[t];if(!(r instanceof x.OS))return null;const{vocab:l,null_idx:d}=r,h=null!=d?this.renderMarginSlider(n,t):void 0;return 2===(null==l?void 0:l.length)&&null!=d?this.renderPlot(t,n,l[1-d],h):l.map((r=>this.renderPlot(t,n,r,h)))}renderPlot(t,n,r,l){this.numPlotsRendered+=1;const d=`${null!=n?`${n}:`:""}${t}${null!=r?`:${r}`:""}`,{primarySelectedId:p}=this.selectionService,f=this.preds.find((t=>t.id===p));let m=`${d}`;if(null!=f){const l=this.getValue(f.id,t,n,r);m+=` - Value: ${(0,S.E9)(l)}`}if(!this.plots.has(d)){const l=this.numPlotsRendered>2;this.plots.set(d,{model:n,key:t,label:r,hidden:l})}const g=this.plots.get(d),y=t=>{const{clientX:n,clientY:r}=t,l=`div.scatterplot[data-id="${d}"] div.scene`,h=this.renderRoot.querySelector(l),{top:p,left:f}=h.getBoundingClientRect();return{x:n-f,y:r-p}};return h.dy`<div class='plot-holder'>
      <expansion-panel  .label=${m} ?expanded=${!g.hidden}
                        @expansion-toggle=${()=>{g.hidden=!g.hidden,g.scene||this.requestUpdate()}}>
        ${l}
        <div  class="scatterplot" data-id=${d} @mousemove=${t=>{var n;const{x:r,y:l}=y(t),d=null===(n=g.points)||void 0===n?void 0:n.hitTest({x:r,y:l});(null==d?void 0:d.length)?this.focusService.setFocusedDatapoint(d[0].id):this.focusService.clearFocus()}}
              @click=${t=>{var n;const{x:r,y:l}=y(t),d=null===(n=g.points)||void 0===n?void 0:n.hitTest({x:r,y:l});(null==d?void 0:d.length)&&this.selectionService.setPrimarySelection(d[0].id)}}>
          <div class="scene"></div>
          <div class="axes"></div>
        </div>
      </expansion-panel>
    </div>`}renderMarginSlider(t,n){const r=this.classificationService.getMargin(t,n);return h.dy`<threshold-slider slot="bar-content" ?isThreshold=${!1}
      .margin=${r} ?showControls=${!0} @threshold-changed=${r=>{this.classificationService.setMargin(t,n,r.detail.margin)}}>
    </threshold-slider>`}};$.duplicateForModelComparison=!1,$.title="Scalars",$.infoMarkdown="Visualize the distribution of scalar (`Scalar`, `RegressionScore`,\n      or `MulticlassPreds`) features over their range - for example, to find\n      examples near the decision boundary.<br>\n      [Learn more.](https://pair-code.github.io/lit/documentation/components.md#scalar-plots)",$.numCols=4,$.template=(t,n,r)=>h.dy`<scalar-module selectionServiceIndex=${n}
                .shouldReact=${r} ></scalar-module>`,(0,l.gn)([m.LO,(0,l.w6)("design:type",Array)],$.prototype,"preds",void 0),(0,l.gn)([m.Fl,(0,l.w6)("design:type",Array),(0,l.w6)("design:paramtypes",[])],$.prototype,"datasetScalarKeys",null),(0,l.gn)([m.Fl,(0,l.w6)("design:type",Number),(0,l.w6)("design:paramtypes",[])],$.prototype,"datasetSize",null),$=(0,l.gn)([(0,p.Mo)("scalar-module")],$)},3227:(t,n,r)=>{"use strict";var l=r(7582),d=(r(1290),r(6353),r(4424),r(5862)),h=r(8973),p=r(2188),f=r(9604),m=r(7146),g=r(6070),y=r(5806),v=(r(4262),r(5889)),b=(r(4915),r(7098));const x=d.iv`table.field-table {
  --border-spacing: 8px;
  width: calc(100% - var(--border-spacing));
  min-width: calc(100% - var(--border-spacing));
  border-spacing: var(--border-spacing);
}

table.field-table th {
  vertical-align: top;
  text-align: start;
}

lit-numeric-input {
  max-width: 200px;
}

.subfield-title {
  padding-top: 6px; /* align title with first row of content */
}

/**
 * Module controls
 */
.module-results-area {
  overflow-x: clip;
}

.module-toolbar {
  border-bottom: 1px solid #dadce0;
  box-sizing: border-box;
  justify-content: space-between;
}

.module-footer {
  justify-content: space-between;
}

.controls-group {
  display: flex;
  flex-direction: row;
  align-items: center;
  margin: 0 4px;
}

.controls-group > * {
  margin: 0 2px;
}

/* Allow dropdown area to grow, but not to cause line wrapping. */
.controls-group-variable {
  flex: 1;
  overflow-x: clip;
  margin-right: 8px;
}

.controls-group-variable .dropdown {
  max-width: 100%;
}

.vertical-separator {
  background: #dadce0;
  width: 2px;
  height: 1.2rem;
  padding: 0;
  margin: 0 8px;
}

color-legend {
  margin-right: 16px;
}

.gamma-value {
  min-width: 32px;
}

.module-footer > * { min-width: 0; }

.controls-group > * { min-width: 0; }
`;var w;!function(t){t.NORMALIZE="normalize",t.MAX_LOCAL="max_local",t.MAX_GLOBAL="max_global"}(w||(w={}));let S=class SequenceSalienceModule extends f.p{constructor(){super(...arguments),this.currentSalience={},this.selectedSalienceField=void 0,this.focusState=void 0,this.cmapGamma=2,this.cmapScalingMode=w.NORMALIZE,this.denseView=!1}static get styles(){return[v.W,x]}get salienceSpecInfo(){var t,n;return null!==(n=null===(t=this.appState.metadata.interpreters.sequence_salience)||void 0===t?void 0:t.metaSpec)&&void 0!==n?n:{}}get cmap(){return null!=this.selectedSalienceField&&this.salienceSpecInfo[this.selectedSalienceField].signed?new g.kh(this.cmapGamma):new g.zT(this.cmapGamma)}get salienceTargetOptions(){const t=this.appState.currentDatasetSpec,n=this.appState.getModelSpec(this.model).output;return(0,y.sQ)(t,n,this.currentData,this.currentPreds)}firstUpdated(){void 0===this.selectedSalienceField&&(this.selectedSalienceField=Object.keys(this.salienceSpecInfo)[0]);this.reactImmediately((()=>this.selectionService.primarySelectedInputData),(t=>(0,l.mG)(this,void 0,void 0,(function*(){this.focusState=void 0,yield this.updateToSelection(t),this.salienceTarget=this.salienceTargetOptions[0].text})))),this.reactImmediately((()=>this.salienceTarget),(t=>{this.updateSalience(this.currentData,t)}))}updateToSelection(t){return(0,l.mG)(this,void 0,void 0,(function*(){if(null==t)return this.currentData=void 0,void(this.currentPreds=void 0);this.currentData=t,this.currentPreds=void 0;const n=this.apiService.getPreds([t],this.model,this.appState.currentDataset,y.No,[],"Getting targets from model prediction"),r=yield this.loadLatest("generationResults",n);if(null===r)return;const l=this.appState.getModelSpec(this.model).output,d=(0,y.ii)(r[0],l);this.currentData=t,this.currentPreds=d}))}updateSalience(t,n){return(0,l.mG)(this,void 0,void 0,(function*(){if(null==t||null==n)return void(this.currentSalience={});this.currentSalience={};const r={target_text:[n]},l=this.apiService.getInterpretations([t],this.model,this.appState.currentDataset,"sequence_salience",r,"Computing sequence salience"),d=yield this.loadLatest("salience",l);null!==d&&(this.currentSalience=d[0])}))}renderField(t){var n,r;const l=this.currentSalience[t],h=null!==(r=null===(n=this.focusState)||void 0===n?void 0:n.idx)&&void 0!==r?r:-1,p=this.cmap,f=h>-1?l.salience[h]:[...l.salience[0]].fill(0);let m=1;if(this.cmapScalingMode===w.NORMALIZE)m=(0,b.P0)(f.map(Math.abs));else if(this.cmapScalingMode===w.MAX_LOCAL)m=Math.max(...f.map(Math.abs));else if(this.cmapScalingMode===w.MAX_GLOBAL){const t=l.salience.map((t=>Math.max(...t.map(Math.abs))));m=Math.max(...t)}const g=m>0?f.map((t=>t/m)):f,y=t=>{var n;(null===(n=this.focusState)||void 0===n?void 0:n.sticky)||(this.focusState={idx:t,sticky:!1})},v=()=>{var t;(null===(t=this.focusState)||void 0===t?void 0:t.sticky)||(this.focusState=void 0)},x=(t,n)=>{var r,l;n.stopPropagation(),(null===(r=this.focusState)||void 0===r?void 0:r.idx)===t&&(null===(l=this.focusState)||void 0===l?void 0:l.sticky)?this.focusState=void 0:this.focusState={idx:t,sticky:!0}},S=l.tokens_in.map(((t,n)=>({token:t,weight:g[n],disableHover:-1===h}))),_=l.tokens_out.map(((t,n)=>{var r;return{token:t,weight:g[n+l.tokens_in.length],selected:n===h,pinned:n===h&&!0===(null===(r=this.focusState)||void 0===r?void 0:r.sticky),onClick:t=>{x(n,t)},onMouseover:()=>{y(n)},onMouseout:v}}));return d.dy`
      <div class='field-group'>
        <table class='field-table'>
          <tr>
            <th><div class='subfield-title'>Source</div></th>
            <td><div>
              <lit-token-chips ?dense=${this.denseView}
                .tokensWithWeights=${S}
                .cmap=${p}>
              </lit-token-chips>
            </div></td>
          </tr>
          <tr>
            <th><div class='subfield-title'>Target</div></th>
            <td><div>
              <lit-token-chips ?dense=${this.denseView}
                .tokensWithWeights=${_}
                .cmap=${p}>
              </lit-token-chips>
            </div></td>
          </tr>
        </table>
      </div>
    `}renderContent(){return this.currentData?void 0===this.selectedSalienceField?null:this.currentSalience[this.selectedSalienceField]?this.renderField(this.selectedSalienceField):null:null}renderHeaderControls(){return d.dy`
      <div class="controls-group controls-group-variable" title="Target string for salience.">
        <label class="dropdown-label">Target:</label>
        <select class="dropdown" @change=${t=>{this.salienceTarget=t.target.value}}>
          ${this.salienceTargetOptions.map((t=>d.dy`<option value=${t.text}
                  ?selected=${t.text===this.salienceTarget}>
                   (${t.source}) "${t.text}"
                 </option>`))}
        </select>
      </div>
      <div class="controls-group">
        <div title="Type of salience map to use.">
          <label class="dropdown-label">Method:</label>
          <select class="dropdown" @change=${t=>{this.selectedSalienceField=t.target.value}}>
            ${Object.keys(this.salienceSpecInfo).map((t=>d.dy`<option value=${t} ?selected=${t===this.selectedSalienceField}>
                     ${t}
                   </option>`))}
          </select>
        </div>
        <div title="Method to scale raw values for display.">
          <label class="dropdown-label">Scaling:</label>
          <select class="dropdown" @change=${t=>{this.cmapScalingMode=t.target.value}}>
            ${Object.values(w).map((t=>d.dy`<option value=${t} ?selected=${t===this.cmapScalingMode}>
                     ${t}
                   </option>`))}
          </select>
        </div>
      </div>
    `}renderColorLegend(){const t=this.cmap,n=t instanceof g.kh,r=n?"Salience is relative to the model's prediction of a class. A positive score (more green) for a token means that token influenced the model to predict that class, whereas a negaitve score (more pink) means the token influenced the model to not predict that class.":"Salience is relative to the model's prediction of a class. A larger score (more purple) for a token means that token was more influential on the model's prediction of that class.";return d.dy`
      <color-legend legendType=${m.H.SEQUENTIAL}
        label=${"Token Salience"}
        alignRight
        .scale=${t.asScale()}
        numBlocks=${n?7:5}
        .paletteTooltipText=${r}>
      </color-legend>`}renderFooterControls(){return d.dy`
      <div class="controls-group">
        <lit-switch labelLeft="Dense view"
              ?selected=${this.denseView}
              @change=${()=>{this.denseView=!this.denseView}}>
        </lit-switch>
      </div>
      <div class="controls-group">
        ${this.renderColorLegend()}
        <label for="gamma-slider">Gamma:</label>
        <lit-numeric-input min="0.25" max="6" step="0.25"
          value="${this.cmapGamma}" @change=${t=>{this.cmapGamma=+t.target.value}}>
        </lit-numeric-input>
      </div>`}renderImpl(){return d.dy`
      <div class="module-container">
        <div class="module-toolbar">
          ${this.renderHeaderControls()}
        </div>
        <div class="module-results-area"
         @click=${()=>{var t;(null===(t=this.focusState)||void 0===t?void 0:t.sticky)&&(this.focusState=void 0)}}>
          ${this.renderContent()}
        </div>
        <div class="module-footer">
          ${this.renderFooterControls()}
        </div>
      </div>
    `}static shouldDisplayModule(t,n){for(const n of Object.values(t))if(-1!==n.interpreters.indexOf("sequence_salience"))return!0;return!1}};S.title="Sequence Salience",S.duplicateForExampleComparison=!0,S.duplicateForModelComparison=!0,S.numCols=4,S.template=(t,n,r)=>d.dy`
  <sequence-salience-module model=${t} .shouldReact=${r}
    selectionServiceIndex=${n}>
  </sequence-salience-module>`,(0,l.gn)([p.LO,(0,l.w6)("design:type",Object)],S.prototype,"currentData",void 0),(0,l.gn)([p.LO,(0,l.w6)("design:type",Object)],S.prototype,"currentPreds",void 0),(0,l.gn)([p.LO,(0,l.w6)("design:type",String)],S.prototype,"salienceTarget",void 0),(0,l.gn)([p.LO,(0,l.w6)("design:type",Object)],S.prototype,"currentSalience",void 0),(0,l.gn)([p.LO,(0,l.w6)("design:type",String)],S.prototype,"selectedSalienceField",void 0),(0,l.gn)([p.LO,(0,l.w6)("design:type",Object)],S.prototype,"focusState",void 0),(0,l.gn)([p.LO,(0,l.w6)("design:type",Number)],S.prototype,"cmapGamma",void 0),(0,l.gn)([p.LO,(0,l.w6)("design:type",String)],S.prototype,"cmapScalingMode",void 0),(0,l.gn)([p.LO,(0,l.w6)("design:type",Boolean)],S.prototype,"denseView",void 0),(0,l.gn)([p.Fl,(0,l.w6)("design:type",Object),(0,l.w6)("design:paramtypes",[])],S.prototype,"salienceSpecInfo",null),(0,l.gn)([p.Fl,(0,l.w6)("design:type",Object),(0,l.w6)("design:paramtypes",[])],S.prototype,"cmap",null),(0,l.gn)([p.Fl,(0,l.w6)("design:type",Array),(0,l.w6)("design:paramtypes",[])],S.prototype,"salienceTargetOptions",null),S=(0,l.gn)([(0,h.Mo)("sequence-salience-module")],S)},648:(t,n,r)=>{"use strict";var l=r(7582),d=(r(2302),r(6852),r(8973)),h=r(5862),p=r(2188),f=r(9604),m=r(4262),g=(r(4915),r(7098)),y=r(5889);const v=h.iv`
  .outer-container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    position: relative;
    overflow: hidden;
  }

  .token-group {
    padding-top: 40px;
  }

  .field-title {
    padding: 4px;
  }
`,b=[m.sm,m.hW,m.k6];function x(t){const n=(0,g.Fe)(t,b),r=(0,g.Fe)(t,m.nk),l={};for(const d of n){const{align:n}=t[d];null!=n&&r.includes(n)&&(null==l[n]&&(l[n]=[]),l[n].push(d))}return l}function w(t,n){const r=x(n),l={};for(const d of Object.keys(r)){const h=[];for(const l of r[d]){let r=t[l],d=!1;0===r.length&&(r=[]),n[l]instanceof m.sm?(r=r.map(((t,n)=>({span1:[n,n+1],label:t}))),d=!0):n[l]instanceof m.hW&&(r=r.map((t=>({span1:[t.start,t.end],label:t.label})))),h.push({name:l,edges:r,hideBracket:d})}let p=t[d];if(0===p.length){p=t[(0,g.Fe)(n,m.Xs)[0]].split()}l[d]={tokens:p,layers:h}}return l}function S(t,n,r){const l=x(n);return h.dy`${Object.keys(l).map((n=>{var l,d;const p=1===(null===(d=null===(l=t[n])||void 0===l?void 0:l.layers)||void 0===d?void 0:d.length);return h.dy`
      <div id=${n} class="token-group">
        ${p?h.dy`<div class='field-title'>${t[n].layers[0].name}</div>`:null}
        ${((t,n)=>"vertical"===r?h.dy`<span-graph-vis-vertical .data=${t} .showLayerLabel=${n}></span-graph-vis-vertical>`:h.dy`<span-graph-vis .data=${t} .showLayerLabel=${n}></span-graph-vis>`)(t[n],!p)}
      </div>
    `}))}`}let _=class SpanGraphGoldModule extends f.p{get dataSpec(){return this.appState.currentDatasetSpec}get goldDisplayData(){const t=this.selectionService.primarySelectedInputData;return null===t?{}:w(t.data,this.dataSpec)}static get styles(){return[y.W,v]}renderImpl(){const t=!this.appState.compareExamplesEnabled&&this.appState.currentModels.length>1;return h.dy`
      ${t?h.dy`<div class='offset-for-module-header'></div>`:null}
      <div id="gold-group" class='outer-container'>
        ${S(this.goldDisplayData,this.dataSpec,this.constructor.orientation)}
      </div>
    `}static shouldDisplayModule(t,n){const r=(0,g.Fe)(n,m.nk).length>0,l=(0,g.Fe)(n,b).length>0;return r&&l}};_.title="Structured Prediction (gold)",_.duplicateForExampleComparison=!0,_.duplicateForModelComparison=!1,_.duplicateAsRow=!1,_.numCols=4,_.template=(t,n,r)=>h.dy`
  <span-graph-gold-module model=${t} .shouldReact=${r}
    selectionServiceIndex=${n}>
  </span-graph-gold-module>`,_.orientation="horizontal",(0,l.gn)([p.Fl,(0,l.w6)("design:type",Object),(0,l.w6)("design:paramtypes",[])],_.prototype,"dataSpec",null),(0,l.gn)([p.Fl,(0,l.w6)("design:type",Object),(0,l.w6)("design:paramtypes",[])],_.prototype,"goldDisplayData",null),_=(0,l.gn)([(0,d.Mo)("span-graph-gold-module")],_);let E=class SpanGraphModule extends f.p{constructor(){super(...arguments),this.predDisplayData={}}get predSpec(){return this.appState.getModelSpec(this.model).output}updatePredDisplayData(t){return(0,l.mG)(this,void 0,void 0,(function*(){if(null===t)this.predDisplayData={};else{const n=this.apiService.getPreds([t],this.model,this.appState.currentDataset,[m.nk,...b]),r=yield this.loadLatest("getPreds",n);if(!r)return;this.predDisplayData=w(r[0],this.predSpec)}}))}static get styles(){return[y.W,v]}firstUpdated(){this.reactImmediately((()=>this.selectionService.primarySelectedInputData),(t=>{this.updatePredDisplayData(t)}))}renderImpl(){return h.dy`
      <div id="pred-group" class='outer-container'>
        ${S(this.predDisplayData,this.predSpec,this.constructor.orientation)}
      </div>
    `}static shouldDisplayModule(t,n){const r=Object.keys(t);for(let n=0;n<r.length;n++){const l=t[r[n]].spec,d=(0,g.Fe)(l.output,m.nk).length>0,h=(0,g.Fe)(l.output,b).length>0;if(d&&h)return!0}return!1}};E.title="Structured Prediction (model preds)",E.duplicateForExampleComparison=!0,E.duplicateAsRow=!1,E.numCols=4,E.template=(t,n,r)=>h.dy`
  <span-graph-module model=${t} .shouldReact=${r}
    selectionServiceIndex=${n}>
  </span-graph-module>`,E.orientation="horizontal",(0,l.gn)([p.Fl,(0,l.w6)("design:type",Object),(0,l.w6)("design:paramtypes",[])],E.prototype,"predSpec",null),(0,l.gn)([p.LO,(0,l.w6)("design:type",Object)],E.prototype,"predDisplayData",void 0),E=(0,l.gn)([(0,d.Mo)("span-graph-module")],E);let T=class SpanGraphGoldModuleVertical extends _{};T.duplicateAsRow=!0,T.orientation="vertical",T.numCols=4,T.template=(t,n,r)=>h.dy`
  <span-graph-gold-module-vertical model=${t} .shouldReact=${r}
    selectionServiceIndex=${n}>
  </span-graph-gold-module-vertical>`,T=(0,l.gn)([(0,d.Mo)("span-graph-gold-module-vertical")],T);let C=class SpanGraphModuleVertical extends E{};C.duplicateAsRow=!0,C.orientation="vertical",C.template=(t,n,r)=>h.dy`
  <span-graph-module-vertical model=${t} .shouldReact=${r}
    selectionServiceIndex=${n}>
  </span-graph-module-vertical>`,C=(0,l.gn)([(0,d.Mo)("span-graph-module-vertical")],C)},5909:(t,n,r)=>{"use strict";var l=r(7582),d=(r(5681),r(4567),r(5862)),h=r(8973),p=r(8810),f=r(2188),m=r(3506),g=r(9604),y=(r(6645),r(4262)),v=r(5889),b=(r(4915),r(7098)),x=(r(7965),r(9410)),w=r(437);const S=d.iv`.module-content {
  display: flex;
  flex-direction: row;
}

.module-footer {
  justify-content: flex-end;
}

.field-name {
  font-weight: bold;
}

.tcav-dropdown {
  max-width: unset;
}

#vis-container {
  height: 100%;
  width: 100%;
}

#warning-text {
  margin-left: 5px;
  font-size: 11px;
}

.loading {
  opacity: .3;
}

.spinner-container {
  position: absolute;
  top: 150px;
  left: 80px;
}

.collapse-bar {
  align-items: center;
  background: rgb(248, 249, 250);
  width: 100%;
  height: 36px;
  cursor: pointer;
  padding: 2px 8px;
  width: 100%;
  border: 1px solid rgb(232, 234, 237);
  outline: none;
  display: flex;
  justify-content: space-between;
  box-sizing: border-box;
}

.collapse-content {
  flex: 1 1 0%
}

.left-container {
  border-right: 1px solid #e8eaed;
  width: 500px;
}

.controls-buttons {
  display: flex;
  flex-direction: row;
  align-items: center;
}

.controls-actions {
  align-items: center;
  border-bottom: 1px solid #e8eaed;
  border-top: 1px solid #e8eaed;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
}

.controls-actions > * {
  margin: 4px;
}

.output-controls {
  border: 1px solid #e8eaed;
  display: flex;
  height: 32px;
}

.require-text {
  margin: 4px 8px 16px 4px;
}

.label-2 {
  color: #80868b;
  font-family: Roboto;
  font-size: 12px;
  font-style: normal;
  font-weight: normal;
}
`,_="tcav",E=["Positive Slice","Negative Slice","Run","Embedding","Class","CAV Score","Score Bar"];let T=class TCAVModule extends g.p{constructor(){super(...arguments),this.sliceService=m.l.getService(x.qG),this.dataService=m.l.getService(x.Do),this.selectedSlices=new Set,this.selectedLayers=new Set,this.selectedClasses=new Set,this.negativeSlices=new Set,this.isLoading=!1,this.resultsTableData=[],this.cavCounter=0}static get styles(){return[v.W,S]}get modelSpec(){return this.appState.getModelSpec(this.model)}get gradKeys(){return(0,b.Fe)(this.modelSpec.output,y.Rj)}get TCAVSliceNames(){return this.sliceService.sliceNames.filter((t=>t!==w.Z))}get slicePairs(){const t=Array.from(this.selectedSlices.values()),n=Array.from(this.negativeSlices.values());if(0===t.length)return[];if(0===n.length)return t.map((t=>[t,null]));const r=[];for(const l of t)for(const t of n)r.push([l,t]);return r}get predClasses(){const[t]=(0,b.Fe)(this.modelSpec.output,y.OS);return null==t?[]:this.modelSpec.output[t].vocab}get nullIndex(){const[t]=(0,b.Fe)(this.modelSpec.output,y.OS);return null==t?void 0:this.modelSpec.output[t].null_idx}firstUpdated(){if(0===this.selectedLayers.size&&this.gradKeys.length>0&&this.selectedLayers.add(this.gradKeys[0]),0===this.selectedClasses.size&&this.predClasses.length>1){const t=0===this.nullIndex?1:0;this.selectedClasses.add(this.predClasses[t])}}renderSpinner(){return d.dy`
      <div class="spinner-container">
        <lit-spinner size=${24} color="var(--app-secondary-color)">
        </lit-spinner>
      </div>
    `}renderCollapseBar(t,n,r,l,h="",p=null){function f(t){return(n,r)=>{n.target.checked?t.add(r):t.delete(r)}}const m=n.map((t=>{const n=f(l),r=[d.dy`<lit-checkbox ?checked=${l.has(t)}
                @change='${r=>{n(r,t)}}'>
            </lit-checkbox>`,t];if(null!=p){const n=f(p);r.push(d.dy`<lit-checkbox id='compare-switch'
                  ?checked=${p.has(t)}
                  @change='${r=>{n(r,t)}}'>
                </lit-checkbox>`)}return r})),g=["selected",r];return null!=p&&g.push(h),d.dy`
      <expansion-panel .label=${t} ?expanded=${"Select Slices"===t}>
        <div class='collapse-content'>
          ${0===m.length?d.dy`
                <div class='require-text label-2'>
                  This module requires at least one ${r.toLowerCase()}.
                </div>`:d.dy`
                <lit-data-table .verticalAlignMiddle=${!0}
                                .columnNames=${g}
                                .data=${m}></lit-data-table>`}
        </div>
      </expansion-panel>`}renderImpl(){const t=()=>{for(const t of this.selectedSlices){const n=this.sliceService.getSliceByName(t);if(null==n)return!0;const r=this.appState.currentInputData.length-n.length;if(n.length>=3&&r>=3)return!1}return!0},n=this.selectedClasses.size*this.selectedSlices.size*this.selectedLayers.size;return d.dy`
      <div class="module-container">
        <div class="module-content">
          <div class="left-container">
            <div class="controls-holder">
              ${this.renderCollapseBar("Select Slices",this.TCAVSliceNames,"Positive slice",this.selectedSlices,"Negative slice",this.negativeSlices)}
              ${this.renderCollapseBar("Explainable Classes",this.predClasses,"Class",this.selectedClasses)}
              ${this.renderCollapseBar("Embeddings",this.gradKeys,"Embedding",this.selectedLayers)}
            </div>
            <div class="controls-actions">
              <div id='examples-selected-label'
                class="label-2">${n} CAV Results</div>
              <div class="controls-buttons">
                <button id='clear-button' class="hairline-button"
                  @click=${()=>{this.selectedClasses.clear(),this.selectedLayers.clear(),this.selectedSlices.clear(),this.negativeSlices.clear()}}
                  ?disabled=${0===this.selectedClasses.size&&0===this.selectedLayers.size&&0===this.selectedSlices.size&&0===this.negativeSlices.size}>Clear</button>
                <lit-tooltip content=${t()?"Select a slice with 3 or more examples.":""}>
                  <button id='submit'
                    class="hairline-button" slot="tooltip-anchor"
                    @click=${()=>this.runTCAV()} ?disabled=${t()}>Run TCAV</button>
                </lit-tooltip>
              </div>
            </div>
          </div>
          <div id='vis-container' class=${(0,p.$)({loading:this.isLoading})}>
            ${this.isLoading?this.renderSpinner():""}
            <lit-data-table .columnNames=${E}
                            .data=${[...this.resultsTableData]}
                            .verticalAlignMiddle=${!0}></lit-data-table>
          </div>
        </div>
        <div class="module-footer">
          <button class="hairline-button" @click=${()=>{this.resultsTableData=[],this.cavCounter=0,this.requestUpdate()}}
             ?disabled=${0===this.resultsTableData.length}>Clear</button>
        </div>
      </div>
    `}runSingleTCAV(t,n,r){return(0,l.mG)(this,void 0,void 0,(function*(){const l=this.appState.currentInputData.length-t.concept_set_ids.length;if(t.concept_set_ids.length<3||l<3)return;const d=yield this.apiService.getInterpretations(this.appState.currentInputData,this.model,this.appState.currentDataset,_,t,`Running ${_}`);return null!==d?{positiveSlice:n,negativeSlice:r,config:t,score:d[0].result.score,p_val:d[0].p_val,cosSim:d[0].result.cos_sim,random_mean:d[0].random_mean,cav:d[0].result.cav}:void 0}))}runCAVSimilarity(t,n){return(0,l.mG)(this,void 0,void 0,(function*(){const r=yield this.apiService.getInterpretations([n],this.model,this.appState.currentDataset,_,t,`Running ${_}`);if(null!=r)return r[0].cos_sim[0]}))}getTcavRunName(t,n,r){let l=n;return"-"!==r&&(l+=`-${r}`),l+=`-${this.cavCounter}-${t.grad_layer}-${t.class_to_explain}`,l}runTCAV(){return(0,l.mG)(this,void 0,void 0,(function*(){this.isLoading=!0;const t=[];for(const n of this.slicePairs)for(const r of this.selectedClasses.values())for(const l of this.selectedLayers.values()){const d=n[0],h=n[1],p={concept_set_ids:this.sliceService.getSliceByName(d),class_to_explain:r,grad_layer:l};if(null!=h){const t=this.sliceService.getSliceByName(h);p.negative_set_ids=t}t.push(this.runSingleTCAV(p,d,null!=h?h:"-"))}const n=yield this.loadLatest("getResults",Promise.all(t));if(null!=n){for(const t of n){if(null==t)continue;if(null==t.config||null==t.score)continue;let n=d.dy`<tcav-score-bar
             score=${t.score}
             meanVal=${t.random_mean}
             clampVal=${1}>
           </tcav-score-bar>`,r=t.score.toFixed(3);if(null!=t.p_val&&t.p_val>.05)r="-",n="this run was not statistically significant (p > 0.05)";else if(null==t.p_val)n="Did not run t-testing (requires at least 6 positive and 6 negative samples)";else{const n=`TCAV cosine similarity: ${this.getTcavRunName(t.config,t.positiveSlice,t.negativeSlice)}`,r=(0,b.Tp)(y.Ru),d=n=>(0,l.mG)(this,void 0,void 0,(function*(){t.config.cav=t.cav;return yield this.runCAVSimilarity(t.config,n)})),h=new Map;for(let n=0;n<this.appState.currentInputData.length;n++){const r=this.appState.currentInputData[n];h.set(r.id,t.cosSim[n])}this.dataService.addColumn(h,"TCAV",n,r,"Interpreter",d)}this.resultsTableData.push({"Positive Slice":t.positiveSlice,"Negative Slice":t.negativeSlice,Run:this.cavCounter,Embedding:t.config.grad_layer,Class:t.config.class_to_explain,"CAV Score":r,"Score Bar":n})}this.cavCounter++,this.isLoading=!1,this.requestUpdate()}}))}static shouldDisplayModule(t,n){if(!(0,b.Rf)(t,[y.JK,y.Rj,y.OS]))return!1;for(const n of Object.values(t))if(-1!==n.interpreters.indexOf("tcav"))return!0;return!1}};T.title="TCAV Explorer",T.infoMarkdown="TCAV estimates the importance of high-level concepts (e.g., color,\n      gender, race) for a prediction class.<br>\n      [Learn more.](https://pair-code.github.io/lit/documentation/components.md#tcav)",T.numCols=12,T.duplicateForModelComparison=!0,T.template=(t,n,r)=>d.dy`
  <tcav-module model=${t} .shouldReact=${r}
    selectionServiceIndex=${n}>
  </tcav-module>`,(0,l.gn)([f.LO,(0,l.w6)("design:type",Object)],T.prototype,"selectedSlices",void 0),(0,l.gn)([f.LO,(0,l.w6)("design:type",Object)],T.prototype,"selectedLayers",void 0),(0,l.gn)([f.LO,(0,l.w6)("design:type",Object)],T.prototype,"selectedClasses",void 0),(0,l.gn)([f.LO,(0,l.w6)("design:type",Object)],T.prototype,"negativeSlices",void 0),(0,l.gn)([f.LO,(0,l.w6)("design:type",Object)],T.prototype,"isLoading",void 0),(0,l.gn)([f.Fl,(0,l.w6)("design:type",Object),(0,l.w6)("design:paramtypes",[])],T.prototype,"modelSpec",null),(0,l.gn)([f.Fl,(0,l.w6)("design:type",Object),(0,l.w6)("design:paramtypes",[])],T.prototype,"gradKeys",null),(0,l.gn)([f.Fl,(0,l.w6)("design:type",Object),(0,l.w6)("design:paramtypes",[])],T.prototype,"TCAVSliceNames",null),(0,l.gn)([f.Fl,(0,l.w6)("design:type",Array),(0,l.w6)("design:paramtypes",[])],T.prototype,"slicePairs",null),(0,l.gn)([f.Fl,(0,l.w6)("design:type",Object),(0,l.w6)("design:paramtypes",[])],T.prototype,"predClasses",null),(0,l.gn)([f.Fl,(0,l.w6)("design:type",Object),(0,l.w6)("design:paramtypes",[])],T.prototype,"nullIndex",null),T=(0,l.gn)([(0,h.Mo)("tcav-module")],T)},8565:(t,n,r)=>{"use strict";var l=r(7582),d=(r(3539),r(1800),r(1764),r(7924)),h=r(5862),p=r(8973),f=r(2188),m=r(3506),g=r(9604),y=(r(6645),r(5806)),v=r(4262),b=r(5889),x=(r(4915),r(7098)),w=r(9410);const S=h.iv`.module-toolbar {
  border-bottom: 1px solid #dadce0;
  box-sizing: border-box;
  justify-content: space-between;
}

.tda-module-content {
  display: flex;
  flex-direction: row;
  overflow: hidden;
}

.controls-sidebar {
  border-right: 1px solid var(--lit-neutral-300);
  box-sizing: border-box;
  flex-grow: 0;
  flex-shrink: 0;
  overflow-y: auto;
  width: 400px;
}

.label-controls {
  overflow: hidden;
  transition: max-height 0.2s ease-out;
  box-sizing: border-box;
}

.label-control-holder {
  margin: 8px;
  display: flex;
  align-items: center;
  flex-flow: row wrap;
  justify-content: space-between;
  box-sizing: border-box;
}

/* right-align content, particularly dropdowns */
.label-control {
  display: flex;
  justify-content: flex-end;
  width: 65%;
}

.label-control .dropdown {
  max-width: unset; /* unset default from shared_styles */
  width: 100%;
}

.results-holder {
  display: flex;
  flex-direction: column;
  flex-grow: 1;
  flex-shrink: 1;
  overflow-y: auto;
  margin-left: 4px;
}

.controls-sidebar .label {
  font-size: 16px;
  font-weight: bold;
  margin-bottom: 10px;
}

.controls-sidebar.visible {
  display: block;
}

.footer-end-controls {
  align-items: center;
  display: flex;
  flex-direction: row;
  justify-content: flex-end;
}
`;var _;let E=class OutputRowControls extends d.G{constructor(){super(...arguments),this.exampleInDataset=!1}static get styles(){return[b.W,S,h.iv`
            :host {
              display: flex;
              flex-direction: row;
              color: #1a73e8;
            }
            :host > * {
              margin-right: 4px;
            }
            `]}render(){return this.exampleInDataset?h.dy`
        <mwc-icon class="icon-button outlined disabled">
          done
        </mwc-icon>
      `:h.dy`
      <mwc-icon class="icon-button outlined" @click=${()=>{const t=new CustomEvent("add-point");this.dispatchEvent(t)}}>
        add_box
      </mwc-icon>
    `}};(0,l.gn)([(0,p.Cb)({type:Boolean,reflect:!0}),(0,l.w6)("design:type",Object)],E.prototype,"exampleInDataset",void 0),E=(0,l.gn)([(0,p.Mo)("tda-output-row-controls")],E);let T=_=class TrainingDataAttributionModule extends g.p{constructor(){super(...arguments),this.customLabels={},this.isRunning=!1,this.retrievedExamples=[],this.appliedGenerator=null}static get styles(){return[b.W,S]}get datasetName(){return this.appState.currentDataset}get globalParams(){return{model_name:this.model,dataset_name:this.datasetName}}get targetLabelInputKeys(){const{input:t,output:n}=this.appState.getModelSpec(this.model),r=new Set;for(const t of Object.values(n)){const{parent:n}=t;null!=n&&r.add(n)}return[...r].filter((n=>void 0!==t[n]))}getTargetStringsByInputKey(t){const n=[],r=this.appState.currentDatasetSpec;if(null!=this.currentData&&void 0!==r[t]?n.push(...(0,y.YR)([t],this.currentData.data)):n.push(""),null!=this.currentData&&null!=this.currentPreds){const r=this.appState.getModelSpec(this.model).output,l=Object.keys(r).filter((n=>r[n].parent===t)),d=(0,x.tf)(r,l);n.push(...(0,y.C5)(d,this.currentPreds))}return n}get modifiedInput(){if(null!=this.currentData)return Object.keys(this.customLabels).length?(0,x.sV)(this.currentData,this.customLabels,"tda_custom"):this.currentData}static compatibleGenerators(t){return Object.keys(t).filter((n=>(0,x.Fe)(t[n].metaSpec,v.UW).length>0))}get compatibleGenerators(){const t=this.appState.metadata.generators;return _.compatibleGenerators(t)}get totalNumGenerated(){return this.retrievedExamples.reduce(((t,n)=>t+n.length),0)}firstUpdated(){this.reactImmediately((()=>this.selectionService.primarySelectedInputData),(t=>{this.selectionService.lastUser!==this&&this.clearOutput(),this.updateToSelection(t)})),this.react((()=>this.totalNumGenerated),(t=>{t<=0&&this.clearOutput()}))}updateToSelection(t){return(0,l.mG)(this,void 0,void 0,(function*(){if(null==t)return this.currentData=void 0,this.customLabels={},void(this.currentPreds=void 0);this.currentData=t,this.customLabels={},this.currentPreds=void 0;const n=this.apiService.getPreds([t],this.model,this.appState.currentDataset,y.No,[],"Getting targets from model prediction"),r=yield this.loadLatest("generationResults",n);if(null===r)return;const l=this.appState.getModelSpec(this.model).output,d=(0,y.ii)(r[0],l);this.currentData=t,this.customLabels={},this.currentPreds=d}))}clearOutput(){this.retrievedExamples=[],this.appliedGenerator=null}handleGeneratorClick(t,n){this.isRunning||(this.clearOutput(),this.retrieveExamples(t,this.model,n))}retrieveExamples(t,n,r){return(0,l.mG)(this,void 0,void 0,(function*(){this.isRunning=!0,this.appliedGenerator=t;const l=this.modifiedInput?[this.modifiedInput]:[];try{const d=yield this.apiService.getGenerated(l,n,this.appState.currentDataset,t,r);for(const t of d)for(const n of t)Object.assign(n.meta,{added:1});this.retrievedExamples=d,this.isRunning=!1}catch(t){this.isRunning=!1}}))}addToDataset(t){return(0,l.mG)(this,void 0,void 0,(function*(){this.appState.commitNewDatapoints(t);const n=t.map((t=>t.id));if(0===n.length)return;const r=new Set(t.map((t=>t.meta.parentId)));if(this.selectionService.selectIds([...r,...n],this),this.selectionService.setPrimarySelection(n[0],this),this.appState.compareExamplesEnabled){const l=m.l.getService(w.z2,"pinned");l.selectIds([...r,...n],this);const d=t[0].meta.parentId;l.setPrimarySelection(d,this)}}))}renderTargetSelector(t){var n,r;const l=this.getTargetStringsByInputKey(t),d=null!==(r=null===(n=this.modifiedInput)||void 0===n?void 0:n.data[t])&&void 0!==r?r:"",p=`Target string for ${t}`;return h.dy`
      <div class='label-control-holder' title=${p}>
        <div class="field-name">${t}</div>
        <div class='label-control'>
          <select class="dropdown" @change=${n=>{const r=n.target.value;""===r?delete this.customLabels[t]:this.customLabels[t]=r}}>
            ${l.map((t=>h.dy`<option value=${t} ?selected=${t===d}>
                     ${t}
                   </option>`))}
          </select>
        </div>
      </div>
    `}renderLabelControls(){const t=this.targetLabelInputKeys.map((t=>this.renderTargetSelector(t)));return h.dy`
      <div>
        <expansion-panel label="Target Labels" expanded>
          <div class='label-controls'>
            ${t}
          </div>
        </expansion-panel>
      </div>
    `}renderFooterControls(){const t=this.totalNumGenerated<=0;return h.dy`
      <div class="footer-end-controls">
        <button class="hairline-button" ?disabled=${t}
           @click=${this.clearOutput}>
           Clear output
        </button>
      </div>`}renderImpl(){return h.dy`
      <div class="module-container">
        <div class="module-content tda-module-content">
          <div class="controls-sidebar">
            ${this.renderLabelControls()}
            ${this.renderGeneratorControls()}
          </div>
          ${this.renderRetrievedExamples()}
        </div>
        <div class="module-footer">
          <p class="module-status">${this.getStatus()}</p>
          ${this.renderFooterControls()}
        </div>
      </div>
    `}getStatus(){if(this.isRunning)return"Running...";if(this.appliedGenerator){const t=1===this.totalNumGenerated?"":"s";return`\n        ${this.appliedGenerator}: retrieved ${this.totalNumGenerated}\n        example${t}.\n      `}return this.compatibleGenerators.length?null==this.selectionService.primarySelectedInputData?"Select an example to begin.":"":"No generator components available."}renderInterstitial(){return h.dy`
      <lit-interstitial headline="Training Data Attribution">
        Find training examples that are influential for a given prediction.
      </lit-interstitial>`}renderEmptyNotice(){return h.dy`
      <lit-interstitial>
        No examples generated.
      </lit-interstitial>`}renderRetrievedExamples(){const t=this.createEntries();return this.appliedGenerator?t.length<=0?this.isRunning?null:this.renderEmptyNotice():h.dy`
      <div class="results-holder">
        <lit-data-table class="table"
            .columnNames=${Object.keys(t[0])}
            .data=${t}
            exportEnabled
        ></lit-data-table>
      </div>
    `:this.renderInterstitial()}createEntries(){const t=[];for(let n=0;n<this.retrievedExamples.length;n++){const r=this.retrievedExamples[n];for(let n=0;n<r.length;n++){const d=r[n],p=()=>(0,l.mG)(this,void 0,void 0,(function*(){yield this.addToDataset([d])})),f=Object.assign({},d.data),m=this.appState.currentInputDataById.has(d.id);f["Add to Dataset"]=h.dy`<tda-output-row-controls
                                      ?exampleInDataset=${m}
                                      @add-point=${p}/>`,t.push(f)}}return t}renderGeneratorControls(){const t=this.appState.metadata.generators,n=t=>{const n=t.detail.settings,r=t.detail.name,l=Object.assign({},this.globalParams,n);this.handleGeneratorClick(r,l)};return this.compatibleGenerators.map(((r,l)=>{const d=t[r].configSpec,p=(0,x.o8)(d),f=t[r].description;for(const t of Object.values(p))t instanceof v.$K&&(t.vocab=this.appState.getSpecKeysFromFieldMatcher(t,this.model));const m=null==this.selectionService.primarySelectedInputData;return h.dy`
            <lit-interpreter-controls
              .spec=${p}
              .name=${r}
              .description=${f||""}
              .applyButtonText=${"Run"}
              ?applyButtonDisabled=${m}
              ?opened=${0===l}
              @interpreter-click=${n}>
            </lit-interpreter-controls>`}))}static shouldDisplayModule(t,n){const r=m.l.getService(w.aB);return null!=r.metadata&&_.compatibleGenerators(r.metadata.generators).length>0}};T.title="Training Data Attribution",T.numCols=10,T.duplicateForExampleComparison=!0,T.duplicateForModelComparison=!0,T.template=(t,n,r)=>h.dy`
  <tda-module model=${t} .shouldReact=${r}
    selectionServiceIndex=${n}>
  </tda-module>`,(0,l.gn)([f.LO,(0,l.w6)("design:type",Object)],T.prototype,"currentData",void 0),(0,l.gn)([f.LO,(0,l.w6)("design:type",Object)],T.prototype,"customLabels",void 0),(0,l.gn)([f.LO,(0,l.w6)("design:type",Object)],T.prototype,"currentPreds",void 0),(0,l.gn)([f.LO,(0,l.w6)("design:type",Object)],T.prototype,"isRunning",void 0),(0,l.gn)([f.LO,(0,l.w6)("design:type",Array)],T.prototype,"retrievedExamples",void 0),(0,l.gn)([f.LO,(0,l.w6)("design:type",String)],T.prototype,"appliedGenerator",void 0),(0,l.gn)([f.Fl,(0,l.w6)("design:type",Object),(0,l.w6)("design:paramtypes",[])],T.prototype,"datasetName",null),(0,l.gn)([f.Fl,(0,l.w6)("design:type",Object),(0,l.w6)("design:paramtypes",[])],T.prototype,"globalParams",null),(0,l.gn)([f.Fl,(0,l.w6)("design:type",Array),(0,l.w6)("design:paramtypes",[])],T.prototype,"targetLabelInputKeys",null),(0,l.gn)([f.Fl,(0,l.w6)("design:type",Object),(0,l.w6)("design:paramtypes",[])],T.prototype,"modifiedInput",null),(0,l.gn)([f.Fl,(0,l.w6)("design:type",Array),(0,l.w6)("design:paramtypes",[])],T.prototype,"compatibleGenerators",null),(0,l.gn)([f.Fl,(0,l.w6)("design:type",Object),(0,l.w6)("design:paramtypes",[])],T.prototype,"totalNumGenerated",null),T=_=(0,l.gn)([(0,p.Mo)("tda-module")],T)},5887:(t,n,r)=>{"use strict";var l,d=r(7582),h=(r(6278),r(8973)),p=r(5862),f=r(3196),m=r(2188),g=(r(482),r(3506)),y=r(9604),v=(r(6645),r(4262)),b=r(4915),x=r(7098),w=r(9410),S=(r(7190),r(5889));let _=l=class ThresholderModule extends y.p{static get styles(){return[S.W,p.iv`
        .cost-ratio-input {
          width: 50px;
        }

        .module-toolbar {
          margin-bottom: 4px;
        }
    `]}constructor(){super(),this.costRatio=1,this.selectedFacetBins={},this.selectedFacets=[],this.calculatedMargins={},this.classificationService=g.l.getService(w.c1),this.groupService=g.l.getService(w.lT),this.facetingControl=document.createElement("faceting-control");this.facetingControl.contextName=l.title,this.facetingControl.addEventListener("facets-change",(t=>{this.selectedFacets.length=0,this.selectedFacets.push(...t.detail.features),this.selectedFacetBins=t.detail.bins}))}connectedCallback(){super.connectedCallback(),this.reactImmediately((()=>this.groupedExamples),(t=>{this.updateMarginCategories(t)}))}updateMarginCategories(t){const{model:n}=this;if(n){this.calculatedMargins={};for(const r of this.binaryClassificationKeys){this.classificationService.setMarginGroups(n,r,t);const l={};for(const n of Object.keys(t))l[n]={};this.calculatedMargins[r]=l}}}get binaryClassificationKeys(){if(!this.model)return[];const t=this.appState.getModelSpec(this.model).output;return(0,x.Fe)(t,v.OS).filter((n=>(0,x.S7)(t[n])))}calculateThresholds(){return(0,d.mG)(this,void 0,void 0,(function*(){const t={cost_ratio:this.costRatio,facets:this.groupedExamples},n=yield this.apiService.getInterpretations(this.appState.currentInputData,this.model,this.appState.currentDataset,"thresholder",t);for(const t of n){const n=this.calculatedMargins[t.pred_key];for(const r of Object.keys(t.thresholds)){const l={};for(const n of Object.keys(t.thresholds[r]))l[n]=(0,x.DO)(t.thresholds[r][n]);n[r]=l}this.calculatedMargins[t.pred_key]=n}}))}get groupedExamples(){return this.groupService.groupExamplesByFeatures(this.selectedFacetBins,this.appState.currentInputData,this.selectedFacets)}renderTable(t){const n={background:"transparent","border-radius":"4px",border:"1px solid rgb(189, 193, 198)",color:"rgb(26, 115, 232)"},r=["Facet"],l=this.calculatedMargins[t];if(null==l)return null;let d=!0;const h=[];for(const m of Object.keys(l)){const g=[""===m?"All":m];for(const h of Object.keys(l[m])){if(d){const d=()=>{for(const n of Object.keys(l))this.classificationService.setMargin(this.model,t,l[n][h],this.groupedExamples[n])};r.push({name:h,html:p.dy`
              <div>${h}</div>
              <button style=${(0,f.V)(n)} @click=${d}>
                Apply
              </button>`,rightAlign:!0})}g.push((0,x.xt)(l[m][h]).toFixed(2))}const y=this.classificationService.getMargin(this.model,t,this.groupedExamples[m]),v=n=>{this.classificationService.setMargin(this.model,t,n.detail.margin,this.groupedExamples[m])};g.push(p.dy`<threshold-slider .margin=${y} label=${m}
                    ?isThreshold=${!0} @threshold-changed=${v}>
                  </threshold-slider>`),d=!1,h.push(g)}return r.push(t+" threshold"),p.dy`
        <lit-data-table
          .columnNames=${r}
          .data=${h}
        ></lit-data-table>
    `}renderControls(){return p.dy`
        ${this.facetingControl}
        <lit-tooltip content=${"The cost of false positives relative to false negatives. Used to find optimal classifier thresholds"}>
          <div slot="tooltip-anchor">Cost ratio (FP/FN):</div>
        </lit-tooltip>
        <input type=number class="cost-ratio-input" step="0.1" min=0 max=20
               .value=${this.costRatio.toString()}
               @input=${t=>{this.costRatio=+t.target.value}}>
        <lit-tooltip content=${"Calculate optimal threholds for each facet using the cost ratio and a number of different techniques"}>
          <button class='hairline-button' slot="tooltip-anchor"
            @click=${this.calculateThresholds}>
            Get optimal thresholds
          </button>
        </lit-tooltip>`}renderImpl(){const t=this.binaryClassificationKeys.map((t=>this.renderTable(t)));return p.dy`
        <div class='module-container'>
          <div class='module-toolbar'>
            ${this.renderControls()}
          </div>
          <div class='module-results-area ${b.SU}'>
            ${t}
          </div>
        </div>
        `}static shouldDisplayModule(t,n){return(0,x.Rf)(t,v.OS,x.S7)}};_.title="Binary Classifier Thresholds",_.infoMarkdown="Set threshold scores that are used to determine whether examples belong\n      to the positive class.<br>\n      [Learn more.](https://pair-code.github.io/lit/documentation/components.md#binary-classification-thresholds)",_.numCols=3,_.template=(t,n,r)=>p.dy`
  <thresholder-module model=${t} .shouldReact=${r}
    selectionServiceIndex=${n}>
  </thresholder-module>`,(0,d.gn)([m.LO,(0,d.w6)("design:type",Array)],_.prototype,"selectedFacets",void 0),(0,d.gn)([m.LO,(0,d.w6)("design:type",Object)],_.prototype,"calculatedMargins",void 0),(0,d.gn)([m.Fl,(0,d.w6)("design:type",Object),(0,d.w6)("design:paramtypes",[])],_.prototype,"binaryClassificationKeys",null),(0,d.gn)([m.Fl,(0,d.w6)("design:type",Object),(0,d.w6)("design:paramtypes",[])],_.prototype,"groupedExamples",null),_=l=(0,d.gn)([(0,h.Mo)("thresholder-module"),(0,d.w6)("design:paramtypes",[])],_)},696:(t,n,r)=>{"use strict";r.d(n,{s:()=>ApiService});var l=r(7582),d=r(4262),h=(r(4915),r(7098)),p=r(3930);r(9705);class ApiService extends p.R{constructor(t){super(),this.statusService=t}getDataset(t){return(0,l.mG)(this,void 0,void 0,(function*(){const n=yield this.queryServer("/get_dataset",{dataset_name:t},[],"Loading inputs");if(null==n){const t="Failed to load dataset (server returned null).";throw this.statusService.addError(t),new Error(t)}return n}))}createDataset(t,n){return(0,l.mG)(this,void 0,void 0,(function*(){return this.queryServer("/create_dataset",{dataset_name:t},[],"Creating new dataset",n)}))}createModel(t,n){return(0,l.mG)(this,void 0,void 0,(function*(){return this.queryServer("/create_model",{model_name:t},[],"Loading new model",n)}))}getInfo(){return(0,l.mG)(this,void 0,void 0,(function*(){return this.queryServer("/get_info",{},[],"Loading metadata")}))}getPreds(t,n,r,l,d,p){return p=p||"Fetching predictions",d=d||[],this.queryServer("/get_preds",{model:n,dataset_name:r,requested_types:(0,h.IK)(l).join(","),requested_fields:d.join(",")},t,p)}getGenerated(t,n,r,d,h,p){return(0,l.mG)(this,void 0,void 0,(function*(){return p=null!=p?p:"Loading generator output",this.queryServer("/get_generated",{model:n,dataset_name:r,generator:d},t,p,h)}))}annotateNewData(t,n){return this.queryServer("/annotate_new_data",{dataset_name:n},t)}fetchNewData(t){return this.queryServer("/fetch_new_data",{saved_datapoints_id:t},[])}getInterpretations(t,n,r,l,d,h,p=!1){return h=null!=h?h:"Fetching interpretations",this.queryServer("/get_interpretations",{model:n,dataset_name:r,interpreter:l,do_predict:p?"0":"1"},t,h,d)}getMetrics(t,n,r,l,d,h,p=!1){return h=null!=h?h:"Computing metrics.",this.queryServer("/get_metrics",{model:n,dataset_name:r,metrics:null!=l?l:"",do_predict:p?"0":"1"},t,h,d)}saveDatapoints(t,n,r){return this.queryServer("/save_datapoints",{dataset_name:n,path:r},t,"Saving new datapoints")}loadDatapoints(t,n){return this.queryServer("/load_datapoints",{dataset_name:t,path:n},[],"Loading new datapoints")}pushState(t,n,r){return this.queryServer("/push_ui_state",{dataset_name:n},t,"Syncing UI state.",r)}queryServer(t,n,r,p="",f){return(0,l.mG)(this,void 0,void 0,(function*(){const l=this.statusService.startLoading(p),m=r.map((t=>t.meta.added?t:t.id)),g=Object.keys(n).map((t=>`${t}=${n[t]}`)),y=encodeURI(`.${t}?${g.join("&")}`),v=JSON.stringify({inputs:m,config:f});try{const t=yield fetch(y,{method:"POST",body:v}),n=yield t.text();if(!t.ok)throw new Error(n);const r=JSON.parse(n,((t,n)=>{if(null!=n&&"object"==typeof n&&Object.hasOwn(n,"__class__")&&Object.hasOwn(n,"__name__")){const t=n;if("LitType"!==t.__class__)return n;const r=d.ue[t.__name__];if(null==r)throw new Error(`Attempted to revive an unknown LitType '${t.__name__}' with value:\n\n${JSON.stringify(n,null,"  ")}`);return(0,h.Tp)(r,n)}return n}));return l(),this.statusService.removeError(y),r}catch(t){l();const n=t.message.match("^.*?(?=\n\nDetails:)");throw n?this.statusService.addError(n[0],t.toString(),y):this.statusService.addError("Unknown error",t.toString(),y),t}}))}}},4479:(t,n,r)=>{"use strict";r.d(n,{c:()=>ClassificationService});var l=r(7582),d=r(2188),h=r(4262),p=(r(4915),r(7098)),f=r(3930);r(4725);class ClassificationService extends f.R{constructor(t){super(),this.appState=t,this.marginSettings={},(0,d.U5)((()=>this.appState.currentModels),(t=>{if(0===t.length)return;const n=t.reduce(((t,n)=>(t[n]=this.appState.getModelSpec(n).output,t)),{});this.resetMargins(n)}),{fireImmediately:!0})}get allMarginSettings(){const t=[];for(const n of Object.values(this.marginSettings))for(const r of Object.values(n))for(const n of Object.values(r))t.push(n.margin);return t}setMarginGroups(t,n,r){null==this.marginSettings[t]&&(this.marginSettings[t]={}),null==this.marginSettings[t][n]&&(this.marginSettings[t][n]={});const{output:l}=this.appState.getModelSpec(t),d=l[n];if(!(d instanceof h.OS))return;const f=null!=d.threshold?(0,p.DO)(d.threshold):0;for(const l of Object.values(r))this.marginSettings[t][n][l.displayName]={facetData:l,margin:f}}resetMargins(t){const n={};for(const[r,l]of Object.entries(t)){n[r]={};for(const[t,d]of Object.entries(l)){if(!(d instanceof h.OS&&null!=d.null_idx&&d.vocab.length))continue;const l=null!=d.threshold?(0,p.DO)(d.threshold):0;if(n[r][t]={"":{margin:l}},null==this.marginSettings[r]||null==this.marginSettings[r][t])continue;const f=Object.keys(this.marginSettings[r][t]);for(const d of f){const{facetData:h}=this.marginSettings[r][t][d];n[r][t][d]={facetData:h,margin:l}}}}this.marginSettings=n}setMargin(t,n,r,l){if(null==this.marginSettings[t]&&(this.marginSettings[t]={}),null==this.marginSettings[t][n]&&(this.marginSettings[t][n]={}),null==l)if(""in this.marginSettings[t][n])this.marginSettings[t][n][""]={facetData:l,margin:r};else for(const l of Object.keys(this.marginSettings[t][n]))this.marginSettings[t][n][l].margin=r;else this.marginSettings[t][n][l.displayName]={facetData:l,margin:r}}getMargin(t,n,r){var l,d;if(null==this.marginSettings[t]||null==this.marginSettings[t][n])return 0;const h=this.marginSettings[t][n];return null==r?(null===(l=h[""])||void 0===l?void 0:l.margin)||0:null!=r.displayName&&(null===(d=h[r.displayName])||void 0===d?void 0:d.margin)||0}}(0,l.gn)([d.LO,(0,l.w6)("design:type",Object)],ClassificationService.prototype,"marginSettings",void 0),(0,l.gn)([d.Fl,(0,l.w6)("design:type",Array),(0,l.w6)("design:paramtypes",[])],ClassificationService.prototype,"allMarginSettings",null),(0,l.gn)([d.aD,(0,l.w6)("design:type",Function),(0,l.w6)("design:paramtypes",[String,String,Object]),(0,l.w6)("design:returntype",void 0)],ClassificationService.prototype,"setMarginGroups",null),(0,l.gn)([d.aD,(0,l.w6)("design:type",Function),(0,l.w6)("design:paramtypes",[Object]),(0,l.w6)("design:returntype",void 0)],ClassificationService.prototype,"resetMargins",null),(0,l.gn)([d.aD,(0,l.w6)("design:type",Function),(0,l.w6)("design:paramtypes",[String,String,Number,Object]),(0,l.w6)("design:returntype",void 0)],ClassificationService.prototype,"setMargin",null)},7376:(t,n,r)=>{"use strict";r.d(n,{kh:()=>p.kh,x4:()=>ColorService,zT:()=>p.zT});var l=r(7582),d=r(3886),h=r(2188),p=r(6070),f=(r(4915),r(7965),r(7190),r(3930));r(2525);class ColorService extends f.R{constructor(t,n){super(),this.groupService=t,this.dataService=n,this.defaultColor=p.TP,this.defaultOption={name:"None",getValue:t=>"all",scale:d.PKp([this.defaultColor]).domain(["all"])},this.mySelectedColorOption=this.defaultOption,this.selectedColorOptionName=""}get all(){return[this.selectedColorOption]}get selectedColorOption(){if(0===this.colorableOptions.length)return this.defaultOption;const t=this.getTargetColorOption(this.selectedColorOptionName,this.colorableOptions);if(void 0!==t)return t;const n=this.getTargetColorOption(this.defaultClassificationColorOption,this.colorableOptions);return void 0!==n?n:this.defaultOption}get colorableOptions(){this.dataService.dataVals;const t=this.groupService.categoricalFeatureNames.map((t=>{var n;const r=this.groupService.categoricalFeatures[t];let l=null===(n=this.dataService.getColumnInfo(t))||void 0===n?void 0:n.colorRange;return null==l&&(l=r.length>1?p.qL:[p.TP]),{name:t,getValue:n=>this.dataService.getVal(n.id,t),scale:d.PKp(l).domain(r)}})),n=this.groupService.booleanFeatureNames.map((t=>{var n;let r=null===(n=this.dataService.getColumnInfo(t))||void 0===n?void 0:n.colorRange;return null==r&&(r=p.qL),{name:t,getValue:n=>this.dataService.getVal(n.id,t),scale:d.PKp(r).domain(["false","true"])}}));return[...t,...this.groupService.numericalFeatureNames.map((t=>{var n;const r=this.groupService.numericalFeatureRanges[t];let l=null===(n=this.dataService.getColumnInfo(t))||void 0===n?void 0:n.colorRange;return null==l&&(l=p.Do),{name:t,getValue:n=>this.dataService.getVal(n.id,t),scale:d.cJy(l).domain(r)}})),...n,this.defaultOption]}get defaultClassificationColorOption(){return this.dataService.predictedClassFeatureName}getTargetColorOption(t,n){return n.find((n=>n.name===t))}getDatapointColor(t){if(null==this.selectedColorOption||null==t)return this.defaultColor;const n=this.selectedColorOption.getValue(t);return this.selectedColorOption.scale(n)||this.defaultColor}setUrlConfiguration(t){var n;this.selectedColorOptionName=null!==(n=t.colorBy)&&void 0!==n?n:""}}(0,l.gn)([h.LO,(0,l.w6)("design:type",Object)],ColorService.prototype,"mySelectedColorOption",void 0),(0,l.gn)([h.LO,(0,l.w6)("design:type",String)],ColorService.prototype,"selectedColorOptionName",void 0),(0,l.gn)([h.Fl,(0,l.w6)("design:type",Object),(0,l.w6)("design:paramtypes",[])],ColorService.prototype,"all",null),(0,l.gn)([h.Fl,(0,l.w6)("design:type",Object),(0,l.w6)("design:paramtypes",[])],ColorService.prototype,"selectedColorOption",null),(0,l.gn)([h.Fl,(0,l.w6)("design:type",Object),(0,l.w6)("design:paramtypes",[])],ColorService.prototype,"colorableOptions",null),(0,l.gn)([h.Fl,(0,l.w6)("design:type",Object),(0,l.w6)("design:paramtypes",[])],ColorService.prototype,"defaultClassificationColorOption",null)},7965:(t,n,r)=>{"use strict";r.d(n,{Do:()=>DataService,Yz:()=>y,g_:()=>l});var l,d=r(7582),h=r(2188),p=r(6070),f=r(4262),m=(r(4915),r(7098)),g=r(3930);r(9410);!function(t){t.PREDICTED_CLASS="class",t.CORRECT="correct",t.ERROR="error",t.SQUARED_ERROR="squared error"}(l||(l={}));const y="Regression";class DataService extends g.R{constructor(t,n,r,l){super(),this.appState=t,this.classificationService=n,this.apiService=r,this.settingsService=l,this.columnHeaders=new Map,this.columnData=new Map,this.predictedClassFeatureName="",(0,h.U5)((()=>t.currentDataset),(()=>{this.columnHeaders.clear(),this.columnData.clear()}));(0,h.U5)((()=>[this.appState.currentInputData,this.appState.currentModels,this.classificationService.allMarginSettings]),(()=>{if(null!=this.appState.currentInputData&&0!==this.appState.currentInputData.length&&0!==this.appState.currentModels.length&&this.settingsService.isValidCurrentDataAndModels)for(const t of this.appState.currentModels)this.runClassification(t,this.appState.currentInputData)}),{fireImmediately:!0});(0,h.U5)((()=>[this.appState.currentInputData,this.appState.currentModels]),(()=>{if(null!=this.appState.currentInputData&&0!==this.appState.currentInputData.length&&0!==this.appState.currentModels.length&&this.settingsService.isDatasetValidForModels(this.appState.currentDataset,this.appState.currentModels))for(const t of this.appState.currentModels)this.runGeneratedTextPreds(t,this.appState.currentInputData),this.runRegression(t,this.appState.currentInputData),this.runScalarPreds(t,this.appState.currentInputData)}),{fireImmediately:!0}),this.appState.addNewDatapointsCallback((t=>(0,d.mG)(this,void 0,void 0,(function*(){return this.setValuesForNewDatapoints(t)}))))}getColumnName(t,n,r){return`${t}:${n}${null!=r?`:${r}`:""}`}runClassification(t,n){return(0,d.mG)(this,void 0,void 0,(function*(){const{output:r}=this.appState.getModelSpec(t);if(0===(0,m.Fe)(r,f.OS).length)return;const d=this.apiService.getInterpretations(n,t,this.appState.currentDataset,"classification",this.classificationService.marginSettings[t],"Computing classification results"),h=yield d;if(null==h||0===h.length)return;const g=Object.keys(h[0]);for(const d of g){const g=this.getColumnName(t,d),y=this.getColumnName(t,d,l.PREDICTED_CLASS),v=this.getColumnName(t,d,l.CORRECT),b=h.map((t=>t[d].scores)),x=h.map((t=>t[d].predicted_class)),w=h.map((t=>t[d].correct)),S=`Classification:${t}`;this.addColumnFromList(b,n,d,g,(0,m.Tp)(f.OS),S);const _=(0,m.Tp)(f.q0);if(r[d]instanceof f.OS){const t=r[d];_.vocab=t.vocab,this.addColumnFromList(x,n,d,y,_,S),this.updatePredictedClassFeatureName(y),null!=t.parent&&this.addColumnFromList(w,n,d,v,(0,m.Tp)(f.h5),S,(()=>null),p.rD)}}}))}updatePredictedClassFeatureName(t){this.predictedClassFeatureName=t}runGeneratedTextPreds(t,n){return(0,d.mG)(this,void 0,void 0,(function*(){const r=[f.CP,f.hS],{output:l}=this.appState.getModelSpec(t);if(0===(0,m.Fe)(l,r).length)return;const d=this.apiService.getPreds(n,t,this.appState.currentDataset,r),h=yield d;if(null==h||0===h.length)return;const p=Object.keys(h[0]);for(const r of p){const d=l[r]instanceof f.CP,p=this.getColumnName(t,r),g=h.map((t=>t[r])),y=d?(0,m.Tp)(f.CP):(0,m.Tp)(f.hS),v=`${d?"GeneratedText":"GeneratedTextCandidates"}:${t}`;this.addColumnFromList(g,n,r,p,y,v)}}))}runRegression(t,n){return(0,d.mG)(this,void 0,void 0,(function*(){const{output:r}=this.appState.getModelSpec(t);if(0===(0,m.Fe)(r,f.aK).length)return;const d=this.apiService.getInterpretations(n,t,this.appState.currentDataset,"regression",void 0,"Computing regression results"),h=yield d;if(null==h||0===h.length)return;const p=Object.keys(h[0]);for(const d of p){const p=this.getColumnName(t,d),g=this.getColumnName(t,d,l.ERROR),v=this.getColumnName(t,d,l.SQUARED_ERROR),b=h.map((t=>t[d].score)),x=h.map((t=>t[d].error)),w=h.map((t=>t[d].squared_error)),S=(0,m.Tp)(f.Ru),_=`${y}:${t}`;if(this.addColumnFromList(b,n,d,p,S,_),r[d]instanceof f.aK){null!=r[d].parent&&(this.addColumnFromList(x,n,d,g,S,_),this.addColumnFromList(w,n,d,v,S,_))}}}))}runScalarPreds(t,n){return(0,d.mG)(this,void 0,void 0,(function*(){const{output:r}=this.appState.getModelSpec(t);if(0===(0,m.Fe)(r,f.Ru).length)return;const l=this.apiService.getPreds(n,t,this.appState.currentDataset,[f.Ru]),d=yield l;if(null==d||0===d.length)return;const h=Object.keys(d[0]);for(const r of h){const l=this.getColumnName(t,r),h=d.map((t=>t[r])),p=(0,m.Tp)(f.Ru),g=`Scalar:${t}`;this.addColumnFromList(h,n,r,l,p,g)}}))}setValuesForNewDatapoints(t){return(0,d.mG)(this,void 0,void 0,(function*(){for(const n of t)for(const t of this.cols){const r=t.name,l=yield this.columnHeaders.get(r).getValueFn(n);this.columnData.get(r).set(n.id,l)}}))}get cols(){return Array.from(this.columnHeaders.values())}getColNamesOfType(t){return this.cols.filter((n=>(0,m.kL)(n.dataType,t))).map((t=>t.name))}getColumnInfo(t){return this.columnHeaders.get(t)}get dataVals(){const t=[];for(const n of this.columnData.values())t.push(...n.values());return t}addColumn(t,n,r,l,d,h=(()=>null),p){this.columnHeaders.has(r)||this.columnHeaders.set(r,{dataType:l,source:d,name:r,key:n,getValueFn:h,colorRange:p}),this.columnData.has(r)&&(0,m.q1)(this.columnData.get(r),t)||this.columnData.set(r,t)}addColumnFromList(t,n,r,l,d,h,p=(()=>null),f){if(t.length!==n.length)throw new Error(`Attempted to add data column ${l} with incorrect number of values.`);const m=new Map;for(let r=0;r<n.length;r++){const l=n[r],d=t[r];m.set(l.id,d)}this.addColumn(m,r,l,d,h,p,f)}getVal(t,n){if(!this.columnHeaders.has(n)){const r=this.appState.getCurrentInputDataById(t);return null!=r?r.data[n]:null}return this.columnData.get(n).has(t)?this.columnData.get(n).get(t):null}getValAsync(t,n){return(0,d.mG)(this,void 0,void 0,(function*(){if(!this.columnHeaders.has(n)||this.columnData.get(n).has(t))return this.getVal(t,n);const r=this.appState.getCurrentInputDataById(t),l=yield this.columnHeaders.get(n).getValueFn(r);return this.columnData.get(n).set(r.id,l),l}))}getColumn(t){return this.appState.currentInputData.map((n=>this.getVal(n.id,t)))}}(0,d.gn)([h.LO,(0,d.w6)("design:type",Object)],DataService.prototype,"columnHeaders",void 0),(0,d.gn)([h.LO,(0,d.w6)("design:type",Object)],DataService.prototype,"columnData",void 0),(0,d.gn)([h.LO,(0,d.w6)("design:type",Object)],DataService.prototype,"predictedClassFeatureName",void 0),(0,d.gn)([h.aD,(0,d.w6)("design:type",Function),(0,d.w6)("design:paramtypes",[String]),(0,d.w6)("design:returntype",void 0)],DataService.prototype,"updatePredictedClassFeatureName",null),(0,d.gn)([h.aD,(0,d.w6)("design:type",Function),(0,d.w6)("design:paramtypes",[Array]),(0,d.w6)("design:returntype",Promise)],DataService.prototype,"setValuesForNewDatapoints",null),(0,d.gn)([h.Fl,(0,d.w6)("design:type",Array),(0,d.w6)("design:paramtypes",[])],DataService.prototype,"cols",null),(0,d.gn)([h.Fl,(0,d.w6)("design:type",Object),(0,d.w6)("design:paramtypes",[])],DataService.prototype,"dataVals",null),(0,d.gn)([h.aD,(0,d.w6)("design:type",Function),(0,d.w6)("design:paramtypes",[Object,String,String,f.VM,String,Function,Object]),(0,d.w6)("design:returntype",void 0)],DataService.prototype,"addColumn",null),(0,d.gn)([h.aD,(0,d.w6)("design:type",Function),(0,d.w6)("design:paramtypes",[Array,Array,String,String,f.VM,String,Function,Object]),(0,d.w6)("design:returntype",void 0)],DataService.prototype,"addColumnFromList",null)},5587:(t,n,r)=>{"use strict";r.d(n,{i:()=>FocusService});var l=r(7582),d=r(2188),h=r(3930);r(9929);class FocusService extends h.R{get focusData(){return this.focusDataInternal}constructor(t){super(),this.focusDataInternal=null,(0,d.U5)((()=>t.primarySelectedInputData),(t=>{this.clearFocus()}))}setFocusedDatapoint(t){this.focusDataInternal={datapointId:t}}setFocusedField(t,n,r,l){this.focusDataInternal={datapointId:t,io:n,fieldName:r,subField:l}}clearFocus(){this.focusDataInternal=null}}(0,l.gn)([d.LO,(0,l.w6)("design:type",Object)],FocusService.prototype,"focusDataInternal",void 0),(0,l.gn)([d.Fl,(0,l.w6)("design:type",Object),(0,l.w6)("design:paramtypes",[])],FocusService.prototype,"focusData",null)},7190:(t,n,r)=>{"use strict";r.d(n,{J:()=>l,l:()=>GroupService});var l,d=r(7582),h=r(3886),p=r(2188),f=r(4262),m=(r(4915),r(7098)),g=(r(7965),r(3930));r(4725);!function(t){t.DISCRETE="discrete",t.EQUAL_INTERVAL="equal-interval",t.QUANTILE="quantile",t.THRESHOLD="threshold"}(l||(l={}));class GroupService extends g.R{constructor(t,n){super(),this.appState=t,this.dataService=n,this.numericFeatureBinsMap=new Map,(0,p.U5)((()=>this.appState.currentInputData),(()=>{this.numericFeatureBinsMap=new Map}))}get categoricalFeatureNames(){const t=this.appState.currentDatasetSpec;return(0,m.Fe)(t,f.q0).concat(this.dataService.getColNamesOfType(f.q0))}get numericalFeatureNames(){const t=this.appState.currentDatasetSpec;return(0,m.Fe)(t,f.Ru).concat(this.dataService.getColNamesOfType(f.Ru))}get booleanFeatureNames(){const t=this.appState.currentDatasetSpec;return(0,m.Fe)(t,f.h5).concat(this.dataService.getColNamesOfType(f.h5))}get denseFeatureNames(){return[...this.categoricalFeatureNames,...this.numericalFeatureNames,...this.booleanFeatureNames]}get categoricalFeatures(){var t;const n={};for(const r of this.categoricalFeatureNames){const l=null===(t=this.appState.currentDatasetSpec[r])||void 0===t?void 0:t.vocab;if(null!=l){n[r]=[...l];continue}const d=this.dataService.getColumnInfo(r),h=null==d?void 0:d.dataType;null==h||null==h.vocab?n[r]=[...new Set(this.dataService.getColumn(r))]:n[r]=h.vocab}return n}get numericalFeatureRanges(){const t={};for(const n of this.numericalFeatureNames){const r=this.dataService.getColumn(n),l=Math.min(...r),d=Math.max(...r);t[n]=[l,d]}return t}numericBinKey(t,n,r,l=!1){return l?r?`≥ ${t}`:`< ${n}`:`[${t}, ${n}${r?"]":")"}`}numericBinRange(t,n,r){return[t,n+(r?1e-6:0)]}freedmanDiaconisBins(t){const n=this.numericalFeatureRanges[t][0],r=this.numericalFeatureRanges[t][1],l=this.dataService.getColumn(t);let d=h.o6f(l,n,r);0!==d&&isFinite(d)||(d=10);const p=h.KXr().domain([n,r]).thresholds(d)(l),f={};for(const t of p){const{x0:n,x1:l}=t,d=l===r;if(null==n||null==l)continue;const h=this.numericBinRange(n,l,d);f[this.numericBinKey((0,m.T7)(n,3),(0,m.T7)(l,3),d)]=h}return f}discreteBins(t){const n={},[r,l]=this.numericalFeatureRanges[t],d=(0,m.Lt)(l-r);if("number"!=typeof d)throw new Error(`Unable to generate discrete bins; '${t}' step is not defined`);for(let t=r;t<l;t+=d){const r=t+d;n[this.numericBinKey(t,r,r===l)]=[t,r]}return n}equalIntervalBins(t,n){const r={},[l,d]=this.numericalFeatureRanges[t],h=(d-l)/n;for(let t=0;t<n;t++){const d=t===n-1,p=l+h*t,f=l+h*(t+1),g=this.numericBinRange(p,f,d);r[this.numericBinKey((0,m.T7)(p,3),(0,m.T7)(f,3),d)]=g}return r}quantileBins(t,n){const r={},l=this.dataService.getColumn(t).sort(((t,n)=>t-n));n=Math.min(n,l.length);const d=Math.ceil(l.length/n);for(let t=0;t<n;t++){const h=t===n-1,p=l[d*t],f=l[h?l.length-1:d*(t+1)],g=this.numericBinRange(p,f,h);r[this.numericBinKey((0,m.T7)(p,3),(0,m.T7)(f,3),h)]=g}return r}thresholdBins(t,n){const r=(0,m.T7)(n,3),l=this.numericBinKey(0,r,!1,!0),d=this.numericBinKey(r,0,!0,!0);return{[l]:[Number.NEGATIVE_INFINITY,n],[d]:[n,Number.POSITIVE_INFINITY]}}facetConfigsToKey(t){const n=t.sort(((t,n)=>t.featureName<n.featureName?-1:t.featureName>n.featureName?1:0));return JSON.stringify(n)}validateFacetingConfig(t){const{featureName:n,method:r,numBins:d,threshold:h}=t,p=null==r||r===l.DISCRETE,f=r===l.EQUAL_INTERVAL,m=r===l.QUANTILE&&"number"==typeof d&&d>0,g=r===l.THRESHOLD&&"number"==typeof h,y=p||f||m||g;if(!y){const r=JSON.stringify(t);throw new Error(`Invalid faceting config for '${n}': ${r}`)}return y}validateFacetingConfigs(t){return t.filter(this.validateFacetingConfig)}numericalFeatureBins(t){const n=JSON.stringify(t);if(this.numericFeatureBinsMap.has(n))return this.numericFeatureBinsMap.get(n);const r={},d=t.filter((t=>this.numericalFeatureNames.includes(t.featureName)));for(const t of d){const{featureName:n,method:d,numBins:h,threshold:p}=t;d===l.EQUAL_INTERVAL?r[n]=null==h||h<1?this.freedmanDiaconisBins(n):this.equalIntervalBins(n,h):d===l.QUANTILE?r[n]=this.quantileBins(n,h||4):d===l.THRESHOLD&&null!=p?r[n]=this.thresholdBins(n,p):r[n]=this.discreteBins(n)}return this.numericFeatureBinsMap.set(n,r),r}getNumericalBinForExample(t,n,r){const l=this.dataService.getVal(n.id,r);for(const n of Object.values(t[r])){const[t,r]=n;if(t<=l&&l<r)return n}return null}numIntersectionsLabel(t,n){const r=n.map((n=>this.categoricalFeatureNames.includes(n)?this.categoricalFeatures[n].length:this.numericalFeatureNames.includes(n)?Object.keys(t[n]).length:this.booleanFeatureNames.includes(n)?2:0)),l=r.reduce(((t,n)=>t*n));return r.length>1?`${r.join("x")} = ${l}`:r[0].toString()}groupExamplesByFeatures(t,n,r,l=((t,n,r,l)=>this.getFeatureValForInput(t,n,l))){const d={};for(let h=0;h<n.length;h++){const p=n[h],f={};for(const n of r){const r=l(t,p,h,n);if(null!=r)if(Array.isArray(r)){const l=Object.values(t[n]).indexOf(r),d=Object.keys(t[n])[l];f[n]={val:r,displayVal:d}}else f[n]={val:r,displayVal:r.toString()}}const g=(0,m.Mg)(f);d.hasOwnProperty(g)||(d[g]={displayName:g,data:[],facets:f}),d[g].data.push(p)}return d}getFeatureValForInput(t,n,r){return this.numericalFeatureNames.includes(r)?this.getNumericalBinForExample(t,n,r):this.dataService.getVal(n.id,r)}}(0,d.gn)([p.Fl,(0,d.w6)("design:type",Array),(0,d.w6)("design:paramtypes",[])],GroupService.prototype,"categoricalFeatureNames",null),(0,d.gn)([p.Fl,(0,d.w6)("design:type",Array),(0,d.w6)("design:paramtypes",[])],GroupService.prototype,"numericalFeatureNames",null),(0,d.gn)([p.Fl,(0,d.w6)("design:type",Array),(0,d.w6)("design:paramtypes",[])],GroupService.prototype,"booleanFeatureNames",null),(0,d.gn)([p.Fl,(0,d.w6)("design:type",Array),(0,d.w6)("design:paramtypes",[])],GroupService.prototype,"denseFeatureNames",null),(0,d.gn)([p.Fl,(0,d.w6)("design:type",Object),(0,d.w6)("design:paramtypes",[])],GroupService.prototype,"categoricalFeatures",null),(0,d.gn)([p.Fl,(0,d.w6)("design:type",Object),(0,d.w6)("design:paramtypes",[])],GroupService.prototype,"numericalFeatureRanges",null)},3930:(t,n,r)=>{"use strict";r.d(n,{R:()=>LitService});class LitService{}},1165:(t,n,r)=>{"use strict";r.d(n,{m:()=>f,s:()=>ModulesService});var l=r(7582),d=r(2188),h=(r(4915),r(3930)),p=(r(2525),r(5108));function f(t){var n;const r="string"==typeof t?{module:t}:t,l=function(t){const n=window.customElements.get(t);if(void 0===n)throw new Error(`Malformed layout; unable to find element '${t}'`);return n}(r.module);return Object.assign({constructor:l,title:l.title,requiredForTab:null!==(n=r.requiredForTab)&&void 0!==n&&n},r)}class ModulesService extends h.R{constructor(){super(...arguments),this.declaredLayout={upper:{},lower:{},left:{},layoutSettings:{},description:""},this.selectedTabs={upper:"",lower:"",left:""},this.renderLayout={upper:{},lower:{},left:{}},this.hiddenModuleKeys=new Set,this.expandedModuleKey="",this.allModuleKeys=new Set,this.renderModulesCallback=()=>{}}setRenderModulesCallback(t){this.renderModulesCallback=t}renderModules(){this.renderModulesCallback()}initializeLayout(t,n,r,l){this.declaredLayout=t,this.updateRenderLayout(n,r,l)}clearLayout(){this.updateRenderLayout({},{},!1),this.renderModules()}quickUpdateLayout(t,n,r){this.updateRenderLayout(t,n,r),this.renderModules()}setHiddenModules(t){const n=new Set(t);this.hiddenModuleKeys=n}setExpandedModule(t){this.expandedModuleKey=t}setUrlConfiguration(t){var n,r,l,d;this.setHiddenModules(t.hiddenModules),this.setExpandedModule(null!==(n=t.expandedModule)&&void 0!==n?n:""),this.selectedTabs.upper=null!==(r=t.selectedTabUpper)&&void 0!==r?r:"",this.selectedTabs.lower=null!==(l=t.selectedTabLower)&&void 0!==l?l:"",this.selectedTabs.left=null!==(d=t.selectedTabLeft)&&void 0!==d?d:""}isModuleGroupHidden(t){return this.hiddenModuleKeys.has(t.key)}isModuleGroupExpanded(t){return this.expandedModuleKey===t.key}toggleHiddenModule(t,n){n?this.hiddenModuleKeys.add(t.key):this.hiddenModuleKeys.delete(t.key)}toggleExpandedModule(t,n){this.expandedModuleKey=n?t.key:""}getRenderLayout(){return this.renderLayout}getSetting(t){var n,r;return null===(r=null===(n=this.declaredLayout)||void 0===n?void 0:n.layoutSettings)||void 0===r?void 0:r[t]}computeTabGroupLayout(t,n,r,l){const d={};for(const[h,p]of Object.entries(t)){const t=p.map(f),m=this.getRenderConfigs(t,n,r,l,h);0!==m.length&&(d[h]=m)}return d}updateRenderLayout(t,n,r){const l={upper:this.computeTabGroupLayout(this.declaredLayout.upper,t,n,r),lower:this.computeTabGroupLayout(this.declaredLayout.lower,t,n,r),left:this.computeTabGroupLayout(this.declaredLayout.left,t,n,r)};this.updateModuleKeys(l),this.renderLayout=l}updateModuleKeys(t){const n=new Set;for(const r of Object.values(t))for(const t of Object.values(r))for(const r of t)for(const t of r)n.add(t.key),t.moduleType.collapseByDefault&&this.hiddenModuleKeys.add(t.key);for(const t of[...this.hiddenModuleKeys])n.has(t)||this.hiddenModuleKeys.delete(t);this.allModuleKeys=n}getRenderConfigs(t,n,r,l,d){const h=[];for(const f of t){const t=f.constructor;if(!t.shouldDisplayModule(n,r)){if(f.requiredForTab)return[];continue}const m=[],g=l&&t.duplicateForExampleComparison,y=`${d}_${t.title}`;let v=[void 0];t.duplicateForModelComparison&&(v=Object.keys(n));for(const n of v)g?(m.push(this.makeRenderConfig(y,t,n,1)),m.push(this.makeRenderConfig(y,t,n,0))):m.push(this.makeRenderConfig(y,t,n,l?0:void 0));m.length>0?h.push(m):p.warn(`LIT layout: no compatible configs for module '${t.title}' in tab '${d}'`)}return h}makeRenderConfig(t,n,r,l){return{key:t,moduleType:n,modelName:r,selectionServiceIndex:l}}}(0,l.gn)([d.LO,(0,l.w6)("design:type",Object)],ModulesService.prototype,"declaredLayout",void 0),(0,l.gn)([d.LO,(0,l.w6)("design:type",Object)],ModulesService.prototype,"selectedTabs",void 0),(0,l.gn)([d.LO,(0,l.w6)("design:type",Object)],ModulesService.prototype,"renderLayout",void 0),(0,l.gn)([d.LO,(0,l.w6)("design:type",Object)],ModulesService.prototype,"hiddenModuleKeys",void 0),(0,l.gn)([d.LO,(0,l.w6)("design:type",Object)],ModulesService.prototype,"expandedModuleKey",void 0),(0,l.gn)([d.aD,(0,l.w6)("design:type",Function),(0,l.w6)("design:paramtypes",[]),(0,l.w6)("design:returntype",void 0)],ModulesService.prototype,"clearLayout",null),(0,l.gn)([d.aD,(0,l.w6)("design:type",Function),(0,l.w6)("design:paramtypes",[Object,Object,Boolean]),(0,l.w6)("design:returntype",void 0)],ModulesService.prototype,"quickUpdateLayout",null)},9929:(t,n,r)=>{"use strict";r.d(n,{z:()=>SelectionService});var l=r(7582),d=r(2188),h=(r(4915),r(3930));r(2525);class SelectionService extends h.R{constructor(t){super(),this.appState=t,this.selectedIdsSet=new Set,this.primarySelectedIdInternal=null,this.shiftSelectionStartIndexInternal=0,this.shiftSelectionEndIndexInternal=0}get lastUser(){return this.lastUserInternal}get primarySelectedId(){return this.primarySelectedIdInternal}get selectedIds(){return[...this.selectedIdsSet.values()].sort(((t,n)=>this.appState.getIndexById(t)-this.appState.getIndexById(n)))}get selectedInputData(){return 0===this.selectedIds.length?[]:this.appState.currentInputData.filter((t=>this.selectedIdsSet.has(t.id)))}get primarySelectedInputData(){return null!==this.primarySelectedId?this.appState.getCurrentInputDataById(this.primarySelectedId):null}get shiftSelectionStartIndex(){return this.shiftSelectionStartIndexInternal}get shiftSelectionEndIndex(){return this.shiftSelectionEndIndexInternal}setLastUser(t){this.lastUserInternal=t}setPrimarySelection(t,n){null==t||this.selectedIdsSet.has(t)?(this.primarySelectedIdInternal=t,this.setLastUser(n)):this.selectIds([t],n)}setShiftSelectionSpan(t,n){this.shiftSelectionStartIndexInternal=t,this.shiftSelectionEndIndexInternal=n}selectIds(t,n){if(this.selectedIdsSet.clear(),t.forEach((t=>{this.selectedIdsSet.add(t)})),null!==this.primarySelectedId&&this.selectedIdsSet.has(this.primarySelectedId)||(0===this.selectedIdsSet.size?this.primarySelectedIdInternal=null:this.primarySelectedIdInternal=t[0]),this.setLastUser(n),1===t.length){const n=this.appState.getIndexById(t[0]);this.setShiftSelectionSpan(n,n)}}selectAll(t){const n=this.appState.currentInputData.map((t=>t.id));this.selectIds(n,t)}syncFrom(t){this.selectIds(t.selectedIds),this.setPrimarySelection(t.primarySelectedId)}isIdSelected(t){return this.selectedIdsSet.has(t)}get selectedOrAllInputData(){return this.selectedInputData.length>0?this.selectedInputData:this.appState.currentInputData}}(0,l.gn)([d.LO,(0,l.w6)("design:type",Object)],SelectionService.prototype,"selectedIdsSet",void 0),(0,l.gn)([d.LO,(0,l.w6)("design:type",String)],SelectionService.prototype,"primarySelectedIdInternal",void 0),(0,l.gn)([d.LO,(0,l.w6)("design:type",Object)],SelectionService.prototype,"lastUserInternal",void 0),(0,l.gn)([d.LO,(0,l.w6)("design:type",Number)],SelectionService.prototype,"shiftSelectionStartIndexInternal",void 0),(0,l.gn)([d.LO,(0,l.w6)("design:type",Number)],SelectionService.prototype,"shiftSelectionEndIndexInternal",void 0),(0,l.gn)([d.Fl,(0,l.w6)("design:type",Object),(0,l.w6)("design:paramtypes",[])],SelectionService.prototype,"lastUser",null),(0,l.gn)([d.Fl,(0,l.w6)("design:type",Object),(0,l.w6)("design:paramtypes",[])],SelectionService.prototype,"primarySelectedId",null),(0,l.gn)([d.Fl,(0,l.w6)("design:type",Array),(0,l.w6)("design:paramtypes",[])],SelectionService.prototype,"selectedIds",null),(0,l.gn)([d.Fl,(0,l.w6)("design:type",Array),(0,l.w6)("design:paramtypes",[])],SelectionService.prototype,"selectedInputData",null),(0,l.gn)([d.Fl,(0,l.w6)("design:type",Object),(0,l.w6)("design:paramtypes",[])],SelectionService.prototype,"primarySelectedInputData",null),(0,l.gn)([d.Fl,(0,l.w6)("design:type",Object),(0,l.w6)("design:paramtypes",[])],SelectionService.prototype,"shiftSelectionStartIndex",null),(0,l.gn)([d.Fl,(0,l.w6)("design:type",Object),(0,l.w6)("design:paramtypes",[])],SelectionService.prototype,"shiftSelectionEndIndex",null),(0,l.gn)([d.aD,(0,l.w6)("design:type",Function),(0,l.w6)("design:paramtypes",[Object]),(0,l.w6)("design:returntype",void 0)],SelectionService.prototype,"setLastUser",null),(0,l.gn)([d.aD,(0,l.w6)("design:type",Function),(0,l.w6)("design:paramtypes",[String,Object]),(0,l.w6)("design:returntype",void 0)],SelectionService.prototype,"setPrimarySelection",null),(0,l.gn)([d.aD,(0,l.w6)("design:type",Function),(0,l.w6)("design:paramtypes",[Number,Number]),(0,l.w6)("design:returntype",void 0)],SelectionService.prototype,"setShiftSelectionSpan",null),(0,l.gn)([d.aD,(0,l.w6)("design:type",Function),(0,l.w6)("design:paramtypes",[Array,Object]),(0,l.w6)("design:returntype",void 0)],SelectionService.prototype,"selectIds",null),(0,l.gn)([d.aD,(0,l.w6)("design:type",Function),(0,l.w6)("design:paramtypes",[Object]),(0,l.w6)("design:returntype",void 0)],SelectionService.prototype,"selectAll",null),(0,l.gn)([d.aD,(0,l.w6)("design:type",Function),(0,l.w6)("design:paramtypes",[SelectionService]),(0,l.w6)("design:returntype",void 0)],SelectionService.prototype,"syncFrom",null),(0,l.gn)([d.Fl,(0,l.w6)("design:type",Array),(0,l.w6)("design:paramtypes",[])],SelectionService.prototype,"selectedOrAllInputData",null)},9410:(t,n,r)=>{"use strict";r.d(n,{Bj:()=>w.B,Do:()=>p.Do,aB:()=>x.a,c1:()=>d.c,gb:()=>v.g,io:()=>f.i,lT:()=>m.l,qG:()=>b.q,s7:()=>g.s,sM:()=>l.s,x4:()=>h.x4,z2:()=>y.z});var l=r(696),d=r(4479),h=r(7376),p=r(7965),f=r(5587),m=r(7190),g=r(1165),y=r(9929),v=r(4624),b=r(437),x=r(4725),w=r(9705);r(2525)},4624:(t,n,r)=>{"use strict";r.d(n,{g:()=>SettingsService});var l=r(7582),d=r(2188),h=r(7098),p=r(3930);r(9410);class SettingsService extends p.R{constructor(t,n,r){super(),this.appState=t,this.modulesService=n,this.selectionService=r,(0,d.U5)((()=>t.compareExamplesEnabled),(t=>{this.modulesService.quickUpdateLayout(this.appState.currentModelInfos,this.appState.currentDatasetSpec,t)}))}isDatasetValidForModels(t,n){return n.every((n=>this.isDatasetValidForModel(t,n)))}isDatasetValidForModel(t,n){var r,l;return((null===(l=null===(r=this.appState.metadata)||void 0===r?void 0:r.models)||void 0===l?void 0:l[n].datasets)||[]).includes(t)}get isValidCurrentDataAndModels(){return this.isDatasetValidForModels(this.appState.currentDataset,this.appState.currentModels)}updateSettings(t){var n,r,p;return(0,l.mG)(this,void 0,void 0,(function*(){const l=null!==(n=t.models)&&void 0!==n?n:this.appState.currentModels,f=null!==(r=t.dataset)&&void 0!==r?r:this.appState.currentDataset,m=null!==(p=t.layoutName)&&void 0!==p?p:this.appState.layoutName;yield this.appState.loadDataset(f),m!==this.appState.layoutName&&(this.modulesService.clearLayout(),yield this.raf());const g=!(0,h.VV)(this.appState.currentModels,l),y=f!==this.appState.currentDataset&&f;(0,d.z)((()=>{y&&(this.selectionService.selectIds([]),this.appState.setCurrentDataset(f)),g&&this.appState.setCurrentModels(l)})),this.appState.layoutName!==m||0===Object.keys(this.modulesService.declaredLayout.upper).length||0===Object.keys(this.modulesService.declaredLayout.lower).length?(this.appState.layoutName=m,this.modulesService.initializeLayout(this.appState.layout,this.appState.currentModelInfos,this.appState.currentDatasetSpec,this.appState.compareExamplesEnabled),this.modulesService.renderModules()):this.modulesService.quickUpdateLayout(this.appState.currentModelInfos,this.appState.currentDatasetSpec,this.appState.compareExamplesEnabled)}))}raf(){return(0,l.mG)(this,void 0,void 0,(function*(){return new Promise((t=>{requestAnimationFrame(t)}))}))}}(0,l.gn)([d.Fl,(0,l.w6)("design:type",Object),(0,l.w6)("design:paramtypes",[])],SettingsService.prototype,"isValidCurrentDataAndModels",null),(0,l.gn)([d.aD,(0,l.w6)("design:type",Function),(0,l.w6)("design:paramtypes",[Object]),(0,l.w6)("design:returntype",Promise)],SettingsService.prototype,"updateSettings",null)},437:(t,n,r)=>{"use strict";r.d(n,{Z:()=>f,q:()=>SliceService});var l=r(7582),d=r(2188),h=(r(4915),r(7098)),p=r(3930);r(9410);const f="Starred";class SliceService extends p.R{constructor(t,n){super(),this.selectionService=t,this.appState=n,this.namedSlices=new Map([[f,new Set]]),this.selectedSliceNameInternal=null,(0,d.U5)((()=>t.selectedInputData),(t=>{null!=this.selectedSliceName&&this.namedSlices.has(this.selectedSliceName)&&!(0,h.VV)(t.map((t=>t.id)),this.getSliceByName(this.selectedSliceName))&&this.setSelectedSliceName(null)}))}setSelectedSliceName(t){this.selectedSliceNameInternal=t}get selectedSliceName(){return this.selectedSliceNameInternal}selectNamedSlice(t,n){if(null===t)return this.setSelectedSliceName(t),void this.selectionService.selectIds([],n);const r=this.getSliceByName(t);null!==r&&(this.selectionService.selectIds(r,n),this.setSelectedSliceName(t))}addNamedSlice(t,n){this.namedSlices.set(t,new Set(n))}addIdsToSlice(t,n){const r=this.namedSlices.get(t);null!=r&&n.forEach((t=>{r.add(t)}))}addOrAppendToSlice(t,n){this.namedSlices.has(t)?this.addIdsToSlice(t,n):this.addNamedSlice(t,n)}removeIdsFromSlice(t,n){const r=this.namedSlices.get(t);null!=r&&n.forEach((t=>{r.delete(t)}))}deleteNamedSlice(t){this.namedSlices.delete(t)}get sliceNames(){return[...this.namedSlices.keys()]}getSliceByName(t){const n=this.namedSlices.get(t);return n?[...n]:null}getSliceDataByName(t){const n=this.getSliceByName(t);return this.appState.getExamplesById(n)}isInSlice(t,n){const r=this.namedSlices.get(t);return!!r&&r.has(n)}isSliceEmpty(t){const n=this.getSliceByName(t);return null==n||0===n.length}areAllSlicesEmpty(){for(const t of this.sliceNames)if(!this.isSliceEmpty(t))return!1;return!0}}(0,l.gn)([d.LO,(0,l.w6)("design:type",Object)],SliceService.prototype,"namedSlices",void 0),(0,l.gn)([d.LO,(0,l.w6)("design:type",String)],SliceService.prototype,"selectedSliceNameInternal",void 0),(0,l.gn)([d.aD,(0,l.w6)("design:type",Function),(0,l.w6)("design:paramtypes",[String]),(0,l.w6)("design:returntype",void 0)],SliceService.prototype,"setSelectedSliceName",null),(0,l.gn)([d.Fl,(0,l.w6)("design:type",String),(0,l.w6)("design:paramtypes",[])],SliceService.prototype,"selectedSliceName",null),(0,l.gn)([d.aD,(0,l.w6)("design:type",Function),(0,l.w6)("design:paramtypes",[String,Object]),(0,l.w6)("design:returntype",void 0)],SliceService.prototype,"selectNamedSlice",null),(0,l.gn)([d.aD,(0,l.w6)("design:type",Function),(0,l.w6)("design:paramtypes",[String,Array]),(0,l.w6)("design:returntype",void 0)],SliceService.prototype,"addNamedSlice",null),(0,l.gn)([d.aD,(0,l.w6)("design:type",Function),(0,l.w6)("design:paramtypes",[String,Array]),(0,l.w6)("design:returntype",void 0)],SliceService.prototype,"addIdsToSlice",null),(0,l.gn)([d.aD,(0,l.w6)("design:type",Function),(0,l.w6)("design:paramtypes",[String,Array]),(0,l.w6)("design:returntype",void 0)],SliceService.prototype,"addOrAppendToSlice",null),(0,l.gn)([d.aD,(0,l.w6)("design:type",Function),(0,l.w6)("design:paramtypes",[String,Array]),(0,l.w6)("design:returntype",void 0)],SliceService.prototype,"removeIdsFromSlice",null),(0,l.gn)([d.aD,(0,l.w6)("design:type",Function),(0,l.w6)("design:paramtypes",[String]),(0,l.w6)("design:returntype",void 0)],SliceService.prototype,"deleteNamedSlice",null),(0,l.gn)([d.Fl,(0,l.w6)("design:type",Array),(0,l.w6)("design:paramtypes",[])],SliceService.prototype,"sliceNames",null)},4725:(t,n,r)=>{"use strict";r.d(n,{a:()=>AppState});var l=r(7582),d=r(2188),h=r(4262),p=r(4915),f=r(7098),m=(r(696),r(3930)),g=(r(9410),r(2525),r(5108));class AppState extends m.R{constructor(t,n){super(),this.apiService=t,this.statusService=n,this.initialized=!1,this.documentationOpen=!1,this.currentModels=[],this.compareExamplesEnabled=!1,this.layouts={},this.newDatapointsCallbacks=[],this.currentDatasetInternal="",this.inputData=new Map}get layout(){return this.layouts[this.layoutName]}get currentDataset(){return this.currentDatasetInternal}setCurrentDataset(t){if(!this.inputData.has(t))throw new Error(`Dataset '${t}' is not loaded. Call loadDataset() first.`);this.currentDatasetInternal=t}setDatasetForTest(t,n){this.inputData.set(t,n),this.setCurrentDataset(t)}get currentDatasetSpec(){return this.metadata.datasets[this.currentDataset].spec}get datasetHasImages(){return(0,f.Fe)(this.currentDatasetSpec,h.sO).length>0}makeEmptyInputs(){return new Map}get currentInputDataById(){if(!this.currentDataset)return this.makeEmptyInputs();const t=this.inputData.get(this.currentDataset);return t||this.makeEmptyInputs()}get currentInputData(){return[...this.currentInputDataById.values()]}get currentInputDataIsLoaded(){return this.currentInputData.length>0}get currentModelRequiredInputSpecKeys(){const t=new Set;return Object.values(this.currentModelInfos).forEach((n=>{Object.keys(n.spec.input).forEach((r=>{!0===n.spec.input[r].required&&t.add(r)}))})),[...t]}get currentInputDataKeys(){return Object.keys(this.currentDatasetSpec)}get indicesById(){const t=new Map;return this.currentInputData.forEach(((n,r)=>{t.set(n.id,r)})),t}getIndexById(t){if(null==t)return-1;const n=this.indicesById.get(t);return null!=n?n:-1}getCurrentInputDataById(t){const n=this.currentInputDataById.get(t);return n||null}getExamplesById(t){const n=[];return t.forEach((t=>{const r=this.currentInputDataById.get(t);r?n.push(r):g.error(`input key ${r} was not found in the currently loaded dataset.`)})),n}getAncestry(t){var n;const r=[];for(;t;)r.push(t),t=null===(n=this.getCurrentInputDataById(t))||void 0===n?void 0:n.meta.parentId;return r}setCurrentModels(t){this.currentModels=t}get currentModelInfos(){const{currentModels:t}=this;return Object.entries(this.metadata.models).reduce(((n,[r,l])=>(t.includes(r)&&(n[r]=l),n)),{})}getModelSpec(t){const n=this.metadata.models[t];if(null!=n)return n.spec;throw new Error(`Model ${t} not found in LitMetadata.`)}getSpecKeysFromFieldMatcher(t,n){let r=this.currentDatasetSpec;return"output"===t.spec?r=this.getModelSpec(n).output:"input"===t.spec&&(r=this.getModelSpec(n).input),(0,f.Fe)(r,(0,f.yu)(t.types))}makeEmptyDatapoint(t){const n={_id:"",_meta:{source:t,added:!0}},r=this.currentDatasetSpec;for(const t of this.currentInputDataKeys)n[t]=(0,p.ql)(t,r);return{data:n,id:"",meta:n._meta}}annotateNewData(t){return(0,l.mG)(this,void 0,void 0,(function*(){return this.apiService.annotateNewData(t,this.currentDataset)}))}addNewDatapointsCallback(t){this.newDatapointsCallbacks.push(t)}commitNewDatapoints(t){const n=[];for(const r of t)this.currentInputDataById.has(r.id)?g.log("Attempted to add existing datapoint, ignoring add request.",(0,d.ZN)(r)):(this.currentInputDataById.set(r.id,r),n.push(r));for(const n of this.newDatapointsCallbacks)n(t)}addLayouts(t){Object.assign(this.layouts,t)}initialize(){return(0,l.mG)(this,void 0,void 0,(function*(){const{urlConfiguration:t}=this;g.log("[LIT - url configuration]",t),this.addLayouts(this.metadata.layouts),this.layoutName=t.layoutName||this.metadata.defaultLayout,this.currentModels=this.determineCurrentModelsFromUrl(t);const n=yield this.determineCurrentDatasetFromUrl(t);yield this.loadDataset(n),this.setCurrentDataset(n),this.initialized=!0}))}loadDataset(t){return(0,l.mG)(this,void 0,void 0,(function*(){if(!t)return;if(this.inputData.has(t))return;const n=yield this.apiService.getDataset(t),r=new Map;n.forEach((t=>{r.set(t.id,t)})),this.inputData.set(t,r)}))}determineCurrentModelsFromUrl(t){var n;const r=t.selectedModels,l=Object.keys((null===(n=this.metadata)||void 0===n?void 0:n.models)||{});let d=[];return r.length>0&&(d=r.filter((t=>l.includes(t)))),d.length>0?d:l.slice(0,1)}determineCurrentDatasetFromUrl(t){var n,r;return(0,l.mG)(this,void 0,void 0,(function*(){const l=t.selectedDataset||"",d=t.newDatasetPath,h=new Set;for(const t of this.currentModels){const l=(null===(r=null===(n=this.metadata)||void 0===n?void 0:n.models)||void 0===r?void 0:r[t].datasets)||[];for(const t of l)h.add(t)}if(h.has(l)){let t;return d&&(t=yield this.createNewDataset(l,d),t)?t:l}return 0===h.size?(g.log("No dataset available for loaded models, using the empty dataset."),p._X):[...h][0]}))}createNewDataset(t,n){return(0,l.mG)(this,void 0,void 0,(function*(){try{const n=yield this.apiService.createDataset(t,{});return this.metadata=n[0],n[1]}catch(t){return void this.statusService.addError(`Could not load dataset from\n        ${n}. See console for more details.`)}}))}setUrlConfiguration(t){this.urlConfiguration=Object.assign({},t)}getUrlConfiguration(){return this.urlConfiguration}getBestURL(){let t=this.metadata.canonicalURL||window.location.origin;return new URL(`${t}${window.location.search}`).href}}(0,l.gn)([d.LO,(0,l.w6)("design:type",Object)],AppState.prototype,"initialized",void 0),(0,l.gn)([d.LO,(0,l.w6)("design:type",Object)],AppState.prototype,"documentationOpen",void 0),(0,l.gn)([d.LO,(0,l.w6)("design:type",Object)],AppState.prototype,"metadata",void 0),(0,l.gn)([d.LO,(0,l.w6)("design:type",Array)],AppState.prototype,"currentModels",void 0),(0,l.gn)([d.LO,(0,l.w6)("design:type",Object)],AppState.prototype,"compareExamplesEnabled",void 0),(0,l.gn)([d.LO,(0,l.w6)("design:type",String)],AppState.prototype,"layoutName",void 0),(0,l.gn)([d.LO,(0,l.w6)("design:type",Object)],AppState.prototype,"layouts",void 0),(0,l.gn)([d.Fl,(0,l.w6)("design:type",Object),(0,l.w6)("design:paramtypes",[])],AppState.prototype,"layout",null),(0,l.gn)([d.LO,(0,l.w6)("design:type",Object)],AppState.prototype,"currentDatasetInternal",void 0),(0,l.gn)([d.Fl,(0,l.w6)("design:type",String),(0,l.w6)("design:paramtypes",[])],AppState.prototype,"currentDataset",null),(0,l.gn)([d.aD,(0,l.w6)("design:type",Function),(0,l.w6)("design:paramtypes",[String]),(0,l.w6)("design:returntype",void 0)],AppState.prototype,"setCurrentDataset",null),(0,l.gn)([d.aD,(0,l.w6)("design:type",Function),(0,l.w6)("design:paramtypes",[String,Map]),(0,l.w6)("design:returntype",void 0)],AppState.prototype,"setDatasetForTest",null),(0,l.gn)([d.Fl,(0,l.w6)("design:type",Object),(0,l.w6)("design:paramtypes",[])],AppState.prototype,"currentDatasetSpec",null),(0,l.gn)([d.Fl,(0,l.w6)("design:type",Boolean),(0,l.w6)("design:paramtypes",[])],AppState.prototype,"datasetHasImages",null),(0,l.gn)([d.LO,(0,l.w6)("design:type",Object)],AppState.prototype,"inputData",void 0),(0,l.gn)([d.Fl,(0,l.w6)("design:type",Object),(0,l.w6)("design:paramtypes",[])],AppState.prototype,"currentInputDataById",null),(0,l.gn)([d.Fl,(0,l.w6)("design:type",Array),(0,l.w6)("design:paramtypes",[])],AppState.prototype,"currentInputData",null),(0,l.gn)([d.Fl,(0,l.w6)("design:type",Boolean),(0,l.w6)("design:paramtypes",[])],AppState.prototype,"currentInputDataIsLoaded",null),(0,l.gn)([d.Fl,(0,l.w6)("design:type",Array),(0,l.w6)("design:paramtypes",[])],AppState.prototype,"currentModelRequiredInputSpecKeys",null),(0,l.gn)([d.Fl,(0,l.w6)("design:type",Array),(0,l.w6)("design:paramtypes",[])],AppState.prototype,"currentInputDataKeys",null),(0,l.gn)([d.Fl,(0,l.w6)("design:type",Map),(0,l.w6)("design:paramtypes",[])],AppState.prototype,"indicesById",null),(0,l.gn)([d.aD,(0,l.w6)("design:type",Function),(0,l.w6)("design:paramtypes",[Array]),(0,l.w6)("design:returntype",void 0)],AppState.prototype,"setCurrentModels",null),(0,l.gn)([d.Fl,(0,l.w6)("design:type",Object),(0,l.w6)("design:paramtypes",[])],AppState.prototype,"currentModelInfos",null),(0,l.gn)([d.aD,(0,l.w6)("design:type",Function),(0,l.w6)("design:paramtypes",[Array]),(0,l.w6)("design:returntype",void 0)],AppState.prototype,"commitNewDatapoints",null),(0,l.gn)([d.aD,(0,l.w6)("design:type",Function),(0,l.w6)("design:paramtypes",[]),(0,l.w6)("design:returntype",Promise)],AppState.prototype,"initialize",null)},9705:(t,n,r)=>{"use strict";r.d(n,{B:()=>StatusService});var l=r(7582),d=r(2188),h=r(7098),p=r(3930);class StatusService extends p.R{constructor(){super(...arguments),this.loadingId=0,this.loadingEvents=new Map,this.errorEvents=new Map}get loadingMessages(){return[...this.loadingEvents.values()]}get errorMessages(){return Array.from(this.errorEvents.values(),(t=>t.message))}get errorFullMessages(){return Array.from(this.errorEvents.values(),(t=>t.fullMessage))}get hasMessage(){return this.isLoading||this.hasError}get isLoading(){return this.loadingMessages.length>0}get hasError(){return this.errorMessages.length>0}get errorMessage(){if(!this.hasError)return null;let t=this.errorMessages[0];const n=this.errorMessages.length-1;return n>0&&(t+=` (and ${n} other error${n>1?"s)":")"}`),t}get loadingMessage(){return this.isLoading?this.loadingMessages[0]:""}startLoading(t){const n=this.loadingId;return this.loadingEvents.set(n,t),this.loadingId+=1,()=>{this.endLoading(n)}}endLoading(t){this.loadingEvents.delete(t)}addError(t,n,r){const l=null!=r?r:t,d=(0,h.un)(l);null==n&&(n=t),this.errorEvents.set(d,{message:t,fullMessage:n})}removeError(t){this.errorEvents.delete((0,h.un)(t))}clearErrors(){this.errorEvents.clear()}}(0,l.gn)([d.LO,(0,l.w6)("design:type",Object)],StatusService.prototype,"loadingEvents",void 0),(0,l.gn)([d.LO,(0,l.w6)("design:type",Object)],StatusService.prototype,"errorEvents",void 0),(0,l.gn)([d.Fl,(0,l.w6)("design:type",Object),(0,l.w6)("design:paramtypes",[])],StatusService.prototype,"loadingMessages",null),(0,l.gn)([d.Fl,(0,l.w6)("design:type",Object),(0,l.w6)("design:paramtypes",[])],StatusService.prototype,"errorMessages",null),(0,l.gn)([d.Fl,(0,l.w6)("design:type",Object),(0,l.w6)("design:paramtypes",[])],StatusService.prototype,"errorFullMessages",null),(0,l.gn)([d.Fl,(0,l.w6)("design:type",Object),(0,l.w6)("design:paramtypes",[])],StatusService.prototype,"hasMessage",null),(0,l.gn)([d.Fl,(0,l.w6)("design:type",Object),(0,l.w6)("design:paramtypes",[])],StatusService.prototype,"isLoading",null),(0,l.gn)([d.Fl,(0,l.w6)("design:type",Object),(0,l.w6)("design:paramtypes",[])],StatusService.prototype,"hasError",null),(0,l.gn)([d.Fl,(0,l.w6)("design:type",Object),(0,l.w6)("design:paramtypes",[])],StatusService.prototype,"errorMessage",null),(0,l.gn)([d.Fl,(0,l.w6)("design:type",Object),(0,l.w6)("design:paramtypes",[])],StatusService.prototype,"loadingMessage",null)},2525:(t,n,r)=>{"use strict";r.d(n,{i:()=>UrlService});var l=r(7582),d=r(2188),h=r(4262),p=r(4915),f=r(7098),m=r(3930),g=(r(9410),r(5108));class UrlConfiguration{constructor(){this.selectedModels=[],this.selectedData=[],this.dataFields={},this.hiddenModules=[]}}const y="upper_tab",v="lower_tab",b="left_tab",x="selection",w="primary",S="pinned",_="dataset",E="models",T="hidden_modules",C="expanded_module",A="doc_open",O="layout",I="data",P="color_by";function D(t){const n=t.split(/_([^]*)/,2),r=n[0].replace(I,"");return{fieldKey:n[1],dataIndex:+(r||"0")}}class UrlService extends m.R{constructor(t){super(),this.apiService=t}urlParseArray(t){if(null==t)return[];return t.split(",").filter((t=>""!==t))}urlParseString(t){return t||void 0}urlParseBoolean(t){return"true"===t}parseDataFieldValue(t,n,r){var l;return r[t]instanceof h.YH?this.urlParseArray(n):null!==(l=this.urlParseString(n))&&void 0!==l?l:(0,p.ql)(t,r)}getConfigurationFromUrl(){const t=new UrlConfiguration,n=new URLSearchParams(window.location.search);for(const[r,l]of n)if(r===E)t.selectedModels=this.urlParseArray(l);else if(r===x)t.selectedData=this.urlParseArray(l);else if(r===w)t.primarySelectedData=this.urlParseString(l);else if(r===S)t.pinnedSelectedData=this.urlParseString(l);else if(r===_)t.selectedDataset=this.urlParseString(l);else if(r===T)t.hiddenModules=this.urlParseArray(l);else if(r===C)t.expandedModule=this.urlParseString(l);else if(r===A)t.documentationOpen=this.urlParseBoolean(l);else if(r===y)t.selectedTabUpper=this.urlParseString(l);else if(r===v)t.selectedTabLower=this.urlParseString(l);else if(r===b)t.selectedTabLeft=this.urlParseString(l);else if(r===O)t.layoutName=this.urlParseString(l);else if("new_dataset_path"===r)t.newDatasetPath=this.urlParseString(l);else if("saved_datapoints_id"===r)t.savedDatapointsId=this.urlParseString(l);else if(r.startsWith(I)){const{fieldKey:n,dataIndex:d}=D(r);d in t.dataFields||(t.dataFields[d]={}),n in t.dataFields[d]&&g.log(`Warning, data index ${d} is set more than once.`),t.dataFields[d][n]=l}else r===P&&(t.colorBy=this.urlParseString(l));return t}setUrlParam(t,n,r){const l=r instanceof Array?r.join(","):r;""!==l&&null!=l&&t.set(n,l)}setDataFieldURLParams(t,n,r){const l=r.getCurrentInputDataById(n);null!==l&&l.meta.added&&Object.keys(l.data).forEach((n=>{this.setUrlParam(t,function(t){return`${I}_${t}`}(n),l.data[n])}))}syncStateToUrl(t,n,r,l,h){const p=this.getConfigurationFromUrl();t.setUrlConfiguration(p),n.setUrlConfiguration(p),h.setUrlConfiguration(p);const f=p.selectedData||[];if(r.selectIds(f,this),p.pinnedSelectedData){const{pinnedSelectedData:t}=p;l.selectIds([t],this)}t.documentationOpen=p.documentationOpen||!1,(0,d.EH)((()=>{const d=new URLSearchParams;if(t.layoutName in t.layouts||(g.log("Invalid value for layout param:",t.layoutName),t.layoutName=t.metadata.defaultLayout),this.setUrlParam(d,E,t.currentModels),r.selectedIds.length<=100){this.setUrlParam(d,x,r.selectedIds);const n=r.primarySelectedId;null!=n&&(this.setUrlParam(d,w,n),this.setDataFieldURLParams(d,n,t))}if(l.primarySelectedId){const n=l.primarySelectedId;this.setUrlParam(d,S,n),this.setDataFieldURLParams(d,n,t)}if(this.setUrlParam(d,_,t.currentDataset),t.documentationOpen&&this.setUrlParam(d,A,"true"),this.setUrlParam(d,T,[...n.hiddenModuleKeys]),this.setUrlParam(d,C,n.expandedModuleKey),this.setUrlParam(d,O,t.layoutName),this.setUrlParam(d,y,n.selectedTabs.upper),this.setUrlParam(d,v,n.selectedTabs.lower),this.setUrlParam(d,b,n.selectedTabs.left),this.setUrlParam(d,P,h.selectedColorOptionName),""!==d.toString()){const t=`${window.location.pathname}?${d.toString()}`;window.history.replaceState({},"",t)}}))}syncSelectedDatapointToUrl(t,n){return(0,l.mG)(this,void 0,void 0,(function*(){const r=t.getUrlConfiguration(),l=r.dataFields,d=Object.values(l).map((n=>{const r={},l=t.currentDatasetSpec;Object.keys(l).forEach((t=>{r[t]=this.parseDataFieldValue(t,n[t],l)}));return(0,f.sV)(t.makeEmptyDatapoint(),r,"url")}));if(d.length>0){const r=yield t.annotateNewData(d);t.commitNewDatapoints(r),n.selectIds(r.map((t=>t.id)),this)}else{const t=r.primarySelectedData;void 0!==t&&n.setPrimarySelection(t,this)}if(null!=r.savedDatapointsId){const l=yield this.apiService.fetchNewData(r.savedDatapointsId);t.commitNewDatapoints(l),n.selectIds(l.map((t=>t.id)),this)}}))}}},384:t=>{t.exports=function(t){return t&&"object"==typeof t&&"function"==typeof t.copy&&"function"==typeof t.fill&&"function"==typeof t.readUInt8}},5955:(t,n,r)=>{"use strict";var l=r(2584),d=r(8662),h=r(6430),p=r(5692);function f(t){return t.call.bind(t)}var m="undefined"!=typeof BigInt,g="undefined"!=typeof Symbol,y=f(Object.prototype.toString),v=f(Number.prototype.valueOf),b=f(String.prototype.valueOf),x=f(Boolean.prototype.valueOf);if(m)var w=f(BigInt.prototype.valueOf);if(g)var S=f(Symbol.prototype.valueOf);function _(t,n){if("object"!=typeof t)return!1;try{return n(t),!0}catch(t){return!1}}function E(t){return"[object Map]"===y(t)}function T(t){return"[object Set]"===y(t)}function C(t){return"[object WeakMap]"===y(t)}function A(t){return"[object WeakSet]"===y(t)}function O(t){return"[object ArrayBuffer]"===y(t)}function I(t){return"undefined"!=typeof ArrayBuffer&&(O.working?O(t):t instanceof ArrayBuffer)}function P(t){return"[object DataView]"===y(t)}function D(t){return"undefined"!=typeof DataView&&(P.working?P(t):t instanceof DataView)}n.isArgumentsObject=l,n.isGeneratorFunction=d,n.isTypedArray=p,n.isPromise=function(t){return"undefined"!=typeof Promise&&t instanceof Promise||null!==t&&"object"==typeof t&&"function"==typeof t.then&&"function"==typeof t.catch},n.isArrayBufferView=function(t){return"undefined"!=typeof ArrayBuffer&&ArrayBuffer.isView?ArrayBuffer.isView(t):p(t)||D(t)},n.isUint8Array=function(t){return"Uint8Array"===h(t)},n.isUint8ClampedArray=function(t){return"Uint8ClampedArray"===h(t)},n.isUint16Array=function(t){return"Uint16Array"===h(t)},n.isUint32Array=function(t){return"Uint32Array"===h(t)},n.isInt8Array=function(t){return"Int8Array"===h(t)},n.isInt16Array=function(t){return"Int16Array"===h(t)},n.isInt32Array=function(t){return"Int32Array"===h(t)},n.isFloat32Array=function(t){return"Float32Array"===h(t)},n.isFloat64Array=function(t){return"Float64Array"===h(t)},n.isBigInt64Array=function(t){return"BigInt64Array"===h(t)},n.isBigUint64Array=function(t){return"BigUint64Array"===h(t)},E.working="undefined"!=typeof Map&&E(new Map),n.isMap=function(t){return"undefined"!=typeof Map&&(E.working?E(t):t instanceof Map)},T.working="undefined"!=typeof Set&&T(new Set),n.isSet=function(t){return"undefined"!=typeof Set&&(T.working?T(t):t instanceof Set)},C.working="undefined"!=typeof WeakMap&&C(new WeakMap),n.isWeakMap=function(t){return"undefined"!=typeof WeakMap&&(C.working?C(t):t instanceof WeakMap)},A.working="undefined"!=typeof WeakSet&&A(new WeakSet),n.isWeakSet=function(t){return A(t)},O.working="undefined"!=typeof ArrayBuffer&&O(new ArrayBuffer),n.isArrayBuffer=I,P.working="undefined"!=typeof ArrayBuffer&&"undefined"!=typeof DataView&&P(new DataView(new ArrayBuffer(1),0,1)),n.isDataView=D;var F="undefined"!=typeof SharedArrayBuffer?SharedArrayBuffer:void 0;function B(t){return"[object SharedArrayBuffer]"===y(t)}function $(t){return void 0!==F&&(void 0===B.working&&(B.working=B(new F)),B.working?B(t):t instanceof F)}function j(t){return _(t,v)}function V(t){return _(t,b)}function U(t){return _(t,x)}function G(t){return m&&_(t,w)}function W(t){return g&&_(t,S)}n.isSharedArrayBuffer=$,n.isAsyncFunction=function(t){return"[object AsyncFunction]"===y(t)},n.isMapIterator=function(t){return"[object Map Iterator]"===y(t)},n.isSetIterator=function(t){return"[object Set Iterator]"===y(t)},n.isGeneratorObject=function(t){return"[object Generator]"===y(t)},n.isWebAssemblyCompiledModule=function(t){return"[object WebAssembly.Module]"===y(t)},n.isNumberObject=j,n.isStringObject=V,n.isBooleanObject=U,n.isBigIntObject=G,n.isSymbolObject=W,n.isBoxedPrimitive=function(t){return j(t)||V(t)||U(t)||G(t)||W(t)},n.isAnyArrayBuffer=function(t){return"undefined"!=typeof Uint8Array&&(I(t)||$(t))},["isProxy","isExternal","isModuleNamespaceObject"].forEach((function(t){Object.defineProperty(n,t,{enumerable:!1,value:function(){throw new Error(t+" is not supported in userland")}})}))},9539:(t,n,r)=>{var l=r(4155),d=r(5108),h=Object.getOwnPropertyDescriptors||function(t){for(var n=Object.keys(t),r={},l=0;l<n.length;l++)r[n[l]]=Object.getOwnPropertyDescriptor(t,n[l]);return r},p=/%[sdj%]/g;n.format=function(t){if(!A(t)){for(var n=[],r=0;r<arguments.length;r++)n.push(y(arguments[r]));return n.join(" ")}r=1;for(var l=arguments,d=l.length,h=String(t).replace(p,(function(t){if("%%"===t)return"%";if(r>=d)return t;switch(t){case"%s":return String(l[r++]);case"%d":return Number(l[r++]);case"%j":try{return JSON.stringify(l[r++])}catch(t){return"[Circular]"}default:return t}})),f=l[r];r<d;f=l[++r])T(f)||!P(f)?h+=" "+f:h+=" "+y(f);return h},n.deprecate=function(t,r){if(void 0!==l&&!0===l.noDeprecation)return t;if(void 0===l)return function(){return n.deprecate(t,r).apply(this,arguments)};var h=!1;return function(){if(!h){if(l.throwDeprecation)throw new Error(r);l.traceDeprecation?d.trace(r):d.error(r),h=!0}return t.apply(this,arguments)}};var f={},m=/^$/;if(l.env.NODE_DEBUG){var g=l.env.NODE_DEBUG;g=g.replace(/[|\\{}()[\]^$+?.]/g,"\\$&").replace(/\*/g,".*").replace(/,/g,"$|^").toUpperCase(),m=new RegExp("^"+g+"$","i")}function y(t,r){var l={seen:[],stylize:b};return arguments.length>=3&&(l.depth=arguments[2]),arguments.length>=4&&(l.colors=arguments[3]),E(r)?l.showHidden=r:r&&n._extend(l,r),O(l.showHidden)&&(l.showHidden=!1),O(l.depth)&&(l.depth=2),O(l.colors)&&(l.colors=!1),O(l.customInspect)&&(l.customInspect=!0),l.colors&&(l.stylize=v),x(l,t,l.depth)}function v(t,n){var r=y.styles[n];return r?"["+y.colors[r][0]+"m"+t+"["+y.colors[r][1]+"m":t}function b(t,n){return t}function x(t,r,l){if(t.customInspect&&r&&B(r.inspect)&&r.inspect!==n.inspect&&(!r.constructor||r.constructor.prototype!==r)){var d=r.inspect(l,t);return A(d)||(d=x(t,d,l)),d}var h=function(t,n){if(O(n))return t.stylize("undefined","undefined");if(A(n)){var r="'"+JSON.stringify(n).replace(/^"|"$/g,"").replace(/'/g,"\\'").replace(/\\"/g,'"')+"'";return t.stylize(r,"string")}if(C(n))return t.stylize(""+n,"number");if(E(n))return t.stylize(""+n,"boolean");if(T(n))return t.stylize("null","null")}(t,r);if(h)return h;var p=Object.keys(r),f=function(t){var n={};return t.forEach((function(t,r){n[t]=!0})),n}(p);if(t.showHidden&&(p=Object.getOwnPropertyNames(r)),F(r)&&(p.indexOf("message")>=0||p.indexOf("description")>=0))return w(r);if(0===p.length){if(B(r)){var m=r.name?": "+r.name:"";return t.stylize("[Function"+m+"]","special")}if(I(r))return t.stylize(RegExp.prototype.toString.call(r),"regexp");if(D(r))return t.stylize(Date.prototype.toString.call(r),"date");if(F(r))return w(r)}var g,y="",v=!1,b=["{","}"];(_(r)&&(v=!0,b=["[","]"]),B(r))&&(y=" [Function"+(r.name?": "+r.name:"")+"]");return I(r)&&(y=" "+RegExp.prototype.toString.call(r)),D(r)&&(y=" "+Date.prototype.toUTCString.call(r)),F(r)&&(y=" "+w(r)),0!==p.length||v&&0!=r.length?l<0?I(r)?t.stylize(RegExp.prototype.toString.call(r),"regexp"):t.stylize("[Object]","special"):(t.seen.push(r),g=v?function(t,n,r,l,d){for(var h=[],p=0,f=n.length;p<f;++p)U(n,String(p))?h.push(S(t,n,r,l,String(p),!0)):h.push("");return d.forEach((function(d){d.match(/^\d+$/)||h.push(S(t,n,r,l,d,!0))})),h}(t,r,l,f,p):p.map((function(n){return S(t,r,l,f,n,v)})),t.seen.pop(),function(t,n,r){var l=t.reduce((function(t,n){return n.indexOf("\n")>=0&&0,t+n.replace(/\u001b\[\d\d?m/g,"").length+1}),0);if(l>60)return r[0]+(""===n?"":n+"\n ")+" "+t.join(",\n  ")+" "+r[1];return r[0]+n+" "+t.join(", ")+" "+r[1]}(g,y,b)):b[0]+y+b[1]}function w(t){return"["+Error.prototype.toString.call(t)+"]"}function S(t,n,r,l,d,h){var p,f,m;if((m=Object.getOwnPropertyDescriptor(n,d)||{value:n[d]}).get?f=m.set?t.stylize("[Getter/Setter]","special"):t.stylize("[Getter]","special"):m.set&&(f=t.stylize("[Setter]","special")),U(l,d)||(p="["+d+"]"),f||(t.seen.indexOf(m.value)<0?(f=T(r)?x(t,m.value,null):x(t,m.value,r-1)).indexOf("\n")>-1&&(f=h?f.split("\n").map((function(t){return"  "+t})).join("\n").slice(2):"\n"+f.split("\n").map((function(t){return"   "+t})).join("\n")):f=t.stylize("[Circular]","special")),O(p)){if(h&&d.match(/^\d+$/))return f;(p=JSON.stringify(""+d)).match(/^"([a-zA-Z_][a-zA-Z_0-9]*)"$/)?(p=p.slice(1,-1),p=t.stylize(p,"name")):(p=p.replace(/'/g,"\\'").replace(/\\"/g,'"').replace(/(^"|"$)/g,"'"),p=t.stylize(p,"string"))}return p+": "+f}function _(t){return Array.isArray(t)}function E(t){return"boolean"==typeof t}function T(t){return null===t}function C(t){return"number"==typeof t}function A(t){return"string"==typeof t}function O(t){return void 0===t}function I(t){return P(t)&&"[object RegExp]"===$(t)}function P(t){return"object"==typeof t&&null!==t}function D(t){return P(t)&&"[object Date]"===$(t)}function F(t){return P(t)&&("[object Error]"===$(t)||t instanceof Error)}function B(t){return"function"==typeof t}function $(t){return Object.prototype.toString.call(t)}function j(t){return t<10?"0"+t.toString(10):t.toString(10)}n.debuglog=function(t){if(t=t.toUpperCase(),!f[t])if(m.test(t)){var r=l.pid;f[t]=function(){var l=n.format.apply(n,arguments);d.error("%s %d: %s",t,r,l)}}else f[t]=function(){};return f[t]},n.inspect=y,y.colors={bold:[1,22],italic:[3,23],underline:[4,24],inverse:[7,27],white:[37,39],grey:[90,39],black:[30,39],blue:[34,39],cyan:[36,39],green:[32,39],magenta:[35,39],red:[31,39],yellow:[33,39]},y.styles={special:"cyan",number:"yellow",boolean:"yellow",undefined:"grey",null:"bold",string:"green",date:"magenta",regexp:"red"},n.types=r(5955),n.isArray=_,n.isBoolean=E,n.isNull=T,n.isNullOrUndefined=function(t){return null==t},n.isNumber=C,n.isString=A,n.isSymbol=function(t){return"symbol"==typeof t},n.isUndefined=O,n.isRegExp=I,n.types.isRegExp=I,n.isObject=P,n.isDate=D,n.types.isDate=D,n.isError=F,n.types.isNativeError=F,n.isFunction=B,n.isPrimitive=function(t){return null===t||"boolean"==typeof t||"number"==typeof t||"string"==typeof t||"symbol"==typeof t||void 0===t},n.isBuffer=r(384);var V=["Jan","Feb","Mar","Apr","May","Jun","Jul","Aug","Sep","Oct","Nov","Dec"];function U(t,n){return Object.prototype.hasOwnProperty.call(t,n)}n.log=function(){var t,r;d.log("%s - %s",(t=new Date,r=[j(t.getHours()),j(t.getMinutes()),j(t.getSeconds())].join(":"),[t.getDate(),V[t.getMonth()],r].join(" ")),n.format.apply(n,arguments))},n.inherits=r(5717),n._extend=function(t,n){if(!n||!P(n))return t;for(var r=Object.keys(n),l=r.length;l--;)t[r[l]]=n[r[l]];return t};var G="undefined"!=typeof Symbol?Symbol("util.promisify.custom"):void 0;function W(t,n){if(!t){var r=new Error("Promise was rejected with a falsy value");r.reason=t,t=r}return n(t)}n.promisify=function(t){if("function"!=typeof t)throw new TypeError('The "original" argument must be of type Function');if(G&&t[G]){var n;if("function"!=typeof(n=t[G]))throw new TypeError('The "util.promisify.custom" argument must be of type Function');return Object.defineProperty(n,G,{value:n,enumerable:!1,writable:!1,configurable:!0}),n}function n(){for(var n,r,l=new Promise((function(t,l){n=t,r=l})),d=[],h=0;h<arguments.length;h++)d.push(arguments[h]);d.push((function(t,l){t?r(t):n(l)}));try{t.apply(this,d)}catch(t){r(t)}return l}return Object.setPrototypeOf(n,Object.getPrototypeOf(t)),G&&Object.defineProperty(n,G,{value:n,enumerable:!1,writable:!1,configurable:!0}),Object.defineProperties(n,h(t))},n.promisify.custom=G,n.callbackify=function(t){if("function"!=typeof t)throw new TypeError('The "original" argument must be of type Function');function n(){for(var n=[],r=0;r<arguments.length;r++)n.push(arguments[r]);var d=n.pop();if("function"!=typeof d)throw new TypeError("The last argument must be of type Function");var h=this,p=function(){return d.apply(h,arguments)};t.apply(this,n).then((function(t){l.nextTick(p.bind(null,null,t))}),(function(t){l.nextTick(W.bind(null,t,p))}))}return Object.setPrototypeOf(n,Object.getPrototypeOf(t)),Object.defineProperties(n,h(t)),n}},6430:(t,n,r)=>{"use strict";var l=r(4029),d=r(3083),h=r(5559),p=r(1924),f=r(7296),m=p("Object.prototype.toString"),g=r(6410)(),y="undefined"==typeof globalThis?r.g:globalThis,v=d(),b=p("String.prototype.slice"),x=Object.getPrototypeOf,w=p("Array.prototype.indexOf",!0)||function(t,n){for(var r=0;r<t.length;r+=1)if(t[r]===n)return r;return-1},S={__proto__:null};l(v,g&&f&&x?function(t){var n=new y[t];if(Symbol.toStringTag in n){var r=x(n),l=f(r,Symbol.toStringTag);if(!l){var d=x(r);l=f(d,Symbol.toStringTag)}S["$"+t]=h(l.get)}}:function(t){var n=new y[t];S["$"+t]=h(n.slice)});t.exports=function(t){if(!t||"object"!=typeof t)return!1;if(!g){var n=b(m(t),8,-1);return w(v,n)>-1?n:"Object"===n&&function(t){var n=!1;return l(S,(function(r,l){if(!n)try{r(t),n=b(l,1)}catch(t){}})),n}(t)}return f?function(t){var n=!1;return l(S,(function(r,l){if(!n)try{"$"+r(t)===l&&(n=b(l,1))}catch(t){}})),n}(t):null}},5042:()=>{},3083:(t,n,r)=>{"use strict";var l=["BigInt64Array","BigUint64Array","Float32Array","Float64Array","Int16Array","Int32Array","Int8Array","Uint16Array","Uint32Array","Uint8Array","Uint8ClampedArray"],d="undefined"==typeof globalThis?r.g:globalThis;t.exports=function(){for(var t=[],n=0;n<l.length;n++)"function"==typeof d[l[n]]&&(t[t.length]=l[n]);return t}},5674:(t,n,r)=>{"use strict";r.d(n,{eZ:()=>l});const l=({finisher:t,descriptor:n})=>(r,l)=>{var d;if(void 0===l){const l=null!==(d=r.originalKey)&&void 0!==d?d:r.key,h=null!=n?{kind:"method",placement:"prototype",key:l,descriptor:n(r.key)}:{...r,key:l};return null!=t&&(h.finisher=function(n){t(n,l)}),h}{const d=r.constructor;void 0!==n&&Object.defineProperty(r,l,n(l)),null==t||t(d,l)}}},5713:(t,n,r)=>{"use strict";r.d(n,{M:()=>l});const l=t=>n=>"function"==typeof n?((t,n)=>(customElements.define(t,n),n))(t,n):((t,n)=>{const{kind:r,elements:l}=n;return{kind:r,elements:l,finisher(n){customElements.define(t,n)}}})(t,n)},8829:(t,n,r)=>{"use strict";r.d(n,{h:()=>d});var l=r(5674);function d(t){return(0,l.eZ)({finisher:(n,r)=>{Object.assign(n.prototype[r],t)}})}},9662:(t,n,r)=>{"use strict";r.d(n,{C:()=>h});const l=(t,n)=>"method"===n.kind&&n.descriptor&&!("value"in n.descriptor)?{...n,finisher(r){r.createProperty(n.key,t)}}:{kind:"field",key:Symbol(),placement:"own",descriptor:{},originalKey:n.key,initializer(){"function"==typeof n.initializer&&(this[n.key]=n.initializer.call(this))},finisher(r){r.createProperty(n.key,t)}},d=(t,n,r)=>{n.constructor.createProperty(r,t)};function h(t){return(n,r)=>void 0!==r?d(t,n,r):l(t,n)}},7935:(t,n,r)=>{"use strict";r.d(n,{N:()=>p});var l,d=r(5674);const h=null!=(null===(l=window.HTMLSlotElement)||void 0===l?void 0:l.prototype.assignedElements)?(t,n)=>t.assignedElements(n):(t,n)=>t.assignedNodes(n).filter((t=>t.nodeType===Node.ELEMENT_NODE));function p(t){const{slot:n,selector:r}=null!=t?t:{};return(0,d.eZ)({descriptor:l=>({get(){var l;const d="slot"+(n?`[name=${n}]`:":not([name])"),p=null===(l=this.renderRoot)||void 0===l?void 0:l.querySelector(d),f=null!=p?h(p,t):[];return r?f.filter((t=>t.matches(r))):f},enumerable:!0,configurable:!0})})}},43:(t,n,r)=>{"use strict";r.d(n,{v:()=>h});var l=r(5674),d=r(7935);function h(t,n,r){let h,p=t;return"object"==typeof t?(p=t.slot,h=t):h={flatten:n},r?(0,d.N)({slot:p,flatten:n,selector:r}):(0,l.eZ)({descriptor:t=>({get(){var t,n;const r="slot"+(p?`[name=${p}]`:":not([name])"),l=null===(t=this.renderRoot)||void 0===t?void 0:t.querySelector(r);return null!==(n=null==l?void 0:l.assignedNodes(h))&&void 0!==n?n:[]},enumerable:!0,configurable:!0})})}},8602:(t,n,r)=>{"use strict";r.d(n,{G:()=>d});var l=r(5674);function d(t){return(0,l.eZ)({descriptor:n=>({async get(){var n;return await this.updateComplete,null===(n=this.renderRoot)||void 0===n?void 0:n.querySelector(t)},enumerable:!0,configurable:!0})})}},2669:(t,n,r)=>{"use strict";r.d(n,{I:()=>d});var l=r(5674);function d(t,n){return(0,l.eZ)({descriptor:r=>{const l={get(){var n,r;return null!==(r=null===(n=this.renderRoot)||void 0===n?void 0:n.querySelector(t))&&void 0!==r?r:null},enumerable:!0,configurable:!0};if(n){const n="symbol"==typeof r?Symbol():"__"+r;l.get=function(){var r,l;return void 0===this[n]&&(this[n]=null!==(l=null===(r=this.renderRoot)||void 0===r?void 0:r.querySelector(t))&&void 0!==l?l:null),this[n]}}return l}})}},7238:(t,n,r)=>{"use strict";r.d(n,{S:()=>d});var l=r(9662);function d(t){return(0,l.C)({...t,state:!0})}},7898:()=>{"use strict";const t=window,n=t.ShadowRoot&&(void 0===t.ShadyCSS||t.ShadyCSS.nativeShadow)&&"adoptedStyleSheets"in Document.prototype&&"replace"in CSSStyleSheet.prototype,r=Symbol(),l=new WeakMap;class o{constructor(t,n,l){if(this._$cssResult$=!0,l!==r)throw Error("CSSResult is not constructable. Use `unsafeCSS` or `css` instead.");this.cssText=t,this.t=n}get styleSheet(){let t=this.o;const r=this.t;if(n&&void 0===t){const n=void 0!==r&&1===r.length;n&&(t=l.get(r)),void 0===t&&((this.o=t=new CSSStyleSheet).replaceSync(this.cssText),n&&l.set(r,t))}return t}toString(){return this.cssText}}const d=(r,l)=>{n?r.adoptedStyleSheets=l.map((t=>t instanceof CSSStyleSheet?t:t.styleSheet)):l.forEach((n=>{const l=document.createElement("style"),d=t.litNonce;void 0!==d&&l.setAttribute("nonce",d),l.textContent=n.cssText,r.appendChild(l)}))},h=n?t=>t:t=>t instanceof CSSStyleSheet?(t=>{let n="";for(const r of t.cssRules)n+=r.cssText;return(t=>new o("string"==typeof t?t:t+"",void 0,r))(n)})(t):t;var p;const f=window,m=f.trustedTypes,g=m?m.emptyScript:"",y=f.reactiveElementPolyfillSupport,v={toAttribute(t,n){switch(n){case Boolean:t=t?g:null;break;case Object:case Array:t=null==t?t:JSON.stringify(t)}return t},fromAttribute(t,n){let r=t;switch(n){case Boolean:r=null!==t;break;case Number:r=null===t?null:Number(t);break;case Object:case Array:try{r=JSON.parse(t)}catch(t){r=null}}return r}},b=(t,n)=>n!==t&&(n==n||t==t),x={attribute:!0,type:String,converter:v,reflect:!1,hasChanged:b},w="finalized";class u extends HTMLElement{constructor(){super(),this._$Ei=new Map,this.isUpdatePending=!1,this.hasUpdated=!1,this._$El=null,this._$Eu()}static addInitializer(t){var n;this.finalize(),(null!==(n=this.h)&&void 0!==n?n:this.h=[]).push(t)}static get observedAttributes(){this.finalize();const t=[];return this.elementProperties.forEach(((n,r)=>{const l=this._$Ep(r,n);void 0!==l&&(this._$Ev.set(l,r),t.push(l))})),t}static createProperty(t,n=x){if(n.state&&(n.attribute=!1),this.finalize(),this.elementProperties.set(t,n),!n.noAccessor&&!this.prototype.hasOwnProperty(t)){const r="symbol"==typeof t?Symbol():"__"+t,l=this.getPropertyDescriptor(t,r,n);void 0!==l&&Object.defineProperty(this.prototype,t,l)}}static getPropertyDescriptor(t,n,r){return{get(){return this[n]},set(l){const d=this[t];this[n]=l,this.requestUpdate(t,d,r)},configurable:!0,enumerable:!0}}static getPropertyOptions(t){return this.elementProperties.get(t)||x}static finalize(){if(this.hasOwnProperty(w))return!1;this[w]=!0;const t=Object.getPrototypeOf(this);if(t.finalize(),void 0!==t.h&&(this.h=[...t.h]),this.elementProperties=new Map(t.elementProperties),this._$Ev=new Map,this.hasOwnProperty("properties")){const t=this.properties,n=[...Object.getOwnPropertyNames(t),...Object.getOwnPropertySymbols(t)];for(const r of n)this.createProperty(r,t[r])}return this.elementStyles=this.finalizeStyles(this.styles),!0}static finalizeStyles(t){const n=[];if(Array.isArray(t)){const r=new Set(t.flat(1/0).reverse());for(const t of r)n.unshift(h(t))}else void 0!==t&&n.push(h(t));return n}static _$Ep(t,n){const r=n.attribute;return!1===r?void 0:"string"==typeof r?r:"string"==typeof t?t.toLowerCase():void 0}_$Eu(){var t;this._$E_=new Promise((t=>this.enableUpdating=t)),this._$AL=new Map,this._$Eg(),this.requestUpdate(),null===(t=this.constructor.h)||void 0===t||t.forEach((t=>t(this)))}addController(t){var n,r;(null!==(n=this._$ES)&&void 0!==n?n:this._$ES=[]).push(t),void 0!==this.renderRoot&&this.isConnected&&(null===(r=t.hostConnected)||void 0===r||r.call(t))}removeController(t){var n;null===(n=this._$ES)||void 0===n||n.splice(this._$ES.indexOf(t)>>>0,1)}_$Eg(){this.constructor.elementProperties.forEach(((t,n)=>{this.hasOwnProperty(n)&&(this._$Ei.set(n,this[n]),delete this[n])}))}createRenderRoot(){var t;const n=null!==(t=this.shadowRoot)&&void 0!==t?t:this.attachShadow(this.constructor.shadowRootOptions);return d(n,this.constructor.elementStyles),n}connectedCallback(){var t;void 0===this.renderRoot&&(this.renderRoot=this.createRenderRoot()),this.enableUpdating(!0),null===(t=this._$ES)||void 0===t||t.forEach((t=>{var n;return null===(n=t.hostConnected)||void 0===n?void 0:n.call(t)}))}enableUpdating(t){}disconnectedCallback(){var t;null===(t=this._$ES)||void 0===t||t.forEach((t=>{var n;return null===(n=t.hostDisconnected)||void 0===n?void 0:n.call(t)}))}attributeChangedCallback(t,n,r){this._$AK(t,r)}_$EO(t,n,r=x){var l;const d=this.constructor._$Ep(t,r);if(void 0!==d&&!0===r.reflect){const h=(void 0!==(null===(l=r.converter)||void 0===l?void 0:l.toAttribute)?r.converter:v).toAttribute(n,r.type);this._$El=t,null==h?this.removeAttribute(d):this.setAttribute(d,h),this._$El=null}}_$AK(t,n){var r;const l=this.constructor,d=l._$Ev.get(t);if(void 0!==d&&this._$El!==d){const t=l.getPropertyOptions(d),h="function"==typeof t.converter?{fromAttribute:t.converter}:void 0!==(null===(r=t.converter)||void 0===r?void 0:r.fromAttribute)?t.converter:v;this._$El=d,this[d]=h.fromAttribute(n,t.type),this._$El=null}}requestUpdate(t,n,r){let l=!0;void 0!==t&&(((r=r||this.constructor.getPropertyOptions(t)).hasChanged||b)(this[t],n)?(this._$AL.has(t)||this._$AL.set(t,n),!0===r.reflect&&this._$El!==t&&(void 0===this._$EC&&(this._$EC=new Map),this._$EC.set(t,r))):l=!1),!this.isUpdatePending&&l&&(this._$E_=this._$Ej())}async _$Ej(){this.isUpdatePending=!0;try{await this._$E_}catch(t){Promise.reject(t)}const t=this.scheduleUpdate();return null!=t&&await t,!this.isUpdatePending}scheduleUpdate(){return this.performUpdate()}performUpdate(){var t;if(!this.isUpdatePending)return;this.hasUpdated,this._$Ei&&(this._$Ei.forEach(((t,n)=>this[n]=t)),this._$Ei=void 0);let n=!1;const r=this._$AL;try{n=this.shouldUpdate(r),n?(this.willUpdate(r),null===(t=this._$ES)||void 0===t||t.forEach((t=>{var n;return null===(n=t.hostUpdate)||void 0===n?void 0:n.call(t)})),this.update(r)):this._$Ek()}catch(t){throw n=!1,this._$Ek(),t}n&&this._$AE(r)}willUpdate(t){}_$AE(t){var n;null===(n=this._$ES)||void 0===n||n.forEach((t=>{var n;return null===(n=t.hostUpdated)||void 0===n?void 0:n.call(t)})),this.hasUpdated||(this.hasUpdated=!0,this.firstUpdated(t)),this.updated(t)}_$Ek(){this._$AL=new Map,this.isUpdatePending=!1}get updateComplete(){return this.getUpdateComplete()}getUpdateComplete(){return this._$E_}shouldUpdate(t){return!0}update(t){void 0!==this._$EC&&(this._$EC.forEach(((t,n)=>this._$EO(n,this[n],t))),this._$EC=void 0),this._$Ek()}updated(t){}firstUpdated(t){}}u[w]=!0,u.elementProperties=new Map,u.elementStyles=[],u.shadowRootOptions={mode:"open"},null==y||y({ReactiveElement:u}),(null!==(p=f.reactiveElementVersions)&&void 0!==p?p:f.reactiveElementVersions=[]).push("1.6.3")},3410:(t,n,r)=>{"use strict";r.d(n,{oi:()=>lit_element_s,iv:()=>f,dy:()=>T.dy,YP:()=>T.YP});const l=window.ShadowRoot&&(void 0===window.ShadyCSS||window.ShadyCSS.nativeShadow)&&"adoptedStyleSheets"in Document.prototype&&"replace"in CSSStyleSheet.prototype,d=Symbol(),h=new Map;class s{constructor(t,n){if(this._$cssResult$=!0,n!==d)throw Error("CSSResult is not constructable. Use `unsafeCSS` or `css` instead.");this.cssText=t}get styleSheet(){let t=h.get(this.cssText);return l&&void 0===t&&(h.set(this.cssText,t=new CSSStyleSheet),t.replaceSync(this.cssText)),t}toString(){return this.cssText}}const p=t=>new s("string"==typeof t?t:t+"",d),f=(t,...n)=>{const r=1===t.length?t[0]:n.reduce(((n,r,l)=>n+(t=>{if(!0===t._$cssResult$)return t.cssText;if("number"==typeof t)return t;throw Error("Value passed to 'css' function must be a 'css' function result: "+t+". Use 'unsafeCSS' to pass non-literal values, but take care to ensure page security.")})(r)+t[l+1]),t[0]);return new s(r,d)},m=l?t=>t:t=>t instanceof CSSStyleSheet?(t=>{let n="";for(const r of t.cssRules)n+=r.cssText;return p(n)})(t):t;var g;const y=window.trustedTypes,v=y?y.emptyScript:"",b=window.reactiveElementPolyfillSupport,x={toAttribute(t,n){switch(n){case Boolean:t=t?v:null;break;case Object:case Array:t=null==t?t:JSON.stringify(t)}return t},fromAttribute(t,n){let r=t;switch(n){case Boolean:r=null!==t;break;case Number:r=null===t?null:Number(t);break;case Object:case Array:try{r=JSON.parse(t)}catch(t){r=null}}return r}},w=(t,n)=>n!==t&&(n==n||t==t),S={attribute:!0,type:String,converter:x,reflect:!1,hasChanged:w};class a extends HTMLElement{constructor(){super(),this._$Et=new Map,this.isUpdatePending=!1,this.hasUpdated=!1,this._$Ei=null,this.o()}static addInitializer(t){var n;null!==(n=this.l)&&void 0!==n||(this.l=[]),this.l.push(t)}static get observedAttributes(){this.finalize();const t=[];return this.elementProperties.forEach(((n,r)=>{const l=this._$Eh(r,n);void 0!==l&&(this._$Eu.set(l,r),t.push(l))})),t}static createProperty(t,n=S){if(n.state&&(n.attribute=!1),this.finalize(),this.elementProperties.set(t,n),!n.noAccessor&&!this.prototype.hasOwnProperty(t)){const r="symbol"==typeof t?Symbol():"__"+t,l=this.getPropertyDescriptor(t,r,n);void 0!==l&&Object.defineProperty(this.prototype,t,l)}}static getPropertyDescriptor(t,n,r){return{get(){return this[n]},set(l){const d=this[t];this[n]=l,this.requestUpdate(t,d,r)},configurable:!0,enumerable:!0}}static getPropertyOptions(t){return this.elementProperties.get(t)||S}static finalize(){if(this.hasOwnProperty("finalized"))return!1;this.finalized=!0;const t=Object.getPrototypeOf(this);if(t.finalize(),this.elementProperties=new Map(t.elementProperties),this._$Eu=new Map,this.hasOwnProperty("properties")){const t=this.properties,n=[...Object.getOwnPropertyNames(t),...Object.getOwnPropertySymbols(t)];for(const r of n)this.createProperty(r,t[r])}return this.elementStyles=this.finalizeStyles(this.styles),!0}static finalizeStyles(t){const n=[];if(Array.isArray(t)){const r=new Set(t.flat(1/0).reverse());for(const t of r)n.unshift(m(t))}else void 0!==t&&n.push(m(t));return n}static _$Eh(t,n){const r=n.attribute;return!1===r?void 0:"string"==typeof r?r:"string"==typeof t?t.toLowerCase():void 0}o(){var t;this._$Ep=new Promise((t=>this.enableUpdating=t)),this._$AL=new Map,this._$Em(),this.requestUpdate(),null===(t=this.constructor.l)||void 0===t||t.forEach((t=>t(this)))}addController(t){var n,r;(null!==(n=this._$Eg)&&void 0!==n?n:this._$Eg=[]).push(t),void 0!==this.renderRoot&&this.isConnected&&(null===(r=t.hostConnected)||void 0===r||r.call(t))}removeController(t){var n;null===(n=this._$Eg)||void 0===n||n.splice(this._$Eg.indexOf(t)>>>0,1)}_$Em(){this.constructor.elementProperties.forEach(((t,n)=>{this.hasOwnProperty(n)&&(this._$Et.set(n,this[n]),delete this[n])}))}createRenderRoot(){var t;const n=null!==(t=this.shadowRoot)&&void 0!==t?t:this.attachShadow(this.constructor.shadowRootOptions);return((t,n)=>{l?t.adoptedStyleSheets=n.map((t=>t instanceof CSSStyleSheet?t:t.styleSheet)):n.forEach((n=>{const r=document.createElement("style"),l=window.litNonce;void 0!==l&&r.setAttribute("nonce",l),r.textContent=n.cssText,t.appendChild(r)}))})(n,this.constructor.elementStyles),n}connectedCallback(){var t;void 0===this.renderRoot&&(this.renderRoot=this.createRenderRoot()),this.enableUpdating(!0),null===(t=this._$Eg)||void 0===t||t.forEach((t=>{var n;return null===(n=t.hostConnected)||void 0===n?void 0:n.call(t)}))}enableUpdating(t){}disconnectedCallback(){var t;null===(t=this._$Eg)||void 0===t||t.forEach((t=>{var n;return null===(n=t.hostDisconnected)||void 0===n?void 0:n.call(t)}))}attributeChangedCallback(t,n,r){this._$AK(t,r)}_$ES(t,n,r=S){var l,d;const h=this.constructor._$Eh(t,r);if(void 0!==h&&!0===r.reflect){const p=(null!==(d=null===(l=r.converter)||void 0===l?void 0:l.toAttribute)&&void 0!==d?d:x.toAttribute)(n,r.type);this._$Ei=t,null==p?this.removeAttribute(h):this.setAttribute(h,p),this._$Ei=null}}_$AK(t,n){var r,l,d;const h=this.constructor,p=h._$Eu.get(t);if(void 0!==p&&this._$Ei!==p){const t=h.getPropertyOptions(p),f=t.converter,m=null!==(d=null!==(l=null===(r=f)||void 0===r?void 0:r.fromAttribute)&&void 0!==l?l:"function"==typeof f?f:null)&&void 0!==d?d:x.fromAttribute;this._$Ei=p,this[p]=m(n,t.type),this._$Ei=null}}requestUpdate(t,n,r){let l=!0;void 0!==t&&(((r=r||this.constructor.getPropertyOptions(t)).hasChanged||w)(this[t],n)?(this._$AL.has(t)||this._$AL.set(t,n),!0===r.reflect&&this._$Ei!==t&&(void 0===this._$EC&&(this._$EC=new Map),this._$EC.set(t,r))):l=!1),!this.isUpdatePending&&l&&(this._$Ep=this._$E_())}async _$E_(){this.isUpdatePending=!0;try{await this._$Ep}catch(t){Promise.reject(t)}const t=this.scheduleUpdate();return null!=t&&await t,!this.isUpdatePending}scheduleUpdate(){return this.performUpdate()}performUpdate(){var t;if(!this.isUpdatePending)return;this.hasUpdated,this._$Et&&(this._$Et.forEach(((t,n)=>this[n]=t)),this._$Et=void 0);let n=!1;const r=this._$AL;try{n=this.shouldUpdate(r),n?(this.willUpdate(r),null===(t=this._$Eg)||void 0===t||t.forEach((t=>{var n;return null===(n=t.hostUpdate)||void 0===n?void 0:n.call(t)})),this.update(r)):this._$EU()}catch(t){throw n=!1,this._$EU(),t}n&&this._$AE(r)}willUpdate(t){}_$AE(t){var n;null===(n=this._$Eg)||void 0===n||n.forEach((t=>{var n;return null===(n=t.hostUpdated)||void 0===n?void 0:n.call(t)})),this.hasUpdated||(this.hasUpdated=!0,this.firstUpdated(t)),this.updated(t)}_$EU(){this._$AL=new Map,this.isUpdatePending=!1}get updateComplete(){return this.getUpdateComplete()}getUpdateComplete(){return this._$Ep}shouldUpdate(t){return!0}update(t){void 0!==this._$EC&&(this._$EC.forEach(((t,n)=>this._$ES(n,this[n],t))),this._$EC=void 0),this._$EU()}updated(t){}firstUpdated(t){}}a.finalized=!0,a.elementProperties=new Map,a.elementStyles=[],a.shadowRootOptions={mode:"open"},null==b||b({ReactiveElement:a}),(null!==(g=globalThis.reactiveElementVersions)&&void 0!==g?g:globalThis.reactiveElementVersions=[]).push("1.3.2");var _,E,T=r(3692);class lit_element_s extends a{constructor(){super(...arguments),this.renderOptions={host:this},this._$Do=void 0}createRenderRoot(){var t,n;const r=super.createRenderRoot();return null!==(t=(n=this.renderOptions).renderBefore)&&void 0!==t||(n.renderBefore=r.firstChild),r}update(t){const n=this.render();this.hasUpdated||(this.renderOptions.isConnected=this.isConnected),super.update(t),this._$Do=(0,T.sY)(n,this.renderRoot,this.renderOptions)}connectedCallback(){var t;super.connectedCallback(),null===(t=this._$Do)||void 0===t||t.setConnected(!0)}disconnectedCallback(){var t;super.disconnectedCallback(),null===(t=this._$Do)||void 0===t||t.setConnected(!1)}render(){return T.Jb}}lit_element_s.finalized=!0,lit_element_s._$litElement$=!0,null===(_=globalThis.litElementHydrateSupport)||void 0===_||_.call(globalThis,{LitElement:lit_element_s});const C=globalThis.litElementPolyfillSupport;null==C||C({LitElement:lit_element_s});(null!==(E=globalThis.litElementVersions)&&void 0!==E?E:globalThis.litElementVersions=[]).push("3.3.3")},4232:(t,n,r)=>{"use strict";r.d(n,{OR:()=>f,hN:()=>p,hl:()=>g,pt:()=>h});var l=r(3692);const{I:d}=l._$LH,h=t=>null===t||"object"!=typeof t&&"function"!=typeof t,p=(t,n)=>void 0===n?void 0!==(null==t?void 0:t._$litType$):(null==t?void 0:t._$litType$)===n,f=t=>void 0===t.strings,m={},g=(t,n=m)=>t._$AH=n},875:(t,n,r)=>{"use strict";r.d(n,{XM:()=>d,Xe:()=>i,pX:()=>l});const l={ATTRIBUTE:1,CHILD:2,PROPERTY:3,BOOLEAN_ATTRIBUTE:4,EVENT:5,ELEMENT:6},d=t=>(...n)=>({_$litDirective$:t,values:n});class i{constructor(t){}get _$AU(){return this._$AM._$AU}_$AT(t,n,r){this._$Ct=t,this._$AM=n,this._$Ci=r}_$AS(t,n){return this.update(t,n)}update(t,n){return this.render(...n)}}},7499:(t,n,r)=>{"use strict";r.d(n,{$:()=>h});var l=r(3692),d=r(875);const h=(0,d.XM)(class extends d.Xe{constructor(t){var n;if(super(t),t.type!==d.pX.ATTRIBUTE||"class"!==t.name||(null===(n=t.strings)||void 0===n?void 0:n.length)>2)throw Error("`classMap()` can only be used in the `class` attribute and must be the only part in the attribute.")}render(t){return" "+Object.keys(t).filter((n=>t[n])).join(" ")+" "}update(t,[n]){var r,d;if(void 0===this.it){this.it=new Set,void 0!==t.strings&&(this.nt=new Set(t.strings.join(" ").split(/\s/).filter((t=>""!==t))));for(const t in n)n[t]&&!(null===(r=this.nt)||void 0===r?void 0:r.has(t))&&this.it.add(t);return this.render(n)}const h=t.element.classList;this.it.forEach((t=>{t in n||(h.remove(t),this.it.delete(t))}));for(const t in n){const r=!!n[t];r===this.it.has(t)||(null===(d=this.nt)||void 0===d?void 0:d.has(t))||(r?(h.add(t),this.it.add(t)):(h.remove(t),this.it.delete(t)))}return l.Jb}})},577:(t,n,r)=>{"use strict";r.d(n,{o:()=>d});var l=r(3692);const d=t=>null!=t?t:l.Ld},7151:(t,n,r)=>{"use strict";r.d(n,{V:()=>f});var l=r(3692),d=r(875);const h="important",p=" !"+h,f=(0,d.XM)(class extends d.Xe{constructor(t){var n;if(super(t),t.type!==d.pX.ATTRIBUTE||"style"!==t.name||(null===(n=t.strings)||void 0===n?void 0:n.length)>2)throw Error("The `styleMap` directive must be used in the `style` attribute and must be the only part in the attribute.")}render(t){return Object.keys(t).reduce(((n,r)=>{const l=t[r];return null==l?n:n+`${r=r.includes("-")?r:r.replace(/(?:^(webkit|moz|ms|o)|)(?=[A-Z])/g,"-$&").toLowerCase()}:${l};`}),"")}update(t,[n]){const{style:r}=t.element;if(void 0===this.ht){this.ht=new Set;for(const t in n)this.ht.add(t);return this.render(n)}this.ht.forEach((t=>{null==n[t]&&(this.ht.delete(t),t.includes("-")?r.removeProperty(t):r[t]="")}));for(const t in n){const l=n[t];if(null!=l){this.ht.add(t);const n="string"==typeof l&&l.endsWith(p);t.includes("-")||n?r.setProperty(t,n?l.slice(0,-11):l,n?h:""):r[t]=l}}return l.Jb}})},3692:(t,n,r)=>{"use strict";var l;r.d(n,{Jb:()=>$,Ld:()=>j,YP:()=>B,_$LH:()=>Y,dy:()=>F,sY:()=>J});const d=window,h=d.trustedTypes,p=h?h.createPolicy("lit-html",{createHTML:t=>t}):void 0,f="$lit$",m=`lit$${(Math.random()+"").slice(9)}$`,g="?"+m,y=`<${g}>`,v=document,b=()=>v.createComment(""),x=t=>null===t||"object"!=typeof t&&"function"!=typeof t,w=Array.isArray,S=t=>w(t)||"function"==typeof(null==t?void 0:t[Symbol.iterator]),_="[ \t\n\f\r]",E=/<(?:(!--|\/[^a-zA-Z])|(\/?[a-zA-Z][^>\s]*)|(\/?$))/g,T=/-->/g,C=/>/g,A=RegExp(`>|${_}(?:([^\\s"'>=/]+)(${_}*=${_}*(?:[^ \t\n\f\r"'\`<>=]|("|')|))|$)`,"g"),O=/'/g,I=/"/g,P=/^(?:script|style|textarea|title)$/i,D=t=>(n,...r)=>({_$litType$:t,strings:n,values:r}),F=D(1),B=D(2),$=Symbol.for("lit-noChange"),j=Symbol.for("lit-nothing"),V=new WeakMap,U=v.createTreeWalker(v,129,null,!1);function G(t,n){if(!Array.isArray(t)||!t.hasOwnProperty("raw"))throw Error("invalid template strings array");return void 0!==p?p.createHTML(n):n}const W=(t,n)=>{const r=t.length-1,l=[];let d,h=2===n?"<svg>":"",p=E;for(let n=0;n<r;n++){const r=t[n];let g,v,b=-1,x=0;for(;x<r.length&&(p.lastIndex=x,v=p.exec(r),null!==v);)x=p.lastIndex,p===E?"!--"===v[1]?p=T:void 0!==v[1]?p=C:void 0!==v[2]?(P.test(v[2])&&(d=RegExp("</"+v[2],"g")),p=A):void 0!==v[3]&&(p=A):p===A?">"===v[0]?(p=null!=d?d:E,b=-1):void 0===v[1]?b=-2:(b=p.lastIndex-v[2].length,g=v[1],p=void 0===v[3]?A:'"'===v[3]?I:O):p===I||p===O?p=A:p===T||p===C?p=E:(p=A,d=void 0);const w=p===A&&t[n+1].startsWith("/>")?" ":"";h+=p===E?r+y:b>=0?(l.push(g),r.slice(0,b)+f+r.slice(b)+m+w):r+m+(-2===b?(l.push(void 0),n):w)}return[G(t,h+(t[r]||"<?>")+(2===n?"</svg>":"")),l]};class N{constructor({strings:t,_$litType$:n},r){let l;this.parts=[];let d=0,p=0;const y=t.length-1,v=this.parts,[x,w]=W(t,n);if(this.el=N.createElement(x,r),U.currentNode=this.el.content,2===n){const t=this.el.content,n=t.firstChild;n.remove(),t.append(...n.childNodes)}for(;null!==(l=U.nextNode())&&v.length<y;){if(1===l.nodeType){if(l.hasAttributes()){const t=[];for(const n of l.getAttributeNames())if(n.endsWith(f)||n.startsWith(m)){const r=w[p++];if(t.push(n),void 0!==r){const t=l.getAttribute(r.toLowerCase()+f).split(m),n=/([.?@])?(.*)/.exec(r);v.push({type:1,index:d,name:n[2],strings:t,ctor:"."===n[1]?H:"?"===n[1]?L:"@"===n[1]?z:k})}else v.push({type:6,index:d})}for(const n of t)l.removeAttribute(n)}if(P.test(l.tagName)){const t=l.textContent.split(m),n=t.length-1;if(n>0){l.textContent=h?h.emptyScript:"";for(let r=0;r<n;r++)l.append(t[r],b()),U.nextNode(),v.push({type:2,index:++d});l.append(t[n],b())}}}else if(8===l.nodeType)if(l.data===g)v.push({type:2,index:d});else{let t=-1;for(;-1!==(t=l.data.indexOf(m,t+1));)v.push({type:7,index:d}),t+=m.length-1}d++}}static createElement(t,n){const r=v.createElement("template");return r.innerHTML=t,r}}function q(t,n,r=t,l){var d,h,p,f;if(n===$)return n;let m=void 0!==l?null===(d=r._$Co)||void 0===d?void 0:d[l]:r._$Cl;const g=x(n)?void 0:n._$litDirective$;return(null==m?void 0:m.constructor)!==g&&(null===(h=null==m?void 0:m._$AO)||void 0===h||h.call(m,!1),void 0===g?m=void 0:(m=new g(t),m._$AT(t,r,l)),void 0!==l?(null!==(p=(f=r)._$Co)&&void 0!==p?p:f._$Co=[])[l]=m:r._$Cl=m),void 0!==m&&(n=q(t,m._$AS(t,n.values),m,l)),n}class M{constructor(t,n){this._$AV=[],this._$AN=void 0,this._$AD=t,this._$AM=n}get parentNode(){return this._$AM.parentNode}get _$AU(){return this._$AM._$AU}u(t){var n;const{el:{content:r},parts:l}=this._$AD,d=(null!==(n=null==t?void 0:t.creationScope)&&void 0!==n?n:v).importNode(r,!0);U.currentNode=d;let h=U.nextNode(),p=0,f=0,m=l[0];for(;void 0!==m;){if(p===m.index){let n;2===m.type?n=new R(h,h.nextSibling,this,t):1===m.type?n=new m.ctor(h,m.name,m.strings,this,t):6===m.type&&(n=new Z(h,this,t)),this._$AV.push(n),m=l[++f]}p!==(null==m?void 0:m.index)&&(h=U.nextNode(),p++)}return U.currentNode=v,d}v(t){let n=0;for(const r of this._$AV)void 0!==r&&(void 0!==r.strings?(r._$AI(t,r,n),n+=r.strings.length-2):r._$AI(t[n])),n++}}class R{constructor(t,n,r,l){var d;this.type=2,this._$AH=j,this._$AN=void 0,this._$AA=t,this._$AB=n,this._$AM=r,this.options=l,this._$Cp=null===(d=null==l?void 0:l.isConnected)||void 0===d||d}get _$AU(){var t,n;return null!==(n=null===(t=this._$AM)||void 0===t?void 0:t._$AU)&&void 0!==n?n:this._$Cp}get parentNode(){let t=this._$AA.parentNode;const n=this._$AM;return void 0!==n&&11===(null==t?void 0:t.nodeType)&&(t=n.parentNode),t}get startNode(){return this._$AA}get endNode(){return this._$AB}_$AI(t,n=this){t=q(this,t,n),x(t)?t===j||null==t||""===t?(this._$AH!==j&&this._$AR(),this._$AH=j):t!==this._$AH&&t!==$&&this._(t):void 0!==t._$litType$?this.g(t):void 0!==t.nodeType?this.$(t):S(t)?this.T(t):this._(t)}k(t){return this._$AA.parentNode.insertBefore(t,this._$AB)}$(t){this._$AH!==t&&(this._$AR(),this._$AH=this.k(t))}_(t){this._$AH!==j&&x(this._$AH)?this._$AA.nextSibling.data=t:this.$(v.createTextNode(t)),this._$AH=t}g(t){var n;const{values:r,_$litType$:l}=t,d="number"==typeof l?this._$AC(t):(void 0===l.el&&(l.el=N.createElement(G(l.h,l.h[0]),this.options)),l);if((null===(n=this._$AH)||void 0===n?void 0:n._$AD)===d)this._$AH.v(r);else{const t=new M(d,this),n=t.u(this.options);t.v(r),this.$(n),this._$AH=t}}_$AC(t){let n=V.get(t.strings);return void 0===n&&V.set(t.strings,n=new N(t)),n}T(t){w(this._$AH)||(this._$AH=[],this._$AR());const n=this._$AH;let r,l=0;for(const d of t)l===n.length?n.push(r=new R(this.k(b()),this.k(b()),this,this.options)):r=n[l],r._$AI(d),l++;l<n.length&&(this._$AR(r&&r._$AB.nextSibling,l),n.length=l)}_$AR(t=this._$AA.nextSibling,n){var r;for(null===(r=this._$AP)||void 0===r||r.call(this,!1,!0,n);t&&t!==this._$AB;){const n=t.nextSibling;t.remove(),t=n}}setConnected(t){var n;void 0===this._$AM&&(this._$Cp=t,null===(n=this._$AP)||void 0===n||n.call(this,t))}}class k{constructor(t,n,r,l,d){this.type=1,this._$AH=j,this._$AN=void 0,this.element=t,this.name=n,this._$AM=l,this.options=d,r.length>2||""!==r[0]||""!==r[1]?(this._$AH=Array(r.length-1).fill(new String),this.strings=r):this._$AH=j}get tagName(){return this.element.tagName}get _$AU(){return this._$AM._$AU}_$AI(t,n=this,r,l){const d=this.strings;let h=!1;if(void 0===d)t=q(this,t,n,0),h=!x(t)||t!==this._$AH&&t!==$,h&&(this._$AH=t);else{const l=t;let p,f;for(t=d[0],p=0;p<d.length-1;p++)f=q(this,l[r+p],n,p),f===$&&(f=this._$AH[p]),h||(h=!x(f)||f!==this._$AH[p]),f===j?t=j:t!==j&&(t+=(null!=f?f:"")+d[p+1]),this._$AH[p]=f}h&&!l&&this.j(t)}j(t){t===j?this.element.removeAttribute(this.name):this.element.setAttribute(this.name,null!=t?t:"")}}class H extends k{constructor(){super(...arguments),this.type=3}j(t){this.element[this.name]=t===j?void 0:t}}const X=h?h.emptyScript:"";class L extends k{constructor(){super(...arguments),this.type=4}j(t){t&&t!==j?this.element.setAttribute(this.name,X):this.element.removeAttribute(this.name)}}class z extends k{constructor(t,n,r,l,d){super(t,n,r,l,d),this.type=5}_$AI(t,n=this){var r;if((t=null!==(r=q(this,t,n,0))&&void 0!==r?r:j)===$)return;const l=this._$AH,d=t===j&&l!==j||t.capture!==l.capture||t.once!==l.once||t.passive!==l.passive,h=t!==j&&(l===j||d);d&&this.element.removeEventListener(this.name,this,l),h&&this.element.addEventListener(this.name,this,t),this._$AH=t}handleEvent(t){var n,r;"function"==typeof this._$AH?this._$AH.call(null!==(r=null===(n=this.options)||void 0===n?void 0:n.host)&&void 0!==r?r:this.element,t):this._$AH.handleEvent(t)}}class Z{constructor(t,n,r){this.element=t,this.type=6,this._$AN=void 0,this._$AM=n,this.options=r}get _$AU(){return this._$AM._$AU}_$AI(t){q(this,t)}}const Y={O:f,P:m,A:g,C:1,M:W,L:M,R:S,D:q,I:R,V:k,H:L,N:z,U:H,F:Z},K=d.litHtmlPolyfillSupport;null==K||K(N,R),(null!==(l=d.litHtmlVersions)&&void 0!==l?l:d.litHtmlVersions=[]).push("2.8.0");const J=(t,n,r)=>{var l,d;const h=null!==(l=null==r?void 0:r.renderBefore)&&void 0!==l?l:n;let p=h._$litPart$;if(void 0===p){const t=null!==(d=null==r?void 0:r.renderBefore)&&void 0!==d?d:null;h._$litPart$=p=new R(n.insertBefore(b(),t),t,void 0,null!=r?r:{})}return p._$AI(t),p}},8973:(t,n,r)=>{"use strict";r.d(n,{Mo:()=>l.M,Cb:()=>d.C,IO:()=>h.I,Kt:()=>f});var l=r(5713),d=r(9662),h=r(2669),p=r(5674);function f(t){return(0,p.eZ)({descriptor:n=>({get(){var n,r;return null!==(r=null===(n=this.renderRoot)||void 0===n?void 0:n.querySelectorAll(t))&&void 0!==r?r:[]},enumerable:!0,configurable:!0})})}r(7935),r(43)},4772:(t,n,r)=>{"use strict";r.d(n,{hN:()=>l.hN});var l=r(4232)},8810:(t,n,r)=>{"use strict";r.d(n,{$:()=>l.$});var l=r(7499)},3196:(t,n,r)=>{"use strict";r.d(n,{V:()=>l.V});var l=r(7151)},5862:(t,n,r)=>{"use strict";r.d(n,{YP:()=>l.YP,dy:()=>l.dy,iv:()=>l.iv,oi:()=>l.oi});r(7898),r(3692);var l=r(3410)},7582:(t,n,r)=>{"use strict";r.d(n,{CR:()=>y,XA:()=>g,ZT:()=>d,ev:()=>v,gn:()=>p,mG:()=>m,pi:()=>h,w6:()=>f});var l=function(t,n){return l=Object.setPrototypeOf||{__proto__:[]}instanceof Array&&function(t,n){t.__proto__=n}||function(t,n){for(var r in n)Object.prototype.hasOwnProperty.call(n,r)&&(t[r]=n[r])},l(t,n)};function d(t,n){if("function"!=typeof n&&null!==n)throw new TypeError("Class extends value "+String(n)+" is not a constructor or null");function r(){this.constructor=t}l(t,n),t.prototype=null===n?Object.create(n):(r.prototype=n.prototype,new r)}var h=function(){return h=Object.assign||function(t){for(var n,r=1,l=arguments.length;r<l;r++)for(var d in n=arguments[r])Object.prototype.hasOwnProperty.call(n,d)&&(t[d]=n[d]);return t},h.apply(this,arguments)};function p(t,n,r,l){var d,h=arguments.length,p=h<3?n:null===l?l=Object.getOwnPropertyDescriptor(n,r):l;if("object"==typeof Reflect&&"function"==typeof Reflect.decorate)p=Reflect.decorate(t,n,r,l);else for(var f=t.length-1;f>=0;f--)(d=t[f])&&(p=(h<3?d(p):h>3?d(n,r,p):d(n,r))||p);return h>3&&p&&Object.defineProperty(n,r,p),p}function f(t,n){if("object"==typeof Reflect&&"function"==typeof Reflect.metadata)return Reflect.metadata(t,n)}function m(t,n,r,l){return new(r||(r=Promise))((function(d,h){function p(t){try{m(l.next(t))}catch(t){h(t)}}function f(t){try{m(l.throw(t))}catch(t){h(t)}}function m(t){var n;t.done?d(t.value):(n=t.value,n instanceof r?n:new r((function(t){t(n)}))).then(p,f)}m((l=l.apply(t,n||[])).next())}))}Object.create;function g(t){var n="function"==typeof Symbol&&Symbol.iterator,r=n&&t[n],l=0;if(r)return r.call(t);if(t&&"number"==typeof t.length)return{next:function(){return t&&l>=t.length&&(t=void 0),{value:t&&t[l++],done:!t}}};throw new TypeError(n?"Object is not iterable.":"Symbol.iterator is not defined.")}function y(t,n){var r="function"==typeof Symbol&&t[Symbol.iterator];if(!r)return t;var l,d,h=r.call(t),p=[];try{for(;(void 0===n||n-- >0)&&!(l=h.next()).done;)p.push(l.value)}catch(t){d={error:t}}finally{try{l&&!l.done&&(r=h.return)&&r.call(h)}finally{if(d)throw d.error}}return p}function v(t,n,r){if(r||2===arguments.length)for(var l,d=0,h=n.length;d<h;d++)!l&&d in n||(l||(l=Array.prototype.slice.call(n,0,d)),l[d]=n[d]);return t.concat(l||Array.prototype.slice.call(n))}Object.create;"function"==typeof SuppressedError&&SuppressedError}},n={};function r(l){var d=n[l];if(void 0!==d)return d.exports;var h=n[l]={id:l,loaded:!1,exports:{}};return t[l].call(h.exports,h,h.exports,r),h.loaded=!0,h.exports}r.amdD=function(){throw new Error("define cannot be used indirect")},r.amdO={},r.n=t=>{var n=t&&t.__esModule?()=>t.default:()=>t;return r.d(n,{a:n}),n},r.d=(t,n)=>{for(var l in n)r.o(n,l)&&!r.o(t,l)&&Object.defineProperty(t,l,{enumerable:!0,get:n[l]})},r.g=function(){if("object"==typeof globalThis)return globalThis;try{return this||new Function("return this")()}catch(t){if("object"==typeof window)return window}}(),r.o=(t,n)=>Object.prototype.hasOwnProperty.call(t,n),r.r=t=>{"undefined"!=typeof Symbol&&Symbol.toStringTag&&Object.defineProperty(t,Symbol.toStringTag,{value:"Module"}),Object.defineProperty(t,"__esModule",{value:!0})},r.nmd=t=>(t.paths=[],t.children||(t.children=[]),t),r(4064),r(8596),r(8384),r(3506),r(2683),r(482),r(1907),r(2345),r(9604),r(5450),r(6265),r(2947),r(4498),r(6299),r(2396),r(1732),r(7146),r(4494),r(5197),r(4600),r(5689),r(6196),r(3539),r(1800),r(940),r(4759),r(2473),r(6353),r(8684),r(2637),r(277),r(6852),r(2302),r(5681),r(1290),r(2613),r(4869),r(1774),r(6645),r(4567),r(6278),r(4424),r(3514),r(8286),r(6070),r(9845),r(9537),r(5806),r(4262),r(125),r(4915),r(7098),r(7095),r(2756),r(2133),r(6554),r(2570),r(6326),r(3072),r(9791),r(552),r(2186),r(6284),r(2981),r(8233),r(4208),r(9835),r(593),r(3732),r(6402),r(3241),r(4016),r(8e3),r(407),r(3227),r(648),r(5909),r(8565),r(5887),r(696),r(4479),r(7376),r(7965),r(5587),r(7190),r(3930),r(1165),r(9929),r(9410),r(4624),r(437),r(4725),r(9705);r(2525)})();
//# sourceMappingURL=main.js.map